#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6180
#define LARGE_STATE_COUNT 1679
#define SYMBOL_COUNT 542
#define ALIAS_COUNT 24
#define TOKEN_COUNT 243
#define EXTERNAL_TOKEN_COUNT 8
#define FIELD_COUNT 28
#define MAX_ALIAS_SEQUENCE_LENGTH 13
#define PRODUCTION_ID_COUNT 178

enum ts_symbol_identifiers {
  aux_sym_preproc_include_token1 = 1,
  aux_sym_preproc_include_token2 = 2,
  aux_sym_preproc_def_token1 = 3,
  aux_sym_preproc_def_token2 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  sym_preproc_comment = 22,
  anon_sym_PLUS = 23,
  anon_sym_DASH = 24,
  anon_sym_STAR = 25,
  anon_sym_SLASH = 26,
  anon_sym_PERCENT = 27,
  anon_sym_PIPE_PIPE = 28,
  anon_sym_AMP_AMP = 29,
  anon_sym_PIPE = 30,
  anon_sym_CARET = 31,
  anon_sym_AMP = 32,
  anon_sym_EQ_EQ = 33,
  anon_sym_BANG_EQ = 34,
  anon_sym_GT = 35,
  anon_sym_GT_EQ = 36,
  anon_sym_LT_EQ = 37,
  anon_sym_LT = 38,
  anon_sym_LT_LT = 39,
  anon_sym_GT_GT = 40,
  sym_system_lib_string = 41,
  aux_sym_program_statement_token1 = 42,
  aux_sym_end_program_statement_token1 = 43,
  aux_sym_end_program_statement_token2 = 44,
  aux_sym_module_statement_token1 = 45,
  aux_sym_end_module_statement_token1 = 46,
  aux_sym_submodule_statement_token1 = 47,
  anon_sym_COLON = 48,
  aux_sym_end_submodule_statement_token1 = 49,
  aux_sym_interface_statement_token1 = 50,
  aux_sym_end_interface_statement_token1 = 51,
  aux_sym_assignment_token1 = 52,
  anon_sym_EQ = 53,
  aux_sym_operator_token1 = 54,
  aux_sym_operator_token2 = 55,
  aux_sym_defined_io_procedure_token1 = 56,
  aux_sym_defined_io_procedure_token2 = 57,
  aux_sym_defined_io_procedure_token3 = 58,
  aux_sym_defined_io_procedure_token4 = 59,
  aux_sym_subroutine_statement_token1 = 60,
  aux_sym_end_subroutine_statement_token1 = 61,
  aux_sym_module_procedure_statement_token1 = 62,
  aux_sym_end_module_procedure_statement_token1 = 63,
  aux_sym_function_statement_token1 = 64,
  aux_sym_language_binding_token1 = 65,
  aux_sym_procedure_attributes_token1 = 66,
  aux_sym_procedure_attributes_token2 = 67,
  aux_sym_procedure_attributes_token3 = 68,
  aux_sym_procedure_attributes_token4 = 69,
  aux_sym_procedure_attributes_token5 = 70,
  aux_sym_end_function_statement_token1 = 71,
  aux_sym_function_result_token1 = 72,
  aux_sym_contains_statement_token1 = 73,
  aux_sym_use_statement_token1 = 74,
  aux_sym_use_statement_token2 = 75,
  aux_sym_use_statement_token3 = 76,
  anon_sym_COLON_COLON = 77,
  aux_sym_included_items_token1 = 78,
  anon_sym_EQ_GT = 79,
  aux_sym_implicit_statement_token1 = 80,
  aux_sym_implicit_statement_token2 = 81,
  aux_sym_implicit_statement_token3 = 82,
  aux_sym_implicit_statement_token4 = 83,
  aux_sym_save_statement_token1 = 84,
  aux_sym_private_statement_token1 = 85,
  aux_sym_public_statement_token1 = 86,
  aux_sym_namelist_statement_token1 = 87,
  aux_sym_common_statement_token1 = 88,
  aux_sym_implicit_range_token1 = 89,
  aux_sym_import_statement_token1 = 90,
  aux_sym__import_names_token1 = 91,
  aux_sym_derived_type_definition_token1 = 92,
  aux_sym_abstract_specifier_token1 = 93,
  aux_sym_base_type_specifier_token1 = 94,
  aux_sym_end_type_statement_token1 = 95,
  aux_sym__procedure_kind_token1 = 96,
  aux_sym__procedure_kind_token2 = 97,
  aux_sym__procedure_kind_token3 = 98,
  aux_sym__procedure_kind_token4 = 99,
  aux_sym_procedure_attribute_token1 = 100,
  aux_sym_procedure_attribute_token2 = 101,
  aux_sym_procedure_attribute_token3 = 102,
  aux_sym_procedure_attribute_token4 = 103,
  aux_sym_procedure_attribute_token5 = 104,
  aux_sym_procedure_attribute_token6 = 105,
  aux_sym_variable_attributes_token1 = 106,
  aux_sym_variable_attributes_token2 = 107,
  aux_sym_variable_attributes_token3 = 108,
  aux_sym_variable_attributes_token4 = 109,
  aux_sym_variable_attributes_token5 = 110,
  aux_sym__intrinsic_type_token1 = 111,
  aux_sym__intrinsic_type_token2 = 112,
  aux_sym__intrinsic_type_token3 = 113,
  aux_sym__intrinsic_type_token4 = 114,
  aux_sym__intrinsic_type_token5 = 115,
  aux_sym__intrinsic_type_token6 = 116,
  aux_sym__intrinsic_type_token7 = 117,
  aux_sym__intrinsic_type_token8 = 118,
  aux_sym__intrinsic_type_token9 = 119,
  aux_sym__intrinsic_type_token10 = 120,
  aux_sym_derived_type_token1 = 121,
  aux_sym_kind_token1 = 122,
  aux_sym__standalone_type_qualifier_token1 = 123,
  aux_sym__standalone_type_qualifier_token2 = 124,
  aux_sym__standalone_type_qualifier_token3 = 125,
  aux_sym__standalone_type_qualifier_token4 = 126,
  aux_sym__standalone_type_qualifier_token5 = 127,
  aux_sym__standalone_type_qualifier_token6 = 128,
  aux_sym__standalone_type_qualifier_token7 = 129,
  aux_sym__standalone_type_qualifier_token8 = 130,
  aux_sym__standalone_type_qualifier_token9 = 131,
  aux_sym__standalone_type_qualifier_token10 = 132,
  aux_sym__standalone_type_qualifier_token11 = 133,
  aux_sym__standalone_type_qualifier_token12 = 134,
  aux_sym__standalone_type_qualifier_token13 = 135,
  aux_sym__standalone_type_qualifier_token14 = 136,
  aux_sym__standalone_type_qualifier_token15 = 137,
  aux_sym_type_qualifier_token1 = 138,
  aux_sym_type_qualifier_token2 = 139,
  aux_sym_procedure_qualifier_token1 = 140,
  aux_sym_procedure_qualifier_token2 = 141,
  aux_sym_procedure_qualifier_token3 = 142,
  aux_sym_procedure_qualifier_token4 = 143,
  aux_sym_equivalence_statement_token1 = 144,
  aux_sym_stop_statement_token1 = 145,
  aux_sym_stop_statement_token2 = 146,
  aux_sym_stop_statement_token3 = 147,
  aux_sym_subroutine_call_token1 = 148,
  anon_sym_LT_LT_LT = 149,
  anon_sym_GT_GT_GT = 150,
  aux_sym_keyword_statement_token1 = 151,
  aux_sym_keyword_statement_token2 = 152,
  aux_sym_keyword_statement_token3 = 153,
  aux_sym_keyword_statement_token4 = 154,
  aux_sym_keyword_statement_token5 = 155,
  aux_sym_keyword_statement_token6 = 156,
  aux_sym_keyword_statement_token7 = 157,
  aux_sym_include_statement_token1 = 158,
  aux_sym_data_statement_token1 = 159,
  aux_sym_do_loop_statement_token1 = 160,
  aux_sym_end_do_loop_statement_token1 = 161,
  aux_sym_while_statement_token1 = 162,
  aux_sym_concurrent_header_token1 = 163,
  aux_sym_concurrent_locality_token1 = 164,
  aux_sym_concurrent_locality_token2 = 165,
  aux_sym_concurrent_locality_token3 = 166,
  aux_sym__inline_if_statement_token1 = 167,
  aux_sym__block_if_statement_token1 = 168,
  aux_sym_end_if_statement_token1 = 169,
  aux_sym_elseif_clause_token1 = 170,
  aux_sym_elseif_clause_token2 = 171,
  aux_sym__inline_where_statement_token1 = 172,
  aux_sym_end_where_statement_token1 = 173,
  aux_sym_elsewhere_clause_token1 = 174,
  aux_sym__forall_control_expression_token1 = 175,
  aux_sym_end_forall_statement_token1 = 176,
  aux_sym_select_case_statement_token1 = 177,
  aux_sym_select_case_statement_token2 = 178,
  aux_sym_select_case_statement_token3 = 179,
  aux_sym_select_type_statement_token1 = 180,
  aux_sym_select_rank_statement_token1 = 181,
  aux_sym_select_rank_statement_token2 = 182,
  aux_sym_end_select_statement_token1 = 183,
  aux_sym_type_statement_token1 = 184,
  aux_sym_type_statement_token2 = 185,
  aux_sym_type_statement_token3 = 186,
  aux_sym__class_default_token1 = 187,
  aux_sym_block_construct_token1 = 188,
  aux_sym_end_block_construct_statement_token1 = 189,
  aux_sym_associate_statement_token1 = 190,
  aux_sym_end_associate_statement_token1 = 191,
  aux_sym_format_statement_token1 = 192,
  sym_edit_descriptor = 193,
  aux_sym_hollerith_constant_token1 = 194,
  aux_sym_print_statement_token1 = 195,
  aux_sym_open_statement_token1 = 196,
  aux_sym_close_statement_token1 = 197,
  aux_sym_inquire_statement_token1 = 198,
  aux_sym_enum_statement_token1 = 199,
  aux_sym_enumerator_statement_token1 = 200,
  aux_sym_end_enum_statement_token1 = 201,
  aux_sym_file_position_statement_token1 = 202,
  aux_sym_file_position_statement_token2 = 203,
  aux_sym_file_position_statement_token3 = 204,
  aux_sym_file_position_statement_token4 = 205,
  aux_sym_logical_expression_token1 = 206,
  aux_sym_logical_expression_token2 = 207,
  aux_sym_logical_expression_token3 = 208,
  aux_sym_logical_expression_token4 = 209,
  aux_sym_logical_expression_token5 = 210,
  aux_sym_relational_expression_token1 = 211,
  aux_sym_relational_expression_token2 = 212,
  aux_sym_relational_expression_token3 = 213,
  aux_sym_relational_expression_token4 = 214,
  aux_sym_relational_expression_token5 = 215,
  anon_sym_SLASH_EQ = 216,
  aux_sym_relational_expression_token6 = 217,
  anon_sym_SLASH_SLASH = 218,
  anon_sym_STAR_STAR = 219,
  anon_sym_DOT = 220,
  aux_sym_user_defined_operator_token1 = 221,
  sym_assumed_rank = 222,
  anon_sym_LPAREN_SLASH = 223,
  anon_sym_SLASH_RPAREN = 224,
  anon_sym_LBRACK = 225,
  anon_sym_RBRACK = 226,
  aux_sym_boolean_literal_token1 = 227,
  aux_sym_boolean_literal_token2 = 228,
  anon_sym__ = 229,
  aux_sym__kind_token1 = 230,
  aux_sym__kind_token2 = 231,
  aux_sym_null_literal_token1 = 232,
  aux_sym_identifier_token1 = 233,
  sym_comment = 234,
  anon_sym_SEMI = 235,
  sym__integer_literal = 236,
  sym__float_literal = 237,
  sym__boz_literal = 238,
  sym__string_literal = 239,
  sym__string_literal_kind = 240,
  sym__end_of_statement = 241,
  sym__preproc_unary_operator = 242,
  sym_translation_unit = 243,
  sym_preproc_include = 244,
  sym_preproc_def = 245,
  sym_preproc_function_def = 246,
  sym_preproc_params = 247,
  sym_preproc_call = 248,
  sym_preproc_if = 249,
  sym_preproc_ifdef = 250,
  sym_preproc_else = 251,
  sym_preproc_elif = 252,
  sym_preproc_elifdef = 253,
  sym_preproc_if_in_module = 254,
  sym_preproc_ifdef_in_module = 255,
  sym_preproc_else_in_module = 256,
  sym_preproc_elif_in_module = 257,
  sym_preproc_elifdef_in_module = 258,
  sym_preproc_if_in_specification_part = 259,
  sym_preproc_ifdef_in_specification_part = 260,
  sym_preproc_else_in_specification_part = 261,
  sym_preproc_elif_in_specification_part = 262,
  sym_preproc_elifdef_in_specification_part = 263,
  sym_preproc_if_in_statements = 264,
  sym_preproc_ifdef_in_statements = 265,
  sym_preproc_else_in_statements = 266,
  sym_preproc_elif_in_statements = 267,
  sym_preproc_elifdef_in_statements = 268,
  sym_preproc_if_in_internal_procedures = 269,
  sym_preproc_ifdef_in_internal_procedures = 270,
  sym_preproc_else_in_internal_procedures = 271,
  sym_preproc_elif_in_internal_procedures = 272,
  sym_preproc_elifdef_in_internal_procedures = 273,
  sym_preproc_if_in_derived_type = 274,
  sym_preproc_ifdef_in_derived_type = 275,
  sym_preproc_else_in_derived_type = 276,
  sym_preproc_elif_in_derived_type = 277,
  sym_preproc_elifdef_in_derived_type = 278,
  sym__preproc_expression = 279,
  sym_preproc_parenthesized_expression = 280,
  sym_preproc_defined = 281,
  sym_preproc_unary_expression = 282,
  sym_preproc_call_expression = 283,
  sym_preproc_argument_list = 284,
  sym_preproc_binary_expression = 285,
  sym_program = 286,
  sym_program_statement = 287,
  sym_end_program_statement = 288,
  sym_module = 289,
  sym_module_statement = 290,
  sym_end_module_statement = 291,
  sym_submodule = 292,
  sym_submodule_statement = 293,
  sym_end_submodule_statement = 294,
  sym_module_name = 295,
  sym_interface = 296,
  sym_interface_statement = 297,
  sym_end_interface_statement = 298,
  sym_assignment = 299,
  sym_operator = 300,
  sym_defined_io_procedure = 301,
  sym__generic_procedure = 302,
  sym_subroutine = 303,
  sym_subroutine_statement = 304,
  sym_end_subroutine_statement = 305,
  sym_module_procedure = 306,
  sym_module_procedure_statement = 307,
  sym_end_module_procedure_statement = 308,
  sym_function = 309,
  sym_function_statement = 310,
  sym_language_binding = 311,
  aux_sym__callable_interface_qualifers = 312,
  sym_procedure_attributes = 313,
  sym_end_function_statement = 314,
  sym_function_result = 315,
  sym__name = 316,
  sym__parameters = 317,
  sym_parameters = 318,
  sym_internal_procedures = 319,
  sym_contains_statement = 320,
  sym__internal_procedures = 321,
  sym__specification_part = 322,
  sym_use_statement = 323,
  sym_included_items = 324,
  sym_use_alias = 325,
  sym_implicit_statement = 326,
  sym_save_statement = 327,
  sym_private_statement = 328,
  sym_public_statement = 329,
  sym_namelist_statement = 330,
  sym_common_statement = 331,
  sym_variable_group = 332,
  sym_implicit_range = 333,
  sym_import_statement = 334,
  sym__import_names = 335,
  sym_derived_type_definition = 336,
  sym_abstract_specifier = 337,
  sym_access_specifier = 338,
  sym_base_type_specifier = 339,
  sym__derived_type_qualifier = 340,
  sym_derived_type_statement = 341,
  sym_end_type_statement = 342,
  sym__type_name = 343,
  sym_derived_type_procedures = 344,
  sym_procedure_statement = 345,
  sym_binding_name = 346,
  sym_method_name = 347,
  sym__procedure_kind = 348,
  sym_procedure_attribute = 349,
  sym_variable_declaration = 350,
  sym_procedure_declaration = 351,
  sym_variable_modification = 352,
  sym_variable_attributes = 353,
  sym__variable_declarator = 354,
  sym_sized_declarator = 355,
  sym__declaration_assignment = 356,
  sym__declaration_pointer_association = 357,
  sym__declaration_targets = 358,
  sym__intrinsic_type = 359,
  sym_intrinsic_type = 360,
  sym_derived_type = 361,
  sym_unlimited_polymorphic = 362,
  sym_kind = 363,
  sym_character_length = 364,
  sym__standalone_type_qualifier = 365,
  sym_type_qualifier = 366,
  sym_procedure_qualifier = 367,
  sym_parameter_statement = 368,
  sym_parameter_assignment = 369,
  sym_equivalence_statement = 370,
  sym_equivalence_set = 371,
  sym__statements = 372,
  sym_statement_label = 373,
  sym_statement_label_reference = 374,
  sym_stop_statement = 375,
  sym_assignment_statement = 376,
  sym_pointer_association_statement = 377,
  sym_subroutine_call = 378,
  sym_cuda_kernel_argument_list = 379,
  sym_keyword_statement = 380,
  sym_include_statement = 381,
  sym_data_statement = 382,
  sym_data_set = 383,
  sym_data_value = 384,
  sym_do_loop_statement = 385,
  sym_end_do_loop_statement = 386,
  sym_do_label_statement = 387,
  sym_end_do_label_statement = 388,
  sym_while_statement = 389,
  sym_concurrent_statement = 390,
  sym_concurrent_header = 391,
  sym_concurrent_control = 392,
  sym_concurrent_locality = 393,
  sym_if_statement = 394,
  sym__inline_if_statement = 395,
  sym_arithmetic_if_statement = 396,
  sym__block_if_statement = 397,
  sym_end_if_statement = 398,
  sym_elseif_clause = 399,
  sym_else_clause = 400,
  sym_where_statement = 401,
  sym__inline_where_statement = 402,
  sym__block_where_statement = 403,
  sym_end_where_statement = 404,
  sym_elsewhere_clause = 405,
  sym_forall_statement = 406,
  sym_triplet_spec = 407,
  sym__forall_control_expression = 408,
  sym__inline_forall_statement = 409,
  sym__block_forall_statement = 410,
  sym_end_forall_statement = 411,
  sym_select_case_statement = 412,
  sym_select_type_statement = 413,
  sym_select_rank_statement = 414,
  sym_end_select_statement = 415,
  sym_selector = 416,
  sym_case_statement = 417,
  sym_type_statement = 418,
  sym__class_default = 419,
  sym_case_value_range_list = 420,
  sym_rank_statement = 421,
  sym_block_construct = 422,
  sym_end_block_construct_statement = 423,
  sym_associate_statement = 424,
  sym_association = 425,
  sym_end_associate_statement = 426,
  sym_format_statement = 427,
  sym__transfer_item = 428,
  sym__transfer_items = 429,
  sym_hollerith_constant = 430,
  sym__io_arguments = 431,
  sym_read_statement = 432,
  sym__simple_read_statement = 433,
  sym__parameterized_read_statement = 434,
  sym_print_statement = 435,
  sym_open_statement = 436,
  sym_close_statement = 437,
  sym_write_statement = 438,
  sym_inquire_statement = 439,
  sym_enum = 440,
  sym_enum_statement = 441,
  sym_enumerator_statement = 442,
  sym_end_enum_statement = 443,
  sym_unit_identifier = 444,
  sym_format_identifier = 445,
  sym__file_position_spec = 446,
  sym_file_position_statement = 447,
  sym__io_expressions = 448,
  sym_input_item_list = 449,
  sym_output_item_list = 450,
  sym_statement_function = 451,
  sym__statement_function_arg_list = 452,
  sym__expression = 453,
  sym_parenthesized_expression = 454,
  sym_derived_type_member_expression = 455,
  sym_logical_expression = 456,
  sym_relational_expression = 457,
  sym_concatenation_expression = 458,
  sym_math_expression = 459,
  sym_unary_expression = 460,
  sym_user_defined_operator = 461,
  sym_call_expression = 462,
  sym_implied_do_loop_expression = 463,
  sym__argument_list = 464,
  sym_argument_list = 465,
  sym_keyword_argument = 466,
  sym_extent_specifier = 467,
  sym_assumed_size = 468,
  sym_assumed_shape = 469,
  sym_block_label_start_expression = 470,
  sym__block_label = 471,
  sym_loop_control_expression = 472,
  sym_array_literal = 473,
  sym__array_constructor_legacy = 474,
  sym__array_constructor_f2003 = 475,
  sym__type_spec = 476,
  sym__ac_value_list = 477,
  sym_complex_literal = 478,
  sym_number_literal = 479,
  sym_boolean_literal = 480,
  sym__kind = 481,
  sym_null_literal = 482,
  sym_string_literal = 483,
  sym_identifier = 484,
  aux_sym_translation_unit_repeat1 = 485,
  aux_sym_preproc_params_repeat1 = 486,
  aux_sym_preproc_if_in_module_repeat1 = 487,
  aux_sym_preproc_if_in_specification_part_repeat1 = 488,
  aux_sym_preproc_if_in_internal_procedures_repeat1 = 489,
  aux_sym_preproc_if_in_derived_type_repeat1 = 490,
  aux_sym_preproc_argument_list_repeat1 = 491,
  aux_sym_program_repeat1 = 492,
  aux_sym_module_repeat1 = 493,
  aux_sym_interface_repeat1 = 494,
  aux_sym_subroutine_repeat1 = 495,
  aux_sym_function_statement_repeat1 = 496,
  aux_sym_procedure_attributes_repeat1 = 497,
  aux_sym_parameters_repeat1 = 498,
  aux_sym_use_statement_repeat1 = 499,
  aux_sym_included_items_repeat1 = 500,
  aux_sym_implicit_statement_repeat1 = 501,
  aux_sym_implicit_statement_repeat2 = 502,
  aux_sym_implicit_statement_repeat3 = 503,
  aux_sym_save_statement_repeat1 = 504,
  aux_sym_private_statement_repeat1 = 505,
  aux_sym_namelist_statement_repeat1 = 506,
  aux_sym_common_statement_repeat1 = 507,
  aux_sym_common_statement_repeat2 = 508,
  aux_sym_derived_type_definition_repeat1 = 509,
  aux_sym_derived_type_statement_repeat1 = 510,
  aux_sym_derived_type_procedures_repeat1 = 511,
  aux_sym_procedure_statement_repeat1 = 512,
  aux_sym_procedure_statement_repeat2 = 513,
  aux_sym_variable_declaration_repeat1 = 514,
  aux_sym_variable_modification_repeat1 = 515,
  aux_sym_variable_modification_repeat2 = 516,
  aux_sym__declaration_targets_repeat1 = 517,
  aux_sym_parameter_statement_repeat1 = 518,
  aux_sym_equivalence_statement_repeat1 = 519,
  aux_sym_equivalence_set_repeat1 = 520,
  aux_sym_cuda_kernel_argument_list_repeat1 = 521,
  aux_sym_keyword_statement_repeat1 = 522,
  aux_sym_data_statement_repeat1 = 523,
  aux_sym_data_set_repeat1 = 524,
  aux_sym_data_value_repeat1 = 525,
  aux_sym_concurrent_statement_repeat1 = 526,
  aux_sym_concurrent_header_repeat1 = 527,
  aux_sym__block_if_statement_repeat1 = 528,
  aux_sym__block_where_statement_repeat1 = 529,
  aux_sym__forall_control_expression_repeat1 = 530,
  aux_sym_select_case_statement_repeat1 = 531,
  aux_sym_select_type_statement_repeat1 = 532,
  aux_sym_select_rank_statement_repeat1 = 533,
  aux_sym_case_value_range_list_repeat1 = 534,
  aux_sym_associate_statement_repeat1 = 535,
  aux_sym__transfer_items_repeat1 = 536,
  aux_sym__io_arguments_repeat1 = 537,
  aux_sym_enum_repeat1 = 538,
  aux_sym_enumerator_statement_repeat1 = 539,
  aux_sym_call_expression_repeat1 = 540,
  aux_sym__argument_list_repeat1 = 541,
  alias_sym_block_label = 542,
  anon_alias_sym_class = 543,
  alias_sym_concurrent_mask = 544,
  anon_alias_sym_default = 545,
  alias_sym_derived_type_parameter_list = 546,
  anon_alias_sym_double = 547,
  anon_alias_sym_else = 548,
  anon_alias_sym_end = 549,
  alias_sym_filename = 550,
  anon_alias_sym_label = 551,
  alias_sym_local_name = 552,
  anon_alias_sym_method_name = 553,
  alias_sym_name = 554,
  anon_alias_sym_none = 555,
  alias_sym_procedure_interface = 556,
  anon_alias_sym_program = 557,
  anon_alias_sym_select = 558,
  alias_sym_sequence_statement = 559,
  alias_sym_size = 560,
  anon_alias_sym_statement_label = 561,
  anon_alias_sym_statement_label_reference = 562,
  alias_sym_transfer_items = 563,
  alias_sym_type_member = 564,
  alias_sym_type_name = 565,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [aux_sym_preproc_def_token2] = "preproc_def_token2",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [sym_preproc_comment] = "preproc_comment",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym_system_lib_string] = "system_lib_string",
  [aux_sym_program_statement_token1] = "endprogram",
  [aux_sym_end_program_statement_token1] = "endprogram",
  [aux_sym_end_program_statement_token2] = "endprogram",
  [aux_sym_module_statement_token1] = "module",
  [aux_sym_end_module_statement_token1] = "endmodule",
  [aux_sym_submodule_statement_token1] = "submodule",
  [anon_sym_COLON] = ":",
  [aux_sym_end_submodule_statement_token1] = "endsubmodule",
  [aux_sym_interface_statement_token1] = "interface",
  [aux_sym_end_interface_statement_token1] = "endinterface",
  [aux_sym_assignment_token1] = "assignment",
  [anon_sym_EQ] = "=",
  [aux_sym_operator_token1] = "operator",
  [aux_sym_operator_token2] = "operator_token2",
  [aux_sym_defined_io_procedure_token1] = "read",
  [aux_sym_defined_io_procedure_token2] = "write",
  [aux_sym_defined_io_procedure_token3] = "formatted",
  [aux_sym_defined_io_procedure_token4] = "unformatted",
  [aux_sym_subroutine_statement_token1] = "subroutine",
  [aux_sym_end_subroutine_statement_token1] = "endsubroutine",
  [aux_sym_module_procedure_statement_token1] = "procedure",
  [aux_sym_end_module_procedure_statement_token1] = "endprocedure",
  [aux_sym_function_statement_token1] = "function",
  [aux_sym_language_binding_token1] = "bind",
  [aux_sym_procedure_attributes_token1] = "attributes",
  [aux_sym_procedure_attributes_token2] = "global",
  [aux_sym_procedure_attributes_token3] = "device",
  [aux_sym_procedure_attributes_token4] = "host",
  [aux_sym_procedure_attributes_token5] = "grid_global",
  [aux_sym_end_function_statement_token1] = "endfunction",
  [aux_sym_function_result_token1] = "result",
  [aux_sym_contains_statement_token1] = "contains",
  [aux_sym_use_statement_token1] = "use",
  [aux_sym_use_statement_token2] = "intrinsic",
  [aux_sym_use_statement_token3] = "non_intrinsic",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_included_items_token1] = "only",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_implicit_statement_token1] = "implicit",
  [aux_sym_implicit_statement_token2] = "none",
  [aux_sym_implicit_statement_token3] = "type",
  [aux_sym_implicit_statement_token4] = "external",
  [aux_sym_save_statement_token1] = "save",
  [aux_sym_private_statement_token1] = "private",
  [aux_sym_public_statement_token1] = "public",
  [aux_sym_namelist_statement_token1] = "namelist",
  [aux_sym_common_statement_token1] = "common",
  [aux_sym_implicit_range_token1] = "implicit_range_token1",
  [aux_sym_import_statement_token1] = "import",
  [aux_sym__import_names_token1] = "all",
  [aux_sym_derived_type_definition_token1] = "sequence",
  [aux_sym_abstract_specifier_token1] = "abstract",
  [aux_sym_base_type_specifier_token1] = "extends",
  [aux_sym_end_type_statement_token1] = "endtype",
  [aux_sym__procedure_kind_token1] = "generic",
  [aux_sym__procedure_kind_token2] = "initial",
  [aux_sym__procedure_kind_token3] = "property",
  [aux_sym__procedure_kind_token4] = "final",
  [aux_sym_procedure_attribute_token1] = "deferred",
  [aux_sym_procedure_attribute_token2] = "pass",
  [aux_sym_procedure_attribute_token3] = "nopass",
  [aux_sym_procedure_attribute_token4] = "non_overridable",
  [aux_sym_procedure_attribute_token5] = "family",
  [aux_sym_procedure_attribute_token6] = "pointer",
  [aux_sym_variable_attributes_token1] = "managed",
  [aux_sym_variable_attributes_token2] = "constant",
  [aux_sym_variable_attributes_token3] = "shared",
  [aux_sym_variable_attributes_token4] = "pinned",
  [aux_sym_variable_attributes_token5] = "texture",
  [aux_sym__intrinsic_type_token1] = "byte",
  [aux_sym__intrinsic_type_token2] = "integer",
  [aux_sym__intrinsic_type_token3] = "real",
  [aux_sym__intrinsic_type_token4] = "doubleprecision",
  [aux_sym__intrinsic_type_token5] = "doubleprecision",
  [aux_sym__intrinsic_type_token6] = "doubleprecision",
  [aux_sym__intrinsic_type_token7] = "complex",
  [aux_sym__intrinsic_type_token8] = "doublecomplex",
  [aux_sym__intrinsic_type_token9] = "logical",
  [aux_sym__intrinsic_type_token10] = "character",
  [aux_sym_derived_type_token1] = "derived_type_token1",
  [aux_sym_kind_token1] = "kind_token1",
  [aux_sym__standalone_type_qualifier_token1] = "allocatable",
  [aux_sym__standalone_type_qualifier_token2] = "automatic",
  [aux_sym__standalone_type_qualifier_token3] = "dimension",
  [aux_sym__standalone_type_qualifier_token4] = "contiguous",
  [aux_sym__standalone_type_qualifier_token5] = "intent",
  [aux_sym__standalone_type_qualifier_token6] = "in",
  [aux_sym__standalone_type_qualifier_token7] = "out",
  [aux_sym__standalone_type_qualifier_token8] = "inout",
  [aux_sym__standalone_type_qualifier_token9] = "optional",
  [aux_sym__standalone_type_qualifier_token10] = "parameter",
  [aux_sym__standalone_type_qualifier_token11] = "protected",
  [aux_sym__standalone_type_qualifier_token12] = "static",
  [aux_sym__standalone_type_qualifier_token13] = "target",
  [aux_sym__standalone_type_qualifier_token14] = "value",
  [aux_sym__standalone_type_qualifier_token15] = "volatile",
  [aux_sym_type_qualifier_token1] = "kind",
  [aux_sym_type_qualifier_token2] = "len",
  [aux_sym_procedure_qualifier_token1] = "elemental",
  [aux_sym_procedure_qualifier_token2] = "impure",
  [aux_sym_procedure_qualifier_token3] = "pure",
  [aux_sym_procedure_qualifier_token4] = "recursive",
  [aux_sym_equivalence_statement_token1] = "equivalence",
  [aux_sym_stop_statement_token1] = "error",
  [aux_sym_stop_statement_token2] = "stop",
  [aux_sym_stop_statement_token3] = "quiet",
  [aux_sym_subroutine_call_token1] = "call",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_GT_GT_GT] = ">>>",
  [aux_sym_keyword_statement_token1] = "continue",
  [aux_sym_keyword_statement_token2] = "cycle",
  [aux_sym_keyword_statement_token3] = "exit",
  [aux_sym_keyword_statement_token4] = "goto",
  [aux_sym_keyword_statement_token5] = "goto",
  [aux_sym_keyword_statement_token6] = "goto",
  [aux_sym_keyword_statement_token7] = "return",
  [aux_sym_include_statement_token1] = "include",
  [aux_sym_data_statement_token1] = "data",
  [aux_sym_do_loop_statement_token1] = "do",
  [aux_sym_end_do_loop_statement_token1] = "enddo",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_concurrent_header_token1] = "concurrent",
  [aux_sym_concurrent_locality_token1] = "local",
  [aux_sym_concurrent_locality_token2] = "local_init",
  [aux_sym_concurrent_locality_token3] = "concurrent_locality_token3",
  [aux_sym__inline_if_statement_token1] = "if",
  [aux_sym__block_if_statement_token1] = "then",
  [aux_sym_end_if_statement_token1] = "endif",
  [aux_sym_elseif_clause_token1] = "elsewhere",
  [aux_sym_elseif_clause_token2] = "elseif",
  [aux_sym__inline_where_statement_token1] = "where",
  [aux_sym_end_where_statement_token1] = "endwhere",
  [aux_sym_elsewhere_clause_token1] = "elsewhere",
  [aux_sym__forall_control_expression_token1] = "forall",
  [aux_sym_end_forall_statement_token1] = "endforall",
  [aux_sym_select_case_statement_token1] = "selectcase",
  [aux_sym_select_case_statement_token2] = "case",
  [aux_sym_select_case_statement_token3] = "selectcase",
  [aux_sym_select_type_statement_token1] = "selecttype",
  [aux_sym_select_rank_statement_token1] = "rank",
  [aux_sym_select_rank_statement_token2] = "selectrank",
  [aux_sym_end_select_statement_token1] = "endselect",
  [aux_sym_type_statement_token1] = "typeis",
  [aux_sym_type_statement_token2] = "typeis",
  [aux_sym_type_statement_token3] = "classis",
  [aux_sym__class_default_token1] = "_class_default_token1",
  [aux_sym_block_construct_token1] = "block",
  [aux_sym_end_block_construct_statement_token1] = "endblock",
  [aux_sym_associate_statement_token1] = "associate",
  [aux_sym_end_associate_statement_token1] = "endassociate",
  [aux_sym_format_statement_token1] = "format",
  [sym_edit_descriptor] = "edit_descriptor",
  [aux_sym_hollerith_constant_token1] = "hollerith_constant_token1",
  [aux_sym_print_statement_token1] = "print",
  [aux_sym_open_statement_token1] = "open",
  [aux_sym_close_statement_token1] = "close",
  [aux_sym_inquire_statement_token1] = "inquire",
  [aux_sym_enum_statement_token1] = "enum",
  [aux_sym_enumerator_statement_token1] = "enumerator",
  [aux_sym_end_enum_statement_token1] = "endenum",
  [aux_sym_file_position_statement_token1] = "backspace",
  [aux_sym_file_position_statement_token2] = "endfile",
  [aux_sym_file_position_statement_token3] = "rewind",
  [aux_sym_file_position_statement_token4] = "pause",
  [aux_sym_logical_expression_token1] = "\\.or\\.",
  [aux_sym_logical_expression_token2] = "\\.and\\.",
  [aux_sym_logical_expression_token3] = "\\.eqv\\.",
  [aux_sym_logical_expression_token4] = "\\.neqv\\.",
  [aux_sym_logical_expression_token5] = "\\.not\\.",
  [aux_sym_relational_expression_token1] = "\\.lt\\.",
  [aux_sym_relational_expression_token2] = "\\.gt\\.",
  [aux_sym_relational_expression_token3] = "\\.le\\.",
  [aux_sym_relational_expression_token4] = "\\.ge\\.",
  [aux_sym_relational_expression_token5] = "\\.eq\\.",
  [anon_sym_SLASH_EQ] = "/=",
  [aux_sym_relational_expression_token6] = "\\.ne\\.",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_DOT] = ".",
  [aux_sym_user_defined_operator_token1] = "user_defined_operator_token1",
  [sym_assumed_rank] = "assumed_rank",
  [anon_sym_LPAREN_SLASH] = "(/",
  [anon_sym_SLASH_RPAREN] = "/)",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_boolean_literal_token1] = "\\.true\\.",
  [aux_sym_boolean_literal_token2] = "\\.false\\.",
  [anon_sym__] = "_",
  [aux_sym__kind_token1] = "identifier",
  [aux_sym__kind_token2] = "number_literal",
  [aux_sym_null_literal_token1] = "null",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym_comment] = "comment",
  [anon_sym_SEMI] = ";",
  [sym__integer_literal] = "_integer_literal",
  [sym__float_literal] = "_float_literal",
  [sym__boz_literal] = "_boz_literal",
  [sym__string_literal] = "_string_literal",
  [sym__string_literal_kind] = "identifier",
  [sym__end_of_statement] = "_end_of_statement",
  [sym__preproc_unary_operator] = "_preproc_unary_operator",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_module] = "preproc_if",
  [sym_preproc_ifdef_in_module] = "preproc_ifdef",
  [sym_preproc_else_in_module] = "preproc_else",
  [sym_preproc_elif_in_module] = "preproc_elif",
  [sym_preproc_elifdef_in_module] = "preproc_elifdef",
  [sym_preproc_if_in_specification_part] = "preproc_if",
  [sym_preproc_ifdef_in_specification_part] = "preproc_ifdef",
  [sym_preproc_else_in_specification_part] = "preproc_else",
  [sym_preproc_elif_in_specification_part] = "preproc_elif",
  [sym_preproc_elifdef_in_specification_part] = "preproc_elifdef",
  [sym_preproc_if_in_statements] = "preproc_if",
  [sym_preproc_ifdef_in_statements] = "preproc_ifdef",
  [sym_preproc_else_in_statements] = "preproc_else",
  [sym_preproc_elif_in_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_statements] = "preproc_elifdef",
  [sym_preproc_if_in_internal_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_internal_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_internal_procedures] = "preproc_else",
  [sym_preproc_elif_in_internal_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_internal_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_derived_type] = "preproc_if",
  [sym_preproc_ifdef_in_derived_type] = "preproc_ifdef",
  [sym_preproc_else_in_derived_type] = "preproc_else",
  [sym_preproc_elif_in_derived_type] = "preproc_elif",
  [sym_preproc_elifdef_in_derived_type] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_program] = "program",
  [sym_program_statement] = "program_statement",
  [sym_end_program_statement] = "end_program_statement",
  [sym_module] = "module",
  [sym_module_statement] = "module_statement",
  [sym_end_module_statement] = "end_module_statement",
  [sym_submodule] = "submodule",
  [sym_submodule_statement] = "submodule_statement",
  [sym_end_submodule_statement] = "end_submodule_statement",
  [sym_module_name] = "module_name",
  [sym_interface] = "interface",
  [sym_interface_statement] = "interface_statement",
  [sym_end_interface_statement] = "end_interface_statement",
  [sym_assignment] = "assignment",
  [sym_operator] = "operator",
  [sym_defined_io_procedure] = "defined_io_procedure",
  [sym__generic_procedure] = "_generic_procedure",
  [sym_subroutine] = "subroutine",
  [sym_subroutine_statement] = "subroutine_statement",
  [sym_end_subroutine_statement] = "end_subroutine_statement",
  [sym_module_procedure] = "module_procedure",
  [sym_module_procedure_statement] = "module_procedure_statement",
  [sym_end_module_procedure_statement] = "end_module_procedure_statement",
  [sym_function] = "function",
  [sym_function_statement] = "function_statement",
  [sym_language_binding] = "language_binding",
  [aux_sym__callable_interface_qualifers] = "_callable_interface_qualifers",
  [sym_procedure_attributes] = "procedure_attributes",
  [sym_end_function_statement] = "end_function_statement",
  [sym_function_result] = "function_result",
  [sym__name] = "_name",
  [sym__parameters] = "_parameters",
  [sym_parameters] = "parameters",
  [sym_internal_procedures] = "internal_procedures",
  [sym_contains_statement] = "contains_statement",
  [sym__internal_procedures] = "_internal_procedures",
  [sym__specification_part] = "_specification_part",
  [sym_use_statement] = "use_statement",
  [sym_included_items] = "included_items",
  [sym_use_alias] = "use_alias",
  [sym_implicit_statement] = "implicit_statement",
  [sym_save_statement] = "save_statement",
  [sym_private_statement] = "private_statement",
  [sym_public_statement] = "public_statement",
  [sym_namelist_statement] = "namelist_statement",
  [sym_common_statement] = "common_statement",
  [sym_variable_group] = "variable_group",
  [sym_implicit_range] = "implicit_range",
  [sym_import_statement] = "import_statement",
  [sym__import_names] = "_import_names",
  [sym_derived_type_definition] = "derived_type_definition",
  [sym_abstract_specifier] = "abstract_specifier",
  [sym_access_specifier] = "access_specifier",
  [sym_base_type_specifier] = "base_type_specifier",
  [sym__derived_type_qualifier] = "_derived_type_qualifier",
  [sym_derived_type_statement] = "derived_type_statement",
  [sym_end_type_statement] = "end_type_statement",
  [sym__type_name] = "_type_name",
  [sym_derived_type_procedures] = "derived_type_procedures",
  [sym_procedure_statement] = "procedure_statement",
  [sym_binding_name] = "binding_name",
  [sym_method_name] = "method_name",
  [sym__procedure_kind] = "_procedure_kind",
  [sym_procedure_attribute] = "procedure_attribute",
  [sym_variable_declaration] = "variable_declaration",
  [sym_procedure_declaration] = "procedure",
  [sym_variable_modification] = "variable_modification",
  [sym_variable_attributes] = "variable_attributes",
  [sym__variable_declarator] = "_variable_declarator",
  [sym_sized_declarator] = "sized_declarator",
  [sym__declaration_assignment] = "init_declarator",
  [sym__declaration_pointer_association] = "pointer_init_declarator",
  [sym__declaration_targets] = "_declaration_targets",
  [sym__intrinsic_type] = "_intrinsic_type",
  [sym_intrinsic_type] = "intrinsic_type",
  [sym_derived_type] = "derived_type",
  [sym_unlimited_polymorphic] = "unlimited_polymorphic",
  [sym_kind] = "kind",
  [sym_character_length] = "character_length",
  [sym__standalone_type_qualifier] = "_standalone_type_qualifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_procedure_qualifier] = "procedure_qualifier",
  [sym_parameter_statement] = "parameter_statement",
  [sym_parameter_assignment] = "parameter_assignment",
  [sym_equivalence_statement] = "equivalence_statement",
  [sym_equivalence_set] = "equivalence_set",
  [sym__statements] = "_statements",
  [sym_statement_label] = "statement_label",
  [sym_statement_label_reference] = "statement_label_reference",
  [sym_stop_statement] = "stop_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_pointer_association_statement] = "pointer_association_statement",
  [sym_subroutine_call] = "subroutine_call",
  [sym_cuda_kernel_argument_list] = "cuda_kernel_argument_list",
  [sym_keyword_statement] = "keyword_statement",
  [sym_include_statement] = "include_statement",
  [sym_data_statement] = "data_statement",
  [sym_data_set] = "data_set",
  [sym_data_value] = "data_value",
  [sym_do_loop_statement] = "do_loop_statement",
  [sym_end_do_loop_statement] = "end_do_loop_statement",
  [sym_do_label_statement] = "do_label_statement",
  [sym_end_do_label_statement] = "end_do_label_statement",
  [sym_while_statement] = "while_statement",
  [sym_concurrent_statement] = "concurrent_statement",
  [sym_concurrent_header] = "concurrent_header",
  [sym_concurrent_control] = "concurrent_control",
  [sym_concurrent_locality] = "concurrent_locality",
  [sym_if_statement] = "if_statement",
  [sym__inline_if_statement] = "_inline_if_statement",
  [sym_arithmetic_if_statement] = "arithmetic_if_statement",
  [sym__block_if_statement] = "_block_if_statement",
  [sym_end_if_statement] = "end_if_statement",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_where_statement] = "where_statement",
  [sym__inline_where_statement] = "_inline_where_statement",
  [sym__block_where_statement] = "_block_where_statement",
  [sym_end_where_statement] = "end_where_statement",
  [sym_elsewhere_clause] = "elsewhere_clause",
  [sym_forall_statement] = "forall_statement",
  [sym_triplet_spec] = "triplet_spec",
  [sym__forall_control_expression] = "_forall_control_expression",
  [sym__inline_forall_statement] = "_inline_forall_statement",
  [sym__block_forall_statement] = "_block_forall_statement",
  [sym_end_forall_statement] = "end_forall_statement",
  [sym_select_case_statement] = "select_case_statement",
  [sym_select_type_statement] = "select_type_statement",
  [sym_select_rank_statement] = "select_rank_statement",
  [sym_end_select_statement] = "end_select_statement",
  [sym_selector] = "selector",
  [sym_case_statement] = "case_statement",
  [sym_type_statement] = "type_statement",
  [sym__class_default] = "default",
  [sym_case_value_range_list] = "case_value_range_list",
  [sym_rank_statement] = "rank_statement",
  [sym_block_construct] = "block_construct",
  [sym_end_block_construct_statement] = "end_block_construct_statement",
  [sym_associate_statement] = "associate_statement",
  [sym_association] = "association",
  [sym_end_associate_statement] = "end_associate_statement",
  [sym_format_statement] = "format_statement",
  [sym__transfer_item] = "_transfer_item",
  [sym__transfer_items] = "_transfer_items",
  [sym_hollerith_constant] = "hollerith_constant",
  [sym__io_arguments] = "_io_arguments",
  [sym_read_statement] = "read_statement",
  [sym__simple_read_statement] = "_simple_read_statement",
  [sym__parameterized_read_statement] = "_parameterized_read_statement",
  [sym_print_statement] = "print_statement",
  [sym_open_statement] = "open_statement",
  [sym_close_statement] = "close_statement",
  [sym_write_statement] = "write_statement",
  [sym_inquire_statement] = "inquire_statement",
  [sym_enum] = "enum",
  [sym_enum_statement] = "enum_statement",
  [sym_enumerator_statement] = "enumerator_statement",
  [sym_end_enum_statement] = "end_enum_statement",
  [sym_unit_identifier] = "unit_identifier",
  [sym_format_identifier] = "format_identifier",
  [sym__file_position_spec] = "_file_position_spec",
  [sym_file_position_statement] = "file_position_statement",
  [sym__io_expressions] = "_io_expressions",
  [sym_input_item_list] = "input_item_list",
  [sym_output_item_list] = "output_item_list",
  [sym_statement_function] = "statement_function",
  [sym__statement_function_arg_list] = "argument_list",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_derived_type_member_expression] = "derived_type_member_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_math_expression] = "math_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_user_defined_operator] = "user_defined_operator",
  [sym_call_expression] = "call_expression",
  [sym_implied_do_loop_expression] = "implied_do_loop_expression",
  [sym__argument_list] = "_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_keyword_argument] = "keyword_argument",
  [sym_extent_specifier] = "extent_specifier",
  [sym_assumed_size] = "assumed_size",
  [sym_assumed_shape] = "assumed_shape",
  [sym_block_label_start_expression] = "block_label_start_expression",
  [sym__block_label] = "_block_label",
  [sym_loop_control_expression] = "loop_control_expression",
  [sym_array_literal] = "array_literal",
  [sym__array_constructor_legacy] = "_array_constructor_legacy",
  [sym__array_constructor_f2003] = "_array_constructor_f2003",
  [sym__type_spec] = "_type_spec",
  [sym__ac_value_list] = "_ac_value_list",
  [sym_complex_literal] = "complex_literal",
  [sym_number_literal] = "number_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym__kind] = "_kind",
  [sym_null_literal] = "null_literal",
  [sym_string_literal] = "string_literal",
  [sym_identifier] = "identifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_in_module_repeat1] = "preproc_if_in_module_repeat1",
  [aux_sym_preproc_if_in_specification_part_repeat1] = "preproc_if_in_specification_part_repeat1",
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = "preproc_if_in_internal_procedures_repeat1",
  [aux_sym_preproc_if_in_derived_type_repeat1] = "preproc_if_in_derived_type_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym_interface_repeat1] = "interface_repeat1",
  [aux_sym_subroutine_repeat1] = "subroutine_repeat1",
  [aux_sym_function_statement_repeat1] = "function_statement_repeat1",
  [aux_sym_procedure_attributes_repeat1] = "procedure_attributes_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_use_statement_repeat1] = "use_statement_repeat1",
  [aux_sym_included_items_repeat1] = "included_items_repeat1",
  [aux_sym_implicit_statement_repeat1] = "implicit_statement_repeat1",
  [aux_sym_implicit_statement_repeat2] = "implicit_statement_repeat2",
  [aux_sym_implicit_statement_repeat3] = "implicit_statement_repeat3",
  [aux_sym_save_statement_repeat1] = "save_statement_repeat1",
  [aux_sym_private_statement_repeat1] = "private_statement_repeat1",
  [aux_sym_namelist_statement_repeat1] = "namelist_statement_repeat1",
  [aux_sym_common_statement_repeat1] = "common_statement_repeat1",
  [aux_sym_common_statement_repeat2] = "common_statement_repeat2",
  [aux_sym_derived_type_definition_repeat1] = "derived_type_definition_repeat1",
  [aux_sym_derived_type_statement_repeat1] = "derived_type_statement_repeat1",
  [aux_sym_derived_type_procedures_repeat1] = "derived_type_procedures_repeat1",
  [aux_sym_procedure_statement_repeat1] = "procedure_statement_repeat1",
  [aux_sym_procedure_statement_repeat2] = "procedure_statement_repeat2",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_variable_modification_repeat1] = "variable_modification_repeat1",
  [aux_sym_variable_modification_repeat2] = "variable_modification_repeat2",
  [aux_sym__declaration_targets_repeat1] = "_declaration_targets_repeat1",
  [aux_sym_parameter_statement_repeat1] = "parameter_statement_repeat1",
  [aux_sym_equivalence_statement_repeat1] = "equivalence_statement_repeat1",
  [aux_sym_equivalence_set_repeat1] = "equivalence_set_repeat1",
  [aux_sym_cuda_kernel_argument_list_repeat1] = "cuda_kernel_argument_list_repeat1",
  [aux_sym_keyword_statement_repeat1] = "keyword_statement_repeat1",
  [aux_sym_data_statement_repeat1] = "data_statement_repeat1",
  [aux_sym_data_set_repeat1] = "data_set_repeat1",
  [aux_sym_data_value_repeat1] = "data_value_repeat1",
  [aux_sym_concurrent_statement_repeat1] = "concurrent_statement_repeat1",
  [aux_sym_concurrent_header_repeat1] = "concurrent_header_repeat1",
  [aux_sym__block_if_statement_repeat1] = "_block_if_statement_repeat1",
  [aux_sym__block_where_statement_repeat1] = "_block_where_statement_repeat1",
  [aux_sym__forall_control_expression_repeat1] = "_forall_control_expression_repeat1",
  [aux_sym_select_case_statement_repeat1] = "select_case_statement_repeat1",
  [aux_sym_select_type_statement_repeat1] = "select_type_statement_repeat1",
  [aux_sym_select_rank_statement_repeat1] = "select_rank_statement_repeat1",
  [aux_sym_case_value_range_list_repeat1] = "case_value_range_list_repeat1",
  [aux_sym_associate_statement_repeat1] = "associate_statement_repeat1",
  [aux_sym__transfer_items_repeat1] = "_transfer_items_repeat1",
  [aux_sym__io_arguments_repeat1] = "_io_arguments_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_enumerator_statement_repeat1] = "enumerator_statement_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym__argument_list_repeat1] = "_argument_list_repeat1",
  [alias_sym_block_label] = "block_label",
  [anon_alias_sym_class] = "class",
  [alias_sym_concurrent_mask] = "concurrent_mask",
  [anon_alias_sym_default] = "default",
  [alias_sym_derived_type_parameter_list] = "derived_type_parameter_list",
  [anon_alias_sym_double] = "double",
  [anon_alias_sym_else] = "else",
  [anon_alias_sym_end] = "end",
  [alias_sym_filename] = "filename",
  [anon_alias_sym_label] = "label",
  [alias_sym_local_name] = "local_name",
  [anon_alias_sym_method_name] = "method_name",
  [alias_sym_name] = "name",
  [anon_alias_sym_none] = "none",
  [alias_sym_procedure_interface] = "procedure_interface",
  [anon_alias_sym_program] = "program",
  [anon_alias_sym_select] = "select",
  [alias_sym_sequence_statement] = "sequence_statement",
  [alias_sym_size] = "size",
  [anon_alias_sym_statement_label] = "statement_label",
  [anon_alias_sym_statement_label_reference] = "statement_label_reference",
  [alias_sym_transfer_items] = "transfer_items",
  [alias_sym_type_member] = "type_member",
  [alias_sym_type_name] = "type_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [aux_sym_preproc_def_token2] = aux_sym_preproc_def_token2,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [sym_preproc_comment] = sym_preproc_comment,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_system_lib_string] = sym_system_lib_string,
  [aux_sym_program_statement_token1] = aux_sym_program_statement_token1,
  [aux_sym_end_program_statement_token1] = aux_sym_program_statement_token1,
  [aux_sym_end_program_statement_token2] = aux_sym_program_statement_token1,
  [aux_sym_module_statement_token1] = aux_sym_module_statement_token1,
  [aux_sym_end_module_statement_token1] = aux_sym_end_module_statement_token1,
  [aux_sym_submodule_statement_token1] = aux_sym_submodule_statement_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_end_submodule_statement_token1] = aux_sym_end_submodule_statement_token1,
  [aux_sym_interface_statement_token1] = aux_sym_interface_statement_token1,
  [aux_sym_end_interface_statement_token1] = aux_sym_end_interface_statement_token1,
  [aux_sym_assignment_token1] = aux_sym_assignment_token1,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_operator_token1] = aux_sym_operator_token1,
  [aux_sym_operator_token2] = aux_sym_operator_token2,
  [aux_sym_defined_io_procedure_token1] = aux_sym_defined_io_procedure_token1,
  [aux_sym_defined_io_procedure_token2] = aux_sym_defined_io_procedure_token2,
  [aux_sym_defined_io_procedure_token3] = aux_sym_defined_io_procedure_token3,
  [aux_sym_defined_io_procedure_token4] = aux_sym_defined_io_procedure_token4,
  [aux_sym_subroutine_statement_token1] = aux_sym_subroutine_statement_token1,
  [aux_sym_end_subroutine_statement_token1] = aux_sym_end_subroutine_statement_token1,
  [aux_sym_module_procedure_statement_token1] = aux_sym_module_procedure_statement_token1,
  [aux_sym_end_module_procedure_statement_token1] = aux_sym_end_module_procedure_statement_token1,
  [aux_sym_function_statement_token1] = aux_sym_function_statement_token1,
  [aux_sym_language_binding_token1] = aux_sym_language_binding_token1,
  [aux_sym_procedure_attributes_token1] = aux_sym_procedure_attributes_token1,
  [aux_sym_procedure_attributes_token2] = aux_sym_procedure_attributes_token2,
  [aux_sym_procedure_attributes_token3] = aux_sym_procedure_attributes_token3,
  [aux_sym_procedure_attributes_token4] = aux_sym_procedure_attributes_token4,
  [aux_sym_procedure_attributes_token5] = aux_sym_procedure_attributes_token5,
  [aux_sym_end_function_statement_token1] = aux_sym_end_function_statement_token1,
  [aux_sym_function_result_token1] = aux_sym_function_result_token1,
  [aux_sym_contains_statement_token1] = aux_sym_contains_statement_token1,
  [aux_sym_use_statement_token1] = aux_sym_use_statement_token1,
  [aux_sym_use_statement_token2] = aux_sym_use_statement_token2,
  [aux_sym_use_statement_token3] = aux_sym_use_statement_token3,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_included_items_token1] = aux_sym_included_items_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_implicit_statement_token1] = aux_sym_implicit_statement_token1,
  [aux_sym_implicit_statement_token2] = aux_sym_implicit_statement_token2,
  [aux_sym_implicit_statement_token3] = aux_sym_implicit_statement_token3,
  [aux_sym_implicit_statement_token4] = aux_sym_implicit_statement_token4,
  [aux_sym_save_statement_token1] = aux_sym_save_statement_token1,
  [aux_sym_private_statement_token1] = aux_sym_private_statement_token1,
  [aux_sym_public_statement_token1] = aux_sym_public_statement_token1,
  [aux_sym_namelist_statement_token1] = aux_sym_namelist_statement_token1,
  [aux_sym_common_statement_token1] = aux_sym_common_statement_token1,
  [aux_sym_implicit_range_token1] = aux_sym_implicit_range_token1,
  [aux_sym_import_statement_token1] = aux_sym_import_statement_token1,
  [aux_sym__import_names_token1] = aux_sym__import_names_token1,
  [aux_sym_derived_type_definition_token1] = aux_sym_derived_type_definition_token1,
  [aux_sym_abstract_specifier_token1] = aux_sym_abstract_specifier_token1,
  [aux_sym_base_type_specifier_token1] = aux_sym_base_type_specifier_token1,
  [aux_sym_end_type_statement_token1] = aux_sym_end_type_statement_token1,
  [aux_sym__procedure_kind_token1] = aux_sym__procedure_kind_token1,
  [aux_sym__procedure_kind_token2] = aux_sym__procedure_kind_token2,
  [aux_sym__procedure_kind_token3] = aux_sym__procedure_kind_token3,
  [aux_sym__procedure_kind_token4] = aux_sym__procedure_kind_token4,
  [aux_sym_procedure_attribute_token1] = aux_sym_procedure_attribute_token1,
  [aux_sym_procedure_attribute_token2] = aux_sym_procedure_attribute_token2,
  [aux_sym_procedure_attribute_token3] = aux_sym_procedure_attribute_token3,
  [aux_sym_procedure_attribute_token4] = aux_sym_procedure_attribute_token4,
  [aux_sym_procedure_attribute_token5] = aux_sym_procedure_attribute_token5,
  [aux_sym_procedure_attribute_token6] = aux_sym_procedure_attribute_token6,
  [aux_sym_variable_attributes_token1] = aux_sym_variable_attributes_token1,
  [aux_sym_variable_attributes_token2] = aux_sym_variable_attributes_token2,
  [aux_sym_variable_attributes_token3] = aux_sym_variable_attributes_token3,
  [aux_sym_variable_attributes_token4] = aux_sym_variable_attributes_token4,
  [aux_sym_variable_attributes_token5] = aux_sym_variable_attributes_token5,
  [aux_sym__intrinsic_type_token1] = aux_sym__intrinsic_type_token1,
  [aux_sym__intrinsic_type_token2] = aux_sym__intrinsic_type_token2,
  [aux_sym__intrinsic_type_token3] = aux_sym__intrinsic_type_token3,
  [aux_sym__intrinsic_type_token4] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token5] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token6] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token7] = aux_sym__intrinsic_type_token7,
  [aux_sym__intrinsic_type_token8] = aux_sym__intrinsic_type_token8,
  [aux_sym__intrinsic_type_token9] = aux_sym__intrinsic_type_token9,
  [aux_sym__intrinsic_type_token10] = aux_sym__intrinsic_type_token10,
  [aux_sym_derived_type_token1] = aux_sym_derived_type_token1,
  [aux_sym_kind_token1] = aux_sym_kind_token1,
  [aux_sym__standalone_type_qualifier_token1] = aux_sym__standalone_type_qualifier_token1,
  [aux_sym__standalone_type_qualifier_token2] = aux_sym__standalone_type_qualifier_token2,
  [aux_sym__standalone_type_qualifier_token3] = aux_sym__standalone_type_qualifier_token3,
  [aux_sym__standalone_type_qualifier_token4] = aux_sym__standalone_type_qualifier_token4,
  [aux_sym__standalone_type_qualifier_token5] = aux_sym__standalone_type_qualifier_token5,
  [aux_sym__standalone_type_qualifier_token6] = aux_sym__standalone_type_qualifier_token6,
  [aux_sym__standalone_type_qualifier_token7] = aux_sym__standalone_type_qualifier_token7,
  [aux_sym__standalone_type_qualifier_token8] = aux_sym__standalone_type_qualifier_token8,
  [aux_sym__standalone_type_qualifier_token9] = aux_sym__standalone_type_qualifier_token9,
  [aux_sym__standalone_type_qualifier_token10] = aux_sym__standalone_type_qualifier_token10,
  [aux_sym__standalone_type_qualifier_token11] = aux_sym__standalone_type_qualifier_token11,
  [aux_sym__standalone_type_qualifier_token12] = aux_sym__standalone_type_qualifier_token12,
  [aux_sym__standalone_type_qualifier_token13] = aux_sym__standalone_type_qualifier_token13,
  [aux_sym__standalone_type_qualifier_token14] = aux_sym__standalone_type_qualifier_token14,
  [aux_sym__standalone_type_qualifier_token15] = aux_sym__standalone_type_qualifier_token15,
  [aux_sym_type_qualifier_token1] = aux_sym_type_qualifier_token1,
  [aux_sym_type_qualifier_token2] = aux_sym_type_qualifier_token2,
  [aux_sym_procedure_qualifier_token1] = aux_sym_procedure_qualifier_token1,
  [aux_sym_procedure_qualifier_token2] = aux_sym_procedure_qualifier_token2,
  [aux_sym_procedure_qualifier_token3] = aux_sym_procedure_qualifier_token3,
  [aux_sym_procedure_qualifier_token4] = aux_sym_procedure_qualifier_token4,
  [aux_sym_equivalence_statement_token1] = aux_sym_equivalence_statement_token1,
  [aux_sym_stop_statement_token1] = aux_sym_stop_statement_token1,
  [aux_sym_stop_statement_token2] = aux_sym_stop_statement_token2,
  [aux_sym_stop_statement_token3] = aux_sym_stop_statement_token3,
  [aux_sym_subroutine_call_token1] = aux_sym_subroutine_call_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [aux_sym_keyword_statement_token1] = aux_sym_keyword_statement_token1,
  [aux_sym_keyword_statement_token2] = aux_sym_keyword_statement_token2,
  [aux_sym_keyword_statement_token3] = aux_sym_keyword_statement_token3,
  [aux_sym_keyword_statement_token4] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token5] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token6] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token7] = aux_sym_keyword_statement_token7,
  [aux_sym_include_statement_token1] = aux_sym_include_statement_token1,
  [aux_sym_data_statement_token1] = aux_sym_data_statement_token1,
  [aux_sym_do_loop_statement_token1] = aux_sym_do_loop_statement_token1,
  [aux_sym_end_do_loop_statement_token1] = aux_sym_end_do_loop_statement_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_concurrent_header_token1] = aux_sym_concurrent_header_token1,
  [aux_sym_concurrent_locality_token1] = aux_sym_concurrent_locality_token1,
  [aux_sym_concurrent_locality_token2] = aux_sym_concurrent_locality_token2,
  [aux_sym_concurrent_locality_token3] = aux_sym_concurrent_locality_token3,
  [aux_sym__inline_if_statement_token1] = aux_sym__inline_if_statement_token1,
  [aux_sym__block_if_statement_token1] = aux_sym__block_if_statement_token1,
  [aux_sym_end_if_statement_token1] = aux_sym_end_if_statement_token1,
  [aux_sym_elseif_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym_elseif_clause_token2] = aux_sym_elseif_clause_token2,
  [aux_sym__inline_where_statement_token1] = aux_sym__inline_where_statement_token1,
  [aux_sym_end_where_statement_token1] = aux_sym_end_where_statement_token1,
  [aux_sym_elsewhere_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym__forall_control_expression_token1] = aux_sym__forall_control_expression_token1,
  [aux_sym_end_forall_statement_token1] = aux_sym_end_forall_statement_token1,
  [aux_sym_select_case_statement_token1] = aux_sym_select_case_statement_token1,
  [aux_sym_select_case_statement_token2] = aux_sym_select_case_statement_token2,
  [aux_sym_select_case_statement_token3] = aux_sym_select_case_statement_token1,
  [aux_sym_select_type_statement_token1] = aux_sym_select_type_statement_token1,
  [aux_sym_select_rank_statement_token1] = aux_sym_select_rank_statement_token1,
  [aux_sym_select_rank_statement_token2] = aux_sym_select_rank_statement_token2,
  [aux_sym_end_select_statement_token1] = aux_sym_end_select_statement_token1,
  [aux_sym_type_statement_token1] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token2] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token3] = aux_sym_type_statement_token3,
  [aux_sym__class_default_token1] = aux_sym__class_default_token1,
  [aux_sym_block_construct_token1] = aux_sym_block_construct_token1,
  [aux_sym_end_block_construct_statement_token1] = aux_sym_end_block_construct_statement_token1,
  [aux_sym_associate_statement_token1] = aux_sym_associate_statement_token1,
  [aux_sym_end_associate_statement_token1] = aux_sym_end_associate_statement_token1,
  [aux_sym_format_statement_token1] = aux_sym_format_statement_token1,
  [sym_edit_descriptor] = sym_edit_descriptor,
  [aux_sym_hollerith_constant_token1] = aux_sym_hollerith_constant_token1,
  [aux_sym_print_statement_token1] = aux_sym_print_statement_token1,
  [aux_sym_open_statement_token1] = aux_sym_open_statement_token1,
  [aux_sym_close_statement_token1] = aux_sym_close_statement_token1,
  [aux_sym_inquire_statement_token1] = aux_sym_inquire_statement_token1,
  [aux_sym_enum_statement_token1] = aux_sym_enum_statement_token1,
  [aux_sym_enumerator_statement_token1] = aux_sym_enumerator_statement_token1,
  [aux_sym_end_enum_statement_token1] = aux_sym_end_enum_statement_token1,
  [aux_sym_file_position_statement_token1] = aux_sym_file_position_statement_token1,
  [aux_sym_file_position_statement_token2] = aux_sym_file_position_statement_token2,
  [aux_sym_file_position_statement_token3] = aux_sym_file_position_statement_token3,
  [aux_sym_file_position_statement_token4] = aux_sym_file_position_statement_token4,
  [aux_sym_logical_expression_token1] = aux_sym_logical_expression_token1,
  [aux_sym_logical_expression_token2] = aux_sym_logical_expression_token2,
  [aux_sym_logical_expression_token3] = aux_sym_logical_expression_token3,
  [aux_sym_logical_expression_token4] = aux_sym_logical_expression_token4,
  [aux_sym_logical_expression_token5] = aux_sym_logical_expression_token5,
  [aux_sym_relational_expression_token1] = aux_sym_relational_expression_token1,
  [aux_sym_relational_expression_token2] = aux_sym_relational_expression_token2,
  [aux_sym_relational_expression_token3] = aux_sym_relational_expression_token3,
  [aux_sym_relational_expression_token4] = aux_sym_relational_expression_token4,
  [aux_sym_relational_expression_token5] = aux_sym_relational_expression_token5,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [aux_sym_relational_expression_token6] = aux_sym_relational_expression_token6,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_DOT] = anon_sym_DOT,
  [aux_sym_user_defined_operator_token1] = aux_sym_user_defined_operator_token1,
  [sym_assumed_rank] = sym_assumed_rank,
  [anon_sym_LPAREN_SLASH] = anon_sym_LPAREN_SLASH,
  [anon_sym_SLASH_RPAREN] = anon_sym_SLASH_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_boolean_literal_token1] = aux_sym_boolean_literal_token1,
  [aux_sym_boolean_literal_token2] = aux_sym_boolean_literal_token2,
  [anon_sym__] = anon_sym__,
  [aux_sym__kind_token1] = sym_identifier,
  [aux_sym__kind_token2] = sym_number_literal,
  [aux_sym_null_literal_token1] = aux_sym_null_literal_token1,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym_comment] = sym_comment,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym__integer_literal] = sym__integer_literal,
  [sym__float_literal] = sym__float_literal,
  [sym__boz_literal] = sym__boz_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__string_literal_kind] = sym_identifier,
  [sym__end_of_statement] = sym__end_of_statement,
  [sym__preproc_unary_operator] = sym__preproc_unary_operator,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_module] = sym_preproc_if,
  [sym_preproc_ifdef_in_module] = sym_preproc_ifdef,
  [sym_preproc_else_in_module] = sym_preproc_else,
  [sym_preproc_elif_in_module] = sym_preproc_elif,
  [sym_preproc_elifdef_in_module] = sym_preproc_elifdef,
  [sym_preproc_if_in_specification_part] = sym_preproc_if,
  [sym_preproc_ifdef_in_specification_part] = sym_preproc_ifdef,
  [sym_preproc_else_in_specification_part] = sym_preproc_else,
  [sym_preproc_elif_in_specification_part] = sym_preproc_elif,
  [sym_preproc_elifdef_in_specification_part] = sym_preproc_elifdef,
  [sym_preproc_if_in_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_statements] = sym_preproc_else,
  [sym_preproc_elif_in_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_internal_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_internal_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_internal_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_internal_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_internal_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_derived_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_derived_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_derived_type] = sym_preproc_else,
  [sym_preproc_elif_in_derived_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_derived_type] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_preproc_binary_expression,
  [sym_program] = sym_program,
  [sym_program_statement] = sym_program_statement,
  [sym_end_program_statement] = sym_end_program_statement,
  [sym_module] = sym_module,
  [sym_module_statement] = sym_module_statement,
  [sym_end_module_statement] = sym_end_module_statement,
  [sym_submodule] = sym_submodule,
  [sym_submodule_statement] = sym_submodule_statement,
  [sym_end_submodule_statement] = sym_end_submodule_statement,
  [sym_module_name] = sym_module_name,
  [sym_interface] = sym_interface,
  [sym_interface_statement] = sym_interface_statement,
  [sym_end_interface_statement] = sym_end_interface_statement,
  [sym_assignment] = sym_assignment,
  [sym_operator] = sym_operator,
  [sym_defined_io_procedure] = sym_defined_io_procedure,
  [sym__generic_procedure] = sym__generic_procedure,
  [sym_subroutine] = sym_subroutine,
  [sym_subroutine_statement] = sym_subroutine_statement,
  [sym_end_subroutine_statement] = sym_end_subroutine_statement,
  [sym_module_procedure] = sym_module_procedure,
  [sym_module_procedure_statement] = sym_module_procedure_statement,
  [sym_end_module_procedure_statement] = sym_end_module_procedure_statement,
  [sym_function] = sym_function,
  [sym_function_statement] = sym_function_statement,
  [sym_language_binding] = sym_language_binding,
  [aux_sym__callable_interface_qualifers] = aux_sym__callable_interface_qualifers,
  [sym_procedure_attributes] = sym_procedure_attributes,
  [sym_end_function_statement] = sym_end_function_statement,
  [sym_function_result] = sym_function_result,
  [sym__name] = sym__name,
  [sym__parameters] = sym__parameters,
  [sym_parameters] = sym_parameters,
  [sym_internal_procedures] = sym_internal_procedures,
  [sym_contains_statement] = sym_contains_statement,
  [sym__internal_procedures] = sym__internal_procedures,
  [sym__specification_part] = sym__specification_part,
  [sym_use_statement] = sym_use_statement,
  [sym_included_items] = sym_included_items,
  [sym_use_alias] = sym_use_alias,
  [sym_implicit_statement] = sym_implicit_statement,
  [sym_save_statement] = sym_save_statement,
  [sym_private_statement] = sym_private_statement,
  [sym_public_statement] = sym_public_statement,
  [sym_namelist_statement] = sym_namelist_statement,
  [sym_common_statement] = sym_common_statement,
  [sym_variable_group] = sym_variable_group,
  [sym_implicit_range] = sym_implicit_range,
  [sym_import_statement] = sym_import_statement,
  [sym__import_names] = sym__import_names,
  [sym_derived_type_definition] = sym_derived_type_definition,
  [sym_abstract_specifier] = sym_abstract_specifier,
  [sym_access_specifier] = sym_access_specifier,
  [sym_base_type_specifier] = sym_base_type_specifier,
  [sym__derived_type_qualifier] = sym__derived_type_qualifier,
  [sym_derived_type_statement] = sym_derived_type_statement,
  [sym_end_type_statement] = sym_end_type_statement,
  [sym__type_name] = sym__type_name,
  [sym_derived_type_procedures] = sym_derived_type_procedures,
  [sym_procedure_statement] = sym_procedure_statement,
  [sym_binding_name] = sym_binding_name,
  [sym_method_name] = sym_method_name,
  [sym__procedure_kind] = sym__procedure_kind,
  [sym_procedure_attribute] = sym_procedure_attribute,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_procedure_declaration] = sym_procedure_declaration,
  [sym_variable_modification] = sym_variable_modification,
  [sym_variable_attributes] = sym_variable_attributes,
  [sym__variable_declarator] = sym__variable_declarator,
  [sym_sized_declarator] = sym_sized_declarator,
  [sym__declaration_assignment] = sym__declaration_assignment,
  [sym__declaration_pointer_association] = sym__declaration_pointer_association,
  [sym__declaration_targets] = sym__declaration_targets,
  [sym__intrinsic_type] = sym__intrinsic_type,
  [sym_intrinsic_type] = sym_intrinsic_type,
  [sym_derived_type] = sym_derived_type,
  [sym_unlimited_polymorphic] = sym_unlimited_polymorphic,
  [sym_kind] = sym_kind,
  [sym_character_length] = sym_character_length,
  [sym__standalone_type_qualifier] = sym__standalone_type_qualifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_procedure_qualifier] = sym_procedure_qualifier,
  [sym_parameter_statement] = sym_parameter_statement,
  [sym_parameter_assignment] = sym_parameter_assignment,
  [sym_equivalence_statement] = sym_equivalence_statement,
  [sym_equivalence_set] = sym_equivalence_set,
  [sym__statements] = sym__statements,
  [sym_statement_label] = sym_statement_label,
  [sym_statement_label_reference] = sym_statement_label_reference,
  [sym_stop_statement] = sym_stop_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_pointer_association_statement] = sym_pointer_association_statement,
  [sym_subroutine_call] = sym_subroutine_call,
  [sym_cuda_kernel_argument_list] = sym_cuda_kernel_argument_list,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_include_statement] = sym_include_statement,
  [sym_data_statement] = sym_data_statement,
  [sym_data_set] = sym_data_set,
  [sym_data_value] = sym_data_value,
  [sym_do_loop_statement] = sym_do_loop_statement,
  [sym_end_do_loop_statement] = sym_end_do_loop_statement,
  [sym_do_label_statement] = sym_do_label_statement,
  [sym_end_do_label_statement] = sym_end_do_label_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_concurrent_statement] = sym_concurrent_statement,
  [sym_concurrent_header] = sym_concurrent_header,
  [sym_concurrent_control] = sym_concurrent_control,
  [sym_concurrent_locality] = sym_concurrent_locality,
  [sym_if_statement] = sym_if_statement,
  [sym__inline_if_statement] = sym__inline_if_statement,
  [sym_arithmetic_if_statement] = sym_arithmetic_if_statement,
  [sym__block_if_statement] = sym__block_if_statement,
  [sym_end_if_statement] = sym_end_if_statement,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_where_statement] = sym_where_statement,
  [sym__inline_where_statement] = sym__inline_where_statement,
  [sym__block_where_statement] = sym__block_where_statement,
  [sym_end_where_statement] = sym_end_where_statement,
  [sym_elsewhere_clause] = sym_elsewhere_clause,
  [sym_forall_statement] = sym_forall_statement,
  [sym_triplet_spec] = sym_triplet_spec,
  [sym__forall_control_expression] = sym__forall_control_expression,
  [sym__inline_forall_statement] = sym__inline_forall_statement,
  [sym__block_forall_statement] = sym__block_forall_statement,
  [sym_end_forall_statement] = sym_end_forall_statement,
  [sym_select_case_statement] = sym_select_case_statement,
  [sym_select_type_statement] = sym_select_type_statement,
  [sym_select_rank_statement] = sym_select_rank_statement,
  [sym_end_select_statement] = sym_end_select_statement,
  [sym_selector] = sym_selector,
  [sym_case_statement] = sym_case_statement,
  [sym_type_statement] = sym_type_statement,
  [sym__class_default] = sym__class_default,
  [sym_case_value_range_list] = sym_case_value_range_list,
  [sym_rank_statement] = sym_rank_statement,
  [sym_block_construct] = sym_block_construct,
  [sym_end_block_construct_statement] = sym_end_block_construct_statement,
  [sym_associate_statement] = sym_associate_statement,
  [sym_association] = sym_association,
  [sym_end_associate_statement] = sym_end_associate_statement,
  [sym_format_statement] = sym_format_statement,
  [sym__transfer_item] = sym__transfer_item,
  [sym__transfer_items] = sym__transfer_items,
  [sym_hollerith_constant] = sym_hollerith_constant,
  [sym__io_arguments] = sym__io_arguments,
  [sym_read_statement] = sym_read_statement,
  [sym__simple_read_statement] = sym__simple_read_statement,
  [sym__parameterized_read_statement] = sym__parameterized_read_statement,
  [sym_print_statement] = sym_print_statement,
  [sym_open_statement] = sym_open_statement,
  [sym_close_statement] = sym_close_statement,
  [sym_write_statement] = sym_write_statement,
  [sym_inquire_statement] = sym_inquire_statement,
  [sym_enum] = sym_enum,
  [sym_enum_statement] = sym_enum_statement,
  [sym_enumerator_statement] = sym_enumerator_statement,
  [sym_end_enum_statement] = sym_end_enum_statement,
  [sym_unit_identifier] = sym_unit_identifier,
  [sym_format_identifier] = sym_format_identifier,
  [sym__file_position_spec] = sym__file_position_spec,
  [sym_file_position_statement] = sym_file_position_statement,
  [sym__io_expressions] = sym__io_expressions,
  [sym_input_item_list] = sym_input_item_list,
  [sym_output_item_list] = sym_output_item_list,
  [sym_statement_function] = sym_statement_function,
  [sym__statement_function_arg_list] = sym_argument_list,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_derived_type_member_expression] = sym_derived_type_member_expression,
  [sym_logical_expression] = sym_logical_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_math_expression] = sym_math_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_user_defined_operator] = sym_user_defined_operator,
  [sym_call_expression] = sym_call_expression,
  [sym_implied_do_loop_expression] = sym_implied_do_loop_expression,
  [sym__argument_list] = sym__argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_extent_specifier] = sym_extent_specifier,
  [sym_assumed_size] = sym_assumed_size,
  [sym_assumed_shape] = sym_assumed_shape,
  [sym_block_label_start_expression] = sym_block_label_start_expression,
  [sym__block_label] = sym__block_label,
  [sym_loop_control_expression] = sym_loop_control_expression,
  [sym_array_literal] = sym_array_literal,
  [sym__array_constructor_legacy] = sym__array_constructor_legacy,
  [sym__array_constructor_f2003] = sym__array_constructor_f2003,
  [sym__type_spec] = sym__type_spec,
  [sym__ac_value_list] = sym__ac_value_list,
  [sym_complex_literal] = sym_complex_literal,
  [sym_number_literal] = sym_number_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym__kind] = sym__kind,
  [sym_null_literal] = sym_null_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_identifier] = sym_identifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_in_module_repeat1] = aux_sym_preproc_if_in_module_repeat1,
  [aux_sym_preproc_if_in_specification_part_repeat1] = aux_sym_preproc_if_in_specification_part_repeat1,
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = aux_sym_preproc_if_in_internal_procedures_repeat1,
  [aux_sym_preproc_if_in_derived_type_repeat1] = aux_sym_preproc_if_in_derived_type_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym_interface_repeat1] = aux_sym_interface_repeat1,
  [aux_sym_subroutine_repeat1] = aux_sym_subroutine_repeat1,
  [aux_sym_function_statement_repeat1] = aux_sym_function_statement_repeat1,
  [aux_sym_procedure_attributes_repeat1] = aux_sym_procedure_attributes_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_use_statement_repeat1] = aux_sym_use_statement_repeat1,
  [aux_sym_included_items_repeat1] = aux_sym_included_items_repeat1,
  [aux_sym_implicit_statement_repeat1] = aux_sym_implicit_statement_repeat1,
  [aux_sym_implicit_statement_repeat2] = aux_sym_implicit_statement_repeat2,
  [aux_sym_implicit_statement_repeat3] = aux_sym_implicit_statement_repeat3,
  [aux_sym_save_statement_repeat1] = aux_sym_save_statement_repeat1,
  [aux_sym_private_statement_repeat1] = aux_sym_private_statement_repeat1,
  [aux_sym_namelist_statement_repeat1] = aux_sym_namelist_statement_repeat1,
  [aux_sym_common_statement_repeat1] = aux_sym_common_statement_repeat1,
  [aux_sym_common_statement_repeat2] = aux_sym_common_statement_repeat2,
  [aux_sym_derived_type_definition_repeat1] = aux_sym_derived_type_definition_repeat1,
  [aux_sym_derived_type_statement_repeat1] = aux_sym_derived_type_statement_repeat1,
  [aux_sym_derived_type_procedures_repeat1] = aux_sym_derived_type_procedures_repeat1,
  [aux_sym_procedure_statement_repeat1] = aux_sym_procedure_statement_repeat1,
  [aux_sym_procedure_statement_repeat2] = aux_sym_procedure_statement_repeat2,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_variable_modification_repeat1] = aux_sym_variable_modification_repeat1,
  [aux_sym_variable_modification_repeat2] = aux_sym_variable_modification_repeat2,
  [aux_sym__declaration_targets_repeat1] = aux_sym__declaration_targets_repeat1,
  [aux_sym_parameter_statement_repeat1] = aux_sym_parameter_statement_repeat1,
  [aux_sym_equivalence_statement_repeat1] = aux_sym_equivalence_statement_repeat1,
  [aux_sym_equivalence_set_repeat1] = aux_sym_equivalence_set_repeat1,
  [aux_sym_cuda_kernel_argument_list_repeat1] = aux_sym_cuda_kernel_argument_list_repeat1,
  [aux_sym_keyword_statement_repeat1] = aux_sym_keyword_statement_repeat1,
  [aux_sym_data_statement_repeat1] = aux_sym_data_statement_repeat1,
  [aux_sym_data_set_repeat1] = aux_sym_data_set_repeat1,
  [aux_sym_data_value_repeat1] = aux_sym_data_value_repeat1,
  [aux_sym_concurrent_statement_repeat1] = aux_sym_concurrent_statement_repeat1,
  [aux_sym_concurrent_header_repeat1] = aux_sym_concurrent_header_repeat1,
  [aux_sym__block_if_statement_repeat1] = aux_sym__block_if_statement_repeat1,
  [aux_sym__block_where_statement_repeat1] = aux_sym__block_where_statement_repeat1,
  [aux_sym__forall_control_expression_repeat1] = aux_sym__forall_control_expression_repeat1,
  [aux_sym_select_case_statement_repeat1] = aux_sym_select_case_statement_repeat1,
  [aux_sym_select_type_statement_repeat1] = aux_sym_select_type_statement_repeat1,
  [aux_sym_select_rank_statement_repeat1] = aux_sym_select_rank_statement_repeat1,
  [aux_sym_case_value_range_list_repeat1] = aux_sym_case_value_range_list_repeat1,
  [aux_sym_associate_statement_repeat1] = aux_sym_associate_statement_repeat1,
  [aux_sym__transfer_items_repeat1] = aux_sym__transfer_items_repeat1,
  [aux_sym__io_arguments_repeat1] = aux_sym__io_arguments_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_enumerator_statement_repeat1] = aux_sym_enumerator_statement_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym__argument_list_repeat1] = aux_sym__argument_list_repeat1,
  [alias_sym_block_label] = alias_sym_block_label,
  [anon_alias_sym_class] = anon_alias_sym_class,
  [alias_sym_concurrent_mask] = alias_sym_concurrent_mask,
  [anon_alias_sym_default] = anon_alias_sym_default,
  [alias_sym_derived_type_parameter_list] = alias_sym_derived_type_parameter_list,
  [anon_alias_sym_double] = anon_alias_sym_double,
  [anon_alias_sym_else] = anon_alias_sym_else,
  [anon_alias_sym_end] = anon_alias_sym_end,
  [alias_sym_filename] = alias_sym_filename,
  [anon_alias_sym_label] = anon_alias_sym_label,
  [alias_sym_local_name] = alias_sym_local_name,
  [anon_alias_sym_method_name] = anon_alias_sym_method_name,
  [alias_sym_name] = alias_sym_name,
  [anon_alias_sym_none] = anon_alias_sym_none,
  [alias_sym_procedure_interface] = alias_sym_procedure_interface,
  [anon_alias_sym_program] = anon_alias_sym_program,
  [anon_alias_sym_select] = anon_alias_sym_select,
  [alias_sym_sequence_statement] = alias_sym_sequence_statement,
  [alias_sym_size] = alias_sym_size,
  [anon_alias_sym_statement_label] = anon_alias_sym_statement_label,
  [anon_alias_sym_statement_label_reference] = anon_alias_sym_statement_label_reference,
  [alias_sym_transfer_items] = alias_sym_transfer_items,
  [alias_sym_type_member] = alias_sym_type_member,
  [alias_sym_type_name] = alias_sym_type_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_def_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assignment_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_language_binding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_result_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_contains_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_included_items_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_implicit_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_save_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_private_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_public_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namelist_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_common_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_range_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__import_names_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_type_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__procedure_kind_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__procedure_kind_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__procedure_kind_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__procedure_kind_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_kind_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token14] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token15] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_equivalence_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_call_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_header_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__block_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__inline_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elsewhere_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__forall_control_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_forall_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_rank_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_rank_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_select_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__class_default_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_construct_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_block_construct_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_edit_descriptor] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_hollerith_constant_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_open_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_close_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_inquire_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumerator_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_defined_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_assumed_rank] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__kind_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__kind_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_null_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym__integer_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__boz_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_kind] = {
    .visible = true,
    .named = true,
  },
  [sym__end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__preproc_unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [sym_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_defined_io_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym__generic_procedure] = {
    .visible = false,
    .named = true,
  },
  [sym_subroutine] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_language_binding] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__callable_interface_qualifers] = {
    .visible = false,
    .named = false,
  },
  [sym_procedure_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_end_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_result] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_contains_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__internal_procedures] = {
    .visible = false,
    .named = true,
  },
  [sym__specification_part] = {
    .visible = false,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_included_items] = {
    .visible = true,
    .named = true,
  },
  [sym_use_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_save_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_private_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_public_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namelist_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_common_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_group] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_range] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_names] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__derived_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_name] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [sym__procedure_kind] = {
    .visible = false,
    .named = true,
  },
  [sym_procedure_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_modification] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_sized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_pointer_association] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_targets] = {
    .visible = false,
    .named = true,
  },
  [sym__intrinsic_type] = {
    .visible = false,
    .named = true,
  },
  [sym_intrinsic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unlimited_polymorphic] = {
    .visible = true,
    .named = true,
  },
  [sym_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_character_length] = {
    .visible = true,
    .named = true,
  },
  [sym__standalone_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_set] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_label_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_stop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_association_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_call] = {
    .visible = true,
    .named = true,
  },
  [sym_cuda_kernel_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_set] = {
    .visible = true,
    .named = true,
  },
  [sym_data_value] = {
    .visible = true,
    .named = true,
  },
  [sym_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_header] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_control] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_locality] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_arithmetic_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__block_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elsewhere_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_triplet_spec] = {
    .visible = true,
    .named = true,
  },
  [sym__forall_control_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__class_default] = {
    .visible = true,
    .named = true,
  },
  [sym_case_value_range_list] = {
    .visible = true,
    .named = true,
  },
  [sym_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_construct] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block_construct_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_association] = {
    .visible = true,
    .named = true,
  },
  [sym_end_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_format_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transfer_item] = {
    .visible = false,
    .named = true,
  },
  [sym__transfer_items] = {
    .visible = false,
    .named = true,
  },
  [sym_hollerith_constant] = {
    .visible = true,
    .named = true,
  },
  [sym__io_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_read_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__parameterized_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_open_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_close_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_write_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inquire_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__file_position_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_file_position_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__io_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_input_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_output_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_function] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_function_arg_list] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_math_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implied_do_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list] = {
    .visible = false,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_size] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_shape] = {
    .visible = true,
    .named = true,
  },
  [sym_block_label_start_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__block_label] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_control_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__array_constructor_legacy] = {
    .visible = false,
    .named = true,
  },
  [sym__array_constructor_f2003] = {
    .visible = false,
    .named = true,
  },
  [sym__type_spec] = {
    .visible = false,
    .named = true,
  },
  [sym__ac_value_list] = {
    .visible = false,
    .named = true,
  },
  [sym_complex_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__kind] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_specification_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_derived_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_included_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_save_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_private_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namelist_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_targets_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cuda_kernel_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_header_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_where_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__forall_control_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_rank_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_value_range_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_associate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__transfer_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__io_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_class] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_concurrent_mask] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_default] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_derived_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_end] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_label] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_local_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_method_name] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_none] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_procedure_interface] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_program] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_select] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_sequence_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_size] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_statement_label] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_statement_label_reference] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_transfer_items] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_member] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_name] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_access = 1,
  field_alternative = 2,
  field_ancestor = 3,
  field_argument = 4,
  field_arguments = 5,
  field_attribute = 6,
  field_base = 7,
  field_condition = 8,
  field_declarator = 9,
  field_directive = 10,
  field_final = 11,
  field_function = 12,
  field_initial = 13,
  field_kind = 14,
  field_left = 15,
  field_name = 16,
  field_operator = 17,
  field_parameters = 18,
  field_parent = 19,
  field_path = 20,
  field_repeat = 21,
  field_right = 22,
  field_selector = 23,
  field_step = 24,
  field_subroutine = 25,
  field_type = 26,
  field_type_param = 27,
  field_value = 28,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_access] = "access",
  [field_alternative] = "alternative",
  [field_ancestor] = "ancestor",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_base] = "base",
  [field_condition] = "condition",
  [field_declarator] = "declarator",
  [field_directive] = "directive",
  [field_final] = "final",
  [field_function] = "function",
  [field_initial] = "initial",
  [field_kind] = "kind",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_parent] = "parent",
  [field_path] = "path",
  [field_repeat] = "repeat",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_step] = "step",
  [field_subroutine] = "subroutine",
  [field_type] = "type",
  [field_type_param] = "type_param",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [6] = {.index = 0, .length = 1},
  [8] = {.index = 1, .length = 1},
  [9] = {.index = 2, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 4, .length = 2},
  [15] = {.index = 6, .length = 1},
  [19] = {.index = 7, .length = 1},
  [20] = {.index = 8, .length = 1},
  [21] = {.index = 9, .length = 2},
  [22] = {.index = 11, .length = 1},
  [23] = {.index = 12, .length = 3},
  [24] = {.index = 15, .length = 2},
  [25] = {.index = 17, .length = 1},
  [29] = {.index = 18, .length = 1},
  [30] = {.index = 19, .length = 1},
  [31] = {.index = 8, .length = 1},
  [32] = {.index = 20, .length = 2},
  [33] = {.index = 22, .length = 2},
  [34] = {.index = 24, .length = 2},
  [36] = {.index = 26, .length = 1},
  [37] = {.index = 27, .length = 1},
  [42] = {.index = 28, .length = 1},
  [47] = {.index = 29, .length = 2},
  [50] = {.index = 31, .length = 1},
  [51] = {.index = 32, .length = 2},
  [52] = {.index = 34, .length = 2},
  [53] = {.index = 36, .length = 4},
  [59] = {.index = 40, .length = 3},
  [61] = {.index = 43, .length = 2},
  [62] = {.index = 45, .length = 1},
  [63] = {.index = 46, .length = 2},
  [64] = {.index = 48, .length = 2},
  [65] = {.index = 50, .length = 1},
  [66] = {.index = 51, .length = 2},
  [68] = {.index = 53, .length = 1},
  [69] = {.index = 53, .length = 1},
  [71] = {.index = 53, .length = 1},
  [72] = {.index = 53, .length = 1},
  [85] = {.index = 54, .length = 3},
  [87] = {.index = 57, .length = 3},
  [88] = {.index = 60, .length = 3},
  [89] = {.index = 63, .length = 2},
  [91] = {.index = 65, .length = 2},
  [92] = {.index = 67, .length = 3},
  [93] = {.index = 70, .length = 2},
  [94] = {.index = 72, .length = 2},
  [95] = {.index = 74, .length = 1},
  [96] = {.index = 75, .length = 2},
  [98] = {.index = 77, .length = 2},
  [99] = {.index = 79, .length = 4},
  [100] = {.index = 83, .length = 2},
  [101] = {.index = 83, .length = 2},
  [103] = {.index = 83, .length = 2},
  [104] = {.index = 83, .length = 2},
  [111] = {.index = 85, .length = 2},
  [114] = {.index = 87, .length = 1},
  [115] = {.index = 88, .length = 3},
  [116] = {.index = 91, .length = 4},
  [117] = {.index = 95, .length = 2},
  [118] = {.index = 97, .length = 2},
  [119] = {.index = 99, .length = 1},
  [120] = {.index = 100, .length = 2},
  [122] = {.index = 102, .length = 2},
  [123] = {.index = 104, .length = 1},
  [124] = {.index = 105, .length = 2},
  [136] = {.index = 107, .length = 2},
  [137] = {.index = 109, .length = 4},
  [141] = {.index = 113, .length = 2},
  [142] = {.index = 115, .length = 2},
  [143] = {.index = 117, .length = 2},
  [144] = {.index = 119, .length = 2},
  [145] = {.index = 102, .length = 2},
  [146] = {.index = 121, .length = 4},
  [147] = {.index = 125, .length = 1},
  [148] = {.index = 126, .length = 1},
  [152] = {.index = 127, .length = 2},
  [156] = {.index = 129, .length = 2},
  [157] = {.index = 131, .length = 2},
  [158] = {.index = 133, .length = 2},
  [159] = {.index = 121, .length = 4},
  [160] = {.index = 135, .length = 2},
  [162] = {.index = 137, .length = 2},
  [164] = {.index = 126, .length = 1},
  [165] = {.index = 126, .length = 1},
  [166] = {.index = 127, .length = 2},
  [167] = {.index = 139, .length = 4},
  [168] = {.index = 143, .length = 2},
  [169] = {.index = 145, .length = 2},
  [170] = {.index = 126, .length = 1},
  [172] = {.index = 147, .length = 1},
  [173] = {.index = 147, .length = 1},
  [174] = {.index = 139, .length = 4},
  [175] = {.index = 148, .length = 2},
  [176] = {.index = 126, .length = 1},
  [177] = {.index = 150, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_type, 0, .inherited = true},
  [2] =
    {field_kind, 1, .inherited = true},
  [3] =
    {field_directive, 0},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 1},
  [7] =
    {field_subroutine, 1},
  [8] =
    {field_path, 1},
  [9] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_declarator, 0},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [15] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [17] =
    {field_kind, 1},
  [18] =
    {field_declarator, 1},
  [19] =
    {field_kind, 0},
  [20] =
    {field_arguments, 1},
    {field_function, 0},
  [22] =
    {field_argument, 1},
    {field_directive, 0},
  [24] =
    {field_name, 1},
    {field_parameters, 2},
  [26] =
    {field_access, 0},
  [27] =
    {field_base, 0},
  [28] =
    {field_type, 1, .inherited = true},
  [29] =
    {field_name, 2},
    {field_type, 0, .inherited = true},
  [31] =
    {field_type_param, 0},
  [32] =
    {field_declarator, 2, .inherited = true},
    {field_type, 0},
  [34] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [36] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [40] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [43] =
    {field_left, 0},
    {field_right, 2},
  [45] =
    {field_declarator, 2},
  [46] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [48] =
    {field_name, 1},
    {field_value, 2},
  [50] =
    {field_condition, 1},
  [51] =
    {field_alternative, 2},
    {field_name, 1},
  [53] =
    {field_name, 2},
  [54] =
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 0, .inherited = true},
  [57] =
    {field_attribute, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0},
  [60] =
    {field_declarator, 1},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [63] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [65] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
  [67] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [70] =
    {field_alternative, 3},
    {field_condition, 1},
  [72] =
    {field_alternative, 3},
    {field_name, 1},
  [74] =
    {field_ancestor, 2},
  [75] =
    {field_name, 0},
    {field_value, 2},
  [77] =
    {field_access, 1, .inherited = true},
    {field_base, 1, .inherited = true},
  [79] =
    {field_access, 0, .inherited = true},
    {field_access, 1, .inherited = true},
    {field_base, 0, .inherited = true},
    {field_base, 1, .inherited = true},
  [83] =
    {field_kind, 3},
    {field_name, 2},
  [85] =
    {field_name, 0},
    {field_selector, 2},
  [87] =
    {field_attribute, 1},
  [88] =
    {field_attribute, 2},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [91] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [95] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [97] =
    {field_alternative, 4},
    {field_condition, 1},
  [99] =
    {field_condition, 2},
  [100] =
    {field_alternative, 4},
    {field_name, 1},
  [102] =
    {field_access, 2, .inherited = true},
    {field_base, 2, .inherited = true},
  [104] =
    {field_repeat, 2, .inherited = true},
  [105] =
    {field_repeat, 0, .inherited = true},
    {field_repeat, 1, .inherited = true},
  [107] =
    {field_name, 3},
    {field_type, 0, .inherited = true},
  [109] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 5, .inherited = true},
    {field_type, 0},
  [113] =
    {field_alternative, 5},
    {field_condition, 1},
  [115] =
    {field_alternative, 4},
    {field_condition, 2},
  [117] =
    {field_alternative, 5},
    {field_name, 1},
  [119] =
    {field_ancestor, 2},
    {field_parent, 4},
  [121] =
    {field_access, 2, .inherited = true},
    {field_access, 3, .inherited = true},
    {field_base, 2, .inherited = true},
    {field_base, 3, .inherited = true},
  [125] =
    {field_repeat, 1},
  [126] =
    {field_type, 2},
  [127] =
    {field_access, 3, .inherited = true},
    {field_base, 3, .inherited = true},
  [129] =
    {field_alternative, 6},
    {field_condition, 1},
  [131] =
    {field_alternative, 5},
    {field_condition, 2},
  [133] =
    {field_alternative, 6},
    {field_name, 1},
  [135] =
    {field_repeat, 1},
    {field_repeat, 4, .inherited = true},
  [137] =
    {field_final, 4},
    {field_initial, 2},
  [139] =
    {field_access, 3, .inherited = true},
    {field_access, 4, .inherited = true},
    {field_base, 3, .inherited = true},
    {field_base, 4, .inherited = true},
  [143] =
    {field_alternative, 7},
    {field_condition, 1},
  [145] =
    {field_alternative, 6},
    {field_condition, 2},
  [147] =
    {field_type, 3},
  [148] =
    {field_alternative, 7},
    {field_condition, 2},
  [150] =
    {field_final, 4},
    {field_initial, 2},
    {field_step, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_statement_label,
  },
  [2] = {
    [0] = anon_alias_sym_end,
  },
  [3] = {
    [0] = anon_alias_sym_double,
  },
  [4] = {
    [0] = aux_sym__intrinsic_type_token8,
  },
  [5] = {
    [0] = anon_alias_sym_select,
  },
  [7] = {
    [0] = sym_type_qualifier,
  },
  [12] = {
    [0] = anon_alias_sym_program,
  },
  [13] = {
    [0] = alias_sym_name,
  },
  [14] = {
    [0] = anon_alias_sym_statement_label_reference,
  },
  [16] = {
    [1] = sym_module_name,
  },
  [17] = {
    [0] = alias_sym_type_name,
  },
  [18] = {
    [0] = aux_sym__intrinsic_type_token8,
    [1] = aux_sym__intrinsic_type_token8,
  },
  [20] = {
    [1] = alias_sym_filename,
  },
  [26] = {
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [27] = {
    [0] = aux_sym_end_enum_statement_token1,
  },
  [28] = {
    [0] = anon_alias_sym_label,
  },
  [35] = {
    [2] = sym_module_name,
  },
  [38] = {
    [1] = alias_sym_size,
  },
  [39] = {
    [1] = anon_alias_sym_none,
  },
  [40] = {
    [0] = aux_sym_end_do_loop_statement_token1,
  },
  [41] = {
    [0] = aux_sym_end_block_construct_statement_token1,
  },
  [43] = {
    [0] = aux_sym_end_module_statement_token1,
  },
  [44] = {
    [0] = aux_sym_end_submodule_statement_token1,
  },
  [45] = {
    [0] = aux_sym_end_interface_statement_token1,
  },
  [46] = {
    [0] = anon_alias_sym_method_name,
  },
  [48] = {
    [0] = aux_sym_end_type_statement_token1,
  },
  [49] = {
    [0] = alias_sym_sequence_statement,
  },
  [54] = {
    [1] = sym_number_literal,
  },
  [55] = {
    [0] = sym_assumed_size,
  },
  [56] = {
    [1] = aux_sym_end_do_loop_statement_token1,
    [2] = aux_sym_end_do_loop_statement_token1,
  },
  [57] = {
    [0] = aux_sym_end_forall_statement_token1,
  },
  [58] = {
    [0] = aux_sym_end_enum_statement_token1,
    [1] = aux_sym_end_enum_statement_token1,
  },
  [60] = {
    [2] = alias_sym_type_member,
  },
  [67] = {
    [2] = alias_sym_procedure_interface,
  },
  [69] = {
    [2] = sym_intrinsic_type,
  },
  [70] = {
    [2] = alias_sym_derived_type_parameter_list,
  },
  [71] = {
    [0] = anon_alias_sym_class,
  },
  [72] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [73] = {
    [0] = anon_alias_sym_class,
  },
  [74] = {
    [2] = aux_sym__standalone_type_qualifier_token8,
  },
  [75] = {
    [0] = aux_sym_end_do_loop_statement_token1,
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [76] = {
    [0] = alias_sym_block_label,
  },
  [77] = {
    [0] = aux_sym_end_where_statement_token1,
  },
  [78] = {
    [0] = aux_sym_end_block_construct_statement_token1,
    [1] = aux_sym_end_block_construct_statement_token1,
  },
  [79] = {
    [2] = alias_sym_transfer_items,
  },
  [80] = {
    [0] = aux_sym_end_module_statement_token1,
    [1] = aux_sym_end_module_statement_token1,
  },
  [81] = {
    [0] = aux_sym_end_submodule_statement_token1,
    [1] = aux_sym_end_submodule_statement_token1,
  },
  [82] = {
    [0] = aux_sym_end_interface_statement_token1,
    [1] = aux_sym_end_interface_statement_token1,
  },
  [83] = {
    [0] = aux_sym_end_subroutine_statement_token1,
  },
  [84] = {
    [0] = aux_sym_end_function_statement_token1,
  },
  [86] = {
    [0] = aux_sym_end_type_statement_token1,
    [1] = aux_sym_end_type_statement_token1,
  },
  [90] = {
    [0] = aux_sym_end_forall_statement_token1,
    [1] = aux_sym_end_forall_statement_token1,
  },
  [97] = {
    [4] = sym_module_name,
  },
  [101] = {
    [2] = sym_intrinsic_type,
  },
  [102] = {
    [3] = alias_sym_derived_type_parameter_list,
  },
  [103] = {
    [0] = anon_alias_sym_class,
  },
  [104] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [105] = {
    [2] = aux_sym__standalone_type_qualifier_token8,
    [3] = aux_sym__standalone_type_qualifier_token8,
  },
  [106] = {
    [0] = aux_sym_end_if_statement_token1,
  },
  [107] = {
    [0] = aux_sym_end_where_statement_token1,
    [1] = aux_sym_end_where_statement_token1,
  },
  [108] = {
    [0] = aux_sym_end_select_statement_token1,
  },
  [109] = {
    [0] = aux_sym_select_type_statement_token1,
  },
  [110] = {
    [0] = aux_sym_select_rank_statement_token2,
  },
  [112] = {
    [0] = aux_sym_end_subroutine_statement_token1,
    [1] = aux_sym_end_subroutine_statement_token1,
  },
  [113] = {
    [0] = aux_sym_end_function_statement_token1,
    [1] = aux_sym_end_function_statement_token1,
  },
  [121] = {
    [0] = alias_sym_local_name,
  },
  [125] = {
    [0] = anon_alias_sym_default,
    [2] = anon_alias_sym_none,
  },
  [126] = {
    [0] = aux_sym_end_if_statement_token1,
    [1] = aux_sym_end_if_statement_token1,
  },
  [127] = {
    [0] = anon_alias_sym_else,
  },
  [128] = {
    [1] = aux_sym_elseif_clause_token1,
  },
  [129] = {
    [0] = aux_sym_select_type_statement_token1,
    [1] = aux_sym_select_type_statement_token1,
  },
  [130] = {
    [1] = aux_sym_select_case_statement_token1,
  },
  [131] = {
    [0] = aux_sym_select_rank_statement_token2,
    [1] = aux_sym_select_rank_statement_token2,
  },
  [132] = {
    [1] = sym__class_default,
  },
  [133] = {
    [0] = aux_sym_end_select_statement_token1,
    [1] = aux_sym_end_select_statement_token1,
  },
  [134] = {
    [0] = aux_sym_end_associate_statement_token1,
  },
  [135] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
  },
  [138] = {
    [4] = alias_sym_derived_type_parameter_list,
  },
  [139] = {
    [1] = aux_sym_select_type_statement_token1,
  },
  [140] = {
    [1] = aux_sym_select_rank_statement_token2,
  },
  [145] = {
    [5] = alias_sym_derived_type_parameter_list,
  },
  [149] = {
    [4] = alias_sym_concurrent_mask,
  },
  [150] = {
    [0] = aux_sym_end_associate_statement_token1,
    [1] = aux_sym_end_associate_statement_token1,
  },
  [151] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
    [1] = aux_sym_end_module_procedure_statement_token1,
  },
  [153] = {
    [1] = aux_sym_select_type_statement_token1,
    [2] = aux_sym_select_type_statement_token1,
  },
  [154] = {
    [1] = aux_sym_select_case_statement_token1,
    [2] = aux_sym_select_case_statement_token1,
  },
  [155] = {
    [1] = aux_sym_select_rank_statement_token2,
    [2] = aux_sym_select_rank_statement_token2,
  },
  [159] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [161] = {
    [5] = alias_sym_concurrent_mask,
  },
  [163] = {
    [0] = aux_sym_elseif_clause_token2,
  },
  [164] = {
    [0] = aux_sym_type_statement_token1,
  },
  [165] = {
    [0] = aux_sym_type_statement_token3,
  },
  [166] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [170] = {
    [6] = alias_sym_concurrent_mask,
  },
  [171] = {
    [0] = aux_sym_elseif_clause_token2,
    [1] = aux_sym_elseif_clause_token2,
  },
  [172] = {
    [0] = aux_sym_type_statement_token1,
  },
  [173] = {
    [0] = aux_sym_type_statement_token3,
    [1] = aux_sym_type_statement_token3,
  },
  [174] = {
    [7] = alias_sym_derived_type_parameter_list,
  },
  [176] = {
    [7] = alias_sym_concurrent_mask,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__intrinsic_type, 2,
    sym__intrinsic_type,
    sym_intrinsic_type,
  sym__standalone_type_qualifier, 2,
    sym__standalone_type_qualifier,
    sym_type_qualifier,
  sym_statement_label, 2,
    sym_statement_label,
    anon_alias_sym_statement_label_reference,
  sym__transfer_items, 2,
    sym__transfer_items,
    alias_sym_transfer_items,
  sym__expression, 2,
    sym__expression,
    alias_sym_concurrent_mask,
  sym_argument_list, 3,
    sym_argument_list,
    alias_sym_derived_type_parameter_list,
    alias_sym_size,
  sym_string_literal, 2,
    sym_string_literal,
    alias_sym_filename,
  sym_identifier, 10,
    sym_identifier,
    alias_sym_block_label,
    alias_sym_local_name,
    alias_sym_name,
    alias_sym_procedure_interface,
    alias_sym_type_member,
    alias_sym_type_name,
    anon_alias_sym_label,
    anon_alias_sym_method_name,
    sym_module_name,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 9,
  [12] = 12,
  [13] = 9,
  [14] = 12,
  [15] = 12,
  [16] = 10,
  [17] = 10,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 22,
  [26] = 23,
  [27] = 22,
  [28] = 20,
  [29] = 29,
  [30] = 23,
  [31] = 31,
  [32] = 21,
  [33] = 33,
  [34] = 34,
  [35] = 20,
  [36] = 21,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 38,
  [46] = 46,
  [47] = 38,
  [48] = 48,
  [49] = 48,
  [50] = 50,
  [51] = 48,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 53,
  [56] = 54,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 52,
  [61] = 53,
  [62] = 54,
  [63] = 52,
  [64] = 64,
  [65] = 65,
  [66] = 65,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 64,
  [72] = 67,
  [73] = 65,
  [74] = 67,
  [75] = 64,
  [76] = 76,
  [77] = 76,
  [78] = 65,
  [79] = 65,
  [80] = 65,
  [81] = 67,
  [82] = 64,
  [83] = 68,
  [84] = 69,
  [85] = 76,
  [86] = 67,
  [87] = 70,
  [88] = 68,
  [89] = 70,
  [90] = 64,
  [91] = 91,
  [92] = 67,
  [93] = 64,
  [94] = 67,
  [95] = 76,
  [96] = 65,
  [97] = 67,
  [98] = 65,
  [99] = 76,
  [100] = 68,
  [101] = 76,
  [102] = 70,
  [103] = 64,
  [104] = 64,
  [105] = 67,
  [106] = 64,
  [107] = 76,
  [108] = 65,
  [109] = 67,
  [110] = 69,
  [111] = 76,
  [112] = 68,
  [113] = 70,
  [114] = 65,
  [115] = 64,
  [116] = 65,
  [117] = 67,
  [118] = 76,
  [119] = 64,
  [120] = 76,
  [121] = 65,
  [122] = 67,
  [123] = 76,
  [124] = 68,
  [125] = 68,
  [126] = 69,
  [127] = 68,
  [128] = 70,
  [129] = 70,
  [130] = 70,
  [131] = 64,
  [132] = 76,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 133,
  [140] = 138,
  [141] = 141,
  [142] = 137,
  [143] = 138,
  [144] = 134,
  [145] = 141,
  [146] = 146,
  [147] = 137,
  [148] = 146,
  [149] = 141,
  [150] = 134,
  [151] = 151,
  [152] = 146,
  [153] = 135,
  [154] = 135,
  [155] = 135,
  [156] = 133,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 138,
  [161] = 134,
  [162] = 141,
  [163] = 133,
  [164] = 146,
  [165] = 165,
  [166] = 137,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 170,
  [172] = 169,
  [173] = 168,
  [174] = 170,
  [175] = 168,
  [176] = 169,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 187,
  [189] = 187,
  [190] = 187,
  [191] = 191,
  [192] = 191,
  [193] = 191,
  [194] = 194,
  [195] = 194,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 197,
  [200] = 200,
  [201] = 201,
  [202] = 194,
  [203] = 203,
  [204] = 203,
  [205] = 205,
  [206] = 197,
  [207] = 201,
  [208] = 203,
  [209] = 201,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 218,
  [220] = 218,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 228,
  [231] = 222,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 233,
  [237] = 223,
  [238] = 238,
  [239] = 234,
  [240] = 238,
  [241] = 241,
  [242] = 233,
  [243] = 243,
  [244] = 243,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 234,
  [254] = 254,
  [255] = 250,
  [256] = 238,
  [257] = 247,
  [258] = 222,
  [259] = 225,
  [260] = 243,
  [261] = 261,
  [262] = 245,
  [263] = 263,
  [264] = 245,
  [265] = 250,
  [266] = 247,
  [267] = 235,
  [268] = 223,
  [269] = 247,
  [270] = 228,
  [271] = 225,
  [272] = 228,
  [273] = 241,
  [274] = 235,
  [275] = 245,
  [276] = 241,
  [277] = 277,
  [278] = 250,
  [279] = 225,
  [280] = 235,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 282,
  [285] = 282,
  [286] = 282,
  [287] = 287,
  [288] = 281,
  [289] = 289,
  [290] = 290,
  [291] = 289,
  [292] = 282,
  [293] = 282,
  [294] = 283,
  [295] = 289,
  [296] = 287,
  [297] = 290,
  [298] = 283,
  [299] = 287,
  [300] = 281,
  [301] = 289,
  [302] = 290,
  [303] = 290,
  [304] = 282,
  [305] = 283,
  [306] = 287,
  [307] = 281,
  [308] = 289,
  [309] = 290,
  [310] = 289,
  [311] = 281,
  [312] = 282,
  [313] = 283,
  [314] = 281,
  [315] = 289,
  [316] = 282,
  [317] = 282,
  [318] = 289,
  [319] = 281,
  [320] = 290,
  [321] = 287,
  [322] = 289,
  [323] = 290,
  [324] = 281,
  [325] = 281,
  [326] = 289,
  [327] = 290,
  [328] = 281,
  [329] = 282,
  [330] = 281,
  [331] = 290,
  [332] = 283,
  [333] = 287,
  [334] = 289,
  [335] = 290,
  [336] = 290,
  [337] = 282,
  [338] = 283,
  [339] = 287,
  [340] = 287,
  [341] = 281,
  [342] = 289,
  [343] = 290,
  [344] = 283,
  [345] = 345,
  [346] = 345,
  [347] = 347,
  [348] = 345,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 347,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 347,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 378,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 384,
  [387] = 384,
  [388] = 378,
  [389] = 385,
  [390] = 390,
  [391] = 391,
  [392] = 385,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 347,
  [407] = 407,
  [408] = 408,
  [409] = 347,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 347,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 347,
  [427] = 347,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 347,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 347,
  [460] = 347,
  [461] = 347,
  [462] = 462,
  [463] = 347,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 347,
  [469] = 469,
  [470] = 470,
  [471] = 347,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 558,
  [560] = 560,
  [561] = 490,
  [562] = 476,
  [563] = 491,
  [564] = 483,
  [565] = 491,
  [566] = 566,
  [567] = 567,
  [568] = 483,
  [569] = 478,
  [570] = 478,
  [571] = 479,
  [572] = 487,
  [573] = 481,
  [574] = 476,
  [575] = 486,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 490,
  [580] = 487,
  [581] = 486,
  [582] = 485,
  [583] = 484,
  [584] = 485,
  [585] = 484,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 480,
  [592] = 477,
  [593] = 578,
  [594] = 475,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 475,
  [599] = 597,
  [600] = 477,
  [601] = 601,
  [602] = 602,
  [603] = 596,
  [604] = 480,
  [605] = 481,
  [606] = 595,
  [607] = 479,
  [608] = 602,
  [609] = 601,
  [610] = 610,
  [611] = 576,
  [612] = 612,
  [613] = 524,
  [614] = 504,
  [615] = 532,
  [616] = 537,
  [617] = 538,
  [618] = 512,
  [619] = 619,
  [620] = 551,
  [621] = 507,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 546,
  [626] = 517,
  [627] = 494,
  [628] = 515,
  [629] = 497,
  [630] = 498,
  [631] = 500,
  [632] = 502,
  [633] = 503,
  [634] = 634,
  [635] = 532,
  [636] = 555,
  [637] = 537,
  [638] = 526,
  [639] = 622,
  [640] = 541,
  [641] = 508,
  [642] = 642,
  [643] = 513,
  [644] = 503,
  [645] = 645,
  [646] = 556,
  [647] = 514,
  [648] = 538,
  [649] = 502,
  [650] = 650,
  [651] = 651,
  [652] = 516,
  [653] = 518,
  [654] = 519,
  [655] = 520,
  [656] = 521,
  [657] = 523,
  [658] = 554,
  [659] = 525,
  [660] = 535,
  [661] = 661,
  [662] = 542,
  [663] = 500,
  [664] = 543,
  [665] = 509,
  [666] = 530,
  [667] = 498,
  [668] = 522,
  [669] = 497,
  [670] = 533,
  [671] = 650,
  [672] = 555,
  [673] = 529,
  [674] = 536,
  [675] = 540,
  [676] = 539,
  [677] = 547,
  [678] = 541,
  [679] = 542,
  [680] = 556,
  [681] = 543,
  [682] = 548,
  [683] = 492,
  [684] = 549,
  [685] = 528,
  [686] = 528,
  [687] = 544,
  [688] = 549,
  [689] = 529,
  [690] = 535,
  [691] = 492,
  [692] = 545,
  [693] = 509,
  [694] = 694,
  [695] = 546,
  [696] = 544,
  [697] = 552,
  [698] = 557,
  [699] = 545,
  [700] = 548,
  [701] = 510,
  [702] = 511,
  [703] = 547,
  [704] = 505,
  [705] = 539,
  [706] = 526,
  [707] = 554,
  [708] = 708,
  [709] = 553,
  [710] = 650,
  [711] = 622,
  [712] = 540,
  [713] = 634,
  [714] = 512,
  [715] = 513,
  [716] = 619,
  [717] = 536,
  [718] = 550,
  [719] = 501,
  [720] = 522,
  [721] = 634,
  [722] = 619,
  [723] = 533,
  [724] = 552,
  [725] = 551,
  [726] = 726,
  [727] = 550,
  [728] = 557,
  [729] = 708,
  [730] = 505,
  [731] = 517,
  [732] = 516,
  [733] = 496,
  [734] = 530,
  [735] = 735,
  [736] = 506,
  [737] = 499,
  [738] = 495,
  [739] = 553,
  [740] = 708,
  [741] = 623,
  [742] = 508,
  [743] = 534,
  [744] = 531,
  [745] = 493,
  [746] = 527,
  [747] = 708,
  [748] = 494,
  [749] = 495,
  [750] = 515,
  [751] = 708,
  [752] = 507,
  [753] = 496,
  [754] = 506,
  [755] = 755,
  [756] = 708,
  [757] = 518,
  [758] = 623,
  [759] = 534,
  [760] = 531,
  [761] = 499,
  [762] = 762,
  [763] = 493,
  [764] = 514,
  [765] = 504,
  [766] = 527,
  [767] = 510,
  [768] = 511,
  [769] = 525,
  [770] = 524,
  [771] = 523,
  [772] = 521,
  [773] = 520,
  [774] = 519,
  [775] = 501,
  [776] = 776,
  [777] = 776,
  [778] = 776,
  [779] = 779,
  [780] = 776,
  [781] = 781,
  [782] = 776,
  [783] = 776,
  [784] = 776,
  [785] = 776,
  [786] = 776,
  [787] = 776,
  [788] = 779,
  [789] = 776,
  [790] = 790,
  [791] = 776,
  [792] = 776,
  [793] = 779,
  [794] = 776,
  [795] = 776,
  [796] = 796,
  [797] = 796,
  [798] = 191,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 191,
  [824] = 474,
  [825] = 489,
  [826] = 488,
  [827] = 482,
  [828] = 815,
  [829] = 817,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 509,
  [838] = 805,
  [839] = 804,
  [840] = 840,
  [841] = 841,
  [842] = 831,
  [843] = 843,
  [844] = 510,
  [845] = 511,
  [846] = 808,
  [847] = 809,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 512,
  [854] = 854,
  [855] = 855,
  [856] = 513,
  [857] = 818,
  [858] = 858,
  [859] = 800,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 830,
  [865] = 865,
  [866] = 858,
  [867] = 865,
  [868] = 834,
  [869] = 833,
  [870] = 516,
  [871] = 811,
  [872] = 813,
  [873] = 810,
  [874] = 819,
  [875] = 875,
  [876] = 805,
  [877] = 804,
  [878] = 878,
  [879] = 803,
  [880] = 812,
  [881] = 881,
  [882] = 799,
  [883] = 817,
  [884] = 884,
  [885] = 885,
  [886] = 841,
  [887] = 808,
  [888] = 809,
  [889] = 858,
  [890] = 865,
  [891] = 816,
  [892] = 841,
  [893] = 815,
  [894] = 863,
  [895] = 862,
  [896] = 852,
  [897] = 495,
  [898] = 499,
  [899] = 885,
  [900] = 851,
  [901] = 875,
  [902] = 807,
  [903] = 814,
  [904] = 878,
  [905] = 818,
  [906] = 800,
  [907] = 496,
  [908] = 850,
  [909] = 852,
  [910] = 849,
  [911] = 861,
  [912] = 860,
  [913] = 884,
  [914] = 851,
  [915] = 505,
  [916] = 848,
  [917] = 885,
  [918] = 801,
  [919] = 843,
  [920] = 802,
  [921] = 850,
  [922] = 881,
  [923] = 843,
  [924] = 831,
  [925] = 811,
  [926] = 855,
  [927] = 854,
  [928] = 802,
  [929] = 801,
  [930] = 810,
  [931] = 819,
  [932] = 835,
  [933] = 836,
  [934] = 834,
  [935] = 832,
  [936] = 832,
  [937] = 862,
  [938] = 863,
  [939] = 881,
  [940] = 884,
  [941] = 878,
  [942] = 803,
  [943] = 840,
  [944] = 875,
  [945] = 833,
  [946] = 812,
  [947] = 506,
  [948] = 830,
  [949] = 834,
  [950] = 861,
  [951] = 860,
  [952] = 848,
  [953] = 799,
  [954] = 855,
  [955] = 849,
  [956] = 849,
  [957] = 850,
  [958] = 840,
  [959] = 862,
  [960] = 863,
  [961] = 865,
  [962] = 504,
  [963] = 858,
  [964] = 814,
  [965] = 807,
  [966] = 501,
  [967] = 884,
  [968] = 881,
  [969] = 878,
  [970] = 875,
  [971] = 816,
  [972] = 830,
  [973] = 861,
  [974] = 860,
  [975] = 836,
  [976] = 855,
  [977] = 848,
  [978] = 854,
  [979] = 835,
  [980] = 840,
  [981] = 836,
  [982] = 835,
  [983] = 854,
  [984] = 984,
  [985] = 985,
  [986] = 800,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 818,
  [992] = 985,
  [993] = 993,
  [994] = 499,
  [995] = 995,
  [996] = 800,
  [997] = 809,
  [998] = 998,
  [999] = 505,
  [1000] = 495,
  [1001] = 501,
  [1002] = 504,
  [1003] = 506,
  [1004] = 496,
  [1005] = 1005,
  [1006] = 998,
  [1007] = 809,
  [1008] = 816,
  [1009] = 1009,
  [1010] = 513,
  [1011] = 510,
  [1012] = 1012,
  [1013] = 512,
  [1014] = 495,
  [1015] = 505,
  [1016] = 511,
  [1017] = 1017,
  [1018] = 510,
  [1019] = 815,
  [1020] = 513,
  [1021] = 808,
  [1022] = 808,
  [1023] = 506,
  [1024] = 1024,
  [1025] = 807,
  [1026] = 1026,
  [1027] = 511,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 814,
  [1031] = 1031,
  [1032] = 509,
  [1033] = 496,
  [1034] = 1034,
  [1035] = 817,
  [1036] = 1036,
  [1037] = 799,
  [1038] = 800,
  [1039] = 1024,
  [1040] = 511,
  [1041] = 812,
  [1042] = 511,
  [1043] = 1009,
  [1044] = 1005,
  [1045] = 510,
  [1046] = 1046,
  [1047] = 998,
  [1048] = 1029,
  [1049] = 801,
  [1050] = 1028,
  [1051] = 802,
  [1052] = 509,
  [1053] = 512,
  [1054] = 993,
  [1055] = 985,
  [1056] = 1056,
  [1057] = 1036,
  [1058] = 817,
  [1059] = 1059,
  [1060] = 818,
  [1061] = 516,
  [1062] = 984,
  [1063] = 799,
  [1064] = 803,
  [1065] = 812,
  [1066] = 1026,
  [1067] = 995,
  [1068] = 814,
  [1069] = 1028,
  [1070] = 803,
  [1071] = 990,
  [1072] = 1034,
  [1073] = 499,
  [1074] = 804,
  [1075] = 801,
  [1076] = 988,
  [1077] = 1029,
  [1078] = 805,
  [1079] = 802,
  [1080] = 989,
  [1081] = 1056,
  [1082] = 516,
  [1083] = 984,
  [1084] = 811,
  [1085] = 1046,
  [1086] = 1034,
  [1087] = 989,
  [1088] = 496,
  [1089] = 1046,
  [1090] = 505,
  [1091] = 819,
  [1092] = 810,
  [1093] = 984,
  [1094] = 804,
  [1095] = 1028,
  [1096] = 805,
  [1097] = 516,
  [1098] = 811,
  [1099] = 1034,
  [1100] = 988,
  [1101] = 1101,
  [1102] = 810,
  [1103] = 506,
  [1104] = 819,
  [1105] = 1026,
  [1106] = 987,
  [1107] = 1012,
  [1108] = 807,
  [1109] = 1101,
  [1110] = 509,
  [1111] = 1059,
  [1112] = 1059,
  [1113] = 1113,
  [1114] = 504,
  [1115] = 1115,
  [1116] = 501,
  [1117] = 1024,
  [1118] = 809,
  [1119] = 803,
  [1120] = 1120,
  [1121] = 1056,
  [1122] = 1122,
  [1123] = 810,
  [1124] = 512,
  [1125] = 1036,
  [1126] = 496,
  [1127] = 513,
  [1128] = 499,
  [1129] = 811,
  [1130] = 819,
  [1131] = 495,
  [1132] = 1009,
  [1133] = 1005,
  [1134] = 516,
  [1135] = 987,
  [1136] = 509,
  [1137] = 1012,
  [1138] = 1046,
  [1139] = 805,
  [1140] = 804,
  [1141] = 812,
  [1142] = 504,
  [1143] = 803,
  [1144] = 1122,
  [1145] = 993,
  [1146] = 812,
  [1147] = 811,
  [1148] = 808,
  [1149] = 1120,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1150,
  [1153] = 799,
  [1154] = 501,
  [1155] = 990,
  [1156] = 802,
  [1157] = 995,
  [1158] = 800,
  [1159] = 817,
  [1160] = 510,
  [1161] = 1151,
  [1162] = 1017,
  [1163] = 1017,
  [1164] = 1031,
  [1165] = 501,
  [1166] = 504,
  [1167] = 1031,
  [1168] = 818,
  [1169] = 1031,
  [1170] = 1024,
  [1171] = 808,
  [1172] = 1151,
  [1173] = 809,
  [1174] = 1122,
  [1175] = 816,
  [1176] = 815,
  [1177] = 818,
  [1178] = 1036,
  [1179] = 988,
  [1180] = 989,
  [1181] = 807,
  [1182] = 814,
  [1183] = 506,
  [1184] = 512,
  [1185] = 799,
  [1186] = 482,
  [1187] = 488,
  [1188] = 985,
  [1189] = 993,
  [1190] = 489,
  [1191] = 817,
  [1192] = 505,
  [1193] = 474,
  [1194] = 987,
  [1195] = 1012,
  [1196] = 1017,
  [1197] = 810,
  [1198] = 804,
  [1199] = 805,
  [1200] = 816,
  [1201] = 802,
  [1202] = 801,
  [1203] = 819,
  [1204] = 995,
  [1205] = 990,
  [1206] = 998,
  [1207] = 801,
  [1208] = 1101,
  [1209] = 513,
  [1210] = 1120,
  [1211] = 1150,
  [1212] = 1122,
  [1213] = 816,
  [1214] = 1005,
  [1215] = 1009,
  [1216] = 499,
  [1217] = 815,
  [1218] = 815,
  [1219] = 807,
  [1220] = 495,
  [1221] = 814,
  [1222] = 504,
  [1223] = 810,
  [1224] = 807,
  [1225] = 817,
  [1226] = 803,
  [1227] = 811,
  [1228] = 812,
  [1229] = 505,
  [1230] = 814,
  [1231] = 819,
  [1232] = 799,
  [1233] = 816,
  [1234] = 516,
  [1235] = 495,
  [1236] = 809,
  [1237] = 499,
  [1238] = 496,
  [1239] = 808,
  [1240] = 815,
  [1241] = 801,
  [1242] = 802,
  [1243] = 800,
  [1244] = 511,
  [1245] = 510,
  [1246] = 506,
  [1247] = 818,
  [1248] = 513,
  [1249] = 501,
  [1250] = 512,
  [1251] = 509,
  [1252] = 804,
  [1253] = 805,
  [1254] = 812,
  [1255] = 816,
  [1256] = 807,
  [1257] = 509,
  [1258] = 814,
  [1259] = 505,
  [1260] = 801,
  [1261] = 802,
  [1262] = 513,
  [1263] = 818,
  [1264] = 501,
  [1265] = 496,
  [1266] = 805,
  [1267] = 506,
  [1268] = 809,
  [1269] = 808,
  [1270] = 510,
  [1271] = 804,
  [1272] = 516,
  [1273] = 815,
  [1274] = 504,
  [1275] = 511,
  [1276] = 811,
  [1277] = 800,
  [1278] = 810,
  [1279] = 817,
  [1280] = 799,
  [1281] = 495,
  [1282] = 512,
  [1283] = 499,
  [1284] = 803,
  [1285] = 819,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1287,
  [1289] = 1287,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 488,
  [1297] = 482,
  [1298] = 1298,
  [1299] = 474,
  [1300] = 489,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 513,
  [1305] = 512,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 809,
  [1313] = 1313,
  [1314] = 808,
  [1315] = 1315,
  [1316] = 1303,
  [1317] = 511,
  [1318] = 510,
  [1319] = 506,
  [1320] = 504,
  [1321] = 501,
  [1322] = 1322,
  [1323] = 804,
  [1324] = 805,
  [1325] = 1308,
  [1326] = 509,
  [1327] = 1327,
  [1328] = 1315,
  [1329] = 1313,
  [1330] = 1327,
  [1331] = 495,
  [1332] = 1322,
  [1333] = 499,
  [1334] = 1309,
  [1335] = 496,
  [1336] = 802,
  [1337] = 801,
  [1338] = 1311,
  [1339] = 814,
  [1340] = 1302,
  [1341] = 1341,
  [1342] = 505,
  [1343] = 516,
  [1344] = 812,
  [1345] = 818,
  [1346] = 811,
  [1347] = 1341,
  [1348] = 810,
  [1349] = 799,
  [1350] = 816,
  [1351] = 800,
  [1352] = 1307,
  [1353] = 815,
  [1354] = 1310,
  [1355] = 819,
  [1356] = 807,
  [1357] = 817,
  [1358] = 1358,
  [1359] = 1301,
  [1360] = 1306,
  [1361] = 1361,
  [1362] = 1361,
  [1363] = 1358,
  [1364] = 803,
  [1365] = 1365,
  [1366] = 799,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 800,
  [1371] = 818,
  [1372] = 482,
  [1373] = 488,
  [1374] = 513,
  [1375] = 489,
  [1376] = 814,
  [1377] = 512,
  [1378] = 807,
  [1379] = 815,
  [1380] = 814,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 807,
  [1384] = 816,
  [1385] = 1385,
  [1386] = 815,
  [1387] = 1369,
  [1388] = 1388,
  [1389] = 816,
  [1390] = 501,
  [1391] = 504,
  [1392] = 474,
  [1393] = 809,
  [1394] = 1115,
  [1395] = 809,
  [1396] = 802,
  [1397] = 808,
  [1398] = 808,
  [1399] = 801,
  [1400] = 495,
  [1401] = 509,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1404,
  [1407] = 511,
  [1408] = 510,
  [1409] = 506,
  [1410] = 1405,
  [1411] = 1382,
  [1412] = 510,
  [1413] = 511,
  [1414] = 817,
  [1415] = 817,
  [1416] = 799,
  [1417] = 811,
  [1418] = 812,
  [1419] = 803,
  [1420] = 812,
  [1421] = 506,
  [1422] = 1368,
  [1423] = 1381,
  [1424] = 1424,
  [1425] = 1388,
  [1426] = 803,
  [1427] = 804,
  [1428] = 805,
  [1429] = 504,
  [1430] = 1424,
  [1431] = 800,
  [1432] = 501,
  [1433] = 1403,
  [1434] = 512,
  [1435] = 513,
  [1436] = 1436,
  [1437] = 509,
  [1438] = 495,
  [1439] = 1439,
  [1440] = 819,
  [1441] = 499,
  [1442] = 496,
  [1443] = 804,
  [1444] = 805,
  [1445] = 810,
  [1446] = 1402,
  [1447] = 1436,
  [1448] = 818,
  [1449] = 499,
  [1450] = 1385,
  [1451] = 496,
  [1452] = 1452,
  [1453] = 801,
  [1454] = 474,
  [1455] = 489,
  [1456] = 1452,
  [1457] = 516,
  [1458] = 505,
  [1459] = 1459,
  [1460] = 819,
  [1461] = 488,
  [1462] = 482,
  [1463] = 1463,
  [1464] = 1439,
  [1465] = 802,
  [1466] = 516,
  [1467] = 505,
  [1468] = 1459,
  [1469] = 1367,
  [1470] = 811,
  [1471] = 810,
  [1472] = 1472,
  [1473] = 1115,
  [1474] = 809,
  [1475] = 816,
  [1476] = 513,
  [1477] = 818,
  [1478] = 802,
  [1479] = 803,
  [1480] = 819,
  [1481] = 800,
  [1482] = 516,
  [1483] = 812,
  [1484] = 505,
  [1485] = 801,
  [1486] = 815,
  [1487] = 496,
  [1488] = 807,
  [1489] = 810,
  [1490] = 509,
  [1491] = 512,
  [1492] = 808,
  [1493] = 511,
  [1494] = 805,
  [1495] = 811,
  [1496] = 499,
  [1497] = 495,
  [1498] = 804,
  [1499] = 501,
  [1500] = 504,
  [1501] = 510,
  [1502] = 814,
  [1503] = 506,
  [1504] = 817,
  [1505] = 799,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1506,
  [1509] = 1509,
  [1510] = 1507,
  [1511] = 482,
  [1512] = 474,
  [1513] = 1513,
  [1514] = 505,
  [1515] = 488,
  [1516] = 474,
  [1517] = 489,
  [1518] = 499,
  [1519] = 489,
  [1520] = 496,
  [1521] = 488,
  [1522] = 495,
  [1523] = 482,
  [1524] = 1524,
  [1525] = 501,
  [1526] = 504,
  [1527] = 506,
  [1528] = 504,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 496,
  [1533] = 1533,
  [1534] = 505,
  [1535] = 1535,
  [1536] = 1529,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1535,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 499,
  [1544] = 1530,
  [1545] = 1545,
  [1546] = 1529,
  [1547] = 1547,
  [1548] = 495,
  [1549] = 1537,
  [1550] = 1539,
  [1551] = 1542,
  [1552] = 1530,
  [1553] = 1538,
  [1554] = 1524,
  [1555] = 501,
  [1556] = 1556,
  [1557] = 1533,
  [1558] = 1535,
  [1559] = 506,
  [1560] = 1541,
  [1561] = 1545,
  [1562] = 1533,
  [1563] = 1542,
  [1564] = 1537,
  [1565] = 1531,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1545,
  [1569] = 1566,
  [1570] = 1570,
  [1571] = 1547,
  [1572] = 1513,
  [1573] = 1531,
  [1574] = 506,
  [1575] = 1541,
  [1576] = 1547,
  [1577] = 1538,
  [1578] = 504,
  [1579] = 1556,
  [1580] = 1570,
  [1581] = 501,
  [1582] = 495,
  [1583] = 499,
  [1584] = 496,
  [1585] = 505,
  [1586] = 1524,
  [1587] = 1567,
  [1588] = 1539,
  [1589] = 1567,
  [1590] = 1566,
  [1591] = 1570,
  [1592] = 1513,
  [1593] = 1556,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1594,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1601,
  [1606] = 1599,
  [1607] = 1600,
  [1608] = 1598,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1595,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 505,
  [1619] = 1617,
  [1620] = 496,
  [1621] = 1616,
  [1622] = 499,
  [1623] = 1600,
  [1624] = 1602,
  [1625] = 1595,
  [1626] = 1603,
  [1627] = 506,
  [1628] = 504,
  [1629] = 501,
  [1630] = 1614,
  [1631] = 1613,
  [1632] = 1596,
  [1633] = 495,
  [1634] = 499,
  [1635] = 1602,
  [1636] = 1603,
  [1637] = 1604,
  [1638] = 1601,
  [1639] = 1612,
  [1640] = 1599,
  [1641] = 1594,
  [1642] = 1598,
  [1643] = 1609,
  [1644] = 1610,
  [1645] = 1611,
  [1646] = 1612,
  [1647] = 1613,
  [1648] = 1614,
  [1649] = 495,
  [1650] = 1616,
  [1651] = 1617,
  [1652] = 496,
  [1653] = 505,
  [1654] = 1604,
  [1655] = 1596,
  [1656] = 1609,
  [1657] = 501,
  [1658] = 504,
  [1659] = 1610,
  [1660] = 506,
  [1661] = 505,
  [1662] = 1611,
  [1663] = 496,
  [1664] = 506,
  [1665] = 504,
  [1666] = 501,
  [1667] = 495,
  [1668] = 499,
  [1669] = 1669,
  [1670] = 1669,
  [1671] = 1669,
  [1672] = 1672,
  [1673] = 1672,
  [1674] = 1672,
  [1675] = 1675,
  [1676] = 1669,
  [1677] = 1672,
  [1678] = 1672,
  [1679] = 504,
  [1680] = 1524,
  [1681] = 505,
  [1682] = 506,
  [1683] = 482,
  [1684] = 496,
  [1685] = 1685,
  [1686] = 501,
  [1687] = 1513,
  [1688] = 1688,
  [1689] = 506,
  [1690] = 1524,
  [1691] = 504,
  [1692] = 501,
  [1693] = 495,
  [1694] = 495,
  [1695] = 499,
  [1696] = 1513,
  [1697] = 496,
  [1698] = 499,
  [1699] = 505,
  [1700] = 488,
  [1701] = 489,
  [1702] = 474,
  [1703] = 1513,
  [1704] = 506,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 506,
  [1708] = 1513,
  [1709] = 504,
  [1710] = 501,
  [1711] = 495,
  [1712] = 499,
  [1713] = 1513,
  [1714] = 496,
  [1715] = 505,
  [1716] = 1716,
  [1717] = 1524,
  [1718] = 504,
  [1719] = 1524,
  [1720] = 501,
  [1721] = 495,
  [1722] = 499,
  [1723] = 496,
  [1724] = 1524,
  [1725] = 505,
  [1726] = 1524,
  [1727] = 1513,
  [1728] = 506,
  [1729] = 1729,
  [1730] = 504,
  [1731] = 501,
  [1732] = 495,
  [1733] = 499,
  [1734] = 496,
  [1735] = 505,
  [1736] = 505,
  [1737] = 496,
  [1738] = 499,
  [1739] = 495,
  [1740] = 501,
  [1741] = 504,
  [1742] = 506,
  [1743] = 1743,
  [1744] = 1524,
  [1745] = 505,
  [1746] = 499,
  [1747] = 496,
  [1748] = 1748,
  [1749] = 499,
  [1750] = 495,
  [1751] = 495,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1524,
  [1756] = 1756,
  [1757] = 501,
  [1758] = 504,
  [1759] = 506,
  [1760] = 1513,
  [1761] = 505,
  [1762] = 496,
  [1763] = 501,
  [1764] = 499,
  [1765] = 495,
  [1766] = 501,
  [1767] = 504,
  [1768] = 506,
  [1769] = 504,
  [1770] = 501,
  [1771] = 495,
  [1772] = 504,
  [1773] = 1773,
  [1774] = 499,
  [1775] = 496,
  [1776] = 505,
  [1777] = 1524,
  [1778] = 505,
  [1779] = 496,
  [1780] = 499,
  [1781] = 495,
  [1782] = 501,
  [1783] = 504,
  [1784] = 506,
  [1785] = 506,
  [1786] = 506,
  [1787] = 1513,
  [1788] = 1524,
  [1789] = 496,
  [1790] = 1524,
  [1791] = 1513,
  [1792] = 505,
  [1793] = 1513,
  [1794] = 1513,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 504,
  [1798] = 506,
  [1799] = 505,
  [1800] = 1524,
  [1801] = 1801,
  [1802] = 499,
  [1803] = 495,
  [1804] = 1513,
  [1805] = 501,
  [1806] = 496,
  [1807] = 1295,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1293,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1294,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1291,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1827,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1830,
  [1839] = 1836,
  [1840] = 1840,
  [1841] = 1834,
  [1842] = 1835,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1853,
  [1856] = 1856,
  [1857] = 1844,
  [1858] = 1854,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1844,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1843,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1729,
  [1871] = 1853,
  [1872] = 1872,
  [1873] = 1853,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1856,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1847,
  [1886] = 1854,
  [1887] = 1844,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1864,
  [1893] = 1843,
  [1894] = 1844,
  [1895] = 1866,
  [1896] = 1868,
  [1897] = 1854,
  [1898] = 1869,
  [1899] = 1844,
  [1900] = 1879,
  [1901] = 1874,
  [1902] = 1854,
  [1903] = 1854,
  [1904] = 1844,
  [1905] = 1844,
  [1906] = 1854,
  [1907] = 1890,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1854,
  [1912] = 1889,
  [1913] = 1891,
  [1914] = 1914,
  [1915] = 1876,
  [1916] = 1877,
  [1917] = 1878,
  [1918] = 1918,
  [1919] = 1853,
  [1920] = 1920,
  [1921] = 1890,
  [1922] = 1890,
  [1923] = 1914,
  [1924] = 1920,
  [1925] = 1864,
  [1926] = 1926,
  [1927] = 1843,
  [1928] = 1866,
  [1929] = 1853,
  [1930] = 1868,
  [1931] = 1844,
  [1932] = 1932,
  [1933] = 1854,
  [1934] = 1914,
  [1935] = 1869,
  [1936] = 1914,
  [1937] = 1932,
  [1938] = 1938,
  [1939] = 1874,
  [1940] = 1853,
  [1941] = 1890,
  [1942] = 1932,
  [1943] = 1943,
  [1944] = 1706,
  [1945] = 1932,
  [1946] = 1875,
  [1947] = 1864,
  [1948] = 1843,
  [1949] = 1866,
  [1950] = 1868,
  [1951] = 1844,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1876,
  [1955] = 1955,
  [1956] = 1877,
  [1957] = 1869,
  [1958] = 1878,
  [1959] = 1920,
  [1960] = 1854,
  [1961] = 1844,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1878,
  [1965] = 1874,
  [1966] = 1890,
  [1967] = 1914,
  [1968] = 1854,
  [1969] = 1969,
  [1970] = 1890,
  [1971] = 1876,
  [1972] = 1853,
  [1973] = 1844,
  [1974] = 1890,
  [1975] = 1877,
  [1976] = 1878,
  [1977] = 1882,
  [1978] = 1914,
  [1979] = 1854,
  [1980] = 1844,
  [1981] = 1878,
  [1982] = 1877,
  [1983] = 1877,
  [1984] = 1876,
  [1985] = 1854,
  [1986] = 1874,
  [1987] = 1876,
  [1988] = 1874,
  [1989] = 1869,
  [1990] = 1869,
  [1991] = 1868,
  [1992] = 1868,
  [1993] = 1864,
  [1994] = 1866,
  [1995] = 1864,
  [1996] = 1866,
  [1997] = 1843,
  [1998] = 1998,
  [1999] = 1998,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 1998,
  [2003] = 2001,
  [2004] = 1998,
  [2005] = 2005,
  [2006] = 2001,
  [2007] = 2000,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2008,
  [2011] = 2009,
  [2012] = 2012,
  [2013] = 2000,
  [2014] = 2001,
  [2015] = 1998,
  [2016] = 2000,
  [2017] = 2008,
  [2018] = 2005,
  [2019] = 2009,
  [2020] = 2005,
  [2021] = 2005,
  [2022] = 2009,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2008,
  [2027] = 2012,
  [2028] = 2012,
  [2029] = 1998,
  [2030] = 2001,
  [2031] = 2008,
  [2032] = 2005,
  [2033] = 2009,
  [2034] = 2009,
  [2035] = 2008,
  [2036] = 2005,
  [2037] = 2037,
  [2038] = 2000,
  [2039] = 2012,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2000,
  [2043] = 2012,
  [2044] = 2001,
  [2045] = 2045,
  [2046] = 1998,
  [2047] = 2012,
  [2048] = 2012,
  [2049] = 2012,
  [2050] = 2050,
  [2051] = 1998,
  [2052] = 2005,
  [2053] = 2009,
  [2054] = 2008,
  [2055] = 2005,
  [2056] = 2009,
  [2057] = 2001,
  [2058] = 2008,
  [2059] = 2000,
  [2060] = 2000,
  [2061] = 2001,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2062,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2062,
  [2068] = 2062,
  [2069] = 2065,
  [2070] = 2062,
  [2071] = 2071,
  [2072] = 2062,
  [2073] = 2065,
  [2074] = 2065,
  [2075] = 2065,
  [2076] = 1827,
  [2077] = 2066,
  [2078] = 2066,
  [2079] = 2066,
  [2080] = 2066,
  [2081] = 2081,
  [2082] = 2063,
  [2083] = 2066,
  [2084] = 2062,
  [2085] = 2085,
  [2086] = 2062,
  [2087] = 2065,
  [2088] = 2065,
  [2089] = 2065,
  [2090] = 2066,
  [2091] = 2063,
  [2092] = 2092,
  [2093] = 2065,
  [2094] = 2062,
  [2095] = 2062,
  [2096] = 2065,
  [2097] = 2097,
  [2098] = 2066,
  [2099] = 2062,
  [2100] = 2065,
  [2101] = 2065,
  [2102] = 2062,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 1295,
  [2119] = 2092,
  [2120] = 2085,
  [2121] = 2097,
  [2122] = 1293,
  [2123] = 1509,
  [2124] = 1292,
  [2125] = 1298,
  [2126] = 2126,
  [2127] = 1294,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2097,
  [2134] = 2092,
  [2135] = 2085,
  [2136] = 1292,
  [2137] = 1827,
  [2138] = 2097,
  [2139] = 2097,
  [2140] = 2092,
  [2141] = 2085,
  [2142] = 2092,
  [2143] = 2085,
  [2144] = 2097,
  [2145] = 2097,
  [2146] = 2097,
  [2147] = 2147,
  [2148] = 2085,
  [2149] = 2085,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2097,
  [2153] = 2153,
  [2154] = 2092,
  [2155] = 2092,
  [2156] = 2085,
  [2157] = 2085,
  [2158] = 2092,
  [2159] = 2092,
  [2160] = 2085,
  [2161] = 2161,
  [2162] = 2092,
  [2163] = 2097,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 1706,
  [2191] = 1729,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2194,
  [2196] = 2196,
  [2197] = 2196,
  [2198] = 2198,
  [2199] = 2196,
  [2200] = 2194,
  [2201] = 2196,
  [2202] = 2194,
  [2203] = 2196,
  [2204] = 2196,
  [2205] = 2196,
  [2206] = 2194,
  [2207] = 2207,
  [2208] = 2194,
  [2209] = 2209,
  [2210] = 2194,
  [2211] = 2196,
  [2212] = 2196,
  [2213] = 2194,
  [2214] = 2194,
  [2215] = 2196,
  [2216] = 2216,
  [2217] = 2194,
  [2218] = 2196,
  [2219] = 2194,
  [2220] = 2194,
  [2221] = 2194,
  [2222] = 2194,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2196,
  [2226] = 2196,
  [2227] = 2196,
  [2228] = 2228,
  [2229] = 1293,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 1295,
  [2237] = 2237,
  [2238] = 1294,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2239,
  [2244] = 2244,
  [2245] = 2239,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 547,
  [2257] = 539,
  [2258] = 2258,
  [2259] = 2258,
  [2260] = 2255,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2255,
  [2265] = 2265,
  [2266] = 555,
  [2267] = 2267,
  [2268] = 2263,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 548,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2254,
  [2275] = 556,
  [2276] = 2263,
  [2277] = 492,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 549,
  [2282] = 2282,
  [2283] = 2255,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 531,
  [2288] = 528,
  [2289] = 2255,
  [2290] = 2255,
  [2291] = 2254,
  [2292] = 2263,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 527,
  [2296] = 2255,
  [2297] = 2297,
  [2298] = 529,
  [2299] = 2258,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 534,
  [2306] = 2278,
  [2307] = 2267,
  [2308] = 2272,
  [2309] = 2255,
  [2310] = 2279,
  [2311] = 2270,
  [2312] = 493,
  [2313] = 2269,
  [2314] = 507,
  [2315] = 2261,
  [2316] = 2280,
  [2317] = 2284,
  [2318] = 2301,
  [2319] = 2302,
  [2320] = 2303,
  [2321] = 515,
  [2322] = 2269,
  [2323] = 535,
  [2324] = 2285,
  [2325] = 2293,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2334,
  [2336] = 2336,
  [2337] = 2336,
  [2338] = 2336,
  [2339] = 2334,
  [2340] = 2336,
  [2341] = 2336,
  [2342] = 2336,
  [2343] = 2336,
  [2344] = 2334,
  [2345] = 2345,
  [2346] = 2334,
  [2347] = 2334,
  [2348] = 2334,
  [2349] = 2334,
  [2350] = 2336,
  [2351] = 2336,
  [2352] = 2334,
  [2353] = 2334,
  [2354] = 2334,
  [2355] = 2336,
  [2356] = 2336,
  [2357] = 2334,
  [2358] = 2336,
  [2359] = 2334,
  [2360] = 2336,
  [2361] = 2173,
  [2362] = 2183,
  [2363] = 2177,
  [2364] = 2178,
  [2365] = 2181,
  [2366] = 2182,
  [2367] = 2185,
  [2368] = 2174,
  [2369] = 2184,
  [2370] = 2175,
  [2371] = 2176,
  [2372] = 2131,
  [2373] = 2132,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2379,
  [2382] = 2382,
  [2383] = 2374,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2390,
  [2392] = 2376,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2389,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 555,
  [2402] = 529,
  [2403] = 505,
  [2404] = 496,
  [2405] = 499,
  [2406] = 556,
  [2407] = 495,
  [2408] = 501,
  [2409] = 1706,
  [2410] = 504,
  [2411] = 506,
  [2412] = 535,
  [2413] = 1729,
  [2414] = 2414,
  [2415] = 2174,
  [2416] = 2416,
  [2417] = 528,
  [2418] = 549,
  [2419] = 492,
  [2420] = 2132,
  [2421] = 548,
  [2422] = 2422,
  [2423] = 547,
  [2424] = 539,
  [2425] = 2425,
  [2426] = 534,
  [2427] = 2422,
  [2428] = 531,
  [2429] = 493,
  [2430] = 527,
  [2431] = 1287,
  [2432] = 2432,
  [2433] = 515,
  [2434] = 2414,
  [2435] = 507,
  [2436] = 2131,
  [2437] = 2437,
  [2438] = 2425,
  [2439] = 2175,
  [2440] = 2176,
  [2441] = 2177,
  [2442] = 2173,
  [2443] = 2178,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2437,
  [2449] = 2425,
  [2450] = 2447,
  [2451] = 2451,
  [2452] = 2447,
  [2453] = 2183,
  [2454] = 2454,
  [2455] = 2181,
  [2456] = 2456,
  [2457] = 2182,
  [2458] = 2185,
  [2459] = 2447,
  [2460] = 2414,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2184,
  [2465] = 2465,
  [2466] = 2447,
  [2467] = 2183,
  [2468] = 2437,
  [2469] = 2469,
  [2470] = 2414,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 482,
  [2489] = 488,
  [2490] = 489,
  [2491] = 2491,
  [2492] = 474,
  [2493] = 2493,
  [2494] = 2184,
  [2495] = 2174,
  [2496] = 2185,
  [2497] = 2182,
  [2498] = 2181,
  [2499] = 2178,
  [2500] = 2500,
  [2501] = 2175,
  [2502] = 2173,
  [2503] = 2176,
  [2504] = 2177,
  [2505] = 2173,
  [2506] = 2178,
  [2507] = 2181,
  [2508] = 2182,
  [2509] = 2185,
  [2510] = 2174,
  [2511] = 2183,
  [2512] = 2177,
  [2513] = 2500,
  [2514] = 2176,
  [2515] = 2175,
  [2516] = 2516,
  [2517] = 2183,
  [2518] = 2184,
  [2519] = 2519,
  [2520] = 2519,
  [2521] = 2500,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2183,
  [2527] = 2182,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2181,
  [2531] = 2525,
  [2532] = 2174,
  [2533] = 2528,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2528,
  [2541] = 2525,
  [2542] = 2542,
  [2543] = 2528,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2528,
  [2548] = 2525,
  [2549] = 2528,
  [2550] = 2550,
  [2551] = 2528,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2173,
  [2556] = 2177,
  [2557] = 2528,
  [2558] = 2558,
  [2559] = 2176,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2178,
  [2563] = 2175,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2528,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2529,
  [2571] = 2539,
  [2572] = 2525,
  [2573] = 2525,
  [2574] = 2574,
  [2575] = 2184,
  [2576] = 2576,
  [2577] = 2528,
  [2578] = 2525,
  [2579] = 2525,
  [2580] = 2525,
  [2581] = 2180,
  [2582] = 2179,
  [2583] = 2583,
  [2584] = 2564,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2565,
  [2588] = 2525,
  [2589] = 2589,
  [2590] = 2576,
  [2591] = 2591,
  [2592] = 2185,
  [2593] = 2528,
  [2594] = 2525,
  [2595] = 2432,
  [2596] = 2525,
  [2597] = 2544,
  [2598] = 2528,
  [2599] = 2525,
  [2600] = 2528,
  [2601] = 2601,
  [2602] = 2574,
  [2603] = 2528,
  [2604] = 2525,
  [2605] = 2553,
  [2606] = 2568,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2613,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2613,
  [2620] = 2620,
  [2621] = 2615,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2613,
  [2626] = 2626,
  [2627] = 2385,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2395,
  [2631] = 2378,
  [2632] = 2632,
  [2633] = 2388,
  [2634] = 2393,
  [2635] = 2071,
  [2636] = 2611,
  [2637] = 2394,
  [2638] = 2638,
  [2639] = 2624,
  [2640] = 2397,
  [2641] = 2183,
  [2642] = 2642,
  [2643] = 2050,
  [2644] = 2377,
  [2645] = 2375,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2380,
  [2649] = 2647,
  [2650] = 2382,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2642,
  [2657] = 2657,
  [2658] = 2386,
  [2659] = 2387,
  [2660] = 2375,
  [2661] = 2378,
  [2662] = 2387,
  [2663] = 2386,
  [2664] = 2388,
  [2665] = 2393,
  [2666] = 2394,
  [2667] = 2397,
  [2668] = 2375,
  [2669] = 2387,
  [2670] = 2397,
  [2671] = 2395,
  [2672] = 2394,
  [2673] = 2386,
  [2674] = 2382,
  [2675] = 2382,
  [2676] = 2071,
  [2677] = 2380,
  [2678] = 2380,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2451,
  [2682] = 2377,
  [2683] = 2393,
  [2684] = 2684,
  [2685] = 2388,
  [2686] = 2378,
  [2687] = 2375,
  [2688] = 2688,
  [2689] = 2684,
  [2690] = 2393,
  [2691] = 2388,
  [2692] = 2679,
  [2693] = 2394,
  [2694] = 2397,
  [2695] = 2679,
  [2696] = 2387,
  [2697] = 2386,
  [2698] = 2684,
  [2699] = 2378,
  [2700] = 2382,
  [2701] = 2679,
  [2702] = 2377,
  [2703] = 2395,
  [2704] = 2704,
  [2705] = 2395,
  [2706] = 2393,
  [2707] = 2380,
  [2708] = 2375,
  [2709] = 2684,
  [2710] = 2388,
  [2711] = 2380,
  [2712] = 2712,
  [2713] = 2382,
  [2714] = 2378,
  [2715] = 2388,
  [2716] = 2393,
  [2717] = 2717,
  [2718] = 2394,
  [2719] = 2397,
  [2720] = 2720,
  [2721] = 2386,
  [2722] = 2387,
  [2723] = 2723,
  [2724] = 2387,
  [2725] = 2725,
  [2726] = 2397,
  [2727] = 2727,
  [2728] = 2394,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2395,
  [2732] = 2732,
  [2733] = 2684,
  [2734] = 2386,
  [2735] = 2735,
  [2736] = 2382,
  [2737] = 2380,
  [2738] = 2738,
  [2739] = 2382,
  [2740] = 2375,
  [2741] = 2679,
  [2742] = 2684,
  [2743] = 2380,
  [2744] = 2375,
  [2745] = 2377,
  [2746] = 2679,
  [2747] = 2393,
  [2748] = 2388,
  [2749] = 2378,
  [2750] = 2378,
  [2751] = 2377,
  [2752] = 2712,
  [2753] = 2753,
  [2754] = 2395,
  [2755] = 2679,
  [2756] = 2684,
  [2757] = 2757,
  [2758] = 2377,
  [2759] = 2395,
  [2760] = 2679,
  [2761] = 2684,
  [2762] = 1729,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2377,
  [2767] = 1706,
  [2768] = 2768,
  [2769] = 507,
  [2770] = 2712,
  [2771] = 2679,
  [2772] = 2772,
  [2773] = 2684,
  [2774] = 515,
  [2775] = 2684,
  [2776] = 2679,
  [2777] = 2386,
  [2778] = 2387,
  [2779] = 2779,
  [2780] = 2416,
  [2781] = 2781,
  [2782] = 2444,
  [2783] = 2397,
  [2784] = 527,
  [2785] = 493,
  [2786] = 2786,
  [2787] = 531,
  [2788] = 2679,
  [2789] = 2684,
  [2790] = 505,
  [2791] = 496,
  [2792] = 499,
  [2793] = 495,
  [2794] = 501,
  [2795] = 504,
  [2796] = 2394,
  [2797] = 2445,
  [2798] = 2446,
  [2799] = 2473,
  [2800] = 506,
  [2801] = 2679,
  [2802] = 534,
  [2803] = 2803,
  [2804] = 2684,
  [2805] = 2477,
  [2806] = 539,
  [2807] = 547,
  [2808] = 2478,
  [2809] = 2479,
  [2810] = 548,
  [2811] = 492,
  [2812] = 2480,
  [2813] = 2476,
  [2814] = 2474,
  [2815] = 549,
  [2816] = 2472,
  [2817] = 528,
  [2818] = 529,
  [2819] = 1509,
  [2820] = 2469,
  [2821] = 2465,
  [2822] = 535,
  [2823] = 1287,
  [2824] = 2684,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2679,
  [2828] = 2679,
  [2829] = 556,
  [2830] = 2684,
  [2831] = 2463,
  [2832] = 2462,
  [2833] = 2398,
  [2834] = 2461,
  [2835] = 2456,
  [2836] = 2454,
  [2837] = 555,
  [2838] = 2838,
  [2839] = 2712,
  [2840] = 2478,
  [2841] = 495,
  [2842] = 2842,
  [2843] = 1706,
  [2844] = 495,
  [2845] = 2845,
  [2846] = 501,
  [2847] = 505,
  [2848] = 531,
  [2849] = 504,
  [2850] = 2104,
  [2851] = 496,
  [2852] = 2477,
  [2853] = 501,
  [2854] = 2478,
  [2855] = 2111,
  [2856] = 2105,
  [2857] = 1729,
  [2858] = 2116,
  [2859] = 2187,
  [2860] = 506,
  [2861] = 504,
  [2862] = 2469,
  [2863] = 555,
  [2864] = 506,
  [2865] = 556,
  [2866] = 535,
  [2867] = 529,
  [2868] = 2477,
  [2869] = 495,
  [2870] = 528,
  [2871] = 2478,
  [2872] = 549,
  [2873] = 2873,
  [2874] = 499,
  [2875] = 2845,
  [2876] = 2103,
  [2877] = 496,
  [2878] = 505,
  [2879] = 506,
  [2880] = 2880,
  [2881] = 504,
  [2882] = 492,
  [2883] = 548,
  [2884] = 547,
  [2885] = 539,
  [2886] = 2880,
  [2887] = 534,
  [2888] = 531,
  [2889] = 2479,
  [2890] = 2480,
  [2891] = 493,
  [2892] = 527,
  [2893] = 2476,
  [2894] = 501,
  [2895] = 515,
  [2896] = 507,
  [2897] = 2845,
  [2898] = 2479,
  [2899] = 495,
  [2900] = 1729,
  [2901] = 499,
  [2902] = 496,
  [2903] = 2480,
  [2904] = 2477,
  [2905] = 2476,
  [2906] = 2845,
  [2907] = 505,
  [2908] = 2845,
  [2909] = 2416,
  [2910] = 2110,
  [2911] = 2845,
  [2912] = 2912,
  [2913] = 2912,
  [2914] = 1706,
  [2915] = 2915,
  [2916] = 2478,
  [2917] = 2479,
  [2918] = 2444,
  [2919] = 2480,
  [2920] = 2476,
  [2921] = 2474,
  [2922] = 2472,
  [2923] = 2445,
  [2924] = 2469,
  [2925] = 2465,
  [2926] = 2446,
  [2927] = 2473,
  [2928] = 2474,
  [2929] = 2472,
  [2930] = 2463,
  [2931] = 2462,
  [2932] = 2462,
  [2933] = 2398,
  [2934] = 535,
  [2935] = 2465,
  [2936] = 2461,
  [2937] = 2456,
  [2938] = 2454,
  [2939] = 2463,
  [2940] = 2462,
  [2941] = 506,
  [2942] = 2451,
  [2943] = 2943,
  [2944] = 2106,
  [2945] = 2451,
  [2946] = 2454,
  [2947] = 2416,
  [2948] = 2456,
  [2949] = 2473,
  [2950] = 2446,
  [2951] = 2445,
  [2952] = 2845,
  [2953] = 2461,
  [2954] = 2398,
  [2955] = 2444,
  [2956] = 2444,
  [2957] = 2462,
  [2958] = 2463,
  [2959] = 555,
  [2960] = 2465,
  [2961] = 2469,
  [2962] = 2112,
  [2963] = 2445,
  [2964] = 556,
  [2965] = 535,
  [2966] = 529,
  [2967] = 2416,
  [2968] = 2472,
  [2969] = 528,
  [2970] = 549,
  [2971] = 492,
  [2972] = 548,
  [2973] = 2474,
  [2974] = 547,
  [2975] = 2476,
  [2976] = 2416,
  [2977] = 2480,
  [2978] = 539,
  [2979] = 2446,
  [2980] = 534,
  [2981] = 531,
  [2982] = 493,
  [2983] = 527,
  [2984] = 2398,
  [2985] = 2985,
  [2986] = 2461,
  [2987] = 2845,
  [2988] = 2456,
  [2989] = 2454,
  [2990] = 515,
  [2991] = 507,
  [2992] = 2451,
  [2993] = 2845,
  [2994] = 2473,
  [2995] = 2479,
  [2996] = 548,
  [2997] = 2115,
  [2998] = 2998,
  [2999] = 2474,
  [3000] = 2472,
  [3001] = 2477,
  [3002] = 2477,
  [3003] = 2469,
  [3004] = 2465,
  [3005] = 2478,
  [3006] = 504,
  [3007] = 2444,
  [3008] = 501,
  [3009] = 3009,
  [3010] = 2445,
  [3011] = 2479,
  [3012] = 2446,
  [3013] = 499,
  [3014] = 2480,
  [3015] = 2476,
  [3016] = 2474,
  [3017] = 2472,
  [3018] = 499,
  [3019] = 496,
  [3020] = 2469,
  [3021] = 2465,
  [3022] = 505,
  [3023] = 507,
  [3024] = 515,
  [3025] = 506,
  [3026] = 2463,
  [3027] = 2462,
  [3028] = 2398,
  [3029] = 2461,
  [3030] = 2456,
  [3031] = 527,
  [3032] = 2454,
  [3033] = 2463,
  [3034] = 493,
  [3035] = 2845,
  [3036] = 2473,
  [3037] = 531,
  [3038] = 534,
  [3039] = 2451,
  [3040] = 501,
  [3041] = 495,
  [3042] = 2454,
  [3043] = 2456,
  [3044] = 2461,
  [3045] = 2398,
  [3046] = 539,
  [3047] = 2451,
  [3048] = 547,
  [3049] = 548,
  [3050] = 492,
  [3051] = 2473,
  [3052] = 2446,
  [3053] = 2445,
  [3054] = 549,
  [3055] = 499,
  [3056] = 2444,
  [3057] = 528,
  [3058] = 529,
  [3059] = 2416,
  [3060] = 2446,
  [3061] = 547,
  [3062] = 2845,
  [3063] = 2845,
  [3064] = 556,
  [3065] = 2445,
  [3066] = 2444,
  [3067] = 2462,
  [3068] = 2463,
  [3069] = 496,
  [3070] = 505,
  [3071] = 2465,
  [3072] = 2469,
  [3073] = 555,
  [3074] = 2472,
  [3075] = 2474,
  [3076] = 1706,
  [3077] = 2114,
  [3078] = 2845,
  [3079] = 1729,
  [3080] = 2113,
  [3081] = 507,
  [3082] = 515,
  [3083] = 2109,
  [3084] = 1729,
  [3085] = 1706,
  [3086] = 527,
  [3087] = 2845,
  [3088] = 493,
  [3089] = 531,
  [3090] = 2845,
  [3091] = 2476,
  [3092] = 2480,
  [3093] = 534,
  [3094] = 2479,
  [3095] = 2845,
  [3096] = 2845,
  [3097] = 2845,
  [3098] = 539,
  [3099] = 2845,
  [3100] = 2845,
  [3101] = 3101,
  [3102] = 2845,
  [3103] = 2478,
  [3104] = 547,
  [3105] = 2845,
  [3106] = 3009,
  [3107] = 548,
  [3108] = 1706,
  [3109] = 2845,
  [3110] = 2845,
  [3111] = 492,
  [3112] = 2416,
  [3113] = 549,
  [3114] = 528,
  [3115] = 3115,
  [3116] = 529,
  [3117] = 2845,
  [3118] = 535,
  [3119] = 2845,
  [3120] = 2845,
  [3121] = 2845,
  [3122] = 556,
  [3123] = 2845,
  [3124] = 555,
  [3125] = 2477,
  [3126] = 2845,
  [3127] = 1706,
  [3128] = 505,
  [3129] = 555,
  [3130] = 556,
  [3131] = 1729,
  [3132] = 496,
  [3133] = 2845,
  [3134] = 2845,
  [3135] = 2845,
  [3136] = 2845,
  [3137] = 499,
  [3138] = 2398,
  [3139] = 2461,
  [3140] = 2845,
  [3141] = 495,
  [3142] = 2456,
  [3143] = 1729,
  [3144] = 2454,
  [3145] = 504,
  [3146] = 535,
  [3147] = 3147,
  [3148] = 501,
  [3149] = 2451,
  [3150] = 2845,
  [3151] = 504,
  [3152] = 529,
  [3153] = 507,
  [3154] = 515,
  [3155] = 528,
  [3156] = 555,
  [3157] = 556,
  [3158] = 535,
  [3159] = 529,
  [3160] = 549,
  [3161] = 492,
  [3162] = 2473,
  [3163] = 2108,
  [3164] = 2107,
  [3165] = 2845,
  [3166] = 506,
  [3167] = 2845,
  [3168] = 2845,
  [3169] = 507,
  [3170] = 3147,
  [3171] = 2845,
  [3172] = 528,
  [3173] = 549,
  [3174] = 492,
  [3175] = 548,
  [3176] = 547,
  [3177] = 539,
  [3178] = 515,
  [3179] = 527,
  [3180] = 493,
  [3181] = 531,
  [3182] = 534,
  [3183] = 527,
  [3184] = 534,
  [3185] = 493,
  [3186] = 539,
  [3187] = 3187,
  [3188] = 3188,
  [3189] = 3189,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 3192,
  [3193] = 3193,
  [3194] = 3194,
  [3195] = 3195,
  [3196] = 3196,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 3200,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 804,
  [3204] = 805,
  [3205] = 3205,
  [3206] = 3206,
  [3207] = 3207,
  [3208] = 3208,
  [3209] = 3191,
  [3210] = 482,
  [3211] = 488,
  [3212] = 489,
  [3213] = 474,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 808,
  [3217] = 809,
  [3218] = 3218,
  [3219] = 3200,
  [3220] = 2153,
  [3221] = 3195,
  [3222] = 3202,
  [3223] = 3223,
  [3224] = 3224,
  [3225] = 3225,
  [3226] = 3226,
  [3227] = 3227,
  [3228] = 3228,
  [3229] = 3229,
  [3230] = 3226,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 3191,
  [3234] = 2109,
  [3235] = 2128,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 818,
  [3240] = 800,
  [3241] = 3241,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 3247,
  [3248] = 3188,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 3250,
  [3255] = 3188,
  [3256] = 811,
  [3257] = 810,
  [3258] = 3258,
  [3259] = 3250,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 3263,
  [3264] = 3264,
  [3265] = 3262,
  [3266] = 3262,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3261,
  [3270] = 3261,
  [3271] = 3271,
  [3272] = 3272,
  [3273] = 3273,
  [3274] = 3262,
  [3275] = 3275,
  [3276] = 3267,
  [3277] = 1509,
  [3278] = 3261,
  [3279] = 3261,
  [3280] = 3267,
  [3281] = 3271,
  [3282] = 3267,
  [3283] = 3283,
  [3284] = 3284,
  [3285] = 3285,
  [3286] = 3261,
  [3287] = 3267,
  [3288] = 3271,
  [3289] = 3231,
  [3290] = 3290,
  [3291] = 3291,
  [3292] = 3292,
  [3293] = 3262,
  [3294] = 3294,
  [3295] = 3271,
  [3296] = 3296,
  [3297] = 3268,
  [3298] = 3298,
  [3299] = 3261,
  [3300] = 3267,
  [3301] = 3261,
  [3302] = 3262,
  [3303] = 3267,
  [3304] = 3304,
  [3305] = 3267,
  [3306] = 3272,
  [3307] = 3273,
  [3308] = 3267,
  [3309] = 3261,
  [3310] = 3310,
  [3311] = 3261,
  [3312] = 3267,
  [3313] = 3313,
  [3314] = 3314,
  [3315] = 3267,
  [3316] = 3316,
  [3317] = 3262,
  [3318] = 3271,
  [3319] = 3319,
  [3320] = 3320,
  [3321] = 3262,
  [3322] = 3275,
  [3323] = 3261,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3272,
  [3327] = 3273,
  [3328] = 3328,
  [3329] = 3271,
  [3330] = 3262,
  [3331] = 3262,
  [3332] = 3262,
  [3333] = 3261,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3290,
  [3337] = 3267,
  [3338] = 3275,
  [3339] = 2188,
  [3340] = 2193,
  [3341] = 3341,
  [3342] = 3262,
  [3343] = 3262,
  [3344] = 2189,
  [3345] = 2192,
  [3346] = 3271,
  [3347] = 3271,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3351,
  [3352] = 3352,
  [3353] = 3353,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3354,
  [3359] = 3359,
  [3360] = 3357,
  [3361] = 3361,
  [3362] = 3355,
  [3363] = 3363,
  [3364] = 3357,
  [3365] = 3354,
  [3366] = 3366,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3369,
  [3370] = 3370,
  [3371] = 3357,
  [3372] = 3372,
  [3373] = 3359,
  [3374] = 3374,
  [3375] = 3375,
  [3376] = 3369,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3379,
  [3380] = 3380,
  [3381] = 3359,
  [3382] = 2516,
  [3383] = 3380,
  [3384] = 3374,
  [3385] = 3369,
  [3386] = 3356,
  [3387] = 3387,
  [3388] = 3354,
  [3389] = 3369,
  [3390] = 3357,
  [3391] = 3380,
  [3392] = 3392,
  [3393] = 3380,
  [3394] = 3380,
  [3395] = 3374,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3370,
  [3399] = 3361,
  [3400] = 3357,
  [3401] = 3229,
  [3402] = 3374,
  [3403] = 3403,
  [3404] = 3198,
  [3405] = 3405,
  [3406] = 3359,
  [3407] = 3354,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3397,
  [3411] = 3411,
  [3412] = 3361,
  [3413] = 3359,
  [3414] = 3367,
  [3415] = 3392,
  [3416] = 3354,
  [3417] = 3367,
  [3418] = 3361,
  [3419] = 3419,
  [3420] = 3369,
  [3421] = 3374,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3380,
  [3425] = 3425,
  [3426] = 3369,
  [3427] = 3357,
  [3428] = 3428,
  [3429] = 3369,
  [3430] = 3430,
  [3431] = 3374,
  [3432] = 3357,
  [3433] = 3433,
  [3434] = 3367,
  [3435] = 3359,
  [3436] = 3436,
  [3437] = 3367,
  [3438] = 3359,
  [3439] = 3374,
  [3440] = 3440,
  [3441] = 3380,
  [3442] = 3442,
  [3443] = 3443,
  [3444] = 3444,
  [3445] = 3442,
  [3446] = 3378,
  [3447] = 3354,
  [3448] = 3359,
  [3449] = 3449,
  [3450] = 3397,
  [3451] = 3359,
  [3452] = 3452,
  [3453] = 3370,
  [3454] = 3354,
  [3455] = 3354,
  [3456] = 3357,
  [3457] = 3361,
  [3458] = 3380,
  [3459] = 3459,
  [3460] = 3368,
  [3461] = 3359,
  [3462] = 3374,
  [3463] = 3369,
  [3464] = 3374,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3467,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3380,
  [3471] = 3369,
  [3472] = 3380,
  [3473] = 3473,
  [3474] = 3361,
  [3475] = 3369,
  [3476] = 3476,
  [3477] = 3367,
  [3478] = 3357,
  [3479] = 3479,
  [3480] = 3374,
  [3481] = 3481,
  [3482] = 3367,
  [3483] = 3357,
  [3484] = 3484,
  [3485] = 3359,
  [3486] = 3354,
  [3487] = 3487,
  [3488] = 3361,
  [3489] = 3354,
  [3490] = 3354,
  [3491] = 3359,
  [3492] = 3357,
  [3493] = 3361,
  [3494] = 3494,
  [3495] = 3374,
  [3496] = 3496,
  [3497] = 3369,
  [3498] = 3355,
  [3499] = 3499,
  [3500] = 3369,
  [3501] = 3501,
  [3502] = 3502,
  [3503] = 3503,
  [3504] = 3374,
  [3505] = 3380,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3356,
  [3509] = 3509,
  [3510] = 3368,
  [3511] = 3511,
  [3512] = 3378,
  [3513] = 3357,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 3380,
  [3519] = 3380,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3367,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 2216,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3528,
  [3529] = 2164,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3523,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 1295,
  [3542] = 3542,
  [3543] = 3542,
  [3544] = 3292,
  [3545] = 3545,
  [3546] = 1292,
  [3547] = 3547,
  [3548] = 2224,
  [3549] = 3549,
  [3550] = 2198,
  [3551] = 3551,
  [3552] = 1293,
  [3553] = 3553,
  [3554] = 2169,
  [3555] = 2248,
  [3556] = 3556,
  [3557] = 3304,
  [3558] = 3558,
  [3559] = 2232,
  [3560] = 3334,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3563,
  [3564] = 2165,
  [3565] = 1294,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 2231,
  [3569] = 3569,
  [3570] = 2234,
  [3571] = 3571,
  [3572] = 3524,
  [3573] = 3536,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3534,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 3579,
  [3580] = 3531,
  [3581] = 3581,
  [3582] = 3563,
  [3583] = 3583,
  [3584] = 3547,
  [3585] = 2209,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3588,
  [3589] = 3540,
  [3590] = 2223,
  [3591] = 3575,
  [3592] = 2207,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3577,
  [3601] = 2166,
  [3602] = 3602,
  [3603] = 3545,
  [3604] = 2170,
  [3605] = 2252,
  [3606] = 2253,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3583,
  [3610] = 2251,
  [3611] = 3611,
  [3612] = 2233,
  [3613] = 3549,
  [3614] = 2241,
  [3615] = 3615,
  [3616] = 2237,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 2187,
  [3628] = 3628,
  [3629] = 3628,
  [3630] = 3628,
  [3631] = 3631,
  [3632] = 3628,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3628,
  [3637] = 3637,
  [3638] = 3628,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3628,
  [3643] = 3628,
  [3644] = 3628,
  [3645] = 3625,
  [3646] = 3628,
  [3647] = 3628,
  [3648] = 3625,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3628,
  [3653] = 3653,
  [3654] = 3626,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3628,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3628,
  [3663] = 3650,
  [3664] = 3628,
  [3665] = 3661,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3628,
  [3671] = 3641,
  [3672] = 3625,
  [3673] = 3628,
  [3674] = 3674,
  [3675] = 3628,
  [3676] = 3628,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3650,
  [3683] = 3658,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3628,
  [3687] = 3680,
  [3688] = 3628,
  [3689] = 3628,
  [3690] = 3690,
  [3691] = 3660,
  [3692] = 3628,
  [3693] = 3650,
  [3694] = 3628,
  [3695] = 3628,
  [3696] = 3628,
  [3697] = 3628,
  [3698] = 3628,
  [3699] = 3628,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3650,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3703,
  [3706] = 3631,
  [3707] = 3707,
  [3708] = 3650,
  [3709] = 3703,
  [3710] = 3628,
  [3711] = 3628,
  [3712] = 3712,
  [3713] = 3634,
  [3714] = 3714,
  [3715] = 3628,
  [3716] = 3650,
  [3717] = 3717,
  [3718] = 3650,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3679,
  [3722] = 3628,
  [3723] = 3669,
  [3724] = 3628,
  [3725] = 3725,
  [3726] = 3659,
  [3727] = 3631,
  [3728] = 3628,
  [3729] = 3628,
  [3730] = 3628,
  [3731] = 3731,
  [3732] = 3628,
  [3733] = 3733,
  [3734] = 3628,
  [3735] = 3628,
  [3736] = 3680,
  [3737] = 3737,
  [3738] = 3679,
  [3739] = 3739,
  [3740] = 3740,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3745,
  [3746] = 3746,
  [3747] = 3747,
  [3748] = 2717,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3754,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3761,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3767,
  [3768] = 2193,
  [3769] = 3769,
  [3770] = 3769,
  [3771] = 2189,
  [3772] = 2192,
  [3773] = 2071,
  [3774] = 2188,
  [3775] = 3775,
  [3776] = 2985,
  [3777] = 2071,
  [3778] = 3778,
  [3779] = 489,
  [3780] = 488,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 482,
  [3784] = 3199,
  [3785] = 474,
  [3786] = 3228,
  [3787] = 482,
  [3788] = 3208,
  [3789] = 3218,
  [3790] = 3790,
  [3791] = 489,
  [3792] = 488,
  [3793] = 3781,
  [3794] = 3794,
  [3795] = 3795,
  [3796] = 3781,
  [3797] = 474,
  [3798] = 3798,
  [3799] = 3799,
  [3800] = 2252,
  [3801] = 2234,
  [3802] = 3802,
  [3803] = 2116,
  [3804] = 3804,
  [3805] = 3805,
  [3806] = 1706,
  [3807] = 2232,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 2231,
  [3811] = 3811,
  [3812] = 3812,
  [3813] = 3813,
  [3814] = 2104,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3798,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3805,
  [3823] = 3823,
  [3824] = 3812,
  [3825] = 3825,
  [3826] = 2253,
  [3827] = 2251,
  [3828] = 3809,
  [3829] = 3812,
  [3830] = 3830,
  [3831] = 1729,
  [3832] = 3798,
  [3833] = 2233,
  [3834] = 2241,
  [3835] = 2248,
  [3836] = 3808,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3802,
  [3840] = 3838,
  [3841] = 3812,
  [3842] = 3842,
  [3843] = 3843,
  [3844] = 3844,
  [3845] = 3844,
  [3846] = 2237,
  [3847] = 3823,
  [3848] = 3848,
  [3849] = 3849,
  [3850] = 3811,
  [3851] = 2224,
  [3852] = 3852,
  [3853] = 2198,
  [3854] = 3854,
  [3855] = 3812,
  [3856] = 3856,
  [3857] = 2116,
  [3858] = 3858,
  [3859] = 3843,
  [3860] = 3860,
  [3861] = 2104,
  [3862] = 3812,
  [3863] = 3811,
  [3864] = 3812,
  [3865] = 1729,
  [3866] = 3830,
  [3867] = 3867,
  [3868] = 2207,
  [3869] = 3849,
  [3870] = 3812,
  [3871] = 2223,
  [3872] = 3872,
  [3873] = 2209,
  [3874] = 3844,
  [3875] = 3825,
  [3876] = 3876,
  [3877] = 1706,
  [3878] = 3817,
  [3879] = 3821,
  [3880] = 3880,
  [3881] = 3856,
  [3882] = 3820,
  [3883] = 3849,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 3815,
  [3887] = 3816,
  [3888] = 3818,
  [3889] = 3799,
  [3890] = 2216,
  [3891] = 3891,
  [3892] = 3804,
  [3893] = 3893,
  [3894] = 3844,
  [3895] = 3858,
  [3896] = 3896,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 3900,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 3907,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 3900,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 3928,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3931,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 3937,
  [3938] = 3938,
  [3939] = 3935,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3931,
  [3943] = 3943,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3945,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3952,
  [3964] = 3964,
  [3965] = 3954,
  [3966] = 3966,
  [3967] = 3945,
  [3968] = 3968,
  [3969] = 3952,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 3972,
  [3973] = 3954,
  [3974] = 3974,
  [3975] = 3955,
  [3976] = 3976,
  [3977] = 3977,
  [3978] = 3935,
  [3979] = 3955,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 3985,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3992,
  [3993] = 3993,
  [3994] = 3994,
  [3995] = 3995,
  [3996] = 3996,
  [3997] = 3997,
  [3998] = 3998,
  [3999] = 3999,
  [4000] = 3991,
  [4001] = 4001,
  [4002] = 3996,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 3994,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 4010,
  [4011] = 4011,
  [4012] = 4009,
  [4013] = 4013,
  [4014] = 3243,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 4018,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 4021,
  [4022] = 4022,
  [4023] = 3244,
  [4024] = 4024,
  [4025] = 3245,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 4020,
  [4029] = 3242,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 3251,
  [4033] = 4033,
  [4034] = 4008,
  [4035] = 4035,
  [4036] = 3252,
  [4037] = 4037,
  [4038] = 4038,
  [4039] = 4037,
  [4040] = 4040,
  [4041] = 4017,
  [4042] = 4042,
  [4043] = 4027,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4016,
  [4047] = 4047,
  [4048] = 3227,
  [4049] = 4008,
  [4050] = 4050,
  [4051] = 4017,
  [4052] = 4052,
  [4053] = 4053,
  [4054] = 4052,
  [4055] = 3258,
  [4056] = 3260,
  [4057] = 4057,
  [4058] = 4044,
  [4059] = 4045,
  [4060] = 4027,
  [4061] = 4037,
  [4062] = 4024,
  [4063] = 4063,
  [4064] = 4017,
  [4065] = 4057,
  [4066] = 4066,
  [4067] = 4067,
  [4068] = 4068,
  [4069] = 4042,
  [4070] = 4047,
  [4071] = 4066,
  [4072] = 4030,
  [4073] = 4073,
  [4074] = 4066,
  [4075] = 4075,
  [4076] = 4027,
  [4077] = 4077,
  [4078] = 4066,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 3249,
  [4083] = 4009,
  [4084] = 4020,
  [4085] = 3215,
  [4086] = 4044,
  [4087] = 3214,
  [4088] = 4030,
  [4089] = 4013,
  [4090] = 4044,
  [4091] = 4091,
  [4092] = 4037,
  [4093] = 4013,
  [4094] = 4021,
  [4095] = 4095,
  [4096] = 3236,
  [4097] = 3238,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4081,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 3193,
  [4104] = 4104,
  [4105] = 4022,
  [4106] = 4052,
  [4107] = 4107,
  [4108] = 4108,
  [4109] = 4042,
  [4110] = 4008,
  [4111] = 3241,
  [4112] = 4022,
  [4113] = 4113,
  [4114] = 4024,
  [4115] = 4115,
  [4116] = 4013,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 4119,
  [4120] = 4022,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 1706,
  [4124] = 4124,
  [4125] = 4125,
  [4126] = 4126,
  [4127] = 4127,
  [4128] = 1729,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 4134,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 2187,
  [4144] = 4134,
  [4145] = 4137,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 4134,
  [4149] = 4134,
  [4150] = 4134,
  [4151] = 4137,
  [4152] = 4137,
  [4153] = 4134,
  [4154] = 4134,
  [4155] = 4137,
  [4156] = 4156,
  [4157] = 4137,
  [4158] = 4158,
  [4159] = 4137,
  [4160] = 4137,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 4137,
  [4164] = 4134,
  [4165] = 4137,
  [4166] = 4134,
  [4167] = 4137,
  [4168] = 4168,
  [4169] = 4134,
  [4170] = 4137,
  [4171] = 4134,
  [4172] = 4134,
  [4173] = 4173,
  [4174] = 4137,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 1509,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4190,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4190,
  [4201] = 4188,
  [4202] = 4187,
  [4203] = 4186,
  [4204] = 4204,
  [4205] = 4188,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 3775,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4186,
  [4217] = 4187,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4219,
  [4223] = 4219,
  [4224] = 4224,
  [4225] = 4219,
  [4226] = 4226,
  [4227] = 4219,
  [4228] = 4219,
  [4229] = 4220,
  [4230] = 3530,
  [4231] = 4219,
  [4232] = 4219,
  [4233] = 4219,
  [4234] = 4234,
  [4235] = 4219,
  [4236] = 4236,
  [4237] = 4219,
  [4238] = 4219,
  [4239] = 4219,
  [4240] = 4240,
  [4241] = 4219,
  [4242] = 4219,
  [4243] = 4224,
  [4244] = 3778,
  [4245] = 4219,
  [4246] = 4246,
  [4247] = 4247,
  [4248] = 4219,
  [4249] = 4219,
  [4250] = 4219,
  [4251] = 1115,
  [4252] = 4219,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4219,
  [4256] = 4256,
  [4257] = 4224,
  [4258] = 4258,
  [4259] = 4219,
  [4260] = 4219,
  [4261] = 4261,
  [4262] = 4219,
  [4263] = 4219,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 3298,
  [4268] = 4219,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 3291,
  [4272] = 4219,
  [4273] = 4273,
  [4274] = 4274,
  [4275] = 2187,
  [4276] = 4219,
  [4277] = 4219,
  [4278] = 4219,
  [4279] = 4279,
  [4280] = 3319,
  [4281] = 4219,
  [4282] = 4219,
  [4283] = 4219,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4224,
  [4287] = 4219,
  [4288] = 4219,
  [4289] = 4219,
  [4290] = 4290,
  [4291] = 4219,
  [4292] = 4219,
  [4293] = 4219,
  [4294] = 4219,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4298,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4303,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4308,
  [4311] = 2730,
  [4312] = 2727,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4315,
  [4316] = 4316,
  [4317] = 4298,
  [4318] = 4318,
  [4319] = 4319,
  [4320] = 4320,
  [4321] = 4321,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4320,
  [4325] = 4319,
  [4326] = 4320,
  [4327] = 4321,
  [4328] = 4318,
  [4329] = 4329,
  [4330] = 4319,
  [4331] = 4331,
  [4332] = 4295,
  [4333] = 4316,
  [4334] = 4334,
  [4335] = 4308,
  [4336] = 4296,
  [4337] = 4337,
  [4338] = 4321,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 2626,
  [4342] = 4318,
  [4343] = 4303,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4346,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4303,
  [4352] = 4352,
  [4353] = 4305,
  [4354] = 4354,
  [4355] = 4303,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4359,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4303,
  [4367] = 4305,
  [4368] = 4303,
  [4369] = 4303,
  [4370] = 4370,
  [4371] = 4371,
  [4372] = 4298,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4374,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4295,
  [4380] = 4380,
  [4381] = 4381,
  [4382] = 4359,
  [4383] = 2768,
  [4384] = 4384,
  [4385] = 4374,
  [4386] = 4386,
  [4387] = 4308,
  [4388] = 4364,
  [4389] = 4298,
  [4390] = 4303,
  [4391] = 4295,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 4395,
  [4396] = 4357,
  [4397] = 4357,
  [4398] = 4384,
  [4399] = 4303,
  [4400] = 4318,
  [4401] = 4384,
  [4402] = 4207,
  [4403] = 4358,
  [4404] = 4339,
  [4405] = 4303,
  [4406] = 4406,
  [4407] = 4296,
  [4408] = 4308,
  [4409] = 4303,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4412,
  [4413] = 4359,
  [4414] = 4354,
  [4415] = 4349,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4419,
  [4420] = 4357,
  [4421] = 4384,
  [4422] = 4357,
  [4423] = 4364,
  [4424] = 4298,
  [4425] = 4425,
  [4426] = 4321,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4359,
  [4431] = 4307,
  [4432] = 4352,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4298,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4303,
  [4442] = 4305,
  [4443] = 4443,
  [4444] = 4307,
  [4445] = 4445,
  [4446] = 4308,
  [4447] = 4318,
  [4448] = 4448,
  [4449] = 4321,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4320,
  [4453] = 4319,
  [4454] = 4454,
  [4455] = 4296,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4320,
  [4459] = 4308,
  [4460] = 4303,
  [4461] = 4318,
  [4462] = 4357,
  [4463] = 4463,
  [4464] = 4354,
  [4465] = 4465,
  [4466] = 4349,
  [4467] = 4467,
  [4468] = 4468,
  [4469] = 4296,
  [4470] = 4470,
  [4471] = 4303,
  [4472] = 4394,
  [4473] = 4473,
  [4474] = 4410,
  [4475] = 4349,
  [4476] = 4319,
  [4477] = 4354,
  [4478] = 4384,
  [4479] = 4303,
  [4480] = 4307,
  [4481] = 2723,
  [4482] = 4302,
  [4483] = 4319,
  [4484] = 4384,
  [4485] = 4374,
  [4486] = 4308,
  [4487] = 4487,
  [4488] = 4425,
  [4489] = 4489,
  [4490] = 4443,
  [4491] = 4300,
  [4492] = 4429,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4434,
  [4499] = 4320,
  [4500] = 4500,
  [4501] = 4427,
  [4502] = 4354,
  [4503] = 4503,
  [4504] = 4349,
  [4505] = 4425,
  [4506] = 4394,
  [4507] = 4507,
  [4508] = 4303,
  [4509] = 4364,
  [4510] = 4510,
  [4511] = 4364,
  [4512] = 4429,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4429,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4321,
  [4523] = 4425,
  [4524] = 4350,
  [4525] = 4384,
  [4526] = 4526,
  [4527] = 4307,
  [4528] = 4528,
  [4529] = 4357,
  [4530] = 4296,
  [4531] = 4531,
  [4532] = 4364,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4320,
  [4536] = 4359,
  [4537] = 4303,
  [4538] = 4538,
  [4539] = 4531,
  [4540] = 4514,
  [4541] = 4510,
  [4542] = 4538,
  [4543] = 4305,
  [4544] = 4487,
  [4545] = 4321,
  [4546] = 4303,
  [4547] = 4359,
  [4548] = 4305,
  [4549] = 4348,
  [4550] = 4347,
  [4551] = 4344,
  [4552] = 4334,
  [4553] = 4359,
  [4554] = 4489,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4370,
  [4560] = 4323,
  [4561] = 4331,
  [4562] = 4365,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 2779,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4303,
  [4569] = 4319,
  [4570] = 4570,
  [4571] = 488,
  [4572] = 4572,
  [4573] = 4320,
  [4574] = 4295,
  [4575] = 4321,
  [4576] = 4183,
  [4577] = 4318,
  [4578] = 4321,
  [4579] = 4429,
  [4580] = 4411,
  [4581] = 4320,
  [4582] = 4319,
  [4583] = 4321,
  [4584] = 4584,
  [4585] = 4305,
  [4586] = 4425,
  [4587] = 4425,
  [4588] = 4588,
  [4589] = 4429,
  [4590] = 4590,
  [4591] = 4303,
  [4592] = 4451,
  [4593] = 4364,
  [4594] = 4594,
  [4595] = 4307,
  [4596] = 4296,
  [4597] = 4349,
  [4598] = 4598,
  [4599] = 4354,
  [4600] = 4354,
  [4601] = 4349,
  [4602] = 4602,
  [4603] = 4603,
  [4604] = 4451,
  [4605] = 4429,
  [4606] = 4303,
  [4607] = 4318,
  [4608] = 4608,
  [4609] = 4364,
  [4610] = 4427,
  [4611] = 4611,
  [4612] = 4406,
  [4613] = 3848,
  [4614] = 4410,
  [4615] = 4615,
  [4616] = 3876,
  [4617] = 3872,
  [4618] = 4354,
  [4619] = 4303,
  [4620] = 4603,
  [4621] = 4621,
  [4622] = 4308,
  [4623] = 489,
  [4624] = 4349,
  [4625] = 4295,
  [4626] = 3867,
  [4627] = 4627,
  [4628] = 474,
  [4629] = 4603,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4199,
  [4634] = 4634,
  [4635] = 4635,
  [4636] = 4305,
  [4637] = 4354,
  [4638] = 4359,
  [4639] = 4357,
  [4640] = 1115,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4303,
  [4645] = 4384,
  [4646] = 4374,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4303,
  [4650] = 4394,
  [4651] = 4319,
  [4652] = 4320,
  [4653] = 4321,
  [4654] = 4318,
  [4655] = 4308,
  [4656] = 4298,
  [4657] = 4425,
  [4658] = 4316,
  [4659] = 4659,
  [4660] = 4429,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4303,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 3885,
  [4667] = 4298,
  [4668] = 4425,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4357,
  [4672] = 4305,
  [4673] = 3854,
  [4674] = 4364,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4357,
  [4678] = 4359,
  [4679] = 4603,
  [4680] = 4303,
  [4681] = 4384,
  [4682] = 4359,
  [4683] = 4364,
  [4684] = 4684,
  [4685] = 4307,
  [4686] = 4686,
  [4687] = 4303,
  [4688] = 4303,
  [4689] = 4689,
  [4690] = 4296,
  [4691] = 4691,
  [4692] = 4555,
  [4693] = 4303,
  [4694] = 4364,
  [4695] = 4357,
  [4696] = 4358,
  [4697] = 4384,
  [4698] = 4357,
  [4699] = 4349,
  [4700] = 4374,
  [4701] = 4384,
  [4702] = 4364,
  [4703] = 4318,
  [4704] = 4704,
  [4705] = 2786,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4359,
  [4709] = 4603,
  [4710] = 4357,
  [4711] = 4384,
  [4712] = 4712,
  [4713] = 4305,
  [4714] = 4358,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4303,
  [4719] = 4603,
  [4720] = 4621,
  [4721] = 4556,
  [4722] = 4316,
  [4723] = 4318,
  [4724] = 4724,
  [4725] = 4603,
  [4726] = 4321,
  [4727] = 4321,
  [4728] = 4320,
  [4729] = 4307,
  [4730] = 4557,
  [4731] = 4320,
  [4732] = 4732,
  [4733] = 4352,
  [4734] = 4319,
  [4735] = 4735,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4349,
  [4739] = 4739,
  [4740] = 4308,
  [4741] = 4558,
  [4742] = 4456,
  [4743] = 4354,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4394,
  [4747] = 4296,
  [4748] = 4374,
  [4749] = 4425,
  [4750] = 4303,
  [4751] = 4429,
  [4752] = 4752,
  [4753] = 4417,
  [4754] = 4303,
  [4755] = 4411,
  [4756] = 4425,
  [4757] = 4418,
  [4758] = 4394,
  [4759] = 4349,
  [4760] = 4354,
  [4761] = 4354,
  [4762] = 4457,
  [4763] = 4295,
  [4764] = 4429,
  [4765] = 4303,
  [4766] = 4319,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 4298,
  [4770] = 4307,
  [4771] = 4771,
  [4772] = 4296,
  [4773] = 4295,
  [4774] = 4774,
  [4775] = 4303,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 482,
  [4780] = 4780,
  [4781] = 4394,
  [4782] = 4782,
  [4783] = 4349,
  [4784] = 4303,
  [4785] = 4295,
  [4786] = 4354,
  [4787] = 4349,
  [4788] = 4788,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4434,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4684,
  [4803] = 4319,
  [4804] = 4521,
  [4805] = 4805,
  [4806] = 4394,
  [4807] = 4603,
  [4808] = 4808,
  [4809] = 4302,
  [4810] = 4425,
  [4811] = 4487,
  [4812] = 4320,
  [4813] = 4318,
  [4814] = 4520,
  [4815] = 4374,
  [4816] = 4519,
  [4817] = 4295,
  [4818] = 4518,
  [4819] = 4429,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4493,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4425,
  [4826] = 4303,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4429,
  [4830] = 4318,
  [4831] = 4354,
  [4832] = 4349,
  [4833] = 4303,
  [4834] = 4305,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 4307,
  [4839] = 4296,
  [4840] = 4384,
  [4841] = 4303,
  [4842] = 4308,
  [4843] = 4843,
  [4844] = 4493,
  [4845] = 4364,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4307,
  [4849] = 4319,
  [4850] = 4850,
  [4851] = 4308,
  [4852] = 4852,
  [4853] = 4319,
  [4854] = 4320,
  [4855] = 4321,
  [4856] = 4318,
  [4857] = 4316,
  [4858] = 4303,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4861,
  [4862] = 4357,
  [4863] = 4863,
  [4864] = 4864,
  [4865] = 4305,
  [4866] = 4384,
  [4867] = 4298,
  [4868] = 4868,
  [4869] = 4307,
  [4870] = 4359,
  [4871] = 4358,
  [4872] = 4296,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4876,
  [4877] = 3537,
  [4878] = 4878,
  [4879] = 4879,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4885,
  [4886] = 4886,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 482,
  [4892] = 4876,
  [4893] = 4893,
  [4894] = 4894,
  [4895] = 4895,
  [4896] = 4896,
  [4897] = 4897,
  [4898] = 4898,
  [4899] = 4899,
  [4900] = 4900,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4904,
  [4905] = 4905,
  [4906] = 4906,
  [4907] = 4907,
  [4908] = 4908,
  [4909] = 4909,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4912,
  [4913] = 4875,
  [4914] = 4888,
  [4915] = 4888,
  [4916] = 4875,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4888,
  [4920] = 4875,
  [4921] = 4921,
  [4922] = 4888,
  [4923] = 4875,
  [4924] = 4924,
  [4925] = 4888,
  [4926] = 4875,
  [4927] = 4927,
  [4928] = 4888,
  [4929] = 4875,
  [4930] = 4888,
  [4931] = 4875,
  [4932] = 4932,
  [4933] = 4888,
  [4934] = 4875,
  [4935] = 4935,
  [4936] = 4888,
  [4937] = 4875,
  [4938] = 4938,
  [4939] = 4888,
  [4940] = 4875,
  [4941] = 4888,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4944,
  [4945] = 4945,
  [4946] = 4888,
  [4947] = 4875,
  [4948] = 4888,
  [4949] = 4875,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4888,
  [4953] = 4875,
  [4954] = 4954,
  [4955] = 4888,
  [4956] = 4875,
  [4957] = 4670,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4888,
  [4961] = 474,
  [4962] = 489,
  [4963] = 4875,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4888,
  [4967] = 4875,
  [4968] = 4888,
  [4969] = 4875,
  [4970] = 4888,
  [4971] = 4875,
  [4972] = 4875,
  [4973] = 4973,
  [4974] = 4888,
  [4975] = 4875,
  [4976] = 4888,
  [4977] = 4875,
  [4978] = 4888,
  [4979] = 4875,
  [4980] = 4980,
  [4981] = 4888,
  [4982] = 4875,
  [4983] = 4983,
  [4984] = 488,
  [4985] = 4888,
  [4986] = 4875,
  [4987] = 4888,
  [4988] = 4875,
  [4989] = 4888,
  [4990] = 4875,
  [4991] = 4888,
  [4992] = 4875,
  [4993] = 3530,
  [4994] = 4888,
  [4995] = 3914,
  [4996] = 4875,
  [4997] = 4888,
  [4998] = 3913,
  [4999] = 4875,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 4888,
  [5004] = 5004,
  [5005] = 4878,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 2803,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 4875,
  [5013] = 4888,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 4875,
  [5020] = 5020,
  [5021] = 4888,
  [5022] = 5022,
  [5023] = 5023,
  [5024] = 4875,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 4875,
  [5028] = 5028,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 4888,
  [5033] = 4888,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 4910,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 4879,
  [5043] = 4875,
  [5044] = 4875,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 4944,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 4888,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 4878,
  [5056] = 4878,
  [5057] = 4944,
  [5058] = 4888,
  [5059] = 4875,
  [5060] = 4875,
  [5061] = 4873,
  [5062] = 4875,
  [5063] = 4888,
  [5064] = 5064,
  [5065] = 4950,
  [5066] = 5066,
  [5067] = 4875,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 4888,
  [5072] = 4888,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5087,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5110,
  [5113] = 5111,
  [5114] = 5114,
  [5115] = 5107,
  [5116] = 4893,
  [5117] = 5088,
  [5118] = 5118,
  [5119] = 5085,
  [5120] = 5083,
  [5121] = 5076,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5109,
  [5130] = 5074,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5104,
  [5141] = 5101,
  [5142] = 5142,
  [5143] = 5100,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5147,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 5158,
  [5159] = 5155,
  [5160] = 5160,
  [5161] = 5137,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 5165,
  [5166] = 5166,
  [5167] = 5127,
  [5168] = 5099,
  [5169] = 5084,
  [5170] = 5095,
  [5171] = 5086,
  [5172] = 5087,
  [5173] = 5126,
  [5174] = 5174,
  [5175] = 5090,
  [5176] = 5092,
  [5177] = 5092,
  [5178] = 5090,
  [5179] = 5179,
  [5180] = 5095,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 5099,
  [5185] = 5100,
  [5186] = 5101,
  [5187] = 5146,
  [5188] = 5188,
  [5189] = 5104,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5110,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5111,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 5107,
  [5203] = 5203,
  [5204] = 5088,
  [5205] = 5205,
  [5206] = 5085,
  [5207] = 5083,
  [5208] = 5076,
  [5209] = 5127,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5213,
  [5214] = 5126,
  [5215] = 5127,
  [5216] = 5216,
  [5217] = 5109,
  [5218] = 5074,
  [5219] = 5131,
  [5220] = 5087,
  [5221] = 5086,
  [5222] = 5134,
  [5223] = 5084,
  [5224] = 5224,
  [5225] = 5157,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 5155,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5109,
  [5233] = 5146,
  [5234] = 5147,
  [5235] = 5148,
  [5236] = 5149,
  [5237] = 5149,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5155,
  [5243] = 5243,
  [5244] = 5157,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5148,
  [5248] = 5149,
  [5249] = 5249,
  [5250] = 5148,
  [5251] = 5147,
  [5252] = 3530,
  [5253] = 5253,
  [5254] = 5137,
  [5255] = 5145,
  [5256] = 5084,
  [5257] = 5142,
  [5258] = 5086,
  [5259] = 5087,
  [5260] = 5139,
  [5261] = 5146,
  [5262] = 5090,
  [5263] = 5263,
  [5264] = 5092,
  [5265] = 5265,
  [5266] = 5134,
  [5267] = 5095,
  [5268] = 5131,
  [5269] = 5074,
  [5270] = 5270,
  [5271] = 5099,
  [5272] = 5100,
  [5273] = 5101,
  [5274] = 5108,
  [5275] = 3921,
  [5276] = 5104,
  [5277] = 5108,
  [5278] = 5109,
  [5279] = 5127,
  [5280] = 5126,
  [5281] = 5074,
  [5282] = 5282,
  [5283] = 5110,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5111,
  [5287] = 5146,
  [5288] = 5131,
  [5289] = 5107,
  [5290] = 5290,
  [5291] = 5088,
  [5292] = 5147,
  [5293] = 5085,
  [5294] = 5083,
  [5295] = 5076,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5148,
  [5301] = 5127,
  [5302] = 5126,
  [5303] = 5109,
  [5304] = 5074,
  [5305] = 5131,
  [5306] = 5134,
  [5307] = 5263,
  [5308] = 5134,
  [5309] = 5137,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5137,
  [5314] = 5134,
  [5315] = 5315,
  [5316] = 3830,
  [5317] = 5149,
  [5318] = 5318,
  [5319] = 5146,
  [5320] = 5147,
  [5321] = 5148,
  [5322] = 5149,
  [5323] = 5323,
  [5324] = 3224,
  [5325] = 5245,
  [5326] = 5243,
  [5327] = 5131,
  [5328] = 5155,
  [5329] = 5241,
  [5330] = 5157,
  [5331] = 5074,
  [5332] = 5109,
  [5333] = 5333,
  [5334] = 5127,
  [5335] = 5126,
  [5336] = 5336,
  [5337] = 5146,
  [5338] = 5147,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5084,
  [5343] = 5343,
  [5344] = 5086,
  [5345] = 5087,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5090,
  [5349] = 5349,
  [5350] = 5092,
  [5351] = 5148,
  [5352] = 5352,
  [5353] = 5095,
  [5354] = 5354,
  [5355] = 5099,
  [5356] = 5100,
  [5357] = 5101,
  [5358] = 2477,
  [5359] = 5359,
  [5360] = 5076,
  [5361] = 5083,
  [5362] = 5127,
  [5363] = 5085,
  [5364] = 5109,
  [5365] = 5074,
  [5366] = 5131,
  [5367] = 5367,
  [5368] = 5368,
  [5369] = 5134,
  [5370] = 5088,
  [5371] = 5107,
  [5372] = 5372,
  [5373] = 5240,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5239,
  [5378] = 5378,
  [5379] = 3223,
  [5380] = 5146,
  [5381] = 5148,
  [5382] = 5149,
  [5383] = 5226,
  [5384] = 5238,
  [5385] = 5231,
  [5386] = 5230,
  [5387] = 5387,
  [5388] = 5155,
  [5389] = 5245,
  [5390] = 5157,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5111,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5084,
  [5403] = 5403,
  [5404] = 5086,
  [5405] = 5087,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5090,
  [5409] = 5409,
  [5410] = 5092,
  [5411] = 5411,
  [5412] = 5226,
  [5413] = 5095,
  [5414] = 5414,
  [5415] = 5099,
  [5416] = 5100,
  [5417] = 5101,
  [5418] = 5243,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 5127,
  [5423] = 5423,
  [5424] = 5109,
  [5425] = 5074,
  [5426] = 5131,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5134,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5229,
  [5434] = 5434,
  [5435] = 5155,
  [5436] = 5086,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5224,
  [5440] = 5146,
  [5441] = 5148,
  [5442] = 5149,
  [5443] = 5110,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5157,
  [5447] = 5084,
  [5448] = 5155,
  [5449] = 5449,
  [5450] = 5157,
  [5451] = 3919,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5211,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5241,
  [5462] = 5084,
  [5463] = 5240,
  [5464] = 5086,
  [5465] = 5087,
  [5466] = 5238,
  [5467] = 5467,
  [5468] = 5090,
  [5469] = 5469,
  [5470] = 5092,
  [5471] = 3843,
  [5472] = 5149,
  [5473] = 5095,
  [5474] = 5087,
  [5475] = 5099,
  [5476] = 5100,
  [5477] = 5101,
  [5478] = 5155,
  [5479] = 5216,
  [5480] = 5213,
  [5481] = 5212,
  [5482] = 5127,
  [5483] = 5192,
  [5484] = 5109,
  [5485] = 5074,
  [5486] = 5131,
  [5487] = 5210,
  [5488] = 5203,
  [5489] = 5134,
  [5490] = 5201,
  [5491] = 5200,
  [5492] = 5198,
  [5493] = 5197,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5146,
  [5501] = 5148,
  [5502] = 5149,
  [5503] = 5104,
  [5504] = 5193,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5224,
  [5508] = 5157,
  [5509] = 5157,
  [5510] = 5510,
  [5511] = 5101,
  [5512] = 5191,
  [5513] = 5190,
  [5514] = 5188,
  [5515] = 5515,
  [5516] = 5100,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5084,
  [5522] = 5099,
  [5523] = 5086,
  [5524] = 5087,
  [5525] = 5191,
  [5526] = 5526,
  [5527] = 5090,
  [5528] = 5528,
  [5529] = 5092,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5095,
  [5533] = 5533,
  [5534] = 5099,
  [5535] = 5100,
  [5536] = 5101,
  [5537] = 5095,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5127,
  [5542] = 5542,
  [5543] = 5109,
  [5544] = 5074,
  [5545] = 5131,
  [5546] = 5546,
  [5547] = 5084,
  [5548] = 5134,
  [5549] = 5549,
  [5550] = 5086,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5092,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5146,
  [5558] = 5148,
  [5559] = 5149,
  [5560] = 5087,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5157,
  [5567] = 5156,
  [5568] = 5084,
  [5569] = 5090,
  [5570] = 5086,
  [5571] = 5087,
  [5572] = 5572,
  [5573] = 5182,
  [5574] = 5090,
  [5575] = 5099,
  [5576] = 5213,
  [5577] = 5181,
  [5578] = 5109,
  [5579] = 5074,
  [5580] = 5131,
  [5581] = 5179,
  [5582] = 5090,
  [5583] = 5134,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5092,
  [5587] = 5174,
  [5588] = 5146,
  [5589] = 5149,
  [5590] = 5212,
  [5591] = 5095,
  [5592] = 5592,
  [5593] = 5593,
  [5594] = 5099,
  [5595] = 3918,
  [5596] = 5157,
  [5597] = 5087,
  [5598] = 5211,
  [5599] = 5599,
  [5600] = 5090,
  [5601] = 5087,
  [5602] = 5109,
  [5603] = 5074,
  [5604] = 5131,
  [5605] = 5605,
  [5606] = 5086,
  [5607] = 5134,
  [5608] = 5146,
  [5609] = 5149,
  [5610] = 5210,
  [5611] = 5087,
  [5612] = 5084,
  [5613] = 5131,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5134,
  [5617] = 5149,
  [5618] = 3232,
  [5619] = 5087,
  [5620] = 5193,
  [5621] = 5131,
  [5622] = 5622,
  [5623] = 5623,
  [5624] = 5134,
  [5625] = 5149,
  [5626] = 5157,
  [5627] = 5087,
  [5628] = 5192,
  [5629] = 5131,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 5134,
  [5633] = 5149,
  [5634] = 5106,
  [5635] = 5087,
  [5636] = 5190,
  [5637] = 5131,
  [5638] = 5638,
  [5639] = 5131,
  [5640] = 5134,
  [5641] = 5149,
  [5642] = 5156,
  [5643] = 5087,
  [5644] = 5181,
  [5645] = 5131,
  [5646] = 3799,
  [5647] = 5179,
  [5648] = 5134,
  [5649] = 5149,
  [5650] = 5157,
  [5651] = 5087,
  [5652] = 5090,
  [5653] = 5131,
  [5654] = 5165,
  [5655] = 5164,
  [5656] = 5134,
  [5657] = 5149,
  [5658] = 5155,
  [5659] = 5087,
  [5660] = 5092,
  [5661] = 5131,
  [5662] = 5662,
  [5663] = 5663,
  [5664] = 5134,
  [5665] = 5149,
  [5666] = 5174,
  [5667] = 5087,
  [5668] = 5095,
  [5669] = 5131,
  [5670] = 5099,
  [5671] = 5163,
  [5672] = 5134,
  [5673] = 5149,
  [5674] = 5165,
  [5675] = 5087,
  [5676] = 5164,
  [5677] = 5131,
  [5678] = 5162,
  [5679] = 5679,
  [5680] = 5134,
  [5681] = 5149,
  [5682] = 5149,
  [5683] = 5087,
  [5684] = 5148,
  [5685] = 5131,
  [5686] = 5160,
  [5687] = 5687,
  [5688] = 5134,
  [5689] = 5149,
  [5690] = 5147,
  [5691] = 5087,
  [5692] = 5146,
  [5693] = 5131,
  [5694] = 5163,
  [5695] = 5162,
  [5696] = 5134,
  [5697] = 5149,
  [5698] = 5144,
  [5699] = 5087,
  [5700] = 5100,
  [5701] = 5131,
  [5702] = 5101,
  [5703] = 5104,
  [5704] = 5134,
  [5705] = 5149,
  [5706] = 5137,
  [5707] = 5087,
  [5708] = 5138,
  [5709] = 5131,
  [5710] = 5710,
  [5711] = 5136,
  [5712] = 5134,
  [5713] = 5149,
  [5714] = 5134,
  [5715] = 5087,
  [5716] = 5133,
  [5717] = 5131,
  [5718] = 5123,
  [5719] = 5131,
  [5720] = 5134,
  [5721] = 5149,
  [5722] = 5074,
  [5723] = 5087,
  [5724] = 5109,
  [5725] = 5131,
  [5726] = 5158,
  [5727] = 5727,
  [5728] = 5134,
  [5729] = 5149,
  [5730] = 5118,
  [5731] = 5087,
  [5732] = 5127,
  [5733] = 5131,
  [5734] = 5126,
  [5735] = 5735,
  [5736] = 5134,
  [5737] = 5149,
  [5738] = 5110,
  [5739] = 5087,
  [5740] = 5076,
  [5741] = 5131,
  [5742] = 5367,
  [5743] = 5743,
  [5744] = 5134,
  [5745] = 5149,
  [5746] = 5083,
  [5747] = 5087,
  [5748] = 5085,
  [5749] = 5131,
  [5750] = 5750,
  [5751] = 5111,
  [5752] = 5134,
  [5753] = 5149,
  [5754] = 5088,
  [5755] = 5087,
  [5756] = 5105,
  [5757] = 5131,
  [5758] = 5758,
  [5759] = 5107,
  [5760] = 5134,
  [5761] = 5149,
  [5762] = 5074,
  [5763] = 5087,
  [5764] = 5106,
  [5765] = 5131,
  [5766] = 5766,
  [5767] = 5081,
  [5768] = 5134,
  [5769] = 5149,
  [5770] = 5107,
  [5771] = 5087,
  [5772] = 5105,
  [5773] = 5131,
  [5774] = 5774,
  [5775] = 5094,
  [5776] = 5134,
  [5777] = 5149,
  [5778] = 5111,
  [5779] = 5087,
  [5780] = 5229,
  [5781] = 5131,
  [5782] = 5088,
  [5783] = 5783,
  [5784] = 5134,
  [5785] = 5149,
  [5786] = 5110,
  [5787] = 5087,
  [5788] = 5085,
  [5789] = 5131,
  [5790] = 5790,
  [5791] = 5133,
  [5792] = 5134,
  [5793] = 5149,
  [5794] = 5083,
  [5795] = 5087,
  [5796] = 5367,
  [5797] = 5131,
  [5798] = 5138,
  [5799] = 5079,
  [5800] = 5134,
  [5801] = 5149,
  [5802] = 5078,
  [5803] = 5087,
  [5804] = 5076,
  [5805] = 5131,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5134,
  [5809] = 5149,
  [5810] = 5075,
  [5811] = 5087,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5195,
  [5820] = 5194,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5126,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5125,
  [5836] = 5836,
  [5837] = 5154,
  [5838] = 5838,
  [5839] = 5183,
  [5840] = 5152,
  [5841] = 5841,
  [5842] = 5104,
  [5843] = 5284,
  [5844] = 3987,
  [5845] = 5845,
  [5846] = 5333,
  [5847] = 5336,
  [5848] = 5127,
  [5849] = 5376,
  [5850] = 5109,
  [5851] = 5851,
  [5852] = 5144,
  [5853] = 5100,
  [5854] = 5101,
  [5855] = 5133,
  [5856] = 5856,
  [5857] = 5444,
  [5858] = 5858,
  [5859] = 5104,
  [5860] = 5860,
  [5861] = 5510,
  [5862] = 5862,
  [5863] = 5540,
  [5864] = 5864,
  [5865] = 3920,
  [5866] = 3916,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5774,
  [5870] = 5870,
  [5871] = 1840,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 3818,
  [5875] = 5851,
  [5876] = 5101,
  [5877] = 5856,
  [5878] = 5100,
  [5879] = 5138,
  [5880] = 5136,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 1818,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 1828,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5163,
  [5892] = 1820,
  [5893] = 5131,
  [5894] = 5894,
  [5895] = 4959,
  [5896] = 4964,
  [5897] = 4965,
  [5898] = 5134,
  [5899] = 5126,
  [5900] = 5812,
  [5901] = 5134,
  [5902] = 5165,
  [5903] = 5903,
  [5904] = 5091,
  [5905] = 5195,
  [5906] = 5194,
  [5907] = 5132,
  [5908] = 5099,
  [5909] = 5095,
  [5910] = 5092,
  [5911] = 5090,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5156,
  [5915] = 5125,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5183,
  [5919] = 5919,
  [5920] = 5284,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5263,
  [5924] = 5924,
  [5925] = 5444,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5851,
  [5930] = 5930,
  [5931] = 5856,
  [5932] = 5882,
  [5933] = 5933,
  [5934] = 5812,
  [5935] = 1729,
  [5936] = 5936,
  [5937] = 5195,
  [5938] = 5194,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5210,
  [5945] = 5183,
  [5946] = 5212,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5444,
  [5950] = 5950,
  [5951] = 5856,
  [5952] = 5087,
  [5953] = 5812,
  [5954] = 5954,
  [5955] = 1706,
  [5956] = 5195,
  [5957] = 5194,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5183,
  [5964] = 5086,
  [5965] = 5965,
  [5966] = 5444,
  [5967] = 5967,
  [5968] = 5856,
  [5969] = 5969,
  [5970] = 5812,
  [5971] = 5128,
  [5972] = 5972,
  [5973] = 5195,
  [5974] = 5194,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5979,
  [5980] = 5183,
  [5981] = 5981,
  [5982] = 5124,
  [5983] = 5444,
  [5984] = 5984,
  [5985] = 5856,
  [5986] = 5986,
  [5987] = 5812,
  [5988] = 5084,
  [5989] = 5989,
  [5990] = 5195,
  [5991] = 5194,
  [5992] = 5992,
  [5993] = 5993,
  [5994] = 5994,
  [5995] = 5995,
  [5996] = 5183,
  [5997] = 5997,
  [5998] = 5123,
  [5999] = 5444,
  [6000] = 6000,
  [6001] = 5856,
  [6002] = 6002,
  [6003] = 5812,
  [6004] = 6004,
  [6005] = 5118,
  [6006] = 5195,
  [6007] = 5194,
  [6008] = 5882,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 5183,
  [6013] = 5075,
  [6014] = 5110,
  [6015] = 5444,
  [6016] = 6016,
  [6017] = 5856,
  [6018] = 6018,
  [6019] = 5812,
  [6020] = 6020,
  [6021] = 6021,
  [6022] = 5195,
  [6023] = 5194,
  [6024] = 5111,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 5107,
  [6028] = 5183,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 5812,
  [6032] = 6032,
  [6033] = 6033,
  [6034] = 5195,
  [6035] = 5194,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 5183,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 5812,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 5195,
  [6047] = 5194,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 5183,
  [6053] = 5076,
  [6054] = 6054,
  [6055] = 5812,
  [6056] = 6056,
  [6057] = 6057,
  [6058] = 5195,
  [6059] = 5194,
  [6060] = 6060,
  [6061] = 5078,
  [6062] = 6062,
  [6063] = 5183,
  [6064] = 3917,
  [6065] = 5812,
  [6066] = 5812,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 5079,
  [6071] = 6071,
  [6072] = 5183,
  [6073] = 6073,
  [6074] = 5812,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 5080,
  [6079] = 5183,
  [6080] = 5812,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 5106,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 5137,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 5157,
  [6103] = 5155,
  [6104] = 5243,
  [6105] = 6105,
  [6106] = 5105,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 6110,
  [6111] = 5367,
  [6112] = 5103,
  [6113] = 6113,
  [6114] = 6114,
  [6115] = 6115,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 5083,
  [6125] = 5085,
  [6126] = 6126,
  [6127] = 5088,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 5149,
  [6131] = 5091,
  [6132] = 6132,
  [6133] = 5148,
  [6134] = 6134,
  [6135] = 5460,
  [6136] = 5455,
  [6137] = 5340,
  [6138] = 6138,
  [6139] = 6002,
  [6140] = 5890,
  [6141] = 5094,
  [6142] = 5147,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 5146,
  [6146] = 5343,
  [6147] = 5097,
  [6148] = 5438,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 5584,
  [6152] = 5585,
  [6153] = 6153,
  [6154] = 5841,
  [6155] = 5984,
  [6156] = 5102,
  [6157] = 6000,
  [6158] = 6144,
  [6159] = 6143,
  [6160] = 6071,
  [6161] = 6016,
  [6162] = 5978,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 5126,
  [6167] = 6167,
  [6168] = 5460,
  [6169] = 6169,
  [6170] = 6170,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 6174,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6177,
  [6178] = 6178,
  [6179] = 6179,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(799);
      ADVANCE_MAP(
        '!', 2653,
        '#', 847,
        '%', 1490,
        '&', 1496,
        '(', 805,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1894,
        '/', 1486,
        ':', 1558,
        ';', 2657,
        '<', 1507,
        '=', 1568,
        '>', 1502,
        'D', 1635,
        '[', 1903,
        ']', 1904,
        '^', 1494,
        '_', 1907,
        'd', 1634,
        '|', 1493,
        'A', 1646,
        'a', 1646,
        'B', 1636,
        'b', 1636,
        'C', 1637,
        'c', 1637,
        'E', 1652,
        'e', 1652,
        'F', 1640,
        'f', 1640,
        'G', 1647,
        'g', 1647,
        'H', 1655,
        'h', 1655,
        'I', 1649,
        'i', 1649,
        'K', 1651,
        'k', 1651,
        'L', 1648,
        'l', 1648,
        'M', 1643,
        'm', 1643,
        'N', 1645,
        'n', 1645,
        'O', 1654,
        'o', 1654,
        'P', 1638,
        'p', 1638,
        'Q', 1656,
        'q', 1656,
        'R', 1644,
        'r', 1644,
        'S', 1639,
        's', 1639,
        'T', 1642,
        't', 1642,
        'U', 1653,
        'u', 1653,
        'V', 1641,
        'v', 1641,
        'W', 1650,
        'w', 1650,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(797);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1633);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1910);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1439);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(1439);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead != 0) ADVANCE(829);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(811);
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 811,
        '!', 2655,
        '%', 1490,
        '&', 1496,
        '(', 1472,
        '*', 1480,
        '+', 1478,
        '-', 1479,
        '/', 1487,
        '<', 1509,
        '=', 130,
        '>', 1503,
        '^', 1494,
        '_', 1907,
        '|', 1493,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 811,
        '!', 2655,
        '%', 1490,
        '&', 1496,
        '(', 1472,
        '*', 1480,
        '+', 1478,
        '-', 1479,
        '/', 1487,
        '<', 1509,
        '=', 130,
        '>', 1503,
        '^', 1494,
        '|', 1493,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(803);
      if (lookahead == '\r') ADVANCE(7);
      if (lookahead == '!') ADVANCE(2654);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '(') ADVANCE(804);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1439);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(803);
      if (lookahead == '\r') ADVANCE(7);
      if (lookahead == '!') ADVANCE(2654);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1439);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(803);
      if (lookahead == '!') ADVANCE(2654);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1439);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(801);
      if (lookahead == '\r') ADVANCE(8);
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '(') ADVANCE(1472);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(8);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(2654);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1439);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1484,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 471,
        'e', 471,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1484,
        ':', 128,
        '<', 1510,
        '=', 1567,
        '>', 1501,
        ']', 1904,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2219,
        'c', 2219,
        'D', 1950,
        'd', 1950,
        'E', 2331,
        'e', 2331,
        'F', 2440,
        'f', 2440,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2469,
        'o', 2469,
        'P', 1970,
        'p', 1970,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2346,
        'e', 2346,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2327,
        'e', 2327,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2328,
        'e', 2328,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2325,
        'e', 2325,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2335,
        'e', 2335,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2336,
        'e', 2336,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2345,
        'e', 2345,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '+', 1478,
        '-', 1479,
        '.', 1893,
        '/', 112,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2219,
        'c', 2219,
        'D', 1950,
        'd', 1950,
        'E', 2332,
        'e', 2332,
        'F', 2440,
        'f', 2440,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2469,
        'o', 2469,
        'P', 1970,
        'p', 1970,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 472,
        'e', 472,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 473,
        'e', 473,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 474,
        'e', 474,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 475,
        'e', 475,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 476,
        'e', 476,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 2656,
        '#', 137,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1488,
        ':', 128,
        '<', 1510,
        '=', 1567,
        '>', 1501,
        'A', 486,
        'a', 486,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 468,
        'e', 468,
        'F', 590,
        'f', 590,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'N', 596,
        'n', 596,
        'O', 552,
        'o', 552,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
        'U', 536,
        'u', 536,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 2656,
        '#', 137,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1898,
        '/', 112,
        ':', 128,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2280,
        'e', 2280,
        'F', 2423,
        'f', 2423,
        'G', 2417,
        'g', 2417,
        'I', 2191,
        'i', 2191,
        'L', 2418,
        'l', 2418,
        'M', 1937,
        'm', 1937,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1920,
        'p', 1920,
        'R', 2086,
        'r', 2086,
        'S', 1933,
        's', 1933,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 2656,
        '#', 137,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2325,
        'e', 2325,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 2656,
        '#', 137,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 471,
        'e', 471,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(28);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 2656,
        '#', 137,
        '&', 1495,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 469,
        'e', 469,
        'F', 411,
        'f', 411,
        'G', 343,
        'g', 343,
        'I', 507,
        'i', 507,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 643,
        'p', 643,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 2656,
        '#', 146,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1484,
        ':', 1557,
        '<', 1508,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        '_', 1907,
        'A', 218,
        'a', 218,
        'B', 435,
        'b', 435,
        'C', 193,
        'c', 193,
        'D', 327,
        'd', 327,
        'E', 470,
        'e', 470,
        'F', 166,
        'f', 166,
        'G', 344,
        'g', 344,
        'H', 579,
        'h', 579,
        'I', 387,
        'i', 387,
        'K', 438,
        'k', 438,
        'L', 345,
        'l', 345,
        'M', 174,
        'm', 174,
        'N', 571,
        'n', 571,
        'O', 608,
        'o', 608,
        'P', 164,
        'p', 164,
        'Q', 751,
        'q', 751,
        'R', 178,
        'r', 178,
        'S', 165,
        's', 165,
        'T', 168,
        't', 168,
        'V', 167,
        'v', 167,
        'W', 407,
        'w', 407,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1718);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 2656,
        '#', 146,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1484,
        ':', 1557,
        '<', 1508,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        'A', 218,
        'a', 218,
        'B', 435,
        'b', 435,
        'C', 193,
        'c', 193,
        'D', 327,
        'd', 327,
        'E', 470,
        'e', 470,
        'F', 166,
        'f', 166,
        'G', 344,
        'g', 344,
        'H', 579,
        'h', 579,
        'I', 387,
        'i', 387,
        'K', 438,
        'k', 438,
        'L', 345,
        'l', 345,
        'M', 174,
        'm', 174,
        'N', 571,
        'n', 571,
        'O', 608,
        'o', 608,
        'P', 164,
        'p', 164,
        'Q', 751,
        'q', 751,
        'R', 178,
        'r', 178,
        'S', 165,
        's', 165,
        'T', 168,
        't', 168,
        'V', 167,
        'v', 167,
        'W', 407,
        'w', 407,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1718);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 2656,
        '#', 146,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1485,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        '_', 1907,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 468,
        'e', 468,
        'F', 750,
        'f', 750,
        'I', 512,
        'i', 512,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 641,
        'p', 641,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 406,
        't', 406,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 2656,
        '#', 146,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1485,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 468,
        'e', 468,
        'F', 750,
        'f', 750,
        'I', 512,
        'i', 512,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 641,
        'p', 641,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 406,
        't', 406,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 2656,
        '#', 146,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2342,
        'e', 2342,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '#') ADVANCE(146);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(549);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 2656,
        '#', 161,
        '&', 1495,
        '/', 112,
        'B', 790,
        'b', 790,
        'C', 404,
        'c', 404,
        'D', 575,
        'd', 575,
        'E', 551,
        'e', 551,
        'F', 410,
        'f', 410,
        'G', 343,
        'g', 343,
        'I', 534,
        'i', 534,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 626,
        'p', 626,
        'R', 379,
        'r', 379,
        'S', 337,
        's', 337,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1929,
        'c', 1929,
        'D', 1949,
        'd', 1949,
        'E', 2329,
        'e', 2329,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2334,
        'e', 2334,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1932,
        'c', 1932,
        'D', 1954,
        'd', 1954,
        'E', 2337,
        'e', 2337,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1945,
        't', 1945,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1927,
        'c', 1927,
        'D', 1954,
        'd', 1954,
        'E', 2337,
        'e', 2337,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2333,
        'e', 2333,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2337,
        'e', 2337,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 1973,
        'r', 1973,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2347,
        'e', 2347,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2338,
        'e', 2338,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2339,
        'e', 2339,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2340,
        'e', 2340,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2341,
        'e', 2341,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 2656,
        '#', 142,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2348,
        'e', 2348,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 2656,
        '#', 139,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1488,
        '<', 1510,
        '=', 130,
        '>', 1501,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 468,
        'e', 468,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 2656,
        '#', 139,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2280,
        'e', 2280,
        'F', 2423,
        'f', 2423,
        'G', 2417,
        'g', 2417,
        'I', 2191,
        'i', 2191,
        'L', 2418,
        'l', 2418,
        'M', 1937,
        'm', 1937,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1920,
        'p', 1920,
        'R', 2086,
        'r', 2086,
        'S', 1933,
        's', 1933,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(50);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 2656,
        '#', 139,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2325,
        'e', 2325,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(51);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 2656,
        '#', 139,
        '&', 1495,
        '/', 112,
        'A', 711,
        'a', 711,
        'B', 790,
        'b', 790,
        'C', 405,
        'c', 405,
        'D', 575,
        'd', 575,
        'E', 471,
        'e', 471,
        'F', 750,
        'f', 750,
        'I', 511,
        'i', 511,
        'L', 582,
        'l', 582,
        'M', 576,
        'm', 576,
        'P', 771,
        'p', 771,
        'R', 331,
        'r', 331,
        'S', 748,
        's', 748,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(52);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 2656,
        '#', 138,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1484,
        ':', 1557,
        '<', 1508,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2219,
        'c', 2219,
        'D', 1950,
        'd', 1950,
        'E', 2330,
        'e', 2330,
        'F', 2440,
        'f', 2440,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2469,
        'o', 2469,
        'P', 1970,
        'p', 1970,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(53);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1718);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 2656,
        '#', 138,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2326,
        'e', 2326,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(54);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 2656,
        '#', 138,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2333,
        'e', 2333,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(55);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 2656,
        '#', 138,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2334,
        'e', 2334,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(56);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 2656,
        '#', 140,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2326,
        'e', 2326,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1921,
        'p', 1921,
        'R', 2122,
        'r', 2122,
        'S', 1934,
        's', 1934,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(57);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 2656,
        '#', 140,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '/', 112,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2333,
        'e', 2333,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 2656,
        '#', 140,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1930,
        'c', 1930,
        'D', 1954,
        'd', 1954,
        'E', 2334,
        'e', 2334,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 2656,
        '#', 140,
        '&', 1495,
        '/', 112,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2219,
        'c', 2219,
        'D', 1950,
        'd', 1950,
        'E', 2330,
        'e', 2330,
        'F', 2440,
        'f', 2440,
        'I', 2192,
        'i', 2192,
        'L', 2418,
        'l', 2418,
        'M', 1938,
        'm', 1938,
        'N', 1974,
        'n', 1974,
        'O', 2469,
        'o', 2469,
        'P', 1970,
        'p', 1970,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(60);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(61);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        '_', 1908,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2338,
        'e', 2338,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(65);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        '_', 1908,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2338,
        'e', 2338,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(66);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        '_', 1908,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2342,
        'e', 2342,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(67);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2338,
        'e', 2338,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(65);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2338,
        'e', 2338,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(66);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1473,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1896,
        '/', 1489,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2342,
        'e', 2342,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(67);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1558,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'A', 2558,
        'a', 2558,
        'B', 2294,
        'b', 2294,
        'C', 2220,
        'c', 2220,
        'D', 1952,
        'd', 1952,
        'E', 2282,
        'e', 2282,
        'F', 2439,
        'f', 2439,
        'I', 2193,
        'i', 2193,
        'L', 2418,
        'l', 2418,
        'M', 2419,
        'm', 2419,
        'N', 2624,
        'n', 2624,
        'P', 2633,
        'p', 2633,
        'R', 2135,
        'r', 2135,
        'S', 2187,
        's', 2187,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(68);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        '_', 1907,
        'A', 674,
        'a', 674,
        'B', 477,
        'b', 477,
        'C', 502,
        'c', 502,
        'D', 574,
        'd', 574,
        'E', 554,
        'e', 554,
        'F', 593,
        'f', 593,
        'I', 388,
        'i', 388,
        'O', 754,
        'o', 754,
        'S', 378,
        's', 378,
        'T', 792,
        't', 792,
        'W', 407,
        'w', 407,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(70);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'A', 674,
        'a', 674,
        'B', 477,
        'b', 477,
        'C', 502,
        'c', 502,
        'D', 574,
        'd', 574,
        'E', 554,
        'e', 554,
        'F', 593,
        'f', 593,
        'I', 388,
        'i', 388,
        'O', 754,
        'o', 754,
        'S', 378,
        's', 378,
        'T', 792,
        't', 792,
        'W', 407,
        'w', 407,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(70);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1485,
        ':', 1558,
        '<', 1510,
        '=', 1568,
        '>', 1504,
        ']', 1904,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2443,
        'c', 2443,
        'D', 1951,
        'd', 1951,
        'E', 2343,
        'e', 2343,
        'F', 2440,
        'f', 2440,
        'I', 2198,
        'i', 2198,
        'M', 1938,
        'm', 1938,
        'N', 2624,
        'n', 2624,
        'O', 2469,
        'o', 2469,
        'P', 1972,
        'p', 1972,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1942,
        't', 1942,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(71);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1558,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(72);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1508,
        '=', 1568,
        '>', 1501,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(73);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1718);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2439,
        'f', 2439,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(74);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'P', 2520,
        'p', 2520,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(75);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'P', 2524,
        'p', 2524,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(76);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 2656,
        '%', 1490,
        '&', 1495,
        '(', 1472,
        '*', 1481,
        '+', 1478,
        '-', 1479,
        '.', 1897,
        '/', 1489,
        ':', 1557,
        '<', 1510,
        '=', 1568,
        '>', 1501,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2187,
        's', 2187,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(77);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1473,
        ')', 808,
        '*', 1480,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1898,
        '/', 109,
        ':', 1557,
        '[', 1903,
        ']', 1904,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(78);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1473,
        ')', 808,
        '*', 1480,
        '+', 1478,
        '-', 1479,
        '.', 1895,
        ':', 1557,
        '<', 132,
        '[', 1903,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2333,
        'e', 2333,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1943,
        't', 1943,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(80);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'A', 2533,
        'a', 2533,
        'B', 1919,
        'b', 1919,
        'C', 1931,
        'c', 1931,
        'D', 1954,
        'd', 1954,
        'E', 2338,
        'e', 2338,
        'F', 2424,
        'f', 2424,
        'G', 2417,
        'g', 2417,
        'I', 2196,
        'i', 2196,
        'N', 2624,
        'n', 2624,
        'O', 2466,
        'o', 2466,
        'P', 1963,
        'p', 1963,
        'R', 2122,
        'r', 2122,
        'S', 2182,
        's', 2182,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(81);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1473,
        '+', 1478,
        '-', 1479,
        '.', 1898,
        '[', 1903,
        'B', 2294,
        'b', 2294,
        'C', 2220,
        'c', 2220,
        'D', 1952,
        'd', 1952,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2199,
        'i', 2199,
        'L', 2418,
        'l', 2418,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(82);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 83:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '(') ADVANCE(1472);
      if (lookahead == ')') ADVANCE(808);
      if (lookahead == ',') ADVANCE(807);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1856);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1857);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1472,
        ')', 808,
        '/', 112,
        'D', 1953,
        'd', 1914,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1472,
        ',', 807,
        ':', 128,
        'A', 2552,
        'a', 2552,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'O', 2470,
        'o', 2470,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(85);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1472,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'M', 2419,
        'm', 2419,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '(', 1472,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2188,
        's', 2188,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        ')', 808,
        '.', 127,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(88);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '*', 1480,
        'B', 2294,
        'b', 2294,
        'C', 2221,
        'c', 2221,
        'D', 1952,
        'd', 1952,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2199,
        'i', 2199,
        'L', 2418,
        'l', 2418,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(89);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        '+', 1478,
        '-', 1479,
        '.', 1893,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(90);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        ',', 807,
        ':', 128,
        'A', 2558,
        'a', 2558,
        'B', 2294,
        'b', 2294,
        'C', 2220,
        'c', 2220,
        'D', 1952,
        'd', 1952,
        'E', 2283,
        'e', 2283,
        'F', 2273,
        'f', 2273,
        'G', 2163,
        'g', 2163,
        'I', 2195,
        'i', 2195,
        'L', 2418,
        'l', 2418,
        'M', 2419,
        'm', 2419,
        'N', 2624,
        'n', 2624,
        'P', 2500,
        'p', 2500,
        'R', 2135,
        'r', 2135,
        'S', 2187,
        's', 2187,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(91);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        ',', 807,
        'B', 2294,
        'b', 2294,
        'C', 2447,
        'c', 2447,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2225,
        'w', 2225,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(92);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        ':', 128,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2443,
        'c', 2443,
        'D', 1951,
        'd', 1951,
        'E', 2343,
        'e', 2343,
        'F', 2440,
        'f', 2440,
        'I', 2200,
        'i', 2200,
        'M', 1938,
        'm', 1938,
        'N', 2624,
        'n', 2624,
        'O', 2469,
        'o', 2469,
        'P', 1972,
        'p', 1972,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1942,
        't', 1942,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        ':', 128,
        'A', 2002,
        'a', 2002,
        'B', 2294,
        'b', 2294,
        'C', 2218,
        'c', 2218,
        'D', 1950,
        'd', 1950,
        'E', 2281,
        'e', 2281,
        'F', 2439,
        'f', 2439,
        'I', 2194,
        'i', 2194,
        'L', 2418,
        'l', 2418,
        'M', 1937,
        'm', 1937,
        'N', 2624,
        'n', 2624,
        'O', 2469,
        'o', 2469,
        'P', 1971,
        'p', 1971,
        'R', 2135,
        'r', 2135,
        'S', 1935,
        's', 1935,
        'T', 1941,
        't', 1941,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        ':', 128,
        'A', 2001,
        'a', 2001,
        'B', 2294,
        'b', 2294,
        'C', 2443,
        'c', 2443,
        'D', 1951,
        'd', 1951,
        'E', 2343,
        'e', 2343,
        'F', 2440,
        'f', 2440,
        'I', 2198,
        'i', 2198,
        'M', 1938,
        'm', 1938,
        'N', 2624,
        'n', 2624,
        'O', 2462,
        'o', 2462,
        'P', 1972,
        'p', 1972,
        'R', 2162,
        'r', 2162,
        'S', 1936,
        's', 1936,
        'T', 1942,
        't', 1942,
        'V', 1939,
        'v', 1939,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'O', 2398,
        'o', 2398,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1946,
        't', 1946,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        'B', 2294,
        'b', 2294,
        'C', 2648,
        'c', 2648,
        'D', 1953,
        'd', 1953,
        'E', 2344,
        'e', 2344,
        'F', 2440,
        'f', 2440,
        'I', 2197,
        'i', 2197,
        'N', 2624,
        'n', 2624,
        'R', 2162,
        'r', 2162,
        'S', 2189,
        's', 2189,
        'T', 1944,
        't', 1944,
        'V', 1940,
        'v', 1940,
        'W', 2486,
        'w', 2486,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(97);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        'C', 194,
        'c', 194,
        'E', 555,
        'e', 555,
        'R', 177,
        'r', 177,
        'T', 792,
        't', 792,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(98);
      END_STATE();
    case 99:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(499);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(500);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(100);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 2656,
        '&', 1495,
        'E', 555,
        'e', 555,
        'F', 599,
        'f', 599,
        'T', 789,
        't', 789,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101);
      END_STATE();
    case 102:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(102);
      END_STATE();
    case 103:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1910);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(794);
      END_STATE();
    case 104:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1633);
      END_STATE();
    case 105:
      if (lookahead == '!') ADVANCE(2656);
      if (lookahead == '&') ADVANCE(1495);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(105);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1899);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 2655,
        '%', 1490,
        '&', 1496,
        '(', 1472,
        ')', 808,
        '*', 1480,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '/', 1482,
        '<', 1509,
        '=', 130,
        '>', 1503,
        '^', 1494,
        '_', 1907,
        '|', 1493,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(107);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 2655,
        '%', 1490,
        '&', 1496,
        '(', 1472,
        ')', 808,
        '*', 1480,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '/', 1482,
        '<', 1509,
        '=', 130,
        '>', 1503,
        '^', 1494,
        '|', 1493,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(107);
      END_STATE();
    case 108:
      if (lookahead == '!') ADVANCE(1572);
      if (lookahead == '&') ADVANCE(1497);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(1573);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1574);
      END_STATE();
    case 109:
      if (lookahead == ')') ADVANCE(1902);
      END_STATE();
    case 110:
      if (lookahead == '*') ADVANCE(110);
      if (lookahead == '/') ADVANCE(1477);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(111);
      END_STATE();
    case 111:
      if (lookahead == '*') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(111);
      END_STATE();
    case 112:
      if (lookahead == '*') ADVANCE(111);
      END_STATE();
    case 113:
      if (lookahead == '.') ADVANCE(1888);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(121);
      END_STATE();
    case 114:
      if (lookahead == '.') ADVANCE(1887);
      END_STATE();
    case 115:
      if (lookahead == '.') ADVANCE(1885);
      END_STATE();
    case 116:
      if (lookahead == '.') ADVANCE(1886);
      END_STATE();
    case 117:
      if (lookahead == '.') ADVANCE(1884);
      END_STATE();
    case 118:
      if (lookahead == '.') ADVANCE(1890);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(779);
      END_STATE();
    case 119:
      if (lookahead == '.') ADVANCE(1879);
      END_STATE();
    case 120:
      if (lookahead == '.') ADVANCE(1880);
      END_STATE();
    case 121:
      if (lookahead == '.') ADVANCE(1881);
      END_STATE();
    case 122:
      if (lookahead == '.') ADVANCE(1883);
      END_STATE();
    case 123:
      if (lookahead == '.') ADVANCE(1882);
      END_STATE();
    case 124:
      if (lookahead == '.') ADVANCE(1905);
      END_STATE();
    case 125:
      if (lookahead == '.') ADVANCE(1906);
      END_STATE();
    case 126:
      if (lookahead == '.') ADVANCE(806);
      END_STATE();
    case 127:
      if (lookahead == '.') ADVANCE(126);
      END_STATE();
    case 128:
      if (lookahead == ':') ADVANCE(1609);
      END_STATE();
    case 129:
      if (lookahead == '<') ADVANCE(1766);
      END_STATE();
    case 130:
      if (lookahead == '=') ADVANCE(1498);
      END_STATE();
    case 131:
      if (lookahead == '>') ADVANCE(1767);
      END_STATE();
    case 132:
      if (lookahead == '>') ADVANCE(1515);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(132);
      END_STATE();
    case 133:
      if (lookahead == '>') ADVANCE(1516);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(132);
      END_STATE();
    case 134:
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 135:
      if (lookahead == '_') ADVANCE(431);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1615);
      END_STATE();
    case 136:
      if (lookahead == '_') ADVANCE(399);
      END_STATE();
    case 137:
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'e') ADVANCE(1465);
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 138:
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'e') ADVANCE(1465);
      if (lookahead == 'i') ADVANCE(1468);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'e') ADVANCE(1467);
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'e') ADVANCE(1467);
      if (lookahead == 'i') ADVANCE(1468);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 141:
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'i') ADVANCE(1468);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(160);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(149);
      END_STATE();
    case 145:
      if (lookahead == 'd') ADVANCE(151);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(162);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(146);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(818);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 152:
      if (lookahead == 'f') ADVANCE(820);
      END_STATE();
    case 153:
      if (lookahead == 'f') ADVANCE(812);
      END_STATE();
    case 154:
      if (lookahead == 'f') ADVANCE(822);
      END_STATE();
    case 155:
      if (lookahead == 'f') ADVANCE(824);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(810);
      END_STATE();
    case 157:
      if (lookahead == 'f') ADVANCE(814);
      END_STATE();
    case 158:
      if (lookahead == 'f') ADVANCE(816);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(161);
      END_STATE();
    case 162:
      if (lookahead == 'l') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 163:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(464);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        'A', 627,
        'a', 627,
        'I', 560,
        'i', 560,
        'O', 422,
        'o', 422,
        'R', 341,
        'r', 341,
        'U', 220,
        'u', 220,
      );
      END_STATE();
    case 165:
      ADVANCE_MAP(
        'A', 780,
        'a', 780,
        'E', 483,
        'e', 483,
        'H', 176,
        'h', 176,
        'T', 204,
        't', 204,
        'U', 223,
        'u', 223,
      );
      END_STATE();
    case 166:
      ADVANCE_MAP(
        'A', 513,
        'a', 513,
        'I', 559,
        'i', 559,
        'O', 624,
        'o', 624,
        'U', 535,
        'u', 535,
      );
      END_STATE();
    case 167:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(497);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        'A', 625,
        'a', 625,
        'E', 785,
        'e', 785,
        'H', 350,
        'h', 350,
        'O', 1776,
        'o', 1776,
        'Y', 610,
        'y', 610,
      );
      END_STATE();
    case 169:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(677);
      END_STATE();
    case 170:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(628);
      END_STATE();
    case 171:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(454);
      END_STATE();
    case 172:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(454);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(755);
      END_STATE();
    case 173:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(454);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(755);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(757);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(538);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 175:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(506);
      END_STATE();
    case 176:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(637);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(533);
      END_STATE();
    case 178:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(533);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(455);
      END_STATE();
    case 180:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(482);
      END_STATE();
    case 181:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(482);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(183);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(467);
      END_STATE();
    case 183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(697);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 185:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(458);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(459);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(460);
      END_STATE();
    case 188:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(461);
      END_STATE();
    case 189:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(462);
      END_STATE();
    case 190:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(463);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(742);
      END_STATE();
    case 192:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(537);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        'A', 678,
        'a', 678,
        'H', 170,
        'h', 170,
        'L', 169,
        'l', 169,
        'O', 509,
        'o', 509,
      );
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(678);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(205);
      END_STATE();
    case 195:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(515);
      END_STATE();
    case 196:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(398);
      END_STATE();
    case 197:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(733);
      END_STATE();
    case 198:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(680);
      END_STATE();
    case 199:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(720);
      END_STATE();
    case 200:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(553);
      END_STATE();
    case 201:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(683);
      END_STATE();
    case 202:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(258);
      END_STATE();
    case 203:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(763);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(655);
      END_STATE();
    case 204:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(736);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(606);
      END_STATE();
    case 205:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(682);
      END_STATE();
    case 206:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      END_STATE();
    case 208:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(723);
      END_STATE();
    case 209:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(766);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(731);
      END_STATE();
    case 211:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 212:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(434);
      END_STATE();
    case 213:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(725);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(226);
      END_STATE();
    case 215:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(745);
      END_STATE();
    case 216:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(739);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(227);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        'B', 687,
        'b', 687,
        'L', 480,
        'l', 480,
        'S', 675,
        's', 675,
        'T', 713,
        't', 713,
        'U', 716,
        'u', 716,
      );
      END_STATE();
    case 219:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(498);
      END_STATE();
    case 220:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(498);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 221:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(769);
      END_STATE();
    case 222:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(523);
      END_STATE();
    case 223:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(631);
      END_STATE();
    case 224:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(488);
      END_STATE();
    case 225:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(184);
      END_STATE();
    case 226:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(492);
      END_STATE();
    case 227:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(494);
      END_STATE();
    case 228:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(190);
      END_STATE();
    case 229:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(661);
      END_STATE();
    case 230:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1627);
      END_STATE();
    case 231:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1739);
      END_STATE();
    case 232:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1667);
      END_STATE();
    case 233:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1721);
      END_STATE();
    case 234:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1606);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1608);
      END_STATE();
    case 236:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(452);
      END_STATE();
    case 237:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(447);
      END_STATE();
    case 238:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(448);
      END_STATE();
    case 239:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(709);
      END_STATE();
    case 240:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(369);
      END_STATE();
    case 241:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(369);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(373);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(369);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(373);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(382);
      END_STATE();
    case 243:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(703);
      END_STATE();
    case 244:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(481);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(719);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(374);
      END_STATE();
    case 246:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(481);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(374);
      END_STATE();
    case 247:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(710);
      END_STATE();
    case 248:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(705);
      END_STATE();
    case 249:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 250:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(313);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(320);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(199);
      END_STATE();
    case 253:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(182);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(417);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(724);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(186);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(732);
      END_STATE();
    case 257:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(740);
      END_STATE();
    case 258:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      END_STATE();
    case 259:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(450);
      END_STATE();
    case 260:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(384);
      END_STATE();
    case 261:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1591);
      END_STATE();
    case 262:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1747);
      END_STATE();
    case 263:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1688);
      END_STATE();
    case 264:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1686);
      END_STATE();
    case 265:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1682);
      END_STATE();
    case 266:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1675);
      END_STATE();
    case 267:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1737);
      END_STATE();
    case 268:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1580);
      END_STATE();
    case 269:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1540);
      END_STATE();
    case 270:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 271:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1525);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(519);
      END_STATE();
    case 272:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1579);
      END_STATE();
    case 273:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1542);
      END_STATE();
    case 274:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1541);
      END_STATE();
    case 275:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1544);
      END_STATE();
    case 276:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1534);
      END_STATE();
    case 277:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1547);
      END_STATE();
    case 278:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1524);
      END_STATE();
    case 279:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1548);
      END_STATE();
    case 280:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1538);
      END_STATE();
    case 281:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1545);
      END_STATE();
    case 282:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(765);
      END_STATE();
    case 283:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(120);
      END_STATE();
    case 284:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(668);
      END_STATE();
    case 285:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(304);
      END_STATE();
    case 286:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1546);
      END_STATE();
    case 287:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1543);
      END_STATE();
    case 288:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(772);
      END_STATE();
    case 289:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(770);
      END_STATE();
    case 290:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(774);
      END_STATE();
    case 291:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(773);
      END_STATE();
    case 292:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(217);
      END_STATE();
    case 293:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1692);
      END_STATE();
    case 294:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1827);
      END_STATE();
    case 295:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1615);
      END_STATE();
    case 296:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1753);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1623);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1743);
      END_STATE();
    case 299:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1812);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1595);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1751);
      END_STATE();
    case 302:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1551);
      END_STATE();
    case 303:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1666);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1781);
      END_STATE();
    case 305:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1625);
      END_STATE();
    case 306:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1690);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1814);
      END_STATE();
    case 308:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1661);
      END_STATE();
    case 309:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1745);
      END_STATE();
    case 310:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1850);
      END_STATE();
    case 311:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1816);
      END_STATE();
    case 312:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1553);
      END_STATE();
    case 313:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1561);
      END_STATE();
    case 314:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1585);
      END_STATE();
    case 315:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1755);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1829);
      END_STATE();
    case 317:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1831);
      END_STATE();
    case 318:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1581);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1719);
      END_STATE();
    case 320:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1563);
      END_STATE();
    case 321:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1587);
      END_STATE();
    case 322:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1559);
      END_STATE();
    case 323:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1583);
      END_STATE();
    case 324:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1678);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 326:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(118);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(708);
      END_STATE();
    case 327:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(391);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(516);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(749);
      END_STATE();
    case 328:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(541);
      END_STATE();
    case 329:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(402);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(429);
      END_STATE();
    case 330:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1616);
      END_STATE();
    case 331:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1808);
      END_STATE();
    case 333:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1809);
      END_STATE();
    case 334:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1619);
      END_STATE();
    case 335:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1698);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 337:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(617);
      END_STATE();
    case 338:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(783);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 340:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(784);
      END_STATE();
    case 341:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(237);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(778);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(242);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(115);
      END_STATE();
    case 343:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(543);
      END_STATE();
    case 344:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(543);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(578);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(415);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(524);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(253);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(117);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 348:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(696);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 351:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 352:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 353:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 354:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(618);
      END_STATE();
    case 355:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 356:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 357:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(619);
      END_STATE();
    case 358:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(670);
      END_STATE();
    case 359:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(660);
      END_STATE();
    case 360:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 361:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 362:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(638);
      END_STATE();
    case 363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(701);
      END_STATE();
    case 364:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(268);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(620);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(621);
      END_STATE();
    case 367:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 368:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 369:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 370:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(656);
      END_STATE();
    case 371:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(635);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(642);
      END_STATE();
    case 373:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(640);
      END_STATE();
    case 374:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(401);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 376:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 377:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(650);
      END_STATE();
    case 378:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 379:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 380:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(651);
      END_STATE();
    case 381:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 382:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 383:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(743);
      END_STATE();
    case 384:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 385:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 386:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 387:
      ADVANCE_MAP(
        'F', 1799,
        'f', 1799,
        'M', 607,
        'm', 607,
        'N', 436,
        'n', 436,
        'S', 1839,
        's', 1839,
      );
      END_STATE();
    case 388:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1799);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1730);
      END_STATE();
    case 389:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1803);
      END_STATE();
    case 390:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1810);
      END_STATE();
    case 391:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(203);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(416);
      END_STATE();
    case 392:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(206);
      END_STATE();
    case 393:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(209);
      END_STATE();
    case 394:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(604);
      END_STATE();
    case 395:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(211);
      END_STATE();
    case 396:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(756);
      END_STATE();
    case 397:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(363);
      END_STATE();
    case 398:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(351);
      END_STATE();
    case 399:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(501);
      END_STATE();
    case 400:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(417);
      END_STATE();
    case 401:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(354);
      END_STATE();
    case 402:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(354);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(699);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(392);
      END_STATE();
    case 403:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(636);
      END_STATE();
    case 404:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(170);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(169);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 405:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(170);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(169);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(508);
      END_STATE();
    case 406:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(350);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(610);
      END_STATE();
    case 407:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(372);
      END_STATE();
    case 408:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 409:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(380);
      END_STATE();
    case 410:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(559);
      END_STATE();
    case 411:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(559);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(535);
      END_STATE();
    case 412:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(396);
      END_STATE();
    case 413:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(778);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(241);
      END_STATE();
    case 414:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(221);
      END_STATE();
    case 415:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 416:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 417:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 418:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 419:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(465);
      END_STATE();
    case 420:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 421:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(600);
      END_STATE();
    case 422:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(563);
      END_STATE();
    case 423:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 424:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(233);
      END_STATE();
    case 425:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(587);
      END_STATE();
    case 426:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(349);
      END_STATE();
    case 427:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 428:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(235);
      END_STATE();
    case 429:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(545);
      END_STATE();
    case 430:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 431:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(562);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(782);
      END_STATE();
    case 432:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(546);
      END_STATE();
    case 433:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(706);
      END_STATE();
    case 434:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(547);
      END_STATE();
    case 435:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(539);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(572);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(714);
      END_STATE();
    case 436:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(719);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(329);
      END_STATE();
    case 437:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(588);
      END_STATE();
    case 438:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(540);
      END_STATE();
    case 439:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(781);
      END_STATE();
    case 440:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(556);
      END_STATE();
    case 441:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(589);
      END_STATE();
    case 442:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(491);
      END_STATE();
    case 443:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(591);
      END_STATE();
    case 444:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 445:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(558);
      END_STATE();
    case 446:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(594);
      END_STATE();
    case 447:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(689);
      END_STATE();
    case 448:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(213);
      END_STATE();
    case 449:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(566);
      END_STATE();
    case 450:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(690);
      END_STATE();
    case 451:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1833);
      END_STATE();
    case 452:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1846);
      END_STATE();
    case 453:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1835);
      END_STATE();
    case 454:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1696);
      END_STATE();
    case 455:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1673);
      END_STATE();
    case 456:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1818);
      END_STATE();
    case 457:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1594);
      END_STATE();
    case 458:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1669);
      END_STATE();
    case 459:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1709);
      END_STATE();
    case 460:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1621);
      END_STATE();
    case 461:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1733);
      END_STATE();
    case 462:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1749);
      END_STATE();
    case 463:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1598);
      END_STATE();
    case 464:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(686);
      END_STATE();
    case 465:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(787);
      END_STATE();
    case 466:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1659);
      END_STATE();
    case 467:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1795);
      END_STATE();
    case 468:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(271);
      END_STATE();
    case 469:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 470:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(269);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(717);
      END_STATE();
    case 471:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 472:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      END_STATE();
    case 473:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 474:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(276);
      END_STATE();
    case 475:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 476:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 477:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(572);
      END_STATE();
    case 478:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(786);
      END_STATE();
    case 479:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 480:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(581);
      END_STATE();
    case 481:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(759);
      END_STATE();
    case 482:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 483:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(368);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(767);
      END_STATE();
    case 484:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(700);
      END_STATE();
    case 485:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(702);
      END_STATE();
    case 486:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(466);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(713);
      END_STATE();
    case 487:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 488:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 489:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(302);
      END_STATE();
    case 490:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(707);
      END_STATE();
    case 491:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(309);
      END_STATE();
    case 492:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 493:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(340);
      END_STATE();
    case 494:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(324);
      END_STATE();
    case 495:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(312);
      END_STATE();
    case 496:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 497:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(760);
      END_STATE();
    case 498:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 499:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(684);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 500:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(685);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 501:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(598);
      END_STATE();
    case 502:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(205);
      END_STATE();
    case 503:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(375);
      END_STATE();
    case 504:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(376);
      END_STATE();
    case 505:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1870);
      END_STATE();
    case 506:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1549);
      END_STATE();
    case 507:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(607);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 508:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(609);
      END_STATE();
    case 509:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(609);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(679);
      END_STATE();
    case 510:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(609);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(721);
      END_STATE();
    case 511:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(615);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 512:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(615);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(727);
      END_STATE();
    case 513:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(419);
      END_STATE();
    case 514:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(183);
      END_STATE();
    case 515:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(383);
      END_STATE();
    case 516:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(352);
      END_STATE();
    case 517:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(355);
      END_STATE();
    case 518:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(191);
      END_STATE();
    case 519:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(371);
      END_STATE();
    case 520:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(614);
      END_STATE();
    case 521:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(216);
      END_STATE();
    case 522:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(215);
      END_STATE();
    case 523:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(603);
      END_STATE();
    case 524:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1748);
      END_STATE();
    case 525:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1801);
      END_STATE();
    case 526:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1589);
      END_STATE();
    case 527:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1723);
      END_STATE();
    case 528:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1702);
      END_STATE();
    case 529:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1599);
      END_STATE();
    case 530:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1703);
      END_STATE();
    case 531:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 532:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(135);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(198);
      END_STATE();
    case 533:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(451);
      END_STATE();
    case 534:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 535:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(256);
      END_STATE();
    case 536:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(394);
      END_STATE();
    case 537:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(453);
      END_STATE();
    case 538:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(196);
      END_STATE();
    case 539:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(261);
      END_STATE();
    case 540:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(262);
      END_STATE();
    case 541:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(284);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(564);
      END_STATE();
    case 542:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(688);
      END_STATE();
    case 543:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 544:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(752);
      END_STATE();
    case 545:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(691);
      END_STATE();
    case 546:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 547:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(669);
      END_STATE();
    case 548:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(347);
      END_STATE();
    case 549:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 550:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(744);
      END_STATE();
    case 551:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 552:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(478);
      END_STATE();
    case 553:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(704);
      END_STATE();
    case 554:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(278);
      END_STATE();
    case 555:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 556:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 557:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(295);
      END_STATE();
    case 558:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 559:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(179);
      END_STATE();
    case 560:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(548);
      END_STATE();
    case 561:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 562:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(722);
      END_STATE();
    case 563:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(735);
      END_STATE();
    case 564:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 565:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 566:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(692);
      END_STATE();
    case 567:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(738);
      END_STATE();
    case 568:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 569:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1789);
      END_STATE();
    case 570:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(708);
      END_STATE();
    case 571:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(532);
      END_STATE();
    case 572:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 573:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(241);
      END_STATE();
    case 574:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1785);
      END_STATE();
    case 575:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(749);
      END_STATE();
    case 576:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 577:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(521);
      END_STATE();
    case 578:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(225);
      END_STATE();
    case 579:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(676);
      END_STATE();
    case 580:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(520);
      END_STATE();
    case 581:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(252);
      END_STATE();
    case 582:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(400);
      END_STATE();
    case 583:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(403);
      END_STATE();
    case 584:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(761);
      END_STATE();
    case 585:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(758);
      END_STATE();
    case 586:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(634);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(644);
      END_STATE();
    case 587:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(526);
      END_STATE();
    case 588:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(527);
      END_STATE();
    case 589:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(528);
      END_STATE();
    case 590:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(653);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(535);
      END_STATE();
    case 591:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(530);
      END_STATE();
    case 592:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(622);
      END_STATE();
    case 593:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(657);
      END_STATE();
    case 594:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(529);
      END_STATE();
    case 595:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(238);
      END_STATE();
    case 596:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 597:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 598:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 599:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(654);
      END_STATE();
    case 600:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 601:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(288);
      END_STATE();
    case 602:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(775);
      END_STATE();
    case 603:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(290);
      END_STATE();
    case 604:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(662);
      END_STATE();
    case 605:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 606:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1761);
      END_STATE();
    case 607:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(586);
      END_STATE();
    case 608:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(715);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(693);
      END_STATE();
    case 609:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(487);
      END_STATE();
    case 610:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(330);
      END_STATE();
    case 611:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 612:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(334);
      END_STATE();
    case 613:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(317);
      END_STATE();
    case 614:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(493);
      END_STATE();
    case 615:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(764);
      END_STATE();
    case 616:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(113);
      END_STATE();
    case 617:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(767);
      END_STATE();
    case 618:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1694);
      END_STATE();
    case 619:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1680);
      END_STATE();
    case 620:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1711);
      END_STATE();
    case 621:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1735);
      END_STATE();
    case 622:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1869);
      END_STATE();
    case 623:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(747);
      END_STATE();
    case 624:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(181);
      END_STATE();
    case 625:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(397);
      END_STATE();
    case 626:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(413);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(219);
      END_STATE();
    case 627:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(195);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(664);
      END_STATE();
    case 628:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(202);
      END_STATE();
    case 629:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 630:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(414);
      END_STATE();
    case 631:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(584);
      END_STATE();
    case 632:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(681);
      END_STATE();
    case 633:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 634:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(698);
      END_STATE();
    case 635:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 636:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 637:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(348);
      END_STATE();
    case 638:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(652);
      END_STATE();
    case 639:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(583);
      END_STATE();
    case 640:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(712);
      END_STATE();
    case 641:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(597);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(633);
      END_STATE();
    case 642:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 643:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(573);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(633);
      END_STATE();
    case 644:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(301);
      END_STATE();
    case 645:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 646:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(306);
      END_STATE();
    case 647:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(386);
      END_STATE();
    case 648:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(314);
      END_STATE();
    case 649:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 650:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(307);
      END_STATE();
    case 651:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(311);
      END_STATE();
    case 652:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(430);
      END_STATE();
    case 653:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 654:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(514);
      END_STATE();
    case 655:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(645);
      END_STATE();
    case 656:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(423);
      END_STATE();
    case 657:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 658:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 659:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(449);
      END_STATE();
    case 660:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 661:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(602);
      END_STATE();
    case 662:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(522);
      END_STATE();
    case 663:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(605);
      END_STATE();
    case 664:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1676);
      END_STATE();
    case 665:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1677);
      END_STATE();
    case 666:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1840);
      END_STATE();
    case 667:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1842);
      END_STATE();
    case 668:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1665);
      END_STATE();
    case 669:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1602);
      END_STATE();
    case 670:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1592);
      END_STATE();
    case 671:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1725);
      END_STATE();
    case 672:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1713);
      END_STATE();
    case 673:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1715);
      END_STATE();
    case 674:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(675);
      END_STATE();
    case 675:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(595);
      END_STATE();
    case 676:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(694);
      END_STATE();
    case 677:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(672);
      END_STATE();
    case 678:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(294);
      END_STATE();
    case 679:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(718);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(412);
      END_STATE();
    case 680:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(665);
      END_STATE();
    case 681:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(439);
      END_STATE();
    case 682:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(673);
      END_STATE();
    case 683:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(316);
      END_STATE();
    case 684:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(332);
      END_STATE();
    case 685:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 686:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(339);
      END_STATE();
    case 687:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(746);
      END_STATE();
    case 688:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(437);
      END_STATE();
    case 689:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(441);
      END_STATE();
    case 690:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(443);
      END_STATE();
    case 691:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(427);
      END_STATE();
    case 692:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(428);
      END_STATE();
    case 693:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1731);
      END_STATE();
    case 694:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1597);
      END_STATE();
    case 695:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1732);
      END_STATE();
    case 696:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1763);
      END_STATE();
    case 697:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1854);
      END_STATE();
    case 698:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1657);
      END_STATE();
    case 699:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1727);
      END_STATE();
    case 700:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1601);
      END_STATE();
    case 701:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1741);
      END_STATE();
    case 702:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1798);
      END_STATE();
    case 703:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1663);
      END_STATE();
    case 704:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1684);
      END_STATE();
    case 705:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1837);
      END_STATE();
    case 706:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1797);
      END_STATE();
    case 707:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1844);
      END_STATE();
    case 708:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(122);
      END_STATE();
    case 709:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1822);
      END_STATE();
    case 710:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1825);
      END_STATE();
    case 711:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(713);
      END_STATE();
    case 712:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(788);
      END_STATE();
    case 713:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(630);
      END_STATE();
    case 714:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(293);
      END_STATE();
    case 715:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(421);
      END_STATE();
    case 716:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(577);
      END_STATE();
    case 717:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(328);
      END_STATE();
    case 718:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(200);
      END_STATE();
    case 719:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(444);
      END_STATE();
    case 720:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(214);
      END_STATE();
    case 721:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(212);
      END_STATE();
    case 722:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(659);
      END_STATE();
    case 723:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(305);
      END_STATE();
    case 724:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(356);
      END_STATE();
    case 725:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(310);
      END_STATE();
    case 726:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(358);
      END_STATE();
    case 727:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(374);
      END_STATE();
    case 728:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(361);
      END_STATE();
    case 729:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(364);
      END_STATE();
    case 730:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(768);
      END_STATE();
    case 731:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(442);
      END_STATE();
    case 732:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(425);
      END_STATE();
    case 733:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(592);
      END_STATE();
    case 734:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(440);
      END_STATE();
    case 735:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(357);
      END_STATE();
    case 736:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(420);
      END_STATE();
    case 737:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(445);
      END_STATE();
    case 738:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(359);
      END_STATE();
    case 739:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(424);
      END_STATE();
    case 740:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(446);
      END_STATE();
    case 741:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(365);
      END_STATE();
    case 742:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(728);
      END_STATE();
    case 743:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(366);
      END_STATE();
    case 744:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(189);
      END_STATE();
    case 745:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(729);
      END_STATE();
    case 746:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(658);
      END_STATE();
    case 747:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(336);
      END_STATE();
    case 748:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 749:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 750:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(535);
      END_STATE();
    case 751:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(426);
      END_STATE();
    case 752:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(505);
      END_STATE();
    case 753:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 754:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(693);
      END_STATE();
    case 755:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(632);
      END_STATE();
    case 756:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(585);
      END_STATE();
    case 757:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(484);
      END_STATE();
    case 758:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(671);
      END_STATE();
    case 759:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(285);
      END_STATE();
    case 760:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 761:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(734);
      END_STATE();
    case 762:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(695);
      END_STATE();
    case 763:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(485);
      END_STATE();
    case 764:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(644);
      END_STATE();
    case 765:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(489);
      END_STATE();
    case 766:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 767:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(360);
      END_STATE();
    case 768:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(646);
      END_STATE();
    case 769:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(726);
      END_STATE();
    case 770:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(648);
      END_STATE();
    case 771:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(633);
      END_STATE();
    case 772:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(495);
      END_STATE();
    case 773:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(649);
      END_STATE();
    case 774:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      END_STATE();
    case 775:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(737);
      END_STATE();
    case 776:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(568);
      END_STATE();
    case 777:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(229);
      END_STATE();
    case 778:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(208);
      END_STATE();
    case 779:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(123);
      END_STATE();
    case 780:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(297);
      END_STATE();
    case 781:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(315);
      END_STATE();
    case 782:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(362);
      END_STATE();
    case 783:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1705);
      END_STATE();
    case 784:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1707);
      END_STATE();
    case 785:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(730);
      END_STATE();
    case 786:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1610);
      END_STATE();
    case 787:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1679);
      END_STATE();
    case 788:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1671);
      END_STATE();
    case 789:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(610);
      END_STATE();
    case 790:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(714);
      END_STATE();
    case 791:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(611);
      END_STATE();
    case 792:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(612);
      END_STATE();
    case 793:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(613);
      END_STATE();
    case 794:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1909);
      END_STATE();
    case 795:
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '/') ADVANCE(1858);
      END_STATE();
    case 796:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(1439);
      END_STATE();
    case 797:
      if (eof) ADVANCE(799);
      ADVANCE_MAP(
        '!', 2653,
        '#', 847,
        '%', 1490,
        '&', 1496,
        '(', 1473,
        ')', 808,
        '*', 1481,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1894,
        '/', 1486,
        ':', 1558,
        ';', 2657,
        '<', 1507,
        '=', 1568,
        '>', 1502,
        'D', 1635,
        '[', 1903,
        ']', 1904,
        '^', 1494,
        'd', 1634,
        '|', 1493,
        'A', 1646,
        'a', 1646,
        'B', 1636,
        'b', 1636,
        'C', 1637,
        'c', 1637,
        'E', 1652,
        'e', 1652,
        'F', 1640,
        'f', 1640,
        'G', 1647,
        'g', 1647,
        'H', 1655,
        'h', 1655,
        'I', 1649,
        'i', 1649,
        'K', 1651,
        'k', 1651,
        'L', 1648,
        'l', 1648,
        'M', 1643,
        'm', 1643,
        'N', 1645,
        'n', 1645,
        'O', 1654,
        'o', 1654,
        'P', 1638,
        'p', 1638,
        'Q', 1656,
        'q', 1656,
        'R', 1644,
        'r', 1644,
        'S', 1639,
        's', 1639,
        'T', 1642,
        't', 1642,
        'U', 1653,
        'u', 1653,
        'V', 1641,
        'v', 1641,
        'W', 1650,
        'w', 1650,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(797);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1633);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1718);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1439);
      END_STATE();
    case 798:
      if (eof) ADVANCE(799);
      ADVANCE_MAP(
        '!', 2656,
        '#', 141,
        '&', 1495,
        '(', 1473,
        ')', 808,
        '*', 1480,
        '+', 1478,
        ',', 807,
        '-', 1479,
        '.', 1898,
        '/', 1483,
        ':', 1557,
        '=', 1569,
        '>', 134,
        '[', 1903,
        ']', 1904,
        'A', 2000,
        'a', 2000,
        'B', 1919,
        'b', 1919,
        'C', 1928,
        'c', 1928,
        'D', 1949,
        'd', 1949,
        'E', 2280,
        'e', 2280,
        'F', 2423,
        'f', 2423,
        'G', 2417,
        'g', 2417,
        'I', 2191,
        'i', 2191,
        'L', 2418,
        'l', 2418,
        'M', 1937,
        'm', 1937,
        'N', 1974,
        'n', 1974,
        'O', 2457,
        'o', 2457,
        'P', 1920,
        'p', 1920,
        'R', 2086,
        'r', 2086,
        'S', 1933,
        's', 1933,
        'T', 1941,
        't', 1941,
        'U', 2532,
        'u', 2532,
        'V', 1939,
        'v', 1939,
        'W', 2222,
        'w', 2222,
      );
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(798);
      if (('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      if (lookahead == '\n') ADVANCE(801);
      if (lookahead == '\r') ADVANCE(8);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(aux_sym_preproc_def_token2);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '/') ADVANCE(1901);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(1450);
      if (lookahead == 'n') ADVANCE(1444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'n') ADVANCE(145);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(811);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(1452);
      if (lookahead == 'n') ADVANCE(1445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(1439);
      if (lookahead == '\r') ADVANCE(827);
      if (lookahead == '*') ADVANCE(830);
      if (lookahead == '/') ADVANCE(1);
      if (lookahead == '\\') ADVANCE(826);
      if (lookahead != 0) ADVANCE(829);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(1439);
      if (lookahead == '*') ADVANCE(830);
      if (lookahead == '/') ADVANCE(1);
      if (lookahead == '\\') ADVANCE(826);
      if (lookahead != 0) ADVANCE(829);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(1440);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0) ADVANCE(1439);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(830);
      if (lookahead == '/') ADVANCE(1);
      if (lookahead == '\\') ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(829);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(830);
      if (lookahead == '/') ADVANCE(1476);
      if (lookahead == '\\') ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(829);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1888);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(839);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1887);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1885);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1886);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1884);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1890);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1426);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1879);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1880);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1881);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1883);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1882);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1905);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '.') ADVANCE(1906);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == 'F') ADVANCE(884);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1079);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == '_') ADVANCE(1094);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1615);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == '_') ADVANCE(1069);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'd') ADVANCE(1446);
      if (lookahead == 'e') ADVANCE(1465);
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(847);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'd') ADVANCE(1474);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'e') ADVANCE(848);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'i') ADVANCE(851);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1414);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1307);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'n') ADVANCE(849);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'A', 946,
        'a', 946,
        'C', 1402,
        'c', 1402,
        'S', 1410,
        's', 1410,
        'T', 1404,
        't', 1404,
        'W', 1106,
        'w', 1106,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1783);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1326);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1331);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1176);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1168);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1283);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1292);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1177);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1129);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1389);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1130);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1349);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1132);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1170);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1207);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1134);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1135);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1136);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1137);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1139);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1395);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1071);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1149);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(863);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1390);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1374);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1263);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1373);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1184);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1154);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1095);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1067);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1329);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(935);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1414);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1307);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(927);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1217);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(923);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1338);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1415);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(928);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1377);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1381);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(930);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1385);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1388);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(904);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1391);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(906);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1188);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1147);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(972);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1155);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(864);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1163);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(872);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1166);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1189);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1124);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1627);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1739);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1667);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1721);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1606);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1608);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1121);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1122);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1148);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(878);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1118);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1116);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'C', 1038,
        'c', 1038,
        'G', 1286,
        'g', 1286,
        'P', 1045,
        'p', 1045,
        'T', 1057,
        't', 1057,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1353);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1356);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(982);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(994);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(997);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1000);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1008);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1010);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1097);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(862);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1081);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'C', 1408,
        'c', 1408,
        'S', 1371,
        's', 1371,
        'T', 881,
        't', 881,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1375);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1382);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(868);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1384);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1397);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1117);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1119);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1058);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1290);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1519);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1174);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1591);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(846);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1747);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1575);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1696);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1688);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1875);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1686);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1682);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1675);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1737);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1580);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1417);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(838);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1321);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(988);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1419);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1421);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1422);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1423);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1424);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(898);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(832);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(833);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(836);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1370);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1192);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1085);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1604);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1692);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1827);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1805);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1070);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1100);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1753);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1623);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1617);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1863);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1770);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1877);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1743);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1812);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1791);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1577);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1595);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1700);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1751);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1551);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1873);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1666);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1781);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1865);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1625);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1690);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1768);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1814);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1661);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1745);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1850);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1871);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1816);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1553);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1561);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1585);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1755);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1555);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1829);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1831);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1581);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1719);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1757);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1852);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1563);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1587);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1559);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1583);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1678);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1431);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1208);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1432);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(834);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(835);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'E', 919,
        'e', 919,
        'I', 1213,
        'i', 1213,
        'O', 921,
        'o', 921,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(947);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1193);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(842);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1210);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(843);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(951);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(952);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1348);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1323);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1273);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1312);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1354);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1276);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(959);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1224);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(922);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1063);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1291);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1293);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1153);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1216);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1295);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1151);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1294);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1218);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(925);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1219);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1383);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1300);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1171);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(907);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1302);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1183);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(970);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1230);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(937);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(961);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(940);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(884);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1079);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1803);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1380);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1810);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(889);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1244);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(890);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(893);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1405);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1413);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1233);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1172);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'G', 1032,
        'g', 1032,
        'N', 1351,
        'n', 1351,
        'R', 1065,
        'r', 1065,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1025);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1035);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1052);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1054);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1068);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(920);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1430);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(944);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(924);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1344);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1016);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(936);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(909);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1225);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(910);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1257);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(911);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1029);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1378);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(912);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(913);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1140);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(914);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(963);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1226);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1428);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1214);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1227);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1358);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1245);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1228);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1337);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1429);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1220);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(931);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1246);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1212);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1221);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1247);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1249);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1298);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(866);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1250);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'I', 1159,
        'i', 1159,
        'O', 1309,
        'o', 1309,
        'U', 1234,
        'u', 1234,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1229);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(894);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(895);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1341);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1342);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1833);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1846);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1848);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1835);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1325);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1660);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1434);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1764);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1911);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1673);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1796);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1818);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1594);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1669);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1709);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1621);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1733);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1749);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1820);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1598);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1435);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(861);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1127);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(969);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1401);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1128);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'L', 1104,
        'l', 1104,
        'O', 1289,
        'o', 1289,
        'U', 1296,
        'u', 1296,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1040);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1416);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1082);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(976);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1131);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1352);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1101);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1355);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(980);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1138);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(983);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1015);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(985);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(986);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(995);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(999);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1003);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1007);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1017);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1012);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1014);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1411);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1336);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1254);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1056);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1049);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1255);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1179);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(933);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1867);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1870);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1517);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1549);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1268);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1243);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1156);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1091);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1046);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1024);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1044);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1051);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(891);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(873);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1260);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1253);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1261);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1256);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1748);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(845);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(882);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1861);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(876);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1801);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1631);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1779);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1589);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1723);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1702);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1599);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1703);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(955);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1120);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(934);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(943);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(874);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(945);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1123);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(956);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1231);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1042);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1340);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1399);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(948);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1347);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(892);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1322);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1020);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1396);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1361);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1362);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1006);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1013);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(860);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1215);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(926);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1379);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1376);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1098);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1334);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1335);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(929);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(869);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(870);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1186);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(938);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1777);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1789);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(941);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(903);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1185);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1178);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1272);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1409);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1194);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1310);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1196);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1197);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1198);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1275);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1199);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1200);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1278);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(915);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1412);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(916);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(905);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1425);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1232);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(958);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(939);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(960);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(962);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1145);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1263:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1761);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(885);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1265:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(974);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(987);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1005);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1164);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1269:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1270:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(875);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1271:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1072);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1759);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1694);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1274:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1680);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1275:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1570);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1711);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1735);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1278:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1869);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1407);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1241);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1281:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(837);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 796,
        '\\', 828,
        'R', 879,
        'r', 879,
        'S', 1316,
        's', 1316,
        'U', 1332,
        'u', 1332,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1283:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(883);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1284:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1237);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1078);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1286:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(855);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1195);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1308);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1289:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1350);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1290:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(859);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1291:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1086);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1292:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1022);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1293:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(979);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1305);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1368);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(984);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1027);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(989);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(991);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(993);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1059);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(998);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1001);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1011);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1093);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1333);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1297);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1050);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(880);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1187);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(887);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1066);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(897);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1115);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1075);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1676);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1714);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1677);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1840);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1842);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1665);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1602);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1592);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1725);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1264);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1317);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1345);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1330);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1318);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1259);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(975);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(977);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1102);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1090);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1092);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1026);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1359);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1004);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1398);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1105);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1108);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1112);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1731);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1772);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1597);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1732);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1859);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1763);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1854);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1657);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1727);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1601);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1824);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1741);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1798);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1663);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1684);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1613);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1629);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1837);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1565);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1793);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1797);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1844);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(853);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1239);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(968);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1436);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1285);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(840);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(886);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1111);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(896);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1084);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1099);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1314);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1089);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(981);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1033);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1034);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(990);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1036);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1037);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1028);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(996);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1030);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1031);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1009);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1114);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1248);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1251);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1418);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1103);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1107);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1387);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(871);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1109);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1311);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1175);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1076);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(957);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1306);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1346);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1287);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1242);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1110);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1023);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1288);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1324);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1150);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(978);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1393);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(992);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1152);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1158);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1039);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1157);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1299);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1161);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1386);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1303);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1162);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1304);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1165);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1394);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(841);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(973);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1047);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1002);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(865);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1705);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1707);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1392);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1610);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1679);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1671);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1266);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1267);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1439);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(796);
      if (lookahead == '\\') ADVANCE(828);
      if (lookahead != 0) ADVANCE(1439);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(1466);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(819);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(802);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(800);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 'n') ADVANCE(1441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(821);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(813);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(815);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(817);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(823);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1469);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1456);
      if (lookahead == 's') ADVANCE(1447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1457);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1463);
      if (lookahead == 'n') ADVANCE(1442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(1443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1471);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      if (lookahead == '/') ADVANCE(1901);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(anon_sym_defined);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(sym_preproc_comment);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(829);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(sym_preproc_comment);
      if (lookahead == '*') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(111);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(1892);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1902);
      if (lookahead == '*') ADVANCE(111);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1902);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '/') ADVANCE(1891);
      if (lookahead == '=') ADVANCE(1889);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1902);
      if (lookahead == '/') ADVANCE(1891);
      if (lookahead == '=') ADVANCE(1889);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(829);
      if (lookahead == '/') ADVANCE(1891);
      if (lookahead == '=') ADVANCE(1889);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(111);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(111);
      if (lookahead == '/') ADVANCE(1891);
      if (lookahead == '=') ADVANCE(1889);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1891);
      if (lookahead == '=') ADVANCE(1889);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(1491);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(1492);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1574);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '/') ADVANCE(2652);
      if (lookahead == '\\') ADVANCE(2651);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2654);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2656);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1505);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1505);
      if (lookahead == '>') ADVANCE(1514);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1505);
      if (lookahead == '>') ADVANCE(1513);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1505);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1512);
      if (lookahead == '=') ADVANCE(1506);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(129);
      if (lookahead == '=') ADVANCE(1506);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1511);
      if (lookahead == '=') ADVANCE(1506);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(1506);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(1766);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(1767);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(1515);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(132);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      ADVANCE_MAP(
        'A', 1328,
        'a', 1328,
        'B', 1169,
        'b', 1169,
        'D', 1236,
        'd', 1236,
        'E', 1211,
        'e', 1211,
        'F', 1113,
        'f', 1113,
        'I', 1061,
        'i', 1061,
        'M', 1258,
        'm', 1258,
        'P', 1284,
        'p', 1284,
        'S', 1053,
        's', 1053,
        'T', 1437,
        't', 1437,
        'W', 1073,
        'w', 1073,
      );
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2557);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2349);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2421);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2263);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2421);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(569);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2264);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2263);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(776);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(567);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(601);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(639);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(663);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(753);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(385);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(777);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(791);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(408);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1609);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1498);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1498);
      if (lookahead == '>') ADVANCE(1612);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(1612);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1574);
      if (lookahead == '(' ||
          lookahead == ')') ADVANCE(2656);
      if (lookahead != 0) ADVANCE(1572);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '!') ADVANCE(1572);
      if (lookahead == '&') ADVANCE(1497);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(1573);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1574);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1574);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token3);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token4);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token2);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token4);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token5);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym_function_result_token1);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym_use_statement_token3);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token2);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1319);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2530);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(666);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 1060,
        'e', 844,
        'A', 1365,
        'a', 1365,
        'I', 1182,
        'i', 1182,
        'O', 1786,
        'o', 1786,
      );
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1365,
        'a', 1365,
        'E', 1060,
        'e', 1060,
        'I', 1182,
        'i', 1182,
        'O', 1786,
        'o', 1786,
      );
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 908,
        'a', 908,
        'I', 1204,
        'i', 1204,
        'L', 1252,
        'l', 1252,
        'Y', 1367,
        'y', 1367,
      );
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1142,
        'a', 1142,
        'H', 857,
        'h', 857,
        'L', 854,
        'l', 854,
        'O', 1173,
        'o', 1173,
        'Y', 917,
        'y', 917,
      );
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1282,
        'a', 1282,
        'I', 1223,
        'i', 1223,
        'O', 1083,
        'o', 1083,
        'R', 1019,
        'r', 1019,
        'U', 900,
        'u', 900,
      );
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1427,
        'a', 1427,
        'E', 1146,
        'e', 1146,
        'H', 858,
        'h', 858,
        'T', 877,
        't', 877,
        'U', 899,
        'u', 899,
      );
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1180,
        'a', 1180,
        'I', 1222,
        'i', 1222,
        'O', 1270,
        'o', 1270,
        'U', 1203,
        'u', 1203,
      );
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1141);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1271,
        'a', 1271,
        'E', 1433,
        'e', 1433,
        'H', 1021,
        'h', 1021,
        'O', 1776,
        'o', 1776,
        'Y', 1265,
        'y', 1265,
      );
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1205);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(954);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1202);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(852);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1181);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1191);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1144);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'B', 1339,
        'b', 1339,
        'L', 1125,
        'l', 1125,
        'S', 1315,
        's', 1315,
        'T', 1369,
        't', 1369,
        'U', 1366,
        'u', 1366,
      );
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 1209,
        'e', 1209,
        'L', 1238,
        'l', 1238,
        'O', 1774,
        'o', 1774,
        'R', 1077,
        'r', 1077,
      );
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1190);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(932);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'F', 1799,
        'f', 1799,
        'M', 1262,
        'm', 1262,
        'N', 1729,
        'n', 1729,
        'S', 1839,
        's', 1839,
      );
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1043);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1088);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1206);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'L', 1055,
        'l', 1055,
        'N', 942,
        'n', 942,
        'Q', 1400,
        'q', 1400,
        'R', 1280,
        'r', 1280,
        'X', 1080,
        'x', 1080,
      );
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1064);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(967);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1126);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(966);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1343);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1327);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1087);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(918);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym_base_type_specifier_token1);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym_end_type_statement_token1);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token1);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token2);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token3);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token4);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(aux_sym__procedure_kind_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token1);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token2);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token3);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token4);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token5);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(580);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(647);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2430);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1240);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1301);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token5);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1041);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1320);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(367);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(667);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2167);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(aux_sym_kind_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1718);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      ADVANCE_MAP(
        'C', 1143,
        'c', 1143,
        'I', 1372,
        'i', 1372,
        'O', 1403,
        'o', 1403,
        'Q', 1406,
        'q', 1406,
        'T', 971,
        't', 971,
      );
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(762);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token8);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token9);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token9);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(aux_sym_stop_statement_token3);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1235);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2420);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token5);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(aux_sym_data_statement_token1);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(aux_sym_data_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(902);
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2008);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token1);
      if (lookahead == '_') ADVANCE(432);
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token1);
      if (lookahead == '_') ADVANCE(1096);
      END_STATE();
    case 1797:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token2);
      END_STATE();
    case 1798:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token3);
      END_STATE();
    case 1799:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      END_STATE();
    case 1800:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1801:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      END_STATE();
    case 1802:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1803:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      END_STATE();
    case 1804:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1805:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1062);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1074);
      END_STATE();
    case 1806:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2203);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1807:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1808:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(390);
      END_STATE();
    case 1809:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(409);
      END_STATE();
    case 1810:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      END_STATE();
    case 1811:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1812:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      END_STATE();
    case 1813:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1814:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      END_STATE();
    case 1815:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1816:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      END_STATE();
    case 1817:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1818:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      END_STATE();
    case 1819:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1820:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      END_STATE();
    case 1821:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1822:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      END_STATE();
    case 1823:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1986);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1967);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2649);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1824:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(888);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(867);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1438);
      END_STATE();
    case 1825:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(201);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(192);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(793);
      END_STATE();
    case 1826:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1827:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      END_STATE();
    case 1828:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1829:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      END_STATE();
    case 1830:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1831:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      END_STATE();
    case 1832:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1833:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      END_STATE();
    case 1834:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1835:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token2);
      END_STATE();
    case 1836:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1837:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      END_STATE();
    case 1838:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1839:
      ACCEPT_TOKEN(aux_sym_type_statement_token1);
      END_STATE();
    case 1840:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      END_STATE();
    case 1841:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1842:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      END_STATE();
    case 1843:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1844:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      END_STATE();
    case 1845:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1846:
      ACCEPT_TOKEN(aux_sym_block_construct_token1);
      END_STATE();
    case 1847:
      ACCEPT_TOKEN(aux_sym_block_construct_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1848:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      END_STATE();
    case 1849:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1850:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      END_STATE();
    case 1851:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1852:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      END_STATE();
    case 1853:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1854:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      END_STATE();
    case 1855:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1856:
      ACCEPT_TOKEN(sym_edit_descriptor);
      if (lookahead == 'H') ADVANCE(795);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1856);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1857);
      END_STATE();
    case 1857:
      ACCEPT_TOKEN(sym_edit_descriptor);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1857);
      END_STATE();
    case 1858:
      ACCEPT_TOKEN(aux_sym_hollerith_constant_token1);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '/') ADVANCE(1858);
      END_STATE();
    case 1859:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      END_STATE();
    case 1860:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1861:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      END_STATE();
    case 1862:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1863:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      END_STATE();
    case 1864:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1865:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      END_STATE();
    case 1866:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1867:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1313);
      END_STATE();
    case 1868:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1869:
      ACCEPT_TOKEN(aux_sym_enumerator_statement_token1);
      END_STATE();
    case 1870:
      ACCEPT_TOKEN(aux_sym_end_enum_statement_token1);
      END_STATE();
    case 1871:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      END_STATE();
    case 1872:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1873:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      END_STATE();
    case 1874:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1875:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      END_STATE();
    case 1876:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1877:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      END_STATE();
    case 1878:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1879:
      ACCEPT_TOKEN(aux_sym_logical_expression_token1);
      END_STATE();
    case 1880:
      ACCEPT_TOKEN(aux_sym_logical_expression_token2);
      END_STATE();
    case 1881:
      ACCEPT_TOKEN(aux_sym_logical_expression_token3);
      END_STATE();
    case 1882:
      ACCEPT_TOKEN(aux_sym_logical_expression_token4);
      END_STATE();
    case 1883:
      ACCEPT_TOKEN(aux_sym_logical_expression_token5);
      END_STATE();
    case 1884:
      ACCEPT_TOKEN(aux_sym_relational_expression_token1);
      END_STATE();
    case 1885:
      ACCEPT_TOKEN(aux_sym_relational_expression_token2);
      END_STATE();
    case 1886:
      ACCEPT_TOKEN(aux_sym_relational_expression_token3);
      END_STATE();
    case 1887:
      ACCEPT_TOKEN(aux_sym_relational_expression_token4);
      END_STATE();
    case 1888:
      ACCEPT_TOKEN(aux_sym_relational_expression_token5);
      END_STATE();
    case 1889:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 1890:
      ACCEPT_TOKEN(aux_sym_relational_expression_token6);
      END_STATE();
    case 1891:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 1892:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 1893:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 1894:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '.', 1900,
        'A', 1201,
        'a', 1201,
        'E', 1269,
        'e', 1269,
        'F', 856,
        'f', 856,
        'G', 964,
        'g', 964,
        'L', 1018,
        'l', 1018,
        'N', 965,
        'n', 965,
        'O', 1281,
        'o', 1281,
        'T', 1279,
        't', 1279,
      );
      END_STATE();
    case 1895:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(1900);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(163);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(570);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(623);
      END_STATE();
    case 1896:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 531,
        'a', 531,
        'E', 616,
        'e', 616,
        'F', 163,
        'f', 163,
        'G', 342,
        'g', 342,
        'L', 346,
        'l', 346,
        'N', 326,
        'n', 326,
        'O', 629,
        'o', 629,
        'T', 623,
        't', 623,
      );
      END_STATE();
    case 1897:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 531,
        'a', 531,
        'E', 616,
        'e', 616,
        'G', 342,
        'g', 342,
        'L', 346,
        'l', 346,
        'N', 325,
        'n', 325,
        'O', 629,
        'o', 629,
      );
      END_STATE();
    case 1898:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(163);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(570);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(623);
      END_STATE();
    case 1899:
      ACCEPT_TOKEN(aux_sym_user_defined_operator_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1899);
      END_STATE();
    case 1900:
      ACCEPT_TOKEN(sym_assumed_rank);
      END_STATE();
    case 1901:
      ACCEPT_TOKEN(anon_sym_LPAREN_SLASH);
      END_STATE();
    case 1902:
      ACCEPT_TOKEN(anon_sym_SLASH_RPAREN);
      END_STATE();
    case 1903:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 1904:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1905:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token1);
      END_STATE();
    case 1906:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token2);
      END_STATE();
    case 1907:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 1908:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1909:
      ACCEPT_TOKEN(aux_sym__kind_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1909);
      END_STATE();
    case 1910:
      ACCEPT_TOKEN(aux_sym__kind_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1910);
      END_STATE();
    case 1911:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      END_STATE();
    case 1912:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1913:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'd') ADVANCE(1475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1914:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(1916);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2575);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1915:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(1913);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1916:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(1917);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1917:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(1918);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1918:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(1915);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1919:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2013);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2445);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1920:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2487,
        'a', 2487,
        'I', 2386,
        'i', 2386,
        'O', 2237,
        'o', 2237,
        'R', 2226,
        'r', 2226,
        'U', 2005,
        'u', 2005,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1921:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2487,
        'a', 2487,
        'I', 2386,
        'i', 2386,
        'O', 2237,
        'o', 2237,
        'R', 2227,
        'r', 2227,
        'U', 2006,
        'u', 2006,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1922:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2052,
        'a', 2052,
        'C', 2614,
        'c', 2614,
        'T', 2615,
        't', 2615,
        'W', 2239,
        'w', 2239,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1923:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2052);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2614);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1924:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2052);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2615);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1925:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2052);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1926:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1784);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1927:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2297,
        'a', 2297,
        'L', 2444,
        'l', 2444,
        'O', 2415,
        'o', 2415,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1928:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2298,
        'a', 2298,
        'H', 1956,
        'h', 1956,
        'L', 1947,
        'l', 1947,
        'O', 2354,
        'o', 2354,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1929:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2298,
        'a', 2298,
        'H', 1956,
        'h', 1956,
        'L', 1947,
        'l', 1947,
        'O', 2355,
        'o', 2355,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1930:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2298,
        'a', 2298,
        'L', 2444,
        'l', 2444,
        'O', 2400,
        'o', 2400,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1931:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2298,
        'a', 2298,
        'L', 2444,
        'l', 2444,
        'O', 2415,
        'o', 2415,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1932:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2298,
        'a', 2298,
        'L', 1978,
        'l', 1978,
        'O', 2415,
        'o', 2415,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1933:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2640,
        'a', 2640,
        'E', 2302,
        'e', 2302,
        'H', 1959,
        'h', 1959,
        'T', 1957,
        't', 1957,
        'U', 1999,
        'u', 1999,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1934:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2640,
        'a', 2640,
        'E', 2302,
        'e', 2302,
        'H', 1959,
        'h', 1959,
        'T', 1957,
        't', 1957,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1935:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2640,
        'a', 2640,
        'E', 2351,
        'e', 2351,
        'H', 1959,
        'h', 1959,
        'T', 1957,
        't', 1957,
        'U', 2011,
        'u', 2011,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1936:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2640,
        'a', 2640,
        'E', 2351,
        'e', 2351,
        'H', 1959,
        'h', 1959,
        'T', 1957,
        't', 1957,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1937:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2383);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2071);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1938:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2383);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1939:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1940:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1941:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2485);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2645);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2463);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1942:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2485);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1943:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2485);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1944:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2485);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2463);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1945:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2485);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2467);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1946:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1947:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2536);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1948:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2536);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1949:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2575,
        'a', 2575,
        'E', 2638,
        'e', 2638,
        'I', 2360,
        'i', 2360,
        'O', 1787,
        'o', 1787,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1950:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2575,
        'a', 2575,
        'E', 2638,
        'e', 2638,
        'I', 2360,
        'i', 2360,
        'O', 2609,
        'o', 2609,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1951:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2575,
        'a', 2575,
        'E', 2638,
        'e', 2638,
        'I', 2360,
        'i', 2360,
        'O', 2637,
        'o', 2637,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1952:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2575);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1953:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2575);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1954:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2575);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1788);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1955:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1956:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1957:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2599);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1958:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2359);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1959:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1960:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1961:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1962:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1963:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2625);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2266);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1964:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1965:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1966:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2290);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1967:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1968:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2292);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1969:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2293);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1970:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2488,
        'a', 2488,
        'I', 2386,
        'i', 2386,
        'O', 2237,
        'o', 2237,
        'R', 2254,
        'r', 2254,
        'U', 2006,
        'u', 2006,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1971:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2488,
        'a', 2488,
        'I', 2386,
        'i', 2386,
        'O', 2237,
        'o', 2237,
        'R', 2255,
        'r', 2255,
        'U', 2005,
        'u', 2005,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1972:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2488,
        'a', 2488,
        'I', 2386,
        'i', 2386,
        'O', 2237,
        'o', 2237,
        'R', 2255,
        'r', 2255,
        'U', 2006,
        'u', 2006,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1973:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2387);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1924);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1974:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2362);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2301);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1975:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1976:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1977:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1978:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2544);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1979:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1980:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2366);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1981:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2304);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1965);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1982:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1983:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2046);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1984:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2036);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1985:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1986:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2547);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1987:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2247);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1988:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2247);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1989:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2247);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2408);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1990:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1991:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2031);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1992:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2037);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1993:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1994:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1995:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1996:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2039);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1997:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2009);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1998:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2602);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 1999:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2364);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2000:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2550,
        'b', 2550,
        'L', 2295,
        'l', 2295,
        'S', 2551,
        's', 2551,
        'T', 2579,
        't', 2579,
        'U', 2580,
        'u', 2580,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2001:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2550,
        'b', 2550,
        'L', 2295,
        'l', 2295,
        'S', 2545,
        's', 2545,
        'T', 2579,
        't', 2579,
        'U', 2580,
        'u', 2580,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2002:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2550,
        'b', 2550,
        'L', 2295,
        'l', 2295,
        'T', 2579,
        't', 2579,
        'U', 2580,
        'u', 2580,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2003:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2004:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2005:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2324);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2090);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2006:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2007:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2008:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2310);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2009:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2315);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2010:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2011:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2012:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2365);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2013:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2014:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1628);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2015:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1740);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2016:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1722);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2017:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2018:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1668);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2019:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2275);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2020:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2277);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2021:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2306);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2022:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2592);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2023:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1960);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2024:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2271);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2025:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2274);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2026:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2165);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2495);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2027:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2165);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2028:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2165);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2029:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2030:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2031:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2032:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2570);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2033:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2099);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2034:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2035:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2036:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2037:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2038:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2039:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2040:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2041:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2300);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2089);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2042:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2300);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2043:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1979);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2044:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2588);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2045:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2046:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2598);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2047:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2048:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2272);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2049:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2050:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1528);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2051:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1528);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2052:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1576);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2053:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1689);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2054:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1876);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2055:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1687);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2056:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2057:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2058:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1533);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2059:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1533);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2060:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1530);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2061:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1530);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2062:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1521);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2063:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2064:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1532);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2065:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2066:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2067:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1537);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2068:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2069:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1535);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2070:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1536);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2071:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2072:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1526);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2073:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2074:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2075:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2076:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2077:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1527);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2078:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2079:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1529);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2080:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2081:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2082:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2083:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2084:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2085:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2086:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1922);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2087:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2088:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2089:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2214);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2090:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1754);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2091:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2092:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1620);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2093:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1864);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2094:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1771);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2095:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1878);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2096:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2097:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1813);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2098:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2099:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1596);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2100:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1699);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1752);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2102:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2103:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1874);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2104:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1782);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2105:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1866);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2106:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2107:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1691);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2108:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1769);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2109:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1662);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2110:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2111:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1851);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2112:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1872);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2113:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2114:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1586);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2115:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1756);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2116:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1556);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2117:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1830);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2118:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1832);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2119:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2120:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1720);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2121:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1758);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2122:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1924);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2123:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2124:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1588);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2125:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2126:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2127:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1806);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2128:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1815);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2129:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1817);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2130:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1807);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2131:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1828);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2132:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1853);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2133:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2134:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2135:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1923);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2136:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2396);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2137:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2138:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1792);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2139:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2643);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2140:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2215);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2141:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2053);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2142:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2644);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2143:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2374);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2144:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2145:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2055);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2146:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2056);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2147:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2148:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2057);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2149:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2150:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2044);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2151:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2152:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2305);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2153:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2527);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2154:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2155:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2156:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2157:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2158:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2159:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2160:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2161:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2162:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1925);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2163:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2413);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2164:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2165:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2082);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2166:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2030);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2167:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2168:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2025);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2169:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2170:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2171:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2507);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2172:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2173:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2032);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2174:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2504);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2175:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2176:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2177:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2397);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2178:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2179:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2303);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2367);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2601);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2352);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2427);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2011);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2352);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2427);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2352);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2084);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2458);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2460);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2472);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2472);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2474);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2461);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2042);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1800);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1804);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1804);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1811);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1976);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1992);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1996);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2616);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2414);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2154);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2563);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2154);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1956,
        'h', 1956,
        'L', 1948,
        'l', 1948,
        'O', 2370,
        'o', 2370,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1956,
        'h', 1956,
        'L', 1948,
        'l', 1948,
        'O', 2356,
        'o', 2356,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1956,
        'h', 1956,
        'L', 1948,
        'l', 1948,
        'O', 2371,
        'o', 2371,
        'Y', 2021,
        'y', 2021,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1956);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2371);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2169);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2270);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2392);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2026);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2392);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2028);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2641);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2559);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2210);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2033);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2040);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2014);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2242:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2546);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2243:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2015);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2244:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2245:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2016);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2246:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2017);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2247:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2248:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2018);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2249:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2408);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2250:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2568);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2251:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2585);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2252:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2642);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2253:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2586);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2254:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2639);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2028);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2255:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2639);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2256:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2023);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2257:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2258:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2259:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2404);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2260:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2261:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2262:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2438);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2263:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2312);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2264:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2312);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2416);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2265:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2312);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2266:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2267:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2268:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1969);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2269:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2270:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2320);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2271:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1993);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2272:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1995);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2273:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2412);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2518);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2274:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2275:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1847);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2276:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1836);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2277:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1849);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2278:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1834);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2279:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2534);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2280:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2183,
        'l', 2183,
        'N', 2050,
        'n', 2050,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2281:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2183,
        'l', 2183,
        'N', 2068,
        'n', 2068,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2282:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2183,
        'l', 2183,
        'N', 2068,
        'n', 2068,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2283:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2183,
        'l', 2183,
        'N', 2076,
        'n', 2076,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2284:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1765);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2285:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1912);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2286:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1819);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2287:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1710);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2288:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2289:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2290:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2291:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1821);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2292:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2293:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1670);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2294:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2445);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2295:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2296:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2647);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2297:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2284);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2298:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2299:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1962);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2300:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2301:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2302:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2166);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2303:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2304:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2305:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2306:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2094);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2307:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2291);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2308:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2309:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2310:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2100);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2311:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2102);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2312:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2313:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2314:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2315:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2316:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2317:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2318:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2319:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2320:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2321:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2322:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2238);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2498);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2323:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2238);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2498);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2324:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2325:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2050,
        'n', 2050,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2326:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2058,
        'n', 2058,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2327:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2072,
        'n', 2072,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2328:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2060,
        'n', 2060,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2329:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2062,
        'n', 2062,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2330:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2067,
        'n', 2067,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2331:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2069,
        'n', 2069,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2332:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2070,
        'n', 2070,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2333:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2059,
        'n', 2059,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2334:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2051,
        'n', 2051,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2335:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2061,
        'n', 2061,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2336:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2073,
        'n', 2073,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2337:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2074,
        'n', 2074,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2338:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2065,
        'n', 2065,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2339:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2063,
        'n', 2063,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2340:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2077,
        'n', 2077,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2341:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2066,
        'n', 2066,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2342:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2075,
        'n', 2075,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2343:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2068,
        'n', 2068,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2344:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2068,
        'n', 2068,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2345:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2080,
        'n', 2080,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2346:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2535,
        'l', 2535,
        'N', 2079,
        'n', 2079,
        'Q', 2610,
        'q', 2610,
        'R', 2489,
        'r', 2489,
        'X', 2233,
        'x', 2233,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2347:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2548,
        'l', 2548,
        'N', 2064,
        'n', 2064,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2348:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2549,
        'l', 2549,
        'N', 2059,
        'n', 2059,
        'R', 2489,
        'r', 2489,
        'X', 2234,
        'x', 2234,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2349:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2350:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2351:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2176);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2352:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2353:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2354:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2363);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2355:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2363);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2356:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2363);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2538);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2357:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1868);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2358:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2359:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2360:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2361:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2362:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2363:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2435);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2308);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2364:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2451);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2365:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2366:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2367:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2368:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1965);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2369:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1998);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2370:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2468);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2371:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2372:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2373:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2374:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1862);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2375:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2376:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1780);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2377:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2378:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1724);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2379:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1704);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2380:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1600);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2381:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1802);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2382:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2022);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2383:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1977);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2384:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2385:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2054);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2386:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2387:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2388:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2389:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2390:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2595);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2391:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2392:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2560);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1982);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2393:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2394:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2045);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2395:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2396:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2563);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2397:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2398:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2296);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2399:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2400:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2576);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2401:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2573);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2402:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2403:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2404:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2405:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2406:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2035);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2407:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1961);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2408:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2409:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2596);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2410:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1964);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2411:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2038);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2412:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1968);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2413:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2414:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2415:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2416:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2047);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2417:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1775);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2418:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2419:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2071);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2420:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1778);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2421:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2422:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2027);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2423:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2478);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2424:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2425:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2426:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2427:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2428:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2043);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2429:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2024);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2430:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2361);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2431:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2620);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2432:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2433:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2434:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2498);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2435:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2436:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2437:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2438:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2439:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2518);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2440:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2441:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2442:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2443:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2405);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2444:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2445:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2019);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2446:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2020);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2447:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2394);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2448:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2449:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2450:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2410);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2451:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2081);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2452:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2453:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2083);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2454:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2085);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2455:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2048);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2456:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2029);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2457:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2458:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2459:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1762);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2460:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2461:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2462:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2463:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2092);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2464:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1984);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2465:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2466:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2467:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2468:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2308);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2469:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2470:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2471:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2316);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2472:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2473:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2474:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2475:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2476:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2477:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2478:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2479:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2480:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2481:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1681);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2482:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2483:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1736);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2484:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2485:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2486:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2487:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1980);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2488:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1980);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2489:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2490:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2491:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2492:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2090);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2493:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2494:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2495:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1955);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2496:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2497:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2498:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2499:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1958);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2500:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2422);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2501:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2502:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1990);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2503:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2097);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2504:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1975);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2505:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2506:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2507:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2577);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2508:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2509:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2510:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2511:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2512:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2513:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2514:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2515:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2516:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2517:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2518:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2519:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1991);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2520:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2521:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2522:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2523:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2524:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2525:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2526:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2527:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1593);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2528:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1726);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2529:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2530:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1841);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2531:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1843);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2532:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2087);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2533:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2534:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2535:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2536:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2537:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2582);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1987);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2538:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2582);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1988);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2539:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2582);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2540:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2582);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2541:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2093);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2542:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2543:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2095);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2544:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2545:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2546:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2569);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2547:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2548:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2549:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2550:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2551:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2429);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2552:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2545);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2553:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2554:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2555:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2556:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2557:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2556);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2558:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2559:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1773);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2560:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1860);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2561:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1855);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2562:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2563:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1728);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2564:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1823);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2565:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1742);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2566:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2567:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2568:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1614);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2569:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2570:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1838);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2571:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1845);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2572:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1826);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2573:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2574:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1794);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2575:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1926);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2576:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1989);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2577:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2578:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2088);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2579:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2580:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2581:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2582:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1985);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2583:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1997);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2584:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2585:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2586:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2098);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2587:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2588:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2589:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2590:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2591:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2592:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2593:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2628);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2594:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2595:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2596:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1966);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2597:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2598:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2599:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2600:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2259);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2601:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2602:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2603:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2604:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2605:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2606:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2267);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2607:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2608:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2078);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2609:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2008);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2610:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2611:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2612:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2003);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2613:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2261);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2614:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2493);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2615:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2616:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2617:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2528);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2618:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2309);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2619:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2620:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2597);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2621:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2096);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2622:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2623:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2624:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2301);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2625:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2626:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2627:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2311);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2628:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2509);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2629:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2630:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2631:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2314);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2632:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2633:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2634:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2635:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2636:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2600);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2637:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2638:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2639:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1982);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2640:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2091);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2641:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1994);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2642:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2643:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2644:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1708);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2645:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2593);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2646:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2647:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2648:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2649:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2650:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2650);
      END_STATE();
    case 2651:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(2654);
      if (lookahead == '/') ADVANCE(2652);
      if (lookahead == '\\') ADVANCE(2651);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2654);
      END_STATE();
    case 2652:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(2656);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2654);
      END_STATE();
    case 2653:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(2652);
      if (lookahead == '=') ADVANCE(1499);
      if (lookahead == '\\') ADVANCE(2651);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2654);
      END_STATE();
    case 2654:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(2652);
      if (lookahead == '\\') ADVANCE(2651);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2654);
      END_STATE();
    case 2655:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '=') ADVANCE(1500);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2656);
      END_STATE();
    case 2656:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2656);
      END_STATE();
    case 2657:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 798, .external_lex_state = 2},
  [2] = {.lex_state = 26, .external_lex_state = 2},
  [3] = {.lex_state = 26, .external_lex_state = 2},
  [4] = {.lex_state = 26, .external_lex_state = 2},
  [5] = {.lex_state = 26, .external_lex_state = 2},
  [6] = {.lex_state = 26, .external_lex_state = 2},
  [7] = {.lex_state = 26, .external_lex_state = 2},
  [8] = {.lex_state = 26, .external_lex_state = 2},
  [9] = {.lex_state = 26, .external_lex_state = 2},
  [10] = {.lex_state = 26, .external_lex_state = 2},
  [11] = {.lex_state = 26, .external_lex_state = 2},
  [12] = {.lex_state = 26, .external_lex_state = 2},
  [13] = {.lex_state = 26, .external_lex_state = 2},
  [14] = {.lex_state = 26, .external_lex_state = 2},
  [15] = {.lex_state = 26, .external_lex_state = 2},
  [16] = {.lex_state = 26, .external_lex_state = 2},
  [17] = {.lex_state = 26, .external_lex_state = 2},
  [18] = {.lex_state = 26, .external_lex_state = 2},
  [19] = {.lex_state = 26, .external_lex_state = 2},
  [20] = {.lex_state = 26, .external_lex_state = 2},
  [21] = {.lex_state = 26, .external_lex_state = 2},
  [22] = {.lex_state = 26, .external_lex_state = 2},
  [23] = {.lex_state = 26, .external_lex_state = 2},
  [24] = {.lex_state = 26, .external_lex_state = 2},
  [25] = {.lex_state = 26, .external_lex_state = 2},
  [26] = {.lex_state = 26, .external_lex_state = 2},
  [27] = {.lex_state = 26, .external_lex_state = 2},
  [28] = {.lex_state = 26, .external_lex_state = 2},
  [29] = {.lex_state = 26, .external_lex_state = 2},
  [30] = {.lex_state = 26, .external_lex_state = 2},
  [31] = {.lex_state = 26, .external_lex_state = 2},
  [32] = {.lex_state = 26, .external_lex_state = 2},
  [33] = {.lex_state = 26, .external_lex_state = 2},
  [34] = {.lex_state = 26, .external_lex_state = 2},
  [35] = {.lex_state = 26, .external_lex_state = 2},
  [36] = {.lex_state = 26, .external_lex_state = 2},
  [37] = {.lex_state = 26, .external_lex_state = 2},
  [38] = {.lex_state = 26, .external_lex_state = 2},
  [39] = {.lex_state = 50, .external_lex_state = 2},
  [40] = {.lex_state = 50, .external_lex_state = 2},
  [41] = {.lex_state = 50, .external_lex_state = 2},
  [42] = {.lex_state = 50, .external_lex_state = 2},
  [43] = {.lex_state = 798, .external_lex_state = 2},
  [44] = {.lex_state = 50, .external_lex_state = 2},
  [45] = {.lex_state = 50, .external_lex_state = 2},
  [46] = {.lex_state = 50, .external_lex_state = 2},
  [47] = {.lex_state = 798, .external_lex_state = 2},
  [48] = {.lex_state = 54, .external_lex_state = 2},
  [49] = {.lex_state = 54, .external_lex_state = 2},
  [50] = {.lex_state = 54, .external_lex_state = 2},
  [51] = {.lex_state = 54, .external_lex_state = 2},
  [52] = {.lex_state = 54, .external_lex_state = 2},
  [53] = {.lex_state = 54, .external_lex_state = 2},
  [54] = {.lex_state = 54, .external_lex_state = 2},
  [55] = {.lex_state = 54, .external_lex_state = 2},
  [56] = {.lex_state = 54, .external_lex_state = 2},
  [57] = {.lex_state = 54, .external_lex_state = 2},
  [58] = {.lex_state = 54, .external_lex_state = 2},
  [59] = {.lex_state = 54, .external_lex_state = 2},
  [60] = {.lex_state = 54, .external_lex_state = 2},
  [61] = {.lex_state = 54, .external_lex_state = 2},
  [62] = {.lex_state = 54, .external_lex_state = 2},
  [63] = {.lex_state = 54, .external_lex_state = 2},
  [64] = {.lex_state = 13, .external_lex_state = 2},
  [65] = {.lex_state = 13, .external_lex_state = 2},
  [66] = {.lex_state = 13, .external_lex_state = 2},
  [67] = {.lex_state = 14, .external_lex_state = 2},
  [68] = {.lex_state = 12, .external_lex_state = 2},
  [69] = {.lex_state = 54, .external_lex_state = 2},
  [70] = {.lex_state = 12, .external_lex_state = 2},
  [71] = {.lex_state = 13, .external_lex_state = 2},
  [72] = {.lex_state = 14, .external_lex_state = 2},
  [73] = {.lex_state = 13, .external_lex_state = 2},
  [74] = {.lex_state = 14, .external_lex_state = 2},
  [75] = {.lex_state = 13, .external_lex_state = 2},
  [76] = {.lex_state = 14, .external_lex_state = 2},
  [77] = {.lex_state = 14, .external_lex_state = 2},
  [78] = {.lex_state = 13, .external_lex_state = 2},
  [79] = {.lex_state = 13, .external_lex_state = 2},
  [80] = {.lex_state = 13, .external_lex_state = 2},
  [81] = {.lex_state = 14, .external_lex_state = 2},
  [82] = {.lex_state = 13, .external_lex_state = 2},
  [83] = {.lex_state = 12, .external_lex_state = 2},
  [84] = {.lex_state = 54, .external_lex_state = 2},
  [85] = {.lex_state = 14, .external_lex_state = 2},
  [86] = {.lex_state = 14, .external_lex_state = 2},
  [87] = {.lex_state = 12, .external_lex_state = 2},
  [88] = {.lex_state = 12, .external_lex_state = 2},
  [89] = {.lex_state = 12, .external_lex_state = 2},
  [90] = {.lex_state = 13, .external_lex_state = 2},
  [91] = {.lex_state = 54, .external_lex_state = 2},
  [92] = {.lex_state = 14, .external_lex_state = 2},
  [93] = {.lex_state = 13, .external_lex_state = 2},
  [94] = {.lex_state = 14, .external_lex_state = 2},
  [95] = {.lex_state = 14, .external_lex_state = 2},
  [96] = {.lex_state = 13, .external_lex_state = 2},
  [97] = {.lex_state = 14, .external_lex_state = 2},
  [98] = {.lex_state = 13, .external_lex_state = 2},
  [99] = {.lex_state = 14, .external_lex_state = 2},
  [100] = {.lex_state = 12, .external_lex_state = 2},
  [101] = {.lex_state = 14, .external_lex_state = 2},
  [102] = {.lex_state = 12, .external_lex_state = 2},
  [103] = {.lex_state = 13, .external_lex_state = 2},
  [104] = {.lex_state = 13, .external_lex_state = 2},
  [105] = {.lex_state = 14, .external_lex_state = 2},
  [106] = {.lex_state = 13, .external_lex_state = 2},
  [107] = {.lex_state = 14, .external_lex_state = 2},
  [108] = {.lex_state = 13, .external_lex_state = 2},
  [109] = {.lex_state = 14, .external_lex_state = 2},
  [110] = {.lex_state = 54, .external_lex_state = 2},
  [111] = {.lex_state = 14, .external_lex_state = 2},
  [112] = {.lex_state = 12, .external_lex_state = 2},
  [113] = {.lex_state = 12, .external_lex_state = 2},
  [114] = {.lex_state = 13, .external_lex_state = 2},
  [115] = {.lex_state = 13, .external_lex_state = 2},
  [116] = {.lex_state = 13, .external_lex_state = 2},
  [117] = {.lex_state = 14, .external_lex_state = 2},
  [118] = {.lex_state = 14, .external_lex_state = 2},
  [119] = {.lex_state = 13, .external_lex_state = 2},
  [120] = {.lex_state = 14, .external_lex_state = 2},
  [121] = {.lex_state = 13, .external_lex_state = 2},
  [122] = {.lex_state = 14, .external_lex_state = 2},
  [123] = {.lex_state = 14, .external_lex_state = 2},
  [124] = {.lex_state = 12, .external_lex_state = 2},
  [125] = {.lex_state = 12, .external_lex_state = 2},
  [126] = {.lex_state = 54, .external_lex_state = 2},
  [127] = {.lex_state = 12, .external_lex_state = 2},
  [128] = {.lex_state = 12, .external_lex_state = 2},
  [129] = {.lex_state = 12, .external_lex_state = 2},
  [130] = {.lex_state = 12, .external_lex_state = 2},
  [131] = {.lex_state = 13, .external_lex_state = 2},
  [132] = {.lex_state = 14, .external_lex_state = 2},
  [133] = {.lex_state = 54, .external_lex_state = 2},
  [134] = {.lex_state = 54, .external_lex_state = 2},
  [135] = {.lex_state = 54, .external_lex_state = 2},
  [136] = {.lex_state = 54, .external_lex_state = 2},
  [137] = {.lex_state = 54, .external_lex_state = 2},
  [138] = {.lex_state = 54, .external_lex_state = 2},
  [139] = {.lex_state = 54, .external_lex_state = 2},
  [140] = {.lex_state = 54, .external_lex_state = 2},
  [141] = {.lex_state = 54, .external_lex_state = 2},
  [142] = {.lex_state = 54, .external_lex_state = 2},
  [143] = {.lex_state = 54, .external_lex_state = 2},
  [144] = {.lex_state = 54, .external_lex_state = 2},
  [145] = {.lex_state = 54, .external_lex_state = 2},
  [146] = {.lex_state = 54, .external_lex_state = 2},
  [147] = {.lex_state = 54, .external_lex_state = 2},
  [148] = {.lex_state = 54, .external_lex_state = 2},
  [149] = {.lex_state = 54, .external_lex_state = 2},
  [150] = {.lex_state = 54, .external_lex_state = 2},
  [151] = {.lex_state = 54, .external_lex_state = 2},
  [152] = {.lex_state = 54, .external_lex_state = 2},
  [153] = {.lex_state = 54, .external_lex_state = 2},
  [154] = {.lex_state = 54, .external_lex_state = 2},
  [155] = {.lex_state = 54, .external_lex_state = 2},
  [156] = {.lex_state = 54, .external_lex_state = 2},
  [157] = {.lex_state = 54, .external_lex_state = 2},
  [158] = {.lex_state = 54, .external_lex_state = 2},
  [159] = {.lex_state = 54, .external_lex_state = 2},
  [160] = {.lex_state = 54, .external_lex_state = 2},
  [161] = {.lex_state = 54, .external_lex_state = 2},
  [162] = {.lex_state = 54, .external_lex_state = 2},
  [163] = {.lex_state = 54, .external_lex_state = 2},
  [164] = {.lex_state = 54, .external_lex_state = 2},
  [165] = {.lex_state = 54, .external_lex_state = 2},
  [166] = {.lex_state = 54, .external_lex_state = 2},
  [167] = {.lex_state = 54, .external_lex_state = 2},
  [168] = {.lex_state = 15, .external_lex_state = 2},
  [169] = {.lex_state = 15, .external_lex_state = 2},
  [170] = {.lex_state = 15, .external_lex_state = 2},
  [171] = {.lex_state = 15, .external_lex_state = 2},
  [172] = {.lex_state = 15, .external_lex_state = 2},
  [173] = {.lex_state = 15, .external_lex_state = 2},
  [174] = {.lex_state = 15, .external_lex_state = 2},
  [175] = {.lex_state = 15, .external_lex_state = 2},
  [176] = {.lex_state = 15, .external_lex_state = 2},
  [177] = {.lex_state = 57, .external_lex_state = 2},
  [178] = {.lex_state = 57, .external_lex_state = 2},
  [179] = {.lex_state = 57, .external_lex_state = 2},
  [180] = {.lex_state = 57, .external_lex_state = 2},
  [181] = {.lex_state = 57, .external_lex_state = 2},
  [182] = {.lex_state = 57, .external_lex_state = 2},
  [183] = {.lex_state = 37, .external_lex_state = 2},
  [184] = {.lex_state = 37, .external_lex_state = 2},
  [185] = {.lex_state = 37, .external_lex_state = 2},
  [186] = {.lex_state = 37, .external_lex_state = 2},
  [187] = {.lex_state = 14, .external_lex_state = 2},
  [188] = {.lex_state = 13, .external_lex_state = 2},
  [189] = {.lex_state = 12, .external_lex_state = 2},
  [190] = {.lex_state = 15, .external_lex_state = 2},
  [191] = {.lex_state = 54, .external_lex_state = 2},
  [192] = {.lex_state = 57, .external_lex_state = 2},
  [193] = {.lex_state = 37, .external_lex_state = 2},
  [194] = {.lex_state = 55, .external_lex_state = 2},
  [195] = {.lex_state = 55, .external_lex_state = 2},
  [196] = {.lex_state = 55, .external_lex_state = 2},
  [197] = {.lex_state = 55, .external_lex_state = 2},
  [198] = {.lex_state = 55, .external_lex_state = 2},
  [199] = {.lex_state = 55, .external_lex_state = 2},
  [200] = {.lex_state = 55, .external_lex_state = 2},
  [201] = {.lex_state = 55, .external_lex_state = 2},
  [202] = {.lex_state = 55, .external_lex_state = 2},
  [203] = {.lex_state = 55, .external_lex_state = 2},
  [204] = {.lex_state = 55, .external_lex_state = 2},
  [205] = {.lex_state = 55, .external_lex_state = 2},
  [206] = {.lex_state = 55, .external_lex_state = 2},
  [207] = {.lex_state = 55, .external_lex_state = 2},
  [208] = {.lex_state = 55, .external_lex_state = 2},
  [209] = {.lex_state = 55, .external_lex_state = 2},
  [210] = {.lex_state = 56, .external_lex_state = 2},
  [211] = {.lex_state = 56, .external_lex_state = 2},
  [212] = {.lex_state = 56, .external_lex_state = 2},
  [213] = {.lex_state = 56, .external_lex_state = 2},
  [214] = {.lex_state = 56, .external_lex_state = 2},
  [215] = {.lex_state = 56, .external_lex_state = 2},
  [216] = {.lex_state = 56, .external_lex_state = 2},
  [217] = {.lex_state = 56, .external_lex_state = 2},
  [218] = {.lex_state = 55, .external_lex_state = 2},
  [219] = {.lex_state = 55, .external_lex_state = 2},
  [220] = {.lex_state = 55, .external_lex_state = 2},
  [221] = {.lex_state = 55, .external_lex_state = 2},
  [222] = {.lex_state = 55, .external_lex_state = 2},
  [223] = {.lex_state = 55, .external_lex_state = 2},
  [224] = {.lex_state = 55, .external_lex_state = 2},
  [225] = {.lex_state = 55, .external_lex_state = 2},
  [226] = {.lex_state = 55, .external_lex_state = 2},
  [227] = {.lex_state = 55, .external_lex_state = 2},
  [228] = {.lex_state = 55, .external_lex_state = 2},
  [229] = {.lex_state = 55, .external_lex_state = 2},
  [230] = {.lex_state = 55, .external_lex_state = 2},
  [231] = {.lex_state = 55, .external_lex_state = 2},
  [232] = {.lex_state = 55, .external_lex_state = 2},
  [233] = {.lex_state = 55, .external_lex_state = 2},
  [234] = {.lex_state = 55, .external_lex_state = 2},
  [235] = {.lex_state = 55, .external_lex_state = 2},
  [236] = {.lex_state = 55, .external_lex_state = 2},
  [237] = {.lex_state = 55, .external_lex_state = 2},
  [238] = {.lex_state = 55, .external_lex_state = 2},
  [239] = {.lex_state = 55, .external_lex_state = 2},
  [240] = {.lex_state = 55, .external_lex_state = 2},
  [241] = {.lex_state = 55, .external_lex_state = 2},
  [242] = {.lex_state = 55, .external_lex_state = 2},
  [243] = {.lex_state = 55, .external_lex_state = 2},
  [244] = {.lex_state = 55, .external_lex_state = 2},
  [245] = {.lex_state = 55, .external_lex_state = 2},
  [246] = {.lex_state = 55, .external_lex_state = 2},
  [247] = {.lex_state = 55, .external_lex_state = 2},
  [248] = {.lex_state = 55, .external_lex_state = 2},
  [249] = {.lex_state = 55, .external_lex_state = 2},
  [250] = {.lex_state = 55, .external_lex_state = 2},
  [251] = {.lex_state = 55, .external_lex_state = 2},
  [252] = {.lex_state = 55, .external_lex_state = 2},
  [253] = {.lex_state = 55, .external_lex_state = 2},
  [254] = {.lex_state = 55, .external_lex_state = 2},
  [255] = {.lex_state = 55, .external_lex_state = 2},
  [256] = {.lex_state = 55, .external_lex_state = 2},
  [257] = {.lex_state = 55, .external_lex_state = 2},
  [258] = {.lex_state = 55, .external_lex_state = 2},
  [259] = {.lex_state = 55, .external_lex_state = 2},
  [260] = {.lex_state = 55, .external_lex_state = 2},
  [261] = {.lex_state = 55, .external_lex_state = 2},
  [262] = {.lex_state = 55, .external_lex_state = 2},
  [263] = {.lex_state = 55, .external_lex_state = 2},
  [264] = {.lex_state = 55, .external_lex_state = 2},
  [265] = {.lex_state = 55, .external_lex_state = 2},
  [266] = {.lex_state = 55, .external_lex_state = 2},
  [267] = {.lex_state = 55, .external_lex_state = 2},
  [268] = {.lex_state = 55, .external_lex_state = 2},
  [269] = {.lex_state = 55, .external_lex_state = 2},
  [270] = {.lex_state = 55, .external_lex_state = 2},
  [271] = {.lex_state = 55, .external_lex_state = 2},
  [272] = {.lex_state = 55, .external_lex_state = 2},
  [273] = {.lex_state = 55, .external_lex_state = 2},
  [274] = {.lex_state = 55, .external_lex_state = 2},
  [275] = {.lex_state = 55, .external_lex_state = 2},
  [276] = {.lex_state = 55, .external_lex_state = 2},
  [277] = {.lex_state = 55, .external_lex_state = 2},
  [278] = {.lex_state = 55, .external_lex_state = 2},
  [279] = {.lex_state = 55, .external_lex_state = 2},
  [280] = {.lex_state = 55, .external_lex_state = 2},
  [281] = {.lex_state = 16, .external_lex_state = 2},
  [282] = {.lex_state = 17, .external_lex_state = 2},
  [283] = {.lex_state = 18, .external_lex_state = 2},
  [284] = {.lex_state = 17, .external_lex_state = 2},
  [285] = {.lex_state = 17, .external_lex_state = 2},
  [286] = {.lex_state = 17, .external_lex_state = 2},
  [287] = {.lex_state = 18, .external_lex_state = 2},
  [288] = {.lex_state = 16, .external_lex_state = 2},
  [289] = {.lex_state = 17, .external_lex_state = 2},
  [290] = {.lex_state = 16, .external_lex_state = 2},
  [291] = {.lex_state = 17, .external_lex_state = 2},
  [292] = {.lex_state = 17, .external_lex_state = 2},
  [293] = {.lex_state = 17, .external_lex_state = 2},
  [294] = {.lex_state = 18, .external_lex_state = 2},
  [295] = {.lex_state = 17, .external_lex_state = 2},
  [296] = {.lex_state = 18, .external_lex_state = 2},
  [297] = {.lex_state = 16, .external_lex_state = 2},
  [298] = {.lex_state = 18, .external_lex_state = 2},
  [299] = {.lex_state = 18, .external_lex_state = 2},
  [300] = {.lex_state = 16, .external_lex_state = 2},
  [301] = {.lex_state = 17, .external_lex_state = 2},
  [302] = {.lex_state = 16, .external_lex_state = 2},
  [303] = {.lex_state = 16, .external_lex_state = 2},
  [304] = {.lex_state = 17, .external_lex_state = 2},
  [305] = {.lex_state = 18, .external_lex_state = 2},
  [306] = {.lex_state = 18, .external_lex_state = 2},
  [307] = {.lex_state = 16, .external_lex_state = 2},
  [308] = {.lex_state = 17, .external_lex_state = 2},
  [309] = {.lex_state = 16, .external_lex_state = 2},
  [310] = {.lex_state = 17, .external_lex_state = 2},
  [311] = {.lex_state = 16, .external_lex_state = 2},
  [312] = {.lex_state = 17, .external_lex_state = 2},
  [313] = {.lex_state = 18, .external_lex_state = 2},
  [314] = {.lex_state = 16, .external_lex_state = 2},
  [315] = {.lex_state = 17, .external_lex_state = 2},
  [316] = {.lex_state = 17, .external_lex_state = 2},
  [317] = {.lex_state = 17, .external_lex_state = 2},
  [318] = {.lex_state = 17, .external_lex_state = 2},
  [319] = {.lex_state = 16, .external_lex_state = 2},
  [320] = {.lex_state = 16, .external_lex_state = 2},
  [321] = {.lex_state = 18, .external_lex_state = 2},
  [322] = {.lex_state = 17, .external_lex_state = 2},
  [323] = {.lex_state = 16, .external_lex_state = 2},
  [324] = {.lex_state = 16, .external_lex_state = 2},
  [325] = {.lex_state = 16, .external_lex_state = 2},
  [326] = {.lex_state = 17, .external_lex_state = 2},
  [327] = {.lex_state = 16, .external_lex_state = 2},
  [328] = {.lex_state = 16, .external_lex_state = 2},
  [329] = {.lex_state = 17, .external_lex_state = 2},
  [330] = {.lex_state = 16, .external_lex_state = 2},
  [331] = {.lex_state = 16, .external_lex_state = 2},
  [332] = {.lex_state = 18, .external_lex_state = 2},
  [333] = {.lex_state = 18, .external_lex_state = 2},
  [334] = {.lex_state = 17, .external_lex_state = 2},
  [335] = {.lex_state = 16, .external_lex_state = 2},
  [336] = {.lex_state = 16, .external_lex_state = 2},
  [337] = {.lex_state = 17, .external_lex_state = 2},
  [338] = {.lex_state = 18, .external_lex_state = 2},
  [339] = {.lex_state = 18, .external_lex_state = 2},
  [340] = {.lex_state = 18, .external_lex_state = 2},
  [341] = {.lex_state = 16, .external_lex_state = 2},
  [342] = {.lex_state = 17, .external_lex_state = 2},
  [343] = {.lex_state = 16, .external_lex_state = 2},
  [344] = {.lex_state = 18, .external_lex_state = 2},
  [345] = {.lex_state = 17, .external_lex_state = 2},
  [346] = {.lex_state = 18, .external_lex_state = 2},
  [347] = {.lex_state = 56, .external_lex_state = 2},
  [348] = {.lex_state = 16, .external_lex_state = 2},
  [349] = {.lex_state = 59, .external_lex_state = 2},
  [350] = {.lex_state = 39, .external_lex_state = 2},
  [351] = {.lex_state = 39, .external_lex_state = 2},
  [352] = {.lex_state = 39, .external_lex_state = 2},
  [353] = {.lex_state = 43, .external_lex_state = 2},
  [354] = {.lex_state = 39, .external_lex_state = 2},
  [355] = {.lex_state = 55, .external_lex_state = 2},
  [356] = {.lex_state = 39, .external_lex_state = 2},
  [357] = {.lex_state = 43, .external_lex_state = 2},
  [358] = {.lex_state = 39, .external_lex_state = 2},
  [359] = {.lex_state = 39, .external_lex_state = 2},
  [360] = {.lex_state = 39, .external_lex_state = 2},
  [361] = {.lex_state = 39, .external_lex_state = 2},
  [362] = {.lex_state = 39, .external_lex_state = 2},
  [363] = {.lex_state = 39, .external_lex_state = 2},
  [364] = {.lex_state = 39, .external_lex_state = 2},
  [365] = {.lex_state = 39, .external_lex_state = 2},
  [366] = {.lex_state = 39, .external_lex_state = 2},
  [367] = {.lex_state = 39, .external_lex_state = 2},
  [368] = {.lex_state = 43, .external_lex_state = 2},
  [369] = {.lex_state = 39, .external_lex_state = 2},
  [370] = {.lex_state = 39, .external_lex_state = 2},
  [371] = {.lex_state = 39, .external_lex_state = 2},
  [372] = {.lex_state = 59, .external_lex_state = 2},
  [373] = {.lex_state = 39, .external_lex_state = 2},
  [374] = {.lex_state = 39, .external_lex_state = 2},
  [375] = {.lex_state = 43, .external_lex_state = 2},
  [376] = {.lex_state = 39, .external_lex_state = 2},
  [377] = {.lex_state = 48, .external_lex_state = 2},
  [378] = {.lex_state = 38, .external_lex_state = 2},
  [379] = {.lex_state = 48, .external_lex_state = 2},
  [380] = {.lex_state = 58, .external_lex_state = 2},
  [381] = {.lex_state = 48, .external_lex_state = 2},
  [382] = {.lex_state = 38, .external_lex_state = 2},
  [383] = {.lex_state = 48, .external_lex_state = 2},
  [384] = {.lex_state = 38, .external_lex_state = 2},
  [385] = {.lex_state = 38, .external_lex_state = 2},
  [386] = {.lex_state = 38, .external_lex_state = 2},
  [387] = {.lex_state = 38, .external_lex_state = 2},
  [388] = {.lex_state = 38, .external_lex_state = 2},
  [389] = {.lex_state = 38, .external_lex_state = 2},
  [390] = {.lex_state = 48, .external_lex_state = 2},
  [391] = {.lex_state = 48, .external_lex_state = 2},
  [392] = {.lex_state = 38, .external_lex_state = 2},
  [393] = {.lex_state = 58, .external_lex_state = 2},
  [394] = {.lex_state = 58, .external_lex_state = 2},
  [395] = {.lex_state = 58, .external_lex_state = 2},
  [396] = {.lex_state = 58, .external_lex_state = 2},
  [397] = {.lex_state = 58, .external_lex_state = 2},
  [398] = {.lex_state = 58, .external_lex_state = 2},
  [399] = {.lex_state = 58, .external_lex_state = 2},
  [400] = {.lex_state = 58, .external_lex_state = 2},
  [401] = {.lex_state = 43, .external_lex_state = 2},
  [402] = {.lex_state = 43, .external_lex_state = 2},
  [403] = {.lex_state = 43, .external_lex_state = 2},
  [404] = {.lex_state = 43, .external_lex_state = 2},
  [405] = {.lex_state = 43, .external_lex_state = 2},
  [406] = {.lex_state = 59, .external_lex_state = 2},
  [407] = {.lex_state = 43, .external_lex_state = 2},
  [408] = {.lex_state = 43, .external_lex_state = 2},
  [409] = {.lex_state = 43, .external_lex_state = 2},
  [410] = {.lex_state = 43, .external_lex_state = 2},
  [411] = {.lex_state = 43, .external_lex_state = 2},
  [412] = {.lex_state = 43, .external_lex_state = 2},
  [413] = {.lex_state = 43, .external_lex_state = 2},
  [414] = {.lex_state = 43, .external_lex_state = 2},
  [415] = {.lex_state = 44, .external_lex_state = 2},
  [416] = {.lex_state = 40, .external_lex_state = 2},
  [417] = {.lex_state = 45, .external_lex_state = 2},
  [418] = {.lex_state = 46, .external_lex_state = 2},
  [419] = {.lex_state = 38, .external_lex_state = 2},
  [420] = {.lex_state = 45, .external_lex_state = 2},
  [421] = {.lex_state = 44, .external_lex_state = 2},
  [422] = {.lex_state = 44, .external_lex_state = 2},
  [423] = {.lex_state = 40, .external_lex_state = 2},
  [424] = {.lex_state = 42, .external_lex_state = 2},
  [425] = {.lex_state = 47, .external_lex_state = 2},
  [426] = {.lex_state = 40, .external_lex_state = 2},
  [427] = {.lex_state = 42, .external_lex_state = 2},
  [428] = {.lex_state = 42, .external_lex_state = 2},
  [429] = {.lex_state = 40, .external_lex_state = 2},
  [430] = {.lex_state = 42, .external_lex_state = 2},
  [431] = {.lex_state = 47, .external_lex_state = 2},
  [432] = {.lex_state = 42, .external_lex_state = 2},
  [433] = {.lex_state = 42, .external_lex_state = 2},
  [434] = {.lex_state = 40, .external_lex_state = 2},
  [435] = {.lex_state = 44, .external_lex_state = 2},
  [436] = {.lex_state = 40, .external_lex_state = 2},
  [437] = {.lex_state = 40, .external_lex_state = 2},
  [438] = {.lex_state = 44, .external_lex_state = 2},
  [439] = {.lex_state = 46, .external_lex_state = 2},
  [440] = {.lex_state = 40, .external_lex_state = 2},
  [441] = {.lex_state = 44, .external_lex_state = 2},
  [442] = {.lex_state = 44, .external_lex_state = 2},
  [443] = {.lex_state = 40, .external_lex_state = 2},
  [444] = {.lex_state = 58, .external_lex_state = 2},
  [445] = {.lex_state = 46, .external_lex_state = 2},
  [446] = {.lex_state = 46, .external_lex_state = 2},
  [447] = {.lex_state = 44, .external_lex_state = 2},
  [448] = {.lex_state = 47, .external_lex_state = 2},
  [449] = {.lex_state = 47, .external_lex_state = 2},
  [450] = {.lex_state = 42, .external_lex_state = 2},
  [451] = {.lex_state = 45, .external_lex_state = 2},
  [452] = {.lex_state = 42, .external_lex_state = 2},
  [453] = {.lex_state = 42, .external_lex_state = 2},
  [454] = {.lex_state = 47, .external_lex_state = 2},
  [455] = {.lex_state = 47, .external_lex_state = 2},
  [456] = {.lex_state = 48, .external_lex_state = 2},
  [457] = {.lex_state = 48, .external_lex_state = 2},
  [458] = {.lex_state = 48, .external_lex_state = 2},
  [459] = {.lex_state = 47, .external_lex_state = 2},
  [460] = {.lex_state = 48, .external_lex_state = 2},
  [461] = {.lex_state = 44, .external_lex_state = 2},
  [462] = {.lex_state = 48, .external_lex_state = 2},
  [463] = {.lex_state = 46, .external_lex_state = 2},
  [464] = {.lex_state = 48, .external_lex_state = 2},
  [465] = {.lex_state = 48, .external_lex_state = 2},
  [466] = {.lex_state = 48, .external_lex_state = 2},
  [467] = {.lex_state = 48, .external_lex_state = 2},
  [468] = {.lex_state = 45, .external_lex_state = 2},
  [469] = {.lex_state = 41, .external_lex_state = 2},
  [470] = {.lex_state = 41, .external_lex_state = 2},
  [471] = {.lex_state = 41, .external_lex_state = 2},
  [472] = {.lex_state = 41, .external_lex_state = 2},
  [473] = {.lex_state = 41, .external_lex_state = 2},
  [474] = {.lex_state = 26, .external_lex_state = 2},
  [475] = {.lex_state = 26, .external_lex_state = 2},
  [476] = {.lex_state = 26, .external_lex_state = 2},
  [477] = {.lex_state = 26, .external_lex_state = 2},
  [478] = {.lex_state = 26, .external_lex_state = 2},
  [479] = {.lex_state = 26, .external_lex_state = 2},
  [480] = {.lex_state = 26, .external_lex_state = 2},
  [481] = {.lex_state = 26, .external_lex_state = 2},
  [482] = {.lex_state = 26, .external_lex_state = 2},
  [483] = {.lex_state = 26, .external_lex_state = 2},
  [484] = {.lex_state = 26, .external_lex_state = 2},
  [485] = {.lex_state = 26, .external_lex_state = 2},
  [486] = {.lex_state = 26, .external_lex_state = 2},
  [487] = {.lex_state = 26, .external_lex_state = 2},
  [488] = {.lex_state = 26, .external_lex_state = 2},
  [489] = {.lex_state = 26, .external_lex_state = 2},
  [490] = {.lex_state = 26, .external_lex_state = 2},
  [491] = {.lex_state = 26, .external_lex_state = 2},
  [492] = {.lex_state = 26, .external_lex_state = 2},
  [493] = {.lex_state = 26, .external_lex_state = 2},
  [494] = {.lex_state = 26, .external_lex_state = 2},
  [495] = {.lex_state = 26, .external_lex_state = 2},
  [496] = {.lex_state = 26, .external_lex_state = 2},
  [497] = {.lex_state = 26, .external_lex_state = 2},
  [498] = {.lex_state = 26, .external_lex_state = 2},
  [499] = {.lex_state = 26, .external_lex_state = 2},
  [500] = {.lex_state = 26, .external_lex_state = 2},
  [501] = {.lex_state = 26, .external_lex_state = 2},
  [502] = {.lex_state = 26, .external_lex_state = 2},
  [503] = {.lex_state = 26, .external_lex_state = 2},
  [504] = {.lex_state = 26, .external_lex_state = 2},
  [505] = {.lex_state = 26, .external_lex_state = 2},
  [506] = {.lex_state = 26, .external_lex_state = 2},
  [507] = {.lex_state = 26, .external_lex_state = 2},
  [508] = {.lex_state = 26, .external_lex_state = 2},
  [509] = {.lex_state = 26, .external_lex_state = 2},
  [510] = {.lex_state = 26, .external_lex_state = 2},
  [511] = {.lex_state = 26, .external_lex_state = 2},
  [512] = {.lex_state = 26, .external_lex_state = 2},
  [513] = {.lex_state = 26, .external_lex_state = 2},
  [514] = {.lex_state = 26, .external_lex_state = 2},
  [515] = {.lex_state = 26, .external_lex_state = 2},
  [516] = {.lex_state = 26, .external_lex_state = 2},
  [517] = {.lex_state = 26, .external_lex_state = 2},
  [518] = {.lex_state = 26, .external_lex_state = 2},
  [519] = {.lex_state = 26, .external_lex_state = 2},
  [520] = {.lex_state = 26, .external_lex_state = 2},
  [521] = {.lex_state = 26, .external_lex_state = 2},
  [522] = {.lex_state = 26, .external_lex_state = 2},
  [523] = {.lex_state = 26, .external_lex_state = 2},
  [524] = {.lex_state = 26, .external_lex_state = 2},
  [525] = {.lex_state = 26, .external_lex_state = 2},
  [526] = {.lex_state = 26, .external_lex_state = 2},
  [527] = {.lex_state = 26, .external_lex_state = 2},
  [528] = {.lex_state = 26, .external_lex_state = 2},
  [529] = {.lex_state = 26, .external_lex_state = 2},
  [530] = {.lex_state = 26, .external_lex_state = 2},
  [531] = {.lex_state = 26, .external_lex_state = 2},
  [532] = {.lex_state = 26, .external_lex_state = 2},
  [533] = {.lex_state = 26, .external_lex_state = 2},
  [534] = {.lex_state = 26, .external_lex_state = 2},
  [535] = {.lex_state = 26, .external_lex_state = 2},
  [536] = {.lex_state = 26, .external_lex_state = 2},
  [537] = {.lex_state = 26, .external_lex_state = 2},
  [538] = {.lex_state = 26, .external_lex_state = 2},
  [539] = {.lex_state = 26, .external_lex_state = 2},
  [540] = {.lex_state = 26, .external_lex_state = 2},
  [541] = {.lex_state = 26, .external_lex_state = 2},
  [542] = {.lex_state = 26, .external_lex_state = 2},
  [543] = {.lex_state = 26, .external_lex_state = 2},
  [544] = {.lex_state = 26, .external_lex_state = 2},
  [545] = {.lex_state = 26, .external_lex_state = 2},
  [546] = {.lex_state = 26, .external_lex_state = 2},
  [547] = {.lex_state = 26, .external_lex_state = 2},
  [548] = {.lex_state = 26, .external_lex_state = 2},
  [549] = {.lex_state = 26, .external_lex_state = 2},
  [550] = {.lex_state = 26, .external_lex_state = 2},
  [551] = {.lex_state = 26, .external_lex_state = 2},
  [552] = {.lex_state = 26, .external_lex_state = 2},
  [553] = {.lex_state = 26, .external_lex_state = 2},
  [554] = {.lex_state = 26, .external_lex_state = 2},
  [555] = {.lex_state = 26, .external_lex_state = 2},
  [556] = {.lex_state = 26, .external_lex_state = 2},
  [557] = {.lex_state = 26, .external_lex_state = 2},
  [558] = {.lex_state = 53, .external_lex_state = 3},
  [559] = {.lex_state = 53, .external_lex_state = 3},
  [560] = {.lex_state = 53, .external_lex_state = 3},
  [561] = {.lex_state = 798, .external_lex_state = 2},
  [562] = {.lex_state = 50, .external_lex_state = 2},
  [563] = {.lex_state = 798, .external_lex_state = 2},
  [564] = {.lex_state = 50, .external_lex_state = 2},
  [565] = {.lex_state = 50, .external_lex_state = 2},
  [566] = {.lex_state = 34, .external_lex_state = 2},
  [567] = {.lex_state = 53, .external_lex_state = 3},
  [568] = {.lex_state = 798, .external_lex_state = 2},
  [569] = {.lex_state = 798, .external_lex_state = 2},
  [570] = {.lex_state = 50, .external_lex_state = 2},
  [571] = {.lex_state = 50, .external_lex_state = 2},
  [572] = {.lex_state = 798, .external_lex_state = 2},
  [573] = {.lex_state = 798, .external_lex_state = 2},
  [574] = {.lex_state = 798, .external_lex_state = 2},
  [575] = {.lex_state = 798, .external_lex_state = 2},
  [576] = {.lex_state = 53, .external_lex_state = 3},
  [577] = {.lex_state = 34, .external_lex_state = 2},
  [578] = {.lex_state = 53, .external_lex_state = 3},
  [579] = {.lex_state = 50, .external_lex_state = 2},
  [580] = {.lex_state = 50, .external_lex_state = 2},
  [581] = {.lex_state = 50, .external_lex_state = 2},
  [582] = {.lex_state = 50, .external_lex_state = 2},
  [583] = {.lex_state = 50, .external_lex_state = 2},
  [584] = {.lex_state = 798, .external_lex_state = 2},
  [585] = {.lex_state = 798, .external_lex_state = 2},
  [586] = {.lex_state = 53, .external_lex_state = 3},
  [587] = {.lex_state = 53, .external_lex_state = 3},
  [588] = {.lex_state = 53, .external_lex_state = 3},
  [589] = {.lex_state = 34, .external_lex_state = 2},
  [590] = {.lex_state = 53, .external_lex_state = 3},
  [591] = {.lex_state = 798, .external_lex_state = 2},
  [592] = {.lex_state = 798, .external_lex_state = 2},
  [593] = {.lex_state = 53, .external_lex_state = 3},
  [594] = {.lex_state = 798, .external_lex_state = 2},
  [595] = {.lex_state = 53, .external_lex_state = 3},
  [596] = {.lex_state = 53, .external_lex_state = 3},
  [597] = {.lex_state = 53, .external_lex_state = 3},
  [598] = {.lex_state = 50, .external_lex_state = 2},
  [599] = {.lex_state = 53, .external_lex_state = 3},
  [600] = {.lex_state = 50, .external_lex_state = 2},
  [601] = {.lex_state = 53, .external_lex_state = 3},
  [602] = {.lex_state = 53, .external_lex_state = 3},
  [603] = {.lex_state = 53, .external_lex_state = 3},
  [604] = {.lex_state = 50, .external_lex_state = 2},
  [605] = {.lex_state = 50, .external_lex_state = 2},
  [606] = {.lex_state = 53, .external_lex_state = 3},
  [607] = {.lex_state = 798, .external_lex_state = 2},
  [608] = {.lex_state = 53, .external_lex_state = 3},
  [609] = {.lex_state = 53, .external_lex_state = 3},
  [610] = {.lex_state = 53, .external_lex_state = 3},
  [611] = {.lex_state = 53, .external_lex_state = 3},
  [612] = {.lex_state = 53, .external_lex_state = 3},
  [613] = {.lex_state = 50, .external_lex_state = 2},
  [614] = {.lex_state = 798, .external_lex_state = 2},
  [615] = {.lex_state = 50, .external_lex_state = 2},
  [616] = {.lex_state = 50, .external_lex_state = 2},
  [617] = {.lex_state = 50, .external_lex_state = 2},
  [618] = {.lex_state = 798, .external_lex_state = 2},
  [619] = {.lex_state = 11, .external_lex_state = 3},
  [620] = {.lex_state = 50, .external_lex_state = 2},
  [621] = {.lex_state = 798, .external_lex_state = 2},
  [622] = {.lex_state = 11, .external_lex_state = 3},
  [623] = {.lex_state = 81, .external_lex_state = 2},
  [624] = {.lex_state = 44, .external_lex_state = 2},
  [625] = {.lex_state = 798, .external_lex_state = 2},
  [626] = {.lex_state = 50, .external_lex_state = 2},
  [627] = {.lex_state = 50, .external_lex_state = 2},
  [628] = {.lex_state = 798, .external_lex_state = 2},
  [629] = {.lex_state = 50, .external_lex_state = 2},
  [630] = {.lex_state = 50, .external_lex_state = 2},
  [631] = {.lex_state = 50, .external_lex_state = 2},
  [632] = {.lex_state = 50, .external_lex_state = 2},
  [633] = {.lex_state = 50, .external_lex_state = 2},
  [634] = {.lex_state = 19, .external_lex_state = 3},
  [635] = {.lex_state = 798, .external_lex_state = 2},
  [636] = {.lex_state = 50, .external_lex_state = 2},
  [637] = {.lex_state = 798, .external_lex_state = 2},
  [638] = {.lex_state = 798, .external_lex_state = 2},
  [639] = {.lex_state = 11, .external_lex_state = 3},
  [640] = {.lex_state = 798, .external_lex_state = 2},
  [641] = {.lex_state = 50, .external_lex_state = 2},
  [642] = {.lex_state = 80, .external_lex_state = 2},
  [643] = {.lex_state = 798, .external_lex_state = 2},
  [644] = {.lex_state = 798, .external_lex_state = 2},
  [645] = {.lex_state = 44, .external_lex_state = 2},
  [646] = {.lex_state = 50, .external_lex_state = 2},
  [647] = {.lex_state = 50, .external_lex_state = 2},
  [648] = {.lex_state = 798, .external_lex_state = 2},
  [649] = {.lex_state = 798, .external_lex_state = 2},
  [650] = {.lex_state = 19, .external_lex_state = 3},
  [651] = {.lex_state = 44, .external_lex_state = 2},
  [652] = {.lex_state = 798, .external_lex_state = 2},
  [653] = {.lex_state = 50, .external_lex_state = 2},
  [654] = {.lex_state = 50, .external_lex_state = 2},
  [655] = {.lex_state = 50, .external_lex_state = 2},
  [656] = {.lex_state = 50, .external_lex_state = 2},
  [657] = {.lex_state = 50, .external_lex_state = 2},
  [658] = {.lex_state = 798, .external_lex_state = 2},
  [659] = {.lex_state = 50, .external_lex_state = 2},
  [660] = {.lex_state = 50, .external_lex_state = 2},
  [661] = {.lex_state = 44, .external_lex_state = 2},
  [662] = {.lex_state = 798, .external_lex_state = 2},
  [663] = {.lex_state = 798, .external_lex_state = 2},
  [664] = {.lex_state = 798, .external_lex_state = 2},
  [665] = {.lex_state = 798, .external_lex_state = 2},
  [666] = {.lex_state = 50, .external_lex_state = 2},
  [667] = {.lex_state = 798, .external_lex_state = 2},
  [668] = {.lex_state = 798, .external_lex_state = 2},
  [669] = {.lex_state = 798, .external_lex_state = 2},
  [670] = {.lex_state = 50, .external_lex_state = 2},
  [671] = {.lex_state = 19, .external_lex_state = 3},
  [672] = {.lex_state = 798, .external_lex_state = 2},
  [673] = {.lex_state = 50, .external_lex_state = 2},
  [674] = {.lex_state = 50, .external_lex_state = 2},
  [675] = {.lex_state = 50, .external_lex_state = 2},
  [676] = {.lex_state = 798, .external_lex_state = 2},
  [677] = {.lex_state = 798, .external_lex_state = 2},
  [678] = {.lex_state = 50, .external_lex_state = 2},
  [679] = {.lex_state = 50, .external_lex_state = 2},
  [680] = {.lex_state = 798, .external_lex_state = 2},
  [681] = {.lex_state = 50, .external_lex_state = 2},
  [682] = {.lex_state = 798, .external_lex_state = 2},
  [683] = {.lex_state = 798, .external_lex_state = 2},
  [684] = {.lex_state = 798, .external_lex_state = 2},
  [685] = {.lex_state = 798, .external_lex_state = 2},
  [686] = {.lex_state = 50, .external_lex_state = 2},
  [687] = {.lex_state = 50, .external_lex_state = 2},
  [688] = {.lex_state = 50, .external_lex_state = 2},
  [689] = {.lex_state = 798, .external_lex_state = 2},
  [690] = {.lex_state = 798, .external_lex_state = 2},
  [691] = {.lex_state = 50, .external_lex_state = 2},
  [692] = {.lex_state = 50, .external_lex_state = 2},
  [693] = {.lex_state = 50, .external_lex_state = 2},
  [694] = {.lex_state = 44, .external_lex_state = 2},
  [695] = {.lex_state = 50, .external_lex_state = 2},
  [696] = {.lex_state = 798, .external_lex_state = 2},
  [697] = {.lex_state = 50, .external_lex_state = 2},
  [698] = {.lex_state = 50, .external_lex_state = 2},
  [699] = {.lex_state = 798, .external_lex_state = 2},
  [700] = {.lex_state = 50, .external_lex_state = 2},
  [701] = {.lex_state = 50, .external_lex_state = 2},
  [702] = {.lex_state = 50, .external_lex_state = 2},
  [703] = {.lex_state = 50, .external_lex_state = 2},
  [704] = {.lex_state = 798, .external_lex_state = 2},
  [705] = {.lex_state = 50, .external_lex_state = 2},
  [706] = {.lex_state = 50, .external_lex_state = 2},
  [707] = {.lex_state = 50, .external_lex_state = 2},
  [708] = {.lex_state = 81, .external_lex_state = 2},
  [709] = {.lex_state = 50, .external_lex_state = 2},
  [710] = {.lex_state = 19, .external_lex_state = 3},
  [711] = {.lex_state = 11, .external_lex_state = 3},
  [712] = {.lex_state = 798, .external_lex_state = 2},
  [713] = {.lex_state = 19, .external_lex_state = 3},
  [714] = {.lex_state = 50, .external_lex_state = 2},
  [715] = {.lex_state = 50, .external_lex_state = 2},
  [716] = {.lex_state = 11, .external_lex_state = 3},
  [717] = {.lex_state = 798, .external_lex_state = 2},
  [718] = {.lex_state = 50, .external_lex_state = 2},
  [719] = {.lex_state = 798, .external_lex_state = 2},
  [720] = {.lex_state = 50, .external_lex_state = 2},
  [721] = {.lex_state = 19, .external_lex_state = 3},
  [722] = {.lex_state = 11, .external_lex_state = 3},
  [723] = {.lex_state = 798, .external_lex_state = 2},
  [724] = {.lex_state = 798, .external_lex_state = 2},
  [725] = {.lex_state = 798, .external_lex_state = 2},
  [726] = {.lex_state = 44, .external_lex_state = 2},
  [727] = {.lex_state = 798, .external_lex_state = 2},
  [728] = {.lex_state = 798, .external_lex_state = 2},
  [729] = {.lex_state = 81, .external_lex_state = 2},
  [730] = {.lex_state = 50, .external_lex_state = 2},
  [731] = {.lex_state = 798, .external_lex_state = 2},
  [732] = {.lex_state = 50, .external_lex_state = 2},
  [733] = {.lex_state = 50, .external_lex_state = 2},
  [734] = {.lex_state = 798, .external_lex_state = 2},
  [735] = {.lex_state = 44, .external_lex_state = 2},
  [736] = {.lex_state = 798, .external_lex_state = 2},
  [737] = {.lex_state = 50, .external_lex_state = 2},
  [738] = {.lex_state = 50, .external_lex_state = 2},
  [739] = {.lex_state = 798, .external_lex_state = 2},
  [740] = {.lex_state = 81, .external_lex_state = 2},
  [741] = {.lex_state = 81, .external_lex_state = 2},
  [742] = {.lex_state = 798, .external_lex_state = 2},
  [743] = {.lex_state = 50, .external_lex_state = 2},
  [744] = {.lex_state = 50, .external_lex_state = 2},
  [745] = {.lex_state = 50, .external_lex_state = 2},
  [746] = {.lex_state = 50, .external_lex_state = 2},
  [747] = {.lex_state = 81, .external_lex_state = 2},
  [748] = {.lex_state = 798, .external_lex_state = 2},
  [749] = {.lex_state = 798, .external_lex_state = 2},
  [750] = {.lex_state = 50, .external_lex_state = 2},
  [751] = {.lex_state = 81, .external_lex_state = 2},
  [752] = {.lex_state = 50, .external_lex_state = 2},
  [753] = {.lex_state = 798, .external_lex_state = 2},
  [754] = {.lex_state = 50, .external_lex_state = 2},
  [755] = {.lex_state = 44, .external_lex_state = 2},
  [756] = {.lex_state = 81, .external_lex_state = 2},
  [757] = {.lex_state = 798, .external_lex_state = 2},
  [758] = {.lex_state = 81, .external_lex_state = 2},
  [759] = {.lex_state = 798, .external_lex_state = 2},
  [760] = {.lex_state = 798, .external_lex_state = 2},
  [761] = {.lex_state = 798, .external_lex_state = 2},
  [762] = {.lex_state = 44, .external_lex_state = 2},
  [763] = {.lex_state = 798, .external_lex_state = 2},
  [764] = {.lex_state = 798, .external_lex_state = 2},
  [765] = {.lex_state = 50, .external_lex_state = 2},
  [766] = {.lex_state = 798, .external_lex_state = 2},
  [767] = {.lex_state = 798, .external_lex_state = 2},
  [768] = {.lex_state = 798, .external_lex_state = 2},
  [769] = {.lex_state = 798, .external_lex_state = 2},
  [770] = {.lex_state = 798, .external_lex_state = 2},
  [771] = {.lex_state = 798, .external_lex_state = 2},
  [772] = {.lex_state = 798, .external_lex_state = 2},
  [773] = {.lex_state = 798, .external_lex_state = 2},
  [774] = {.lex_state = 798, .external_lex_state = 2},
  [775] = {.lex_state = 50, .external_lex_state = 2},
  [776] = {.lex_state = 44, .external_lex_state = 2},
  [777] = {.lex_state = 44, .external_lex_state = 2},
  [778] = {.lex_state = 44, .external_lex_state = 2},
  [779] = {.lex_state = 44, .external_lex_state = 2},
  [780] = {.lex_state = 44, .external_lex_state = 2},
  [781] = {.lex_state = 41, .external_lex_state = 4},
  [782] = {.lex_state = 44, .external_lex_state = 2},
  [783] = {.lex_state = 44, .external_lex_state = 2},
  [784] = {.lex_state = 44, .external_lex_state = 2},
  [785] = {.lex_state = 44, .external_lex_state = 2},
  [786] = {.lex_state = 44, .external_lex_state = 2},
  [787] = {.lex_state = 44, .external_lex_state = 2},
  [788] = {.lex_state = 44, .external_lex_state = 2},
  [789] = {.lex_state = 44, .external_lex_state = 2},
  [790] = {.lex_state = 41, .external_lex_state = 4},
  [791] = {.lex_state = 44, .external_lex_state = 2},
  [792] = {.lex_state = 44, .external_lex_state = 2},
  [793] = {.lex_state = 44, .external_lex_state = 2},
  [794] = {.lex_state = 44, .external_lex_state = 2},
  [795] = {.lex_state = 44, .external_lex_state = 2},
  [796] = {.lex_state = 11, .external_lex_state = 3},
  [797] = {.lex_state = 19, .external_lex_state = 3},
  [798] = {.lex_state = 53, .external_lex_state = 3},
  [799] = {.lex_state = 27, .external_lex_state = 2},
  [800] = {.lex_state = 27, .external_lex_state = 2},
  [801] = {.lex_state = 27, .external_lex_state = 2},
  [802] = {.lex_state = 27, .external_lex_state = 2},
  [803] = {.lex_state = 27, .external_lex_state = 2},
  [804] = {.lex_state = 27, .external_lex_state = 2},
  [805] = {.lex_state = 27, .external_lex_state = 2},
  [806] = {.lex_state = 60, .external_lex_state = 3},
  [807] = {.lex_state = 27, .external_lex_state = 2},
  [808] = {.lex_state = 27, .external_lex_state = 2},
  [809] = {.lex_state = 27, .external_lex_state = 2},
  [810] = {.lex_state = 27, .external_lex_state = 2},
  [811] = {.lex_state = 27, .external_lex_state = 2},
  [812] = {.lex_state = 27, .external_lex_state = 2},
  [813] = {.lex_state = 27, .external_lex_state = 2},
  [814] = {.lex_state = 27, .external_lex_state = 2},
  [815] = {.lex_state = 27, .external_lex_state = 2},
  [816] = {.lex_state = 27, .external_lex_state = 2},
  [817] = {.lex_state = 27, .external_lex_state = 2},
  [818] = {.lex_state = 27, .external_lex_state = 2},
  [819] = {.lex_state = 27, .external_lex_state = 2},
  [820] = {.lex_state = 60, .external_lex_state = 3},
  [821] = {.lex_state = 60, .external_lex_state = 3},
  [822] = {.lex_state = 60, .external_lex_state = 3},
  [823] = {.lex_state = 60, .external_lex_state = 3},
  [824] = {.lex_state = 54, .external_lex_state = 2},
  [825] = {.lex_state = 54, .external_lex_state = 2},
  [826] = {.lex_state = 54, .external_lex_state = 2},
  [827] = {.lex_state = 54, .external_lex_state = 2},
  [828] = {.lex_state = 51, .external_lex_state = 2},
  [829] = {.lex_state = 51, .external_lex_state = 2},
  [830] = {.lex_state = 15, .external_lex_state = 2},
  [831] = {.lex_state = 14, .external_lex_state = 2},
  [832] = {.lex_state = 13, .external_lex_state = 2},
  [833] = {.lex_state = 14, .external_lex_state = 2},
  [834] = {.lex_state = 14, .external_lex_state = 2},
  [835] = {.lex_state = 13, .external_lex_state = 2},
  [836] = {.lex_state = 13, .external_lex_state = 2},
  [837] = {.lex_state = 54, .external_lex_state = 2},
  [838] = {.lex_state = 54, .external_lex_state = 2},
  [839] = {.lex_state = 54, .external_lex_state = 2},
  [840] = {.lex_state = 13, .external_lex_state = 2},
  [841] = {.lex_state = 14, .external_lex_state = 2},
  [842] = {.lex_state = 13, .external_lex_state = 2},
  [843] = {.lex_state = 13, .external_lex_state = 2},
  [844] = {.lex_state = 54, .external_lex_state = 2},
  [845] = {.lex_state = 54, .external_lex_state = 2},
  [846] = {.lex_state = 54, .external_lex_state = 2},
  [847] = {.lex_state = 54, .external_lex_state = 2},
  [848] = {.lex_state = 14, .external_lex_state = 2},
  [849] = {.lex_state = 14, .external_lex_state = 2},
  [850] = {.lex_state = 14, .external_lex_state = 2},
  [851] = {.lex_state = 13, .external_lex_state = 2},
  [852] = {.lex_state = 13, .external_lex_state = 2},
  [853] = {.lex_state = 54, .external_lex_state = 2},
  [854] = {.lex_state = 13, .external_lex_state = 2},
  [855] = {.lex_state = 13, .external_lex_state = 2},
  [856] = {.lex_state = 54, .external_lex_state = 2},
  [857] = {.lex_state = 54, .external_lex_state = 2},
  [858] = {.lex_state = 15, .external_lex_state = 2},
  [859] = {.lex_state = 54, .external_lex_state = 2},
  [860] = {.lex_state = 13, .external_lex_state = 2},
  [861] = {.lex_state = 13, .external_lex_state = 2},
  [862] = {.lex_state = 14, .external_lex_state = 2},
  [863] = {.lex_state = 14, .external_lex_state = 2},
  [864] = {.lex_state = 13, .external_lex_state = 2},
  [865] = {.lex_state = 14, .external_lex_state = 2},
  [866] = {.lex_state = 14, .external_lex_state = 2},
  [867] = {.lex_state = 15, .external_lex_state = 2},
  [868] = {.lex_state = 15, .external_lex_state = 2},
  [869] = {.lex_state = 12, .external_lex_state = 2},
  [870] = {.lex_state = 54, .external_lex_state = 2},
  [871] = {.lex_state = 54, .external_lex_state = 2},
  [872] = {.lex_state = 51, .external_lex_state = 2},
  [873] = {.lex_state = 54, .external_lex_state = 2},
  [874] = {.lex_state = 54, .external_lex_state = 2},
  [875] = {.lex_state = 13, .external_lex_state = 2},
  [876] = {.lex_state = 51, .external_lex_state = 2},
  [877] = {.lex_state = 51, .external_lex_state = 2},
  [878] = {.lex_state = 13, .external_lex_state = 2},
  [879] = {.lex_state = 54, .external_lex_state = 2},
  [880] = {.lex_state = 54, .external_lex_state = 2},
  [881] = {.lex_state = 13, .external_lex_state = 2},
  [882] = {.lex_state = 54, .external_lex_state = 2},
  [883] = {.lex_state = 54, .external_lex_state = 2},
  [884] = {.lex_state = 13, .external_lex_state = 2},
  [885] = {.lex_state = 12, .external_lex_state = 2},
  [886] = {.lex_state = 12, .external_lex_state = 2},
  [887] = {.lex_state = 51, .external_lex_state = 2},
  [888] = {.lex_state = 51, .external_lex_state = 2},
  [889] = {.lex_state = 13, .external_lex_state = 2},
  [890] = {.lex_state = 13, .external_lex_state = 2},
  [891] = {.lex_state = 54, .external_lex_state = 2},
  [892] = {.lex_state = 13, .external_lex_state = 2},
  [893] = {.lex_state = 54, .external_lex_state = 2},
  [894] = {.lex_state = 13, .external_lex_state = 2},
  [895] = {.lex_state = 13, .external_lex_state = 2},
  [896] = {.lex_state = 12, .external_lex_state = 2},
  [897] = {.lex_state = 54, .external_lex_state = 2},
  [898] = {.lex_state = 54, .external_lex_state = 2},
  [899] = {.lex_state = 13, .external_lex_state = 2},
  [900] = {.lex_state = 12, .external_lex_state = 2},
  [901] = {.lex_state = 15, .external_lex_state = 2},
  [902] = {.lex_state = 54, .external_lex_state = 2},
  [903] = {.lex_state = 54, .external_lex_state = 2},
  [904] = {.lex_state = 15, .external_lex_state = 2},
  [905] = {.lex_state = 51, .external_lex_state = 2},
  [906] = {.lex_state = 51, .external_lex_state = 2},
  [907] = {.lex_state = 54, .external_lex_state = 2},
  [908] = {.lex_state = 13, .external_lex_state = 2},
  [909] = {.lex_state = 14, .external_lex_state = 2},
  [910] = {.lex_state = 13, .external_lex_state = 2},
  [911] = {.lex_state = 15, .external_lex_state = 2},
  [912] = {.lex_state = 15, .external_lex_state = 2},
  [913] = {.lex_state = 14, .external_lex_state = 2},
  [914] = {.lex_state = 14, .external_lex_state = 2},
  [915] = {.lex_state = 54, .external_lex_state = 2},
  [916] = {.lex_state = 13, .external_lex_state = 2},
  [917] = {.lex_state = 14, .external_lex_state = 2},
  [918] = {.lex_state = 54, .external_lex_state = 2},
  [919] = {.lex_state = 12, .external_lex_state = 2},
  [920] = {.lex_state = 54, .external_lex_state = 2},
  [921] = {.lex_state = 15, .external_lex_state = 2},
  [922] = {.lex_state = 14, .external_lex_state = 2},
  [923] = {.lex_state = 14, .external_lex_state = 2},
  [924] = {.lex_state = 12, .external_lex_state = 2},
  [925] = {.lex_state = 51, .external_lex_state = 2},
  [926] = {.lex_state = 15, .external_lex_state = 2},
  [927] = {.lex_state = 15, .external_lex_state = 2},
  [928] = {.lex_state = 51, .external_lex_state = 2},
  [929] = {.lex_state = 51, .external_lex_state = 2},
  [930] = {.lex_state = 51, .external_lex_state = 2},
  [931] = {.lex_state = 51, .external_lex_state = 2},
  [932] = {.lex_state = 14, .external_lex_state = 2},
  [933] = {.lex_state = 14, .external_lex_state = 2},
  [934] = {.lex_state = 13, .external_lex_state = 2},
  [935] = {.lex_state = 12, .external_lex_state = 2},
  [936] = {.lex_state = 14, .external_lex_state = 2},
  [937] = {.lex_state = 15, .external_lex_state = 2},
  [938] = {.lex_state = 15, .external_lex_state = 2},
  [939] = {.lex_state = 15, .external_lex_state = 2},
  [940] = {.lex_state = 15, .external_lex_state = 2},
  [941] = {.lex_state = 14, .external_lex_state = 2},
  [942] = {.lex_state = 51, .external_lex_state = 2},
  [943] = {.lex_state = 14, .external_lex_state = 2},
  [944] = {.lex_state = 14, .external_lex_state = 2},
  [945] = {.lex_state = 13, .external_lex_state = 2},
  [946] = {.lex_state = 51, .external_lex_state = 2},
  [947] = {.lex_state = 54, .external_lex_state = 2},
  [948] = {.lex_state = 14, .external_lex_state = 2},
  [949] = {.lex_state = 12, .external_lex_state = 2},
  [950] = {.lex_state = 14, .external_lex_state = 2},
  [951] = {.lex_state = 14, .external_lex_state = 2},
  [952] = {.lex_state = 12, .external_lex_state = 2},
  [953] = {.lex_state = 51, .external_lex_state = 2},
  [954] = {.lex_state = 14, .external_lex_state = 2},
  [955] = {.lex_state = 12, .external_lex_state = 2},
  [956] = {.lex_state = 15, .external_lex_state = 2},
  [957] = {.lex_state = 12, .external_lex_state = 2},
  [958] = {.lex_state = 15, .external_lex_state = 2},
  [959] = {.lex_state = 12, .external_lex_state = 2},
  [960] = {.lex_state = 12, .external_lex_state = 2},
  [961] = {.lex_state = 12, .external_lex_state = 2},
  [962] = {.lex_state = 54, .external_lex_state = 2},
  [963] = {.lex_state = 12, .external_lex_state = 2},
  [964] = {.lex_state = 51, .external_lex_state = 2},
  [965] = {.lex_state = 51, .external_lex_state = 2},
  [966] = {.lex_state = 54, .external_lex_state = 2},
  [967] = {.lex_state = 12, .external_lex_state = 2},
  [968] = {.lex_state = 12, .external_lex_state = 2},
  [969] = {.lex_state = 12, .external_lex_state = 2},
  [970] = {.lex_state = 12, .external_lex_state = 2},
  [971] = {.lex_state = 51, .external_lex_state = 2},
  [972] = {.lex_state = 12, .external_lex_state = 2},
  [973] = {.lex_state = 12, .external_lex_state = 2},
  [974] = {.lex_state = 12, .external_lex_state = 2},
  [975] = {.lex_state = 15, .external_lex_state = 2},
  [976] = {.lex_state = 12, .external_lex_state = 2},
  [977] = {.lex_state = 15, .external_lex_state = 2},
  [978] = {.lex_state = 12, .external_lex_state = 2},
  [979] = {.lex_state = 15, .external_lex_state = 2},
  [980] = {.lex_state = 12, .external_lex_state = 2},
  [981] = {.lex_state = 12, .external_lex_state = 2},
  [982] = {.lex_state = 12, .external_lex_state = 2},
  [983] = {.lex_state = 14, .external_lex_state = 2},
  [984] = {.lex_state = 12, .external_lex_state = 2},
  [985] = {.lex_state = 15, .external_lex_state = 2},
  [986] = {.lex_state = 13, .external_lex_state = 2},
  [987] = {.lex_state = 12, .external_lex_state = 2},
  [988] = {.lex_state = 12, .external_lex_state = 2},
  [989] = {.lex_state = 12, .external_lex_state = 2},
  [990] = {.lex_state = 12, .external_lex_state = 2},
  [991] = {.lex_state = 13, .external_lex_state = 2},
  [992] = {.lex_state = 12, .external_lex_state = 2},
  [993] = {.lex_state = 12, .external_lex_state = 2},
  [994] = {.lex_state = 12, .external_lex_state = 2},
  [995] = {.lex_state = 12, .external_lex_state = 2},
  [996] = {.lex_state = 14, .external_lex_state = 2},
  [997] = {.lex_state = 12, .external_lex_state = 2},
  [998] = {.lex_state = 12, .external_lex_state = 2},
  [999] = {.lex_state = 15, .external_lex_state = 2},
  [1000] = {.lex_state = 12, .external_lex_state = 2},
  [1001] = {.lex_state = 12, .external_lex_state = 2},
  [1002] = {.lex_state = 12, .external_lex_state = 2},
  [1003] = {.lex_state = 12, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 12, .external_lex_state = 2},
  [1006] = {.lex_state = 15, .external_lex_state = 2},
  [1007] = {.lex_state = 13, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 13, .external_lex_state = 2},
  [1011] = {.lex_state = 13, .external_lex_state = 2},
  [1012] = {.lex_state = 12, .external_lex_state = 2},
  [1013] = {.lex_state = 13, .external_lex_state = 2},
  [1014] = {.lex_state = 15, .external_lex_state = 2},
  [1015] = {.lex_state = 12, .external_lex_state = 2},
  [1016] = {.lex_state = 15, .external_lex_state = 2},
  [1017] = {.lex_state = 12, .external_lex_state = 2},
  [1018] = {.lex_state = 15, .external_lex_state = 2},
  [1019] = {.lex_state = 12, .external_lex_state = 2},
  [1020] = {.lex_state = 14, .external_lex_state = 2},
  [1021] = {.lex_state = 12, .external_lex_state = 2},
  [1022] = {.lex_state = 13, .external_lex_state = 2},
  [1023] = {.lex_state = 15, .external_lex_state = 2},
  [1024] = {.lex_state = 15, .external_lex_state = 2},
  [1025] = {.lex_state = 12, .external_lex_state = 2},
  [1026] = {.lex_state = 13, .external_lex_state = 2},
  [1027] = {.lex_state = 13, .external_lex_state = 2},
  [1028] = {.lex_state = 14, .external_lex_state = 2},
  [1029] = {.lex_state = 13, .external_lex_state = 2},
  [1030] = {.lex_state = 12, .external_lex_state = 2},
  [1031] = {.lex_state = 12, .external_lex_state = 2},
  [1032] = {.lex_state = 13, .external_lex_state = 2},
  [1033] = {.lex_state = 15, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 15, .external_lex_state = 2},
  [1036] = {.lex_state = 12, .external_lex_state = 2},
  [1037] = {.lex_state = 15, .external_lex_state = 2},
  [1038] = {.lex_state = 15, .external_lex_state = 2},
  [1039] = {.lex_state = 12, .external_lex_state = 2},
  [1040] = {.lex_state = 14, .external_lex_state = 2},
  [1041] = {.lex_state = 15, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 14, .external_lex_state = 2},
  [1044] = {.lex_state = 14, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 14, .external_lex_state = 2},
  [1048] = {.lex_state = 14, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 15, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 14, .external_lex_state = 2},
  [1055] = {.lex_state = 14, .external_lex_state = 2},
  [1056] = {.lex_state = 13, .external_lex_state = 2},
  [1057] = {.lex_state = 15, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 14, .external_lex_state = 2},
  [1060] = {.lex_state = 15, .external_lex_state = 2},
  [1061] = {.lex_state = 15, .external_lex_state = 2},
  [1062] = {.lex_state = 14, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 15, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 15, .external_lex_state = 2},
  [1068] = {.lex_state = 15, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 15, .external_lex_state = 2},
  [1072] = {.lex_state = 15, .external_lex_state = 2},
  [1073] = {.lex_state = 15, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 15, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 15, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 14, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 14, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 14, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 14, .external_lex_state = 2},
  [1090] = {.lex_state = 14, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 14, .external_lex_state = 2},
  [1093] = {.lex_state = 15, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 15, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 14, .external_lex_state = 2},
  [1100] = {.lex_state = 14, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 13, .external_lex_state = 2},
  [1103] = {.lex_state = 13, .external_lex_state = 2},
  [1104] = {.lex_state = 14, .external_lex_state = 2},
  [1105] = {.lex_state = 14, .external_lex_state = 2},
  [1106] = {.lex_state = 15, .external_lex_state = 2},
  [1107] = {.lex_state = 15, .external_lex_state = 2},
  [1108] = {.lex_state = 15, .external_lex_state = 2},
  [1109] = {.lex_state = 13, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 13, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 15, .external_lex_state = 2},
  [1114] = {.lex_state = 15, .external_lex_state = 2},
  [1115] = {.lex_state = 15, .external_lex_state = 2},
  [1116] = {.lex_state = 15, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 15, .external_lex_state = 2},
  [1119] = {.lex_state = 14, .external_lex_state = 2},
  [1120] = {.lex_state = 14, .external_lex_state = 2},
  [1121] = {.lex_state = 14, .external_lex_state = 2},
  [1122] = {.lex_state = 14, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 15, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 14, .external_lex_state = 2},
  [1127] = {.lex_state = 15, .external_lex_state = 2},
  [1128] = {.lex_state = 14, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 14, .external_lex_state = 2},
  [1132] = {.lex_state = 15, .external_lex_state = 2},
  [1133] = {.lex_state = 15, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 14, .external_lex_state = 2},
  [1137] = {.lex_state = 13, .external_lex_state = 2},
  [1138] = {.lex_state = 15, .external_lex_state = 2},
  [1139] = {.lex_state = 14, .external_lex_state = 2},
  [1140] = {.lex_state = 14, .external_lex_state = 2},
  [1141] = {.lex_state = 14, .external_lex_state = 2},
  [1142] = {.lex_state = 13, .external_lex_state = 2},
  [1143] = {.lex_state = 13, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 15, .external_lex_state = 2},
  [1146] = {.lex_state = 13, .external_lex_state = 2},
  [1147] = {.lex_state = 15, .external_lex_state = 2},
  [1148] = {.lex_state = 15, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 14, .external_lex_state = 2},
  [1151] = {.lex_state = 13, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 13, .external_lex_state = 2},
  [1154] = {.lex_state = 13, .external_lex_state = 2},
  [1155] = {.lex_state = 13, .external_lex_state = 2},
  [1156] = {.lex_state = 15, .external_lex_state = 2},
  [1157] = {.lex_state = 13, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 13, .external_lex_state = 2},
  [1160] = {.lex_state = 14, .external_lex_state = 2},
  [1161] = {.lex_state = 14, .external_lex_state = 2},
  [1162] = {.lex_state = 13, .external_lex_state = 2},
  [1163] = {.lex_state = 15, .external_lex_state = 2},
  [1164] = {.lex_state = 13, .external_lex_state = 2},
  [1165] = {.lex_state = 14, .external_lex_state = 2},
  [1166] = {.lex_state = 14, .external_lex_state = 2},
  [1167] = {.lex_state = 14, .external_lex_state = 2},
  [1168] = {.lex_state = 14, .external_lex_state = 2},
  [1169] = {.lex_state = 15, .external_lex_state = 2},
  [1170] = {.lex_state = 14, .external_lex_state = 2},
  [1171] = {.lex_state = 14, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 14, .external_lex_state = 2},
  [1174] = {.lex_state = 13, .external_lex_state = 2},
  [1175] = {.lex_state = 13, .external_lex_state = 2},
  [1176] = {.lex_state = 13, .external_lex_state = 2},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 14, .external_lex_state = 2},
  [1179] = {.lex_state = 13, .external_lex_state = 2},
  [1180] = {.lex_state = 13, .external_lex_state = 2},
  [1181] = {.lex_state = 13, .external_lex_state = 2},
  [1182] = {.lex_state = 13, .external_lex_state = 2},
  [1183] = {.lex_state = 14, .external_lex_state = 2},
  [1184] = {.lex_state = 14, .external_lex_state = 2},
  [1185] = {.lex_state = 14, .external_lex_state = 2},
  [1186] = {.lex_state = 15, .external_lex_state = 2},
  [1187] = {.lex_state = 15, .external_lex_state = 2},
  [1188] = {.lex_state = 13, .external_lex_state = 2},
  [1189] = {.lex_state = 13, .external_lex_state = 2},
  [1190] = {.lex_state = 15, .external_lex_state = 2},
  [1191] = {.lex_state = 14, .external_lex_state = 2},
  [1192] = {.lex_state = 13, .external_lex_state = 2},
  [1193] = {.lex_state = 15, .external_lex_state = 2},
  [1194] = {.lex_state = 14, .external_lex_state = 2},
  [1195] = {.lex_state = 14, .external_lex_state = 2},
  [1196] = {.lex_state = 14, .external_lex_state = 2},
  [1197] = {.lex_state = 15, .external_lex_state = 2},
  [1198] = {.lex_state = 15, .external_lex_state = 2},
  [1199] = {.lex_state = 15, .external_lex_state = 2},
  [1200] = {.lex_state = 15, .external_lex_state = 2},
  [1201] = {.lex_state = 14, .external_lex_state = 2},
  [1202] = {.lex_state = 14, .external_lex_state = 2},
  [1203] = {.lex_state = 15, .external_lex_state = 2},
  [1204] = {.lex_state = 14, .external_lex_state = 2},
  [1205] = {.lex_state = 14, .external_lex_state = 2},
  [1206] = {.lex_state = 13, .external_lex_state = 2},
  [1207] = {.lex_state = 15, .external_lex_state = 2},
  [1208] = {.lex_state = 14, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 13, .external_lex_state = 2},
  [1211] = {.lex_state = 13, .external_lex_state = 2},
  [1212] = {.lex_state = 15, .external_lex_state = 2},
  [1213] = {.lex_state = 14, .external_lex_state = 2},
  [1214] = {.lex_state = 13, .external_lex_state = 2},
  [1215] = {.lex_state = 13, .external_lex_state = 2},
  [1216] = {.lex_state = 13, .external_lex_state = 2},
  [1217] = {.lex_state = 15, .external_lex_state = 2},
  [1218] = {.lex_state = 14, .external_lex_state = 2},
  [1219] = {.lex_state = 14, .external_lex_state = 2},
  [1220] = {.lex_state = 13, .external_lex_state = 2},
  [1221] = {.lex_state = 14, .external_lex_state = 2},
  [1222] = {.lex_state = 57, .external_lex_state = 2},
  [1223] = {.lex_state = 57, .external_lex_state = 2},
  [1224] = {.lex_state = 57, .external_lex_state = 2},
  [1225] = {.lex_state = 57, .external_lex_state = 2},
  [1226] = {.lex_state = 57, .external_lex_state = 2},
  [1227] = {.lex_state = 57, .external_lex_state = 2},
  [1228] = {.lex_state = 57, .external_lex_state = 2},
  [1229] = {.lex_state = 57, .external_lex_state = 2},
  [1230] = {.lex_state = 57, .external_lex_state = 2},
  [1231] = {.lex_state = 57, .external_lex_state = 2},
  [1232] = {.lex_state = 57, .external_lex_state = 2},
  [1233] = {.lex_state = 57, .external_lex_state = 2},
  [1234] = {.lex_state = 57, .external_lex_state = 2},
  [1235] = {.lex_state = 57, .external_lex_state = 2},
  [1236] = {.lex_state = 57, .external_lex_state = 2},
  [1237] = {.lex_state = 57, .external_lex_state = 2},
  [1238] = {.lex_state = 57, .external_lex_state = 2},
  [1239] = {.lex_state = 57, .external_lex_state = 2},
  [1240] = {.lex_state = 57, .external_lex_state = 2},
  [1241] = {.lex_state = 57, .external_lex_state = 2},
  [1242] = {.lex_state = 57, .external_lex_state = 2},
  [1243] = {.lex_state = 57, .external_lex_state = 2},
  [1244] = {.lex_state = 57, .external_lex_state = 2},
  [1245] = {.lex_state = 57, .external_lex_state = 2},
  [1246] = {.lex_state = 57, .external_lex_state = 2},
  [1247] = {.lex_state = 57, .external_lex_state = 2},
  [1248] = {.lex_state = 57, .external_lex_state = 2},
  [1249] = {.lex_state = 57, .external_lex_state = 2},
  [1250] = {.lex_state = 57, .external_lex_state = 2},
  [1251] = {.lex_state = 57, .external_lex_state = 2},
  [1252] = {.lex_state = 57, .external_lex_state = 2},
  [1253] = {.lex_state = 57, .external_lex_state = 2},
  [1254] = {.lex_state = 37, .external_lex_state = 2},
  [1255] = {.lex_state = 37, .external_lex_state = 2},
  [1256] = {.lex_state = 37, .external_lex_state = 2},
  [1257] = {.lex_state = 37, .external_lex_state = 2},
  [1258] = {.lex_state = 37, .external_lex_state = 2},
  [1259] = {.lex_state = 37, .external_lex_state = 2},
  [1260] = {.lex_state = 37, .external_lex_state = 2},
  [1261] = {.lex_state = 37, .external_lex_state = 2},
  [1262] = {.lex_state = 37, .external_lex_state = 2},
  [1263] = {.lex_state = 37, .external_lex_state = 2},
  [1264] = {.lex_state = 37, .external_lex_state = 2},
  [1265] = {.lex_state = 37, .external_lex_state = 2},
  [1266] = {.lex_state = 37, .external_lex_state = 2},
  [1267] = {.lex_state = 37, .external_lex_state = 2},
  [1268] = {.lex_state = 37, .external_lex_state = 2},
  [1269] = {.lex_state = 37, .external_lex_state = 2},
  [1270] = {.lex_state = 37, .external_lex_state = 2},
  [1271] = {.lex_state = 37, .external_lex_state = 2},
  [1272] = {.lex_state = 37, .external_lex_state = 2},
  [1273] = {.lex_state = 37, .external_lex_state = 2},
  [1274] = {.lex_state = 37, .external_lex_state = 2},
  [1275] = {.lex_state = 37, .external_lex_state = 2},
  [1276] = {.lex_state = 37, .external_lex_state = 2},
  [1277] = {.lex_state = 37, .external_lex_state = 2},
  [1278] = {.lex_state = 37, .external_lex_state = 2},
  [1279] = {.lex_state = 37, .external_lex_state = 2},
  [1280] = {.lex_state = 37, .external_lex_state = 2},
  [1281] = {.lex_state = 37, .external_lex_state = 2},
  [1282] = {.lex_state = 37, .external_lex_state = 2},
  [1283] = {.lex_state = 37, .external_lex_state = 2},
  [1284] = {.lex_state = 37, .external_lex_state = 2},
  [1285] = {.lex_state = 37, .external_lex_state = 2},
  [1286] = {.lex_state = 61, .external_lex_state = 2},
  [1287] = {.lex_state = 64, .external_lex_state = 2},
  [1288] = {.lex_state = 63, .external_lex_state = 2},
  [1289] = {.lex_state = 62, .external_lex_state = 2},
  [1290] = {.lex_state = 61, .external_lex_state = 4},
  [1291] = {.lex_state = 61, .external_lex_state = 2},
  [1292] = {.lex_state = 71, .external_lex_state = 5},
  [1293] = {.lex_state = 71, .external_lex_state = 5},
  [1294] = {.lex_state = 71, .external_lex_state = 5},
  [1295] = {.lex_state = 71, .external_lex_state = 5},
  [1296] = {.lex_state = 53, .external_lex_state = 3},
  [1297] = {.lex_state = 53, .external_lex_state = 3},
  [1298] = {.lex_state = 71, .external_lex_state = 5},
  [1299] = {.lex_state = 53, .external_lex_state = 3},
  [1300] = {.lex_state = 53, .external_lex_state = 3},
  [1301] = {.lex_state = 11, .external_lex_state = 3},
  [1302] = {.lex_state = 19, .external_lex_state = 3},
  [1303] = {.lex_state = 19, .external_lex_state = 3},
  [1304] = {.lex_state = 53, .external_lex_state = 3},
  [1305] = {.lex_state = 53, .external_lex_state = 3},
  [1306] = {.lex_state = 11, .external_lex_state = 3},
  [1307] = {.lex_state = 11, .external_lex_state = 3},
  [1308] = {.lex_state = 19, .external_lex_state = 3},
  [1309] = {.lex_state = 19, .external_lex_state = 3},
  [1310] = {.lex_state = 11, .external_lex_state = 3},
  [1311] = {.lex_state = 19, .external_lex_state = 3},
  [1312] = {.lex_state = 53, .external_lex_state = 3},
  [1313] = {.lex_state = 11, .external_lex_state = 3},
  [1314] = {.lex_state = 53, .external_lex_state = 3},
  [1315] = {.lex_state = 11, .external_lex_state = 3},
  [1316] = {.lex_state = 11, .external_lex_state = 3},
  [1317] = {.lex_state = 53, .external_lex_state = 3},
  [1318] = {.lex_state = 53, .external_lex_state = 3},
  [1319] = {.lex_state = 53, .external_lex_state = 3},
  [1320] = {.lex_state = 53, .external_lex_state = 3},
  [1321] = {.lex_state = 53, .external_lex_state = 3},
  [1322] = {.lex_state = 19, .external_lex_state = 3},
  [1323] = {.lex_state = 53, .external_lex_state = 3},
  [1324] = {.lex_state = 53, .external_lex_state = 3},
  [1325] = {.lex_state = 11, .external_lex_state = 3},
  [1326] = {.lex_state = 53, .external_lex_state = 3},
  [1327] = {.lex_state = 19, .external_lex_state = 3},
  [1328] = {.lex_state = 19, .external_lex_state = 3},
  [1329] = {.lex_state = 19, .external_lex_state = 3},
  [1330] = {.lex_state = 11, .external_lex_state = 3},
  [1331] = {.lex_state = 53, .external_lex_state = 3},
  [1332] = {.lex_state = 11, .external_lex_state = 3},
  [1333] = {.lex_state = 53, .external_lex_state = 3},
  [1334] = {.lex_state = 11, .external_lex_state = 3},
  [1335] = {.lex_state = 53, .external_lex_state = 3},
  [1336] = {.lex_state = 53, .external_lex_state = 3},
  [1337] = {.lex_state = 53, .external_lex_state = 3},
  [1338] = {.lex_state = 11, .external_lex_state = 3},
  [1339] = {.lex_state = 53, .external_lex_state = 3},
  [1340] = {.lex_state = 11, .external_lex_state = 3},
  [1341] = {.lex_state = 11, .external_lex_state = 3},
  [1342] = {.lex_state = 53, .external_lex_state = 3},
  [1343] = {.lex_state = 53, .external_lex_state = 3},
  [1344] = {.lex_state = 53, .external_lex_state = 3},
  [1345] = {.lex_state = 53, .external_lex_state = 3},
  [1346] = {.lex_state = 53, .external_lex_state = 3},
  [1347] = {.lex_state = 19, .external_lex_state = 3},
  [1348] = {.lex_state = 53, .external_lex_state = 3},
  [1349] = {.lex_state = 53, .external_lex_state = 3},
  [1350] = {.lex_state = 53, .external_lex_state = 3},
  [1351] = {.lex_state = 53, .external_lex_state = 3},
  [1352] = {.lex_state = 19, .external_lex_state = 3},
  [1353] = {.lex_state = 53, .external_lex_state = 3},
  [1354] = {.lex_state = 19, .external_lex_state = 3},
  [1355] = {.lex_state = 53, .external_lex_state = 3},
  [1356] = {.lex_state = 53, .external_lex_state = 3},
  [1357] = {.lex_state = 53, .external_lex_state = 3},
  [1358] = {.lex_state = 11, .external_lex_state = 3},
  [1359] = {.lex_state = 19, .external_lex_state = 3},
  [1360] = {.lex_state = 19, .external_lex_state = 3},
  [1361] = {.lex_state = 11, .external_lex_state = 3},
  [1362] = {.lex_state = 19, .external_lex_state = 3},
  [1363] = {.lex_state = 19, .external_lex_state = 3},
  [1364] = {.lex_state = 53, .external_lex_state = 3},
  [1365] = {.lex_state = 19, .external_lex_state = 3},
  [1366] = {.lex_state = 11, .external_lex_state = 3},
  [1367] = {.lex_state = 19, .external_lex_state = 3},
  [1368] = {.lex_state = 11, .external_lex_state = 3},
  [1369] = {.lex_state = 11, .external_lex_state = 3},
  [1370] = {.lex_state = 11, .external_lex_state = 3},
  [1371] = {.lex_state = 11, .external_lex_state = 3},
  [1372] = {.lex_state = 11, .external_lex_state = 3},
  [1373] = {.lex_state = 11, .external_lex_state = 3},
  [1374] = {.lex_state = 11, .external_lex_state = 3},
  [1375] = {.lex_state = 11, .external_lex_state = 3},
  [1376] = {.lex_state = 11, .external_lex_state = 3},
  [1377] = {.lex_state = 11, .external_lex_state = 3},
  [1378] = {.lex_state = 11, .external_lex_state = 3},
  [1379] = {.lex_state = 11, .external_lex_state = 3},
  [1380] = {.lex_state = 19, .external_lex_state = 3},
  [1381] = {.lex_state = 11, .external_lex_state = 3},
  [1382] = {.lex_state = 19, .external_lex_state = 3},
  [1383] = {.lex_state = 19, .external_lex_state = 3},
  [1384] = {.lex_state = 11, .external_lex_state = 3},
  [1385] = {.lex_state = 19, .external_lex_state = 3},
  [1386] = {.lex_state = 19, .external_lex_state = 3},
  [1387] = {.lex_state = 19, .external_lex_state = 3},
  [1388] = {.lex_state = 11, .external_lex_state = 3},
  [1389] = {.lex_state = 19, .external_lex_state = 3},
  [1390] = {.lex_state = 11, .external_lex_state = 3},
  [1391] = {.lex_state = 11, .external_lex_state = 3},
  [1392] = {.lex_state = 11, .external_lex_state = 3},
  [1393] = {.lex_state = 19, .external_lex_state = 3},
  [1394] = {.lex_state = 19, .external_lex_state = 3},
  [1395] = {.lex_state = 11, .external_lex_state = 3},
  [1396] = {.lex_state = 11, .external_lex_state = 3},
  [1397] = {.lex_state = 19, .external_lex_state = 3},
  [1398] = {.lex_state = 11, .external_lex_state = 3},
  [1399] = {.lex_state = 11, .external_lex_state = 3},
  [1400] = {.lex_state = 11, .external_lex_state = 3},
  [1401] = {.lex_state = 19, .external_lex_state = 3},
  [1402] = {.lex_state = 19, .external_lex_state = 3},
  [1403] = {.lex_state = 19, .external_lex_state = 3},
  [1404] = {.lex_state = 11, .external_lex_state = 3},
  [1405] = {.lex_state = 19, .external_lex_state = 3},
  [1406] = {.lex_state = 19, .external_lex_state = 3},
  [1407] = {.lex_state = 11, .external_lex_state = 3},
  [1408] = {.lex_state = 11, .external_lex_state = 3},
  [1409] = {.lex_state = 19, .external_lex_state = 3},
  [1410] = {.lex_state = 11, .external_lex_state = 3},
  [1411] = {.lex_state = 11, .external_lex_state = 3},
  [1412] = {.lex_state = 19, .external_lex_state = 3},
  [1413] = {.lex_state = 19, .external_lex_state = 3},
  [1414] = {.lex_state = 11, .external_lex_state = 3},
  [1415] = {.lex_state = 19, .external_lex_state = 3},
  [1416] = {.lex_state = 19, .external_lex_state = 3},
  [1417] = {.lex_state = 11, .external_lex_state = 3},
  [1418] = {.lex_state = 19, .external_lex_state = 3},
  [1419] = {.lex_state = 19, .external_lex_state = 3},
  [1420] = {.lex_state = 11, .external_lex_state = 3},
  [1421] = {.lex_state = 11, .external_lex_state = 3},
  [1422] = {.lex_state = 19, .external_lex_state = 3},
  [1423] = {.lex_state = 19, .external_lex_state = 3},
  [1424] = {.lex_state = 19, .external_lex_state = 3},
  [1425] = {.lex_state = 19, .external_lex_state = 3},
  [1426] = {.lex_state = 11, .external_lex_state = 3},
  [1427] = {.lex_state = 19, .external_lex_state = 3},
  [1428] = {.lex_state = 19, .external_lex_state = 3},
  [1429] = {.lex_state = 19, .external_lex_state = 3},
  [1430] = {.lex_state = 11, .external_lex_state = 3},
  [1431] = {.lex_state = 19, .external_lex_state = 3},
  [1432] = {.lex_state = 19, .external_lex_state = 3},
  [1433] = {.lex_state = 11, .external_lex_state = 3},
  [1434] = {.lex_state = 19, .external_lex_state = 3},
  [1435] = {.lex_state = 19, .external_lex_state = 3},
  [1436] = {.lex_state = 11, .external_lex_state = 3},
  [1437] = {.lex_state = 11, .external_lex_state = 3},
  [1438] = {.lex_state = 19, .external_lex_state = 3},
  [1439] = {.lex_state = 11, .external_lex_state = 3},
  [1440] = {.lex_state = 19, .external_lex_state = 3},
  [1441] = {.lex_state = 19, .external_lex_state = 3},
  [1442] = {.lex_state = 19, .external_lex_state = 3},
  [1443] = {.lex_state = 11, .external_lex_state = 3},
  [1444] = {.lex_state = 11, .external_lex_state = 3},
  [1445] = {.lex_state = 11, .external_lex_state = 3},
  [1446] = {.lex_state = 11, .external_lex_state = 3},
  [1447] = {.lex_state = 19, .external_lex_state = 3},
  [1448] = {.lex_state = 19, .external_lex_state = 3},
  [1449] = {.lex_state = 11, .external_lex_state = 3},
  [1450] = {.lex_state = 11, .external_lex_state = 3},
  [1451] = {.lex_state = 11, .external_lex_state = 3},
  [1452] = {.lex_state = 19, .external_lex_state = 3},
  [1453] = {.lex_state = 19, .external_lex_state = 3},
  [1454] = {.lex_state = 19, .external_lex_state = 3},
  [1455] = {.lex_state = 19, .external_lex_state = 3},
  [1456] = {.lex_state = 11, .external_lex_state = 3},
  [1457] = {.lex_state = 19, .external_lex_state = 3},
  [1458] = {.lex_state = 19, .external_lex_state = 3},
  [1459] = {.lex_state = 19, .external_lex_state = 3},
  [1460] = {.lex_state = 11, .external_lex_state = 3},
  [1461] = {.lex_state = 19, .external_lex_state = 3},
  [1462] = {.lex_state = 19, .external_lex_state = 3},
  [1463] = {.lex_state = 11, .external_lex_state = 3},
  [1464] = {.lex_state = 19, .external_lex_state = 3},
  [1465] = {.lex_state = 19, .external_lex_state = 3},
  [1466] = {.lex_state = 11, .external_lex_state = 3},
  [1467] = {.lex_state = 11, .external_lex_state = 3},
  [1468] = {.lex_state = 11, .external_lex_state = 3},
  [1469] = {.lex_state = 11, .external_lex_state = 3},
  [1470] = {.lex_state = 19, .external_lex_state = 3},
  [1471] = {.lex_state = 19, .external_lex_state = 3},
  [1472] = {.lex_state = 19, .external_lex_state = 3},
  [1473] = {.lex_state = 11, .external_lex_state = 3},
  [1474] = {.lex_state = 60, .external_lex_state = 3},
  [1475] = {.lex_state = 60, .external_lex_state = 3},
  [1476] = {.lex_state = 60, .external_lex_state = 3},
  [1477] = {.lex_state = 60, .external_lex_state = 3},
  [1478] = {.lex_state = 60, .external_lex_state = 3},
  [1479] = {.lex_state = 60, .external_lex_state = 3},
  [1480] = {.lex_state = 60, .external_lex_state = 3},
  [1481] = {.lex_state = 60, .external_lex_state = 3},
  [1482] = {.lex_state = 60, .external_lex_state = 3},
  [1483] = {.lex_state = 60, .external_lex_state = 3},
  [1484] = {.lex_state = 60, .external_lex_state = 3},
  [1485] = {.lex_state = 60, .external_lex_state = 3},
  [1486] = {.lex_state = 60, .external_lex_state = 3},
  [1487] = {.lex_state = 60, .external_lex_state = 3},
  [1488] = {.lex_state = 60, .external_lex_state = 3},
  [1489] = {.lex_state = 60, .external_lex_state = 3},
  [1490] = {.lex_state = 60, .external_lex_state = 3},
  [1491] = {.lex_state = 60, .external_lex_state = 3},
  [1492] = {.lex_state = 60, .external_lex_state = 3},
  [1493] = {.lex_state = 60, .external_lex_state = 3},
  [1494] = {.lex_state = 60, .external_lex_state = 3},
  [1495] = {.lex_state = 60, .external_lex_state = 3},
  [1496] = {.lex_state = 60, .external_lex_state = 3},
  [1497] = {.lex_state = 60, .external_lex_state = 3},
  [1498] = {.lex_state = 60, .external_lex_state = 3},
  [1499] = {.lex_state = 60, .external_lex_state = 3},
  [1500] = {.lex_state = 60, .external_lex_state = 3},
  [1501] = {.lex_state = 60, .external_lex_state = 3},
  [1502] = {.lex_state = 60, .external_lex_state = 3},
  [1503] = {.lex_state = 60, .external_lex_state = 3},
  [1504] = {.lex_state = 60, .external_lex_state = 3},
  [1505] = {.lex_state = 60, .external_lex_state = 3},
  [1506] = {.lex_state = 82, .external_lex_state = 2},
  [1507] = {.lex_state = 82, .external_lex_state = 2},
  [1508] = {.lex_state = 82, .external_lex_state = 2},
  [1509] = {.lex_state = 68, .external_lex_state = 5},
  [1510] = {.lex_state = 82, .external_lex_state = 2},
  [1511] = {.lex_state = 30, .external_lex_state = 5},
  [1512] = {.lex_state = 55, .external_lex_state = 2},
  [1513] = {.lex_state = 56, .external_lex_state = 2},
  [1514] = {.lex_state = 56, .external_lex_state = 2},
  [1515] = {.lex_state = 30, .external_lex_state = 5},
  [1516] = {.lex_state = 30, .external_lex_state = 5},
  [1517] = {.lex_state = 30, .external_lex_state = 5},
  [1518] = {.lex_state = 56, .external_lex_state = 2},
  [1519] = {.lex_state = 55, .external_lex_state = 2},
  [1520] = {.lex_state = 56, .external_lex_state = 2},
  [1521] = {.lex_state = 55, .external_lex_state = 2},
  [1522] = {.lex_state = 56, .external_lex_state = 2},
  [1523] = {.lex_state = 55, .external_lex_state = 2},
  [1524] = {.lex_state = 56, .external_lex_state = 2},
  [1525] = {.lex_state = 56, .external_lex_state = 2},
  [1526] = {.lex_state = 56, .external_lex_state = 2},
  [1527] = {.lex_state = 56, .external_lex_state = 2},
  [1528] = {.lex_state = 39, .external_lex_state = 2},
  [1529] = {.lex_state = 16, .external_lex_state = 2},
  [1530] = {.lex_state = 18, .external_lex_state = 2},
  [1531] = {.lex_state = 17, .external_lex_state = 2},
  [1532] = {.lex_state = 39, .external_lex_state = 2},
  [1533] = {.lex_state = 16, .external_lex_state = 2},
  [1534] = {.lex_state = 39, .external_lex_state = 2},
  [1535] = {.lex_state = 18, .external_lex_state = 2},
  [1536] = {.lex_state = 17, .external_lex_state = 2},
  [1537] = {.lex_state = 17, .external_lex_state = 2},
  [1538] = {.lex_state = 17, .external_lex_state = 2},
  [1539] = {.lex_state = 18, .external_lex_state = 2},
  [1540] = {.lex_state = 17, .external_lex_state = 2},
  [1541] = {.lex_state = 16, .external_lex_state = 2},
  [1542] = {.lex_state = 16, .external_lex_state = 2},
  [1543] = {.lex_state = 39, .external_lex_state = 2},
  [1544] = {.lex_state = 17, .external_lex_state = 2},
  [1545] = {.lex_state = 18, .external_lex_state = 2},
  [1546] = {.lex_state = 18, .external_lex_state = 2},
  [1547] = {.lex_state = 16, .external_lex_state = 2},
  [1548] = {.lex_state = 39, .external_lex_state = 2},
  [1549] = {.lex_state = 18, .external_lex_state = 2},
  [1550] = {.lex_state = 17, .external_lex_state = 2},
  [1551] = {.lex_state = 17, .external_lex_state = 2},
  [1552] = {.lex_state = 16, .external_lex_state = 2},
  [1553] = {.lex_state = 18, .external_lex_state = 2},
  [1554] = {.lex_state = 39, .external_lex_state = 2},
  [1555] = {.lex_state = 39, .external_lex_state = 2},
  [1556] = {.lex_state = 17, .external_lex_state = 2},
  [1557] = {.lex_state = 17, .external_lex_state = 2},
  [1558] = {.lex_state = 16, .external_lex_state = 2},
  [1559] = {.lex_state = 39, .external_lex_state = 2},
  [1560] = {.lex_state = 17, .external_lex_state = 2},
  [1561] = {.lex_state = 17, .external_lex_state = 2},
  [1562] = {.lex_state = 18, .external_lex_state = 2},
  [1563] = {.lex_state = 18, .external_lex_state = 2},
  [1564] = {.lex_state = 16, .external_lex_state = 2},
  [1565] = {.lex_state = 18, .external_lex_state = 2},
  [1566] = {.lex_state = 18, .external_lex_state = 2},
  [1567] = {.lex_state = 18, .external_lex_state = 2},
  [1568] = {.lex_state = 16, .external_lex_state = 2},
  [1569] = {.lex_state = 16, .external_lex_state = 2},
  [1570] = {.lex_state = 18, .external_lex_state = 2},
  [1571] = {.lex_state = 18, .external_lex_state = 2},
  [1572] = {.lex_state = 39, .external_lex_state = 2},
  [1573] = {.lex_state = 16, .external_lex_state = 2},
  [1574] = {.lex_state = 55, .external_lex_state = 2},
  [1575] = {.lex_state = 18, .external_lex_state = 2},
  [1576] = {.lex_state = 17, .external_lex_state = 2},
  [1577] = {.lex_state = 16, .external_lex_state = 2},
  [1578] = {.lex_state = 55, .external_lex_state = 2},
  [1579] = {.lex_state = 16, .external_lex_state = 2},
  [1580] = {.lex_state = 17, .external_lex_state = 2},
  [1581] = {.lex_state = 55, .external_lex_state = 2},
  [1582] = {.lex_state = 55, .external_lex_state = 2},
  [1583] = {.lex_state = 55, .external_lex_state = 2},
  [1584] = {.lex_state = 55, .external_lex_state = 2},
  [1585] = {.lex_state = 55, .external_lex_state = 2},
  [1586] = {.lex_state = 55, .external_lex_state = 2},
  [1587] = {.lex_state = 16, .external_lex_state = 2},
  [1588] = {.lex_state = 16, .external_lex_state = 2},
  [1589] = {.lex_state = 17, .external_lex_state = 2},
  [1590] = {.lex_state = 17, .external_lex_state = 2},
  [1591] = {.lex_state = 16, .external_lex_state = 2},
  [1592] = {.lex_state = 55, .external_lex_state = 2},
  [1593] = {.lex_state = 18, .external_lex_state = 2},
  [1594] = {.lex_state = 17, .external_lex_state = 2},
  [1595] = {.lex_state = 18, .external_lex_state = 2},
  [1596] = {.lex_state = 17, .external_lex_state = 2},
  [1597] = {.lex_state = 16, .external_lex_state = 2},
  [1598] = {.lex_state = 16, .external_lex_state = 2},
  [1599] = {.lex_state = 16, .external_lex_state = 2},
  [1600] = {.lex_state = 17, .external_lex_state = 2},
  [1601] = {.lex_state = 16, .external_lex_state = 2},
  [1602] = {.lex_state = 17, .external_lex_state = 2},
  [1603] = {.lex_state = 17, .external_lex_state = 2},
  [1604] = {.lex_state = 17, .external_lex_state = 2},
  [1605] = {.lex_state = 17, .external_lex_state = 2},
  [1606] = {.lex_state = 17, .external_lex_state = 2},
  [1607] = {.lex_state = 16, .external_lex_state = 2},
  [1608] = {.lex_state = 17, .external_lex_state = 2},
  [1609] = {.lex_state = 17, .external_lex_state = 2},
  [1610] = {.lex_state = 17, .external_lex_state = 2},
  [1611] = {.lex_state = 17, .external_lex_state = 2},
  [1612] = {.lex_state = 17, .external_lex_state = 2},
  [1613] = {.lex_state = 17, .external_lex_state = 2},
  [1614] = {.lex_state = 17, .external_lex_state = 2},
  [1615] = {.lex_state = 17, .external_lex_state = 2},
  [1616] = {.lex_state = 17, .external_lex_state = 2},
  [1617] = {.lex_state = 17, .external_lex_state = 2},
  [1618] = {.lex_state = 16, .external_lex_state = 2},
  [1619] = {.lex_state = 16, .external_lex_state = 2},
  [1620] = {.lex_state = 16, .external_lex_state = 2},
  [1621] = {.lex_state = 16, .external_lex_state = 2},
  [1622] = {.lex_state = 16, .external_lex_state = 2},
  [1623] = {.lex_state = 18, .external_lex_state = 2},
  [1624] = {.lex_state = 16, .external_lex_state = 2},
  [1625] = {.lex_state = 16, .external_lex_state = 2},
  [1626] = {.lex_state = 16, .external_lex_state = 2},
  [1627] = {.lex_state = 18, .external_lex_state = 2},
  [1628] = {.lex_state = 18, .external_lex_state = 2},
  [1629] = {.lex_state = 18, .external_lex_state = 2},
  [1630] = {.lex_state = 16, .external_lex_state = 2},
  [1631] = {.lex_state = 16, .external_lex_state = 2},
  [1632] = {.lex_state = 18, .external_lex_state = 2},
  [1633] = {.lex_state = 18, .external_lex_state = 2},
  [1634] = {.lex_state = 18, .external_lex_state = 2},
  [1635] = {.lex_state = 18, .external_lex_state = 2},
  [1636] = {.lex_state = 18, .external_lex_state = 2},
  [1637] = {.lex_state = 18, .external_lex_state = 2},
  [1638] = {.lex_state = 18, .external_lex_state = 2},
  [1639] = {.lex_state = 16, .external_lex_state = 2},
  [1640] = {.lex_state = 18, .external_lex_state = 2},
  [1641] = {.lex_state = 18, .external_lex_state = 2},
  [1642] = {.lex_state = 18, .external_lex_state = 2},
  [1643] = {.lex_state = 18, .external_lex_state = 2},
  [1644] = {.lex_state = 18, .external_lex_state = 2},
  [1645] = {.lex_state = 18, .external_lex_state = 2},
  [1646] = {.lex_state = 18, .external_lex_state = 2},
  [1647] = {.lex_state = 18, .external_lex_state = 2},
  [1648] = {.lex_state = 18, .external_lex_state = 2},
  [1649] = {.lex_state = 16, .external_lex_state = 2},
  [1650] = {.lex_state = 18, .external_lex_state = 2},
  [1651] = {.lex_state = 18, .external_lex_state = 2},
  [1652] = {.lex_state = 18, .external_lex_state = 2},
  [1653] = {.lex_state = 18, .external_lex_state = 2},
  [1654] = {.lex_state = 16, .external_lex_state = 2},
  [1655] = {.lex_state = 16, .external_lex_state = 2},
  [1656] = {.lex_state = 16, .external_lex_state = 2},
  [1657] = {.lex_state = 16, .external_lex_state = 2},
  [1658] = {.lex_state = 16, .external_lex_state = 2},
  [1659] = {.lex_state = 16, .external_lex_state = 2},
  [1660] = {.lex_state = 16, .external_lex_state = 2},
  [1661] = {.lex_state = 17, .external_lex_state = 2},
  [1662] = {.lex_state = 16, .external_lex_state = 2},
  [1663] = {.lex_state = 17, .external_lex_state = 2},
  [1664] = {.lex_state = 17, .external_lex_state = 2},
  [1665] = {.lex_state = 17, .external_lex_state = 2},
  [1666] = {.lex_state = 17, .external_lex_state = 2},
  [1667] = {.lex_state = 17, .external_lex_state = 2},
  [1668] = {.lex_state = 17, .external_lex_state = 2},
  [1669] = {.lex_state = 79, .external_lex_state = 2},
  [1670] = {.lex_state = 79, .external_lex_state = 2},
  [1671] = {.lex_state = 79, .external_lex_state = 2},
  [1672] = {.lex_state = 79, .external_lex_state = 2},
  [1673] = {.lex_state = 79, .external_lex_state = 2},
  [1674] = {.lex_state = 79, .external_lex_state = 2},
  [1675] = {.lex_state = 94, .external_lex_state = 5},
  [1676] = {.lex_state = 79, .external_lex_state = 2},
  [1677] = {.lex_state = 79, .external_lex_state = 2},
  [1678] = {.lex_state = 79, .external_lex_state = 2},
  [1679] = {.lex_state = 59, .external_lex_state = 2},
  [1680] = {.lex_state = 43, .external_lex_state = 2},
  [1681] = {.lex_state = 59, .external_lex_state = 2},
  [1682] = {.lex_state = 59, .external_lex_state = 2},
  [1683] = {.lex_state = 25, .external_lex_state = 5},
  [1684] = {.lex_state = 59, .external_lex_state = 2},
  [1685] = {.lex_state = 79, .external_lex_state = 2},
  [1686] = {.lex_state = 59, .external_lex_state = 2},
  [1687] = {.lex_state = 43, .external_lex_state = 2},
  [1688] = {.lex_state = 78, .external_lex_state = 2},
  [1689] = {.lex_state = 43, .external_lex_state = 2},
  [1690] = {.lex_state = 59, .external_lex_state = 2},
  [1691] = {.lex_state = 43, .external_lex_state = 2},
  [1692] = {.lex_state = 43, .external_lex_state = 2},
  [1693] = {.lex_state = 43, .external_lex_state = 2},
  [1694] = {.lex_state = 59, .external_lex_state = 2},
  [1695] = {.lex_state = 43, .external_lex_state = 2},
  [1696] = {.lex_state = 59, .external_lex_state = 2},
  [1697] = {.lex_state = 43, .external_lex_state = 2},
  [1698] = {.lex_state = 59, .external_lex_state = 2},
  [1699] = {.lex_state = 43, .external_lex_state = 2},
  [1700] = {.lex_state = 25, .external_lex_state = 5},
  [1701] = {.lex_state = 25, .external_lex_state = 5},
  [1702] = {.lex_state = 25, .external_lex_state = 5},
  [1703] = {.lex_state = 42, .external_lex_state = 2},
  [1704] = {.lex_state = 40, .external_lex_state = 2},
  [1705] = {.lex_state = 78, .external_lex_state = 2},
  [1706] = {.lex_state = 10, .external_lex_state = 5},
  [1707] = {.lex_state = 42, .external_lex_state = 2},
  [1708] = {.lex_state = 38, .external_lex_state = 2},
  [1709] = {.lex_state = 42, .external_lex_state = 2},
  [1710] = {.lex_state = 42, .external_lex_state = 2},
  [1711] = {.lex_state = 42, .external_lex_state = 2},
  [1712] = {.lex_state = 42, .external_lex_state = 2},
  [1713] = {.lex_state = 40, .external_lex_state = 2},
  [1714] = {.lex_state = 42, .external_lex_state = 2},
  [1715] = {.lex_state = 42, .external_lex_state = 2},
  [1716] = {.lex_state = 78, .external_lex_state = 2},
  [1717] = {.lex_state = 40, .external_lex_state = 2},
  [1718] = {.lex_state = 40, .external_lex_state = 2},
  [1719] = {.lex_state = 42, .external_lex_state = 2},
  [1720] = {.lex_state = 40, .external_lex_state = 2},
  [1721] = {.lex_state = 40, .external_lex_state = 2},
  [1722] = {.lex_state = 40, .external_lex_state = 2},
  [1723] = {.lex_state = 40, .external_lex_state = 2},
  [1724] = {.lex_state = 38, .external_lex_state = 2},
  [1725] = {.lex_state = 40, .external_lex_state = 2},
  [1726] = {.lex_state = 58, .external_lex_state = 2},
  [1727] = {.lex_state = 58, .external_lex_state = 2},
  [1728] = {.lex_state = 58, .external_lex_state = 2},
  [1729] = {.lex_state = 10, .external_lex_state = 5},
  [1730] = {.lex_state = 58, .external_lex_state = 2},
  [1731] = {.lex_state = 58, .external_lex_state = 2},
  [1732] = {.lex_state = 58, .external_lex_state = 2},
  [1733] = {.lex_state = 58, .external_lex_state = 2},
  [1734] = {.lex_state = 58, .external_lex_state = 2},
  [1735] = {.lex_state = 58, .external_lex_state = 2},
  [1736] = {.lex_state = 38, .external_lex_state = 2},
  [1737] = {.lex_state = 38, .external_lex_state = 2},
  [1738] = {.lex_state = 38, .external_lex_state = 2},
  [1739] = {.lex_state = 38, .external_lex_state = 2},
  [1740] = {.lex_state = 38, .external_lex_state = 2},
  [1741] = {.lex_state = 38, .external_lex_state = 2},
  [1742] = {.lex_state = 38, .external_lex_state = 2},
  [1743] = {.lex_state = 78, .external_lex_state = 2},
  [1744] = {.lex_state = 47, .external_lex_state = 2},
  [1745] = {.lex_state = 48, .external_lex_state = 2},
  [1746] = {.lex_state = 46, .external_lex_state = 2},
  [1747] = {.lex_state = 44, .external_lex_state = 2},
  [1748] = {.lex_state = 78, .external_lex_state = 2},
  [1749] = {.lex_state = 44, .external_lex_state = 2},
  [1750] = {.lex_state = 44, .external_lex_state = 2},
  [1751] = {.lex_state = 46, .external_lex_state = 2},
  [1752] = {.lex_state = 78, .external_lex_state = 2},
  [1753] = {.lex_state = 78, .external_lex_state = 2},
  [1754] = {.lex_state = 78, .external_lex_state = 2},
  [1755] = {.lex_state = 46, .external_lex_state = 2},
  [1756] = {.lex_state = 78, .external_lex_state = 2},
  [1757] = {.lex_state = 44, .external_lex_state = 2},
  [1758] = {.lex_state = 44, .external_lex_state = 2},
  [1759] = {.lex_state = 44, .external_lex_state = 2},
  [1760] = {.lex_state = 46, .external_lex_state = 2},
  [1761] = {.lex_state = 44, .external_lex_state = 2},
  [1762] = {.lex_state = 48, .external_lex_state = 2},
  [1763] = {.lex_state = 46, .external_lex_state = 2},
  [1764] = {.lex_state = 48, .external_lex_state = 2},
  [1765] = {.lex_state = 48, .external_lex_state = 2},
  [1766] = {.lex_state = 48, .external_lex_state = 2},
  [1767] = {.lex_state = 48, .external_lex_state = 2},
  [1768] = {.lex_state = 45, .external_lex_state = 2},
  [1769] = {.lex_state = 45, .external_lex_state = 2},
  [1770] = {.lex_state = 45, .external_lex_state = 2},
  [1771] = {.lex_state = 45, .external_lex_state = 2},
  [1772] = {.lex_state = 46, .external_lex_state = 2},
  [1773] = {.lex_state = 78, .external_lex_state = 2},
  [1774] = {.lex_state = 45, .external_lex_state = 2},
  [1775] = {.lex_state = 45, .external_lex_state = 2},
  [1776] = {.lex_state = 45, .external_lex_state = 2},
  [1777] = {.lex_state = 48, .external_lex_state = 2},
  [1778] = {.lex_state = 47, .external_lex_state = 2},
  [1779] = {.lex_state = 47, .external_lex_state = 2},
  [1780] = {.lex_state = 47, .external_lex_state = 2},
  [1781] = {.lex_state = 47, .external_lex_state = 2},
  [1782] = {.lex_state = 47, .external_lex_state = 2},
  [1783] = {.lex_state = 47, .external_lex_state = 2},
  [1784] = {.lex_state = 47, .external_lex_state = 2},
  [1785] = {.lex_state = 46, .external_lex_state = 2},
  [1786] = {.lex_state = 48, .external_lex_state = 2},
  [1787] = {.lex_state = 45, .external_lex_state = 2},
  [1788] = {.lex_state = 45, .external_lex_state = 2},
  [1789] = {.lex_state = 46, .external_lex_state = 2},
  [1790] = {.lex_state = 44, .external_lex_state = 2},
  [1791] = {.lex_state = 47, .external_lex_state = 2},
  [1792] = {.lex_state = 46, .external_lex_state = 2},
  [1793] = {.lex_state = 44, .external_lex_state = 2},
  [1794] = {.lex_state = 48, .external_lex_state = 2},
  [1795] = {.lex_state = 78, .external_lex_state = 4},
  [1796] = {.lex_state = 78, .external_lex_state = 2},
  [1797] = {.lex_state = 41, .external_lex_state = 2},
  [1798] = {.lex_state = 41, .external_lex_state = 2},
  [1799] = {.lex_state = 41, .external_lex_state = 2},
  [1800] = {.lex_state = 41, .external_lex_state = 2},
  [1801] = {.lex_state = 78, .external_lex_state = 2},
  [1802] = {.lex_state = 41, .external_lex_state = 2},
  [1803] = {.lex_state = 41, .external_lex_state = 2},
  [1804] = {.lex_state = 41, .external_lex_state = 2},
  [1805] = {.lex_state = 41, .external_lex_state = 2},
  [1806] = {.lex_state = 41, .external_lex_state = 2},
  [1807] = {.lex_state = 32, .external_lex_state = 5},
  [1808] = {.lex_state = 78, .external_lex_state = 4},
  [1809] = {.lex_state = 78, .external_lex_state = 4},
  [1810] = {.lex_state = 78, .external_lex_state = 2},
  [1811] = {.lex_state = 32, .external_lex_state = 5},
  [1812] = {.lex_state = 78, .external_lex_state = 4},
  [1813] = {.lex_state = 78, .external_lex_state = 2},
  [1814] = {.lex_state = 32, .external_lex_state = 5},
  [1815] = {.lex_state = 78, .external_lex_state = 4},
  [1816] = {.lex_state = 78, .external_lex_state = 4},
  [1817] = {.lex_state = 78, .external_lex_state = 2},
  [1818] = {.lex_state = 41, .external_lex_state = 4},
  [1819] = {.lex_state = 78, .external_lex_state = 2},
  [1820] = {.lex_state = 41, .external_lex_state = 4},
  [1821] = {.lex_state = 78, .external_lex_state = 2},
  [1822] = {.lex_state = 78, .external_lex_state = 2},
  [1823] = {.lex_state = 78, .external_lex_state = 2},
  [1824] = {.lex_state = 78, .external_lex_state = 2},
  [1825] = {.lex_state = 78, .external_lex_state = 2},
  [1826] = {.lex_state = 78, .external_lex_state = 2},
  [1827] = {.lex_state = 41, .external_lex_state = 4},
  [1828] = {.lex_state = 41, .external_lex_state = 4},
  [1829] = {.lex_state = 78, .external_lex_state = 2},
  [1830] = {.lex_state = 78, .external_lex_state = 2},
  [1831] = {.lex_state = 78, .external_lex_state = 2},
  [1832] = {.lex_state = 80, .external_lex_state = 2},
  [1833] = {.lex_state = 78, .external_lex_state = 2},
  [1834] = {.lex_state = 78, .external_lex_state = 2},
  [1835] = {.lex_state = 78, .external_lex_state = 2},
  [1836] = {.lex_state = 78, .external_lex_state = 2},
  [1837] = {.lex_state = 78, .external_lex_state = 2},
  [1838] = {.lex_state = 78, .external_lex_state = 2},
  [1839] = {.lex_state = 78, .external_lex_state = 2},
  [1840] = {.lex_state = 41, .external_lex_state = 4},
  [1841] = {.lex_state = 78, .external_lex_state = 2},
  [1842] = {.lex_state = 78, .external_lex_state = 2},
  [1843] = {.lex_state = 78, .external_lex_state = 2},
  [1844] = {.lex_state = 95, .external_lex_state = 6},
  [1845] = {.lex_state = 78, .external_lex_state = 2},
  [1846] = {.lex_state = 78, .external_lex_state = 2},
  [1847] = {.lex_state = 78, .external_lex_state = 2},
  [1848] = {.lex_state = 78, .external_lex_state = 2},
  [1849] = {.lex_state = 25, .external_lex_state = 5},
  [1850] = {.lex_state = 78, .external_lex_state = 2},
  [1851] = {.lex_state = 78, .external_lex_state = 2},
  [1852] = {.lex_state = 78, .external_lex_state = 2},
  [1853] = {.lex_state = 25, .external_lex_state = 5},
  [1854] = {.lex_state = 95, .external_lex_state = 6},
  [1855] = {.lex_state = 25, .external_lex_state = 5},
  [1856] = {.lex_state = 78, .external_lex_state = 2},
  [1857] = {.lex_state = 95, .external_lex_state = 6},
  [1858] = {.lex_state = 95, .external_lex_state = 6},
  [1859] = {.lex_state = 78, .external_lex_state = 2},
  [1860] = {.lex_state = 78, .external_lex_state = 2},
  [1861] = {.lex_state = 78, .external_lex_state = 2},
  [1862] = {.lex_state = 95, .external_lex_state = 6},
  [1863] = {.lex_state = 78, .external_lex_state = 2},
  [1864] = {.lex_state = 78, .external_lex_state = 2},
  [1865] = {.lex_state = 78, .external_lex_state = 2},
  [1866] = {.lex_state = 78, .external_lex_state = 2},
  [1867] = {.lex_state = 78, .external_lex_state = 2},
  [1868] = {.lex_state = 78, .external_lex_state = 2},
  [1869] = {.lex_state = 78, .external_lex_state = 2},
  [1870] = {.lex_state = 49, .external_lex_state = 5},
  [1871] = {.lex_state = 25, .external_lex_state = 5},
  [1872] = {.lex_state = 78, .external_lex_state = 2},
  [1873] = {.lex_state = 25, .external_lex_state = 5},
  [1874] = {.lex_state = 78, .external_lex_state = 2},
  [1875] = {.lex_state = 78, .external_lex_state = 2},
  [1876] = {.lex_state = 78, .external_lex_state = 2},
  [1877] = {.lex_state = 78, .external_lex_state = 2},
  [1878] = {.lex_state = 78, .external_lex_state = 2},
  [1879] = {.lex_state = 78, .external_lex_state = 2},
  [1880] = {.lex_state = 78, .external_lex_state = 2},
  [1881] = {.lex_state = 78, .external_lex_state = 2},
  [1882] = {.lex_state = 78, .external_lex_state = 2},
  [1883] = {.lex_state = 78, .external_lex_state = 2},
  [1884] = {.lex_state = 78, .external_lex_state = 2},
  [1885] = {.lex_state = 78, .external_lex_state = 2},
  [1886] = {.lex_state = 95, .external_lex_state = 6},
  [1887] = {.lex_state = 95, .external_lex_state = 6},
  [1888] = {.lex_state = 78, .external_lex_state = 2},
  [1889] = {.lex_state = 78, .external_lex_state = 2},
  [1890] = {.lex_state = 78, .external_lex_state = 2},
  [1891] = {.lex_state = 78, .external_lex_state = 2},
  [1892] = {.lex_state = 78, .external_lex_state = 2},
  [1893] = {.lex_state = 78, .external_lex_state = 2},
  [1894] = {.lex_state = 95, .external_lex_state = 6},
  [1895] = {.lex_state = 78, .external_lex_state = 2},
  [1896] = {.lex_state = 78, .external_lex_state = 2},
  [1897] = {.lex_state = 95, .external_lex_state = 6},
  [1898] = {.lex_state = 78, .external_lex_state = 2},
  [1899] = {.lex_state = 95, .external_lex_state = 6},
  [1900] = {.lex_state = 78, .external_lex_state = 2},
  [1901] = {.lex_state = 78, .external_lex_state = 2},
  [1902] = {.lex_state = 95, .external_lex_state = 6},
  [1903] = {.lex_state = 95, .external_lex_state = 6},
  [1904] = {.lex_state = 95, .external_lex_state = 6},
  [1905] = {.lex_state = 95, .external_lex_state = 6},
  [1906] = {.lex_state = 95, .external_lex_state = 6},
  [1907] = {.lex_state = 78, .external_lex_state = 2},
  [1908] = {.lex_state = 78, .external_lex_state = 2},
  [1909] = {.lex_state = 78, .external_lex_state = 2},
  [1910] = {.lex_state = 78, .external_lex_state = 2},
  [1911] = {.lex_state = 95, .external_lex_state = 6},
  [1912] = {.lex_state = 78, .external_lex_state = 2},
  [1913] = {.lex_state = 78, .external_lex_state = 2},
  [1914] = {.lex_state = 78, .external_lex_state = 2},
  [1915] = {.lex_state = 78, .external_lex_state = 2},
  [1916] = {.lex_state = 78, .external_lex_state = 2},
  [1917] = {.lex_state = 78, .external_lex_state = 2},
  [1918] = {.lex_state = 78, .external_lex_state = 2},
  [1919] = {.lex_state = 25, .external_lex_state = 5},
  [1920] = {.lex_state = 78, .external_lex_state = 2},
  [1921] = {.lex_state = 78, .external_lex_state = 2},
  [1922] = {.lex_state = 78, .external_lex_state = 2},
  [1923] = {.lex_state = 78, .external_lex_state = 2},
  [1924] = {.lex_state = 78, .external_lex_state = 2},
  [1925] = {.lex_state = 78, .external_lex_state = 2},
  [1926] = {.lex_state = 78, .external_lex_state = 2},
  [1927] = {.lex_state = 78, .external_lex_state = 2},
  [1928] = {.lex_state = 78, .external_lex_state = 2},
  [1929] = {.lex_state = 25, .external_lex_state = 5},
  [1930] = {.lex_state = 78, .external_lex_state = 2},
  [1931] = {.lex_state = 95, .external_lex_state = 6},
  [1932] = {.lex_state = 78, .external_lex_state = 2},
  [1933] = {.lex_state = 95, .external_lex_state = 6},
  [1934] = {.lex_state = 78, .external_lex_state = 2},
  [1935] = {.lex_state = 78, .external_lex_state = 2},
  [1936] = {.lex_state = 78, .external_lex_state = 2},
  [1937] = {.lex_state = 78, .external_lex_state = 2},
  [1938] = {.lex_state = 78, .external_lex_state = 2},
  [1939] = {.lex_state = 78, .external_lex_state = 2},
  [1940] = {.lex_state = 25, .external_lex_state = 5},
  [1941] = {.lex_state = 78, .external_lex_state = 2},
  [1942] = {.lex_state = 78, .external_lex_state = 2},
  [1943] = {.lex_state = 78, .external_lex_state = 2},
  [1944] = {.lex_state = 49, .external_lex_state = 5},
  [1945] = {.lex_state = 78, .external_lex_state = 2},
  [1946] = {.lex_state = 78, .external_lex_state = 2},
  [1947] = {.lex_state = 78, .external_lex_state = 2},
  [1948] = {.lex_state = 78, .external_lex_state = 2},
  [1949] = {.lex_state = 78, .external_lex_state = 2},
  [1950] = {.lex_state = 78, .external_lex_state = 2},
  [1951] = {.lex_state = 95, .external_lex_state = 6},
  [1952] = {.lex_state = 78, .external_lex_state = 2},
  [1953] = {.lex_state = 78, .external_lex_state = 2},
  [1954] = {.lex_state = 78, .external_lex_state = 2},
  [1955] = {.lex_state = 78, .external_lex_state = 2},
  [1956] = {.lex_state = 78, .external_lex_state = 2},
  [1957] = {.lex_state = 78, .external_lex_state = 2},
  [1958] = {.lex_state = 78, .external_lex_state = 2},
  [1959] = {.lex_state = 78, .external_lex_state = 2},
  [1960] = {.lex_state = 95, .external_lex_state = 6},
  [1961] = {.lex_state = 95, .external_lex_state = 6},
  [1962] = {.lex_state = 78, .external_lex_state = 2},
  [1963] = {.lex_state = 78, .external_lex_state = 2},
  [1964] = {.lex_state = 78, .external_lex_state = 2},
  [1965] = {.lex_state = 78, .external_lex_state = 2},
  [1966] = {.lex_state = 78, .external_lex_state = 2},
  [1967] = {.lex_state = 78, .external_lex_state = 2},
  [1968] = {.lex_state = 95, .external_lex_state = 6},
  [1969] = {.lex_state = 78, .external_lex_state = 2},
  [1970] = {.lex_state = 78, .external_lex_state = 2},
  [1971] = {.lex_state = 78, .external_lex_state = 2},
  [1972] = {.lex_state = 25, .external_lex_state = 5},
  [1973] = {.lex_state = 95, .external_lex_state = 6},
  [1974] = {.lex_state = 78, .external_lex_state = 2},
  [1975] = {.lex_state = 78, .external_lex_state = 2},
  [1976] = {.lex_state = 78, .external_lex_state = 2},
  [1977] = {.lex_state = 78, .external_lex_state = 2},
  [1978] = {.lex_state = 78, .external_lex_state = 2},
  [1979] = {.lex_state = 95, .external_lex_state = 6},
  [1980] = {.lex_state = 95, .external_lex_state = 6},
  [1981] = {.lex_state = 78, .external_lex_state = 2},
  [1982] = {.lex_state = 78, .external_lex_state = 2},
  [1983] = {.lex_state = 78, .external_lex_state = 2},
  [1984] = {.lex_state = 78, .external_lex_state = 2},
  [1985] = {.lex_state = 95, .external_lex_state = 6},
  [1986] = {.lex_state = 78, .external_lex_state = 2},
  [1987] = {.lex_state = 78, .external_lex_state = 2},
  [1988] = {.lex_state = 78, .external_lex_state = 2},
  [1989] = {.lex_state = 78, .external_lex_state = 2},
  [1990] = {.lex_state = 78, .external_lex_state = 2},
  [1991] = {.lex_state = 78, .external_lex_state = 2},
  [1992] = {.lex_state = 78, .external_lex_state = 2},
  [1993] = {.lex_state = 78, .external_lex_state = 2},
  [1994] = {.lex_state = 78, .external_lex_state = 2},
  [1995] = {.lex_state = 78, .external_lex_state = 2},
  [1996] = {.lex_state = 78, .external_lex_state = 2},
  [1997] = {.lex_state = 78, .external_lex_state = 2},
  [1998] = {.lex_state = 25, .external_lex_state = 5},
  [1999] = {.lex_state = 25, .external_lex_state = 5},
  [2000] = {.lex_state = 25, .external_lex_state = 5},
  [2001] = {.lex_state = 25, .external_lex_state = 5},
  [2002] = {.lex_state = 25, .external_lex_state = 5},
  [2003] = {.lex_state = 25, .external_lex_state = 5},
  [2004] = {.lex_state = 25, .external_lex_state = 5},
  [2005] = {.lex_state = 25, .external_lex_state = 5},
  [2006] = {.lex_state = 25, .external_lex_state = 5},
  [2007] = {.lex_state = 25, .external_lex_state = 5},
  [2008] = {.lex_state = 25, .external_lex_state = 5},
  [2009] = {.lex_state = 25, .external_lex_state = 5},
  [2010] = {.lex_state = 25, .external_lex_state = 5},
  [2011] = {.lex_state = 25, .external_lex_state = 5},
  [2012] = {.lex_state = 25, .external_lex_state = 5},
  [2013] = {.lex_state = 25, .external_lex_state = 5},
  [2014] = {.lex_state = 25, .external_lex_state = 5},
  [2015] = {.lex_state = 25, .external_lex_state = 5},
  [2016] = {.lex_state = 25, .external_lex_state = 5},
  [2017] = {.lex_state = 25, .external_lex_state = 5},
  [2018] = {.lex_state = 25, .external_lex_state = 5},
  [2019] = {.lex_state = 25, .external_lex_state = 5},
  [2020] = {.lex_state = 25, .external_lex_state = 5},
  [2021] = {.lex_state = 25, .external_lex_state = 5},
  [2022] = {.lex_state = 25, .external_lex_state = 5},
  [2023] = {.lex_state = 25, .external_lex_state = 5},
  [2024] = {.lex_state = 25, .external_lex_state = 5},
  [2025] = {.lex_state = 25, .external_lex_state = 5},
  [2026] = {.lex_state = 25, .external_lex_state = 5},
  [2027] = {.lex_state = 25, .external_lex_state = 5},
  [2028] = {.lex_state = 25, .external_lex_state = 5},
  [2029] = {.lex_state = 25, .external_lex_state = 5},
  [2030] = {.lex_state = 25, .external_lex_state = 5},
  [2031] = {.lex_state = 25, .external_lex_state = 5},
  [2032] = {.lex_state = 25, .external_lex_state = 5},
  [2033] = {.lex_state = 25, .external_lex_state = 5},
  [2034] = {.lex_state = 25, .external_lex_state = 5},
  [2035] = {.lex_state = 25, .external_lex_state = 5},
  [2036] = {.lex_state = 25, .external_lex_state = 5},
  [2037] = {.lex_state = 25, .external_lex_state = 5},
  [2038] = {.lex_state = 25, .external_lex_state = 5},
  [2039] = {.lex_state = 25, .external_lex_state = 5},
  [2040] = {.lex_state = 25, .external_lex_state = 5},
  [2041] = {.lex_state = 25, .external_lex_state = 5},
  [2042] = {.lex_state = 25, .external_lex_state = 5},
  [2043] = {.lex_state = 25, .external_lex_state = 5},
  [2044] = {.lex_state = 25, .external_lex_state = 5},
  [2045] = {.lex_state = 25, .external_lex_state = 5},
  [2046] = {.lex_state = 25, .external_lex_state = 5},
  [2047] = {.lex_state = 25, .external_lex_state = 5},
  [2048] = {.lex_state = 25, .external_lex_state = 5},
  [2049] = {.lex_state = 25, .external_lex_state = 5},
  [2050] = {.lex_state = 32, .external_lex_state = 5},
  [2051] = {.lex_state = 25, .external_lex_state = 5},
  [2052] = {.lex_state = 25, .external_lex_state = 5},
  [2053] = {.lex_state = 25, .external_lex_state = 5},
  [2054] = {.lex_state = 25, .external_lex_state = 5},
  [2055] = {.lex_state = 25, .external_lex_state = 5},
  [2056] = {.lex_state = 25, .external_lex_state = 5},
  [2057] = {.lex_state = 25, .external_lex_state = 5},
  [2058] = {.lex_state = 25, .external_lex_state = 5},
  [2059] = {.lex_state = 25, .external_lex_state = 5},
  [2060] = {.lex_state = 25, .external_lex_state = 5},
  [2061] = {.lex_state = 25, .external_lex_state = 5},
  [2062] = {.lex_state = 77, .external_lex_state = 6},
  [2063] = {.lex_state = 75, .external_lex_state = 6},
  [2064] = {.lex_state = 77, .external_lex_state = 6},
  [2065] = {.lex_state = 74, .external_lex_state = 6},
  [2066] = {.lex_state = 76, .external_lex_state = 6},
  [2067] = {.lex_state = 77, .external_lex_state = 6},
  [2068] = {.lex_state = 77, .external_lex_state = 6},
  [2069] = {.lex_state = 74, .external_lex_state = 6},
  [2070] = {.lex_state = 77, .external_lex_state = 6},
  [2071] = {.lex_state = 32, .external_lex_state = 5},
  [2072] = {.lex_state = 77, .external_lex_state = 6},
  [2073] = {.lex_state = 74, .external_lex_state = 6},
  [2074] = {.lex_state = 74, .external_lex_state = 6},
  [2075] = {.lex_state = 74, .external_lex_state = 6},
  [2076] = {.lex_state = 32, .external_lex_state = 5},
  [2077] = {.lex_state = 76, .external_lex_state = 6},
  [2078] = {.lex_state = 76, .external_lex_state = 6},
  [2079] = {.lex_state = 76, .external_lex_state = 6},
  [2080] = {.lex_state = 76, .external_lex_state = 6},
  [2081] = {.lex_state = 71, .external_lex_state = 5},
  [2082] = {.lex_state = 75, .external_lex_state = 6},
  [2083] = {.lex_state = 76, .external_lex_state = 6},
  [2084] = {.lex_state = 77, .external_lex_state = 6},
  [2085] = {.lex_state = 28, .external_lex_state = 5},
  [2086] = {.lex_state = 77, .external_lex_state = 6},
  [2087] = {.lex_state = 74, .external_lex_state = 6},
  [2088] = {.lex_state = 74, .external_lex_state = 6},
  [2089] = {.lex_state = 74, .external_lex_state = 6},
  [2090] = {.lex_state = 76, .external_lex_state = 6},
  [2091] = {.lex_state = 75, .external_lex_state = 6},
  [2092] = {.lex_state = 28, .external_lex_state = 5},
  [2093] = {.lex_state = 74, .external_lex_state = 6},
  [2094] = {.lex_state = 77, .external_lex_state = 6},
  [2095] = {.lex_state = 77, .external_lex_state = 6},
  [2096] = {.lex_state = 74, .external_lex_state = 6},
  [2097] = {.lex_state = 28, .external_lex_state = 5},
  [2098] = {.lex_state = 76, .external_lex_state = 6},
  [2099] = {.lex_state = 77, .external_lex_state = 6},
  [2100] = {.lex_state = 74, .external_lex_state = 6},
  [2101] = {.lex_state = 74, .external_lex_state = 6},
  [2102] = {.lex_state = 77, .external_lex_state = 6},
  [2103] = {.lex_state = 32, .external_lex_state = 5},
  [2104] = {.lex_state = 32, .external_lex_state = 5},
  [2105] = {.lex_state = 32, .external_lex_state = 5},
  [2106] = {.lex_state = 32, .external_lex_state = 5},
  [2107] = {.lex_state = 32, .external_lex_state = 5},
  [2108] = {.lex_state = 32, .external_lex_state = 5},
  [2109] = {.lex_state = 32, .external_lex_state = 5},
  [2110] = {.lex_state = 32, .external_lex_state = 5},
  [2111] = {.lex_state = 32, .external_lex_state = 5},
  [2112] = {.lex_state = 32, .external_lex_state = 5},
  [2113] = {.lex_state = 32, .external_lex_state = 5},
  [2114] = {.lex_state = 32, .external_lex_state = 5},
  [2115] = {.lex_state = 32, .external_lex_state = 5},
  [2116] = {.lex_state = 32, .external_lex_state = 5},
  [2117] = {.lex_state = 73, .external_lex_state = 6},
  [2118] = {.lex_state = 73, .external_lex_state = 6},
  [2119] = {.lex_state = 25, .external_lex_state = 5},
  [2120] = {.lex_state = 25, .external_lex_state = 5},
  [2121] = {.lex_state = 25, .external_lex_state = 5},
  [2122] = {.lex_state = 73, .external_lex_state = 6},
  [2123] = {.lex_state = 72, .external_lex_state = 5},
  [2124] = {.lex_state = 73, .external_lex_state = 6},
  [2125] = {.lex_state = 71, .external_lex_state = 6},
  [2126] = {.lex_state = 73, .external_lex_state = 6},
  [2127] = {.lex_state = 73, .external_lex_state = 6},
  [2128] = {.lex_state = 71, .external_lex_state = 5},
  [2129] = {.lex_state = 71, .external_lex_state = 6},
  [2130] = {.lex_state = 71, .external_lex_state = 5},
  [2131] = {.lex_state = 32, .external_lex_state = 5},
  [2132] = {.lex_state = 32, .external_lex_state = 5},
  [2133] = {.lex_state = 52, .external_lex_state = 5},
  [2134] = {.lex_state = 52, .external_lex_state = 5},
  [2135] = {.lex_state = 52, .external_lex_state = 5},
  [2136] = {.lex_state = 32, .external_lex_state = 5},
  [2137] = {.lex_state = 73, .external_lex_state = 6},
  [2138] = {.lex_state = 24, .external_lex_state = 5},
  [2139] = {.lex_state = 20, .external_lex_state = 5},
  [2140] = {.lex_state = 20, .external_lex_state = 5},
  [2141] = {.lex_state = 21, .external_lex_state = 5},
  [2142] = {.lex_state = 22, .external_lex_state = 5},
  [2143] = {.lex_state = 22, .external_lex_state = 5},
  [2144] = {.lex_state = 21, .external_lex_state = 5},
  [2145] = {.lex_state = 22, .external_lex_state = 5},
  [2146] = {.lex_state = 10, .external_lex_state = 5},
  [2147] = {.lex_state = 93, .external_lex_state = 5},
  [2148] = {.lex_state = 20, .external_lex_state = 5},
  [2149] = {.lex_state = 10, .external_lex_state = 5},
  [2150] = {.lex_state = 71, .external_lex_state = 5},
  [2151] = {.lex_state = 49, .external_lex_state = 5},
  [2152] = {.lex_state = 23, .external_lex_state = 5},
  [2153] = {.lex_state = 91, .external_lex_state = 5},
  [2154] = {.lex_state = 21, .external_lex_state = 5},
  [2155] = {.lex_state = 10, .external_lex_state = 5},
  [2156] = {.lex_state = 24, .external_lex_state = 5},
  [2157] = {.lex_state = 23, .external_lex_state = 5},
  [2158] = {.lex_state = 24, .external_lex_state = 5},
  [2159] = {.lex_state = 23, .external_lex_state = 5},
  [2160] = {.lex_state = 49, .external_lex_state = 5},
  [2161] = {.lex_state = 49, .external_lex_state = 5},
  [2162] = {.lex_state = 49, .external_lex_state = 5},
  [2163] = {.lex_state = 49, .external_lex_state = 5},
  [2164] = {.lex_state = 71, .external_lex_state = 5},
  [2165] = {.lex_state = 71, .external_lex_state = 5},
  [2166] = {.lex_state = 71, .external_lex_state = 5},
  [2167] = {.lex_state = 71, .external_lex_state = 5},
  [2168] = {.lex_state = 71, .external_lex_state = 5},
  [2169] = {.lex_state = 71, .external_lex_state = 5},
  [2170] = {.lex_state = 71, .external_lex_state = 5},
  [2171] = {.lex_state = 49, .external_lex_state = 5},
  [2172] = {.lex_state = 49, .external_lex_state = 5},
  [2173] = {.lex_state = 30, .external_lex_state = 5},
  [2174] = {.lex_state = 30, .external_lex_state = 5},
  [2175] = {.lex_state = 30, .external_lex_state = 5},
  [2176] = {.lex_state = 30, .external_lex_state = 5},
  [2177] = {.lex_state = 30, .external_lex_state = 5},
  [2178] = {.lex_state = 30, .external_lex_state = 5},
  [2179] = {.lex_state = 30, .external_lex_state = 5},
  [2180] = {.lex_state = 30, .external_lex_state = 5},
  [2181] = {.lex_state = 30, .external_lex_state = 5},
  [2182] = {.lex_state = 30, .external_lex_state = 5},
  [2183] = {.lex_state = 30, .external_lex_state = 5},
  [2184] = {.lex_state = 30, .external_lex_state = 5},
  [2185] = {.lex_state = 30, .external_lex_state = 5},
  [2186] = {.lex_state = 68, .external_lex_state = 5},
  [2187] = {.lex_state = 68, .external_lex_state = 5},
  [2188] = {.lex_state = 68, .external_lex_state = 5},
  [2189] = {.lex_state = 68, .external_lex_state = 5},
  [2190] = {.lex_state = 30, .external_lex_state = 5},
  [2191] = {.lex_state = 30, .external_lex_state = 5},
  [2192] = {.lex_state = 68, .external_lex_state = 5},
  [2193] = {.lex_state = 68, .external_lex_state = 5},
  [2194] = {.lex_state = 30, .external_lex_state = 5},
  [2195] = {.lex_state = 30, .external_lex_state = 5},
  [2196] = {.lex_state = 30, .external_lex_state = 5},
  [2197] = {.lex_state = 30, .external_lex_state = 5},
  [2198] = {.lex_state = 68, .external_lex_state = 5},
  [2199] = {.lex_state = 30, .external_lex_state = 5},
  [2200] = {.lex_state = 30, .external_lex_state = 5},
  [2201] = {.lex_state = 30, .external_lex_state = 5},
  [2202] = {.lex_state = 30, .external_lex_state = 5},
  [2203] = {.lex_state = 30, .external_lex_state = 5},
  [2204] = {.lex_state = 30, .external_lex_state = 5},
  [2205] = {.lex_state = 30, .external_lex_state = 5},
  [2206] = {.lex_state = 30, .external_lex_state = 5},
  [2207] = {.lex_state = 68, .external_lex_state = 5},
  [2208] = {.lex_state = 30, .external_lex_state = 5},
  [2209] = {.lex_state = 68, .external_lex_state = 5},
  [2210] = {.lex_state = 30, .external_lex_state = 5},
  [2211] = {.lex_state = 30, .external_lex_state = 5},
  [2212] = {.lex_state = 30, .external_lex_state = 5},
  [2213] = {.lex_state = 30, .external_lex_state = 5},
  [2214] = {.lex_state = 30, .external_lex_state = 5},
  [2215] = {.lex_state = 30, .external_lex_state = 5},
  [2216] = {.lex_state = 68, .external_lex_state = 5},
  [2217] = {.lex_state = 30, .external_lex_state = 5},
  [2218] = {.lex_state = 30, .external_lex_state = 5},
  [2219] = {.lex_state = 30, .external_lex_state = 5},
  [2220] = {.lex_state = 30, .external_lex_state = 5},
  [2221] = {.lex_state = 30, .external_lex_state = 5},
  [2222] = {.lex_state = 30, .external_lex_state = 5},
  [2223] = {.lex_state = 68, .external_lex_state = 5},
  [2224] = {.lex_state = 68, .external_lex_state = 5},
  [2225] = {.lex_state = 30, .external_lex_state = 5},
  [2226] = {.lex_state = 30, .external_lex_state = 5},
  [2227] = {.lex_state = 30, .external_lex_state = 5},
  [2228] = {.lex_state = 30, .external_lex_state = 5},
  [2229] = {.lex_state = 68, .external_lex_state = 5},
  [2230] = {.lex_state = 84, .external_lex_state = 7},
  [2231] = {.lex_state = 68, .external_lex_state = 5},
  [2232] = {.lex_state = 68, .external_lex_state = 5},
  [2233] = {.lex_state = 68, .external_lex_state = 5},
  [2234] = {.lex_state = 68, .external_lex_state = 5},
  [2235] = {.lex_state = 68, .external_lex_state = 5},
  [2236] = {.lex_state = 68, .external_lex_state = 5},
  [2237] = {.lex_state = 68, .external_lex_state = 5},
  [2238] = {.lex_state = 68, .external_lex_state = 5},
  [2239] = {.lex_state = 84, .external_lex_state = 7},
  [2240] = {.lex_state = 84, .external_lex_state = 7},
  [2241] = {.lex_state = 68, .external_lex_state = 5},
  [2242] = {.lex_state = 84, .external_lex_state = 7},
  [2243] = {.lex_state = 84, .external_lex_state = 7},
  [2244] = {.lex_state = 84, .external_lex_state = 7},
  [2245] = {.lex_state = 84, .external_lex_state = 7},
  [2246] = {.lex_state = 84, .external_lex_state = 7},
  [2247] = {.lex_state = 84, .external_lex_state = 7},
  [2248] = {.lex_state = 68, .external_lex_state = 5},
  [2249] = {.lex_state = 84, .external_lex_state = 7},
  [2250] = {.lex_state = 84, .external_lex_state = 7},
  [2251] = {.lex_state = 68, .external_lex_state = 5},
  [2252] = {.lex_state = 68, .external_lex_state = 5},
  [2253] = {.lex_state = 68, .external_lex_state = 5},
  [2254] = {.lex_state = 84, .external_lex_state = 7},
  [2255] = {.lex_state = 84, .external_lex_state = 7},
  [2256] = {.lex_state = 29, .external_lex_state = 5},
  [2257] = {.lex_state = 29, .external_lex_state = 5},
  [2258] = {.lex_state = 84, .external_lex_state = 7},
  [2259] = {.lex_state = 84, .external_lex_state = 7},
  [2260] = {.lex_state = 84, .external_lex_state = 7},
  [2261] = {.lex_state = 84, .external_lex_state = 7},
  [2262] = {.lex_state = 84, .external_lex_state = 7},
  [2263] = {.lex_state = 84, .external_lex_state = 7},
  [2264] = {.lex_state = 84, .external_lex_state = 7},
  [2265] = {.lex_state = 84, .external_lex_state = 7},
  [2266] = {.lex_state = 29, .external_lex_state = 5},
  [2267] = {.lex_state = 84, .external_lex_state = 7},
  [2268] = {.lex_state = 84, .external_lex_state = 7},
  [2269] = {.lex_state = 84, .external_lex_state = 7},
  [2270] = {.lex_state = 84, .external_lex_state = 7},
  [2271] = {.lex_state = 29, .external_lex_state = 5},
  [2272] = {.lex_state = 84, .external_lex_state = 7},
  [2273] = {.lex_state = 84, .external_lex_state = 7},
  [2274] = {.lex_state = 84, .external_lex_state = 7},
  [2275] = {.lex_state = 29, .external_lex_state = 5},
  [2276] = {.lex_state = 84, .external_lex_state = 7},
  [2277] = {.lex_state = 29, .external_lex_state = 5},
  [2278] = {.lex_state = 84, .external_lex_state = 7},
  [2279] = {.lex_state = 84, .external_lex_state = 7},
  [2280] = {.lex_state = 84, .external_lex_state = 7},
  [2281] = {.lex_state = 29, .external_lex_state = 5},
  [2282] = {.lex_state = 84, .external_lex_state = 7},
  [2283] = {.lex_state = 84, .external_lex_state = 7},
  [2284] = {.lex_state = 84, .external_lex_state = 7},
  [2285] = {.lex_state = 84, .external_lex_state = 7},
  [2286] = {.lex_state = 84, .external_lex_state = 7},
  [2287] = {.lex_state = 29, .external_lex_state = 5},
  [2288] = {.lex_state = 29, .external_lex_state = 5},
  [2289] = {.lex_state = 84, .external_lex_state = 7},
  [2290] = {.lex_state = 84, .external_lex_state = 7},
  [2291] = {.lex_state = 84, .external_lex_state = 7},
  [2292] = {.lex_state = 84, .external_lex_state = 7},
  [2293] = {.lex_state = 84, .external_lex_state = 7},
  [2294] = {.lex_state = 84, .external_lex_state = 7},
  [2295] = {.lex_state = 29, .external_lex_state = 5},
  [2296] = {.lex_state = 84, .external_lex_state = 7},
  [2297] = {.lex_state = 84, .external_lex_state = 7},
  [2298] = {.lex_state = 29, .external_lex_state = 5},
  [2299] = {.lex_state = 84, .external_lex_state = 7},
  [2300] = {.lex_state = 84, .external_lex_state = 7},
  [2301] = {.lex_state = 84, .external_lex_state = 7},
  [2302] = {.lex_state = 84, .external_lex_state = 7},
  [2303] = {.lex_state = 84, .external_lex_state = 7},
  [2304] = {.lex_state = 84, .external_lex_state = 7},
  [2305] = {.lex_state = 29, .external_lex_state = 5},
  [2306] = {.lex_state = 84, .external_lex_state = 7},
  [2307] = {.lex_state = 84, .external_lex_state = 7},
  [2308] = {.lex_state = 84, .external_lex_state = 7},
  [2309] = {.lex_state = 84, .external_lex_state = 7},
  [2310] = {.lex_state = 84, .external_lex_state = 7},
  [2311] = {.lex_state = 84, .external_lex_state = 7},
  [2312] = {.lex_state = 29, .external_lex_state = 5},
  [2313] = {.lex_state = 84, .external_lex_state = 7},
  [2314] = {.lex_state = 29, .external_lex_state = 5},
  [2315] = {.lex_state = 84, .external_lex_state = 7},
  [2316] = {.lex_state = 84, .external_lex_state = 7},
  [2317] = {.lex_state = 84, .external_lex_state = 7},
  [2318] = {.lex_state = 84, .external_lex_state = 7},
  [2319] = {.lex_state = 84, .external_lex_state = 7},
  [2320] = {.lex_state = 84, .external_lex_state = 7},
  [2321] = {.lex_state = 29, .external_lex_state = 5},
  [2322] = {.lex_state = 84, .external_lex_state = 7},
  [2323] = {.lex_state = 29, .external_lex_state = 5},
  [2324] = {.lex_state = 84, .external_lex_state = 7},
  [2325] = {.lex_state = 84, .external_lex_state = 7},
  [2326] = {.lex_state = 84, .external_lex_state = 7},
  [2327] = {.lex_state = 78, .external_lex_state = 4},
  [2328] = {.lex_state = 78, .external_lex_state = 2},
  [2329] = {.lex_state = 78, .external_lex_state = 4},
  [2330] = {.lex_state = 78, .external_lex_state = 4},
  [2331] = {.lex_state = 78, .external_lex_state = 4},
  [2332] = {.lex_state = 78, .external_lex_state = 4},
  [2333] = {.lex_state = 78, .external_lex_state = 4},
  [2334] = {.lex_state = 36, .external_lex_state = 5},
  [2335] = {.lex_state = 36, .external_lex_state = 5},
  [2336] = {.lex_state = 36, .external_lex_state = 5},
  [2337] = {.lex_state = 36, .external_lex_state = 5},
  [2338] = {.lex_state = 36, .external_lex_state = 5},
  [2339] = {.lex_state = 36, .external_lex_state = 5},
  [2340] = {.lex_state = 36, .external_lex_state = 5},
  [2341] = {.lex_state = 36, .external_lex_state = 5},
  [2342] = {.lex_state = 36, .external_lex_state = 5},
  [2343] = {.lex_state = 36, .external_lex_state = 5},
  [2344] = {.lex_state = 36, .external_lex_state = 5},
  [2345] = {.lex_state = 78, .external_lex_state = 2},
  [2346] = {.lex_state = 36, .external_lex_state = 5},
  [2347] = {.lex_state = 36, .external_lex_state = 5},
  [2348] = {.lex_state = 36, .external_lex_state = 5},
  [2349] = {.lex_state = 36, .external_lex_state = 5},
  [2350] = {.lex_state = 36, .external_lex_state = 5},
  [2351] = {.lex_state = 36, .external_lex_state = 5},
  [2352] = {.lex_state = 36, .external_lex_state = 5},
  [2353] = {.lex_state = 36, .external_lex_state = 5},
  [2354] = {.lex_state = 36, .external_lex_state = 5},
  [2355] = {.lex_state = 36, .external_lex_state = 5},
  [2356] = {.lex_state = 36, .external_lex_state = 5},
  [2357] = {.lex_state = 36, .external_lex_state = 5},
  [2358] = {.lex_state = 36, .external_lex_state = 5},
  [2359] = {.lex_state = 36, .external_lex_state = 5},
  [2360] = {.lex_state = 36, .external_lex_state = 5},
  [2361] = {.lex_state = 53, .external_lex_state = 5},
  [2362] = {.lex_state = 53, .external_lex_state = 5},
  [2363] = {.lex_state = 53, .external_lex_state = 5},
  [2364] = {.lex_state = 53, .external_lex_state = 5},
  [2365] = {.lex_state = 53, .external_lex_state = 5},
  [2366] = {.lex_state = 53, .external_lex_state = 5},
  [2367] = {.lex_state = 53, .external_lex_state = 5},
  [2368] = {.lex_state = 53, .external_lex_state = 5},
  [2369] = {.lex_state = 53, .external_lex_state = 5},
  [2370] = {.lex_state = 53, .external_lex_state = 5},
  [2371] = {.lex_state = 53, .external_lex_state = 5},
  [2372] = {.lex_state = 53, .external_lex_state = 5},
  [2373] = {.lex_state = 53, .external_lex_state = 5},
  [2374] = {.lex_state = 85, .external_lex_state = 5},
  [2375] = {.lex_state = 28, .external_lex_state = 5},
  [2376] = {.lex_state = 85, .external_lex_state = 5},
  [2377] = {.lex_state = 28, .external_lex_state = 5},
  [2378] = {.lex_state = 28, .external_lex_state = 5},
  [2379] = {.lex_state = 85, .external_lex_state = 5},
  [2380] = {.lex_state = 28, .external_lex_state = 5},
  [2381] = {.lex_state = 85, .external_lex_state = 5},
  [2382] = {.lex_state = 28, .external_lex_state = 5},
  [2383] = {.lex_state = 85, .external_lex_state = 5},
  [2384] = {.lex_state = 92, .external_lex_state = 8},
  [2385] = {.lex_state = 30, .external_lex_state = 5},
  [2386] = {.lex_state = 28, .external_lex_state = 5},
  [2387] = {.lex_state = 28, .external_lex_state = 5},
  [2388] = {.lex_state = 28, .external_lex_state = 5},
  [2389] = {.lex_state = 85, .external_lex_state = 5},
  [2390] = {.lex_state = 85, .external_lex_state = 5},
  [2391] = {.lex_state = 85, .external_lex_state = 5},
  [2392] = {.lex_state = 85, .external_lex_state = 5},
  [2393] = {.lex_state = 28, .external_lex_state = 5},
  [2394] = {.lex_state = 28, .external_lex_state = 5},
  [2395] = {.lex_state = 28, .external_lex_state = 5},
  [2396] = {.lex_state = 85, .external_lex_state = 5},
  [2397] = {.lex_state = 28, .external_lex_state = 5},
  [2398] = {.lex_state = 28, .external_lex_state = 5},
  [2399] = {.lex_state = 53, .external_lex_state = 5},
  [2400] = {.lex_state = 53, .external_lex_state = 5},
  [2401] = {.lex_state = 28, .external_lex_state = 5},
  [2402] = {.lex_state = 28, .external_lex_state = 5},
  [2403] = {.lex_state = 28, .external_lex_state = 5},
  [2404] = {.lex_state = 28, .external_lex_state = 5},
  [2405] = {.lex_state = 28, .external_lex_state = 5},
  [2406] = {.lex_state = 28, .external_lex_state = 5},
  [2407] = {.lex_state = 28, .external_lex_state = 5},
  [2408] = {.lex_state = 28, .external_lex_state = 5},
  [2409] = {.lex_state = 28, .external_lex_state = 5},
  [2410] = {.lex_state = 28, .external_lex_state = 5},
  [2411] = {.lex_state = 28, .external_lex_state = 5},
  [2412] = {.lex_state = 28, .external_lex_state = 5},
  [2413] = {.lex_state = 28, .external_lex_state = 5},
  [2414] = {.lex_state = 53, .external_lex_state = 5},
  [2415] = {.lex_state = 25, .external_lex_state = 5},
  [2416] = {.lex_state = 28, .external_lex_state = 5},
  [2417] = {.lex_state = 28, .external_lex_state = 5},
  [2418] = {.lex_state = 28, .external_lex_state = 5},
  [2419] = {.lex_state = 28, .external_lex_state = 5},
  [2420] = {.lex_state = 53, .external_lex_state = 6},
  [2421] = {.lex_state = 28, .external_lex_state = 5},
  [2422] = {.lex_state = 85, .external_lex_state = 5},
  [2423] = {.lex_state = 28, .external_lex_state = 5},
  [2424] = {.lex_state = 28, .external_lex_state = 5},
  [2425] = {.lex_state = 89, .external_lex_state = 5},
  [2426] = {.lex_state = 28, .external_lex_state = 5},
  [2427] = {.lex_state = 85, .external_lex_state = 5},
  [2428] = {.lex_state = 28, .external_lex_state = 5},
  [2429] = {.lex_state = 28, .external_lex_state = 5},
  [2430] = {.lex_state = 28, .external_lex_state = 5},
  [2431] = {.lex_state = 69, .external_lex_state = 5},
  [2432] = {.lex_state = 53, .external_lex_state = 5},
  [2433] = {.lex_state = 28, .external_lex_state = 5},
  [2434] = {.lex_state = 53, .external_lex_state = 5},
  [2435] = {.lex_state = 28, .external_lex_state = 5},
  [2436] = {.lex_state = 53, .external_lex_state = 6},
  [2437] = {.lex_state = 89, .external_lex_state = 5},
  [2438] = {.lex_state = 89, .external_lex_state = 5},
  [2439] = {.lex_state = 25, .external_lex_state = 5},
  [2440] = {.lex_state = 25, .external_lex_state = 5},
  [2441] = {.lex_state = 25, .external_lex_state = 5},
  [2442] = {.lex_state = 25, .external_lex_state = 5},
  [2443] = {.lex_state = 25, .external_lex_state = 5},
  [2444] = {.lex_state = 28, .external_lex_state = 5},
  [2445] = {.lex_state = 28, .external_lex_state = 5},
  [2446] = {.lex_state = 28, .external_lex_state = 5},
  [2447] = {.lex_state = 53, .external_lex_state = 5},
  [2448] = {.lex_state = 89, .external_lex_state = 5},
  [2449] = {.lex_state = 89, .external_lex_state = 5},
  [2450] = {.lex_state = 53, .external_lex_state = 5},
  [2451] = {.lex_state = 28, .external_lex_state = 5},
  [2452] = {.lex_state = 53, .external_lex_state = 5},
  [2453] = {.lex_state = 25, .external_lex_state = 5},
  [2454] = {.lex_state = 28, .external_lex_state = 5},
  [2455] = {.lex_state = 25, .external_lex_state = 5},
  [2456] = {.lex_state = 28, .external_lex_state = 5},
  [2457] = {.lex_state = 25, .external_lex_state = 5},
  [2458] = {.lex_state = 25, .external_lex_state = 5},
  [2459] = {.lex_state = 53, .external_lex_state = 5},
  [2460] = {.lex_state = 53, .external_lex_state = 5},
  [2461] = {.lex_state = 28, .external_lex_state = 5},
  [2462] = {.lex_state = 28, .external_lex_state = 5},
  [2463] = {.lex_state = 28, .external_lex_state = 5},
  [2464] = {.lex_state = 25, .external_lex_state = 5},
  [2465] = {.lex_state = 28, .external_lex_state = 5},
  [2466] = {.lex_state = 53, .external_lex_state = 5},
  [2467] = {.lex_state = 25, .external_lex_state = 5},
  [2468] = {.lex_state = 89, .external_lex_state = 5},
  [2469] = {.lex_state = 28, .external_lex_state = 5},
  [2470] = {.lex_state = 53, .external_lex_state = 5},
  [2471] = {.lex_state = 36, .external_lex_state = 5},
  [2472] = {.lex_state = 28, .external_lex_state = 5},
  [2473] = {.lex_state = 28, .external_lex_state = 5},
  [2474] = {.lex_state = 28, .external_lex_state = 5},
  [2475] = {.lex_state = 53, .external_lex_state = 5},
  [2476] = {.lex_state = 28, .external_lex_state = 5},
  [2477] = {.lex_state = 28, .external_lex_state = 5},
  [2478] = {.lex_state = 28, .external_lex_state = 5},
  [2479] = {.lex_state = 28, .external_lex_state = 5},
  [2480] = {.lex_state = 28, .external_lex_state = 5},
  [2481] = {.lex_state = 53, .external_lex_state = 6},
  [2482] = {.lex_state = 53, .external_lex_state = 5},
  [2483] = {.lex_state = 53, .external_lex_state = 5},
  [2484] = {.lex_state = 89, .external_lex_state = 5},
  [2485] = {.lex_state = 53, .external_lex_state = 5},
  [2486] = {.lex_state = 53, .external_lex_state = 5},
  [2487] = {.lex_state = 53, .external_lex_state = 5},
  [2488] = {.lex_state = 30, .external_lex_state = 6},
  [2489] = {.lex_state = 30, .external_lex_state = 6},
  [2490] = {.lex_state = 30, .external_lex_state = 6},
  [2491] = {.lex_state = 53, .external_lex_state = 5},
  [2492] = {.lex_state = 30, .external_lex_state = 6},
  [2493] = {.lex_state = 53, .external_lex_state = 6},
  [2494] = {.lex_state = 53, .external_lex_state = 5},
  [2495] = {.lex_state = 53, .external_lex_state = 6},
  [2496] = {.lex_state = 53, .external_lex_state = 6},
  [2497] = {.lex_state = 53, .external_lex_state = 6},
  [2498] = {.lex_state = 53, .external_lex_state = 6},
  [2499] = {.lex_state = 53, .external_lex_state = 6},
  [2500] = {.lex_state = 53, .external_lex_state = 5},
  [2501] = {.lex_state = 53, .external_lex_state = 5},
  [2502] = {.lex_state = 53, .external_lex_state = 6},
  [2503] = {.lex_state = 53, .external_lex_state = 5},
  [2504] = {.lex_state = 53, .external_lex_state = 5},
  [2505] = {.lex_state = 53, .external_lex_state = 5},
  [2506] = {.lex_state = 53, .external_lex_state = 5},
  [2507] = {.lex_state = 53, .external_lex_state = 5},
  [2508] = {.lex_state = 53, .external_lex_state = 5},
  [2509] = {.lex_state = 53, .external_lex_state = 5},
  [2510] = {.lex_state = 53, .external_lex_state = 5},
  [2511] = {.lex_state = 53, .external_lex_state = 5},
  [2512] = {.lex_state = 53, .external_lex_state = 6},
  [2513] = {.lex_state = 53, .external_lex_state = 5},
  [2514] = {.lex_state = 53, .external_lex_state = 6},
  [2515] = {.lex_state = 53, .external_lex_state = 6},
  [2516] = {.lex_state = 73, .external_lex_state = 6},
  [2517] = {.lex_state = 53, .external_lex_state = 6},
  [2518] = {.lex_state = 53, .external_lex_state = 6},
  [2519] = {.lex_state = 90, .external_lex_state = 9},
  [2520] = {.lex_state = 90, .external_lex_state = 9},
  [2521] = {.lex_state = 53, .external_lex_state = 5},
  [2522] = {.lex_state = 53, .external_lex_state = 6},
  [2523] = {.lex_state = 53, .external_lex_state = 5},
  [2524] = {.lex_state = 89, .external_lex_state = 5},
  [2525] = {.lex_state = 85, .external_lex_state = 6},
  [2526] = {.lex_state = 53, .external_lex_state = 5},
  [2527] = {.lex_state = 53, .external_lex_state = 5},
  [2528] = {.lex_state = 85, .external_lex_state = 6},
  [2529] = {.lex_state = 85, .external_lex_state = 5},
  [2530] = {.lex_state = 53, .external_lex_state = 5},
  [2531] = {.lex_state = 85, .external_lex_state = 6},
  [2532] = {.lex_state = 53, .external_lex_state = 5},
  [2533] = {.lex_state = 85, .external_lex_state = 6},
  [2534] = {.lex_state = 89, .external_lex_state = 5},
  [2535] = {.lex_state = 53, .external_lex_state = 5},
  [2536] = {.lex_state = 53, .external_lex_state = 5},
  [2537] = {.lex_state = 85, .external_lex_state = 6},
  [2538] = {.lex_state = 53, .external_lex_state = 5},
  [2539] = {.lex_state = 72, .external_lex_state = 5},
  [2540] = {.lex_state = 85, .external_lex_state = 6},
  [2541] = {.lex_state = 85, .external_lex_state = 6},
  [2542] = {.lex_state = 85, .external_lex_state = 6},
  [2543] = {.lex_state = 85, .external_lex_state = 6},
  [2544] = {.lex_state = 72, .external_lex_state = 5},
  [2545] = {.lex_state = 92, .external_lex_state = 6},
  [2546] = {.lex_state = 53, .external_lex_state = 5},
  [2547] = {.lex_state = 85, .external_lex_state = 6},
  [2548] = {.lex_state = 85, .external_lex_state = 6},
  [2549] = {.lex_state = 85, .external_lex_state = 6},
  [2550] = {.lex_state = 53, .external_lex_state = 5},
  [2551] = {.lex_state = 85, .external_lex_state = 6},
  [2552] = {.lex_state = 53, .external_lex_state = 5},
  [2553] = {.lex_state = 85, .external_lex_state = 5},
  [2554] = {.lex_state = 53, .external_lex_state = 5},
  [2555] = {.lex_state = 53, .external_lex_state = 5},
  [2556] = {.lex_state = 53, .external_lex_state = 5},
  [2557] = {.lex_state = 85, .external_lex_state = 6},
  [2558] = {.lex_state = 89, .external_lex_state = 5},
  [2559] = {.lex_state = 53, .external_lex_state = 5},
  [2560] = {.lex_state = 85, .external_lex_state = 5},
  [2561] = {.lex_state = 89, .external_lex_state = 5},
  [2562] = {.lex_state = 53, .external_lex_state = 5},
  [2563] = {.lex_state = 53, .external_lex_state = 5},
  [2564] = {.lex_state = 85, .external_lex_state = 5},
  [2565] = {.lex_state = 85, .external_lex_state = 5},
  [2566] = {.lex_state = 85, .external_lex_state = 6},
  [2567] = {.lex_state = 85, .external_lex_state = 6},
  [2568] = {.lex_state = 53, .external_lex_state = 5},
  [2569] = {.lex_state = 53, .external_lex_state = 5},
  [2570] = {.lex_state = 85, .external_lex_state = 5},
  [2571] = {.lex_state = 72, .external_lex_state = 5},
  [2572] = {.lex_state = 85, .external_lex_state = 6},
  [2573] = {.lex_state = 85, .external_lex_state = 6},
  [2574] = {.lex_state = 85, .external_lex_state = 5},
  [2575] = {.lex_state = 53, .external_lex_state = 5},
  [2576] = {.lex_state = 85, .external_lex_state = 5},
  [2577] = {.lex_state = 85, .external_lex_state = 6},
  [2578] = {.lex_state = 85, .external_lex_state = 6},
  [2579] = {.lex_state = 85, .external_lex_state = 6},
  [2580] = {.lex_state = 85, .external_lex_state = 6},
  [2581] = {.lex_state = 53, .external_lex_state = 6},
  [2582] = {.lex_state = 53, .external_lex_state = 6},
  [2583] = {.lex_state = 30, .external_lex_state = 5},
  [2584] = {.lex_state = 85, .external_lex_state = 5},
  [2585] = {.lex_state = 53, .external_lex_state = 6},
  [2586] = {.lex_state = 53, .external_lex_state = 5},
  [2587] = {.lex_state = 85, .external_lex_state = 5},
  [2588] = {.lex_state = 85, .external_lex_state = 6},
  [2589] = {.lex_state = 53, .external_lex_state = 6},
  [2590] = {.lex_state = 85, .external_lex_state = 5},
  [2591] = {.lex_state = 53, .external_lex_state = 5},
  [2592] = {.lex_state = 53, .external_lex_state = 5},
  [2593] = {.lex_state = 85, .external_lex_state = 6},
  [2594] = {.lex_state = 85, .external_lex_state = 6},
  [2595] = {.lex_state = 53, .external_lex_state = 6},
  [2596] = {.lex_state = 85, .external_lex_state = 6},
  [2597] = {.lex_state = 72, .external_lex_state = 5},
  [2598] = {.lex_state = 85, .external_lex_state = 6},
  [2599] = {.lex_state = 85, .external_lex_state = 6},
  [2600] = {.lex_state = 85, .external_lex_state = 6},
  [2601] = {.lex_state = 85, .external_lex_state = 6},
  [2602] = {.lex_state = 85, .external_lex_state = 5},
  [2603] = {.lex_state = 85, .external_lex_state = 6},
  [2604] = {.lex_state = 85, .external_lex_state = 6},
  [2605] = {.lex_state = 85, .external_lex_state = 5},
  [2606] = {.lex_state = 53, .external_lex_state = 6},
  [2607] = {.lex_state = 85, .external_lex_state = 6},
  [2608] = {.lex_state = 53, .external_lex_state = 5},
  [2609] = {.lex_state = 69, .external_lex_state = 5},
  [2610] = {.lex_state = 53, .external_lex_state = 6},
  [2611] = {.lex_state = 53, .external_lex_state = 6},
  [2612] = {.lex_state = 53, .external_lex_state = 6},
  [2613] = {.lex_state = 53, .external_lex_state = 5},
  [2614] = {.lex_state = 92, .external_lex_state = 6},
  [2615] = {.lex_state = 30, .external_lex_state = 5},
  [2616] = {.lex_state = 53, .external_lex_state = 5},
  [2617] = {.lex_state = 53, .external_lex_state = 5},
  [2618] = {.lex_state = 53, .external_lex_state = 6},
  [2619] = {.lex_state = 53, .external_lex_state = 5},
  [2620] = {.lex_state = 85, .external_lex_state = 5},
  [2621] = {.lex_state = 30, .external_lex_state = 5},
  [2622] = {.lex_state = 53, .external_lex_state = 6},
  [2623] = {.lex_state = 53, .external_lex_state = 5},
  [2624] = {.lex_state = 53, .external_lex_state = 5},
  [2625] = {.lex_state = 53, .external_lex_state = 5},
  [2626] = {.lex_state = 30, .external_lex_state = 5},
  [2627] = {.lex_state = 30, .external_lex_state = 5},
  [2628] = {.lex_state = 53, .external_lex_state = 5},
  [2629] = {.lex_state = 30, .external_lex_state = 5},
  [2630] = {.lex_state = 52, .external_lex_state = 5},
  [2631] = {.lex_state = 52, .external_lex_state = 5},
  [2632] = {.lex_state = 69, .external_lex_state = 5},
  [2633] = {.lex_state = 52, .external_lex_state = 5},
  [2634] = {.lex_state = 52, .external_lex_state = 5},
  [2635] = {.lex_state = 30, .external_lex_state = 6},
  [2636] = {.lex_state = 53, .external_lex_state = 5},
  [2637] = {.lex_state = 52, .external_lex_state = 5},
  [2638] = {.lex_state = 53, .external_lex_state = 6},
  [2639] = {.lex_state = 53, .external_lex_state = 6},
  [2640] = {.lex_state = 52, .external_lex_state = 5},
  [2641] = {.lex_state = 53, .external_lex_state = 5},
  [2642] = {.lex_state = 72, .external_lex_state = 5},
  [2643] = {.lex_state = 30, .external_lex_state = 6},
  [2644] = {.lex_state = 52, .external_lex_state = 5},
  [2645] = {.lex_state = 52, .external_lex_state = 5},
  [2646] = {.lex_state = 53, .external_lex_state = 5},
  [2647] = {.lex_state = 53, .external_lex_state = 5},
  [2648] = {.lex_state = 52, .external_lex_state = 5},
  [2649] = {.lex_state = 53, .external_lex_state = 5},
  [2650] = {.lex_state = 52, .external_lex_state = 5},
  [2651] = {.lex_state = 53, .external_lex_state = 6},
  [2652] = {.lex_state = 53, .external_lex_state = 6},
  [2653] = {.lex_state = 92, .external_lex_state = 6},
  [2654] = {.lex_state = 53, .external_lex_state = 6},
  [2655] = {.lex_state = 53, .external_lex_state = 5},
  [2656] = {.lex_state = 72, .external_lex_state = 5},
  [2657] = {.lex_state = 53, .external_lex_state = 6},
  [2658] = {.lex_state = 52, .external_lex_state = 5},
  [2659] = {.lex_state = 52, .external_lex_state = 5},
  [2660] = {.lex_state = 23, .external_lex_state = 5},
  [2661] = {.lex_state = 10, .external_lex_state = 5},
  [2662] = {.lex_state = 23, .external_lex_state = 5},
  [2663] = {.lex_state = 21, .external_lex_state = 5},
  [2664] = {.lex_state = 23, .external_lex_state = 5},
  [2665] = {.lex_state = 23, .external_lex_state = 5},
  [2666] = {.lex_state = 23, .external_lex_state = 5},
  [2667] = {.lex_state = 23, .external_lex_state = 5},
  [2668] = {.lex_state = 21, .external_lex_state = 5},
  [2669] = {.lex_state = 21, .external_lex_state = 5},
  [2670] = {.lex_state = 21, .external_lex_state = 5},
  [2671] = {.lex_state = 23, .external_lex_state = 5},
  [2672] = {.lex_state = 21, .external_lex_state = 5},
  [2673] = {.lex_state = 23, .external_lex_state = 5},
  [2674] = {.lex_state = 10, .external_lex_state = 5},
  [2675] = {.lex_state = 23, .external_lex_state = 5},
  [2676] = {.lex_state = 30, .external_lex_state = 5},
  [2677] = {.lex_state = 10, .external_lex_state = 5},
  [2678] = {.lex_state = 23, .external_lex_state = 5},
  [2679] = {.lex_state = 85, .external_lex_state = 5},
  [2680] = {.lex_state = 69, .external_lex_state = 5},
  [2681] = {.lex_state = 52, .external_lex_state = 5},
  [2682] = {.lex_state = 23, .external_lex_state = 5},
  [2683] = {.lex_state = 21, .external_lex_state = 5},
  [2684] = {.lex_state = 85, .external_lex_state = 5},
  [2685] = {.lex_state = 21, .external_lex_state = 5},
  [2686] = {.lex_state = 21, .external_lex_state = 5},
  [2687] = {.lex_state = 10, .external_lex_state = 5},
  [2688] = {.lex_state = 53, .external_lex_state = 6},
  [2689] = {.lex_state = 85, .external_lex_state = 5},
  [2690] = {.lex_state = 20, .external_lex_state = 5},
  [2691] = {.lex_state = 20, .external_lex_state = 5},
  [2692] = {.lex_state = 85, .external_lex_state = 5},
  [2693] = {.lex_state = 20, .external_lex_state = 5},
  [2694] = {.lex_state = 20, .external_lex_state = 5},
  [2695] = {.lex_state = 85, .external_lex_state = 5},
  [2696] = {.lex_state = 20, .external_lex_state = 5},
  [2697] = {.lex_state = 20, .external_lex_state = 5},
  [2698] = {.lex_state = 85, .external_lex_state = 5},
  [2699] = {.lex_state = 20, .external_lex_state = 5},
  [2700] = {.lex_state = 21, .external_lex_state = 5},
  [2701] = {.lex_state = 85, .external_lex_state = 5},
  [2702] = {.lex_state = 24, .external_lex_state = 5},
  [2703] = {.lex_state = 21, .external_lex_state = 5},
  [2704] = {.lex_state = 85, .external_lex_state = 5},
  [2705] = {.lex_state = 22, .external_lex_state = 5},
  [2706] = {.lex_state = 10, .external_lex_state = 5},
  [2707] = {.lex_state = 21, .external_lex_state = 5},
  [2708] = {.lex_state = 24, .external_lex_state = 5},
  [2709] = {.lex_state = 85, .external_lex_state = 5},
  [2710] = {.lex_state = 10, .external_lex_state = 5},
  [2711] = {.lex_state = 24, .external_lex_state = 5},
  [2712] = {.lex_state = 53, .external_lex_state = 5},
  [2713] = {.lex_state = 24, .external_lex_state = 5},
  [2714] = {.lex_state = 22, .external_lex_state = 5},
  [2715] = {.lex_state = 22, .external_lex_state = 5},
  [2716] = {.lex_state = 22, .external_lex_state = 5},
  [2717] = {.lex_state = 73, .external_lex_state = 6},
  [2718] = {.lex_state = 22, .external_lex_state = 5},
  [2719] = {.lex_state = 22, .external_lex_state = 5},
  [2720] = {.lex_state = 61, .external_lex_state = 6},
  [2721] = {.lex_state = 24, .external_lex_state = 5},
  [2722] = {.lex_state = 24, .external_lex_state = 5},
  [2723] = {.lex_state = 30, .external_lex_state = 5},
  [2724] = {.lex_state = 22, .external_lex_state = 5},
  [2725] = {.lex_state = 30, .external_lex_state = 5},
  [2726] = {.lex_state = 24, .external_lex_state = 5},
  [2727] = {.lex_state = 30, .external_lex_state = 5},
  [2728] = {.lex_state = 24, .external_lex_state = 5},
  [2729] = {.lex_state = 30, .external_lex_state = 5},
  [2730] = {.lex_state = 30, .external_lex_state = 5},
  [2731] = {.lex_state = 10, .external_lex_state = 5},
  [2732] = {.lex_state = 53, .external_lex_state = 5},
  [2733] = {.lex_state = 85, .external_lex_state = 5},
  [2734] = {.lex_state = 22, .external_lex_state = 5},
  [2735] = {.lex_state = 53, .external_lex_state = 5},
  [2736] = {.lex_state = 20, .external_lex_state = 5},
  [2737] = {.lex_state = 20, .external_lex_state = 5},
  [2738] = {.lex_state = 69, .external_lex_state = 5},
  [2739] = {.lex_state = 22, .external_lex_state = 5},
  [2740] = {.lex_state = 20, .external_lex_state = 5},
  [2741] = {.lex_state = 85, .external_lex_state = 5},
  [2742] = {.lex_state = 85, .external_lex_state = 5},
  [2743] = {.lex_state = 22, .external_lex_state = 5},
  [2744] = {.lex_state = 22, .external_lex_state = 5},
  [2745] = {.lex_state = 22, .external_lex_state = 5},
  [2746] = {.lex_state = 85, .external_lex_state = 5},
  [2747] = {.lex_state = 24, .external_lex_state = 5},
  [2748] = {.lex_state = 24, .external_lex_state = 5},
  [2749] = {.lex_state = 23, .external_lex_state = 5},
  [2750] = {.lex_state = 24, .external_lex_state = 5},
  [2751] = {.lex_state = 21, .external_lex_state = 5},
  [2752] = {.lex_state = 53, .external_lex_state = 5},
  [2753] = {.lex_state = 30, .external_lex_state = 5},
  [2754] = {.lex_state = 20, .external_lex_state = 5},
  [2755] = {.lex_state = 85, .external_lex_state = 5},
  [2756] = {.lex_state = 85, .external_lex_state = 5},
  [2757] = {.lex_state = 53, .external_lex_state = 5},
  [2758] = {.lex_state = 10, .external_lex_state = 5},
  [2759] = {.lex_state = 24, .external_lex_state = 5},
  [2760] = {.lex_state = 85, .external_lex_state = 5},
  [2761] = {.lex_state = 85, .external_lex_state = 5},
  [2762] = {.lex_state = 52, .external_lex_state = 5},
  [2763] = {.lex_state = 30, .external_lex_state = 5},
  [2764] = {.lex_state = 30, .external_lex_state = 5},
  [2765] = {.lex_state = 53, .external_lex_state = 5},
  [2766] = {.lex_state = 20, .external_lex_state = 5},
  [2767] = {.lex_state = 52, .external_lex_state = 5},
  [2768] = {.lex_state = 30, .external_lex_state = 5},
  [2769] = {.lex_state = 52, .external_lex_state = 5},
  [2770] = {.lex_state = 53, .external_lex_state = 5},
  [2771] = {.lex_state = 85, .external_lex_state = 5},
  [2772] = {.lex_state = 53, .external_lex_state = 5},
  [2773] = {.lex_state = 85, .external_lex_state = 5},
  [2774] = {.lex_state = 52, .external_lex_state = 5},
  [2775] = {.lex_state = 85, .external_lex_state = 5},
  [2776] = {.lex_state = 85, .external_lex_state = 5},
  [2777] = {.lex_state = 10, .external_lex_state = 5},
  [2778] = {.lex_state = 10, .external_lex_state = 5},
  [2779] = {.lex_state = 30, .external_lex_state = 5},
  [2780] = {.lex_state = 52, .external_lex_state = 5},
  [2781] = {.lex_state = 61, .external_lex_state = 6},
  [2782] = {.lex_state = 52, .external_lex_state = 5},
  [2783] = {.lex_state = 10, .external_lex_state = 5},
  [2784] = {.lex_state = 52, .external_lex_state = 5},
  [2785] = {.lex_state = 52, .external_lex_state = 5},
  [2786] = {.lex_state = 30, .external_lex_state = 5},
  [2787] = {.lex_state = 52, .external_lex_state = 5},
  [2788] = {.lex_state = 85, .external_lex_state = 5},
  [2789] = {.lex_state = 85, .external_lex_state = 5},
  [2790] = {.lex_state = 52, .external_lex_state = 5},
  [2791] = {.lex_state = 52, .external_lex_state = 5},
  [2792] = {.lex_state = 52, .external_lex_state = 5},
  [2793] = {.lex_state = 52, .external_lex_state = 5},
  [2794] = {.lex_state = 52, .external_lex_state = 5},
  [2795] = {.lex_state = 52, .external_lex_state = 5},
  [2796] = {.lex_state = 10, .external_lex_state = 5},
  [2797] = {.lex_state = 52, .external_lex_state = 5},
  [2798] = {.lex_state = 52, .external_lex_state = 5},
  [2799] = {.lex_state = 52, .external_lex_state = 5},
  [2800] = {.lex_state = 52, .external_lex_state = 5},
  [2801] = {.lex_state = 85, .external_lex_state = 5},
  [2802] = {.lex_state = 52, .external_lex_state = 5},
  [2803] = {.lex_state = 30, .external_lex_state = 5},
  [2804] = {.lex_state = 85, .external_lex_state = 5},
  [2805] = {.lex_state = 52, .external_lex_state = 5},
  [2806] = {.lex_state = 52, .external_lex_state = 5},
  [2807] = {.lex_state = 52, .external_lex_state = 5},
  [2808] = {.lex_state = 52, .external_lex_state = 5},
  [2809] = {.lex_state = 52, .external_lex_state = 5},
  [2810] = {.lex_state = 52, .external_lex_state = 5},
  [2811] = {.lex_state = 52, .external_lex_state = 5},
  [2812] = {.lex_state = 52, .external_lex_state = 5},
  [2813] = {.lex_state = 52, .external_lex_state = 5},
  [2814] = {.lex_state = 52, .external_lex_state = 5},
  [2815] = {.lex_state = 52, .external_lex_state = 5},
  [2816] = {.lex_state = 52, .external_lex_state = 5},
  [2817] = {.lex_state = 52, .external_lex_state = 5},
  [2818] = {.lex_state = 52, .external_lex_state = 5},
  [2819] = {.lex_state = 11, .external_lex_state = 5},
  [2820] = {.lex_state = 52, .external_lex_state = 5},
  [2821] = {.lex_state = 52, .external_lex_state = 5},
  [2822] = {.lex_state = 52, .external_lex_state = 5},
  [2823] = {.lex_state = 30, .external_lex_state = 6},
  [2824] = {.lex_state = 85, .external_lex_state = 5},
  [2825] = {.lex_state = 69, .external_lex_state = 5},
  [2826] = {.lex_state = 30, .external_lex_state = 5},
  [2827] = {.lex_state = 85, .external_lex_state = 5},
  [2828] = {.lex_state = 85, .external_lex_state = 5},
  [2829] = {.lex_state = 52, .external_lex_state = 5},
  [2830] = {.lex_state = 85, .external_lex_state = 5},
  [2831] = {.lex_state = 52, .external_lex_state = 5},
  [2832] = {.lex_state = 52, .external_lex_state = 5},
  [2833] = {.lex_state = 52, .external_lex_state = 5},
  [2834] = {.lex_state = 52, .external_lex_state = 5},
  [2835] = {.lex_state = 52, .external_lex_state = 5},
  [2836] = {.lex_state = 52, .external_lex_state = 5},
  [2837] = {.lex_state = 52, .external_lex_state = 5},
  [2838] = {.lex_state = 53, .external_lex_state = 5},
  [2839] = {.lex_state = 53, .external_lex_state = 5},
  [2840] = {.lex_state = 24, .external_lex_state = 5},
  [2841] = {.lex_state = 21, .external_lex_state = 5},
  [2842] = {.lex_state = 53, .external_lex_state = 5},
  [2843] = {.lex_state = 21, .external_lex_state = 5},
  [2844] = {.lex_state = 24, .external_lex_state = 5},
  [2845] = {.lex_state = 79, .external_lex_state = 10},
  [2846] = {.lex_state = 24, .external_lex_state = 5},
  [2847] = {.lex_state = 24, .external_lex_state = 5},
  [2848] = {.lex_state = 10, .external_lex_state = 5},
  [2849] = {.lex_state = 24, .external_lex_state = 5},
  [2850] = {.lex_state = 53, .external_lex_state = 6},
  [2851] = {.lex_state = 24, .external_lex_state = 5},
  [2852] = {.lex_state = 20, .external_lex_state = 5},
  [2853] = {.lex_state = 22, .external_lex_state = 5},
  [2854] = {.lex_state = 10, .external_lex_state = 5},
  [2855] = {.lex_state = 53, .external_lex_state = 6},
  [2856] = {.lex_state = 53, .external_lex_state = 6},
  [2857] = {.lex_state = 21, .external_lex_state = 5},
  [2858] = {.lex_state = 53, .external_lex_state = 6},
  [2859] = {.lex_state = 72, .external_lex_state = 5},
  [2860] = {.lex_state = 22, .external_lex_state = 5},
  [2861] = {.lex_state = 22, .external_lex_state = 5},
  [2862] = {.lex_state = 20, .external_lex_state = 5},
  [2863] = {.lex_state = 21, .external_lex_state = 5},
  [2864] = {.lex_state = 24, .external_lex_state = 5},
  [2865] = {.lex_state = 21, .external_lex_state = 5},
  [2866] = {.lex_state = 21, .external_lex_state = 5},
  [2867] = {.lex_state = 21, .external_lex_state = 5},
  [2868] = {.lex_state = 10, .external_lex_state = 5},
  [2869] = {.lex_state = 22, .external_lex_state = 5},
  [2870] = {.lex_state = 21, .external_lex_state = 5},
  [2871] = {.lex_state = 20, .external_lex_state = 5},
  [2872] = {.lex_state = 21, .external_lex_state = 5},
  [2873] = {.lex_state = 53, .external_lex_state = 5},
  [2874] = {.lex_state = 22, .external_lex_state = 5},
  [2875] = {.lex_state = 79, .external_lex_state = 10},
  [2876] = {.lex_state = 53, .external_lex_state = 6},
  [2877] = {.lex_state = 22, .external_lex_state = 5},
  [2878] = {.lex_state = 22, .external_lex_state = 5},
  [2879] = {.lex_state = 23, .external_lex_state = 5},
  [2880] = {.lex_state = 61, .external_lex_state = 5},
  [2881] = {.lex_state = 23, .external_lex_state = 5},
  [2882] = {.lex_state = 21, .external_lex_state = 5},
  [2883] = {.lex_state = 21, .external_lex_state = 5},
  [2884] = {.lex_state = 21, .external_lex_state = 5},
  [2885] = {.lex_state = 21, .external_lex_state = 5},
  [2886] = {.lex_state = 61, .external_lex_state = 5},
  [2887] = {.lex_state = 21, .external_lex_state = 5},
  [2888] = {.lex_state = 21, .external_lex_state = 5},
  [2889] = {.lex_state = 20, .external_lex_state = 5},
  [2890] = {.lex_state = 20, .external_lex_state = 5},
  [2891] = {.lex_state = 21, .external_lex_state = 5},
  [2892] = {.lex_state = 21, .external_lex_state = 5},
  [2893] = {.lex_state = 20, .external_lex_state = 5},
  [2894] = {.lex_state = 23, .external_lex_state = 5},
  [2895] = {.lex_state = 21, .external_lex_state = 5},
  [2896] = {.lex_state = 21, .external_lex_state = 5},
  [2897] = {.lex_state = 79, .external_lex_state = 10},
  [2898] = {.lex_state = 10, .external_lex_state = 5},
  [2899] = {.lex_state = 23, .external_lex_state = 5},
  [2900] = {.lex_state = 20, .external_lex_state = 5},
  [2901] = {.lex_state = 23, .external_lex_state = 5},
  [2902] = {.lex_state = 23, .external_lex_state = 5},
  [2903] = {.lex_state = 10, .external_lex_state = 5},
  [2904] = {.lex_state = 22, .external_lex_state = 5},
  [2905] = {.lex_state = 10, .external_lex_state = 5},
  [2906] = {.lex_state = 79, .external_lex_state = 10},
  [2907] = {.lex_state = 23, .external_lex_state = 5},
  [2908] = {.lex_state = 79, .external_lex_state = 10},
  [2909] = {.lex_state = 24, .external_lex_state = 5},
  [2910] = {.lex_state = 53, .external_lex_state = 6},
  [2911] = {.lex_state = 79, .external_lex_state = 10},
  [2912] = {.lex_state = 53, .external_lex_state = 5},
  [2913] = {.lex_state = 53, .external_lex_state = 5},
  [2914] = {.lex_state = 20, .external_lex_state = 5},
  [2915] = {.lex_state = 53, .external_lex_state = 5},
  [2916] = {.lex_state = 22, .external_lex_state = 5},
  [2917] = {.lex_state = 22, .external_lex_state = 5},
  [2918] = {.lex_state = 24, .external_lex_state = 5},
  [2919] = {.lex_state = 22, .external_lex_state = 5},
  [2920] = {.lex_state = 22, .external_lex_state = 5},
  [2921] = {.lex_state = 22, .external_lex_state = 5},
  [2922] = {.lex_state = 22, .external_lex_state = 5},
  [2923] = {.lex_state = 24, .external_lex_state = 5},
  [2924] = {.lex_state = 22, .external_lex_state = 5},
  [2925] = {.lex_state = 22, .external_lex_state = 5},
  [2926] = {.lex_state = 24, .external_lex_state = 5},
  [2927] = {.lex_state = 24, .external_lex_state = 5},
  [2928] = {.lex_state = 20, .external_lex_state = 5},
  [2929] = {.lex_state = 20, .external_lex_state = 5},
  [2930] = {.lex_state = 22, .external_lex_state = 5},
  [2931] = {.lex_state = 10, .external_lex_state = 5},
  [2932] = {.lex_state = 22, .external_lex_state = 5},
  [2933] = {.lex_state = 22, .external_lex_state = 5},
  [2934] = {.lex_state = 23, .external_lex_state = 5},
  [2935] = {.lex_state = 20, .external_lex_state = 5},
  [2936] = {.lex_state = 22, .external_lex_state = 5},
  [2937] = {.lex_state = 22, .external_lex_state = 5},
  [2938] = {.lex_state = 22, .external_lex_state = 5},
  [2939] = {.lex_state = 20, .external_lex_state = 5},
  [2940] = {.lex_state = 20, .external_lex_state = 5},
  [2941] = {.lex_state = 21, .external_lex_state = 5},
  [2942] = {.lex_state = 24, .external_lex_state = 5},
  [2943] = {.lex_state = 53, .external_lex_state = 5},
  [2944] = {.lex_state = 53, .external_lex_state = 6},
  [2945] = {.lex_state = 22, .external_lex_state = 5},
  [2946] = {.lex_state = 24, .external_lex_state = 5},
  [2947] = {.lex_state = 10, .external_lex_state = 5},
  [2948] = {.lex_state = 24, .external_lex_state = 5},
  [2949] = {.lex_state = 22, .external_lex_state = 5},
  [2950] = {.lex_state = 22, .external_lex_state = 5},
  [2951] = {.lex_state = 22, .external_lex_state = 5},
  [2952] = {.lex_state = 79, .external_lex_state = 10},
  [2953] = {.lex_state = 24, .external_lex_state = 5},
  [2954] = {.lex_state = 24, .external_lex_state = 5},
  [2955] = {.lex_state = 10, .external_lex_state = 5},
  [2956] = {.lex_state = 22, .external_lex_state = 5},
  [2957] = {.lex_state = 24, .external_lex_state = 5},
  [2958] = {.lex_state = 24, .external_lex_state = 5},
  [2959] = {.lex_state = 20, .external_lex_state = 5},
  [2960] = {.lex_state = 24, .external_lex_state = 5},
  [2961] = {.lex_state = 24, .external_lex_state = 5},
  [2962] = {.lex_state = 53, .external_lex_state = 6},
  [2963] = {.lex_state = 10, .external_lex_state = 5},
  [2964] = {.lex_state = 20, .external_lex_state = 5},
  [2965] = {.lex_state = 20, .external_lex_state = 5},
  [2966] = {.lex_state = 20, .external_lex_state = 5},
  [2967] = {.lex_state = 22, .external_lex_state = 5},
  [2968] = {.lex_state = 24, .external_lex_state = 5},
  [2969] = {.lex_state = 20, .external_lex_state = 5},
  [2970] = {.lex_state = 20, .external_lex_state = 5},
  [2971] = {.lex_state = 20, .external_lex_state = 5},
  [2972] = {.lex_state = 20, .external_lex_state = 5},
  [2973] = {.lex_state = 24, .external_lex_state = 5},
  [2974] = {.lex_state = 20, .external_lex_state = 5},
  [2975] = {.lex_state = 24, .external_lex_state = 5},
  [2976] = {.lex_state = 21, .external_lex_state = 5},
  [2977] = {.lex_state = 24, .external_lex_state = 5},
  [2978] = {.lex_state = 20, .external_lex_state = 5},
  [2979] = {.lex_state = 10, .external_lex_state = 5},
  [2980] = {.lex_state = 20, .external_lex_state = 5},
  [2981] = {.lex_state = 20, .external_lex_state = 5},
  [2982] = {.lex_state = 20, .external_lex_state = 5},
  [2983] = {.lex_state = 20, .external_lex_state = 5},
  [2984] = {.lex_state = 20, .external_lex_state = 5},
  [2985] = {.lex_state = 73, .external_lex_state = 6},
  [2986] = {.lex_state = 20, .external_lex_state = 5},
  [2987] = {.lex_state = 79, .external_lex_state = 10},
  [2988] = {.lex_state = 20, .external_lex_state = 5},
  [2989] = {.lex_state = 20, .external_lex_state = 5},
  [2990] = {.lex_state = 20, .external_lex_state = 5},
  [2991] = {.lex_state = 20, .external_lex_state = 5},
  [2992] = {.lex_state = 20, .external_lex_state = 5},
  [2993] = {.lex_state = 79, .external_lex_state = 10},
  [2994] = {.lex_state = 20, .external_lex_state = 5},
  [2995] = {.lex_state = 24, .external_lex_state = 5},
  [2996] = {.lex_state = 24, .external_lex_state = 5},
  [2997] = {.lex_state = 53, .external_lex_state = 6},
  [2998] = {.lex_state = 61, .external_lex_state = 5},
  [2999] = {.lex_state = 10, .external_lex_state = 5},
  [3000] = {.lex_state = 10, .external_lex_state = 5},
  [3001] = {.lex_state = 23, .external_lex_state = 5},
  [3002] = {.lex_state = 24, .external_lex_state = 5},
  [3003] = {.lex_state = 10, .external_lex_state = 5},
  [3004] = {.lex_state = 10, .external_lex_state = 5},
  [3005] = {.lex_state = 23, .external_lex_state = 5},
  [3006] = {.lex_state = 21, .external_lex_state = 5},
  [3007] = {.lex_state = 21, .external_lex_state = 5},
  [3008] = {.lex_state = 21, .external_lex_state = 5},
  [3009] = {.lex_state = 61, .external_lex_state = 5},
  [3010] = {.lex_state = 21, .external_lex_state = 5},
  [3011] = {.lex_state = 23, .external_lex_state = 5},
  [3012] = {.lex_state = 21, .external_lex_state = 5},
  [3013] = {.lex_state = 24, .external_lex_state = 5},
  [3014] = {.lex_state = 23, .external_lex_state = 5},
  [3015] = {.lex_state = 23, .external_lex_state = 5},
  [3016] = {.lex_state = 23, .external_lex_state = 5},
  [3017] = {.lex_state = 23, .external_lex_state = 5},
  [3018] = {.lex_state = 21, .external_lex_state = 5},
  [3019] = {.lex_state = 21, .external_lex_state = 5},
  [3020] = {.lex_state = 23, .external_lex_state = 5},
  [3021] = {.lex_state = 23, .external_lex_state = 5},
  [3022] = {.lex_state = 21, .external_lex_state = 5},
  [3023] = {.lex_state = 23, .external_lex_state = 5},
  [3024] = {.lex_state = 23, .external_lex_state = 5},
  [3025] = {.lex_state = 20, .external_lex_state = 5},
  [3026] = {.lex_state = 23, .external_lex_state = 5},
  [3027] = {.lex_state = 23, .external_lex_state = 5},
  [3028] = {.lex_state = 23, .external_lex_state = 5},
  [3029] = {.lex_state = 23, .external_lex_state = 5},
  [3030] = {.lex_state = 23, .external_lex_state = 5},
  [3031] = {.lex_state = 23, .external_lex_state = 5},
  [3032] = {.lex_state = 23, .external_lex_state = 5},
  [3033] = {.lex_state = 10, .external_lex_state = 5},
  [3034] = {.lex_state = 23, .external_lex_state = 5},
  [3035] = {.lex_state = 79, .external_lex_state = 10},
  [3036] = {.lex_state = 21, .external_lex_state = 5},
  [3037] = {.lex_state = 23, .external_lex_state = 5},
  [3038] = {.lex_state = 23, .external_lex_state = 5},
  [3039] = {.lex_state = 21, .external_lex_state = 5},
  [3040] = {.lex_state = 20, .external_lex_state = 5},
  [3041] = {.lex_state = 20, .external_lex_state = 5},
  [3042] = {.lex_state = 21, .external_lex_state = 5},
  [3043] = {.lex_state = 21, .external_lex_state = 5},
  [3044] = {.lex_state = 21, .external_lex_state = 5},
  [3045] = {.lex_state = 21, .external_lex_state = 5},
  [3046] = {.lex_state = 23, .external_lex_state = 5},
  [3047] = {.lex_state = 23, .external_lex_state = 5},
  [3048] = {.lex_state = 23, .external_lex_state = 5},
  [3049] = {.lex_state = 23, .external_lex_state = 5},
  [3050] = {.lex_state = 23, .external_lex_state = 5},
  [3051] = {.lex_state = 23, .external_lex_state = 5},
  [3052] = {.lex_state = 23, .external_lex_state = 5},
  [3053] = {.lex_state = 23, .external_lex_state = 5},
  [3054] = {.lex_state = 23, .external_lex_state = 5},
  [3055] = {.lex_state = 20, .external_lex_state = 5},
  [3056] = {.lex_state = 23, .external_lex_state = 5},
  [3057] = {.lex_state = 23, .external_lex_state = 5},
  [3058] = {.lex_state = 23, .external_lex_state = 5},
  [3059] = {.lex_state = 23, .external_lex_state = 5},
  [3060] = {.lex_state = 20, .external_lex_state = 5},
  [3061] = {.lex_state = 24, .external_lex_state = 5},
  [3062] = {.lex_state = 79, .external_lex_state = 10},
  [3063] = {.lex_state = 79, .external_lex_state = 10},
  [3064] = {.lex_state = 23, .external_lex_state = 5},
  [3065] = {.lex_state = 20, .external_lex_state = 5},
  [3066] = {.lex_state = 20, .external_lex_state = 5},
  [3067] = {.lex_state = 21, .external_lex_state = 5},
  [3068] = {.lex_state = 21, .external_lex_state = 5},
  [3069] = {.lex_state = 20, .external_lex_state = 5},
  [3070] = {.lex_state = 20, .external_lex_state = 5},
  [3071] = {.lex_state = 21, .external_lex_state = 5},
  [3072] = {.lex_state = 21, .external_lex_state = 5},
  [3073] = {.lex_state = 23, .external_lex_state = 5},
  [3074] = {.lex_state = 21, .external_lex_state = 5},
  [3075] = {.lex_state = 21, .external_lex_state = 5},
  [3076] = {.lex_state = 23, .external_lex_state = 5},
  [3077] = {.lex_state = 53, .external_lex_state = 6},
  [3078] = {.lex_state = 79, .external_lex_state = 10},
  [3079] = {.lex_state = 23, .external_lex_state = 5},
  [3080] = {.lex_state = 53, .external_lex_state = 6},
  [3081] = {.lex_state = 22, .external_lex_state = 5},
  [3082] = {.lex_state = 22, .external_lex_state = 5},
  [3083] = {.lex_state = 53, .external_lex_state = 6},
  [3084] = {.lex_state = 24, .external_lex_state = 5},
  [3085] = {.lex_state = 24, .external_lex_state = 5},
  [3086] = {.lex_state = 22, .external_lex_state = 5},
  [3087] = {.lex_state = 79, .external_lex_state = 10},
  [3088] = {.lex_state = 22, .external_lex_state = 5},
  [3089] = {.lex_state = 22, .external_lex_state = 5},
  [3090] = {.lex_state = 79, .external_lex_state = 10},
  [3091] = {.lex_state = 21, .external_lex_state = 5},
  [3092] = {.lex_state = 21, .external_lex_state = 5},
  [3093] = {.lex_state = 22, .external_lex_state = 5},
  [3094] = {.lex_state = 21, .external_lex_state = 5},
  [3095] = {.lex_state = 79, .external_lex_state = 10},
  [3096] = {.lex_state = 79, .external_lex_state = 10},
  [3097] = {.lex_state = 79, .external_lex_state = 10},
  [3098] = {.lex_state = 22, .external_lex_state = 5},
  [3099] = {.lex_state = 79, .external_lex_state = 10},
  [3100] = {.lex_state = 79, .external_lex_state = 10},
  [3101] = {.lex_state = 53, .external_lex_state = 6},
  [3102] = {.lex_state = 79, .external_lex_state = 10},
  [3103] = {.lex_state = 21, .external_lex_state = 5},
  [3104] = {.lex_state = 22, .external_lex_state = 5},
  [3105] = {.lex_state = 79, .external_lex_state = 10},
  [3106] = {.lex_state = 61, .external_lex_state = 5},
  [3107] = {.lex_state = 22, .external_lex_state = 5},
  [3108] = {.lex_state = 53, .external_lex_state = 6},
  [3109] = {.lex_state = 79, .external_lex_state = 10},
  [3110] = {.lex_state = 79, .external_lex_state = 10},
  [3111] = {.lex_state = 22, .external_lex_state = 5},
  [3112] = {.lex_state = 20, .external_lex_state = 5},
  [3113] = {.lex_state = 22, .external_lex_state = 5},
  [3114] = {.lex_state = 22, .external_lex_state = 5},
  [3115] = {.lex_state = 53, .external_lex_state = 5},
  [3116] = {.lex_state = 22, .external_lex_state = 5},
  [3117] = {.lex_state = 79, .external_lex_state = 10},
  [3118] = {.lex_state = 22, .external_lex_state = 5},
  [3119] = {.lex_state = 79, .external_lex_state = 10},
  [3120] = {.lex_state = 79, .external_lex_state = 10},
  [3121] = {.lex_state = 79, .external_lex_state = 10},
  [3122] = {.lex_state = 22, .external_lex_state = 5},
  [3123] = {.lex_state = 79, .external_lex_state = 10},
  [3124] = {.lex_state = 22, .external_lex_state = 5},
  [3125] = {.lex_state = 21, .external_lex_state = 5},
  [3126] = {.lex_state = 79, .external_lex_state = 10},
  [3127] = {.lex_state = 22, .external_lex_state = 5},
  [3128] = {.lex_state = 10, .external_lex_state = 5},
  [3129] = {.lex_state = 24, .external_lex_state = 5},
  [3130] = {.lex_state = 24, .external_lex_state = 5},
  [3131] = {.lex_state = 22, .external_lex_state = 5},
  [3132] = {.lex_state = 10, .external_lex_state = 5},
  [3133] = {.lex_state = 79, .external_lex_state = 10},
  [3134] = {.lex_state = 79, .external_lex_state = 10},
  [3135] = {.lex_state = 79, .external_lex_state = 10},
  [3136] = {.lex_state = 79, .external_lex_state = 10},
  [3137] = {.lex_state = 10, .external_lex_state = 5},
  [3138] = {.lex_state = 10, .external_lex_state = 5},
  [3139] = {.lex_state = 10, .external_lex_state = 5},
  [3140] = {.lex_state = 79, .external_lex_state = 10},
  [3141] = {.lex_state = 10, .external_lex_state = 5},
  [3142] = {.lex_state = 10, .external_lex_state = 5},
  [3143] = {.lex_state = 53, .external_lex_state = 6},
  [3144] = {.lex_state = 10, .external_lex_state = 5},
  [3145] = {.lex_state = 20, .external_lex_state = 5},
  [3146] = {.lex_state = 24, .external_lex_state = 5},
  [3147] = {.lex_state = 61, .external_lex_state = 5},
  [3148] = {.lex_state = 10, .external_lex_state = 5},
  [3149] = {.lex_state = 10, .external_lex_state = 5},
  [3150] = {.lex_state = 79, .external_lex_state = 10},
  [3151] = {.lex_state = 10, .external_lex_state = 5},
  [3152] = {.lex_state = 24, .external_lex_state = 5},
  [3153] = {.lex_state = 10, .external_lex_state = 5},
  [3154] = {.lex_state = 10, .external_lex_state = 5},
  [3155] = {.lex_state = 24, .external_lex_state = 5},
  [3156] = {.lex_state = 10, .external_lex_state = 5},
  [3157] = {.lex_state = 10, .external_lex_state = 5},
  [3158] = {.lex_state = 10, .external_lex_state = 5},
  [3159] = {.lex_state = 10, .external_lex_state = 5},
  [3160] = {.lex_state = 24, .external_lex_state = 5},
  [3161] = {.lex_state = 24, .external_lex_state = 5},
  [3162] = {.lex_state = 10, .external_lex_state = 5},
  [3163] = {.lex_state = 53, .external_lex_state = 6},
  [3164] = {.lex_state = 53, .external_lex_state = 6},
  [3165] = {.lex_state = 79, .external_lex_state = 10},
  [3166] = {.lex_state = 10, .external_lex_state = 5},
  [3167] = {.lex_state = 79, .external_lex_state = 10},
  [3168] = {.lex_state = 79, .external_lex_state = 10},
  [3169] = {.lex_state = 24, .external_lex_state = 5},
  [3170] = {.lex_state = 61, .external_lex_state = 5},
  [3171] = {.lex_state = 79, .external_lex_state = 10},
  [3172] = {.lex_state = 10, .external_lex_state = 5},
  [3173] = {.lex_state = 10, .external_lex_state = 5},
  [3174] = {.lex_state = 10, .external_lex_state = 5},
  [3175] = {.lex_state = 10, .external_lex_state = 5},
  [3176] = {.lex_state = 10, .external_lex_state = 5},
  [3177] = {.lex_state = 10, .external_lex_state = 5},
  [3178] = {.lex_state = 24, .external_lex_state = 5},
  [3179] = {.lex_state = 24, .external_lex_state = 5},
  [3180] = {.lex_state = 24, .external_lex_state = 5},
  [3181] = {.lex_state = 24, .external_lex_state = 5},
  [3182] = {.lex_state = 10, .external_lex_state = 5},
  [3183] = {.lex_state = 10, .external_lex_state = 5},
  [3184] = {.lex_state = 24, .external_lex_state = 5},
  [3185] = {.lex_state = 10, .external_lex_state = 5},
  [3186] = {.lex_state = 24, .external_lex_state = 5},
  [3187] = {.lex_state = 30, .external_lex_state = 5},
  [3188] = {.lex_state = 86, .external_lex_state = 6},
  [3189] = {.lex_state = 73, .external_lex_state = 6},
  [3190] = {.lex_state = 30, .external_lex_state = 5},
  [3191] = {.lex_state = 53, .external_lex_state = 5},
  [3192] = {.lex_state = 53, .external_lex_state = 5},
  [3193] = {.lex_state = 30, .external_lex_state = 5},
  [3194] = {.lex_state = 30, .external_lex_state = 5},
  [3195] = {.lex_state = 61, .external_lex_state = 5},
  [3196] = {.lex_state = 30, .external_lex_state = 5},
  [3197] = {.lex_state = 30, .external_lex_state = 5},
  [3198] = {.lex_state = 85, .external_lex_state = 5},
  [3199] = {.lex_state = 61, .external_lex_state = 6},
  [3200] = {.lex_state = 53, .external_lex_state = 5},
  [3201] = {.lex_state = 85, .external_lex_state = 5},
  [3202] = {.lex_state = 72, .external_lex_state = 5},
  [3203] = {.lex_state = 36, .external_lex_state = 5},
  [3204] = {.lex_state = 36, .external_lex_state = 5},
  [3205] = {.lex_state = 53, .external_lex_state = 5},
  [3206] = {.lex_state = 53, .external_lex_state = 5},
  [3207] = {.lex_state = 53, .external_lex_state = 6},
  [3208] = {.lex_state = 61, .external_lex_state = 6},
  [3209] = {.lex_state = 53, .external_lex_state = 6},
  [3210] = {.lex_state = 73, .external_lex_state = 6},
  [3211] = {.lex_state = 73, .external_lex_state = 6},
  [3212] = {.lex_state = 73, .external_lex_state = 6},
  [3213] = {.lex_state = 73, .external_lex_state = 6},
  [3214] = {.lex_state = 30, .external_lex_state = 5},
  [3215] = {.lex_state = 30, .external_lex_state = 5},
  [3216] = {.lex_state = 36, .external_lex_state = 5},
  [3217] = {.lex_state = 36, .external_lex_state = 5},
  [3218] = {.lex_state = 61, .external_lex_state = 6},
  [3219] = {.lex_state = 53, .external_lex_state = 5},
  [3220] = {.lex_state = 72, .external_lex_state = 6},
  [3221] = {.lex_state = 61, .external_lex_state = 5},
  [3222] = {.lex_state = 72, .external_lex_state = 5},
  [3223] = {.lex_state = 30, .external_lex_state = 5},
  [3224] = {.lex_state = 30, .external_lex_state = 5},
  [3225] = {.lex_state = 53, .external_lex_state = 5},
  [3226] = {.lex_state = 53, .external_lex_state = 5},
  [3227] = {.lex_state = 30, .external_lex_state = 5},
  [3228] = {.lex_state = 61, .external_lex_state = 6},
  [3229] = {.lex_state = 85, .external_lex_state = 5},
  [3230] = {.lex_state = 53, .external_lex_state = 5},
  [3231] = {.lex_state = 53, .external_lex_state = 5},
  [3232] = {.lex_state = 30, .external_lex_state = 5},
  [3233] = {.lex_state = 53, .external_lex_state = 5},
  [3234] = {.lex_state = 53, .external_lex_state = 6},
  [3235] = {.lex_state = 72, .external_lex_state = 5},
  [3236] = {.lex_state = 30, .external_lex_state = 5},
  [3237] = {.lex_state = 53, .external_lex_state = 5},
  [3238] = {.lex_state = 30, .external_lex_state = 5},
  [3239] = {.lex_state = 36, .external_lex_state = 5},
  [3240] = {.lex_state = 36, .external_lex_state = 5},
  [3241] = {.lex_state = 30, .external_lex_state = 5},
  [3242] = {.lex_state = 30, .external_lex_state = 5},
  [3243] = {.lex_state = 30, .external_lex_state = 5},
  [3244] = {.lex_state = 30, .external_lex_state = 5},
  [3245] = {.lex_state = 30, .external_lex_state = 5},
  [3246] = {.lex_state = 53, .external_lex_state = 5},
  [3247] = {.lex_state = 53, .external_lex_state = 5},
  [3248] = {.lex_state = 86, .external_lex_state = 6},
  [3249] = {.lex_state = 30, .external_lex_state = 5},
  [3250] = {.lex_state = 87, .external_lex_state = 6},
  [3251] = {.lex_state = 30, .external_lex_state = 5},
  [3252] = {.lex_state = 30, .external_lex_state = 5},
  [3253] = {.lex_state = 73, .external_lex_state = 6},
  [3254] = {.lex_state = 87, .external_lex_state = 6},
  [3255] = {.lex_state = 86, .external_lex_state = 6},
  [3256] = {.lex_state = 36, .external_lex_state = 5},
  [3257] = {.lex_state = 36, .external_lex_state = 5},
  [3258] = {.lex_state = 30, .external_lex_state = 5},
  [3259] = {.lex_state = 87, .external_lex_state = 6},
  [3260] = {.lex_state = 30, .external_lex_state = 5},
  [3261] = {.lex_state = 77, .external_lex_state = 6},
  [3262] = {.lex_state = 97, .external_lex_state = 6},
  [3263] = {.lex_state = 53, .external_lex_state = 5},
  [3264] = {.lex_state = 53, .external_lex_state = 5},
  [3265] = {.lex_state = 97, .external_lex_state = 6},
  [3266] = {.lex_state = 97, .external_lex_state = 6},
  [3267] = {.lex_state = 74, .external_lex_state = 6},
  [3268] = {.lex_state = 53, .external_lex_state = 5},
  [3269] = {.lex_state = 77, .external_lex_state = 6},
  [3270] = {.lex_state = 77, .external_lex_state = 6},
  [3271] = {.lex_state = 76, .external_lex_state = 6},
  [3272] = {.lex_state = 87, .external_lex_state = 6},
  [3273] = {.lex_state = 86, .external_lex_state = 6},
  [3274] = {.lex_state = 97, .external_lex_state = 6},
  [3275] = {.lex_state = 75, .external_lex_state = 6},
  [3276] = {.lex_state = 74, .external_lex_state = 6},
  [3277] = {.lex_state = 72, .external_lex_state = 5},
  [3278] = {.lex_state = 77, .external_lex_state = 6},
  [3279] = {.lex_state = 77, .external_lex_state = 6},
  [3280] = {.lex_state = 74, .external_lex_state = 6},
  [3281] = {.lex_state = 76, .external_lex_state = 6},
  [3282] = {.lex_state = 74, .external_lex_state = 6},
  [3283] = {.lex_state = 30, .external_lex_state = 5},
  [3284] = {.lex_state = 30, .external_lex_state = 5},
  [3285] = {.lex_state = 30, .external_lex_state = 5},
  [3286] = {.lex_state = 77, .external_lex_state = 6},
  [3287] = {.lex_state = 74, .external_lex_state = 6},
  [3288] = {.lex_state = 76, .external_lex_state = 6},
  [3289] = {.lex_state = 53, .external_lex_state = 6},
  [3290] = {.lex_state = 53, .external_lex_state = 5},
  [3291] = {.lex_state = 61, .external_lex_state = 6},
  [3292] = {.lex_state = 85, .external_lex_state = 5},
  [3293] = {.lex_state = 97, .external_lex_state = 6},
  [3294] = {.lex_state = 30, .external_lex_state = 5},
  [3295] = {.lex_state = 76, .external_lex_state = 6},
  [3296] = {.lex_state = 30, .external_lex_state = 5},
  [3297] = {.lex_state = 53, .external_lex_state = 5},
  [3298] = {.lex_state = 61, .external_lex_state = 6},
  [3299] = {.lex_state = 77, .external_lex_state = 6},
  [3300] = {.lex_state = 74, .external_lex_state = 6},
  [3301] = {.lex_state = 77, .external_lex_state = 6},
  [3302] = {.lex_state = 97, .external_lex_state = 6},
  [3303] = {.lex_state = 74, .external_lex_state = 6},
  [3304] = {.lex_state = 85, .external_lex_state = 5},
  [3305] = {.lex_state = 74, .external_lex_state = 6},
  [3306] = {.lex_state = 87, .external_lex_state = 6},
  [3307] = {.lex_state = 86, .external_lex_state = 6},
  [3308] = {.lex_state = 74, .external_lex_state = 6},
  [3309] = {.lex_state = 77, .external_lex_state = 6},
  [3310] = {.lex_state = 30, .external_lex_state = 5},
  [3311] = {.lex_state = 77, .external_lex_state = 6},
  [3312] = {.lex_state = 74, .external_lex_state = 6},
  [3313] = {.lex_state = 53, .external_lex_state = 5},
  [3314] = {.lex_state = 53, .external_lex_state = 5},
  [3315] = {.lex_state = 74, .external_lex_state = 6},
  [3316] = {.lex_state = 30, .external_lex_state = 5},
  [3317] = {.lex_state = 97, .external_lex_state = 6},
  [3318] = {.lex_state = 76, .external_lex_state = 6},
  [3319] = {.lex_state = 61, .external_lex_state = 6},
  [3320] = {.lex_state = 53, .external_lex_state = 5},
  [3321] = {.lex_state = 97, .external_lex_state = 6},
  [3322] = {.lex_state = 75, .external_lex_state = 6},
  [3323] = {.lex_state = 77, .external_lex_state = 6},
  [3324] = {.lex_state = 30, .external_lex_state = 5},
  [3325] = {.lex_state = 61, .external_lex_state = 6},
  [3326] = {.lex_state = 87, .external_lex_state = 6},
  [3327] = {.lex_state = 86, .external_lex_state = 6},
  [3328] = {.lex_state = 30, .external_lex_state = 5},
  [3329] = {.lex_state = 76, .external_lex_state = 6},
  [3330] = {.lex_state = 97, .external_lex_state = 6},
  [3331] = {.lex_state = 97, .external_lex_state = 6},
  [3332] = {.lex_state = 97, .external_lex_state = 6},
  [3333] = {.lex_state = 77, .external_lex_state = 6},
  [3334] = {.lex_state = 85, .external_lex_state = 5},
  [3335] = {.lex_state = 61, .external_lex_state = 6},
  [3336] = {.lex_state = 53, .external_lex_state = 5},
  [3337] = {.lex_state = 74, .external_lex_state = 6},
  [3338] = {.lex_state = 75, .external_lex_state = 6},
  [3339] = {.lex_state = 72, .external_lex_state = 5},
  [3340] = {.lex_state = 72, .external_lex_state = 5},
  [3341] = {.lex_state = 30, .external_lex_state = 5},
  [3342] = {.lex_state = 97, .external_lex_state = 6},
  [3343] = {.lex_state = 97, .external_lex_state = 6},
  [3344] = {.lex_state = 72, .external_lex_state = 5},
  [3345] = {.lex_state = 72, .external_lex_state = 5},
  [3346] = {.lex_state = 76, .external_lex_state = 6},
  [3347] = {.lex_state = 76, .external_lex_state = 6},
  [3348] = {.lex_state = 30, .external_lex_state = 5},
  [3349] = {.lex_state = 72, .external_lex_state = 5},
  [3350] = {.lex_state = 30, .external_lex_state = 5},
  [3351] = {.lex_state = 30, .external_lex_state = 5},
  [3352] = {.lex_state = 53, .external_lex_state = 5},
  [3353] = {.lex_state = 30, .external_lex_state = 5},
  [3354] = {.lex_state = 61, .external_lex_state = 6},
  [3355] = {.lex_state = 61, .external_lex_state = 6},
  [3356] = {.lex_state = 61, .external_lex_state = 6},
  [3357] = {.lex_state = 61, .external_lex_state = 6},
  [3358] = {.lex_state = 61, .external_lex_state = 6},
  [3359] = {.lex_state = 61, .external_lex_state = 6},
  [3360] = {.lex_state = 61, .external_lex_state = 6},
  [3361] = {.lex_state = 61, .external_lex_state = 6},
  [3362] = {.lex_state = 61, .external_lex_state = 6},
  [3363] = {.lex_state = 61, .external_lex_state = 6},
  [3364] = {.lex_state = 61, .external_lex_state = 6},
  [3365] = {.lex_state = 61, .external_lex_state = 6},
  [3366] = {.lex_state = 61, .external_lex_state = 6},
  [3367] = {.lex_state = 61, .external_lex_state = 6},
  [3368] = {.lex_state = 61, .external_lex_state = 6},
  [3369] = {.lex_state = 61, .external_lex_state = 6},
  [3370] = {.lex_state = 61, .external_lex_state = 6},
  [3371] = {.lex_state = 61, .external_lex_state = 6},
  [3372] = {.lex_state = 61, .external_lex_state = 6},
  [3373] = {.lex_state = 61, .external_lex_state = 6},
  [3374] = {.lex_state = 61, .external_lex_state = 6},
  [3375] = {.lex_state = 61, .external_lex_state = 6},
  [3376] = {.lex_state = 61, .external_lex_state = 6},
  [3377] = {.lex_state = 61, .external_lex_state = 5},
  [3378] = {.lex_state = 61, .external_lex_state = 6},
  [3379] = {.lex_state = 88, .external_lex_state = 5},
  [3380] = {.lex_state = 61, .external_lex_state = 6},
  [3381] = {.lex_state = 61, .external_lex_state = 6},
  [3382] = {.lex_state = 30, .external_lex_state = 5},
  [3383] = {.lex_state = 61, .external_lex_state = 6},
  [3384] = {.lex_state = 61, .external_lex_state = 6},
  [3385] = {.lex_state = 61, .external_lex_state = 6},
  [3386] = {.lex_state = 61, .external_lex_state = 6},
  [3387] = {.lex_state = 61, .external_lex_state = 6},
  [3388] = {.lex_state = 61, .external_lex_state = 6},
  [3389] = {.lex_state = 61, .external_lex_state = 6},
  [3390] = {.lex_state = 61, .external_lex_state = 6},
  [3391] = {.lex_state = 61, .external_lex_state = 6},
  [3392] = {.lex_state = 61, .external_lex_state = 5},
  [3393] = {.lex_state = 61, .external_lex_state = 6},
  [3394] = {.lex_state = 61, .external_lex_state = 6},
  [3395] = {.lex_state = 61, .external_lex_state = 6},
  [3396] = {.lex_state = 72, .external_lex_state = 5},
  [3397] = {.lex_state = 61, .external_lex_state = 6},
  [3398] = {.lex_state = 61, .external_lex_state = 6},
  [3399] = {.lex_state = 61, .external_lex_state = 6},
  [3400] = {.lex_state = 61, .external_lex_state = 6},
  [3401] = {.lex_state = 72, .external_lex_state = 5},
  [3402] = {.lex_state = 61, .external_lex_state = 6},
  [3403] = {.lex_state = 72, .external_lex_state = 5},
  [3404] = {.lex_state = 72, .external_lex_state = 5},
  [3405] = {.lex_state = 72, .external_lex_state = 5},
  [3406] = {.lex_state = 61, .external_lex_state = 6},
  [3407] = {.lex_state = 61, .external_lex_state = 6},
  [3408] = {.lex_state = 96, .external_lex_state = 5},
  [3409] = {.lex_state = 61, .external_lex_state = 6},
  [3410] = {.lex_state = 61, .external_lex_state = 6},
  [3411] = {.lex_state = 61, .external_lex_state = 6},
  [3412] = {.lex_state = 61, .external_lex_state = 6},
  [3413] = {.lex_state = 61, .external_lex_state = 6},
  [3414] = {.lex_state = 61, .external_lex_state = 6},
  [3415] = {.lex_state = 61, .external_lex_state = 5},
  [3416] = {.lex_state = 61, .external_lex_state = 6},
  [3417] = {.lex_state = 61, .external_lex_state = 6},
  [3418] = {.lex_state = 61, .external_lex_state = 6},
  [3419] = {.lex_state = 61, .external_lex_state = 6},
  [3420] = {.lex_state = 61, .external_lex_state = 6},
  [3421] = {.lex_state = 61, .external_lex_state = 6},
  [3422] = {.lex_state = 61, .external_lex_state = 6},
  [3423] = {.lex_state = 30, .external_lex_state = 5},
  [3424] = {.lex_state = 61, .external_lex_state = 6},
  [3425] = {.lex_state = 61, .external_lex_state = 6},
  [3426] = {.lex_state = 61, .external_lex_state = 6},
  [3427] = {.lex_state = 61, .external_lex_state = 6},
  [3428] = {.lex_state = 61, .external_lex_state = 6},
  [3429] = {.lex_state = 61, .external_lex_state = 6},
  [3430] = {.lex_state = 61, .external_lex_state = 6},
  [3431] = {.lex_state = 61, .external_lex_state = 6},
  [3432] = {.lex_state = 61, .external_lex_state = 6},
  [3433] = {.lex_state = 61, .external_lex_state = 6},
  [3434] = {.lex_state = 61, .external_lex_state = 6},
  [3435] = {.lex_state = 61, .external_lex_state = 6},
  [3436] = {.lex_state = 61, .external_lex_state = 6},
  [3437] = {.lex_state = 61, .external_lex_state = 6},
  [3438] = {.lex_state = 61, .external_lex_state = 6},
  [3439] = {.lex_state = 61, .external_lex_state = 6},
  [3440] = {.lex_state = 61, .external_lex_state = 6},
  [3441] = {.lex_state = 61, .external_lex_state = 6},
  [3442] = {.lex_state = 61, .external_lex_state = 5},
  [3443] = {.lex_state = 30, .external_lex_state = 5},
  [3444] = {.lex_state = 61, .external_lex_state = 6},
  [3445] = {.lex_state = 61, .external_lex_state = 5},
  [3446] = {.lex_state = 61, .external_lex_state = 6},
  [3447] = {.lex_state = 61, .external_lex_state = 6},
  [3448] = {.lex_state = 61, .external_lex_state = 6},
  [3449] = {.lex_state = 61, .external_lex_state = 6},
  [3450] = {.lex_state = 61, .external_lex_state = 6},
  [3451] = {.lex_state = 61, .external_lex_state = 6},
  [3452] = {.lex_state = 61, .external_lex_state = 6},
  [3453] = {.lex_state = 61, .external_lex_state = 6},
  [3454] = {.lex_state = 61, .external_lex_state = 6},
  [3455] = {.lex_state = 61, .external_lex_state = 6},
  [3456] = {.lex_state = 61, .external_lex_state = 6},
  [3457] = {.lex_state = 61, .external_lex_state = 6},
  [3458] = {.lex_state = 61, .external_lex_state = 6},
  [3459] = {.lex_state = 61, .external_lex_state = 6},
  [3460] = {.lex_state = 61, .external_lex_state = 6},
  [3461] = {.lex_state = 61, .external_lex_state = 6},
  [3462] = {.lex_state = 61, .external_lex_state = 6},
  [3463] = {.lex_state = 61, .external_lex_state = 6},
  [3464] = {.lex_state = 61, .external_lex_state = 6},
  [3465] = {.lex_state = 96, .external_lex_state = 5},
  [3466] = {.lex_state = 30, .external_lex_state = 5},
  [3467] = {.lex_state = 72, .external_lex_state = 5},
  [3468] = {.lex_state = 72, .external_lex_state = 5},
  [3469] = {.lex_state = 61, .external_lex_state = 6},
  [3470] = {.lex_state = 61, .external_lex_state = 6},
  [3471] = {.lex_state = 61, .external_lex_state = 6},
  [3472] = {.lex_state = 61, .external_lex_state = 6},
  [3473] = {.lex_state = 61, .external_lex_state = 5},
  [3474] = {.lex_state = 61, .external_lex_state = 6},
  [3475] = {.lex_state = 61, .external_lex_state = 6},
  [3476] = {.lex_state = 61, .external_lex_state = 6},
  [3477] = {.lex_state = 61, .external_lex_state = 6},
  [3478] = {.lex_state = 61, .external_lex_state = 6},
  [3479] = {.lex_state = 72, .external_lex_state = 5},
  [3480] = {.lex_state = 61, .external_lex_state = 6},
  [3481] = {.lex_state = 61, .external_lex_state = 6},
  [3482] = {.lex_state = 61, .external_lex_state = 6},
  [3483] = {.lex_state = 61, .external_lex_state = 6},
  [3484] = {.lex_state = 61, .external_lex_state = 5},
  [3485] = {.lex_state = 61, .external_lex_state = 6},
  [3486] = {.lex_state = 61, .external_lex_state = 6},
  [3487] = {.lex_state = 72, .external_lex_state = 5},
  [3488] = {.lex_state = 61, .external_lex_state = 6},
  [3489] = {.lex_state = 61, .external_lex_state = 6},
  [3490] = {.lex_state = 61, .external_lex_state = 6},
  [3491] = {.lex_state = 61, .external_lex_state = 6},
  [3492] = {.lex_state = 61, .external_lex_state = 6},
  [3493] = {.lex_state = 61, .external_lex_state = 6},
  [3494] = {.lex_state = 61, .external_lex_state = 6},
  [3495] = {.lex_state = 61, .external_lex_state = 6},
  [3496] = {.lex_state = 61, .external_lex_state = 6},
  [3497] = {.lex_state = 61, .external_lex_state = 6},
  [3498] = {.lex_state = 61, .external_lex_state = 6},
  [3499] = {.lex_state = 61, .external_lex_state = 6},
  [3500] = {.lex_state = 61, .external_lex_state = 6},
  [3501] = {.lex_state = 61, .external_lex_state = 5},
  [3502] = {.lex_state = 61, .external_lex_state = 6},
  [3503] = {.lex_state = 61, .external_lex_state = 6},
  [3504] = {.lex_state = 61, .external_lex_state = 6},
  [3505] = {.lex_state = 61, .external_lex_state = 6},
  [3506] = {.lex_state = 61, .external_lex_state = 6},
  [3507] = {.lex_state = 61, .external_lex_state = 6},
  [3508] = {.lex_state = 61, .external_lex_state = 6},
  [3509] = {.lex_state = 61, .external_lex_state = 5},
  [3510] = {.lex_state = 61, .external_lex_state = 6},
  [3511] = {.lex_state = 61, .external_lex_state = 6},
  [3512] = {.lex_state = 61, .external_lex_state = 6},
  [3513] = {.lex_state = 61, .external_lex_state = 6},
  [3514] = {.lex_state = 61, .external_lex_state = 6},
  [3515] = {.lex_state = 72, .external_lex_state = 5},
  [3516] = {.lex_state = 61, .external_lex_state = 6},
  [3517] = {.lex_state = 61, .external_lex_state = 6},
  [3518] = {.lex_state = 61, .external_lex_state = 6},
  [3519] = {.lex_state = 61, .external_lex_state = 6},
  [3520] = {.lex_state = 96, .external_lex_state = 5},
  [3521] = {.lex_state = 72, .external_lex_state = 5},
  [3522] = {.lex_state = 61, .external_lex_state = 6},
  [3523] = {.lex_state = 61, .external_lex_state = 5},
  [3524] = {.lex_state = 61, .external_lex_state = 5},
  [3525] = {.lex_state = 72, .external_lex_state = 5},
  [3526] = {.lex_state = 72, .external_lex_state = 5},
  [3527] = {.lex_state = 72, .external_lex_state = 5},
  [3528] = {.lex_state = 61, .external_lex_state = 5},
  [3529] = {.lex_state = 72, .external_lex_state = 5},
  [3530] = {.lex_state = 61, .external_lex_state = 5},
  [3531] = {.lex_state = 61, .external_lex_state = 5},
  [3532] = {.lex_state = 61, .external_lex_state = 5},
  [3533] = {.lex_state = 61, .external_lex_state = 5},
  [3534] = {.lex_state = 61, .external_lex_state = 5},
  [3535] = {.lex_state = 61, .external_lex_state = 5},
  [3536] = {.lex_state = 61, .external_lex_state = 5},
  [3537] = {.lex_state = 61, .external_lex_state = 5},
  [3538] = {.lex_state = 61, .external_lex_state = 5},
  [3539] = {.lex_state = 61, .external_lex_state = 5},
  [3540] = {.lex_state = 61, .external_lex_state = 5},
  [3541] = {.lex_state = 72, .external_lex_state = 5},
  [3542] = {.lex_state = 61, .external_lex_state = 5},
  [3543] = {.lex_state = 61, .external_lex_state = 5},
  [3544] = {.lex_state = 72, .external_lex_state = 5},
  [3545] = {.lex_state = 61, .external_lex_state = 5},
  [3546] = {.lex_state = 72, .external_lex_state = 5},
  [3547] = {.lex_state = 61, .external_lex_state = 5},
  [3548] = {.lex_state = 72, .external_lex_state = 5},
  [3549] = {.lex_state = 61, .external_lex_state = 5},
  [3550] = {.lex_state = 72, .external_lex_state = 5},
  [3551] = {.lex_state = 61, .external_lex_state = 5},
  [3552] = {.lex_state = 72, .external_lex_state = 5},
  [3553] = {.lex_state = 61, .external_lex_state = 5},
  [3554] = {.lex_state = 72, .external_lex_state = 5},
  [3555] = {.lex_state = 72, .external_lex_state = 5},
  [3556] = {.lex_state = 72, .external_lex_state = 5},
  [3557] = {.lex_state = 72, .external_lex_state = 5},
  [3558] = {.lex_state = 61, .external_lex_state = 5},
  [3559] = {.lex_state = 72, .external_lex_state = 5},
  [3560] = {.lex_state = 72, .external_lex_state = 5},
  [3561] = {.lex_state = 61, .external_lex_state = 5},
  [3562] = {.lex_state = 72, .external_lex_state = 5},
  [3563] = {.lex_state = 61, .external_lex_state = 5},
  [3564] = {.lex_state = 72, .external_lex_state = 5},
  [3565] = {.lex_state = 72, .external_lex_state = 5},
  [3566] = {.lex_state = 61, .external_lex_state = 5},
  [3567] = {.lex_state = 72, .external_lex_state = 5},
  [3568] = {.lex_state = 72, .external_lex_state = 5},
  [3569] = {.lex_state = 61, .external_lex_state = 5},
  [3570] = {.lex_state = 72, .external_lex_state = 5},
  [3571] = {.lex_state = 61, .external_lex_state = 5},
  [3572] = {.lex_state = 61, .external_lex_state = 5},
  [3573] = {.lex_state = 61, .external_lex_state = 5},
  [3574] = {.lex_state = 61, .external_lex_state = 5},
  [3575] = {.lex_state = 61, .external_lex_state = 5},
  [3576] = {.lex_state = 61, .external_lex_state = 5},
  [3577] = {.lex_state = 61, .external_lex_state = 5},
  [3578] = {.lex_state = 61, .external_lex_state = 5},
  [3579] = {.lex_state = 61, .external_lex_state = 5},
  [3580] = {.lex_state = 61, .external_lex_state = 5},
  [3581] = {.lex_state = 61, .external_lex_state = 5},
  [3582] = {.lex_state = 61, .external_lex_state = 5},
  [3583] = {.lex_state = 73, .external_lex_state = 5},
  [3584] = {.lex_state = 61, .external_lex_state = 5},
  [3585] = {.lex_state = 72, .external_lex_state = 5},
  [3586] = {.lex_state = 61, .external_lex_state = 5},
  [3587] = {.lex_state = 61, .external_lex_state = 5},
  [3588] = {.lex_state = 61, .external_lex_state = 5},
  [3589] = {.lex_state = 61, .external_lex_state = 5},
  [3590] = {.lex_state = 72, .external_lex_state = 5},
  [3591] = {.lex_state = 61, .external_lex_state = 5},
  [3592] = {.lex_state = 72, .external_lex_state = 5},
  [3593] = {.lex_state = 61, .external_lex_state = 5},
  [3594] = {.lex_state = 61, .external_lex_state = 5},
  [3595] = {.lex_state = 61, .external_lex_state = 5},
  [3596] = {.lex_state = 72, .external_lex_state = 5},
  [3597] = {.lex_state = 61, .external_lex_state = 5},
  [3598] = {.lex_state = 61, .external_lex_state = 5},
  [3599] = {.lex_state = 61, .external_lex_state = 5},
  [3600] = {.lex_state = 61, .external_lex_state = 5},
  [3601] = {.lex_state = 72, .external_lex_state = 5},
  [3602] = {.lex_state = 61, .external_lex_state = 5},
  [3603] = {.lex_state = 61, .external_lex_state = 5},
  [3604] = {.lex_state = 72, .external_lex_state = 5},
  [3605] = {.lex_state = 72, .external_lex_state = 5},
  [3606] = {.lex_state = 72, .external_lex_state = 5},
  [3607] = {.lex_state = 61, .external_lex_state = 5},
  [3608] = {.lex_state = 61, .external_lex_state = 5},
  [3609] = {.lex_state = 73, .external_lex_state = 5},
  [3610] = {.lex_state = 72, .external_lex_state = 5},
  [3611] = {.lex_state = 61, .external_lex_state = 5},
  [3612] = {.lex_state = 72, .external_lex_state = 5},
  [3613] = {.lex_state = 61, .external_lex_state = 5},
  [3614] = {.lex_state = 72, .external_lex_state = 5},
  [3615] = {.lex_state = 61, .external_lex_state = 5},
  [3616] = {.lex_state = 72, .external_lex_state = 5},
  [3617] = {.lex_state = 61, .external_lex_state = 5},
  [3618] = {.lex_state = 61, .external_lex_state = 5},
  [3619] = {.lex_state = 61, .external_lex_state = 5},
  [3620] = {.lex_state = 61, .external_lex_state = 5},
  [3621] = {.lex_state = 88, .external_lex_state = 5},
  [3622] = {.lex_state = 61, .external_lex_state = 5},
  [3623] = {.lex_state = 61, .external_lex_state = 5},
  [3624] = {.lex_state = 61, .external_lex_state = 5},
  [3625] = {.lex_state = 61, .external_lex_state = 5},
  [3626] = {.lex_state = 61, .external_lex_state = 5},
  [3627] = {.lex_state = 30, .external_lex_state = 5},
  [3628] = {.lex_state = 61, .external_lex_state = 5},
  [3629] = {.lex_state = 61, .external_lex_state = 5},
  [3630] = {.lex_state = 61, .external_lex_state = 5},
  [3631] = {.lex_state = 61, .external_lex_state = 5},
  [3632] = {.lex_state = 61, .external_lex_state = 5},
  [3633] = {.lex_state = 61, .external_lex_state = 5},
  [3634] = {.lex_state = 61, .external_lex_state = 5},
  [3635] = {.lex_state = 61, .external_lex_state = 5},
  [3636] = {.lex_state = 61, .external_lex_state = 5},
  [3637] = {.lex_state = 61, .external_lex_state = 5},
  [3638] = {.lex_state = 61, .external_lex_state = 5},
  [3639] = {.lex_state = 36, .external_lex_state = 5},
  [3640] = {.lex_state = 36, .external_lex_state = 5},
  [3641] = {.lex_state = 61, .external_lex_state = 5},
  [3642] = {.lex_state = 61, .external_lex_state = 5},
  [3643] = {.lex_state = 61, .external_lex_state = 5},
  [3644] = {.lex_state = 61, .external_lex_state = 5},
  [3645] = {.lex_state = 61, .external_lex_state = 5},
  [3646] = {.lex_state = 61, .external_lex_state = 5},
  [3647] = {.lex_state = 61, .external_lex_state = 5},
  [3648] = {.lex_state = 61, .external_lex_state = 5},
  [3649] = {.lex_state = 61, .external_lex_state = 5},
  [3650] = {.lex_state = 61, .external_lex_state = 5},
  [3651] = {.lex_state = 61, .external_lex_state = 5},
  [3652] = {.lex_state = 61, .external_lex_state = 5},
  [3653] = {.lex_state = 61, .external_lex_state = 6},
  [3654] = {.lex_state = 61, .external_lex_state = 5},
  [3655] = {.lex_state = 61, .external_lex_state = 5},
  [3656] = {.lex_state = 61, .external_lex_state = 5},
  [3657] = {.lex_state = 61, .external_lex_state = 5},
  [3658] = {.lex_state = 61, .external_lex_state = 5},
  [3659] = {.lex_state = 61, .external_lex_state = 5},
  [3660] = {.lex_state = 61, .external_lex_state = 5},
  [3661] = {.lex_state = 61, .external_lex_state = 5},
  [3662] = {.lex_state = 61, .external_lex_state = 5},
  [3663] = {.lex_state = 61, .external_lex_state = 5},
  [3664] = {.lex_state = 61, .external_lex_state = 5},
  [3665] = {.lex_state = 61, .external_lex_state = 5},
  [3666] = {.lex_state = 36, .external_lex_state = 5},
  [3667] = {.lex_state = 61, .external_lex_state = 5},
  [3668] = {.lex_state = 61, .external_lex_state = 5},
  [3669] = {.lex_state = 61, .external_lex_state = 5},
  [3670] = {.lex_state = 61, .external_lex_state = 5},
  [3671] = {.lex_state = 61, .external_lex_state = 5},
  [3672] = {.lex_state = 61, .external_lex_state = 5},
  [3673] = {.lex_state = 61, .external_lex_state = 5},
  [3674] = {.lex_state = 61, .external_lex_state = 5},
  [3675] = {.lex_state = 61, .external_lex_state = 5},
  [3676] = {.lex_state = 61, .external_lex_state = 5},
  [3677] = {.lex_state = 61, .external_lex_state = 5},
  [3678] = {.lex_state = 36, .external_lex_state = 5},
  [3679] = {.lex_state = 61, .external_lex_state = 5},
  [3680] = {.lex_state = 61, .external_lex_state = 5},
  [3681] = {.lex_state = 61, .external_lex_state = 5},
  [3682] = {.lex_state = 61, .external_lex_state = 5},
  [3683] = {.lex_state = 61, .external_lex_state = 5},
  [3684] = {.lex_state = 61, .external_lex_state = 5},
  [3685] = {.lex_state = 36, .external_lex_state = 5},
  [3686] = {.lex_state = 61, .external_lex_state = 5},
  [3687] = {.lex_state = 61, .external_lex_state = 5},
  [3688] = {.lex_state = 61, .external_lex_state = 5},
  [3689] = {.lex_state = 61, .external_lex_state = 5},
  [3690] = {.lex_state = 36, .external_lex_state = 5},
  [3691] = {.lex_state = 61, .external_lex_state = 5},
  [3692] = {.lex_state = 61, .external_lex_state = 5},
  [3693] = {.lex_state = 61, .external_lex_state = 5},
  [3694] = {.lex_state = 61, .external_lex_state = 5},
  [3695] = {.lex_state = 61, .external_lex_state = 5},
  [3696] = {.lex_state = 61, .external_lex_state = 5},
  [3697] = {.lex_state = 61, .external_lex_state = 5},
  [3698] = {.lex_state = 61, .external_lex_state = 5},
  [3699] = {.lex_state = 61, .external_lex_state = 5},
  [3700] = {.lex_state = 36, .external_lex_state = 5},
  [3701] = {.lex_state = 61, .external_lex_state = 5},
  [3702] = {.lex_state = 61, .external_lex_state = 5},
  [3703] = {.lex_state = 61, .external_lex_state = 5},
  [3704] = {.lex_state = 36, .external_lex_state = 5},
  [3705] = {.lex_state = 61, .external_lex_state = 5},
  [3706] = {.lex_state = 61, .external_lex_state = 5},
  [3707] = {.lex_state = 61, .external_lex_state = 5},
  [3708] = {.lex_state = 61, .external_lex_state = 5},
  [3709] = {.lex_state = 61, .external_lex_state = 5},
  [3710] = {.lex_state = 61, .external_lex_state = 5},
  [3711] = {.lex_state = 61, .external_lex_state = 5},
  [3712] = {.lex_state = 30, .external_lex_state = 5},
  [3713] = {.lex_state = 61, .external_lex_state = 5},
  [3714] = {.lex_state = 61, .external_lex_state = 6},
  [3715] = {.lex_state = 61, .external_lex_state = 5},
  [3716] = {.lex_state = 61, .external_lex_state = 5},
  [3717] = {.lex_state = 36, .external_lex_state = 5},
  [3718] = {.lex_state = 61, .external_lex_state = 5},
  [3719] = {.lex_state = 61, .external_lex_state = 5},
  [3720] = {.lex_state = 61, .external_lex_state = 5},
  [3721] = {.lex_state = 61, .external_lex_state = 5},
  [3722] = {.lex_state = 61, .external_lex_state = 5},
  [3723] = {.lex_state = 61, .external_lex_state = 5},
  [3724] = {.lex_state = 61, .external_lex_state = 5},
  [3725] = {.lex_state = 36, .external_lex_state = 5},
  [3726] = {.lex_state = 61, .external_lex_state = 5},
  [3727] = {.lex_state = 61, .external_lex_state = 5},
  [3728] = {.lex_state = 61, .external_lex_state = 5},
  [3729] = {.lex_state = 61, .external_lex_state = 5},
  [3730] = {.lex_state = 61, .external_lex_state = 5},
  [3731] = {.lex_state = 36, .external_lex_state = 5},
  [3732] = {.lex_state = 61, .external_lex_state = 5},
  [3733] = {.lex_state = 61, .external_lex_state = 5},
  [3734] = {.lex_state = 61, .external_lex_state = 5},
  [3735] = {.lex_state = 61, .external_lex_state = 5},
  [3736] = {.lex_state = 61, .external_lex_state = 5},
  [3737] = {.lex_state = 36, .external_lex_state = 5},
  [3738] = {.lex_state = 61, .external_lex_state = 5},
  [3739] = {.lex_state = 36, .external_lex_state = 5},
  [3740] = {.lex_state = 36, .external_lex_state = 5},
  [3741] = {.lex_state = 36, .external_lex_state = 5},
  [3742] = {.lex_state = 36, .external_lex_state = 5},
  [3743] = {.lex_state = 36, .external_lex_state = 5},
  [3744] = {.lex_state = 36, .external_lex_state = 5},
  [3745] = {.lex_state = 36, .external_lex_state = 5},
  [3746] = {.lex_state = 36, .external_lex_state = 5},
  [3747] = {.lex_state = 36, .external_lex_state = 5},
  [3748] = {.lex_state = 30, .external_lex_state = 5},
  [3749] = {.lex_state = 36, .external_lex_state = 5},
  [3750] = {.lex_state = 36, .external_lex_state = 5},
  [3751] = {.lex_state = 36, .external_lex_state = 5},
  [3752] = {.lex_state = 36, .external_lex_state = 5},
  [3753] = {.lex_state = 36, .external_lex_state = 5},
  [3754] = {.lex_state = 36, .external_lex_state = 5},
  [3755] = {.lex_state = 36, .external_lex_state = 5},
  [3756] = {.lex_state = 36, .external_lex_state = 5},
  [3757] = {.lex_state = 36, .external_lex_state = 5},
  [3758] = {.lex_state = 36, .external_lex_state = 5},
  [3759] = {.lex_state = 36, .external_lex_state = 5},
  [3760] = {.lex_state = 36, .external_lex_state = 5},
  [3761] = {.lex_state = 36, .external_lex_state = 5},
  [3762] = {.lex_state = 36, .external_lex_state = 5},
  [3763] = {.lex_state = 36, .external_lex_state = 5},
  [3764] = {.lex_state = 36, .external_lex_state = 5},
  [3765] = {.lex_state = 36, .external_lex_state = 5},
  [3766] = {.lex_state = 36, .external_lex_state = 5},
  [3767] = {.lex_state = 36, .external_lex_state = 5},
  [3768] = {.lex_state = 30, .external_lex_state = 5},
  [3769] = {.lex_state = 3, .external_lex_state = 5},
  [3770] = {.lex_state = 106, .external_lex_state = 5},
  [3771] = {.lex_state = 30, .external_lex_state = 5},
  [3772] = {.lex_state = 30, .external_lex_state = 5},
  [3773] = {.lex_state = 3, .external_lex_state = 5},
  [3774] = {.lex_state = 30, .external_lex_state = 5},
  [3775] = {.lex_state = 30, .external_lex_state = 5},
  [3776] = {.lex_state = 30, .external_lex_state = 5},
  [3777] = {.lex_state = 106, .external_lex_state = 5},
  [3778] = {.lex_state = 30, .external_lex_state = 5},
  [3779] = {.lex_state = 106, .external_lex_state = 5},
  [3780] = {.lex_state = 106, .external_lex_state = 5},
  [3781] = {.lex_state = 106, .external_lex_state = 5},
  [3782] = {.lex_state = 30, .external_lex_state = 5},
  [3783] = {.lex_state = 3, .external_lex_state = 5},
  [3784] = {.lex_state = 30, .external_lex_state = 5},
  [3785] = {.lex_state = 3, .external_lex_state = 5},
  [3786] = {.lex_state = 30, .external_lex_state = 5},
  [3787] = {.lex_state = 106, .external_lex_state = 5},
  [3788] = {.lex_state = 30, .external_lex_state = 5},
  [3789] = {.lex_state = 30, .external_lex_state = 5},
  [3790] = {.lex_state = 30, .external_lex_state = 5},
  [3791] = {.lex_state = 3, .external_lex_state = 5},
  [3792] = {.lex_state = 3, .external_lex_state = 5},
  [3793] = {.lex_state = 106, .external_lex_state = 5},
  [3794] = {.lex_state = 30, .external_lex_state = 5},
  [3795] = {.lex_state = 30, .external_lex_state = 5},
  [3796] = {.lex_state = 106, .external_lex_state = 5},
  [3797] = {.lex_state = 106, .external_lex_state = 5},
  [3798] = {.lex_state = 3, .external_lex_state = 5},
  [3799] = {.lex_state = 106, .external_lex_state = 5},
  [3800] = {.lex_state = 30, .external_lex_state = 5},
  [3801] = {.lex_state = 30, .external_lex_state = 5},
  [3802] = {.lex_state = 3, .external_lex_state = 5},
  [3803] = {.lex_state = 106, .external_lex_state = 5},
  [3804] = {.lex_state = 106, .external_lex_state = 5},
  [3805] = {.lex_state = 106, .external_lex_state = 5},
  [3806] = {.lex_state = 3, .external_lex_state = 5},
  [3807] = {.lex_state = 30, .external_lex_state = 5},
  [3808] = {.lex_state = 106, .external_lex_state = 5},
  [3809] = {.lex_state = 106, .external_lex_state = 5},
  [3810] = {.lex_state = 30, .external_lex_state = 5},
  [3811] = {.lex_state = 3, .external_lex_state = 5},
  [3812] = {.lex_state = 3, .external_lex_state = 5},
  [3813] = {.lex_state = 30, .external_lex_state = 5},
  [3814] = {.lex_state = 3, .external_lex_state = 5},
  [3815] = {.lex_state = 106, .external_lex_state = 5},
  [3816] = {.lex_state = 106, .external_lex_state = 5},
  [3817] = {.lex_state = 106, .external_lex_state = 5},
  [3818] = {.lex_state = 3, .external_lex_state = 5},
  [3819] = {.lex_state = 3, .external_lex_state = 5},
  [3820] = {.lex_state = 106, .external_lex_state = 5},
  [3821] = {.lex_state = 106, .external_lex_state = 5},
  [3822] = {.lex_state = 3, .external_lex_state = 5},
  [3823] = {.lex_state = 3, .external_lex_state = 5},
  [3824] = {.lex_state = 3, .external_lex_state = 5},
  [3825] = {.lex_state = 106, .external_lex_state = 5},
  [3826] = {.lex_state = 30, .external_lex_state = 5},
  [3827] = {.lex_state = 30, .external_lex_state = 5},
  [3828] = {.lex_state = 3, .external_lex_state = 5},
  [3829] = {.lex_state = 3, .external_lex_state = 5},
  [3830] = {.lex_state = 3, .external_lex_state = 5},
  [3831] = {.lex_state = 106, .external_lex_state = 5},
  [3832] = {.lex_state = 3, .external_lex_state = 5},
  [3833] = {.lex_state = 30, .external_lex_state = 5},
  [3834] = {.lex_state = 30, .external_lex_state = 5},
  [3835] = {.lex_state = 30, .external_lex_state = 5},
  [3836] = {.lex_state = 3, .external_lex_state = 5},
  [3837] = {.lex_state = 3, .external_lex_state = 5},
  [3838] = {.lex_state = 3, .external_lex_state = 5},
  [3839] = {.lex_state = 106, .external_lex_state = 5},
  [3840] = {.lex_state = 106, .external_lex_state = 5},
  [3841] = {.lex_state = 3, .external_lex_state = 5},
  [3842] = {.lex_state = 106, .external_lex_state = 5},
  [3843] = {.lex_state = 3, .external_lex_state = 5},
  [3844] = {.lex_state = 3, .external_lex_state = 5},
  [3845] = {.lex_state = 3, .external_lex_state = 5},
  [3846] = {.lex_state = 30, .external_lex_state = 5},
  [3847] = {.lex_state = 106, .external_lex_state = 5},
  [3848] = {.lex_state = 30, .external_lex_state = 5},
  [3849] = {.lex_state = 3, .external_lex_state = 5},
  [3850] = {.lex_state = 3, .external_lex_state = 5},
  [3851] = {.lex_state = 30, .external_lex_state = 5},
  [3852] = {.lex_state = 30, .external_lex_state = 5},
  [3853] = {.lex_state = 30, .external_lex_state = 5},
  [3854] = {.lex_state = 30, .external_lex_state = 5},
  [3855] = {.lex_state = 3, .external_lex_state = 5},
  [3856] = {.lex_state = 3, .external_lex_state = 5},
  [3857] = {.lex_state = 3, .external_lex_state = 5},
  [3858] = {.lex_state = 3, .external_lex_state = 5},
  [3859] = {.lex_state = 106, .external_lex_state = 5},
  [3860] = {.lex_state = 30, .external_lex_state = 5},
  [3861] = {.lex_state = 106, .external_lex_state = 5},
  [3862] = {.lex_state = 3, .external_lex_state = 5},
  [3863] = {.lex_state = 3, .external_lex_state = 5},
  [3864] = {.lex_state = 3, .external_lex_state = 5},
  [3865] = {.lex_state = 3, .external_lex_state = 5},
  [3866] = {.lex_state = 106, .external_lex_state = 5},
  [3867] = {.lex_state = 30, .external_lex_state = 5},
  [3868] = {.lex_state = 30, .external_lex_state = 5},
  [3869] = {.lex_state = 3, .external_lex_state = 5},
  [3870] = {.lex_state = 3, .external_lex_state = 5},
  [3871] = {.lex_state = 30, .external_lex_state = 5},
  [3872] = {.lex_state = 30, .external_lex_state = 5},
  [3873] = {.lex_state = 30, .external_lex_state = 5},
  [3874] = {.lex_state = 3, .external_lex_state = 5},
  [3875] = {.lex_state = 3, .external_lex_state = 5},
  [3876] = {.lex_state = 30, .external_lex_state = 5},
  [3877] = {.lex_state = 106, .external_lex_state = 5},
  [3878] = {.lex_state = 3, .external_lex_state = 5},
  [3879] = {.lex_state = 3, .external_lex_state = 5},
  [3880] = {.lex_state = 30, .external_lex_state = 5},
  [3881] = {.lex_state = 3, .external_lex_state = 5},
  [3882] = {.lex_state = 3, .external_lex_state = 5},
  [3883] = {.lex_state = 3, .external_lex_state = 5},
  [3884] = {.lex_state = 30, .external_lex_state = 5},
  [3885] = {.lex_state = 30, .external_lex_state = 5},
  [3886] = {.lex_state = 3, .external_lex_state = 5},
  [3887] = {.lex_state = 3, .external_lex_state = 5},
  [3888] = {.lex_state = 106, .external_lex_state = 5},
  [3889] = {.lex_state = 3, .external_lex_state = 5},
  [3890] = {.lex_state = 30, .external_lex_state = 5},
  [3891] = {.lex_state = 30, .external_lex_state = 5},
  [3892] = {.lex_state = 3, .external_lex_state = 5},
  [3893] = {.lex_state = 30, .external_lex_state = 5},
  [3894] = {.lex_state = 3, .external_lex_state = 5},
  [3895] = {.lex_state = 106, .external_lex_state = 5},
  [3896] = {.lex_state = 3, .external_lex_state = 5},
  [3897] = {.lex_state = 3, .external_lex_state = 5},
  [3898] = {.lex_state = 3, .external_lex_state = 5},
  [3899] = {.lex_state = 3, .external_lex_state = 5},
  [3900] = {.lex_state = 106, .external_lex_state = 5},
  [3901] = {.lex_state = 3, .external_lex_state = 5},
  [3902] = {.lex_state = 3, .external_lex_state = 5},
  [3903] = {.lex_state = 3, .external_lex_state = 5},
  [3904] = {.lex_state = 3, .external_lex_state = 5},
  [3905] = {.lex_state = 3, .external_lex_state = 5},
  [3906] = {.lex_state = 3, .external_lex_state = 5},
  [3907] = {.lex_state = 3, .external_lex_state = 5},
  [3908] = {.lex_state = 3, .external_lex_state = 5},
  [3909] = {.lex_state = 3, .external_lex_state = 5},
  [3910] = {.lex_state = 3, .external_lex_state = 5},
  [3911] = {.lex_state = 3, .external_lex_state = 5},
  [3912] = {.lex_state = 106, .external_lex_state = 5},
  [3913] = {.lex_state = 30, .external_lex_state = 5},
  [3914] = {.lex_state = 30, .external_lex_state = 5},
  [3915] = {.lex_state = 3, .external_lex_state = 5},
  [3916] = {.lex_state = 30, .external_lex_state = 5},
  [3917] = {.lex_state = 30, .external_lex_state = 5},
  [3918] = {.lex_state = 30, .external_lex_state = 5},
  [3919] = {.lex_state = 30, .external_lex_state = 5},
  [3920] = {.lex_state = 30, .external_lex_state = 5},
  [3921] = {.lex_state = 30, .external_lex_state = 5},
  [3922] = {.lex_state = 36, .external_lex_state = 5},
  [3923] = {.lex_state = 98, .external_lex_state = 3},
  [3924] = {.lex_state = 98, .external_lex_state = 3},
  [3925] = {.lex_state = 98, .external_lex_state = 3},
  [3926] = {.lex_state = 98, .external_lex_state = 3},
  [3927] = {.lex_state = 36, .external_lex_state = 5},
  [3928] = {.lex_state = 30, .external_lex_state = 5},
  [3929] = {.lex_state = 34, .external_lex_state = 5},
  [3930] = {.lex_state = 34, .external_lex_state = 5},
  [3931] = {.lex_state = 34, .external_lex_state = 5},
  [3932] = {.lex_state = 83, .external_lex_state = 10},
  [3933] = {.lex_state = 98, .external_lex_state = 3},
  [3934] = {.lex_state = 34, .external_lex_state = 5},
  [3935] = {.lex_state = 34, .external_lex_state = 5},
  [3936] = {.lex_state = 35, .external_lex_state = 5},
  [3937] = {.lex_state = 69, .external_lex_state = 5},
  [3938] = {.lex_state = 36, .external_lex_state = 5},
  [3939] = {.lex_state = 34, .external_lex_state = 5},
  [3940] = {.lex_state = 35, .external_lex_state = 5},
  [3941] = {.lex_state = 34, .external_lex_state = 5},
  [3942] = {.lex_state = 34, .external_lex_state = 5},
  [3943] = {.lex_state = 83, .external_lex_state = 10},
  [3944] = {.lex_state = 83, .external_lex_state = 10},
  [3945] = {.lex_state = 34, .external_lex_state = 5},
  [3946] = {.lex_state = 34, .external_lex_state = 5},
  [3947] = {.lex_state = 36, .external_lex_state = 5},
  [3948] = {.lex_state = 35, .external_lex_state = 5},
  [3949] = {.lex_state = 35, .external_lex_state = 5},
  [3950] = {.lex_state = 36, .external_lex_state = 5},
  [3951] = {.lex_state = 35, .external_lex_state = 5},
  [3952] = {.lex_state = 34, .external_lex_state = 5},
  [3953] = {.lex_state = 35, .external_lex_state = 5},
  [3954] = {.lex_state = 34, .external_lex_state = 5},
  [3955] = {.lex_state = 34, .external_lex_state = 5},
  [3956] = {.lex_state = 35, .external_lex_state = 5},
  [3957] = {.lex_state = 35, .external_lex_state = 5},
  [3958] = {.lex_state = 35, .external_lex_state = 5},
  [3959] = {.lex_state = 35, .external_lex_state = 5},
  [3960] = {.lex_state = 34, .external_lex_state = 5},
  [3961] = {.lex_state = 34, .external_lex_state = 5},
  [3962] = {.lex_state = 35, .external_lex_state = 5},
  [3963] = {.lex_state = 34, .external_lex_state = 5},
  [3964] = {.lex_state = 34, .external_lex_state = 5},
  [3965] = {.lex_state = 34, .external_lex_state = 5},
  [3966] = {.lex_state = 30, .external_lex_state = 5},
  [3967] = {.lex_state = 34, .external_lex_state = 5},
  [3968] = {.lex_state = 35, .external_lex_state = 5},
  [3969] = {.lex_state = 34, .external_lex_state = 5},
  [3970] = {.lex_state = 34, .external_lex_state = 5},
  [3971] = {.lex_state = 36, .external_lex_state = 5},
  [3972] = {.lex_state = 35, .external_lex_state = 5},
  [3973] = {.lex_state = 34, .external_lex_state = 5},
  [3974] = {.lex_state = 36, .external_lex_state = 5},
  [3975] = {.lex_state = 34, .external_lex_state = 5},
  [3976] = {.lex_state = 35, .external_lex_state = 5},
  [3977] = {.lex_state = 36, .external_lex_state = 5},
  [3978] = {.lex_state = 34, .external_lex_state = 5},
  [3979] = {.lex_state = 34, .external_lex_state = 5},
  [3980] = {.lex_state = 35, .external_lex_state = 5},
  [3981] = {.lex_state = 35, .external_lex_state = 5},
  [3982] = {.lex_state = 99, .external_lex_state = 3},
  [3983] = {.lex_state = 30, .external_lex_state = 5},
  [3984] = {.lex_state = 99, .external_lex_state = 3},
  [3985] = {.lex_state = 99, .external_lex_state = 3},
  [3986] = {.lex_state = 30, .external_lex_state = 5},
  [3987] = {.lex_state = 36, .external_lex_state = 5},
  [3988] = {.lex_state = 30, .external_lex_state = 5},
  [3989] = {.lex_state = 99, .external_lex_state = 3},
  [3990] = {.lex_state = 69, .external_lex_state = 5},
  [3991] = {.lex_state = 30, .external_lex_state = 5},
  [3992] = {.lex_state = 83, .external_lex_state = 10},
  [3993] = {.lex_state = 30, .external_lex_state = 6},
  [3994] = {.lex_state = 30, .external_lex_state = 5},
  [3995] = {.lex_state = 30, .external_lex_state = 5},
  [3996] = {.lex_state = 30, .external_lex_state = 5},
  [3997] = {.lex_state = 19, .external_lex_state = 9},
  [3998] = {.lex_state = 19, .external_lex_state = 9},
  [3999] = {.lex_state = 30, .external_lex_state = 5},
  [4000] = {.lex_state = 30, .external_lex_state = 5},
  [4001] = {.lex_state = 83, .external_lex_state = 10},
  [4002] = {.lex_state = 30, .external_lex_state = 5},
  [4003] = {.lex_state = 19, .external_lex_state = 9},
  [4004] = {.lex_state = 30, .external_lex_state = 5},
  [4005] = {.lex_state = 30, .external_lex_state = 5},
  [4006] = {.lex_state = 30, .external_lex_state = 5},
  [4007] = {.lex_state = 30, .external_lex_state = 6},
  [4008] = {.lex_state = 34, .external_lex_state = 5},
  [4009] = {.lex_state = 34, .external_lex_state = 5},
  [4010] = {.lex_state = 34, .external_lex_state = 5},
  [4011] = {.lex_state = 69, .external_lex_state = 5},
  [4012] = {.lex_state = 34, .external_lex_state = 5},
  [4013] = {.lex_state = 34, .external_lex_state = 5},
  [4014] = {.lex_state = 36, .external_lex_state = 5},
  [4015] = {.lex_state = 34, .external_lex_state = 5},
  [4016] = {.lex_state = 34, .external_lex_state = 5},
  [4017] = {.lex_state = 34, .external_lex_state = 5},
  [4018] = {.lex_state = 98, .external_lex_state = 3},
  [4019] = {.lex_state = 69, .external_lex_state = 5},
  [4020] = {.lex_state = 34, .external_lex_state = 5},
  [4021] = {.lex_state = 34, .external_lex_state = 5},
  [4022] = {.lex_state = 34, .external_lex_state = 5},
  [4023] = {.lex_state = 36, .external_lex_state = 5},
  [4024] = {.lex_state = 34, .external_lex_state = 5},
  [4025] = {.lex_state = 36, .external_lex_state = 5},
  [4026] = {.lex_state = 34, .external_lex_state = 5},
  [4027] = {.lex_state = 34, .external_lex_state = 5},
  [4028] = {.lex_state = 34, .external_lex_state = 5},
  [4029] = {.lex_state = 36, .external_lex_state = 5},
  [4030] = {.lex_state = 34, .external_lex_state = 5},
  [4031] = {.lex_state = 98, .external_lex_state = 3},
  [4032] = {.lex_state = 36, .external_lex_state = 5},
  [4033] = {.lex_state = 34, .external_lex_state = 5},
  [4034] = {.lex_state = 34, .external_lex_state = 5},
  [4035] = {.lex_state = 34, .external_lex_state = 5},
  [4036] = {.lex_state = 36, .external_lex_state = 5},
  [4037] = {.lex_state = 34, .external_lex_state = 5},
  [4038] = {.lex_state = 34, .external_lex_state = 5},
  [4039] = {.lex_state = 34, .external_lex_state = 5},
  [4040] = {.lex_state = 34, .external_lex_state = 5},
  [4041] = {.lex_state = 34, .external_lex_state = 5},
  [4042] = {.lex_state = 34, .external_lex_state = 5},
  [4043] = {.lex_state = 34, .external_lex_state = 5},
  [4044] = {.lex_state = 34, .external_lex_state = 5},
  [4045] = {.lex_state = 34, .external_lex_state = 5},
  [4046] = {.lex_state = 34, .external_lex_state = 5},
  [4047] = {.lex_state = 34, .external_lex_state = 5},
  [4048] = {.lex_state = 36, .external_lex_state = 5},
  [4049] = {.lex_state = 34, .external_lex_state = 5},
  [4050] = {.lex_state = 34, .external_lex_state = 5},
  [4051] = {.lex_state = 34, .external_lex_state = 5},
  [4052] = {.lex_state = 34, .external_lex_state = 5},
  [4053] = {.lex_state = 83, .external_lex_state = 10},
  [4054] = {.lex_state = 34, .external_lex_state = 5},
  [4055] = {.lex_state = 36, .external_lex_state = 5},
  [4056] = {.lex_state = 36, .external_lex_state = 5},
  [4057] = {.lex_state = 34, .external_lex_state = 5},
  [4058] = {.lex_state = 34, .external_lex_state = 5},
  [4059] = {.lex_state = 34, .external_lex_state = 5},
  [4060] = {.lex_state = 34, .external_lex_state = 5},
  [4061] = {.lex_state = 34, .external_lex_state = 5},
  [4062] = {.lex_state = 34, .external_lex_state = 5},
  [4063] = {.lex_state = 34, .external_lex_state = 5},
  [4064] = {.lex_state = 34, .external_lex_state = 5},
  [4065] = {.lex_state = 34, .external_lex_state = 5},
  [4066] = {.lex_state = 34, .external_lex_state = 5},
  [4067] = {.lex_state = 34, .external_lex_state = 5},
  [4068] = {.lex_state = 34, .external_lex_state = 5},
  [4069] = {.lex_state = 34, .external_lex_state = 5},
  [4070] = {.lex_state = 34, .external_lex_state = 5},
  [4071] = {.lex_state = 34, .external_lex_state = 5},
  [4072] = {.lex_state = 34, .external_lex_state = 5},
  [4073] = {.lex_state = 34, .external_lex_state = 5},
  [4074] = {.lex_state = 34, .external_lex_state = 5},
  [4075] = {.lex_state = 34, .external_lex_state = 5},
  [4076] = {.lex_state = 34, .external_lex_state = 5},
  [4077] = {.lex_state = 98, .external_lex_state = 3},
  [4078] = {.lex_state = 34, .external_lex_state = 5},
  [4079] = {.lex_state = 98, .external_lex_state = 3},
  [4080] = {.lex_state = 34, .external_lex_state = 5},
  [4081] = {.lex_state = 34, .external_lex_state = 5},
  [4082] = {.lex_state = 36, .external_lex_state = 5},
  [4083] = {.lex_state = 34, .external_lex_state = 5},
  [4084] = {.lex_state = 34, .external_lex_state = 5},
  [4085] = {.lex_state = 36, .external_lex_state = 5},
  [4086] = {.lex_state = 34, .external_lex_state = 5},
  [4087] = {.lex_state = 36, .external_lex_state = 5},
  [4088] = {.lex_state = 34, .external_lex_state = 5},
  [4089] = {.lex_state = 34, .external_lex_state = 5},
  [4090] = {.lex_state = 34, .external_lex_state = 5},
  [4091] = {.lex_state = 69, .external_lex_state = 5},
  [4092] = {.lex_state = 34, .external_lex_state = 5},
  [4093] = {.lex_state = 34, .external_lex_state = 5},
  [4094] = {.lex_state = 34, .external_lex_state = 5},
  [4095] = {.lex_state = 34, .external_lex_state = 5},
  [4096] = {.lex_state = 36, .external_lex_state = 5},
  [4097] = {.lex_state = 36, .external_lex_state = 5},
  [4098] = {.lex_state = 34, .external_lex_state = 5},
  [4099] = {.lex_state = 34, .external_lex_state = 5},
  [4100] = {.lex_state = 34, .external_lex_state = 5},
  [4101] = {.lex_state = 69, .external_lex_state = 5},
  [4102] = {.lex_state = 98, .external_lex_state = 3},
  [4103] = {.lex_state = 36, .external_lex_state = 5},
  [4104] = {.lex_state = 34, .external_lex_state = 5},
  [4105] = {.lex_state = 34, .external_lex_state = 5},
  [4106] = {.lex_state = 34, .external_lex_state = 5},
  [4107] = {.lex_state = 34, .external_lex_state = 5},
  [4108] = {.lex_state = 98, .external_lex_state = 3},
  [4109] = {.lex_state = 34, .external_lex_state = 5},
  [4110] = {.lex_state = 34, .external_lex_state = 5},
  [4111] = {.lex_state = 36, .external_lex_state = 5},
  [4112] = {.lex_state = 34, .external_lex_state = 5},
  [4113] = {.lex_state = 34, .external_lex_state = 5},
  [4114] = {.lex_state = 34, .external_lex_state = 5},
  [4115] = {.lex_state = 98, .external_lex_state = 3},
  [4116] = {.lex_state = 34, .external_lex_state = 5},
  [4117] = {.lex_state = 34, .external_lex_state = 5},
  [4118] = {.lex_state = 34, .external_lex_state = 5},
  [4119] = {.lex_state = 34, .external_lex_state = 5},
  [4120] = {.lex_state = 34, .external_lex_state = 5},
  [4121] = {.lex_state = 34, .external_lex_state = 5},
  [4122] = {.lex_state = 100, .external_lex_state = 5},
  [4123] = {.lex_state = 83, .external_lex_state = 10},
  [4124] = {.lex_state = 30, .external_lex_state = 6},
  [4125] = {.lex_state = 100, .external_lex_state = 5},
  [4126] = {.lex_state = 100, .external_lex_state = 5},
  [4127] = {.lex_state = 99, .external_lex_state = 3},
  [4128] = {.lex_state = 83, .external_lex_state = 10},
  [4129] = {.lex_state = 83, .external_lex_state = 10},
  [4130] = {.lex_state = 83, .external_lex_state = 10},
  [4131] = {.lex_state = 83, .external_lex_state = 10},
  [4132] = {.lex_state = 30, .external_lex_state = 6},
  [4133] = {.lex_state = 30, .external_lex_state = 6},
  [4134] = {.lex_state = 25, .external_lex_state = 5},
  [4135] = {.lex_state = 25, .external_lex_state = 5},
  [4136] = {.lex_state = 30, .external_lex_state = 6},
  [4137] = {.lex_state = 25, .external_lex_state = 5},
  [4138] = {.lex_state = 30, .external_lex_state = 6},
  [4139] = {.lex_state = 30, .external_lex_state = 6},
  [4140] = {.lex_state = 30, .external_lex_state = 6},
  [4141] = {.lex_state = 100, .external_lex_state = 5},
  [4142] = {.lex_state = 30, .external_lex_state = 6},
  [4143] = {.lex_state = 11, .external_lex_state = 5},
  [4144] = {.lex_state = 25, .external_lex_state = 5},
  [4145] = {.lex_state = 25, .external_lex_state = 5},
  [4146] = {.lex_state = 98, .external_lex_state = 3},
  [4147] = {.lex_state = 98, .external_lex_state = 3},
  [4148] = {.lex_state = 25, .external_lex_state = 5},
  [4149] = {.lex_state = 25, .external_lex_state = 5},
  [4150] = {.lex_state = 25, .external_lex_state = 5},
  [4151] = {.lex_state = 25, .external_lex_state = 5},
  [4152] = {.lex_state = 25, .external_lex_state = 5},
  [4153] = {.lex_state = 25, .external_lex_state = 5},
  [4154] = {.lex_state = 25, .external_lex_state = 5},
  [4155] = {.lex_state = 25, .external_lex_state = 5},
  [4156] = {.lex_state = 30, .external_lex_state = 6},
  [4157] = {.lex_state = 25, .external_lex_state = 5},
  [4158] = {.lex_state = 30, .external_lex_state = 5},
  [4159] = {.lex_state = 25, .external_lex_state = 5},
  [4160] = {.lex_state = 25, .external_lex_state = 5},
  [4161] = {.lex_state = 30, .external_lex_state = 6},
  [4162] = {.lex_state = 30, .external_lex_state = 6},
  [4163] = {.lex_state = 25, .external_lex_state = 5},
  [4164] = {.lex_state = 25, .external_lex_state = 5},
  [4165] = {.lex_state = 25, .external_lex_state = 5},
  [4166] = {.lex_state = 25, .external_lex_state = 5},
  [4167] = {.lex_state = 25, .external_lex_state = 5},
  [4168] = {.lex_state = 25, .external_lex_state = 5},
  [4169] = {.lex_state = 25, .external_lex_state = 5},
  [4170] = {.lex_state = 25, .external_lex_state = 5},
  [4171] = {.lex_state = 25, .external_lex_state = 5},
  [4172] = {.lex_state = 25, .external_lex_state = 5},
  [4173] = {.lex_state = 25, .external_lex_state = 5},
  [4174] = {.lex_state = 25, .external_lex_state = 5},
  [4175] = {.lex_state = 30, .external_lex_state = 6},
  [4176] = {.lex_state = 25, .external_lex_state = 5},
  [4177] = {.lex_state = 25, .external_lex_state = 5},
  [4178] = {.lex_state = 99, .external_lex_state = 3},
  [4179] = {.lex_state = 25, .external_lex_state = 5},
  [4180] = {.lex_state = 11, .external_lex_state = 5},
  [4181] = {.lex_state = 30, .external_lex_state = 6},
  [4182] = {.lex_state = 30, .external_lex_state = 6},
  [4183] = {.lex_state = 25, .external_lex_state = 5},
  [4184] = {.lex_state = 25, .external_lex_state = 5},
  [4185] = {.lex_state = 30, .external_lex_state = 6},
  [4186] = {.lex_state = 53, .external_lex_state = 5},
  [4187] = {.lex_state = 53, .external_lex_state = 5},
  [4188] = {.lex_state = 53, .external_lex_state = 5},
  [4189] = {.lex_state = 30, .external_lex_state = 6},
  [4190] = {.lex_state = 53, .external_lex_state = 5},
  [4191] = {.lex_state = 30, .external_lex_state = 6},
  [4192] = {.lex_state = 25, .external_lex_state = 5},
  [4193] = {.lex_state = 30, .external_lex_state = 6},
  [4194] = {.lex_state = 25, .external_lex_state = 5},
  [4195] = {.lex_state = 25, .external_lex_state = 5},
  [4196] = {.lex_state = 53, .external_lex_state = 5},
  [4197] = {.lex_state = 25, .external_lex_state = 5},
  [4198] = {.lex_state = 25, .external_lex_state = 5},
  [4199] = {.lex_state = 25, .external_lex_state = 5},
  [4200] = {.lex_state = 53, .external_lex_state = 5},
  [4201] = {.lex_state = 53, .external_lex_state = 5},
  [4202] = {.lex_state = 53, .external_lex_state = 5},
  [4203] = {.lex_state = 53, .external_lex_state = 5},
  [4204] = {.lex_state = 30, .external_lex_state = 6},
  [4205] = {.lex_state = 53, .external_lex_state = 5},
  [4206] = {.lex_state = 30, .external_lex_state = 6},
  [4207] = {.lex_state = 798, .external_lex_state = 5},
  [4208] = {.lex_state = 30, .external_lex_state = 6},
  [4209] = {.lex_state = 99, .external_lex_state = 3},
  [4210] = {.lex_state = 30, .external_lex_state = 6},
  [4211] = {.lex_state = 798, .external_lex_state = 6},
  [4212] = {.lex_state = 30, .external_lex_state = 6},
  [4213] = {.lex_state = 99, .external_lex_state = 3},
  [4214] = {.lex_state = 99, .external_lex_state = 3},
  [4215] = {.lex_state = 99, .external_lex_state = 3},
  [4216] = {.lex_state = 53, .external_lex_state = 5},
  [4217] = {.lex_state = 53, .external_lex_state = 5},
  [4218] = {.lex_state = 25, .external_lex_state = 5},
  [4219] = {.lex_state = 5, .external_lex_state = 5},
  [4220] = {.lex_state = 53, .external_lex_state = 6},
  [4221] = {.lex_state = 35, .external_lex_state = 5},
  [4222] = {.lex_state = 5, .external_lex_state = 5},
  [4223] = {.lex_state = 5, .external_lex_state = 5},
  [4224] = {.lex_state = 53, .external_lex_state = 5},
  [4225] = {.lex_state = 5, .external_lex_state = 5},
  [4226] = {.lex_state = 30, .external_lex_state = 5},
  [4227] = {.lex_state = 5, .external_lex_state = 5},
  [4228] = {.lex_state = 5, .external_lex_state = 5},
  [4229] = {.lex_state = 53, .external_lex_state = 6},
  [4230] = {.lex_state = 101, .external_lex_state = 5},
  [4231] = {.lex_state = 5, .external_lex_state = 5},
  [4232] = {.lex_state = 5, .external_lex_state = 5},
  [4233] = {.lex_state = 5, .external_lex_state = 5},
  [4234] = {.lex_state = 35, .external_lex_state = 5},
  [4235] = {.lex_state = 5, .external_lex_state = 5},
  [4236] = {.lex_state = 53, .external_lex_state = 6},
  [4237] = {.lex_state = 5, .external_lex_state = 5},
  [4238] = {.lex_state = 5, .external_lex_state = 5},
  [4239] = {.lex_state = 5, .external_lex_state = 5},
  [4240] = {.lex_state = 798, .external_lex_state = 6},
  [4241] = {.lex_state = 5, .external_lex_state = 5},
  [4242] = {.lex_state = 5, .external_lex_state = 5},
  [4243] = {.lex_state = 53, .external_lex_state = 5},
  [4244] = {.lex_state = 798, .external_lex_state = 6},
  [4245] = {.lex_state = 5, .external_lex_state = 5},
  [4246] = {.lex_state = 53, .external_lex_state = 6},
  [4247] = {.lex_state = 35, .external_lex_state = 5},
  [4248] = {.lex_state = 5, .external_lex_state = 5},
  [4249] = {.lex_state = 5, .external_lex_state = 5},
  [4250] = {.lex_state = 5, .external_lex_state = 5},
  [4251] = {.lex_state = 30, .external_lex_state = 6},
  [4252] = {.lex_state = 5, .external_lex_state = 5},
  [4253] = {.lex_state = 53, .external_lex_state = 6},
  [4254] = {.lex_state = 53, .external_lex_state = 3},
  [4255] = {.lex_state = 5, .external_lex_state = 5},
  [4256] = {.lex_state = 35, .external_lex_state = 5},
  [4257] = {.lex_state = 53, .external_lex_state = 5},
  [4258] = {.lex_state = 53, .external_lex_state = 6},
  [4259] = {.lex_state = 5, .external_lex_state = 5},
  [4260] = {.lex_state = 5, .external_lex_state = 5},
  [4261] = {.lex_state = 798, .external_lex_state = 5},
  [4262] = {.lex_state = 5, .external_lex_state = 5},
  [4263] = {.lex_state = 5, .external_lex_state = 5},
  [4264] = {.lex_state = 798, .external_lex_state = 11},
  [4265] = {.lex_state = 798, .external_lex_state = 6},
  [4266] = {.lex_state = 798, .external_lex_state = 6},
  [4267] = {.lex_state = 798, .external_lex_state = 6},
  [4268] = {.lex_state = 5, .external_lex_state = 5},
  [4269] = {.lex_state = 30, .external_lex_state = 5},
  [4270] = {.lex_state = 53, .external_lex_state = 6},
  [4271] = {.lex_state = 798, .external_lex_state = 6},
  [4272] = {.lex_state = 5, .external_lex_state = 5},
  [4273] = {.lex_state = 798, .external_lex_state = 5},
  [4274] = {.lex_state = 53, .external_lex_state = 6},
  [4275] = {.lex_state = 53, .external_lex_state = 5},
  [4276] = {.lex_state = 5, .external_lex_state = 5},
  [4277] = {.lex_state = 5, .external_lex_state = 5},
  [4278] = {.lex_state = 5, .external_lex_state = 5},
  [4279] = {.lex_state = 53, .external_lex_state = 6},
  [4280] = {.lex_state = 798, .external_lex_state = 6},
  [4281] = {.lex_state = 5, .external_lex_state = 5},
  [4282] = {.lex_state = 5, .external_lex_state = 5},
  [4283] = {.lex_state = 5, .external_lex_state = 5},
  [4284] = {.lex_state = 53, .external_lex_state = 3},
  [4285] = {.lex_state = 798, .external_lex_state = 5},
  [4286] = {.lex_state = 53, .external_lex_state = 5},
  [4287] = {.lex_state = 5, .external_lex_state = 5},
  [4288] = {.lex_state = 5, .external_lex_state = 5},
  [4289] = {.lex_state = 5, .external_lex_state = 5},
  [4290] = {.lex_state = 53, .external_lex_state = 6},
  [4291] = {.lex_state = 5, .external_lex_state = 5},
  [4292] = {.lex_state = 5, .external_lex_state = 5},
  [4293] = {.lex_state = 5, .external_lex_state = 5},
  [4294] = {.lex_state = 5, .external_lex_state = 5},
  [4295] = {.lex_state = 798, .external_lex_state = 10},
  [4296] = {.lex_state = 23, .external_lex_state = 5},
  [4297] = {.lex_state = 798, .external_lex_state = 3},
  [4298] = {.lex_state = 30, .external_lex_state = 5},
  [4299] = {.lex_state = 30, .external_lex_state = 5},
  [4300] = {.lex_state = 798, .external_lex_state = 6},
  [4301] = {.lex_state = 798, .external_lex_state = 6},
  [4302] = {.lex_state = 10, .external_lex_state = 5},
  [4303] = {.lex_state = 8, .external_lex_state = 5},
  [4304] = {.lex_state = 798, .external_lex_state = 6},
  [4305] = {.lex_state = 23, .external_lex_state = 5},
  [4306] = {.lex_state = 8, .external_lex_state = 5},
  [4307] = {.lex_state = 22, .external_lex_state = 5},
  [4308] = {.lex_state = 36, .external_lex_state = 5},
  [4309] = {.lex_state = 798, .external_lex_state = 5},
  [4310] = {.lex_state = 36, .external_lex_state = 5},
  [4311] = {.lex_state = 798, .external_lex_state = 6},
  [4312] = {.lex_state = 798, .external_lex_state = 6},
  [4313] = {.lex_state = 53, .external_lex_state = 6},
  [4314] = {.lex_state = 798, .external_lex_state = 5},
  [4315] = {.lex_state = 798, .external_lex_state = 5},
  [4316] = {.lex_state = 798, .external_lex_state = 5},
  [4317] = {.lex_state = 30, .external_lex_state = 5},
  [4318] = {.lex_state = 798, .external_lex_state = 6},
  [4319] = {.lex_state = 798, .external_lex_state = 6},
  [4320] = {.lex_state = 798, .external_lex_state = 6},
  [4321] = {.lex_state = 798, .external_lex_state = 6},
  [4322] = {.lex_state = 798, .external_lex_state = 6},
  [4323] = {.lex_state = 798, .external_lex_state = 6},
  [4324] = {.lex_state = 798, .external_lex_state = 6},
  [4325] = {.lex_state = 798, .external_lex_state = 6},
  [4326] = {.lex_state = 798, .external_lex_state = 6},
  [4327] = {.lex_state = 798, .external_lex_state = 6},
  [4328] = {.lex_state = 798, .external_lex_state = 6},
  [4329] = {.lex_state = 798, .external_lex_state = 5},
  [4330] = {.lex_state = 798, .external_lex_state = 6},
  [4331] = {.lex_state = 798, .external_lex_state = 6},
  [4332] = {.lex_state = 798, .external_lex_state = 10},
  [4333] = {.lex_state = 798, .external_lex_state = 5},
  [4334] = {.lex_state = 798, .external_lex_state = 6},
  [4335] = {.lex_state = 36, .external_lex_state = 5},
  [4336] = {.lex_state = 23, .external_lex_state = 5},
  [4337] = {.lex_state = 798, .external_lex_state = 5},
  [4338] = {.lex_state = 798, .external_lex_state = 6},
  [4339] = {.lex_state = 798, .external_lex_state = 5},
  [4340] = {.lex_state = 798, .external_lex_state = 5},
  [4341] = {.lex_state = 798, .external_lex_state = 6},
  [4342] = {.lex_state = 798, .external_lex_state = 6},
  [4343] = {.lex_state = 8, .external_lex_state = 5},
  [4344] = {.lex_state = 798, .external_lex_state = 6},
  [4345] = {.lex_state = 798, .external_lex_state = 6},
  [4346] = {.lex_state = 798, .external_lex_state = 3},
  [4347] = {.lex_state = 798, .external_lex_state = 6},
  [4348] = {.lex_state = 798, .external_lex_state = 6},
  [4349] = {.lex_state = 798, .external_lex_state = 6},
  [4350] = {.lex_state = 798, .external_lex_state = 6},
  [4351] = {.lex_state = 8, .external_lex_state = 5},
  [4352] = {.lex_state = 798, .external_lex_state = 5},
  [4353] = {.lex_state = 23, .external_lex_state = 5},
  [4354] = {.lex_state = 798, .external_lex_state = 6},
  [4355] = {.lex_state = 8, .external_lex_state = 5},
  [4356] = {.lex_state = 798, .external_lex_state = 3},
  [4357] = {.lex_state = 798, .external_lex_state = 6},
  [4358] = {.lex_state = 798, .external_lex_state = 5},
  [4359] = {.lex_state = 22, .external_lex_state = 5},
  [4360] = {.lex_state = 798, .external_lex_state = 5},
  [4361] = {.lex_state = 30, .external_lex_state = 5},
  [4362] = {.lex_state = 798, .external_lex_state = 6},
  [4363] = {.lex_state = 798, .external_lex_state = 6},
  [4364] = {.lex_state = 36, .external_lex_state = 5},
  [4365] = {.lex_state = 798, .external_lex_state = 6},
  [4366] = {.lex_state = 8, .external_lex_state = 5},
  [4367] = {.lex_state = 23, .external_lex_state = 5},
  [4368] = {.lex_state = 8, .external_lex_state = 5},
  [4369] = {.lex_state = 8, .external_lex_state = 5},
  [4370] = {.lex_state = 798, .external_lex_state = 6},
  [4371] = {.lex_state = 99, .external_lex_state = 5},
  [4372] = {.lex_state = 30, .external_lex_state = 5},
  [4373] = {.lex_state = 30, .external_lex_state = 5},
  [4374] = {.lex_state = 24, .external_lex_state = 5},
  [4375] = {.lex_state = 24, .external_lex_state = 5},
  [4376] = {.lex_state = 798, .external_lex_state = 5},
  [4377] = {.lex_state = 798, .external_lex_state = 5},
  [4378] = {.lex_state = 798, .external_lex_state = 5},
  [4379] = {.lex_state = 798, .external_lex_state = 10},
  [4380] = {.lex_state = 798, .external_lex_state = 6},
  [4381] = {.lex_state = 798, .external_lex_state = 5},
  [4382] = {.lex_state = 22, .external_lex_state = 5},
  [4383] = {.lex_state = 798, .external_lex_state = 6},
  [4384] = {.lex_state = 798, .external_lex_state = 6},
  [4385] = {.lex_state = 24, .external_lex_state = 5},
  [4386] = {.lex_state = 798, .external_lex_state = 5},
  [4387] = {.lex_state = 36, .external_lex_state = 5},
  [4388] = {.lex_state = 36, .external_lex_state = 5},
  [4389] = {.lex_state = 30, .external_lex_state = 5},
  [4390] = {.lex_state = 8, .external_lex_state = 5},
  [4391] = {.lex_state = 798, .external_lex_state = 10},
  [4392] = {.lex_state = 69, .external_lex_state = 5},
  [4393] = {.lex_state = 798, .external_lex_state = 5},
  [4394] = {.lex_state = 24, .external_lex_state = 5},
  [4395] = {.lex_state = 798, .external_lex_state = 6},
  [4396] = {.lex_state = 798, .external_lex_state = 6},
  [4397] = {.lex_state = 798, .external_lex_state = 6},
  [4398] = {.lex_state = 798, .external_lex_state = 6},
  [4399] = {.lex_state = 8, .external_lex_state = 5},
  [4400] = {.lex_state = 798, .external_lex_state = 6},
  [4401] = {.lex_state = 798, .external_lex_state = 6},
  [4402] = {.lex_state = 798, .external_lex_state = 6},
  [4403] = {.lex_state = 798, .external_lex_state = 5},
  [4404] = {.lex_state = 798, .external_lex_state = 5},
  [4405] = {.lex_state = 8, .external_lex_state = 5},
  [4406] = {.lex_state = 798, .external_lex_state = 5},
  [4407] = {.lex_state = 23, .external_lex_state = 5},
  [4408] = {.lex_state = 36, .external_lex_state = 5},
  [4409] = {.lex_state = 8, .external_lex_state = 5},
  [4410] = {.lex_state = 21, .external_lex_state = 5},
  [4411] = {.lex_state = 10, .external_lex_state = 5},
  [4412] = {.lex_state = 30, .external_lex_state = 5},
  [4413] = {.lex_state = 22, .external_lex_state = 5},
  [4414] = {.lex_state = 798, .external_lex_state = 6},
  [4415] = {.lex_state = 798, .external_lex_state = 6},
  [4416] = {.lex_state = 798, .external_lex_state = 5},
  [4417] = {.lex_state = 798, .external_lex_state = 6},
  [4418] = {.lex_state = 798, .external_lex_state = 6},
  [4419] = {.lex_state = 30, .external_lex_state = 5},
  [4420] = {.lex_state = 798, .external_lex_state = 6},
  [4421] = {.lex_state = 798, .external_lex_state = 6},
  [4422] = {.lex_state = 798, .external_lex_state = 6},
  [4423] = {.lex_state = 36, .external_lex_state = 5},
  [4424] = {.lex_state = 30, .external_lex_state = 5},
  [4425] = {.lex_state = 22, .external_lex_state = 5},
  [4426] = {.lex_state = 798, .external_lex_state = 6},
  [4427] = {.lex_state = 20, .external_lex_state = 5},
  [4428] = {.lex_state = 798, .external_lex_state = 5},
  [4429] = {.lex_state = 23, .external_lex_state = 5},
  [4430] = {.lex_state = 22, .external_lex_state = 5},
  [4431] = {.lex_state = 22, .external_lex_state = 5},
  [4432] = {.lex_state = 798, .external_lex_state = 5},
  [4433] = {.lex_state = 798, .external_lex_state = 5},
  [4434] = {.lex_state = 10, .external_lex_state = 5},
  [4435] = {.lex_state = 798, .external_lex_state = 5},
  [4436] = {.lex_state = 30, .external_lex_state = 5},
  [4437] = {.lex_state = 798, .external_lex_state = 5},
  [4438] = {.lex_state = 30, .external_lex_state = 5},
  [4439] = {.lex_state = 798, .external_lex_state = 6},
  [4440] = {.lex_state = 26, .external_lex_state = 5},
  [4441] = {.lex_state = 8, .external_lex_state = 5},
  [4442] = {.lex_state = 23, .external_lex_state = 5},
  [4443] = {.lex_state = 798, .external_lex_state = 6},
  [4444] = {.lex_state = 22, .external_lex_state = 5},
  [4445] = {.lex_state = 798, .external_lex_state = 5},
  [4446] = {.lex_state = 36, .external_lex_state = 5},
  [4447] = {.lex_state = 798, .external_lex_state = 6},
  [4448] = {.lex_state = 798, .external_lex_state = 5},
  [4449] = {.lex_state = 798, .external_lex_state = 6},
  [4450] = {.lex_state = 798, .external_lex_state = 6},
  [4451] = {.lex_state = 10, .external_lex_state = 5},
  [4452] = {.lex_state = 798, .external_lex_state = 6},
  [4453] = {.lex_state = 798, .external_lex_state = 6},
  [4454] = {.lex_state = 30, .external_lex_state = 6},
  [4455] = {.lex_state = 23, .external_lex_state = 5},
  [4456] = {.lex_state = 798, .external_lex_state = 6},
  [4457] = {.lex_state = 798, .external_lex_state = 6},
  [4458] = {.lex_state = 798, .external_lex_state = 6},
  [4459] = {.lex_state = 36, .external_lex_state = 5},
  [4460] = {.lex_state = 8, .external_lex_state = 5},
  [4461] = {.lex_state = 798, .external_lex_state = 6},
  [4462] = {.lex_state = 798, .external_lex_state = 6},
  [4463] = {.lex_state = 798, .external_lex_state = 5},
  [4464] = {.lex_state = 798, .external_lex_state = 6},
  [4465] = {.lex_state = 25, .external_lex_state = 5},
  [4466] = {.lex_state = 798, .external_lex_state = 6},
  [4467] = {.lex_state = 798, .external_lex_state = 5},
  [4468] = {.lex_state = 798, .external_lex_state = 5},
  [4469] = {.lex_state = 23, .external_lex_state = 5},
  [4470] = {.lex_state = 30, .external_lex_state = 5},
  [4471] = {.lex_state = 8, .external_lex_state = 5},
  [4472] = {.lex_state = 24, .external_lex_state = 5},
  [4473] = {.lex_state = 798, .external_lex_state = 6},
  [4474] = {.lex_state = 21, .external_lex_state = 5},
  [4475] = {.lex_state = 798, .external_lex_state = 6},
  [4476] = {.lex_state = 798, .external_lex_state = 6},
  [4477] = {.lex_state = 798, .external_lex_state = 6},
  [4478] = {.lex_state = 798, .external_lex_state = 6},
  [4479] = {.lex_state = 8, .external_lex_state = 5},
  [4480] = {.lex_state = 22, .external_lex_state = 5},
  [4481] = {.lex_state = 798, .external_lex_state = 6},
  [4482] = {.lex_state = 10, .external_lex_state = 5},
  [4483] = {.lex_state = 798, .external_lex_state = 6},
  [4484] = {.lex_state = 798, .external_lex_state = 6},
  [4485] = {.lex_state = 24, .external_lex_state = 5},
  [4486] = {.lex_state = 36, .external_lex_state = 5},
  [4487] = {.lex_state = 20, .external_lex_state = 5},
  [4488] = {.lex_state = 22, .external_lex_state = 5},
  [4489] = {.lex_state = 798, .external_lex_state = 6},
  [4490] = {.lex_state = 798, .external_lex_state = 6},
  [4491] = {.lex_state = 798, .external_lex_state = 6},
  [4492] = {.lex_state = 23, .external_lex_state = 5},
  [4493] = {.lex_state = 21, .external_lex_state = 5},
  [4494] = {.lex_state = 798, .external_lex_state = 6},
  [4495] = {.lex_state = 798, .external_lex_state = 6},
  [4496] = {.lex_state = 798, .external_lex_state = 6},
  [4497] = {.lex_state = 798, .external_lex_state = 6},
  [4498] = {.lex_state = 10, .external_lex_state = 5},
  [4499] = {.lex_state = 798, .external_lex_state = 6},
  [4500] = {.lex_state = 798, .external_lex_state = 6},
  [4501] = {.lex_state = 20, .external_lex_state = 5},
  [4502] = {.lex_state = 798, .external_lex_state = 6},
  [4503] = {.lex_state = 798, .external_lex_state = 5},
  [4504] = {.lex_state = 798, .external_lex_state = 6},
  [4505] = {.lex_state = 22, .external_lex_state = 5},
  [4506] = {.lex_state = 24, .external_lex_state = 5},
  [4507] = {.lex_state = 798, .external_lex_state = 5},
  [4508] = {.lex_state = 8, .external_lex_state = 5},
  [4509] = {.lex_state = 36, .external_lex_state = 5},
  [4510] = {.lex_state = 798, .external_lex_state = 6},
  [4511] = {.lex_state = 36, .external_lex_state = 5},
  [4512] = {.lex_state = 23, .external_lex_state = 5},
  [4513] = {.lex_state = 798, .external_lex_state = 6},
  [4514] = {.lex_state = 798, .external_lex_state = 6},
  [4515] = {.lex_state = 798, .external_lex_state = 6},
  [4516] = {.lex_state = 798, .external_lex_state = 5},
  [4517] = {.lex_state = 23, .external_lex_state = 5},
  [4518] = {.lex_state = 798, .external_lex_state = 6},
  [4519] = {.lex_state = 798, .external_lex_state = 6},
  [4520] = {.lex_state = 798, .external_lex_state = 6},
  [4521] = {.lex_state = 798, .external_lex_state = 6},
  [4522] = {.lex_state = 798, .external_lex_state = 6},
  [4523] = {.lex_state = 22, .external_lex_state = 5},
  [4524] = {.lex_state = 798, .external_lex_state = 6},
  [4525] = {.lex_state = 798, .external_lex_state = 6},
  [4526] = {.lex_state = 798, .external_lex_state = 6},
  [4527] = {.lex_state = 22, .external_lex_state = 5},
  [4528] = {.lex_state = 798, .external_lex_state = 6},
  [4529] = {.lex_state = 798, .external_lex_state = 6},
  [4530] = {.lex_state = 23, .external_lex_state = 5},
  [4531] = {.lex_state = 798, .external_lex_state = 6},
  [4532] = {.lex_state = 36, .external_lex_state = 5},
  [4533] = {.lex_state = 798, .external_lex_state = 5},
  [4534] = {.lex_state = 798, .external_lex_state = 6},
  [4535] = {.lex_state = 798, .external_lex_state = 6},
  [4536] = {.lex_state = 22, .external_lex_state = 5},
  [4537] = {.lex_state = 8, .external_lex_state = 5},
  [4538] = {.lex_state = 798, .external_lex_state = 6},
  [4539] = {.lex_state = 798, .external_lex_state = 6},
  [4540] = {.lex_state = 798, .external_lex_state = 6},
  [4541] = {.lex_state = 798, .external_lex_state = 6},
  [4542] = {.lex_state = 798, .external_lex_state = 6},
  [4543] = {.lex_state = 23, .external_lex_state = 5},
  [4544] = {.lex_state = 20, .external_lex_state = 5},
  [4545] = {.lex_state = 798, .external_lex_state = 6},
  [4546] = {.lex_state = 8, .external_lex_state = 5},
  [4547] = {.lex_state = 22, .external_lex_state = 5},
  [4548] = {.lex_state = 23, .external_lex_state = 5},
  [4549] = {.lex_state = 798, .external_lex_state = 6},
  [4550] = {.lex_state = 798, .external_lex_state = 6},
  [4551] = {.lex_state = 798, .external_lex_state = 6},
  [4552] = {.lex_state = 798, .external_lex_state = 6},
  [4553] = {.lex_state = 22, .external_lex_state = 5},
  [4554] = {.lex_state = 798, .external_lex_state = 6},
  [4555] = {.lex_state = 798, .external_lex_state = 6},
  [4556] = {.lex_state = 798, .external_lex_state = 6},
  [4557] = {.lex_state = 798, .external_lex_state = 6},
  [4558] = {.lex_state = 798, .external_lex_state = 6},
  [4559] = {.lex_state = 798, .external_lex_state = 6},
  [4560] = {.lex_state = 798, .external_lex_state = 6},
  [4561] = {.lex_state = 798, .external_lex_state = 6},
  [4562] = {.lex_state = 798, .external_lex_state = 6},
  [4563] = {.lex_state = 98, .external_lex_state = 5},
  [4564] = {.lex_state = 798, .external_lex_state = 6},
  [4565] = {.lex_state = 798, .external_lex_state = 6},
  [4566] = {.lex_state = 30, .external_lex_state = 6},
  [4567] = {.lex_state = 798, .external_lex_state = 5},
  [4568] = {.lex_state = 8, .external_lex_state = 5},
  [4569] = {.lex_state = 798, .external_lex_state = 6},
  [4570] = {.lex_state = 98, .external_lex_state = 5},
  [4571] = {.lex_state = 5, .external_lex_state = 5},
  [4572] = {.lex_state = 798, .external_lex_state = 5},
  [4573] = {.lex_state = 798, .external_lex_state = 6},
  [4574] = {.lex_state = 798, .external_lex_state = 10},
  [4575] = {.lex_state = 798, .external_lex_state = 6},
  [4576] = {.lex_state = 30, .external_lex_state = 6},
  [4577] = {.lex_state = 798, .external_lex_state = 6},
  [4578] = {.lex_state = 798, .external_lex_state = 6},
  [4579] = {.lex_state = 23, .external_lex_state = 5},
  [4580] = {.lex_state = 10, .external_lex_state = 5},
  [4581] = {.lex_state = 798, .external_lex_state = 6},
  [4582] = {.lex_state = 798, .external_lex_state = 6},
  [4583] = {.lex_state = 798, .external_lex_state = 6},
  [4584] = {.lex_state = 798, .external_lex_state = 5},
  [4585] = {.lex_state = 23, .external_lex_state = 5},
  [4586] = {.lex_state = 22, .external_lex_state = 5},
  [4587] = {.lex_state = 22, .external_lex_state = 5},
  [4588] = {.lex_state = 30, .external_lex_state = 6},
  [4589] = {.lex_state = 23, .external_lex_state = 5},
  [4590] = {.lex_state = 798, .external_lex_state = 5},
  [4591] = {.lex_state = 8, .external_lex_state = 5},
  [4592] = {.lex_state = 10, .external_lex_state = 5},
  [4593] = {.lex_state = 36, .external_lex_state = 5},
  [4594] = {.lex_state = 798, .external_lex_state = 5},
  [4595] = {.lex_state = 22, .external_lex_state = 5},
  [4596] = {.lex_state = 23, .external_lex_state = 5},
  [4597] = {.lex_state = 798, .external_lex_state = 6},
  [4598] = {.lex_state = 798, .external_lex_state = 5},
  [4599] = {.lex_state = 798, .external_lex_state = 6},
  [4600] = {.lex_state = 798, .external_lex_state = 6},
  [4601] = {.lex_state = 798, .external_lex_state = 6},
  [4602] = {.lex_state = 798, .external_lex_state = 6},
  [4603] = {.lex_state = 24, .external_lex_state = 5},
  [4604] = {.lex_state = 10, .external_lex_state = 5},
  [4605] = {.lex_state = 23, .external_lex_state = 5},
  [4606] = {.lex_state = 8, .external_lex_state = 5},
  [4607] = {.lex_state = 798, .external_lex_state = 6},
  [4608] = {.lex_state = 798, .external_lex_state = 5},
  [4609] = {.lex_state = 36, .external_lex_state = 5},
  [4610] = {.lex_state = 20, .external_lex_state = 5},
  [4611] = {.lex_state = 99, .external_lex_state = 5},
  [4612] = {.lex_state = 798, .external_lex_state = 5},
  [4613] = {.lex_state = 798, .external_lex_state = 6},
  [4614] = {.lex_state = 21, .external_lex_state = 5},
  [4615] = {.lex_state = 98, .external_lex_state = 5},
  [4616] = {.lex_state = 798, .external_lex_state = 6},
  [4617] = {.lex_state = 798, .external_lex_state = 6},
  [4618] = {.lex_state = 798, .external_lex_state = 6},
  [4619] = {.lex_state = 8, .external_lex_state = 5},
  [4620] = {.lex_state = 24, .external_lex_state = 5},
  [4621] = {.lex_state = 25, .external_lex_state = 5},
  [4622] = {.lex_state = 36, .external_lex_state = 5},
  [4623] = {.lex_state = 5, .external_lex_state = 5},
  [4624] = {.lex_state = 798, .external_lex_state = 6},
  [4625] = {.lex_state = 798, .external_lex_state = 10},
  [4626] = {.lex_state = 798, .external_lex_state = 6},
  [4627] = {.lex_state = 26, .external_lex_state = 5},
  [4628] = {.lex_state = 5, .external_lex_state = 5},
  [4629] = {.lex_state = 24, .external_lex_state = 5},
  [4630] = {.lex_state = 798, .external_lex_state = 6},
  [4631] = {.lex_state = 798, .external_lex_state = 6},
  [4632] = {.lex_state = 798, .external_lex_state = 6},
  [4633] = {.lex_state = 30, .external_lex_state = 6},
  [4634] = {.lex_state = 798, .external_lex_state = 5},
  [4635] = {.lex_state = 798, .external_lex_state = 6},
  [4636] = {.lex_state = 23, .external_lex_state = 5},
  [4637] = {.lex_state = 798, .external_lex_state = 6},
  [4638] = {.lex_state = 22, .external_lex_state = 5},
  [4639] = {.lex_state = 798, .external_lex_state = 6},
  [4640] = {.lex_state = 798, .external_lex_state = 5},
  [4641] = {.lex_state = 798, .external_lex_state = 3},
  [4642] = {.lex_state = 798, .external_lex_state = 5},
  [4643] = {.lex_state = 798, .external_lex_state = 5},
  [4644] = {.lex_state = 8, .external_lex_state = 5},
  [4645] = {.lex_state = 798, .external_lex_state = 6},
  [4646] = {.lex_state = 24, .external_lex_state = 5},
  [4647] = {.lex_state = 798, .external_lex_state = 5},
  [4648] = {.lex_state = 798, .external_lex_state = 6},
  [4649] = {.lex_state = 8, .external_lex_state = 5},
  [4650] = {.lex_state = 24, .external_lex_state = 5},
  [4651] = {.lex_state = 798, .external_lex_state = 6},
  [4652] = {.lex_state = 798, .external_lex_state = 6},
  [4653] = {.lex_state = 798, .external_lex_state = 6},
  [4654] = {.lex_state = 798, .external_lex_state = 6},
  [4655] = {.lex_state = 36, .external_lex_state = 5},
  [4656] = {.lex_state = 30, .external_lex_state = 5},
  [4657] = {.lex_state = 22, .external_lex_state = 5},
  [4658] = {.lex_state = 798, .external_lex_state = 5},
  [4659] = {.lex_state = 798, .external_lex_state = 5},
  [4660] = {.lex_state = 23, .external_lex_state = 5},
  [4661] = {.lex_state = 30, .external_lex_state = 5},
  [4662] = {.lex_state = 798, .external_lex_state = 5},
  [4663] = {.lex_state = 8, .external_lex_state = 5},
  [4664] = {.lex_state = 30, .external_lex_state = 5},
  [4665] = {.lex_state = 798, .external_lex_state = 6},
  [4666] = {.lex_state = 798, .external_lex_state = 6},
  [4667] = {.lex_state = 30, .external_lex_state = 5},
  [4668] = {.lex_state = 22, .external_lex_state = 5},
  [4669] = {.lex_state = 98, .external_lex_state = 5},
  [4670] = {.lex_state = 53, .external_lex_state = 5},
  [4671] = {.lex_state = 798, .external_lex_state = 6},
  [4672] = {.lex_state = 23, .external_lex_state = 5},
  [4673] = {.lex_state = 798, .external_lex_state = 6},
  [4674] = {.lex_state = 36, .external_lex_state = 5},
  [4675] = {.lex_state = 798, .external_lex_state = 6},
  [4676] = {.lex_state = 98, .external_lex_state = 5},
  [4677] = {.lex_state = 798, .external_lex_state = 6},
  [4678] = {.lex_state = 22, .external_lex_state = 5},
  [4679] = {.lex_state = 24, .external_lex_state = 5},
  [4680] = {.lex_state = 8, .external_lex_state = 5},
  [4681] = {.lex_state = 798, .external_lex_state = 6},
  [4682] = {.lex_state = 22, .external_lex_state = 5},
  [4683] = {.lex_state = 36, .external_lex_state = 5},
  [4684] = {.lex_state = 69, .external_lex_state = 5},
  [4685] = {.lex_state = 22, .external_lex_state = 5},
  [4686] = {.lex_state = 798, .external_lex_state = 5},
  [4687] = {.lex_state = 8, .external_lex_state = 5},
  [4688] = {.lex_state = 8, .external_lex_state = 5},
  [4689] = {.lex_state = 798, .external_lex_state = 5},
  [4690] = {.lex_state = 23, .external_lex_state = 5},
  [4691] = {.lex_state = 798, .external_lex_state = 5},
  [4692] = {.lex_state = 798, .external_lex_state = 6},
  [4693] = {.lex_state = 8, .external_lex_state = 5},
  [4694] = {.lex_state = 36, .external_lex_state = 5},
  [4695] = {.lex_state = 798, .external_lex_state = 6},
  [4696] = {.lex_state = 798, .external_lex_state = 5},
  [4697] = {.lex_state = 798, .external_lex_state = 6},
  [4698] = {.lex_state = 798, .external_lex_state = 6},
  [4699] = {.lex_state = 798, .external_lex_state = 6},
  [4700] = {.lex_state = 24, .external_lex_state = 5},
  [4701] = {.lex_state = 798, .external_lex_state = 6},
  [4702] = {.lex_state = 36, .external_lex_state = 5},
  [4703] = {.lex_state = 798, .external_lex_state = 6},
  [4704] = {.lex_state = 798, .external_lex_state = 5},
  [4705] = {.lex_state = 798, .external_lex_state = 6},
  [4706] = {.lex_state = 26, .external_lex_state = 5},
  [4707] = {.lex_state = 798, .external_lex_state = 6},
  [4708] = {.lex_state = 22, .external_lex_state = 5},
  [4709] = {.lex_state = 24, .external_lex_state = 5},
  [4710] = {.lex_state = 798, .external_lex_state = 6},
  [4711] = {.lex_state = 798, .external_lex_state = 6},
  [4712] = {.lex_state = 798, .external_lex_state = 6},
  [4713] = {.lex_state = 23, .external_lex_state = 5},
  [4714] = {.lex_state = 798, .external_lex_state = 5},
  [4715] = {.lex_state = 798, .external_lex_state = 5},
  [4716] = {.lex_state = 798, .external_lex_state = 5},
  [4717] = {.lex_state = 798, .external_lex_state = 5},
  [4718] = {.lex_state = 8, .external_lex_state = 5},
  [4719] = {.lex_state = 24, .external_lex_state = 5},
  [4720] = {.lex_state = 25, .external_lex_state = 5},
  [4721] = {.lex_state = 798, .external_lex_state = 6},
  [4722] = {.lex_state = 798, .external_lex_state = 5},
  [4723] = {.lex_state = 798, .external_lex_state = 6},
  [4724] = {.lex_state = 798, .external_lex_state = 5},
  [4725] = {.lex_state = 24, .external_lex_state = 5},
  [4726] = {.lex_state = 798, .external_lex_state = 6},
  [4727] = {.lex_state = 798, .external_lex_state = 6},
  [4728] = {.lex_state = 798, .external_lex_state = 6},
  [4729] = {.lex_state = 22, .external_lex_state = 5},
  [4730] = {.lex_state = 798, .external_lex_state = 6},
  [4731] = {.lex_state = 798, .external_lex_state = 6},
  [4732] = {.lex_state = 798, .external_lex_state = 6},
  [4733] = {.lex_state = 798, .external_lex_state = 5},
  [4734] = {.lex_state = 798, .external_lex_state = 6},
  [4735] = {.lex_state = 798, .external_lex_state = 3},
  [4736] = {.lex_state = 798, .external_lex_state = 5},
  [4737] = {.lex_state = 26, .external_lex_state = 5},
  [4738] = {.lex_state = 798, .external_lex_state = 6},
  [4739] = {.lex_state = 798, .external_lex_state = 6},
  [4740] = {.lex_state = 36, .external_lex_state = 5},
  [4741] = {.lex_state = 798, .external_lex_state = 6},
  [4742] = {.lex_state = 798, .external_lex_state = 6},
  [4743] = {.lex_state = 798, .external_lex_state = 6},
  [4744] = {.lex_state = 798, .external_lex_state = 5},
  [4745] = {.lex_state = 798, .external_lex_state = 6},
  [4746] = {.lex_state = 24, .external_lex_state = 5},
  [4747] = {.lex_state = 23, .external_lex_state = 5},
  [4748] = {.lex_state = 24, .external_lex_state = 5},
  [4749] = {.lex_state = 22, .external_lex_state = 5},
  [4750] = {.lex_state = 8, .external_lex_state = 5},
  [4751] = {.lex_state = 23, .external_lex_state = 5},
  [4752] = {.lex_state = 798, .external_lex_state = 6},
  [4753] = {.lex_state = 798, .external_lex_state = 6},
  [4754] = {.lex_state = 8, .external_lex_state = 5},
  [4755] = {.lex_state = 10, .external_lex_state = 5},
  [4756] = {.lex_state = 22, .external_lex_state = 5},
  [4757] = {.lex_state = 798, .external_lex_state = 6},
  [4758] = {.lex_state = 24, .external_lex_state = 5},
  [4759] = {.lex_state = 798, .external_lex_state = 6},
  [4760] = {.lex_state = 798, .external_lex_state = 6},
  [4761] = {.lex_state = 798, .external_lex_state = 6},
  [4762] = {.lex_state = 798, .external_lex_state = 6},
  [4763] = {.lex_state = 798, .external_lex_state = 10},
  [4764] = {.lex_state = 23, .external_lex_state = 5},
  [4765] = {.lex_state = 8, .external_lex_state = 5},
  [4766] = {.lex_state = 798, .external_lex_state = 6},
  [4767] = {.lex_state = 798, .external_lex_state = 5},
  [4768] = {.lex_state = 798, .external_lex_state = 5},
  [4769] = {.lex_state = 30, .external_lex_state = 5},
  [4770] = {.lex_state = 22, .external_lex_state = 5},
  [4771] = {.lex_state = 798, .external_lex_state = 5},
  [4772] = {.lex_state = 23, .external_lex_state = 5},
  [4773] = {.lex_state = 798, .external_lex_state = 10},
  [4774] = {.lex_state = 798, .external_lex_state = 5},
  [4775] = {.lex_state = 8, .external_lex_state = 5},
  [4776] = {.lex_state = 798, .external_lex_state = 5},
  [4777] = {.lex_state = 798, .external_lex_state = 6},
  [4778] = {.lex_state = 798, .external_lex_state = 5},
  [4779] = {.lex_state = 5, .external_lex_state = 5},
  [4780] = {.lex_state = 798, .external_lex_state = 5},
  [4781] = {.lex_state = 24, .external_lex_state = 5},
  [4782] = {.lex_state = 98, .external_lex_state = 5},
  [4783] = {.lex_state = 798, .external_lex_state = 6},
  [4784] = {.lex_state = 8, .external_lex_state = 5},
  [4785] = {.lex_state = 798, .external_lex_state = 10},
  [4786] = {.lex_state = 798, .external_lex_state = 6},
  [4787] = {.lex_state = 798, .external_lex_state = 6},
  [4788] = {.lex_state = 798, .external_lex_state = 5},
  [4789] = {.lex_state = 798, .external_lex_state = 6},
  [4790] = {.lex_state = 798, .external_lex_state = 5},
  [4791] = {.lex_state = 10, .external_lex_state = 5},
  [4792] = {.lex_state = 798, .external_lex_state = 5},
  [4793] = {.lex_state = 798, .external_lex_state = 6},
  [4794] = {.lex_state = 798, .external_lex_state = 6},
  [4795] = {.lex_state = 30, .external_lex_state = 6},
  [4796] = {.lex_state = 798, .external_lex_state = 5},
  [4797] = {.lex_state = 798, .external_lex_state = 5},
  [4798] = {.lex_state = 798, .external_lex_state = 5},
  [4799] = {.lex_state = 798, .external_lex_state = 5},
  [4800] = {.lex_state = 98, .external_lex_state = 5},
  [4801] = {.lex_state = 798, .external_lex_state = 6},
  [4802] = {.lex_state = 69, .external_lex_state = 5},
  [4803] = {.lex_state = 798, .external_lex_state = 6},
  [4804] = {.lex_state = 798, .external_lex_state = 6},
  [4805] = {.lex_state = 798, .external_lex_state = 6},
  [4806] = {.lex_state = 24, .external_lex_state = 5},
  [4807] = {.lex_state = 24, .external_lex_state = 5},
  [4808] = {.lex_state = 98, .external_lex_state = 5},
  [4809] = {.lex_state = 10, .external_lex_state = 5},
  [4810] = {.lex_state = 22, .external_lex_state = 5},
  [4811] = {.lex_state = 20, .external_lex_state = 5},
  [4812] = {.lex_state = 798, .external_lex_state = 6},
  [4813] = {.lex_state = 798, .external_lex_state = 6},
  [4814] = {.lex_state = 798, .external_lex_state = 6},
  [4815] = {.lex_state = 24, .external_lex_state = 5},
  [4816] = {.lex_state = 798, .external_lex_state = 6},
  [4817] = {.lex_state = 798, .external_lex_state = 10},
  [4818] = {.lex_state = 798, .external_lex_state = 6},
  [4819] = {.lex_state = 23, .external_lex_state = 5},
  [4820] = {.lex_state = 98, .external_lex_state = 5},
  [4821] = {.lex_state = 798, .external_lex_state = 6},
  [4822] = {.lex_state = 21, .external_lex_state = 5},
  [4823] = {.lex_state = 98, .external_lex_state = 5},
  [4824] = {.lex_state = 98, .external_lex_state = 5},
  [4825] = {.lex_state = 22, .external_lex_state = 5},
  [4826] = {.lex_state = 8, .external_lex_state = 5},
  [4827] = {.lex_state = 99, .external_lex_state = 5},
  [4828] = {.lex_state = 798, .external_lex_state = 5},
  [4829] = {.lex_state = 23, .external_lex_state = 5},
  [4830] = {.lex_state = 798, .external_lex_state = 6},
  [4831] = {.lex_state = 798, .external_lex_state = 6},
  [4832] = {.lex_state = 798, .external_lex_state = 6},
  [4833] = {.lex_state = 8, .external_lex_state = 5},
  [4834] = {.lex_state = 23, .external_lex_state = 5},
  [4835] = {.lex_state = 798, .external_lex_state = 5},
  [4836] = {.lex_state = 30, .external_lex_state = 6},
  [4837] = {.lex_state = 798, .external_lex_state = 5},
  [4838] = {.lex_state = 22, .external_lex_state = 5},
  [4839] = {.lex_state = 23, .external_lex_state = 5},
  [4840] = {.lex_state = 798, .external_lex_state = 6},
  [4841] = {.lex_state = 8, .external_lex_state = 5},
  [4842] = {.lex_state = 36, .external_lex_state = 5},
  [4843] = {.lex_state = 798, .external_lex_state = 5},
  [4844] = {.lex_state = 21, .external_lex_state = 5},
  [4845] = {.lex_state = 36, .external_lex_state = 5},
  [4846] = {.lex_state = 798, .external_lex_state = 6},
  [4847] = {.lex_state = 798, .external_lex_state = 5},
  [4848] = {.lex_state = 22, .external_lex_state = 5},
  [4849] = {.lex_state = 798, .external_lex_state = 6},
  [4850] = {.lex_state = 30, .external_lex_state = 6},
  [4851] = {.lex_state = 36, .external_lex_state = 5},
  [4852] = {.lex_state = 798, .external_lex_state = 5},
  [4853] = {.lex_state = 798, .external_lex_state = 6},
  [4854] = {.lex_state = 798, .external_lex_state = 6},
  [4855] = {.lex_state = 798, .external_lex_state = 6},
  [4856] = {.lex_state = 798, .external_lex_state = 6},
  [4857] = {.lex_state = 798, .external_lex_state = 5},
  [4858] = {.lex_state = 8, .external_lex_state = 5},
  [4859] = {.lex_state = 798, .external_lex_state = 5},
  [4860] = {.lex_state = 99, .external_lex_state = 5},
  [4861] = {.lex_state = 99, .external_lex_state = 5},
  [4862] = {.lex_state = 798, .external_lex_state = 6},
  [4863] = {.lex_state = 798, .external_lex_state = 5},
  [4864] = {.lex_state = 798, .external_lex_state = 5},
  [4865] = {.lex_state = 23, .external_lex_state = 5},
  [4866] = {.lex_state = 798, .external_lex_state = 6},
  [4867] = {.lex_state = 30, .external_lex_state = 5},
  [4868] = {.lex_state = 26, .external_lex_state = 5},
  [4869] = {.lex_state = 22, .external_lex_state = 5},
  [4870] = {.lex_state = 22, .external_lex_state = 5},
  [4871] = {.lex_state = 798, .external_lex_state = 5},
  [4872] = {.lex_state = 23, .external_lex_state = 5},
  [4873] = {.lex_state = 30, .external_lex_state = 5},
  [4874] = {.lex_state = 30, .external_lex_state = 5},
  [4875] = {.lex_state = 6, .external_lex_state = 5},
  [4876] = {.lex_state = 798, .external_lex_state = 6},
  [4877] = {.lex_state = 798, .external_lex_state = 6},
  [4878] = {.lex_state = 103, .external_lex_state = 5},
  [4879] = {.lex_state = 798, .external_lex_state = 5},
  [4880] = {.lex_state = 798, .external_lex_state = 6},
  [4881] = {.lex_state = 798, .external_lex_state = 6},
  [4882] = {.lex_state = 798, .external_lex_state = 6},
  [4883] = {.lex_state = 798, .external_lex_state = 6},
  [4884] = {.lex_state = 104, .external_lex_state = 5},
  [4885] = {.lex_state = 798, .external_lex_state = 6},
  [4886] = {.lex_state = 53, .external_lex_state = 5},
  [4887] = {.lex_state = 798, .external_lex_state = 5},
  [4888] = {.lex_state = 6, .external_lex_state = 5},
  [4889] = {.lex_state = 798, .external_lex_state = 6},
  [4890] = {.lex_state = 798, .external_lex_state = 6},
  [4891] = {.lex_state = 8, .external_lex_state = 5},
  [4892] = {.lex_state = 798, .external_lex_state = 5},
  [4893] = {.lex_state = 798, .external_lex_state = 5},
  [4894] = {.lex_state = 53, .external_lex_state = 5},
  [4895] = {.lex_state = 798, .external_lex_state = 5},
  [4896] = {.lex_state = 798, .external_lex_state = 6},
  [4897] = {.lex_state = 798, .external_lex_state = 6},
  [4898] = {.lex_state = 53, .external_lex_state = 6},
  [4899] = {.lex_state = 798, .external_lex_state = 6},
  [4900] = {.lex_state = 798, .external_lex_state = 6},
  [4901] = {.lex_state = 26, .external_lex_state = 5},
  [4902] = {.lex_state = 798, .external_lex_state = 5},
  [4903] = {.lex_state = 798, .external_lex_state = 5},
  [4904] = {.lex_state = 798, .external_lex_state = 5},
  [4905] = {.lex_state = 798, .external_lex_state = 6},
  [4906] = {.lex_state = 798, .external_lex_state = 6},
  [4907] = {.lex_state = 6, .external_lex_state = 5},
  [4908] = {.lex_state = 798, .external_lex_state = 5},
  [4909] = {.lex_state = 798, .external_lex_state = 6},
  [4910] = {.lex_state = 25, .external_lex_state = 5},
  [4911] = {.lex_state = 798, .external_lex_state = 6},
  [4912] = {.lex_state = 798, .external_lex_state = 5},
  [4913] = {.lex_state = 6, .external_lex_state = 5},
  [4914] = {.lex_state = 6, .external_lex_state = 5},
  [4915] = {.lex_state = 6, .external_lex_state = 5},
  [4916] = {.lex_state = 6, .external_lex_state = 5},
  [4917] = {.lex_state = 798, .external_lex_state = 6},
  [4918] = {.lex_state = 798, .external_lex_state = 5},
  [4919] = {.lex_state = 6, .external_lex_state = 5},
  [4920] = {.lex_state = 6, .external_lex_state = 5},
  [4921] = {.lex_state = 53, .external_lex_state = 6},
  [4922] = {.lex_state = 6, .external_lex_state = 5},
  [4923] = {.lex_state = 6, .external_lex_state = 5},
  [4924] = {.lex_state = 798, .external_lex_state = 5},
  [4925] = {.lex_state = 6, .external_lex_state = 5},
  [4926] = {.lex_state = 6, .external_lex_state = 5},
  [4927] = {.lex_state = 798, .external_lex_state = 5},
  [4928] = {.lex_state = 6, .external_lex_state = 5},
  [4929] = {.lex_state = 6, .external_lex_state = 5},
  [4930] = {.lex_state = 6, .external_lex_state = 5},
  [4931] = {.lex_state = 6, .external_lex_state = 5},
  [4932] = {.lex_state = 26, .external_lex_state = 5},
  [4933] = {.lex_state = 6, .external_lex_state = 5},
  [4934] = {.lex_state = 6, .external_lex_state = 5},
  [4935] = {.lex_state = 104, .external_lex_state = 5},
  [4936] = {.lex_state = 6, .external_lex_state = 5},
  [4937] = {.lex_state = 6, .external_lex_state = 5},
  [4938] = {.lex_state = 30, .external_lex_state = 5},
  [4939] = {.lex_state = 6, .external_lex_state = 5},
  [4940] = {.lex_state = 6, .external_lex_state = 5},
  [4941] = {.lex_state = 6, .external_lex_state = 5},
  [4942] = {.lex_state = 798, .external_lex_state = 5},
  [4943] = {.lex_state = 53, .external_lex_state = 6},
  [4944] = {.lex_state = 30, .external_lex_state = 5},
  [4945] = {.lex_state = 798, .external_lex_state = 5},
  [4946] = {.lex_state = 6, .external_lex_state = 5},
  [4947] = {.lex_state = 6, .external_lex_state = 5},
  [4948] = {.lex_state = 6, .external_lex_state = 5},
  [4949] = {.lex_state = 6, .external_lex_state = 5},
  [4950] = {.lex_state = 798, .external_lex_state = 5},
  [4951] = {.lex_state = 798, .external_lex_state = 5},
  [4952] = {.lex_state = 6, .external_lex_state = 5},
  [4953] = {.lex_state = 6, .external_lex_state = 5},
  [4954] = {.lex_state = 798, .external_lex_state = 5},
  [4955] = {.lex_state = 6, .external_lex_state = 5},
  [4956] = {.lex_state = 6, .external_lex_state = 5},
  [4957] = {.lex_state = 53, .external_lex_state = 6},
  [4958] = {.lex_state = 798, .external_lex_state = 5},
  [4959] = {.lex_state = 798, .external_lex_state = 6},
  [4960] = {.lex_state = 6, .external_lex_state = 5},
  [4961] = {.lex_state = 8, .external_lex_state = 5},
  [4962] = {.lex_state = 8, .external_lex_state = 5},
  [4963] = {.lex_state = 6, .external_lex_state = 5},
  [4964] = {.lex_state = 798, .external_lex_state = 6},
  [4965] = {.lex_state = 798, .external_lex_state = 6},
  [4966] = {.lex_state = 6, .external_lex_state = 5},
  [4967] = {.lex_state = 6, .external_lex_state = 5},
  [4968] = {.lex_state = 6, .external_lex_state = 5},
  [4969] = {.lex_state = 6, .external_lex_state = 5},
  [4970] = {.lex_state = 6, .external_lex_state = 5},
  [4971] = {.lex_state = 6, .external_lex_state = 5},
  [4972] = {.lex_state = 6, .external_lex_state = 5},
  [4973] = {.lex_state = 798, .external_lex_state = 5},
  [4974] = {.lex_state = 6, .external_lex_state = 5},
  [4975] = {.lex_state = 6, .external_lex_state = 5},
  [4976] = {.lex_state = 6, .external_lex_state = 5},
  [4977] = {.lex_state = 6, .external_lex_state = 5},
  [4978] = {.lex_state = 6, .external_lex_state = 5},
  [4979] = {.lex_state = 6, .external_lex_state = 5},
  [4980] = {.lex_state = 6, .external_lex_state = 5},
  [4981] = {.lex_state = 6, .external_lex_state = 5},
  [4982] = {.lex_state = 6, .external_lex_state = 5},
  [4983] = {.lex_state = 798, .external_lex_state = 6},
  [4984] = {.lex_state = 8, .external_lex_state = 5},
  [4985] = {.lex_state = 6, .external_lex_state = 5},
  [4986] = {.lex_state = 6, .external_lex_state = 5},
  [4987] = {.lex_state = 6, .external_lex_state = 5},
  [4988] = {.lex_state = 6, .external_lex_state = 5},
  [4989] = {.lex_state = 6, .external_lex_state = 5},
  [4990] = {.lex_state = 6, .external_lex_state = 5},
  [4991] = {.lex_state = 6, .external_lex_state = 5},
  [4992] = {.lex_state = 6, .external_lex_state = 5},
  [4993] = {.lex_state = 99, .external_lex_state = 5},
  [4994] = {.lex_state = 6, .external_lex_state = 5},
  [4995] = {.lex_state = 798, .external_lex_state = 6},
  [4996] = {.lex_state = 6, .external_lex_state = 5},
  [4997] = {.lex_state = 6, .external_lex_state = 5},
  [4998] = {.lex_state = 798, .external_lex_state = 6},
  [4999] = {.lex_state = 6, .external_lex_state = 5},
  [5000] = {.lex_state = 30, .external_lex_state = 5},
  [5001] = {.lex_state = 30, .external_lex_state = 5},
  [5002] = {.lex_state = 30, .external_lex_state = 5},
  [5003] = {.lex_state = 6, .external_lex_state = 5},
  [5004] = {.lex_state = 798, .external_lex_state = 6},
  [5005] = {.lex_state = 103, .external_lex_state = 5},
  [5006] = {.lex_state = 798, .external_lex_state = 6},
  [5007] = {.lex_state = 798, .external_lex_state = 6},
  [5008] = {.lex_state = 798, .external_lex_state = 6},
  [5009] = {.lex_state = 798, .external_lex_state = 6},
  [5010] = {.lex_state = 798, .external_lex_state = 6},
  [5011] = {.lex_state = 798, .external_lex_state = 6},
  [5012] = {.lex_state = 6, .external_lex_state = 5},
  [5013] = {.lex_state = 6, .external_lex_state = 5},
  [5014] = {.lex_state = 6, .external_lex_state = 5},
  [5015] = {.lex_state = 53, .external_lex_state = 5},
  [5016] = {.lex_state = 30, .external_lex_state = 5},
  [5017] = {.lex_state = 53, .external_lex_state = 5},
  [5018] = {.lex_state = 53, .external_lex_state = 5},
  [5019] = {.lex_state = 6, .external_lex_state = 5},
  [5020] = {.lex_state = 798, .external_lex_state = 5},
  [5021] = {.lex_state = 6, .external_lex_state = 5},
  [5022] = {.lex_state = 798, .external_lex_state = 6},
  [5023] = {.lex_state = 53, .external_lex_state = 5},
  [5024] = {.lex_state = 6, .external_lex_state = 5},
  [5025] = {.lex_state = 26, .external_lex_state = 5},
  [5026] = {.lex_state = 26, .external_lex_state = 5},
  [5027] = {.lex_state = 6, .external_lex_state = 5},
  [5028] = {.lex_state = 26, .external_lex_state = 5},
  [5029] = {.lex_state = 26, .external_lex_state = 5},
  [5030] = {.lex_state = 104, .external_lex_state = 5},
  [5031] = {.lex_state = 30, .external_lex_state = 5},
  [5032] = {.lex_state = 6, .external_lex_state = 5},
  [5033] = {.lex_state = 6, .external_lex_state = 5},
  [5034] = {.lex_state = 53, .external_lex_state = 5},
  [5035] = {.lex_state = 798, .external_lex_state = 5},
  [5036] = {.lex_state = 25, .external_lex_state = 5},
  [5037] = {.lex_state = 53, .external_lex_state = 5},
  [5038] = {.lex_state = 53, .external_lex_state = 5},
  [5039] = {.lex_state = 798, .external_lex_state = 5},
  [5040] = {.lex_state = 53, .external_lex_state = 5},
  [5041] = {.lex_state = 798, .external_lex_state = 5},
  [5042] = {.lex_state = 798, .external_lex_state = 5},
  [5043] = {.lex_state = 6, .external_lex_state = 5},
  [5044] = {.lex_state = 6, .external_lex_state = 5},
  [5045] = {.lex_state = 53, .external_lex_state = 5},
  [5046] = {.lex_state = 53, .external_lex_state = 5},
  [5047] = {.lex_state = 53, .external_lex_state = 5},
  [5048] = {.lex_state = 30, .external_lex_state = 5},
  [5049] = {.lex_state = 53, .external_lex_state = 5},
  [5050] = {.lex_state = 53, .external_lex_state = 5},
  [5051] = {.lex_state = 53, .external_lex_state = 5},
  [5052] = {.lex_state = 6, .external_lex_state = 5},
  [5053] = {.lex_state = 69, .external_lex_state = 5},
  [5054] = {.lex_state = 53, .external_lex_state = 5},
  [5055] = {.lex_state = 103, .external_lex_state = 5},
  [5056] = {.lex_state = 103, .external_lex_state = 5},
  [5057] = {.lex_state = 30, .external_lex_state = 5},
  [5058] = {.lex_state = 6, .external_lex_state = 5},
  [5059] = {.lex_state = 6, .external_lex_state = 5},
  [5060] = {.lex_state = 6, .external_lex_state = 5},
  [5061] = {.lex_state = 30, .external_lex_state = 5},
  [5062] = {.lex_state = 6, .external_lex_state = 5},
  [5063] = {.lex_state = 6, .external_lex_state = 5},
  [5064] = {.lex_state = 53, .external_lex_state = 5},
  [5065] = {.lex_state = 798, .external_lex_state = 5},
  [5066] = {.lex_state = 53, .external_lex_state = 5},
  [5067] = {.lex_state = 6, .external_lex_state = 5},
  [5068] = {.lex_state = 53, .external_lex_state = 5},
  [5069] = {.lex_state = 798, .external_lex_state = 6},
  [5070] = {.lex_state = 53, .external_lex_state = 5},
  [5071] = {.lex_state = 6, .external_lex_state = 5},
  [5072] = {.lex_state = 6, .external_lex_state = 5},
  [5073] = {.lex_state = 798, .external_lex_state = 6},
  [5074] = {.lex_state = 798, .external_lex_state = 12},
  [5075] = {.lex_state = 34, .external_lex_state = 5},
  [5076] = {.lex_state = 34, .external_lex_state = 5},
  [5077] = {.lex_state = 798, .external_lex_state = 6},
  [5078] = {.lex_state = 34, .external_lex_state = 5},
  [5079] = {.lex_state = 34, .external_lex_state = 5},
  [5080] = {.lex_state = 34, .external_lex_state = 5},
  [5081] = {.lex_state = 798, .external_lex_state = 5},
  [5082] = {.lex_state = 798, .external_lex_state = 6},
  [5083] = {.lex_state = 798, .external_lex_state = 6},
  [5084] = {.lex_state = 798, .external_lex_state = 6},
  [5085] = {.lex_state = 34, .external_lex_state = 5},
  [5086] = {.lex_state = 798, .external_lex_state = 6},
  [5087] = {.lex_state = 5, .external_lex_state = 5},
  [5088] = {.lex_state = 34, .external_lex_state = 5},
  [5089] = {.lex_state = 798, .external_lex_state = 6},
  [5090] = {.lex_state = 798, .external_lex_state = 6},
  [5091] = {.lex_state = 34, .external_lex_state = 5},
  [5092] = {.lex_state = 798, .external_lex_state = 6},
  [5093] = {.lex_state = 798, .external_lex_state = 6},
  [5094] = {.lex_state = 34, .external_lex_state = 5},
  [5095] = {.lex_state = 798, .external_lex_state = 6},
  [5096] = {.lex_state = 798, .external_lex_state = 6},
  [5097] = {.lex_state = 34, .external_lex_state = 5},
  [5098] = {.lex_state = 798, .external_lex_state = 6},
  [5099] = {.lex_state = 798, .external_lex_state = 6},
  [5100] = {.lex_state = 798, .external_lex_state = 6},
  [5101] = {.lex_state = 798, .external_lex_state = 6},
  [5102] = {.lex_state = 34, .external_lex_state = 5},
  [5103] = {.lex_state = 798, .external_lex_state = 5},
  [5104] = {.lex_state = 34, .external_lex_state = 5},
  [5105] = {.lex_state = 34, .external_lex_state = 5},
  [5106] = {.lex_state = 34, .external_lex_state = 5},
  [5107] = {.lex_state = 798, .external_lex_state = 6},
  [5108] = {.lex_state = 798, .external_lex_state = 6},
  [5109] = {.lex_state = 798, .external_lex_state = 6},
  [5110] = {.lex_state = 34, .external_lex_state = 5},
  [5111] = {.lex_state = 34, .external_lex_state = 5},
  [5112] = {.lex_state = 34, .external_lex_state = 5},
  [5113] = {.lex_state = 34, .external_lex_state = 5},
  [5114] = {.lex_state = 798, .external_lex_state = 6},
  [5115] = {.lex_state = 798, .external_lex_state = 6},
  [5116] = {.lex_state = 798, .external_lex_state = 6},
  [5117] = {.lex_state = 34, .external_lex_state = 5},
  [5118] = {.lex_state = 34, .external_lex_state = 5},
  [5119] = {.lex_state = 34, .external_lex_state = 5},
  [5120] = {.lex_state = 798, .external_lex_state = 6},
  [5121] = {.lex_state = 34, .external_lex_state = 5},
  [5122] = {.lex_state = 19, .external_lex_state = 5},
  [5123] = {.lex_state = 34, .external_lex_state = 5},
  [5124] = {.lex_state = 34, .external_lex_state = 5},
  [5125] = {.lex_state = 53, .external_lex_state = 5},
  [5126] = {.lex_state = 798, .external_lex_state = 6},
  [5127] = {.lex_state = 798, .external_lex_state = 6},
  [5128] = {.lex_state = 34, .external_lex_state = 5},
  [5129] = {.lex_state = 798, .external_lex_state = 6},
  [5130] = {.lex_state = 798, .external_lex_state = 12},
  [5131] = {.lex_state = 8, .external_lex_state = 5},
  [5132] = {.lex_state = 798, .external_lex_state = 5},
  [5133] = {.lex_state = 34, .external_lex_state = 5},
  [5134] = {.lex_state = 5, .external_lex_state = 5},
  [5135] = {.lex_state = 26, .external_lex_state = 5},
  [5136] = {.lex_state = 34, .external_lex_state = 5},
  [5137] = {.lex_state = 798, .external_lex_state = 6},
  [5138] = {.lex_state = 34, .external_lex_state = 5},
  [5139] = {.lex_state = 798, .external_lex_state = 5},
  [5140] = {.lex_state = 34, .external_lex_state = 5},
  [5141] = {.lex_state = 798, .external_lex_state = 6},
  [5142] = {.lex_state = 798, .external_lex_state = 5},
  [5143] = {.lex_state = 798, .external_lex_state = 6},
  [5144] = {.lex_state = 34, .external_lex_state = 5},
  [5145] = {.lex_state = 798, .external_lex_state = 5},
  [5146] = {.lex_state = 798, .external_lex_state = 6},
  [5147] = {.lex_state = 798, .external_lex_state = 6},
  [5148] = {.lex_state = 798, .external_lex_state = 6},
  [5149] = {.lex_state = 5, .external_lex_state = 5},
  [5150] = {.lex_state = 798, .external_lex_state = 6},
  [5151] = {.lex_state = 798, .external_lex_state = 6},
  [5152] = {.lex_state = 34, .external_lex_state = 5},
  [5153] = {.lex_state = 53, .external_lex_state = 5},
  [5154] = {.lex_state = 34, .external_lex_state = 5},
  [5155] = {.lex_state = 798, .external_lex_state = 6},
  [5156] = {.lex_state = 2, .external_lex_state = 5},
  [5157] = {.lex_state = 798, .external_lex_state = 6},
  [5158] = {.lex_state = 798, .external_lex_state = 5},
  [5159] = {.lex_state = 798, .external_lex_state = 6},
  [5160] = {.lex_state = 798, .external_lex_state = 5},
  [5161] = {.lex_state = 798, .external_lex_state = 6},
  [5162] = {.lex_state = 34, .external_lex_state = 5},
  [5163] = {.lex_state = 34, .external_lex_state = 5},
  [5164] = {.lex_state = 34, .external_lex_state = 5},
  [5165] = {.lex_state = 34, .external_lex_state = 5},
  [5166] = {.lex_state = 30, .external_lex_state = 5},
  [5167] = {.lex_state = 798, .external_lex_state = 6},
  [5168] = {.lex_state = 798, .external_lex_state = 6},
  [5169] = {.lex_state = 798, .external_lex_state = 6},
  [5170] = {.lex_state = 798, .external_lex_state = 6},
  [5171] = {.lex_state = 798, .external_lex_state = 6},
  [5172] = {.lex_state = 5, .external_lex_state = 5},
  [5173] = {.lex_state = 798, .external_lex_state = 6},
  [5174] = {.lex_state = 798, .external_lex_state = 6},
  [5175] = {.lex_state = 798, .external_lex_state = 6},
  [5176] = {.lex_state = 798, .external_lex_state = 6},
  [5177] = {.lex_state = 798, .external_lex_state = 6},
  [5178] = {.lex_state = 798, .external_lex_state = 6},
  [5179] = {.lex_state = 798, .external_lex_state = 6},
  [5180] = {.lex_state = 798, .external_lex_state = 6},
  [5181] = {.lex_state = 798, .external_lex_state = 6},
  [5182] = {.lex_state = 34, .external_lex_state = 5},
  [5183] = {.lex_state = 30, .external_lex_state = 5},
  [5184] = {.lex_state = 798, .external_lex_state = 6},
  [5185] = {.lex_state = 798, .external_lex_state = 6},
  [5186] = {.lex_state = 798, .external_lex_state = 6},
  [5187] = {.lex_state = 798, .external_lex_state = 6},
  [5188] = {.lex_state = 798, .external_lex_state = 5},
  [5189] = {.lex_state = 34, .external_lex_state = 5},
  [5190] = {.lex_state = 798, .external_lex_state = 5},
  [5191] = {.lex_state = 798, .external_lex_state = 5},
  [5192] = {.lex_state = 798, .external_lex_state = 5},
  [5193] = {.lex_state = 798, .external_lex_state = 5},
  [5194] = {.lex_state = 798, .external_lex_state = 6},
  [5195] = {.lex_state = 798, .external_lex_state = 6},
  [5196] = {.lex_state = 34, .external_lex_state = 5},
  [5197] = {.lex_state = 798, .external_lex_state = 5},
  [5198] = {.lex_state = 798, .external_lex_state = 5},
  [5199] = {.lex_state = 34, .external_lex_state = 5},
  [5200] = {.lex_state = 798, .external_lex_state = 5},
  [5201] = {.lex_state = 798, .external_lex_state = 5},
  [5202] = {.lex_state = 798, .external_lex_state = 6},
  [5203] = {.lex_state = 798, .external_lex_state = 5},
  [5204] = {.lex_state = 34, .external_lex_state = 5},
  [5205] = {.lex_state = 53, .external_lex_state = 5},
  [5206] = {.lex_state = 34, .external_lex_state = 5},
  [5207] = {.lex_state = 798, .external_lex_state = 6},
  [5208] = {.lex_state = 34, .external_lex_state = 5},
  [5209] = {.lex_state = 798, .external_lex_state = 6},
  [5210] = {.lex_state = 34, .external_lex_state = 5},
  [5211] = {.lex_state = 34, .external_lex_state = 5},
  [5212] = {.lex_state = 34, .external_lex_state = 5},
  [5213] = {.lex_state = 34, .external_lex_state = 5},
  [5214] = {.lex_state = 798, .external_lex_state = 6},
  [5215] = {.lex_state = 798, .external_lex_state = 6},
  [5216] = {.lex_state = 798, .external_lex_state = 5},
  [5217] = {.lex_state = 798, .external_lex_state = 6},
  [5218] = {.lex_state = 798, .external_lex_state = 12},
  [5219] = {.lex_state = 8, .external_lex_state = 5},
  [5220] = {.lex_state = 5, .external_lex_state = 5},
  [5221] = {.lex_state = 798, .external_lex_state = 6},
  [5222] = {.lex_state = 5, .external_lex_state = 5},
  [5223] = {.lex_state = 798, .external_lex_state = 6},
  [5224] = {.lex_state = 798, .external_lex_state = 6},
  [5225] = {.lex_state = 798, .external_lex_state = 6},
  [5226] = {.lex_state = 798, .external_lex_state = 6},
  [5227] = {.lex_state = 798, .external_lex_state = 5},
  [5228] = {.lex_state = 798, .external_lex_state = 6},
  [5229] = {.lex_state = 798, .external_lex_state = 6},
  [5230] = {.lex_state = 798, .external_lex_state = 5},
  [5231] = {.lex_state = 798, .external_lex_state = 5},
  [5232] = {.lex_state = 798, .external_lex_state = 6},
  [5233] = {.lex_state = 798, .external_lex_state = 6},
  [5234] = {.lex_state = 798, .external_lex_state = 6},
  [5235] = {.lex_state = 798, .external_lex_state = 6},
  [5236] = {.lex_state = 5, .external_lex_state = 5},
  [5237] = {.lex_state = 5, .external_lex_state = 5},
  [5238] = {.lex_state = 798, .external_lex_state = 5},
  [5239] = {.lex_state = 798, .external_lex_state = 5},
  [5240] = {.lex_state = 798, .external_lex_state = 5},
  [5241] = {.lex_state = 798, .external_lex_state = 6},
  [5242] = {.lex_state = 798, .external_lex_state = 6},
  [5243] = {.lex_state = 34, .external_lex_state = 5},
  [5244] = {.lex_state = 798, .external_lex_state = 6},
  [5245] = {.lex_state = 34, .external_lex_state = 5},
  [5246] = {.lex_state = 798, .external_lex_state = 6},
  [5247] = {.lex_state = 798, .external_lex_state = 6},
  [5248] = {.lex_state = 5, .external_lex_state = 5},
  [5249] = {.lex_state = 105, .external_lex_state = 5},
  [5250] = {.lex_state = 798, .external_lex_state = 6},
  [5251] = {.lex_state = 798, .external_lex_state = 6},
  [5252] = {.lex_state = 798, .external_lex_state = 6},
  [5253] = {.lex_state = 798, .external_lex_state = 6},
  [5254] = {.lex_state = 798, .external_lex_state = 6},
  [5255] = {.lex_state = 798, .external_lex_state = 5},
  [5256] = {.lex_state = 798, .external_lex_state = 6},
  [5257] = {.lex_state = 798, .external_lex_state = 5},
  [5258] = {.lex_state = 798, .external_lex_state = 6},
  [5259] = {.lex_state = 5, .external_lex_state = 5},
  [5260] = {.lex_state = 798, .external_lex_state = 5},
  [5261] = {.lex_state = 798, .external_lex_state = 6},
  [5262] = {.lex_state = 798, .external_lex_state = 6},
  [5263] = {.lex_state = 798, .external_lex_state = 6},
  [5264] = {.lex_state = 798, .external_lex_state = 6},
  [5265] = {.lex_state = 798, .external_lex_state = 5},
  [5266] = {.lex_state = 5, .external_lex_state = 5},
  [5267] = {.lex_state = 798, .external_lex_state = 6},
  [5268] = {.lex_state = 8, .external_lex_state = 5},
  [5269] = {.lex_state = 798, .external_lex_state = 12},
  [5270] = {.lex_state = 53, .external_lex_state = 5},
  [5271] = {.lex_state = 798, .external_lex_state = 6},
  [5272] = {.lex_state = 798, .external_lex_state = 6},
  [5273] = {.lex_state = 798, .external_lex_state = 6},
  [5274] = {.lex_state = 798, .external_lex_state = 6},
  [5275] = {.lex_state = 798, .external_lex_state = 6},
  [5276] = {.lex_state = 34, .external_lex_state = 5},
  [5277] = {.lex_state = 798, .external_lex_state = 6},
  [5278] = {.lex_state = 798, .external_lex_state = 6},
  [5279] = {.lex_state = 798, .external_lex_state = 6},
  [5280] = {.lex_state = 798, .external_lex_state = 6},
  [5281] = {.lex_state = 798, .external_lex_state = 12},
  [5282] = {.lex_state = 798, .external_lex_state = 6},
  [5283] = {.lex_state = 34, .external_lex_state = 5},
  [5284] = {.lex_state = 2, .external_lex_state = 5},
  [5285] = {.lex_state = 798, .external_lex_state = 6},
  [5286] = {.lex_state = 34, .external_lex_state = 5},
  [5287] = {.lex_state = 798, .external_lex_state = 6},
  [5288] = {.lex_state = 8, .external_lex_state = 5},
  [5289] = {.lex_state = 798, .external_lex_state = 6},
  [5290] = {.lex_state = 53, .external_lex_state = 5},
  [5291] = {.lex_state = 34, .external_lex_state = 5},
  [5292] = {.lex_state = 798, .external_lex_state = 6},
  [5293] = {.lex_state = 34, .external_lex_state = 5},
  [5294] = {.lex_state = 798, .external_lex_state = 6},
  [5295] = {.lex_state = 34, .external_lex_state = 5},
  [5296] = {.lex_state = 798, .external_lex_state = 5},
  [5297] = {.lex_state = 798, .external_lex_state = 6},
  [5298] = {.lex_state = 798, .external_lex_state = 5},
  [5299] = {.lex_state = 798, .external_lex_state = 6},
  [5300] = {.lex_state = 798, .external_lex_state = 6},
  [5301] = {.lex_state = 798, .external_lex_state = 6},
  [5302] = {.lex_state = 798, .external_lex_state = 6},
  [5303] = {.lex_state = 798, .external_lex_state = 6},
  [5304] = {.lex_state = 798, .external_lex_state = 12},
  [5305] = {.lex_state = 8, .external_lex_state = 5},
  [5306] = {.lex_state = 5, .external_lex_state = 5},
  [5307] = {.lex_state = 798, .external_lex_state = 6},
  [5308] = {.lex_state = 5, .external_lex_state = 5},
  [5309] = {.lex_state = 798, .external_lex_state = 6},
  [5310] = {.lex_state = 798, .external_lex_state = 6},
  [5311] = {.lex_state = 53, .external_lex_state = 5},
  [5312] = {.lex_state = 798, .external_lex_state = 6},
  [5313] = {.lex_state = 798, .external_lex_state = 6},
  [5314] = {.lex_state = 5, .external_lex_state = 5},
  [5315] = {.lex_state = 798, .external_lex_state = 5},
  [5316] = {.lex_state = 8, .external_lex_state = 5},
  [5317] = {.lex_state = 5, .external_lex_state = 5},
  [5318] = {.lex_state = 798, .external_lex_state = 6},
  [5319] = {.lex_state = 798, .external_lex_state = 6},
  [5320] = {.lex_state = 798, .external_lex_state = 6},
  [5321] = {.lex_state = 798, .external_lex_state = 6},
  [5322] = {.lex_state = 5, .external_lex_state = 5},
  [5323] = {.lex_state = 53, .external_lex_state = 5},
  [5324] = {.lex_state = 798, .external_lex_state = 6},
  [5325] = {.lex_state = 34, .external_lex_state = 5},
  [5326] = {.lex_state = 34, .external_lex_state = 5},
  [5327] = {.lex_state = 8, .external_lex_state = 5},
  [5328] = {.lex_state = 798, .external_lex_state = 6},
  [5329] = {.lex_state = 798, .external_lex_state = 6},
  [5330] = {.lex_state = 798, .external_lex_state = 6},
  [5331] = {.lex_state = 798, .external_lex_state = 12},
  [5332] = {.lex_state = 798, .external_lex_state = 6},
  [5333] = {.lex_state = 798, .external_lex_state = 5},
  [5334] = {.lex_state = 798, .external_lex_state = 6},
  [5335] = {.lex_state = 798, .external_lex_state = 6},
  [5336] = {.lex_state = 108, .external_lex_state = 5},
  [5337] = {.lex_state = 798, .external_lex_state = 6},
  [5338] = {.lex_state = 798, .external_lex_state = 6},
  [5339] = {.lex_state = 798, .external_lex_state = 6},
  [5340] = {.lex_state = 53, .external_lex_state = 5},
  [5341] = {.lex_state = 798, .external_lex_state = 6},
  [5342] = {.lex_state = 798, .external_lex_state = 6},
  [5343] = {.lex_state = 53, .external_lex_state = 5},
  [5344] = {.lex_state = 798, .external_lex_state = 6},
  [5345] = {.lex_state = 5, .external_lex_state = 5},
  [5346] = {.lex_state = 798, .external_lex_state = 6},
  [5347] = {.lex_state = 798, .external_lex_state = 5},
  [5348] = {.lex_state = 798, .external_lex_state = 6},
  [5349] = {.lex_state = 53, .external_lex_state = 5},
  [5350] = {.lex_state = 798, .external_lex_state = 6},
  [5351] = {.lex_state = 798, .external_lex_state = 6},
  [5352] = {.lex_state = 798, .external_lex_state = 5},
  [5353] = {.lex_state = 798, .external_lex_state = 6},
  [5354] = {.lex_state = 26, .external_lex_state = 5},
  [5355] = {.lex_state = 798, .external_lex_state = 6},
  [5356] = {.lex_state = 798, .external_lex_state = 6},
  [5357] = {.lex_state = 798, .external_lex_state = 6},
  [5358] = {.lex_state = 798, .external_lex_state = 6},
  [5359] = {.lex_state = 798, .external_lex_state = 6},
  [5360] = {.lex_state = 34, .external_lex_state = 5},
  [5361] = {.lex_state = 798, .external_lex_state = 6},
  [5362] = {.lex_state = 798, .external_lex_state = 6},
  [5363] = {.lex_state = 34, .external_lex_state = 5},
  [5364] = {.lex_state = 798, .external_lex_state = 6},
  [5365] = {.lex_state = 798, .external_lex_state = 12},
  [5366] = {.lex_state = 8, .external_lex_state = 5},
  [5367] = {.lex_state = 34, .external_lex_state = 5},
  [5368] = {.lex_state = 53, .external_lex_state = 5},
  [5369] = {.lex_state = 5, .external_lex_state = 5},
  [5370] = {.lex_state = 34, .external_lex_state = 5},
  [5371] = {.lex_state = 798, .external_lex_state = 6},
  [5372] = {.lex_state = 798, .external_lex_state = 5},
  [5373] = {.lex_state = 798, .external_lex_state = 5},
  [5374] = {.lex_state = 798, .external_lex_state = 6},
  [5375] = {.lex_state = 798, .external_lex_state = 5},
  [5376] = {.lex_state = 798, .external_lex_state = 5},
  [5377] = {.lex_state = 798, .external_lex_state = 5},
  [5378] = {.lex_state = 798, .external_lex_state = 6},
  [5379] = {.lex_state = 798, .external_lex_state = 6},
  [5380] = {.lex_state = 798, .external_lex_state = 6},
  [5381] = {.lex_state = 798, .external_lex_state = 6},
  [5382] = {.lex_state = 5, .external_lex_state = 5},
  [5383] = {.lex_state = 798, .external_lex_state = 6},
  [5384] = {.lex_state = 798, .external_lex_state = 5},
  [5385] = {.lex_state = 798, .external_lex_state = 5},
  [5386] = {.lex_state = 798, .external_lex_state = 5},
  [5387] = {.lex_state = 798, .external_lex_state = 5},
  [5388] = {.lex_state = 798, .external_lex_state = 6},
  [5389] = {.lex_state = 34, .external_lex_state = 5},
  [5390] = {.lex_state = 798, .external_lex_state = 6},
  [5391] = {.lex_state = 30, .external_lex_state = 5},
  [5392] = {.lex_state = 798, .external_lex_state = 5},
  [5393] = {.lex_state = 798, .external_lex_state = 6},
  [5394] = {.lex_state = 34, .external_lex_state = 5},
  [5395] = {.lex_state = 30, .external_lex_state = 5},
  [5396] = {.lex_state = 798, .external_lex_state = 6},
  [5397] = {.lex_state = 798, .external_lex_state = 6},
  [5398] = {.lex_state = 798, .external_lex_state = 6},
  [5399] = {.lex_state = 798, .external_lex_state = 6},
  [5400] = {.lex_state = 798, .external_lex_state = 6},
  [5401] = {.lex_state = 53, .external_lex_state = 5},
  [5402] = {.lex_state = 798, .external_lex_state = 6},
  [5403] = {.lex_state = 53, .external_lex_state = 5},
  [5404] = {.lex_state = 798, .external_lex_state = 6},
  [5405] = {.lex_state = 5, .external_lex_state = 5},
  [5406] = {.lex_state = 798, .external_lex_state = 6},
  [5407] = {.lex_state = 798, .external_lex_state = 5},
  [5408] = {.lex_state = 798, .external_lex_state = 6},
  [5409] = {.lex_state = 798, .external_lex_state = 6},
  [5410] = {.lex_state = 798, .external_lex_state = 6},
  [5411] = {.lex_state = 798, .external_lex_state = 5},
  [5412] = {.lex_state = 798, .external_lex_state = 6},
  [5413] = {.lex_state = 798, .external_lex_state = 6},
  [5414] = {.lex_state = 798, .external_lex_state = 6},
  [5415] = {.lex_state = 798, .external_lex_state = 6},
  [5416] = {.lex_state = 798, .external_lex_state = 6},
  [5417] = {.lex_state = 798, .external_lex_state = 6},
  [5418] = {.lex_state = 34, .external_lex_state = 5},
  [5419] = {.lex_state = 798, .external_lex_state = 6},
  [5420] = {.lex_state = 798, .external_lex_state = 5},
  [5421] = {.lex_state = 798, .external_lex_state = 6},
  [5422] = {.lex_state = 798, .external_lex_state = 6},
  [5423] = {.lex_state = 798, .external_lex_state = 5},
  [5424] = {.lex_state = 798, .external_lex_state = 6},
  [5425] = {.lex_state = 798, .external_lex_state = 12},
  [5426] = {.lex_state = 8, .external_lex_state = 5},
  [5427] = {.lex_state = 798, .external_lex_state = 5},
  [5428] = {.lex_state = 798, .external_lex_state = 6},
  [5429] = {.lex_state = 5, .external_lex_state = 5},
  [5430] = {.lex_state = 798, .external_lex_state = 6},
  [5431] = {.lex_state = 798, .external_lex_state = 6},
  [5432] = {.lex_state = 798, .external_lex_state = 5},
  [5433] = {.lex_state = 798, .external_lex_state = 6},
  [5434] = {.lex_state = 53, .external_lex_state = 5},
  [5435] = {.lex_state = 798, .external_lex_state = 6},
  [5436] = {.lex_state = 798, .external_lex_state = 6},
  [5437] = {.lex_state = 798, .external_lex_state = 5},
  [5438] = {.lex_state = 798, .external_lex_state = 5},
  [5439] = {.lex_state = 798, .external_lex_state = 6},
  [5440] = {.lex_state = 798, .external_lex_state = 6},
  [5441] = {.lex_state = 798, .external_lex_state = 6},
  [5442] = {.lex_state = 5, .external_lex_state = 5},
  [5443] = {.lex_state = 34, .external_lex_state = 5},
  [5444] = {.lex_state = 798, .external_lex_state = 6},
  [5445] = {.lex_state = 798, .external_lex_state = 6},
  [5446] = {.lex_state = 798, .external_lex_state = 6},
  [5447] = {.lex_state = 798, .external_lex_state = 6},
  [5448] = {.lex_state = 798, .external_lex_state = 6},
  [5449] = {.lex_state = 30, .external_lex_state = 5},
  [5450] = {.lex_state = 798, .external_lex_state = 6},
  [5451] = {.lex_state = 798, .external_lex_state = 6},
  [5452] = {.lex_state = 798, .external_lex_state = 6},
  [5453] = {.lex_state = 69, .external_lex_state = 5},
  [5454] = {.lex_state = 798, .external_lex_state = 6},
  [5455] = {.lex_state = 53, .external_lex_state = 5},
  [5456] = {.lex_state = 798, .external_lex_state = 6},
  [5457] = {.lex_state = 34, .external_lex_state = 5},
  [5458] = {.lex_state = 30, .external_lex_state = 5},
  [5459] = {.lex_state = 798, .external_lex_state = 6},
  [5460] = {.lex_state = 53, .external_lex_state = 5},
  [5461] = {.lex_state = 798, .external_lex_state = 6},
  [5462] = {.lex_state = 798, .external_lex_state = 6},
  [5463] = {.lex_state = 798, .external_lex_state = 5},
  [5464] = {.lex_state = 798, .external_lex_state = 6},
  [5465] = {.lex_state = 5, .external_lex_state = 5},
  [5466] = {.lex_state = 798, .external_lex_state = 5},
  [5467] = {.lex_state = 798, .external_lex_state = 6},
  [5468] = {.lex_state = 798, .external_lex_state = 6},
  [5469] = {.lex_state = 798, .external_lex_state = 6},
  [5470] = {.lex_state = 798, .external_lex_state = 6},
  [5471] = {.lex_state = 8, .external_lex_state = 5},
  [5472] = {.lex_state = 5, .external_lex_state = 5},
  [5473] = {.lex_state = 798, .external_lex_state = 6},
  [5474] = {.lex_state = 5, .external_lex_state = 5},
  [5475] = {.lex_state = 798, .external_lex_state = 6},
  [5476] = {.lex_state = 798, .external_lex_state = 6},
  [5477] = {.lex_state = 798, .external_lex_state = 6},
  [5478] = {.lex_state = 798, .external_lex_state = 6},
  [5479] = {.lex_state = 798, .external_lex_state = 5},
  [5480] = {.lex_state = 34, .external_lex_state = 5},
  [5481] = {.lex_state = 34, .external_lex_state = 5},
  [5482] = {.lex_state = 798, .external_lex_state = 6},
  [5483] = {.lex_state = 798, .external_lex_state = 5},
  [5484] = {.lex_state = 798, .external_lex_state = 6},
  [5485] = {.lex_state = 798, .external_lex_state = 12},
  [5486] = {.lex_state = 8, .external_lex_state = 5},
  [5487] = {.lex_state = 34, .external_lex_state = 5},
  [5488] = {.lex_state = 798, .external_lex_state = 5},
  [5489] = {.lex_state = 5, .external_lex_state = 5},
  [5490] = {.lex_state = 798, .external_lex_state = 5},
  [5491] = {.lex_state = 798, .external_lex_state = 5},
  [5492] = {.lex_state = 798, .external_lex_state = 5},
  [5493] = {.lex_state = 798, .external_lex_state = 5},
  [5494] = {.lex_state = 798, .external_lex_state = 6},
  [5495] = {.lex_state = 798, .external_lex_state = 6},
  [5496] = {.lex_state = 798, .external_lex_state = 6},
  [5497] = {.lex_state = 798, .external_lex_state = 6},
  [5498] = {.lex_state = 798, .external_lex_state = 5},
  [5499] = {.lex_state = 798, .external_lex_state = 5},
  [5500] = {.lex_state = 798, .external_lex_state = 6},
  [5501] = {.lex_state = 798, .external_lex_state = 6},
  [5502] = {.lex_state = 5, .external_lex_state = 5},
  [5503] = {.lex_state = 34, .external_lex_state = 5},
  [5504] = {.lex_state = 798, .external_lex_state = 5},
  [5505] = {.lex_state = 798, .external_lex_state = 5},
  [5506] = {.lex_state = 798, .external_lex_state = 6},
  [5507] = {.lex_state = 798, .external_lex_state = 6},
  [5508] = {.lex_state = 798, .external_lex_state = 6},
  [5509] = {.lex_state = 798, .external_lex_state = 6},
  [5510] = {.lex_state = 798, .external_lex_state = 5},
  [5511] = {.lex_state = 798, .external_lex_state = 6},
  [5512] = {.lex_state = 798, .external_lex_state = 5},
  [5513] = {.lex_state = 798, .external_lex_state = 5},
  [5514] = {.lex_state = 798, .external_lex_state = 5},
  [5515] = {.lex_state = 798, .external_lex_state = 6},
  [5516] = {.lex_state = 798, .external_lex_state = 6},
  [5517] = {.lex_state = 798, .external_lex_state = 5},
  [5518] = {.lex_state = 30, .external_lex_state = 5},
  [5519] = {.lex_state = 30, .external_lex_state = 5},
  [5520] = {.lex_state = 798, .external_lex_state = 6},
  [5521] = {.lex_state = 798, .external_lex_state = 6},
  [5522] = {.lex_state = 798, .external_lex_state = 6},
  [5523] = {.lex_state = 798, .external_lex_state = 6},
  [5524] = {.lex_state = 5, .external_lex_state = 5},
  [5525] = {.lex_state = 798, .external_lex_state = 5},
  [5526] = {.lex_state = 30, .external_lex_state = 5},
  [5527] = {.lex_state = 798, .external_lex_state = 6},
  [5528] = {.lex_state = 798, .external_lex_state = 6},
  [5529] = {.lex_state = 798, .external_lex_state = 6},
  [5530] = {.lex_state = 798, .external_lex_state = 6},
  [5531] = {.lex_state = 798, .external_lex_state = 5},
  [5532] = {.lex_state = 798, .external_lex_state = 6},
  [5533] = {.lex_state = 798, .external_lex_state = 6},
  [5534] = {.lex_state = 798, .external_lex_state = 6},
  [5535] = {.lex_state = 798, .external_lex_state = 6},
  [5536] = {.lex_state = 798, .external_lex_state = 6},
  [5537] = {.lex_state = 798, .external_lex_state = 6},
  [5538] = {.lex_state = 30, .external_lex_state = 5},
  [5539] = {.lex_state = 798, .external_lex_state = 6},
  [5540] = {.lex_state = 2, .external_lex_state = 5},
  [5541] = {.lex_state = 798, .external_lex_state = 6},
  [5542] = {.lex_state = 798, .external_lex_state = 6},
  [5543] = {.lex_state = 798, .external_lex_state = 6},
  [5544] = {.lex_state = 798, .external_lex_state = 12},
  [5545] = {.lex_state = 8, .external_lex_state = 5},
  [5546] = {.lex_state = 798, .external_lex_state = 6},
  [5547] = {.lex_state = 798, .external_lex_state = 6},
  [5548] = {.lex_state = 5, .external_lex_state = 5},
  [5549] = {.lex_state = 30, .external_lex_state = 5},
  [5550] = {.lex_state = 798, .external_lex_state = 6},
  [5551] = {.lex_state = 53, .external_lex_state = 5},
  [5552] = {.lex_state = 53, .external_lex_state = 5},
  [5553] = {.lex_state = 798, .external_lex_state = 6},
  [5554] = {.lex_state = 798, .external_lex_state = 6},
  [5555] = {.lex_state = 798, .external_lex_state = 6},
  [5556] = {.lex_state = 798, .external_lex_state = 6},
  [5557] = {.lex_state = 798, .external_lex_state = 6},
  [5558] = {.lex_state = 798, .external_lex_state = 6},
  [5559] = {.lex_state = 5, .external_lex_state = 5},
  [5560] = {.lex_state = 5, .external_lex_state = 5},
  [5561] = {.lex_state = 798, .external_lex_state = 5},
  [5562] = {.lex_state = 798, .external_lex_state = 6},
  [5563] = {.lex_state = 798, .external_lex_state = 6},
  [5564] = {.lex_state = 798, .external_lex_state = 6},
  [5565] = {.lex_state = 798, .external_lex_state = 6},
  [5566] = {.lex_state = 798, .external_lex_state = 6},
  [5567] = {.lex_state = 2, .external_lex_state = 5},
  [5568] = {.lex_state = 798, .external_lex_state = 6},
  [5569] = {.lex_state = 798, .external_lex_state = 6},
  [5570] = {.lex_state = 798, .external_lex_state = 6},
  [5571] = {.lex_state = 5, .external_lex_state = 5},
  [5572] = {.lex_state = 26, .external_lex_state = 5},
  [5573] = {.lex_state = 34, .external_lex_state = 5},
  [5574] = {.lex_state = 798, .external_lex_state = 6},
  [5575] = {.lex_state = 798, .external_lex_state = 6},
  [5576] = {.lex_state = 34, .external_lex_state = 5},
  [5577] = {.lex_state = 798, .external_lex_state = 6},
  [5578] = {.lex_state = 798, .external_lex_state = 6},
  [5579] = {.lex_state = 798, .external_lex_state = 12},
  [5580] = {.lex_state = 8, .external_lex_state = 5},
  [5581] = {.lex_state = 798, .external_lex_state = 6},
  [5582] = {.lex_state = 798, .external_lex_state = 6},
  [5583] = {.lex_state = 5, .external_lex_state = 5},
  [5584] = {.lex_state = 798, .external_lex_state = 5},
  [5585] = {.lex_state = 798, .external_lex_state = 5},
  [5586] = {.lex_state = 798, .external_lex_state = 6},
  [5587] = {.lex_state = 798, .external_lex_state = 6},
  [5588] = {.lex_state = 798, .external_lex_state = 6},
  [5589] = {.lex_state = 5, .external_lex_state = 5},
  [5590] = {.lex_state = 34, .external_lex_state = 5},
  [5591] = {.lex_state = 798, .external_lex_state = 6},
  [5592] = {.lex_state = 798, .external_lex_state = 6},
  [5593] = {.lex_state = 34, .external_lex_state = 5},
  [5594] = {.lex_state = 798, .external_lex_state = 6},
  [5595] = {.lex_state = 798, .external_lex_state = 6},
  [5596] = {.lex_state = 798, .external_lex_state = 6},
  [5597] = {.lex_state = 5, .external_lex_state = 5},
  [5598] = {.lex_state = 34, .external_lex_state = 5},
  [5599] = {.lex_state = 34, .external_lex_state = 5},
  [5600] = {.lex_state = 798, .external_lex_state = 6},
  [5601] = {.lex_state = 5, .external_lex_state = 5},
  [5602] = {.lex_state = 798, .external_lex_state = 6},
  [5603] = {.lex_state = 798, .external_lex_state = 12},
  [5604] = {.lex_state = 8, .external_lex_state = 5},
  [5605] = {.lex_state = 2, .external_lex_state = 5},
  [5606] = {.lex_state = 798, .external_lex_state = 6},
  [5607] = {.lex_state = 5, .external_lex_state = 5},
  [5608] = {.lex_state = 798, .external_lex_state = 6},
  [5609] = {.lex_state = 5, .external_lex_state = 5},
  [5610] = {.lex_state = 34, .external_lex_state = 5},
  [5611] = {.lex_state = 5, .external_lex_state = 5},
  [5612] = {.lex_state = 798, .external_lex_state = 6},
  [5613] = {.lex_state = 8, .external_lex_state = 5},
  [5614] = {.lex_state = 798, .external_lex_state = 6},
  [5615] = {.lex_state = 798, .external_lex_state = 6},
  [5616] = {.lex_state = 5, .external_lex_state = 5},
  [5617] = {.lex_state = 5, .external_lex_state = 5},
  [5618] = {.lex_state = 798, .external_lex_state = 6},
  [5619] = {.lex_state = 5, .external_lex_state = 5},
  [5620] = {.lex_state = 798, .external_lex_state = 5},
  [5621] = {.lex_state = 8, .external_lex_state = 5},
  [5622] = {.lex_state = 798, .external_lex_state = 6},
  [5623] = {.lex_state = 798, .external_lex_state = 6},
  [5624] = {.lex_state = 5, .external_lex_state = 5},
  [5625] = {.lex_state = 5, .external_lex_state = 5},
  [5626] = {.lex_state = 798, .external_lex_state = 6},
  [5627] = {.lex_state = 5, .external_lex_state = 5},
  [5628] = {.lex_state = 798, .external_lex_state = 5},
  [5629] = {.lex_state = 8, .external_lex_state = 5},
  [5630] = {.lex_state = 798, .external_lex_state = 6},
  [5631] = {.lex_state = 798, .external_lex_state = 6},
  [5632] = {.lex_state = 5, .external_lex_state = 5},
  [5633] = {.lex_state = 5, .external_lex_state = 5},
  [5634] = {.lex_state = 34, .external_lex_state = 5},
  [5635] = {.lex_state = 5, .external_lex_state = 5},
  [5636] = {.lex_state = 798, .external_lex_state = 5},
  [5637] = {.lex_state = 8, .external_lex_state = 5},
  [5638] = {.lex_state = 798, .external_lex_state = 5},
  [5639] = {.lex_state = 8, .external_lex_state = 5},
  [5640] = {.lex_state = 5, .external_lex_state = 5},
  [5641] = {.lex_state = 5, .external_lex_state = 5},
  [5642] = {.lex_state = 2, .external_lex_state = 5},
  [5643] = {.lex_state = 5, .external_lex_state = 5},
  [5644] = {.lex_state = 798, .external_lex_state = 6},
  [5645] = {.lex_state = 8, .external_lex_state = 5},
  [5646] = {.lex_state = 8, .external_lex_state = 5},
  [5647] = {.lex_state = 798, .external_lex_state = 6},
  [5648] = {.lex_state = 5, .external_lex_state = 5},
  [5649] = {.lex_state = 5, .external_lex_state = 5},
  [5650] = {.lex_state = 798, .external_lex_state = 6},
  [5651] = {.lex_state = 5, .external_lex_state = 5},
  [5652] = {.lex_state = 798, .external_lex_state = 6},
  [5653] = {.lex_state = 8, .external_lex_state = 5},
  [5654] = {.lex_state = 34, .external_lex_state = 5},
  [5655] = {.lex_state = 34, .external_lex_state = 5},
  [5656] = {.lex_state = 5, .external_lex_state = 5},
  [5657] = {.lex_state = 5, .external_lex_state = 5},
  [5658] = {.lex_state = 798, .external_lex_state = 6},
  [5659] = {.lex_state = 5, .external_lex_state = 5},
  [5660] = {.lex_state = 798, .external_lex_state = 6},
  [5661] = {.lex_state = 8, .external_lex_state = 5},
  [5662] = {.lex_state = 34, .external_lex_state = 5},
  [5663] = {.lex_state = 34, .external_lex_state = 5},
  [5664] = {.lex_state = 5, .external_lex_state = 5},
  [5665] = {.lex_state = 5, .external_lex_state = 5},
  [5666] = {.lex_state = 798, .external_lex_state = 6},
  [5667] = {.lex_state = 5, .external_lex_state = 5},
  [5668] = {.lex_state = 798, .external_lex_state = 6},
  [5669] = {.lex_state = 8, .external_lex_state = 5},
  [5670] = {.lex_state = 798, .external_lex_state = 6},
  [5671] = {.lex_state = 34, .external_lex_state = 5},
  [5672] = {.lex_state = 5, .external_lex_state = 5},
  [5673] = {.lex_state = 5, .external_lex_state = 5},
  [5674] = {.lex_state = 34, .external_lex_state = 5},
  [5675] = {.lex_state = 5, .external_lex_state = 5},
  [5676] = {.lex_state = 34, .external_lex_state = 5},
  [5677] = {.lex_state = 8, .external_lex_state = 5},
  [5678] = {.lex_state = 34, .external_lex_state = 5},
  [5679] = {.lex_state = 34, .external_lex_state = 5},
  [5680] = {.lex_state = 5, .external_lex_state = 5},
  [5681] = {.lex_state = 5, .external_lex_state = 5},
  [5682] = {.lex_state = 5, .external_lex_state = 5},
  [5683] = {.lex_state = 5, .external_lex_state = 5},
  [5684] = {.lex_state = 798, .external_lex_state = 6},
  [5685] = {.lex_state = 8, .external_lex_state = 5},
  [5686] = {.lex_state = 798, .external_lex_state = 5},
  [5687] = {.lex_state = 798, .external_lex_state = 5},
  [5688] = {.lex_state = 5, .external_lex_state = 5},
  [5689] = {.lex_state = 5, .external_lex_state = 5},
  [5690] = {.lex_state = 798, .external_lex_state = 6},
  [5691] = {.lex_state = 5, .external_lex_state = 5},
  [5692] = {.lex_state = 798, .external_lex_state = 6},
  [5693] = {.lex_state = 8, .external_lex_state = 5},
  [5694] = {.lex_state = 34, .external_lex_state = 5},
  [5695] = {.lex_state = 34, .external_lex_state = 5},
  [5696] = {.lex_state = 5, .external_lex_state = 5},
  [5697] = {.lex_state = 5, .external_lex_state = 5},
  [5698] = {.lex_state = 34, .external_lex_state = 5},
  [5699] = {.lex_state = 5, .external_lex_state = 5},
  [5700] = {.lex_state = 798, .external_lex_state = 6},
  [5701] = {.lex_state = 8, .external_lex_state = 5},
  [5702] = {.lex_state = 798, .external_lex_state = 6},
  [5703] = {.lex_state = 34, .external_lex_state = 5},
  [5704] = {.lex_state = 5, .external_lex_state = 5},
  [5705] = {.lex_state = 5, .external_lex_state = 5},
  [5706] = {.lex_state = 798, .external_lex_state = 6},
  [5707] = {.lex_state = 5, .external_lex_state = 5},
  [5708] = {.lex_state = 34, .external_lex_state = 5},
  [5709] = {.lex_state = 8, .external_lex_state = 5},
  [5710] = {.lex_state = 798, .external_lex_state = 5},
  [5711] = {.lex_state = 34, .external_lex_state = 5},
  [5712] = {.lex_state = 5, .external_lex_state = 5},
  [5713] = {.lex_state = 5, .external_lex_state = 5},
  [5714] = {.lex_state = 5, .external_lex_state = 5},
  [5715] = {.lex_state = 5, .external_lex_state = 5},
  [5716] = {.lex_state = 34, .external_lex_state = 5},
  [5717] = {.lex_state = 8, .external_lex_state = 5},
  [5718] = {.lex_state = 34, .external_lex_state = 5},
  [5719] = {.lex_state = 8, .external_lex_state = 5},
  [5720] = {.lex_state = 5, .external_lex_state = 5},
  [5721] = {.lex_state = 5, .external_lex_state = 5},
  [5722] = {.lex_state = 798, .external_lex_state = 12},
  [5723] = {.lex_state = 5, .external_lex_state = 5},
  [5724] = {.lex_state = 798, .external_lex_state = 6},
  [5725] = {.lex_state = 8, .external_lex_state = 5},
  [5726] = {.lex_state = 798, .external_lex_state = 5},
  [5727] = {.lex_state = 798, .external_lex_state = 5},
  [5728] = {.lex_state = 5, .external_lex_state = 5},
  [5729] = {.lex_state = 5, .external_lex_state = 5},
  [5730] = {.lex_state = 34, .external_lex_state = 5},
  [5731] = {.lex_state = 5, .external_lex_state = 5},
  [5732] = {.lex_state = 798, .external_lex_state = 6},
  [5733] = {.lex_state = 8, .external_lex_state = 5},
  [5734] = {.lex_state = 798, .external_lex_state = 6},
  [5735] = {.lex_state = 53, .external_lex_state = 5},
  [5736] = {.lex_state = 5, .external_lex_state = 5},
  [5737] = {.lex_state = 5, .external_lex_state = 5},
  [5738] = {.lex_state = 34, .external_lex_state = 5},
  [5739] = {.lex_state = 5, .external_lex_state = 5},
  [5740] = {.lex_state = 34, .external_lex_state = 5},
  [5741] = {.lex_state = 8, .external_lex_state = 5},
  [5742] = {.lex_state = 34, .external_lex_state = 5},
  [5743] = {.lex_state = 798, .external_lex_state = 6},
  [5744] = {.lex_state = 5, .external_lex_state = 5},
  [5745] = {.lex_state = 5, .external_lex_state = 5},
  [5746] = {.lex_state = 798, .external_lex_state = 6},
  [5747] = {.lex_state = 5, .external_lex_state = 5},
  [5748] = {.lex_state = 34, .external_lex_state = 5},
  [5749] = {.lex_state = 8, .external_lex_state = 5},
  [5750] = {.lex_state = 104, .external_lex_state = 5},
  [5751] = {.lex_state = 34, .external_lex_state = 5},
  [5752] = {.lex_state = 5, .external_lex_state = 5},
  [5753] = {.lex_state = 5, .external_lex_state = 5},
  [5754] = {.lex_state = 34, .external_lex_state = 5},
  [5755] = {.lex_state = 5, .external_lex_state = 5},
  [5756] = {.lex_state = 34, .external_lex_state = 5},
  [5757] = {.lex_state = 8, .external_lex_state = 5},
  [5758] = {.lex_state = 798, .external_lex_state = 5},
  [5759] = {.lex_state = 798, .external_lex_state = 6},
  [5760] = {.lex_state = 5, .external_lex_state = 5},
  [5761] = {.lex_state = 5, .external_lex_state = 5},
  [5762] = {.lex_state = 798, .external_lex_state = 12},
  [5763] = {.lex_state = 5, .external_lex_state = 5},
  [5764] = {.lex_state = 34, .external_lex_state = 5},
  [5765] = {.lex_state = 8, .external_lex_state = 5},
  [5766] = {.lex_state = 798, .external_lex_state = 5},
  [5767] = {.lex_state = 798, .external_lex_state = 5},
  [5768] = {.lex_state = 5, .external_lex_state = 5},
  [5769] = {.lex_state = 5, .external_lex_state = 5},
  [5770] = {.lex_state = 798, .external_lex_state = 6},
  [5771] = {.lex_state = 5, .external_lex_state = 5},
  [5772] = {.lex_state = 34, .external_lex_state = 5},
  [5773] = {.lex_state = 8, .external_lex_state = 5},
  [5774] = {.lex_state = 798, .external_lex_state = 5},
  [5775] = {.lex_state = 34, .external_lex_state = 5},
  [5776] = {.lex_state = 5, .external_lex_state = 5},
  [5777] = {.lex_state = 5, .external_lex_state = 5},
  [5778] = {.lex_state = 34, .external_lex_state = 5},
  [5779] = {.lex_state = 5, .external_lex_state = 5},
  [5780] = {.lex_state = 798, .external_lex_state = 6},
  [5781] = {.lex_state = 8, .external_lex_state = 5},
  [5782] = {.lex_state = 34, .external_lex_state = 5},
  [5783] = {.lex_state = 798, .external_lex_state = 6},
  [5784] = {.lex_state = 5, .external_lex_state = 5},
  [5785] = {.lex_state = 5, .external_lex_state = 5},
  [5786] = {.lex_state = 34, .external_lex_state = 5},
  [5787] = {.lex_state = 5, .external_lex_state = 5},
  [5788] = {.lex_state = 34, .external_lex_state = 5},
  [5789] = {.lex_state = 8, .external_lex_state = 5},
  [5790] = {.lex_state = 798, .external_lex_state = 5},
  [5791] = {.lex_state = 34, .external_lex_state = 5},
  [5792] = {.lex_state = 5, .external_lex_state = 5},
  [5793] = {.lex_state = 5, .external_lex_state = 5},
  [5794] = {.lex_state = 798, .external_lex_state = 6},
  [5795] = {.lex_state = 5, .external_lex_state = 5},
  [5796] = {.lex_state = 34, .external_lex_state = 5},
  [5797] = {.lex_state = 8, .external_lex_state = 5},
  [5798] = {.lex_state = 34, .external_lex_state = 5},
  [5799] = {.lex_state = 34, .external_lex_state = 5},
  [5800] = {.lex_state = 5, .external_lex_state = 5},
  [5801] = {.lex_state = 5, .external_lex_state = 5},
  [5802] = {.lex_state = 34, .external_lex_state = 5},
  [5803] = {.lex_state = 5, .external_lex_state = 5},
  [5804] = {.lex_state = 34, .external_lex_state = 5},
  [5805] = {.lex_state = 8, .external_lex_state = 5},
  [5806] = {.lex_state = 798, .external_lex_state = 6},
  [5807] = {.lex_state = 798, .external_lex_state = 6},
  [5808] = {.lex_state = 5, .external_lex_state = 5},
  [5809] = {.lex_state = 5, .external_lex_state = 5},
  [5810] = {.lex_state = 34, .external_lex_state = 5},
  [5811] = {.lex_state = 5, .external_lex_state = 5},
  [5812] = {.lex_state = 30, .external_lex_state = 5},
  [5813] = {.lex_state = 798, .external_lex_state = 5},
  [5814] = {.lex_state = 798, .external_lex_state = 6},
  [5815] = {.lex_state = 798, .external_lex_state = 5},
  [5816] = {.lex_state = 798, .external_lex_state = 6},
  [5817] = {.lex_state = 798, .external_lex_state = 6},
  [5818] = {.lex_state = 798, .external_lex_state = 6},
  [5819] = {.lex_state = 798, .external_lex_state = 6},
  [5820] = {.lex_state = 798, .external_lex_state = 6},
  [5821] = {.lex_state = 30, .external_lex_state = 5},
  [5822] = {.lex_state = 798, .external_lex_state = 6},
  [5823] = {.lex_state = 30, .external_lex_state = 5},
  [5824] = {.lex_state = 798, .external_lex_state = 6},
  [5825] = {.lex_state = 53, .external_lex_state = 5},
  [5826] = {.lex_state = 53, .external_lex_state = 5},
  [5827] = {.lex_state = 798, .external_lex_state = 6},
  [5828] = {.lex_state = 798, .external_lex_state = 6},
  [5829] = {.lex_state = 798, .external_lex_state = 6},
  [5830] = {.lex_state = 798, .external_lex_state = 6},
  [5831] = {.lex_state = 798, .external_lex_state = 6},
  [5832] = {.lex_state = 798, .external_lex_state = 6},
  [5833] = {.lex_state = 798, .external_lex_state = 6},
  [5834] = {.lex_state = 798, .external_lex_state = 6},
  [5835] = {.lex_state = 53, .external_lex_state = 5},
  [5836] = {.lex_state = 798, .external_lex_state = 6},
  [5837] = {.lex_state = 34, .external_lex_state = 5},
  [5838] = {.lex_state = 34, .external_lex_state = 5},
  [5839] = {.lex_state = 30, .external_lex_state = 5},
  [5840] = {.lex_state = 34, .external_lex_state = 5},
  [5841] = {.lex_state = 798, .external_lex_state = 5},
  [5842] = {.lex_state = 34, .external_lex_state = 5},
  [5843] = {.lex_state = 2, .external_lex_state = 5},
  [5844] = {.lex_state = 798, .external_lex_state = 6},
  [5845] = {.lex_state = 798, .external_lex_state = 5},
  [5846] = {.lex_state = 798, .external_lex_state = 5},
  [5847] = {.lex_state = 108, .external_lex_state = 5},
  [5848] = {.lex_state = 798, .external_lex_state = 6},
  [5849] = {.lex_state = 798, .external_lex_state = 5},
  [5850] = {.lex_state = 798, .external_lex_state = 6},
  [5851] = {.lex_state = 2, .external_lex_state = 5},
  [5852] = {.lex_state = 34, .external_lex_state = 5},
  [5853] = {.lex_state = 798, .external_lex_state = 6},
  [5854] = {.lex_state = 798, .external_lex_state = 6},
  [5855] = {.lex_state = 34, .external_lex_state = 5},
  [5856] = {.lex_state = 2, .external_lex_state = 5},
  [5857] = {.lex_state = 798, .external_lex_state = 6},
  [5858] = {.lex_state = 53, .external_lex_state = 5},
  [5859] = {.lex_state = 34, .external_lex_state = 5},
  [5860] = {.lex_state = 798, .external_lex_state = 6},
  [5861] = {.lex_state = 798, .external_lex_state = 5},
  [5862] = {.lex_state = 34, .external_lex_state = 5},
  [5863] = {.lex_state = 2, .external_lex_state = 5},
  [5864] = {.lex_state = 34, .external_lex_state = 5},
  [5865] = {.lex_state = 798, .external_lex_state = 6},
  [5866] = {.lex_state = 798, .external_lex_state = 6},
  [5867] = {.lex_state = 798, .external_lex_state = 6},
  [5868] = {.lex_state = 798, .external_lex_state = 6},
  [5869] = {.lex_state = 798, .external_lex_state = 5},
  [5870] = {.lex_state = 798, .external_lex_state = 6},
  [5871] = {.lex_state = 798, .external_lex_state = 6},
  [5872] = {.lex_state = 798, .external_lex_state = 6},
  [5873] = {.lex_state = 798, .external_lex_state = 5},
  [5874] = {.lex_state = 8, .external_lex_state = 5},
  [5875] = {.lex_state = 2, .external_lex_state = 5},
  [5876] = {.lex_state = 798, .external_lex_state = 6},
  [5877] = {.lex_state = 2, .external_lex_state = 5},
  [5878] = {.lex_state = 798, .external_lex_state = 6},
  [5879] = {.lex_state = 34, .external_lex_state = 5},
  [5880] = {.lex_state = 34, .external_lex_state = 5},
  [5881] = {.lex_state = 34, .external_lex_state = 5},
  [5882] = {.lex_state = 2, .external_lex_state = 5},
  [5883] = {.lex_state = 34, .external_lex_state = 5},
  [5884] = {.lex_state = 34, .external_lex_state = 5},
  [5885] = {.lex_state = 798, .external_lex_state = 6},
  [5886] = {.lex_state = 34, .external_lex_state = 5},
  [5887] = {.lex_state = 34, .external_lex_state = 5},
  [5888] = {.lex_state = 798, .external_lex_state = 6},
  [5889] = {.lex_state = 798, .external_lex_state = 6},
  [5890] = {.lex_state = 53, .external_lex_state = 5},
  [5891] = {.lex_state = 34, .external_lex_state = 5},
  [5892] = {.lex_state = 798, .external_lex_state = 6},
  [5893] = {.lex_state = 8, .external_lex_state = 5},
  [5894] = {.lex_state = 798, .external_lex_state = 6},
  [5895] = {.lex_state = 798, .external_lex_state = 5},
  [5896] = {.lex_state = 798, .external_lex_state = 5},
  [5897] = {.lex_state = 798, .external_lex_state = 5},
  [5898] = {.lex_state = 5, .external_lex_state = 5},
  [5899] = {.lex_state = 798, .external_lex_state = 6},
  [5900] = {.lex_state = 30, .external_lex_state = 5},
  [5901] = {.lex_state = 5, .external_lex_state = 5},
  [5902] = {.lex_state = 34, .external_lex_state = 5},
  [5903] = {.lex_state = 798, .external_lex_state = 6},
  [5904] = {.lex_state = 34, .external_lex_state = 5},
  [5905] = {.lex_state = 798, .external_lex_state = 6},
  [5906] = {.lex_state = 798, .external_lex_state = 6},
  [5907] = {.lex_state = 798, .external_lex_state = 5},
  [5908] = {.lex_state = 798, .external_lex_state = 6},
  [5909] = {.lex_state = 798, .external_lex_state = 6},
  [5910] = {.lex_state = 798, .external_lex_state = 6},
  [5911] = {.lex_state = 798, .external_lex_state = 6},
  [5912] = {.lex_state = 798, .external_lex_state = 6},
  [5913] = {.lex_state = 798, .external_lex_state = 6},
  [5914] = {.lex_state = 2, .external_lex_state = 5},
  [5915] = {.lex_state = 53, .external_lex_state = 5},
  [5916] = {.lex_state = 798, .external_lex_state = 6},
  [5917] = {.lex_state = 798, .external_lex_state = 6},
  [5918] = {.lex_state = 30, .external_lex_state = 5},
  [5919] = {.lex_state = 30, .external_lex_state = 5},
  [5920] = {.lex_state = 2, .external_lex_state = 5},
  [5921] = {.lex_state = 798, .external_lex_state = 6},
  [5922] = {.lex_state = 30, .external_lex_state = 5},
  [5923] = {.lex_state = 798, .external_lex_state = 6},
  [5924] = {.lex_state = 798, .external_lex_state = 5},
  [5925] = {.lex_state = 798, .external_lex_state = 6},
  [5926] = {.lex_state = 798, .external_lex_state = 6},
  [5927] = {.lex_state = 798, .external_lex_state = 6},
  [5928] = {.lex_state = 798, .external_lex_state = 6},
  [5929] = {.lex_state = 2, .external_lex_state = 5},
  [5930] = {.lex_state = 798, .external_lex_state = 6},
  [5931] = {.lex_state = 2, .external_lex_state = 5},
  [5932] = {.lex_state = 2, .external_lex_state = 5},
  [5933] = {.lex_state = 53, .external_lex_state = 5},
  [5934] = {.lex_state = 30, .external_lex_state = 5},
  [5935] = {.lex_state = 8, .external_lex_state = 5},
  [5936] = {.lex_state = 798, .external_lex_state = 6},
  [5937] = {.lex_state = 798, .external_lex_state = 6},
  [5938] = {.lex_state = 798, .external_lex_state = 6},
  [5939] = {.lex_state = 798, .external_lex_state = 6},
  [5940] = {.lex_state = 798, .external_lex_state = 6},
  [5941] = {.lex_state = 798, .external_lex_state = 6},
  [5942] = {.lex_state = 798, .external_lex_state = 6},
  [5943] = {.lex_state = 798, .external_lex_state = 6},
  [5944] = {.lex_state = 34, .external_lex_state = 5},
  [5945] = {.lex_state = 30, .external_lex_state = 5},
  [5946] = {.lex_state = 34, .external_lex_state = 5},
  [5947] = {.lex_state = 798, .external_lex_state = 5},
  [5948] = {.lex_state = 798, .external_lex_state = 5},
  [5949] = {.lex_state = 798, .external_lex_state = 6},
  [5950] = {.lex_state = 798, .external_lex_state = 6},
  [5951] = {.lex_state = 2, .external_lex_state = 5},
  [5952] = {.lex_state = 5, .external_lex_state = 5},
  [5953] = {.lex_state = 30, .external_lex_state = 5},
  [5954] = {.lex_state = 798, .external_lex_state = 5},
  [5955] = {.lex_state = 8, .external_lex_state = 5},
  [5956] = {.lex_state = 798, .external_lex_state = 6},
  [5957] = {.lex_state = 798, .external_lex_state = 6},
  [5958] = {.lex_state = 798, .external_lex_state = 6},
  [5959] = {.lex_state = 798, .external_lex_state = 6},
  [5960] = {.lex_state = 34, .external_lex_state = 5},
  [5961] = {.lex_state = 798, .external_lex_state = 6},
  [5962] = {.lex_state = 798, .external_lex_state = 6},
  [5963] = {.lex_state = 30, .external_lex_state = 5},
  [5964] = {.lex_state = 798, .external_lex_state = 6},
  [5965] = {.lex_state = 34, .external_lex_state = 5},
  [5966] = {.lex_state = 798, .external_lex_state = 6},
  [5967] = {.lex_state = 798, .external_lex_state = 6},
  [5968] = {.lex_state = 2, .external_lex_state = 5},
  [5969] = {.lex_state = 798, .external_lex_state = 6},
  [5970] = {.lex_state = 30, .external_lex_state = 5},
  [5971] = {.lex_state = 34, .external_lex_state = 5},
  [5972] = {.lex_state = 34, .external_lex_state = 5},
  [5973] = {.lex_state = 798, .external_lex_state = 6},
  [5974] = {.lex_state = 798, .external_lex_state = 6},
  [5975] = {.lex_state = 34, .external_lex_state = 5},
  [5976] = {.lex_state = 34, .external_lex_state = 5},
  [5977] = {.lex_state = 34, .external_lex_state = 5},
  [5978] = {.lex_state = 798, .external_lex_state = 5},
  [5979] = {.lex_state = 34, .external_lex_state = 5},
  [5980] = {.lex_state = 30, .external_lex_state = 5},
  [5981] = {.lex_state = 34, .external_lex_state = 5},
  [5982] = {.lex_state = 34, .external_lex_state = 5},
  [5983] = {.lex_state = 798, .external_lex_state = 6},
  [5984] = {.lex_state = 798, .external_lex_state = 5},
  [5985] = {.lex_state = 2, .external_lex_state = 5},
  [5986] = {.lex_state = 34, .external_lex_state = 5},
  [5987] = {.lex_state = 30, .external_lex_state = 5},
  [5988] = {.lex_state = 798, .external_lex_state = 6},
  [5989] = {.lex_state = 34, .external_lex_state = 5},
  [5990] = {.lex_state = 798, .external_lex_state = 6},
  [5991] = {.lex_state = 798, .external_lex_state = 6},
  [5992] = {.lex_state = 798, .external_lex_state = 6},
  [5993] = {.lex_state = 34, .external_lex_state = 5},
  [5994] = {.lex_state = 34, .external_lex_state = 5},
  [5995] = {.lex_state = 34, .external_lex_state = 5},
  [5996] = {.lex_state = 30, .external_lex_state = 5},
  [5997] = {.lex_state = 34, .external_lex_state = 5},
  [5998] = {.lex_state = 34, .external_lex_state = 5},
  [5999] = {.lex_state = 798, .external_lex_state = 6},
  [6000] = {.lex_state = 798, .external_lex_state = 5},
  [6001] = {.lex_state = 2, .external_lex_state = 5},
  [6002] = {.lex_state = 53, .external_lex_state = 5},
  [6003] = {.lex_state = 30, .external_lex_state = 5},
  [6004] = {.lex_state = 34, .external_lex_state = 5},
  [6005] = {.lex_state = 34, .external_lex_state = 5},
  [6006] = {.lex_state = 798, .external_lex_state = 6},
  [6007] = {.lex_state = 798, .external_lex_state = 6},
  [6008] = {.lex_state = 2, .external_lex_state = 5},
  [6009] = {.lex_state = 34, .external_lex_state = 5},
  [6010] = {.lex_state = 34, .external_lex_state = 5},
  [6011] = {.lex_state = 34, .external_lex_state = 5},
  [6012] = {.lex_state = 30, .external_lex_state = 5},
  [6013] = {.lex_state = 34, .external_lex_state = 5},
  [6014] = {.lex_state = 34, .external_lex_state = 5},
  [6015] = {.lex_state = 798, .external_lex_state = 6},
  [6016] = {.lex_state = 798, .external_lex_state = 5},
  [6017] = {.lex_state = 2, .external_lex_state = 5},
  [6018] = {.lex_state = 34, .external_lex_state = 5},
  [6019] = {.lex_state = 30, .external_lex_state = 5},
  [6020] = {.lex_state = 34, .external_lex_state = 5},
  [6021] = {.lex_state = 34, .external_lex_state = 5},
  [6022] = {.lex_state = 798, .external_lex_state = 6},
  [6023] = {.lex_state = 798, .external_lex_state = 6},
  [6024] = {.lex_state = 34, .external_lex_state = 5},
  [6025] = {.lex_state = 798, .external_lex_state = 6},
  [6026] = {.lex_state = 798, .external_lex_state = 6},
  [6027] = {.lex_state = 798, .external_lex_state = 6},
  [6028] = {.lex_state = 30, .external_lex_state = 5},
  [6029] = {.lex_state = 798, .external_lex_state = 6},
  [6030] = {.lex_state = 798, .external_lex_state = 6},
  [6031] = {.lex_state = 30, .external_lex_state = 5},
  [6032] = {.lex_state = 798, .external_lex_state = 6},
  [6033] = {.lex_state = 34, .external_lex_state = 5},
  [6034] = {.lex_state = 798, .external_lex_state = 6},
  [6035] = {.lex_state = 798, .external_lex_state = 6},
  [6036] = {.lex_state = 34, .external_lex_state = 5},
  [6037] = {.lex_state = 34, .external_lex_state = 5},
  [6038] = {.lex_state = 34, .external_lex_state = 5},
  [6039] = {.lex_state = 798, .external_lex_state = 6},
  [6040] = {.lex_state = 30, .external_lex_state = 5},
  [6041] = {.lex_state = 798, .external_lex_state = 6},
  [6042] = {.lex_state = 798, .external_lex_state = 6},
  [6043] = {.lex_state = 30, .external_lex_state = 5},
  [6044] = {.lex_state = 798, .external_lex_state = 6},
  [6045] = {.lex_state = 798, .external_lex_state = 6},
  [6046] = {.lex_state = 798, .external_lex_state = 6},
  [6047] = {.lex_state = 798, .external_lex_state = 6},
  [6048] = {.lex_state = 34, .external_lex_state = 5},
  [6049] = {.lex_state = 34, .external_lex_state = 5},
  [6050] = {.lex_state = 34, .external_lex_state = 5},
  [6051] = {.lex_state = 34, .external_lex_state = 5},
  [6052] = {.lex_state = 30, .external_lex_state = 5},
  [6053] = {.lex_state = 34, .external_lex_state = 5},
  [6054] = {.lex_state = 798, .external_lex_state = 6},
  [6055] = {.lex_state = 30, .external_lex_state = 5},
  [6056] = {.lex_state = 34, .external_lex_state = 5},
  [6057] = {.lex_state = 34, .external_lex_state = 5},
  [6058] = {.lex_state = 798, .external_lex_state = 6},
  [6059] = {.lex_state = 798, .external_lex_state = 6},
  [6060] = {.lex_state = 34, .external_lex_state = 5},
  [6061] = {.lex_state = 34, .external_lex_state = 5},
  [6062] = {.lex_state = 34, .external_lex_state = 5},
  [6063] = {.lex_state = 30, .external_lex_state = 5},
  [6064] = {.lex_state = 798, .external_lex_state = 6},
  [6065] = {.lex_state = 30, .external_lex_state = 5},
  [6066] = {.lex_state = 30, .external_lex_state = 5},
  [6067] = {.lex_state = 34, .external_lex_state = 5},
  [6068] = {.lex_state = 34, .external_lex_state = 5},
  [6069] = {.lex_state = 34, .external_lex_state = 5},
  [6070] = {.lex_state = 34, .external_lex_state = 5},
  [6071] = {.lex_state = 798, .external_lex_state = 5},
  [6072] = {.lex_state = 30, .external_lex_state = 5},
  [6073] = {.lex_state = 34, .external_lex_state = 5},
  [6074] = {.lex_state = 30, .external_lex_state = 5},
  [6075] = {.lex_state = 34, .external_lex_state = 5},
  [6076] = {.lex_state = 798, .external_lex_state = 6},
  [6077] = {.lex_state = 34, .external_lex_state = 5},
  [6078] = {.lex_state = 34, .external_lex_state = 5},
  [6079] = {.lex_state = 30, .external_lex_state = 5},
  [6080] = {.lex_state = 30, .external_lex_state = 5},
  [6081] = {.lex_state = 798, .external_lex_state = 6},
  [6082] = {.lex_state = 798, .external_lex_state = 6},
  [6083] = {.lex_state = 798, .external_lex_state = 6},
  [6084] = {.lex_state = 798, .external_lex_state = 6},
  [6085] = {.lex_state = 798, .external_lex_state = 6},
  [6086] = {.lex_state = 798, .external_lex_state = 6},
  [6087] = {.lex_state = 798, .external_lex_state = 6},
  [6088] = {.lex_state = 34, .external_lex_state = 5},
  [6089] = {.lex_state = 798, .external_lex_state = 6},
  [6090] = {.lex_state = 798, .external_lex_state = 6},
  [6091] = {.lex_state = 34, .external_lex_state = 5},
  [6092] = {.lex_state = 34, .external_lex_state = 5},
  [6093] = {.lex_state = 798, .external_lex_state = 6},
  [6094] = {.lex_state = 798, .external_lex_state = 6},
  [6095] = {.lex_state = 34, .external_lex_state = 5},
  [6096] = {.lex_state = 34, .external_lex_state = 5},
  [6097] = {.lex_state = 34, .external_lex_state = 5},
  [6098] = {.lex_state = 798, .external_lex_state = 6},
  [6099] = {.lex_state = 798, .external_lex_state = 6},
  [6100] = {.lex_state = 798, .external_lex_state = 6},
  [6101] = {.lex_state = 34, .external_lex_state = 5},
  [6102] = {.lex_state = 798, .external_lex_state = 6},
  [6103] = {.lex_state = 798, .external_lex_state = 6},
  [6104] = {.lex_state = 34, .external_lex_state = 5},
  [6105] = {.lex_state = 34, .external_lex_state = 5},
  [6106] = {.lex_state = 34, .external_lex_state = 5},
  [6107] = {.lex_state = 34, .external_lex_state = 5},
  [6108] = {.lex_state = 34, .external_lex_state = 5},
  [6109] = {.lex_state = 34, .external_lex_state = 5},
  [6110] = {.lex_state = 34, .external_lex_state = 5},
  [6111] = {.lex_state = 34, .external_lex_state = 5},
  [6112] = {.lex_state = 798, .external_lex_state = 5},
  [6113] = {.lex_state = 798, .external_lex_state = 6},
  [6114] = {.lex_state = 798, .external_lex_state = 6},
  [6115] = {.lex_state = 798, .external_lex_state = 6},
  [6116] = {.lex_state = 798, .external_lex_state = 6},
  [6117] = {.lex_state = 798, .external_lex_state = 6},
  [6118] = {.lex_state = 798, .external_lex_state = 6},
  [6119] = {.lex_state = 53, .external_lex_state = 5},
  [6120] = {.lex_state = 798, .external_lex_state = 6},
  [6121] = {.lex_state = 34, .external_lex_state = 5},
  [6122] = {.lex_state = 34, .external_lex_state = 5},
  [6123] = {.lex_state = 34, .external_lex_state = 5},
  [6124] = {.lex_state = 798, .external_lex_state = 6},
  [6125] = {.lex_state = 34, .external_lex_state = 5},
  [6126] = {.lex_state = 34, .external_lex_state = 5},
  [6127] = {.lex_state = 34, .external_lex_state = 5},
  [6128] = {.lex_state = 34, .external_lex_state = 5},
  [6129] = {.lex_state = 798, .external_lex_state = 6},
  [6130] = {.lex_state = 5, .external_lex_state = 5},
  [6131] = {.lex_state = 34, .external_lex_state = 5},
  [6132] = {.lex_state = 34, .external_lex_state = 5},
  [6133] = {.lex_state = 798, .external_lex_state = 6},
  [6134] = {.lex_state = 798, .external_lex_state = 6},
  [6135] = {.lex_state = 53, .external_lex_state = 5},
  [6136] = {.lex_state = 53, .external_lex_state = 5},
  [6137] = {.lex_state = 53, .external_lex_state = 5},
  [6138] = {.lex_state = 34, .external_lex_state = 5},
  [6139] = {.lex_state = 53, .external_lex_state = 5},
  [6140] = {.lex_state = 53, .external_lex_state = 5},
  [6141] = {.lex_state = 34, .external_lex_state = 5},
  [6142] = {.lex_state = 798, .external_lex_state = 6},
  [6143] = {.lex_state = 798, .external_lex_state = 5},
  [6144] = {.lex_state = 798, .external_lex_state = 5},
  [6145] = {.lex_state = 798, .external_lex_state = 6},
  [6146] = {.lex_state = 53, .external_lex_state = 5},
  [6147] = {.lex_state = 34, .external_lex_state = 5},
  [6148] = {.lex_state = 798, .external_lex_state = 5},
  [6149] = {.lex_state = 34, .external_lex_state = 5},
  [6150] = {.lex_state = 34, .external_lex_state = 5},
  [6151] = {.lex_state = 798, .external_lex_state = 5},
  [6152] = {.lex_state = 798, .external_lex_state = 5},
  [6153] = {.lex_state = 34, .external_lex_state = 5},
  [6154] = {.lex_state = 798, .external_lex_state = 5},
  [6155] = {.lex_state = 798, .external_lex_state = 5},
  [6156] = {.lex_state = 34, .external_lex_state = 5},
  [6157] = {.lex_state = 798, .external_lex_state = 5},
  [6158] = {.lex_state = 798, .external_lex_state = 5},
  [6159] = {.lex_state = 798, .external_lex_state = 5},
  [6160] = {.lex_state = 798, .external_lex_state = 5},
  [6161] = {.lex_state = 798, .external_lex_state = 5},
  [6162] = {.lex_state = 798, .external_lex_state = 5},
  [6163] = {.lex_state = 798, .external_lex_state = 6},
  [6164] = {.lex_state = 798, .external_lex_state = 6},
  [6165] = {.lex_state = 798, .external_lex_state = 6},
  [6166] = {.lex_state = 798, .external_lex_state = 6},
  [6167] = {.lex_state = 798, .external_lex_state = 6},
  [6168] = {.lex_state = 53, .external_lex_state = 5},
  [6169] = {.lex_state = 798, .external_lex_state = 5},
  [6170] = {.lex_state = 798, .external_lex_state = 5},
  [6171] = {.lex_state = 798, .external_lex_state = 6},
  [6172] = {.lex_state = 798, .external_lex_state = 6},
  [6173] = {.lex_state = 798, .external_lex_state = 6},
  [6174] = {.lex_state = 798, .external_lex_state = 6},
  [6175] = {.lex_state = 798, .external_lex_state = 6},
  [6176] = {.lex_state = 798, .external_lex_state = 6},
  [6177] = {.lex_state = 30, .external_lex_state = 5},
  [6178] = {.lex_state = 798, .external_lex_state = 6},
  [6179] = {.lex_state = 30, .external_lex_state = 5},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_arg] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [sym_preproc_comment] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [aux_sym_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token2] = ACTIONS(1),
    [aux_sym_module_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_statement_token1] = ACTIONS(1),
    [aux_sym_submodule_statement_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(1),
    [aux_sym_interface_statement_token1] = ACTIONS(1),
    [aux_sym_end_interface_statement_token1] = ACTIONS(1),
    [aux_sym_assignment_token1] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_operator_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token4] = ACTIONS(1),
    [aux_sym_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_function_statement_token1] = ACTIONS(1),
    [aux_sym_language_binding_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token2] = ACTIONS(1),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1),
    [aux_sym_procedure_attributes_token4] = ACTIONS(1),
    [aux_sym_procedure_attributes_token5] = ACTIONS(1),
    [aux_sym_end_function_statement_token1] = ACTIONS(1),
    [aux_sym_function_result_token1] = ACTIONS(1),
    [aux_sym_contains_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token2] = ACTIONS(1),
    [aux_sym_use_statement_token3] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_included_items_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_implicit_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_statement_token2] = ACTIONS(1),
    [aux_sym_implicit_statement_token3] = ACTIONS(1),
    [aux_sym_implicit_statement_token4] = ACTIONS(1),
    [aux_sym_save_statement_token1] = ACTIONS(1),
    [aux_sym_private_statement_token1] = ACTIONS(1),
    [aux_sym_public_statement_token1] = ACTIONS(1),
    [aux_sym_namelist_statement_token1] = ACTIONS(1),
    [aux_sym_common_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_range_token1] = ACTIONS(1),
    [aux_sym_import_statement_token1] = ACTIONS(1),
    [aux_sym__import_names_token1] = ACTIONS(1),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1),
    [aux_sym_base_type_specifier_token1] = ACTIONS(1),
    [aux_sym_end_type_statement_token1] = ACTIONS(1),
    [aux_sym__procedure_kind_token1] = ACTIONS(1),
    [aux_sym__procedure_kind_token2] = ACTIONS(1),
    [aux_sym__procedure_kind_token3] = ACTIONS(1),
    [aux_sym__procedure_kind_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token1] = ACTIONS(1),
    [aux_sym_procedure_attribute_token2] = ACTIONS(1),
    [aux_sym_procedure_attribute_token3] = ACTIONS(1),
    [aux_sym_procedure_attribute_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token5] = ACTIONS(1),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1),
    [aux_sym_variable_attributes_token1] = ACTIONS(1),
    [aux_sym_variable_attributes_token2] = ACTIONS(1),
    [aux_sym_variable_attributes_token3] = ACTIONS(1),
    [aux_sym_variable_attributes_token4] = ACTIONS(1),
    [aux_sym_variable_attributes_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1),
    [aux_sym__intrinsic_type_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1),
    [aux_sym_derived_type_token1] = ACTIONS(1),
    [aux_sym_kind_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token7] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token8] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1),
    [aux_sym_type_qualifier_token1] = ACTIONS(1),
    [aux_sym_type_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(1),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token2] = ACTIONS(1),
    [aux_sym_stop_statement_token3] = ACTIONS(1),
    [aux_sym_subroutine_call_token1] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [aux_sym_keyword_statement_token1] = ACTIONS(1),
    [aux_sym_keyword_statement_token2] = ACTIONS(1),
    [aux_sym_keyword_statement_token3] = ACTIONS(1),
    [aux_sym_keyword_statement_token4] = ACTIONS(1),
    [aux_sym_keyword_statement_token5] = ACTIONS(1),
    [aux_sym_keyword_statement_token6] = ACTIONS(1),
    [aux_sym_keyword_statement_token7] = ACTIONS(1),
    [aux_sym_include_statement_token1] = ACTIONS(1),
    [aux_sym_data_statement_token1] = ACTIONS(1),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_concurrent_header_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token2] = ACTIONS(1),
    [aux_sym_concurrent_locality_token3] = ACTIONS(1),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1),
    [aux_sym__block_if_statement_token1] = ACTIONS(1),
    [aux_sym_end_if_statement_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token2] = ACTIONS(1),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1),
    [aux_sym_end_where_statement_token1] = ACTIONS(1),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1),
    [aux_sym_end_forall_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token2] = ACTIONS(1),
    [aux_sym_select_case_statement_token3] = ACTIONS(1),
    [aux_sym_select_type_statement_token1] = ACTIONS(1),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1),
    [aux_sym_end_select_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token2] = ACTIONS(1),
    [aux_sym_type_statement_token3] = ACTIONS(1),
    [aux_sym__class_default_token1] = ACTIONS(1),
    [aux_sym_block_construct_token1] = ACTIONS(1),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1),
    [aux_sym_associate_statement_token1] = ACTIONS(1),
    [aux_sym_end_associate_statement_token1] = ACTIONS(1),
    [aux_sym_format_statement_token1] = ACTIONS(1),
    [aux_sym_print_statement_token1] = ACTIONS(1),
    [aux_sym_open_statement_token1] = ACTIONS(1),
    [aux_sym_close_statement_token1] = ACTIONS(1),
    [aux_sym_inquire_statement_token1] = ACTIONS(1),
    [aux_sym_enum_statement_token1] = ACTIONS(1),
    [aux_sym_enumerator_statement_token1] = ACTIONS(1),
    [aux_sym_end_enum_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token2] = ACTIONS(1),
    [aux_sym_file_position_statement_token3] = ACTIONS(1),
    [aux_sym_file_position_statement_token4] = ACTIONS(1),
    [aux_sym_logical_expression_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token2] = ACTIONS(1),
    [aux_sym_logical_expression_token3] = ACTIONS(1),
    [aux_sym_logical_expression_token4] = ACTIONS(1),
    [aux_sym_logical_expression_token5] = ACTIONS(1),
    [aux_sym_relational_expression_token1] = ACTIONS(1),
    [aux_sym_relational_expression_token2] = ACTIONS(1),
    [aux_sym_relational_expression_token3] = ACTIONS(1),
    [aux_sym_relational_expression_token4] = ACTIONS(1),
    [aux_sym_relational_expression_token5] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [aux_sym_relational_expression_token6] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_assumed_rank] = ACTIONS(1),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_boolean_literal_token1] = ACTIONS(1),
    [aux_sym_boolean_literal_token2] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [aux_sym__kind_token2] = ACTIONS(1),
    [aux_sym_null_literal_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym__integer_literal] = ACTIONS(1),
    [sym__float_literal] = ACTIONS(1),
    [sym__boz_literal] = ACTIONS(1),
    [sym__string_literal] = ACTIONS(1),
    [sym__string_literal_kind] = ACTIONS(1),
    [sym__end_of_statement] = ACTIONS(1),
    [sym__preproc_unary_operator] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(5227),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_if_in_specification_part] = STATE(169),
    [sym_preproc_ifdef_in_specification_part] = STATE(169),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(174),
    [sym_end_program_statement] = STATE(731),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(722),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(721),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(2197),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(5195),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(5194),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4411),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(169),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(169),
    [sym_public_statement] = STATE(169),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(169),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5108),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(169),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(389),
    [aux_sym_program_repeat1] = STATE(169),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [2] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(5325),
    [sym_preproc_elif] = STATE(5325),
    [sym_preproc_elifdef] = STATE(5325),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5326),
    [sym_preproc_elif_in_specification_part] = STATE(5326),
    [sym_preproc_elifdef_in_specification_part] = STATE(5326),
    [sym_program] = STATE(28),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(28),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(28),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(28),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(28),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(28),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3953),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(28),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(155),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(211),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [3] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(5389),
    [sym_preproc_elif] = STATE(5389),
    [sym_preproc_elifdef] = STATE(5389),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5326),
    [sym_preproc_elif_in_specification_part] = STATE(5326),
    [sym_preproc_elifdef_in_specification_part] = STATE(5326),
    [sym_program] = STATE(20),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(20),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(20),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(20),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(20),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(20),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3953),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(20),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(155),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(211),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(199),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [4] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(5245),
    [sym_preproc_elif] = STATE(5245),
    [sym_preproc_elifdef] = STATE(5245),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5326),
    [sym_preproc_elif_in_specification_part] = STATE(5326),
    [sym_preproc_elifdef_in_specification_part] = STATE(5326),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3953),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(155),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(211),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [5] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(5663),
    [sym_preproc_elif] = STATE(5663),
    [sym_preproc_elifdef] = STATE(5663),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5599),
    [sym_preproc_elif_in_specification_part] = STATE(5599),
    [sym_preproc_elifdef_in_specification_part] = STATE(5599),
    [sym_program] = STATE(24),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(24),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(24),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(24),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(24),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(24),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3959),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(24),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(159),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(215),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(207),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [6] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(5883),
    [sym_preproc_elif] = STATE(5883),
    [sym_preproc_elifdef] = STATE(5883),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5884),
    [sym_preproc_elif_in_specification_part] = STATE(5884),
    [sym_preproc_elifdef_in_specification_part] = STATE(5884),
    [sym_program] = STATE(33),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(33),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(33),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(33),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(33),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(33),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3972),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(33),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(212),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [7] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(6092),
    [sym_preproc_elif] = STATE(6092),
    [sym_preproc_elifdef] = STATE(6092),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(6095),
    [sym_preproc_elif_in_specification_part] = STATE(6095),
    [sym_preproc_elifdef_in_specification_part] = STATE(6095),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3956),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(157),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(216),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [8] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(5886),
    [sym_preproc_elif] = STATE(5886),
    [sym_preproc_elifdef] = STATE(5886),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_program] = STATE(34),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(34),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(34),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(34),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(34),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(34),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3976),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(34),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(151),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(214),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [9] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(5576),
    [sym_preproc_elif] = STATE(5576),
    [sym_preproc_elifdef] = STATE(5576),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5481),
    [sym_preproc_elif_in_specification_part] = STATE(5481),
    [sym_preproc_elifdef_in_specification_part] = STATE(5481),
    [sym_program] = STATE(22),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(22),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(22),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(22),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(22),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(22),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3958),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(22),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(142),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(213),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [10] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(5655),
    [sym_preproc_elif] = STATE(5655),
    [sym_preproc_elifdef] = STATE(5655),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_program] = STATE(23),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(23),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(23),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(23),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(23),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(23),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3949),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(23),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(217),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [11] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(5480),
    [sym_preproc_elif] = STATE(5480),
    [sym_preproc_elifdef] = STATE(5480),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5481),
    [sym_preproc_elif_in_specification_part] = STATE(5481),
    [sym_preproc_elifdef_in_specification_part] = STATE(5481),
    [sym_program] = STATE(25),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(25),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(25),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(25),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(25),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(25),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3958),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(25),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(142),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(213),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [12] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(5598),
    [sym_preproc_elif] = STATE(5598),
    [sym_preproc_elifdef] = STATE(5598),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_program] = STATE(32),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(32),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(32),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(32),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(32),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(32),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3981),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(32),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(210),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [13] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(5213),
    [sym_preproc_elif] = STATE(5213),
    [sym_preproc_elifdef] = STATE(5213),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5481),
    [sym_preproc_elif_in_specification_part] = STATE(5481),
    [sym_preproc_elifdef_in_specification_part] = STATE(5481),
    [sym_program] = STATE(27),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(27),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(27),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(27),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(27),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(27),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3958),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(27),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(142),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(213),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [14] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(5211),
    [sym_preproc_elif] = STATE(5211),
    [sym_preproc_elifdef] = STATE(5211),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_program] = STATE(21),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(21),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(21),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(21),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(21),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(21),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3981),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(21),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(210),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [15] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(5457),
    [sym_preproc_elif] = STATE(5457),
    [sym_preproc_elifdef] = STATE(5457),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_program] = STATE(36),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(36),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(36),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(36),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(36),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(36),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3981),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(36),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(210),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [16] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(5164),
    [sym_preproc_elif] = STATE(5164),
    [sym_preproc_elifdef] = STATE(5164),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_program] = STATE(26),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(26),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(26),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(26),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(26),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(26),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3949),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(26),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(217),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [17] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(5676),
    [sym_preproc_elif] = STATE(5676),
    [sym_preproc_elifdef] = STATE(5676),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(3949),
    [sym_contains_statement] = STATE(5832),
    [sym__specification_part] = STATE(813),
    [sym_use_statement] = STATE(5848),
    [sym_implicit_statement] = STATE(5848),
    [sym_save_statement] = STATE(5848),
    [sym_private_statement] = STATE(813),
    [sym_public_statement] = STATE(813),
    [sym_namelist_statement] = STATE(5848),
    [sym_common_statement] = STATE(5848),
    [sym_import_statement] = STATE(5848),
    [sym_derived_type_definition] = STATE(813),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2360),
    [sym_variable_declaration] = STATE(5848),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5848),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5848),
    [sym_equivalence_statement] = STATE(5848),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(740),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5848),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_enum] = STATE(813),
    [sym_enum_statement] = STATE(4153),
    [sym_file_position_statement] = STATE(5278),
    [sym_statement_function] = STATE(5848),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(217),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(179),
    [aux_sym_preproc_elif_token1] = ACTIONS(181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(183),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(193),
    [aux_sym_public_statement_token1] = ACTIONS(195),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [18] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(5663),
    [sym_preproc_elif] = STATE(5663),
    [sym_preproc_elifdef] = STATE(5663),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(24),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(24),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(24),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(24),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(24),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(24),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(24),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [19] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(6092),
    [sym_preproc_elif] = STATE(6092),
    [sym_preproc_elifdef] = STATE(6092),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [20] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5598),
    [sym_preproc_elif] = STATE(5598),
    [sym_preproc_elifdef] = STATE(5598),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [21] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5162),
    [sym_preproc_elif] = STATE(5162),
    [sym_preproc_elifdef] = STATE(5162),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [22] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5676),
    [sym_preproc_elif] = STATE(5676),
    [sym_preproc_elifdef] = STATE(5676),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [23] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5880),
    [sym_preproc_elif] = STATE(5880),
    [sym_preproc_elifdef] = STATE(5880),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [24] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5886),
    [sym_preproc_elif] = STATE(5886),
    [sym_preproc_elifdef] = STATE(5886),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [25] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5655),
    [sym_preproc_elif] = STATE(5655),
    [sym_preproc_elifdef] = STATE(5655),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [26] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5136),
    [sym_preproc_elif] = STATE(5136),
    [sym_preproc_elifdef] = STATE(5136),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [27] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5164),
    [sym_preproc_elif] = STATE(5164),
    [sym_preproc_elifdef] = STATE(5164),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [28] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5457),
    [sym_preproc_elif] = STATE(5457),
    [sym_preproc_elifdef] = STATE(5457),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [29] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(6109),
    [sym_preproc_elif] = STATE(6109),
    [sym_preproc_elifdef] = STATE(6109),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [30] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5711),
    [sym_preproc_elif] = STATE(5711),
    [sym_preproc_elifdef] = STATE(5711),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [31] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(5883),
    [sym_preproc_elif] = STATE(5883),
    [sym_preproc_elifdef] = STATE(5883),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(33),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(33),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(33),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(33),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(33),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(33),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(33),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [32] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5695),
    [sym_preproc_elif] = STATE(5695),
    [sym_preproc_elifdef] = STATE(5695),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [33] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(6097),
    [sym_preproc_elif] = STATE(6097),
    [sym_preproc_elifdef] = STATE(6097),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [34] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(6105),
    [sym_preproc_elif] = STATE(6105),
    [sym_preproc_elifdef] = STATE(6105),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [35] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5211),
    [sym_preproc_elif] = STATE(5211),
    [sym_preproc_elifdef] = STATE(5211),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [36] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(5678),
    [sym_preproc_elif] = STATE(5678),
    [sym_preproc_elifdef] = STATE(5678),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [37] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(5886),
    [sym_preproc_elif] = STATE(5886),
    [sym_preproc_elifdef] = STATE(5886),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(34),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(34),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(34),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(34),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(34),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(34),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(34),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(169),
    [aux_sym_preproc_def_token1] = ACTIONS(171),
    [aux_sym_preproc_if_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(177),
    [aux_sym_preproc_else_token1] = ACTIONS(235),
    [aux_sym_preproc_elif_token1] = ACTIONS(237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(239),
    [sym_preproc_directive] = ACTIONS(185),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [38] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_if_in_specification_part] = STATE(176),
    [sym_preproc_ifdef_in_specification_part] = STATE(176),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(171),
    [sym_end_program_statement] = STATE(517),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(716),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(713),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(2205),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(5905),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(5906),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4755),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(176),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(176),
    [sym_public_statement] = STATE(176),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(176),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5277),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(176),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(385),
    [aux_sym_program_repeat1] = STATE(176),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(279),
    [aux_sym_preproc_def_token1] = ACTIONS(282),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(290),
    [aux_sym_preproc_else_token1] = ACTIONS(288),
    [aux_sym_preproc_elif_token1] = ACTIONS(288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(288),
    [sym_preproc_directive] = ACTIONS(293),
    [anon_sym_LPAREN2] = ACTIONS(296),
    [anon_sym_PLUS] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(302),
    [aux_sym_end_program_statement_token1] = ACTIONS(305),
    [aux_sym_end_program_statement_token2] = ACTIONS(308),
    [aux_sym_module_statement_token1] = ACTIONS(311),
    [aux_sym_submodule_statement_token1] = ACTIONS(314),
    [aux_sym_interface_statement_token1] = ACTIONS(317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(326),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(329),
    [aux_sym_function_statement_token1] = ACTIONS(332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(335),
    [aux_sym_procedure_attributes_token3] = ACTIONS(338),
    [aux_sym_contains_statement_token1] = ACTIONS(341),
    [aux_sym_use_statement_token1] = ACTIONS(344),
    [aux_sym_use_statement_token2] = ACTIONS(338),
    [aux_sym_implicit_statement_token1] = ACTIONS(347),
    [aux_sym_implicit_statement_token3] = ACTIONS(350),
    [aux_sym_implicit_statement_token4] = ACTIONS(338),
    [aux_sym_save_statement_token1] = ACTIONS(353),
    [aux_sym_private_statement_token1] = ACTIONS(356),
    [aux_sym_public_statement_token1] = ACTIONS(359),
    [aux_sym_namelist_statement_token1] = ACTIONS(362),
    [aux_sym_common_statement_token1] = ACTIONS(365),
    [aux_sym_import_statement_token1] = ACTIONS(368),
    [aux_sym_derived_type_definition_token1] = ACTIONS(338),
    [aux_sym_abstract_specifier_token1] = ACTIONS(371),
    [aux_sym_procedure_attribute_token6] = ACTIONS(338),
    [aux_sym_variable_attributes_token1] = ACTIONS(338),
    [aux_sym_variable_attributes_token2] = ACTIONS(338),
    [aux_sym_variable_attributes_token3] = ACTIONS(338),
    [aux_sym_variable_attributes_token4] = ACTIONS(338),
    [aux_sym_variable_attributes_token5] = ACTIONS(338),
    [aux_sym__intrinsic_type_token1] = ACTIONS(374),
    [aux_sym__intrinsic_type_token2] = ACTIONS(377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(374),
    [aux_sym__intrinsic_type_token4] = ACTIONS(380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(377),
    [aux_sym__intrinsic_type_token7] = ACTIONS(377),
    [aux_sym__intrinsic_type_token8] = ACTIONS(383),
    [aux_sym__intrinsic_type_token9] = ACTIONS(377),
    [aux_sym__intrinsic_type_token10] = ACTIONS(377),
    [aux_sym_derived_type_token1] = ACTIONS(386),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(395),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(338),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(404),
    [aux_sym_stop_statement_token1] = ACTIONS(407),
    [aux_sym_stop_statement_token2] = ACTIONS(410),
    [aux_sym_subroutine_call_token1] = ACTIONS(413),
    [aux_sym_keyword_statement_token1] = ACTIONS(416),
    [aux_sym_keyword_statement_token2] = ACTIONS(419),
    [aux_sym_keyword_statement_token3] = ACTIONS(419),
    [aux_sym_keyword_statement_token4] = ACTIONS(422),
    [aux_sym_keyword_statement_token6] = ACTIONS(425),
    [aux_sym_keyword_statement_token7] = ACTIONS(416),
    [aux_sym_include_statement_token1] = ACTIONS(428),
    [aux_sym_data_statement_token1] = ACTIONS(431),
    [aux_sym_do_loop_statement_token1] = ACTIONS(434),
    [aux_sym__inline_if_statement_token1] = ACTIONS(437),
    [aux_sym_end_if_statement_token1] = ACTIONS(440),
    [aux_sym_elseif_clause_token2] = ACTIONS(440),
    [aux_sym__inline_where_statement_token1] = ACTIONS(443),
    [aux_sym__forall_control_expression_token1] = ACTIONS(446),
    [aux_sym_select_case_statement_token1] = ACTIONS(449),
    [aux_sym_select_case_statement_token3] = ACTIONS(452),
    [aux_sym_select_type_statement_token1] = ACTIONS(455),
    [aux_sym_select_rank_statement_token2] = ACTIONS(458),
    [aux_sym_block_construct_token1] = ACTIONS(461),
    [aux_sym_associate_statement_token1] = ACTIONS(464),
    [aux_sym_format_statement_token1] = ACTIONS(467),
    [aux_sym_print_statement_token1] = ACTIONS(470),
    [aux_sym_open_statement_token1] = ACTIONS(473),
    [aux_sym_close_statement_token1] = ACTIONS(476),
    [aux_sym_inquire_statement_token1] = ACTIONS(479),
    [aux_sym_enum_statement_token1] = ACTIONS(482),
    [aux_sym_file_position_statement_token1] = ACTIONS(485),
    [aux_sym_file_position_statement_token2] = ACTIONS(485),
    [aux_sym_file_position_statement_token3] = ACTIONS(485),
    [aux_sym_file_position_statement_token4] = ACTIONS(488),
    [aux_sym_logical_expression_token5] = ACTIONS(491),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_LPAREN_SLASH] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(500),
    [aux_sym_boolean_literal_token1] = ACTIONS(503),
    [aux_sym_boolean_literal_token2] = ACTIONS(503),
    [aux_sym_null_literal_token1] = ACTIONS(506),
    [aux_sym_identifier_token1] = ACTIONS(440),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(509),
    [sym__float_literal] = ACTIONS(512),
    [sym__boz_literal] = ACTIONS(512),
    [sym__string_literal] = ACTIONS(515),
    [sym__string_literal_kind] = ACTIONS(518),
  },
  [39] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(42),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(42),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(42),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(42),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(42),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(42),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4234),
    [sym_contains_statement] = STATE(5126),
    [sym__specification_part] = STATE(872),
    [sym_use_statement] = STATE(5215),
    [sym_implicit_statement] = STATE(5215),
    [sym_save_statement] = STATE(5215),
    [sym_private_statement] = STATE(872),
    [sym_public_statement] = STATE(872),
    [sym_namelist_statement] = STATE(5215),
    [sym_common_statement] = STATE(5215),
    [sym_import_statement] = STATE(5215),
    [sym_derived_type_definition] = STATE(872),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2356),
    [sym_variable_declaration] = STATE(5215),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5215),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5215),
    [sym_equivalence_statement] = STATE(5215),
    [sym__statements] = STATE(5332),
    [sym_statement_label] = STATE(756),
    [sym_stop_statement] = STATE(5332),
    [sym_assignment_statement] = STATE(5332),
    [sym_pointer_association_statement] = STATE(5332),
    [sym_subroutine_call] = STATE(5332),
    [sym_keyword_statement] = STATE(5332),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5215),
    [sym_do_loop_statement] = STATE(5332),
    [sym_do_label_statement] = STATE(5332),
    [sym_end_do_label_statement] = STATE(5332),
    [sym_if_statement] = STATE(5332),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5332),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5332),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5332),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5332),
    [sym_select_type_statement] = STATE(5332),
    [sym_select_rank_statement] = STATE(5332),
    [sym_block_construct] = STATE(5332),
    [sym_associate_statement] = STATE(5332),
    [sym_format_statement] = STATE(5332),
    [sym_read_statement] = STATE(5332),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5332),
    [sym_open_statement] = STATE(5332),
    [sym_close_statement] = STATE(5332),
    [sym_write_statement] = STATE(5332),
    [sym_inquire_statement] = STATE(5332),
    [sym_enum] = STATE(872),
    [sym_enum_statement] = STATE(4154),
    [sym_file_position_statement] = STATE(5332),
    [sym_statement_function] = STATE(5215),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(42),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(182),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(372),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(521),
    [aux_sym_preproc_def_token1] = ACTIONS(523),
    [aux_sym_preproc_if_token1] = ACTIONS(525),
    [aux_sym_preproc_if_token2] = ACTIONS(527),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(529),
    [sym_preproc_directive] = ACTIONS(531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(539),
    [aux_sym_public_statement_token1] = ACTIONS(541),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [40] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4247),
    [sym_contains_statement] = STATE(5126),
    [sym__specification_part] = STATE(872),
    [sym_use_statement] = STATE(5215),
    [sym_implicit_statement] = STATE(5215),
    [sym_save_statement] = STATE(5215),
    [sym_private_statement] = STATE(872),
    [sym_public_statement] = STATE(872),
    [sym_namelist_statement] = STATE(5215),
    [sym_common_statement] = STATE(5215),
    [sym_import_statement] = STATE(5215),
    [sym_derived_type_definition] = STATE(872),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2356),
    [sym_variable_declaration] = STATE(5215),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5215),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5215),
    [sym_equivalence_statement] = STATE(5215),
    [sym__statements] = STATE(5332),
    [sym_statement_label] = STATE(756),
    [sym_stop_statement] = STATE(5332),
    [sym_assignment_statement] = STATE(5332),
    [sym_pointer_association_statement] = STATE(5332),
    [sym_subroutine_call] = STATE(5332),
    [sym_keyword_statement] = STATE(5332),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5215),
    [sym_do_loop_statement] = STATE(5332),
    [sym_do_label_statement] = STATE(5332),
    [sym_end_do_label_statement] = STATE(5332),
    [sym_if_statement] = STATE(5332),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5332),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5332),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5332),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5332),
    [sym_select_type_statement] = STATE(5332),
    [sym_select_rank_statement] = STATE(5332),
    [sym_block_construct] = STATE(5332),
    [sym_associate_statement] = STATE(5332),
    [sym_format_statement] = STATE(5332),
    [sym_read_statement] = STATE(5332),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5332),
    [sym_open_statement] = STATE(5332),
    [sym_close_statement] = STATE(5332),
    [sym_write_statement] = STATE(5332),
    [sym_inquire_statement] = STATE(5332),
    [sym_enum] = STATE(872),
    [sym_enum_statement] = STATE(4154),
    [sym_file_position_statement] = STATE(5332),
    [sym_statement_function] = STATE(5215),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(179),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(349),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(521),
    [aux_sym_preproc_def_token1] = ACTIONS(523),
    [aux_sym_preproc_if_token1] = ACTIONS(525),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(529),
    [sym_preproc_directive] = ACTIONS(531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(539),
    [aux_sym_public_statement_token1] = ACTIONS(541),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [41] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(42),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(42),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(42),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(42),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(42),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(42),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4580),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(42),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(392),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(521),
    [aux_sym_preproc_def_token1] = ACTIONS(523),
    [aux_sym_preproc_if_token1] = ACTIONS(525),
    [aux_sym_preproc_if_token2] = ACTIONS(545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(529),
    [sym_preproc_directive] = ACTIONS(531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(547),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [42] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4580),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(392),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(521),
    [aux_sym_preproc_def_token1] = ACTIONS(523),
    [aux_sym_preproc_if_token1] = ACTIONS(525),
    [aux_sym_preproc_if_token2] = ACTIONS(549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(529),
    [sym_preproc_directive] = ACTIONS(531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [43] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_preproc_if_in_specification_part] = STATE(169),
    [sym_preproc_ifdef_in_specification_part] = STATE(169),
    [sym_program] = STATE(47),
    [sym_program_statement] = STATE(174),
    [sym_end_program_statement] = STATE(731),
    [sym_module] = STATE(47),
    [sym_module_statement] = STATE(722),
    [sym_submodule] = STATE(47),
    [sym_submodule_statement] = STATE(721),
    [sym_interface] = STATE(47),
    [sym_interface_statement] = STATE(2197),
    [sym_subroutine] = STATE(47),
    [sym_subroutine_statement] = STATE(5195),
    [sym_function] = STATE(47),
    [sym_function_statement] = STATE(5194),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4411),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(169),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(169),
    [sym_public_statement] = STATE(169),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(169),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5108),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(169),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(47),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(389),
    [aux_sym_program_repeat1] = STATE(169),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [ts_builtin_sym_end] = ACTIONS(551),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [44] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4580),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(392),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(521),
    [aux_sym_preproc_def_token1] = ACTIONS(523),
    [aux_sym_preproc_if_token1] = ACTIONS(525),
    [aux_sym_preproc_if_token2] = ACTIONS(549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(529),
    [sym_preproc_directive] = ACTIONS(531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [45] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4580),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(392),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(553),
    [aux_sym_preproc_def_token1] = ACTIONS(556),
    [aux_sym_preproc_if_token1] = ACTIONS(559),
    [aux_sym_preproc_if_token2] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(562),
    [sym_preproc_directive] = ACTIONS(565),
    [anon_sym_LPAREN2] = ACTIONS(296),
    [anon_sym_PLUS] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(302),
    [aux_sym_end_program_statement_token1] = ACTIONS(568),
    [aux_sym_end_program_statement_token2] = ACTIONS(571),
    [aux_sym_module_statement_token1] = ACTIONS(311),
    [aux_sym_submodule_statement_token1] = ACTIONS(314),
    [aux_sym_interface_statement_token1] = ACTIONS(317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(326),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(329),
    [aux_sym_function_statement_token1] = ACTIONS(332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(335),
    [aux_sym_procedure_attributes_token3] = ACTIONS(338),
    [aux_sym_contains_statement_token1] = ACTIONS(341),
    [aux_sym_use_statement_token1] = ACTIONS(344),
    [aux_sym_use_statement_token2] = ACTIONS(338),
    [aux_sym_implicit_statement_token1] = ACTIONS(347),
    [aux_sym_implicit_statement_token3] = ACTIONS(350),
    [aux_sym_implicit_statement_token4] = ACTIONS(338),
    [aux_sym_save_statement_token1] = ACTIONS(353),
    [aux_sym_private_statement_token1] = ACTIONS(356),
    [aux_sym_public_statement_token1] = ACTIONS(359),
    [aux_sym_namelist_statement_token1] = ACTIONS(362),
    [aux_sym_common_statement_token1] = ACTIONS(365),
    [aux_sym_import_statement_token1] = ACTIONS(368),
    [aux_sym_derived_type_definition_token1] = ACTIONS(338),
    [aux_sym_abstract_specifier_token1] = ACTIONS(371),
    [aux_sym_procedure_attribute_token6] = ACTIONS(338),
    [aux_sym_variable_attributes_token1] = ACTIONS(338),
    [aux_sym_variable_attributes_token2] = ACTIONS(338),
    [aux_sym_variable_attributes_token3] = ACTIONS(338),
    [aux_sym_variable_attributes_token4] = ACTIONS(338),
    [aux_sym_variable_attributes_token5] = ACTIONS(338),
    [aux_sym__intrinsic_type_token1] = ACTIONS(374),
    [aux_sym__intrinsic_type_token2] = ACTIONS(377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(374),
    [aux_sym__intrinsic_type_token4] = ACTIONS(380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(377),
    [aux_sym__intrinsic_type_token7] = ACTIONS(377),
    [aux_sym__intrinsic_type_token8] = ACTIONS(383),
    [aux_sym__intrinsic_type_token9] = ACTIONS(377),
    [aux_sym__intrinsic_type_token10] = ACTIONS(377),
    [aux_sym_derived_type_token1] = ACTIONS(386),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(395),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(338),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(404),
    [aux_sym_stop_statement_token1] = ACTIONS(407),
    [aux_sym_stop_statement_token2] = ACTIONS(410),
    [aux_sym_subroutine_call_token1] = ACTIONS(413),
    [aux_sym_keyword_statement_token1] = ACTIONS(416),
    [aux_sym_keyword_statement_token2] = ACTIONS(419),
    [aux_sym_keyword_statement_token3] = ACTIONS(419),
    [aux_sym_keyword_statement_token4] = ACTIONS(422),
    [aux_sym_keyword_statement_token6] = ACTIONS(425),
    [aux_sym_keyword_statement_token7] = ACTIONS(416),
    [aux_sym_include_statement_token1] = ACTIONS(428),
    [aux_sym_data_statement_token1] = ACTIONS(431),
    [aux_sym_do_loop_statement_token1] = ACTIONS(434),
    [aux_sym__inline_if_statement_token1] = ACTIONS(437),
    [aux_sym_end_if_statement_token1] = ACTIONS(440),
    [aux_sym_elseif_clause_token2] = ACTIONS(440),
    [aux_sym__inline_where_statement_token1] = ACTIONS(443),
    [aux_sym__forall_control_expression_token1] = ACTIONS(446),
    [aux_sym_select_case_statement_token1] = ACTIONS(449),
    [aux_sym_select_case_statement_token3] = ACTIONS(452),
    [aux_sym_select_type_statement_token1] = ACTIONS(455),
    [aux_sym_select_rank_statement_token2] = ACTIONS(458),
    [aux_sym_block_construct_token1] = ACTIONS(461),
    [aux_sym_associate_statement_token1] = ACTIONS(464),
    [aux_sym_format_statement_token1] = ACTIONS(467),
    [aux_sym_print_statement_token1] = ACTIONS(470),
    [aux_sym_open_statement_token1] = ACTIONS(473),
    [aux_sym_close_statement_token1] = ACTIONS(476),
    [aux_sym_inquire_statement_token1] = ACTIONS(479),
    [aux_sym_enum_statement_token1] = ACTIONS(482),
    [aux_sym_file_position_statement_token1] = ACTIONS(485),
    [aux_sym_file_position_statement_token2] = ACTIONS(485),
    [aux_sym_file_position_statement_token3] = ACTIONS(485),
    [aux_sym_file_position_statement_token4] = ACTIONS(488),
    [aux_sym_logical_expression_token5] = ACTIONS(491),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_LPAREN_SLASH] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(500),
    [aux_sym_boolean_literal_token1] = ACTIONS(503),
    [aux_sym_boolean_literal_token2] = ACTIONS(503),
    [aux_sym_null_literal_token1] = ACTIONS(506),
    [aux_sym_identifier_token1] = ACTIONS(440),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(509),
    [sym__float_literal] = ACTIONS(512),
    [sym__boz_literal] = ACTIONS(512),
    [sym__string_literal] = ACTIONS(515),
    [sym__string_literal_kind] = ACTIONS(518),
  },
  [46] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(170),
    [sym_end_program_statement] = STATE(626),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(619),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(634),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(2212),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(5956),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(5957),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4580),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5274),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(392),
    [aux_sym_program_repeat1] = STATE(172),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(521),
    [aux_sym_preproc_def_token1] = ACTIONS(523),
    [aux_sym_preproc_if_token1] = ACTIONS(525),
    [aux_sym_preproc_if_token2] = ACTIONS(574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(529),
    [sym_preproc_directive] = ACTIONS(531),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_procedure_attributes_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(55),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(71),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(71),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(89),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(89),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [47] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_preproc_if_in_specification_part] = STATE(169),
    [sym_preproc_ifdef_in_specification_part] = STATE(169),
    [sym_program] = STATE(47),
    [sym_program_statement] = STATE(174),
    [sym_end_program_statement] = STATE(731),
    [sym_module] = STATE(47),
    [sym_module_statement] = STATE(722),
    [sym_submodule] = STATE(47),
    [sym_submodule_statement] = STATE(721),
    [sym_interface] = STATE(47),
    [sym_interface_statement] = STATE(2197),
    [sym_subroutine] = STATE(47),
    [sym_subroutine_statement] = STATE(5195),
    [sym_function] = STATE(47),
    [sym_function_statement] = STATE(5194),
    [aux_sym__callable_interface_qualifers] = STATE(3443),
    [sym_procedure_attributes] = STATE(3443),
    [sym_internal_procedures] = STATE(4411),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(169),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(169),
    [sym_public_statement] = STATE(169),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(169),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2187),
    [sym_intrinsic_type] = STATE(2186),
    [sym_derived_type] = STATE(2186),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_procedure_qualifier] = STATE(3443),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5108),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(169),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_translation_unit_repeat1] = STATE(47),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(389),
    [aux_sym_program_repeat1] = STATE(169),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [ts_builtin_sym_end] = ACTIONS(576),
    [aux_sym_preproc_include_token1] = ACTIONS(578),
    [aux_sym_preproc_def_token1] = ACTIONS(581),
    [aux_sym_preproc_if_token1] = ACTIONS(584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(587),
    [sym_preproc_directive] = ACTIONS(590),
    [anon_sym_LPAREN2] = ACTIONS(296),
    [anon_sym_PLUS] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(302),
    [aux_sym_end_program_statement_token1] = ACTIONS(593),
    [aux_sym_end_program_statement_token2] = ACTIONS(596),
    [aux_sym_module_statement_token1] = ACTIONS(311),
    [aux_sym_submodule_statement_token1] = ACTIONS(314),
    [aux_sym_interface_statement_token1] = ACTIONS(317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(326),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(329),
    [aux_sym_function_statement_token1] = ACTIONS(332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(335),
    [aux_sym_procedure_attributes_token3] = ACTIONS(338),
    [aux_sym_contains_statement_token1] = ACTIONS(341),
    [aux_sym_use_statement_token1] = ACTIONS(344),
    [aux_sym_use_statement_token2] = ACTIONS(338),
    [aux_sym_implicit_statement_token1] = ACTIONS(347),
    [aux_sym_implicit_statement_token3] = ACTIONS(350),
    [aux_sym_implicit_statement_token4] = ACTIONS(338),
    [aux_sym_save_statement_token1] = ACTIONS(353),
    [aux_sym_private_statement_token1] = ACTIONS(356),
    [aux_sym_public_statement_token1] = ACTIONS(359),
    [aux_sym_namelist_statement_token1] = ACTIONS(362),
    [aux_sym_common_statement_token1] = ACTIONS(365),
    [aux_sym_import_statement_token1] = ACTIONS(368),
    [aux_sym_derived_type_definition_token1] = ACTIONS(338),
    [aux_sym_abstract_specifier_token1] = ACTIONS(371),
    [aux_sym_procedure_attribute_token6] = ACTIONS(338),
    [aux_sym_variable_attributes_token1] = ACTIONS(338),
    [aux_sym_variable_attributes_token2] = ACTIONS(338),
    [aux_sym_variable_attributes_token3] = ACTIONS(338),
    [aux_sym_variable_attributes_token4] = ACTIONS(338),
    [aux_sym_variable_attributes_token5] = ACTIONS(338),
    [aux_sym__intrinsic_type_token1] = ACTIONS(374),
    [aux_sym__intrinsic_type_token2] = ACTIONS(377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(374),
    [aux_sym__intrinsic_type_token4] = ACTIONS(380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(377),
    [aux_sym__intrinsic_type_token7] = ACTIONS(377),
    [aux_sym__intrinsic_type_token8] = ACTIONS(383),
    [aux_sym__intrinsic_type_token9] = ACTIONS(377),
    [aux_sym__intrinsic_type_token10] = ACTIONS(377),
    [aux_sym_derived_type_token1] = ACTIONS(386),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(395),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(338),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(398),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(398),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(338),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(401),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(404),
    [aux_sym_stop_statement_token1] = ACTIONS(407),
    [aux_sym_stop_statement_token2] = ACTIONS(410),
    [aux_sym_subroutine_call_token1] = ACTIONS(413),
    [aux_sym_keyword_statement_token1] = ACTIONS(416),
    [aux_sym_keyword_statement_token2] = ACTIONS(419),
    [aux_sym_keyword_statement_token3] = ACTIONS(419),
    [aux_sym_keyword_statement_token4] = ACTIONS(422),
    [aux_sym_keyword_statement_token6] = ACTIONS(425),
    [aux_sym_keyword_statement_token7] = ACTIONS(416),
    [aux_sym_include_statement_token1] = ACTIONS(428),
    [aux_sym_data_statement_token1] = ACTIONS(431),
    [aux_sym_do_loop_statement_token1] = ACTIONS(434),
    [aux_sym__inline_if_statement_token1] = ACTIONS(437),
    [aux_sym_end_if_statement_token1] = ACTIONS(440),
    [aux_sym_elseif_clause_token2] = ACTIONS(440),
    [aux_sym__inline_where_statement_token1] = ACTIONS(443),
    [aux_sym__forall_control_expression_token1] = ACTIONS(446),
    [aux_sym_select_case_statement_token1] = ACTIONS(449),
    [aux_sym_select_case_statement_token3] = ACTIONS(452),
    [aux_sym_select_type_statement_token1] = ACTIONS(455),
    [aux_sym_select_rank_statement_token2] = ACTIONS(458),
    [aux_sym_block_construct_token1] = ACTIONS(461),
    [aux_sym_associate_statement_token1] = ACTIONS(464),
    [aux_sym_format_statement_token1] = ACTIONS(467),
    [aux_sym_print_statement_token1] = ACTIONS(470),
    [aux_sym_open_statement_token1] = ACTIONS(473),
    [aux_sym_close_statement_token1] = ACTIONS(476),
    [aux_sym_inquire_statement_token1] = ACTIONS(479),
    [aux_sym_enum_statement_token1] = ACTIONS(482),
    [aux_sym_file_position_statement_token1] = ACTIONS(485),
    [aux_sym_file_position_statement_token2] = ACTIONS(485),
    [aux_sym_file_position_statement_token3] = ACTIONS(485),
    [aux_sym_file_position_statement_token4] = ACTIONS(488),
    [aux_sym_logical_expression_token5] = ACTIONS(491),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_LPAREN_SLASH] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(500),
    [aux_sym_boolean_literal_token1] = ACTIONS(503),
    [aux_sym_boolean_literal_token2] = ACTIONS(503),
    [aux_sym_null_literal_token1] = ACTIONS(506),
    [aux_sym_identifier_token1] = ACTIONS(440),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(509),
    [sym__float_literal] = ACTIONS(512),
    [sym__boz_literal] = ACTIONS(512),
    [sym__string_literal] = ACTIONS(515),
    [sym__string_literal_kind] = ACTIONS(518),
  },
  [48] = {
    [sym_preproc_include] = STATE(135),
    [sym_preproc_def] = STATE(135),
    [sym_preproc_function_def] = STATE(135),
    [sym_preproc_call] = STATE(135),
    [sym_preproc_else_in_specification_part] = STATE(5243),
    [sym_preproc_elif_in_specification_part] = STATE(5243),
    [sym_preproc_elifdef_in_specification_part] = STATE(5243),
    [sym_preproc_else_in_statements] = STATE(5852),
    [sym_preproc_elif_in_statements] = STATE(5852),
    [sym_preproc_elifdef_in_statements] = STATE(5852),
    [sym_interface] = STATE(135),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3942),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(135),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(135),
    [sym_public_statement] = STATE(135),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(135),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(135),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(135),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(209),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(603),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [49] = {
    [sym_preproc_include] = STATE(154),
    [sym_preproc_def] = STATE(154),
    [sym_preproc_function_def] = STATE(154),
    [sym_preproc_call] = STATE(154),
    [sym_preproc_else_in_specification_part] = STATE(6104),
    [sym_preproc_elif_in_specification_part] = STATE(6104),
    [sym_preproc_elifdef_in_specification_part] = STATE(6104),
    [sym_preproc_else_in_statements] = STATE(5698),
    [sym_preproc_elif_in_statements] = STATE(5698),
    [sym_preproc_elifdef_in_statements] = STATE(5698),
    [sym_interface] = STATE(154),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3931),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(154),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(154),
    [sym_public_statement] = STATE(154),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(154),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(154),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(154),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(207),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(635),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [50] = {
    [sym_preproc_include] = STATE(159),
    [sym_preproc_def] = STATE(159),
    [sym_preproc_function_def] = STATE(159),
    [sym_preproc_call] = STATE(159),
    [sym_preproc_else_in_specification_part] = STATE(5599),
    [sym_preproc_elif_in_specification_part] = STATE(5599),
    [sym_preproc_elifdef_in_specification_part] = STATE(5599),
    [sym_preproc_else_in_statements] = STATE(6132),
    [sym_preproc_elif_in_statements] = STATE(6132),
    [sym_preproc_elifdef_in_statements] = STATE(6132),
    [sym_interface] = STATE(159),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3960),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(159),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(159),
    [sym_public_statement] = STATE(159),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(159),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(159),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(159),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(200),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [51] = {
    [sym_preproc_include] = STATE(153),
    [sym_preproc_def] = STATE(153),
    [sym_preproc_function_def] = STATE(153),
    [sym_preproc_call] = STATE(153),
    [sym_preproc_else_in_specification_part] = STATE(5418),
    [sym_preproc_elif_in_specification_part] = STATE(5418),
    [sym_preproc_elifdef_in_specification_part] = STATE(5418),
    [sym_preproc_else_in_statements] = STATE(5144),
    [sym_preproc_elif_in_statements] = STATE(5144),
    [sym_preproc_elifdef_in_statements] = STATE(5144),
    [sym_interface] = STATE(153),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3934),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(153),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(153),
    [sym_public_statement] = STATE(153),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(153),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(153),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(153),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(201),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(641),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [52] = {
    [sym_preproc_include] = STATE(137),
    [sym_preproc_def] = STATE(137),
    [sym_preproc_function_def] = STATE(137),
    [sym_preproc_call] = STATE(137),
    [sym_preproc_else_in_specification_part] = STATE(5212),
    [sym_preproc_elif_in_specification_part] = STATE(5212),
    [sym_preproc_elifdef_in_specification_part] = STATE(5212),
    [sym_preproc_else_in_statements] = STATE(5998),
    [sym_preproc_elif_in_statements] = STATE(5998),
    [sym_preproc_elifdef_in_statements] = STATE(5998),
    [sym_interface] = STATE(137),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3946),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(137),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(137),
    [sym_public_statement] = STATE(137),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(137),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(137),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(208),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(645),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [53] = {
    [sym_preproc_include] = STATE(148),
    [sym_preproc_def] = STATE(148),
    [sym_preproc_function_def] = STATE(148),
    [sym_preproc_call] = STATE(148),
    [sym_preproc_else_in_specification_part] = STATE(5902),
    [sym_preproc_elif_in_specification_part] = STATE(5902),
    [sym_preproc_elifdef_in_specification_part] = STATE(5902),
    [sym_preproc_else_in_statements] = STATE(5775),
    [sym_preproc_elif_in_statements] = STATE(5775),
    [sym_preproc_elifdef_in_statements] = STATE(5775),
    [sym_interface] = STATE(148),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3965),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(148),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(148),
    [sym_public_statement] = STATE(148),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(148),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(148),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(148),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(197),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [54] = {
    [sym_preproc_include] = STATE(162),
    [sym_preproc_def] = STATE(162),
    [sym_preproc_function_def] = STATE(162),
    [sym_preproc_call] = STATE(162),
    [sym_preproc_else_in_specification_part] = STATE(5610),
    [sym_preproc_elif_in_specification_part] = STATE(5610),
    [sym_preproc_elifdef_in_specification_part] = STATE(5610),
    [sym_preproc_else_in_statements] = STATE(5118),
    [sym_preproc_elif_in_statements] = STATE(5118),
    [sym_preproc_elifdef_in_statements] = STATE(5118),
    [sym_interface] = STATE(162),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3979),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(162),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(162),
    [sym_public_statement] = STATE(162),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(162),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(162),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(162),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(649),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [55] = {
    [sym_preproc_include] = STATE(152),
    [sym_preproc_def] = STATE(152),
    [sym_preproc_function_def] = STATE(152),
    [sym_preproc_call] = STATE(152),
    [sym_preproc_else_in_specification_part] = STATE(5674),
    [sym_preproc_elif_in_specification_part] = STATE(5674),
    [sym_preproc_elifdef_in_specification_part] = STATE(5674),
    [sym_preproc_else_in_statements] = STATE(5094),
    [sym_preproc_elif_in_statements] = STATE(5094),
    [sym_preproc_elifdef_in_statements] = STATE(5094),
    [sym_interface] = STATE(152),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3954),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(152),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(152),
    [sym_public_statement] = STATE(152),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(152),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(152),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(152),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(206),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(651),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [56] = {
    [sym_preproc_include] = STATE(141),
    [sym_preproc_def] = STATE(141),
    [sym_preproc_function_def] = STATE(141),
    [sym_preproc_call] = STATE(141),
    [sym_preproc_else_in_specification_part] = STATE(5210),
    [sym_preproc_elif_in_specification_part] = STATE(5210),
    [sym_preproc_elifdef_in_specification_part] = STATE(5210),
    [sym_preproc_else_in_statements] = STATE(6005),
    [sym_preproc_elif_in_statements] = STATE(6005),
    [sym_preproc_elifdef_in_statements] = STATE(6005),
    [sym_interface] = STATE(141),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3955),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(141),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(141),
    [sym_public_statement] = STATE(141),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(141),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(141),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(141),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(195),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(653),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [57] = {
    [sym_preproc_include] = STATE(136),
    [sym_preproc_def] = STATE(136),
    [sym_preproc_function_def] = STATE(136),
    [sym_preproc_call] = STATE(136),
    [sym_preproc_else_in_specification_part] = STATE(5884),
    [sym_preproc_elif_in_specification_part] = STATE(5884),
    [sym_preproc_elifdef_in_specification_part] = STATE(5884),
    [sym_preproc_else_in_statements] = STATE(6068),
    [sym_preproc_elif_in_statements] = STATE(6068),
    [sym_preproc_elifdef_in_statements] = STATE(6068),
    [sym_interface] = STATE(136),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3941),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(136),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(136),
    [sym_public_statement] = STATE(136),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(136),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(136),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(196),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(209),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [58] = {
    [sym_preproc_include] = STATE(151),
    [sym_preproc_def] = STATE(151),
    [sym_preproc_function_def] = STATE(151),
    [sym_preproc_call] = STATE(151),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_preproc_else_in_statements] = STATE(6067),
    [sym_preproc_elif_in_statements] = STATE(6067),
    [sym_preproc_elifdef_in_statements] = STATE(6067),
    [sym_interface] = STATE(151),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3970),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(151),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(151),
    [sym_public_statement] = STATE(151),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(151),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(151),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(151),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(198),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [59] = {
    [sym_preproc_include] = STATE(157),
    [sym_preproc_def] = STATE(157),
    [sym_preproc_function_def] = STATE(157),
    [sym_preproc_call] = STATE(157),
    [sym_preproc_else_in_specification_part] = STATE(6095),
    [sym_preproc_elif_in_specification_part] = STATE(6095),
    [sym_preproc_elifdef_in_specification_part] = STATE(6095),
    [sym_preproc_else_in_statements] = STATE(6011),
    [sym_preproc_elif_in_statements] = STATE(6011),
    [sym_preproc_elifdef_in_statements] = STATE(6011),
    [sym_interface] = STATE(157),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3964),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(157),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(157),
    [sym_public_statement] = STATE(157),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(157),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(157),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(157),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(205),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [60] = {
    [sym_preproc_include] = STATE(166),
    [sym_preproc_def] = STATE(166),
    [sym_preproc_function_def] = STATE(166),
    [sym_preproc_call] = STATE(166),
    [sym_preproc_else_in_specification_part] = STATE(5590),
    [sym_preproc_elif_in_specification_part] = STATE(5590),
    [sym_preproc_elifdef_in_specification_part] = STATE(5590),
    [sym_preproc_else_in_statements] = STATE(5123),
    [sym_preproc_elif_in_statements] = STATE(5123),
    [sym_preproc_elifdef_in_statements] = STATE(5123),
    [sym_interface] = STATE(166),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3945),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(166),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(166),
    [sym_public_statement] = STATE(166),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(166),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(166),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(166),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(204),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(655),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [61] = {
    [sym_preproc_include] = STATE(146),
    [sym_preproc_def] = STATE(146),
    [sym_preproc_function_def] = STATE(146),
    [sym_preproc_call] = STATE(146),
    [sym_preproc_else_in_specification_part] = STATE(5165),
    [sym_preproc_elif_in_specification_part] = STATE(5165),
    [sym_preproc_elifdef_in_specification_part] = STATE(5165),
    [sym_preproc_else_in_statements] = STATE(6141),
    [sym_preproc_elif_in_statements] = STATE(6141),
    [sym_preproc_elifdef_in_statements] = STATE(6141),
    [sym_interface] = STATE(146),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3973),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(146),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(146),
    [sym_public_statement] = STATE(146),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(146),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(146),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(146),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(199),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(657),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [62] = {
    [sym_preproc_include] = STATE(145),
    [sym_preproc_def] = STATE(145),
    [sym_preproc_function_def] = STATE(145),
    [sym_preproc_call] = STATE(145),
    [sym_preproc_else_in_specification_part] = STATE(5944),
    [sym_preproc_elif_in_specification_part] = STATE(5944),
    [sym_preproc_elifdef_in_specification_part] = STATE(5944),
    [sym_preproc_else_in_statements] = STATE(5730),
    [sym_preproc_elif_in_statements] = STATE(5730),
    [sym_preproc_elifdef_in_statements] = STATE(5730),
    [sym_interface] = STATE(145),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3975),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(145),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(145),
    [sym_public_statement] = STATE(145),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(145),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(145),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(145),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(202),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(659),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [63] = {
    [sym_preproc_include] = STATE(147),
    [sym_preproc_def] = STATE(147),
    [sym_preproc_function_def] = STATE(147),
    [sym_preproc_call] = STATE(147),
    [sym_preproc_else_in_specification_part] = STATE(5946),
    [sym_preproc_elif_in_specification_part] = STATE(5946),
    [sym_preproc_elifdef_in_specification_part] = STATE(5946),
    [sym_preproc_else_in_statements] = STATE(5718),
    [sym_preproc_elif_in_statements] = STATE(5718),
    [sym_preproc_elifdef_in_statements] = STATE(5718),
    [sym_interface] = STATE(147),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(3967),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(147),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(147),
    [sym_public_statement] = STATE(147),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(147),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(147),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(147),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(203),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(661),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [64] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(293),
    [sym_preproc_ifdef_in_statements] = STATE(293),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3184),
    [sym_internal_procedures] = STATE(4444),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(293),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(673),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(675),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [65] = {
    [sym_preproc_include] = STATE(115),
    [sym_preproc_def] = STATE(115),
    [sym_preproc_function_def] = STATE(115),
    [sym_preproc_call] = STATE(115),
    [sym_preproc_if_in_specification_part] = STATE(115),
    [sym_preproc_ifdef_in_specification_part] = STATE(115),
    [sym_preproc_if_in_statements] = STATE(291),
    [sym_preproc_ifdef_in_statements] = STATE(291),
    [sym_interface] = STATE(115),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2321),
    [sym_internal_procedures] = STATE(4359),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(115),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(115),
    [sym_public_statement] = STATE(115),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(115),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(115),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(115),
    [aux_sym_subroutine_repeat1] = STATE(291),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(681),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(683),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [66] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if_in_specification_part] = STATE(71),
    [sym_preproc_ifdef_in_specification_part] = STATE(71),
    [sym_preproc_if_in_statements] = STATE(342),
    [sym_preproc_ifdef_in_statements] = STATE(342),
    [sym_interface] = STATE(71),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3024),
    [sym_internal_procedures] = STATE(4638),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(71),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(71),
    [sym_public_statement] = STATE(71),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(71),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(71),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_subroutine_repeat1] = STATE(342),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(685),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(687),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [67] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if_in_specification_part] = STATE(99),
    [sym_preproc_ifdef_in_specification_part] = STATE(99),
    [sym_preproc_if_in_statements] = STATE(341),
    [sym_preproc_ifdef_in_statements] = STATE(341),
    [sym_interface] = STATE(99),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3023),
    [sym_internal_procedures] = STATE(4834),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(99),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(99),
    [sym_public_statement] = STATE(99),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(99),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(99),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_subroutine_repeat1] = STATE(341),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(699),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(701),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [68] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(339),
    [sym_preproc_ifdef_in_statements] = STATE(339),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2926),
    [sym_internal_procedures] = STATE(4748),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(339),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(717),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(719),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [69] = {
    [sym_preproc_include] = STATE(155),
    [sym_preproc_def] = STATE(155),
    [sym_preproc_function_def] = STATE(155),
    [sym_preproc_call] = STATE(155),
    [sym_preproc_else_in_specification_part] = STATE(5326),
    [sym_preproc_elif_in_specification_part] = STATE(5326),
    [sym_preproc_elifdef_in_specification_part] = STATE(5326),
    [sym_interface] = STATE(155),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4034),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(155),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(155),
    [sym_public_statement] = STATE(155),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(155),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(155),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(155),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(271),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(725),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [70] = {
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if_in_specification_part] = STATE(68),
    [sym_preproc_ifdef_in_specification_part] = STATE(68),
    [sym_preproc_if_in_statements] = STATE(338),
    [sym_preproc_ifdef_in_statements] = STATE(338),
    [sym_interface] = STATE(68),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2909),
    [sym_internal_procedures] = STATE(4781),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(68),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(68),
    [sym_public_statement] = STATE(68),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(68),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(68),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_subroutine_repeat1] = STATE(338),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(717),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(719),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [71] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(286),
    [sym_preproc_ifdef_in_statements] = STATE(286),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3038),
    [sym_internal_procedures] = STATE(4685),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(286),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(685),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(687),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [72] = {
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if_in_specification_part] = STATE(76),
    [sym_preproc_ifdef_in_specification_part] = STATE(76),
    [sym_preproc_if_in_statements] = STATE(325),
    [sym_preproc_ifdef_in_statements] = STATE(325),
    [sym_interface] = STATE(76),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3081),
    [sym_internal_procedures] = STATE(4367),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(76),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(76),
    [sym_public_statement] = STATE(76),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(76),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(76),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_subroutine_repeat1] = STATE(325),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(735),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(737),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [73] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if_in_specification_part] = STATE(82),
    [sym_preproc_ifdef_in_specification_part] = STATE(82),
    [sym_preproc_if_in_statements] = STATE(295),
    [sym_preproc_ifdef_in_statements] = STATE(295),
    [sym_interface] = STATE(82),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3082),
    [sym_internal_procedures] = STATE(4382),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(82),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(82),
    [sym_public_statement] = STATE(82),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(82),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(82),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_subroutine_repeat1] = STATE(295),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(739),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(741),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [74] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_if_in_specification_part] = STATE(85),
    [sym_preproc_ifdef_in_specification_part] = STATE(85),
    [sym_preproc_if_in_statements] = STATE(330),
    [sym_preproc_ifdef_in_statements] = STATE(330),
    [sym_interface] = STATE(85),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3153),
    [sym_internal_procedures] = STATE(4865),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(85),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(85),
    [sym_public_statement] = STATE(85),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(85),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(85),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_subroutine_repeat1] = STATE(330),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(743),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(745),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [75] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(337),
    [sym_preproc_ifdef_in_statements] = STATE(337),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2426),
    [sym_internal_procedures] = STATE(4770),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(337),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(747),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(749),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [76] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(331),
    [sym_preproc_ifdef_in_statements] = STATE(331),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3088),
    [sym_internal_procedures] = STATE(4596),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(331),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(735),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(737),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [77] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(327),
    [sym_preproc_ifdef_in_statements] = STATE(327),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2429),
    [sym_internal_procedures] = STATE(4772),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(327),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(751),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(753),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [78] = {
    [sym_preproc_include] = STATE(90),
    [sym_preproc_def] = STATE(90),
    [sym_preproc_function_def] = STATE(90),
    [sym_preproc_call] = STATE(90),
    [sym_preproc_if_in_specification_part] = STATE(90),
    [sym_preproc_ifdef_in_specification_part] = STATE(90),
    [sym_preproc_if_in_statements] = STATE(318),
    [sym_preproc_ifdef_in_statements] = STATE(318),
    [sym_interface] = STATE(90),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3154),
    [sym_internal_procedures] = STATE(4870),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(90),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(90),
    [sym_public_statement] = STATE(90),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(90),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(90),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_subroutine_repeat1] = STATE(318),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(755),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(757),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [79] = {
    [sym_preproc_include] = STATE(104),
    [sym_preproc_def] = STATE(104),
    [sym_preproc_function_def] = STATE(104),
    [sym_preproc_call] = STATE(104),
    [sym_preproc_if_in_specification_part] = STATE(104),
    [sym_preproc_ifdef_in_specification_part] = STATE(104),
    [sym_preproc_if_in_statements] = STATE(334),
    [sym_preproc_ifdef_in_statements] = STATE(334),
    [sym_interface] = STATE(104),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(515),
    [sym_internal_procedures] = STATE(4678),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(104),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(104),
    [sym_public_statement] = STATE(104),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(104),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(104),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(104),
    [aux_sym_subroutine_repeat1] = STATE(334),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(759),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(761),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [80] = {
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if_in_specification_part] = STATE(75),
    [sym_preproc_ifdef_in_specification_part] = STATE(75),
    [sym_preproc_if_in_statements] = STATE(326),
    [sym_preproc_ifdef_in_statements] = STATE(326),
    [sym_interface] = STATE(75),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2433),
    [sym_internal_procedures] = STATE(4413),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(75),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(75),
    [sym_public_statement] = STATE(75),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(75),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(75),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_subroutine_repeat1] = STATE(326),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(747),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(749),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [81] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if_in_specification_part] = STATE(77),
    [sym_preproc_ifdef_in_specification_part] = STATE(77),
    [sym_preproc_if_in_statements] = STATE(324),
    [sym_preproc_ifdef_in_statements] = STATE(324),
    [sym_interface] = STATE(77),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2435),
    [sym_internal_procedures] = STATE(4305),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(77),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(77),
    [sym_public_statement] = STATE(77),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(77),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(77),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(77),
    [aux_sym_subroutine_repeat1] = STATE(324),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(751),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(753),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [82] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(329),
    [sym_preproc_ifdef_in_statements] = STATE(329),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3093),
    [sym_internal_procedures] = STATE(4595),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(329),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(739),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(741),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [83] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(340),
    [sym_preproc_ifdef_in_statements] = STATE(340),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(3060),
    [sym_internal_procedures] = STATE(4646),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(340),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(763),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(765),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [84] = {
    [sym_preproc_include] = STATE(154),
    [sym_preproc_def] = STATE(154),
    [sym_preproc_function_def] = STATE(154),
    [sym_preproc_call] = STATE(154),
    [sym_preproc_else_in_specification_part] = STATE(6104),
    [sym_preproc_elif_in_specification_part] = STATE(6104),
    [sym_preproc_elifdef_in_specification_part] = STATE(6104),
    [sym_interface] = STATE(154),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4110),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(154),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(154),
    [sym_public_statement] = STATE(154),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(154),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(154),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(154),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(225),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(767),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [85] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(335),
    [sym_preproc_ifdef_in_statements] = STATE(335),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3185),
    [sym_internal_procedures] = STATE(4872),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(335),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(743),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(745),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [86] = {
    [sym_preproc_include] = STATE(123),
    [sym_preproc_def] = STATE(123),
    [sym_preproc_function_def] = STATE(123),
    [sym_preproc_call] = STATE(123),
    [sym_preproc_if_in_specification_part] = STATE(123),
    [sym_preproc_ifdef_in_specification_part] = STATE(123),
    [sym_preproc_if_in_statements] = STATE(314),
    [sym_preproc_ifdef_in_statements] = STATE(314),
    [sym_interface] = STATE(123),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(507),
    [sym_internal_procedures] = STATE(4672),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(123),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(123),
    [sym_public_statement] = STATE(123),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(123),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(123),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(123),
    [aux_sym_subroutine_repeat1] = STATE(314),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(771),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(773),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [87] = {
    [sym_preproc_include] = STATE(127),
    [sym_preproc_def] = STATE(127),
    [sym_preproc_function_def] = STATE(127),
    [sym_preproc_call] = STATE(127),
    [sym_preproc_if_in_specification_part] = STATE(127),
    [sym_preproc_ifdef_in_specification_part] = STATE(127),
    [sym_preproc_if_in_statements] = STATE(294),
    [sym_preproc_ifdef_in_statements] = STATE(294),
    [sym_interface] = STATE(127),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2947),
    [sym_internal_procedures] = STATE(4746),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(127),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(127),
    [sym_public_statement] = STATE(127),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(127),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(127),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(127),
    [aux_sym_subroutine_repeat1] = STATE(294),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(775),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(777),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [88] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(321),
    [sym_preproc_ifdef_in_statements] = STATE(321),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2798),
    [sym_internal_procedures] = STATE(4815),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(321),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(779),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(781),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [89] = {
    [sym_preproc_include] = STATE(88),
    [sym_preproc_def] = STATE(88),
    [sym_preproc_function_def] = STATE(88),
    [sym_preproc_call] = STATE(88),
    [sym_preproc_if_in_specification_part] = STATE(88),
    [sym_preproc_ifdef_in_specification_part] = STATE(88),
    [sym_preproc_if_in_statements] = STATE(313),
    [sym_preproc_ifdef_in_statements] = STATE(313),
    [sym_interface] = STATE(88),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2780),
    [sym_internal_procedures] = STATE(4394),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(88),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(88),
    [sym_public_statement] = STATE(88),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(88),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(88),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_subroutine_repeat1] = STATE(313),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(779),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(781),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [90] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(285),
    [sym_preproc_ifdef_in_statements] = STATE(285),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3182),
    [sym_internal_procedures] = STATE(4869),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(285),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(755),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(757),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [91] = {
    [sym_preproc_include] = STATE(159),
    [sym_preproc_def] = STATE(159),
    [sym_preproc_function_def] = STATE(159),
    [sym_preproc_call] = STATE(159),
    [sym_preproc_else_in_specification_part] = STATE(5599),
    [sym_preproc_elif_in_specification_part] = STATE(5599),
    [sym_preproc_elifdef_in_specification_part] = STATE(5599),
    [sym_interface] = STATE(159),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4010),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(159),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(159),
    [sym_public_statement] = STATE(159),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(159),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(159),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(159),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(251),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [92] = {
    [sym_preproc_include] = STATE(101),
    [sym_preproc_def] = STATE(101),
    [sym_preproc_function_def] = STATE(101),
    [sym_preproc_call] = STATE(101),
    [sym_preproc_if_in_specification_part] = STATE(101),
    [sym_preproc_ifdef_in_specification_part] = STATE(101),
    [sym_preproc_if_in_statements] = STATE(328),
    [sym_preproc_ifdef_in_statements] = STATE(328),
    [sym_interface] = STATE(101),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2769),
    [sym_internal_procedures] = STATE(4636),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(101),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(101),
    [sym_public_statement] = STATE(101),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(101),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(101),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_subroutine_repeat1] = STATE(328),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(785),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(787),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [93] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(312),
    [sym_preproc_ifdef_in_statements] = STATE(312),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2887),
    [sym_internal_procedures] = STATE(4838),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(312),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(789),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(791),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [94] = {
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_if_in_specification_part] = STATE(111),
    [sym_preproc_ifdef_in_specification_part] = STATE(111),
    [sym_preproc_if_in_statements] = STATE(281),
    [sym_preproc_ifdef_in_statements] = STATE(281),
    [sym_interface] = STATE(111),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2314),
    [sym_internal_procedures] = STATE(4353),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(111),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(111),
    [sym_public_statement] = STATE(111),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(111),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(111),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(111),
    [aux_sym_subroutine_repeat1] = STATE(281),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(793),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(795),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [95] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(309),
    [sym_preproc_ifdef_in_statements] = STATE(309),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2891),
    [sym_internal_procedures] = STATE(4296),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(309),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(797),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [96] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if_in_specification_part] = STATE(93),
    [sym_preproc_ifdef_in_specification_part] = STATE(93),
    [sym_preproc_if_in_statements] = STATE(308),
    [sym_preproc_ifdef_in_statements] = STATE(308),
    [sym_interface] = STATE(93),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2895),
    [sym_internal_procedures] = STATE(4430),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(93),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(93),
    [sym_public_statement] = STATE(93),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(93),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(93),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_subroutine_repeat1] = STATE(308),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(789),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(791),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [97] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if_in_specification_part] = STATE(95),
    [sym_preproc_ifdef_in_specification_part] = STATE(95),
    [sym_preproc_if_in_statements] = STATE(307),
    [sym_preproc_ifdef_in_statements] = STATE(307),
    [sym_interface] = STATE(95),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2896),
    [sym_internal_procedures] = STATE(4442),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(95),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(95),
    [sym_public_statement] = STATE(95),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(95),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(95),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_subroutine_repeat1] = STATE(307),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(797),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(799),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [98] = {
    [sym_preproc_include] = STATE(103),
    [sym_preproc_def] = STATE(103),
    [sym_preproc_function_def] = STATE(103),
    [sym_preproc_call] = STATE(103),
    [sym_preproc_if_in_specification_part] = STATE(103),
    [sym_preproc_ifdef_in_specification_part] = STATE(103),
    [sym_preproc_if_in_statements] = STATE(322),
    [sym_preproc_ifdef_in_statements] = STATE(322),
    [sym_interface] = STATE(103),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2774),
    [sym_internal_procedures] = STATE(4682),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(103),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(103),
    [sym_public_statement] = STATE(103),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(103),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(103),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_subroutine_repeat1] = STATE(322),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(803),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [99] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(343),
    [sym_preproc_ifdef_in_statements] = STATE(343),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3034),
    [sym_internal_procedures] = STATE(4690),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(343),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(699),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(701),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [100] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(306),
    [sym_preproc_ifdef_in_statements] = STATE(306),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2950),
    [sym_internal_procedures] = STATE(4485),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(306),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(805),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(807),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [101] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(320),
    [sym_preproc_ifdef_in_statements] = STATE(320),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2785),
    [sym_internal_procedures] = STATE(4530),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(320),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(785),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(787),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [102] = {
    [sym_preproc_include] = STATE(100),
    [sym_preproc_def] = STATE(100),
    [sym_preproc_function_def] = STATE(100),
    [sym_preproc_call] = STATE(100),
    [sym_preproc_if_in_specification_part] = STATE(100),
    [sym_preproc_ifdef_in_specification_part] = STATE(100),
    [sym_preproc_if_in_statements] = STATE(305),
    [sym_preproc_ifdef_in_statements] = STATE(305),
    [sym_interface] = STATE(100),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2967),
    [sym_internal_procedures] = STATE(4506),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(100),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(100),
    [sym_public_statement] = STATE(100),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(100),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(100),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(100),
    [aux_sym_subroutine_repeat1] = STATE(305),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(805),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(807),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [103] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(317),
    [sym_preproc_ifdef_in_statements] = STATE(317),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2802),
    [sym_internal_procedures] = STATE(4527),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(317),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(803),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [104] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(282),
    [sym_preproc_ifdef_in_statements] = STATE(282),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(534),
    [sym_internal_procedures] = STATE(4729),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(282),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(759),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(761),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [105] = {
    [sym_preproc_include] = STATE(118),
    [sym_preproc_def] = STATE(118),
    [sym_preproc_function_def] = STATE(118),
    [sym_preproc_call] = STATE(118),
    [sym_preproc_if_in_specification_part] = STATE(118),
    [sym_preproc_ifdef_in_specification_part] = STATE(118),
    [sym_preproc_if_in_statements] = STATE(311),
    [sym_preproc_ifdef_in_statements] = STATE(311),
    [sym_interface] = STATE(118),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3169),
    [sym_internal_procedures] = STATE(4585),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(118),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(118),
    [sym_public_statement] = STATE(118),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(118),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(118),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(118),
    [aux_sym_subroutine_repeat1] = STATE(311),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(809),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [106] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(304),
    [sym_preproc_ifdef_in_statements] = STATE(304),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2980),
    [sym_internal_procedures] = STATE(4431),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(304),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(813),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(815),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [107] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(303),
    [sym_preproc_ifdef_in_statements] = STATE(303),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2982),
    [sym_internal_procedures] = STATE(4407),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(303),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(817),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(819),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [108] = {
    [sym_preproc_include] = STATE(106),
    [sym_preproc_def] = STATE(106),
    [sym_preproc_function_def] = STATE(106),
    [sym_preproc_call] = STATE(106),
    [sym_preproc_if_in_specification_part] = STATE(106),
    [sym_preproc_ifdef_in_specification_part] = STATE(106),
    [sym_preproc_if_in_statements] = STATE(301),
    [sym_preproc_ifdef_in_statements] = STATE(301),
    [sym_interface] = STATE(106),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2990),
    [sym_internal_procedures] = STATE(4536),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(106),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(106),
    [sym_public_statement] = STATE(106),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(106),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(106),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(106),
    [aux_sym_subroutine_repeat1] = STATE(301),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(813),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(815),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [109] = {
    [sym_preproc_include] = STATE(107),
    [sym_preproc_def] = STATE(107),
    [sym_preproc_function_def] = STATE(107),
    [sym_preproc_call] = STATE(107),
    [sym_preproc_if_in_specification_part] = STATE(107),
    [sym_preproc_ifdef_in_specification_part] = STATE(107),
    [sym_preproc_if_in_statements] = STATE(300),
    [sym_preproc_ifdef_in_statements] = STATE(300),
    [sym_interface] = STATE(107),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2991),
    [sym_internal_procedures] = STATE(4548),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(107),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(107),
    [sym_public_statement] = STATE(107),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(107),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(107),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(107),
    [aux_sym_subroutine_repeat1] = STATE(300),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(817),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(819),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [110] = {
    [sym_preproc_include] = STATE(135),
    [sym_preproc_def] = STATE(135),
    [sym_preproc_function_def] = STATE(135),
    [sym_preproc_call] = STATE(135),
    [sym_preproc_else_in_specification_part] = STATE(5243),
    [sym_preproc_elif_in_specification_part] = STATE(5243),
    [sym_preproc_elifdef_in_specification_part] = STATE(5243),
    [sym_interface] = STATE(135),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4008),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(135),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(135),
    [sym_public_statement] = STATE(135),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(135),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(135),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(135),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(259),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(821),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [111] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(302),
    [sym_preproc_ifdef_in_statements] = STATE(302),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(2312),
    [sym_internal_procedures] = STATE(4469),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(302),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(793),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(795),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [112] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(299),
    [sym_preproc_ifdef_in_statements] = STATE(299),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(3052),
    [sym_internal_procedures] = STATE(4374),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(299),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(825),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(827),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [113] = {
    [sym_preproc_include] = STATE(112),
    [sym_preproc_def] = STATE(112),
    [sym_preproc_function_def] = STATE(112),
    [sym_preproc_call] = STATE(112),
    [sym_preproc_if_in_specification_part] = STATE(112),
    [sym_preproc_ifdef_in_specification_part] = STATE(112),
    [sym_preproc_if_in_statements] = STATE(298),
    [sym_preproc_ifdef_in_statements] = STATE(298),
    [sym_interface] = STATE(112),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(3059),
    [sym_internal_procedures] = STATE(4650),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(112),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(112),
    [sym_public_statement] = STATE(112),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(112),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(112),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(112),
    [aux_sym_subroutine_repeat1] = STATE(298),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(825),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(827),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [114] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if_in_specification_part] = STATE(64),
    [sym_preproc_ifdef_in_specification_part] = STATE(64),
    [sym_preproc_if_in_statements] = STATE(310),
    [sym_preproc_ifdef_in_statements] = STATE(310),
    [sym_interface] = STATE(64),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(3178),
    [sym_internal_procedures] = STATE(4553),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(64),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(64),
    [sym_public_statement] = STATE(64),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(64),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(64),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_subroutine_repeat1] = STATE(310),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(673),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(675),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [115] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(316),
    [sym_preproc_ifdef_in_statements] = STATE(316),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(2305),
    [sym_internal_procedures] = STATE(4480),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(316),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(681),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(683),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [116] = {
    [sym_preproc_include] = STATE(131),
    [sym_preproc_def] = STATE(131),
    [sym_preproc_function_def] = STATE(131),
    [sym_preproc_call] = STATE(131),
    [sym_preproc_if_in_specification_part] = STATE(131),
    [sym_preproc_ifdef_in_specification_part] = STATE(131),
    [sym_preproc_if_in_statements] = STATE(315),
    [sym_preproc_ifdef_in_statements] = STATE(315),
    [sym_interface] = STATE(131),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(628),
    [sym_internal_procedures] = STATE(4547),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(131),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(131),
    [sym_public_statement] = STATE(131),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(131),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(131),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(131),
    [aux_sym_subroutine_repeat1] = STATE(315),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(829),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(831),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [117] = {
    [sym_preproc_include] = STATE(132),
    [sym_preproc_def] = STATE(132),
    [sym_preproc_function_def] = STATE(132),
    [sym_preproc_call] = STATE(132),
    [sym_preproc_if_in_specification_part] = STATE(132),
    [sym_preproc_ifdef_in_specification_part] = STATE(132),
    [sym_preproc_if_in_statements] = STATE(319),
    [sym_preproc_ifdef_in_statements] = STATE(319),
    [sym_interface] = STATE(132),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(621),
    [sym_internal_procedures] = STATE(4543),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(132),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(132),
    [sym_public_statement] = STATE(132),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(132),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(132),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(132),
    [aux_sym_subroutine_repeat1] = STATE(319),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(833),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(835),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [118] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(297),
    [sym_preproc_ifdef_in_statements] = STATE(297),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(3180),
    [sym_internal_procedures] = STATE(4455),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(297),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(809),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(811),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [119] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(292),
    [sym_preproc_ifdef_in_statements] = STATE(292),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(743),
    [sym_internal_procedures] = STATE(4307),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(292),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(837),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(839),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [120] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(290),
    [sym_preproc_ifdef_in_statements] = STATE(290),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(745),
    [sym_internal_procedures] = STATE(4336),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(841),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(843),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [121] = {
    [sym_preproc_include] = STATE(119),
    [sym_preproc_def] = STATE(119),
    [sym_preproc_function_def] = STATE(119),
    [sym_preproc_call] = STATE(119),
    [sym_preproc_if_in_specification_part] = STATE(119),
    [sym_preproc_ifdef_in_specification_part] = STATE(119),
    [sym_preproc_if_in_statements] = STATE(289),
    [sym_preproc_ifdef_in_statements] = STATE(289),
    [sym_interface] = STATE(119),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(750),
    [sym_internal_procedures] = STATE(4708),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(119),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(119),
    [sym_public_statement] = STATE(119),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(119),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(119),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(119),
    [aux_sym_subroutine_repeat1] = STATE(289),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(837),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(839),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [122] = {
    [sym_preproc_include] = STATE(120),
    [sym_preproc_def] = STATE(120),
    [sym_preproc_function_def] = STATE(120),
    [sym_preproc_call] = STATE(120),
    [sym_preproc_if_in_specification_part] = STATE(120),
    [sym_preproc_ifdef_in_specification_part] = STATE(120),
    [sym_preproc_if_in_statements] = STATE(288),
    [sym_preproc_ifdef_in_statements] = STATE(288),
    [sym_interface] = STATE(120),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(752),
    [sym_internal_procedures] = STATE(4713),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(120),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(120),
    [sym_public_statement] = STATE(120),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(120),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(120),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(120),
    [aux_sym_subroutine_repeat1] = STATE(288),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(841),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(843),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [123] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(323),
    [sym_preproc_ifdef_in_statements] = STATE(323),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(493),
    [sym_internal_procedures] = STATE(4747),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(323),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(771),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(773),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [124] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(296),
    [sym_preproc_ifdef_in_statements] = STATE(296),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(3012),
    [sym_internal_procedures] = STATE(4385),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(296),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(845),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(847),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [125] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(287),
    [sym_preproc_ifdef_in_statements] = STATE(287),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2446),
    [sym_internal_procedures] = STATE(4700),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(287),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(849),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(851),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [126] = {
    [sym_preproc_include] = STATE(153),
    [sym_preproc_def] = STATE(153),
    [sym_preproc_function_def] = STATE(153),
    [sym_preproc_call] = STATE(153),
    [sym_preproc_else_in_specification_part] = STATE(5418),
    [sym_preproc_elif_in_specification_part] = STATE(5418),
    [sym_preproc_elifdef_in_specification_part] = STATE(5418),
    [sym_interface] = STATE(153),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4049),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(153),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(153),
    [sym_public_statement] = STATE(153),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(153),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(153),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(153),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(279),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(853),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [127] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(333),
    [sym_preproc_ifdef_in_statements] = STATE(333),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2979),
    [sym_internal_procedures] = STATE(4375),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_subroutine_repeat1] = STATE(333),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(775),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(777),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [128] = {
    [sym_preproc_include] = STATE(125),
    [sym_preproc_def] = STATE(125),
    [sym_preproc_function_def] = STATE(125),
    [sym_preproc_call] = STATE(125),
    [sym_preproc_if_in_specification_part] = STATE(125),
    [sym_preproc_ifdef_in_specification_part] = STATE(125),
    [sym_preproc_if_in_statements] = STATE(344),
    [sym_preproc_ifdef_in_statements] = STATE(344),
    [sym_interface] = STATE(125),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2416),
    [sym_internal_procedures] = STATE(4806),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(125),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(125),
    [sym_public_statement] = STATE(125),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(125),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(125),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(125),
    [aux_sym_subroutine_repeat1] = STATE(344),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(849),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(851),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [129] = {
    [sym_preproc_include] = STATE(124),
    [sym_preproc_def] = STATE(124),
    [sym_preproc_function_def] = STATE(124),
    [sym_preproc_call] = STATE(124),
    [sym_preproc_if_in_specification_part] = STATE(124),
    [sym_preproc_ifdef_in_specification_part] = STATE(124),
    [sym_preproc_if_in_statements] = STATE(283),
    [sym_preproc_ifdef_in_statements] = STATE(283),
    [sym_interface] = STATE(124),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(2976),
    [sym_internal_procedures] = STATE(4758),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(124),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(124),
    [sym_public_statement] = STATE(124),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(124),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(124),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(124),
    [aux_sym_subroutine_repeat1] = STATE(283),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(845),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(847),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [130] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if_in_specification_part] = STATE(83),
    [sym_preproc_ifdef_in_specification_part] = STATE(83),
    [sym_preproc_if_in_statements] = STATE(332),
    [sym_preproc_ifdef_in_statements] = STATE(332),
    [sym_interface] = STATE(83),
    [sym_interface_statement] = STATE(2218),
    [sym_end_module_procedure_statement] = STATE(3112),
    [sym_internal_procedures] = STATE(4472),
    [sym_contains_statement] = STATE(5214),
    [sym__specification_part] = STATE(83),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(83),
    [sym_public_statement] = STATE(83),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(83),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(758),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5137),
    [sym_data_statement] = STATE(5541),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_enum] = STATE(83),
    [sym_enum_statement] = STATE(4172),
    [sym_file_position_statement] = STATE(5507),
    [sym_statement_function] = STATE(5541),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_subroutine_repeat1] = STATE(332),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(707),
    [aux_sym_preproc_def_token1] = ACTIONS(709),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(713),
    [sym_preproc_directive] = ACTIONS(715),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(763),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(765),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(721),
    [aux_sym_public_statement_token1] = ACTIONS(723),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [131] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(284),
    [sym_preproc_ifdef_in_statements] = STATE(284),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym_end_function_statement] = STATE(759),
    [sym_internal_procedures] = STATE(4848),
    [sym_contains_statement] = STATE(5335),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(741),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(6093),
    [sym_data_statement] = STATE(5127),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_file_position_statement] = STATE(5224),
    [sym_statement_function] = STATE(5127),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_subroutine_repeat1] = STATE(284),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(663),
    [aux_sym_preproc_def_token1] = ACTIONS(665),
    [aux_sym_preproc_if_token1] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(669),
    [sym_preproc_directive] = ACTIONS(671),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(829),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_end_function_statement_token1] = ACTIONS(831),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(677),
    [aux_sym_public_statement_token1] = ACTIONS(679),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [132] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_preproc_if_in_statements] = STATE(336),
    [sym_preproc_ifdef_in_statements] = STATE(336),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym_end_subroutine_statement] = STATE(763),
    [sym_internal_procedures] = STATE(4839),
    [sym_contains_statement] = STATE(5734),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(623),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5313),
    [sym_data_statement] = STATE(5334),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_file_position_statement] = STATE(5439),
    [sym_statement_function] = STATE(5334),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_subroutine_repeat1] = STATE(336),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(689),
    [aux_sym_preproc_def_token1] = ACTIONS(691),
    [aux_sym_preproc_if_token1] = ACTIONS(693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(695),
    [sym_preproc_directive] = ACTIONS(697),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(833),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(835),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(703),
    [aux_sym_public_statement_token1] = ACTIONS(705),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [133] = {
    [sym_preproc_include] = STATE(148),
    [sym_preproc_def] = STATE(148),
    [sym_preproc_function_def] = STATE(148),
    [sym_preproc_call] = STATE(148),
    [sym_preproc_else_in_specification_part] = STATE(5902),
    [sym_preproc_elif_in_specification_part] = STATE(5902),
    [sym_preproc_elifdef_in_specification_part] = STATE(5902),
    [sym_interface] = STATE(148),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4092),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(148),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(148),
    [sym_public_statement] = STATE(148),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(148),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(148),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(148),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(280),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(857),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [134] = {
    [sym_preproc_include] = STATE(162),
    [sym_preproc_def] = STATE(162),
    [sym_preproc_function_def] = STATE(162),
    [sym_preproc_call] = STATE(162),
    [sym_preproc_else_in_specification_part] = STATE(5610),
    [sym_preproc_elif_in_specification_part] = STATE(5610),
    [sym_preproc_elifdef_in_specification_part] = STATE(5610),
    [sym_interface] = STATE(162),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4089),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(162),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(162),
    [sym_public_statement] = STATE(162),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(162),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(162),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(162),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(269),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(859),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [135] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5210),
    [sym_preproc_elif_in_specification_part] = STATE(5210),
    [sym_preproc_elifdef_in_specification_part] = STATE(5210),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4013),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(257),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(861),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [136] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(6096),
    [sym_preproc_elif_in_specification_part] = STATE(6096),
    [sym_preproc_elifdef_in_specification_part] = STATE(6096),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4015),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(261),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(863),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [137] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5165),
    [sym_preproc_elif_in_specification_part] = STATE(5165),
    [sym_preproc_elifdef_in_specification_part] = STATE(5165),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4037),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(267),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(865),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [138] = {
    [sym_preproc_include] = STATE(166),
    [sym_preproc_def] = STATE(166),
    [sym_preproc_function_def] = STATE(166),
    [sym_preproc_call] = STATE(166),
    [sym_preproc_else_in_specification_part] = STATE(5590),
    [sym_preproc_elif_in_specification_part] = STATE(5590),
    [sym_preproc_elifdef_in_specification_part] = STATE(5590),
    [sym_interface] = STATE(166),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4120),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(166),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(166),
    [sym_public_statement] = STATE(166),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(166),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(166),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(166),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(867),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [139] = {
    [sym_preproc_include] = STATE(152),
    [sym_preproc_def] = STATE(152),
    [sym_preproc_function_def] = STATE(152),
    [sym_preproc_call] = STATE(152),
    [sym_preproc_else_in_specification_part] = STATE(5674),
    [sym_preproc_elif_in_specification_part] = STATE(5674),
    [sym_preproc_elifdef_in_specification_part] = STATE(5674),
    [sym_interface] = STATE(152),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4061),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(152),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(152),
    [sym_public_statement] = STATE(152),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(152),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(152),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(152),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(274),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(869),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [140] = {
    [sym_preproc_include] = STATE(147),
    [sym_preproc_def] = STATE(147),
    [sym_preproc_function_def] = STATE(147),
    [sym_preproc_call] = STATE(147),
    [sym_preproc_else_in_specification_part] = STATE(5946),
    [sym_preproc_elif_in_specification_part] = STATE(5946),
    [sym_preproc_elifdef_in_specification_part] = STATE(5946),
    [sym_interface] = STATE(147),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4112),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(147),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(147),
    [sym_public_statement] = STATE(147),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(147),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(147),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(147),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(270),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(871),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [141] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5163),
    [sym_preproc_elif_in_specification_part] = STATE(5163),
    [sym_preproc_elifdef_in_specification_part] = STATE(5163),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4044),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(262),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(873),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [142] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4039),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(235),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(875),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [143] = {
    [sym_preproc_include] = STATE(137),
    [sym_preproc_def] = STATE(137),
    [sym_preproc_function_def] = STATE(137),
    [sym_preproc_call] = STATE(137),
    [sym_preproc_else_in_specification_part] = STATE(5212),
    [sym_preproc_elif_in_specification_part] = STATE(5212),
    [sym_preproc_elifdef_in_specification_part] = STATE(5212),
    [sym_interface] = STATE(137),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4105),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(137),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(137),
    [sym_public_statement] = STATE(137),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(137),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(137),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(228),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(877),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [144] = {
    [sym_preproc_include] = STATE(141),
    [sym_preproc_def] = STATE(141),
    [sym_preproc_function_def] = STATE(141),
    [sym_preproc_call] = STATE(141),
    [sym_preproc_else_in_specification_part] = STATE(5210),
    [sym_preproc_elif_in_specification_part] = STATE(5210),
    [sym_preproc_elifdef_in_specification_part] = STATE(5210),
    [sym_interface] = STATE(141),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4013),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(141),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(141),
    [sym_public_statement] = STATE(141),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(141),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(141),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(141),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(257),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(861),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [145] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5891),
    [sym_preproc_elif_in_specification_part] = STATE(5891),
    [sym_preproc_elifdef_in_specification_part] = STATE(5891),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4090),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(275),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(879),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [146] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5138),
    [sym_preproc_elif_in_specification_part] = STATE(5138),
    [sym_preproc_elifdef_in_specification_part] = STATE(5138),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4060),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(250),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(881),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [147] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5902),
    [sym_preproc_elif_in_specification_part] = STATE(5902),
    [sym_preproc_elifdef_in_specification_part] = STATE(5902),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4092),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(280),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(857),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [148] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5798),
    [sym_preproc_elif_in_specification_part] = STATE(5798),
    [sym_preproc_elifdef_in_specification_part] = STATE(5798),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4043),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(278),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(883),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [149] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5671),
    [sym_preproc_elif_in_specification_part] = STATE(5671),
    [sym_preproc_elifdef_in_specification_part] = STATE(5671),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4086),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(264),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(885),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [150] = {
    [sym_preproc_include] = STATE(145),
    [sym_preproc_def] = STATE(145),
    [sym_preproc_function_def] = STATE(145),
    [sym_preproc_call] = STATE(145),
    [sym_preproc_else_in_specification_part] = STATE(5944),
    [sym_preproc_elif_in_specification_part] = STATE(5944),
    [sym_preproc_elifdef_in_specification_part] = STATE(5944),
    [sym_interface] = STATE(145),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4116),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(145),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(145),
    [sym_public_statement] = STATE(145),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(145),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(145),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(145),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(266),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [151] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(6101),
    [sym_preproc_elif_in_specification_part] = STATE(6101),
    [sym_preproc_elifdef_in_specification_part] = STATE(6101),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4073),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(224),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [152] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5708),
    [sym_preproc_elif_in_specification_part] = STATE(5708),
    [sym_preproc_elifdef_in_specification_part] = STATE(5708),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4027),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(255),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(891),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [153] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5610),
    [sym_preproc_elif_in_specification_part] = STATE(5610),
    [sym_preproc_elifdef_in_specification_part] = STATE(5610),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4089),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(269),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(859),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [154] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5944),
    [sym_preproc_elif_in_specification_part] = STATE(5944),
    [sym_preproc_elifdef_in_specification_part] = STATE(5944),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4116),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(266),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [155] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4093),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(247),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [156] = {
    [sym_preproc_include] = STATE(146),
    [sym_preproc_def] = STATE(146),
    [sym_preproc_function_def] = STATE(146),
    [sym_preproc_call] = STATE(146),
    [sym_preproc_else_in_specification_part] = STATE(5165),
    [sym_preproc_elif_in_specification_part] = STATE(5165),
    [sym_preproc_elifdef_in_specification_part] = STATE(5165),
    [sym_interface] = STATE(146),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4037),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(146),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(146),
    [sym_public_statement] = STATE(146),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(146),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(146),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(146),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(267),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(865),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [157] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(6110),
    [sym_preproc_elif_in_specification_part] = STATE(6110),
    [sym_preproc_elifdef_in_specification_part] = STATE(6110),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4113),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(229),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [158] = {
    [sym_preproc_include] = STATE(136),
    [sym_preproc_def] = STATE(136),
    [sym_preproc_function_def] = STATE(136),
    [sym_preproc_call] = STATE(136),
    [sym_preproc_else_in_specification_part] = STATE(5884),
    [sym_preproc_elif_in_specification_part] = STATE(5884),
    [sym_preproc_elifdef_in_specification_part] = STATE(5884),
    [sym_interface] = STATE(136),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4117),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(136),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(136),
    [sym_public_statement] = STATE(136),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(136),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(136),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(232),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(209),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [159] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4035),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(263),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [160] = {
    [sym_preproc_include] = STATE(142),
    [sym_preproc_def] = STATE(142),
    [sym_preproc_function_def] = STATE(142),
    [sym_preproc_call] = STATE(142),
    [sym_preproc_else_in_specification_part] = STATE(5481),
    [sym_preproc_elif_in_specification_part] = STATE(5481),
    [sym_preproc_elifdef_in_specification_part] = STATE(5481),
    [sym_interface] = STATE(142),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4022),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(142),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(142),
    [sym_public_statement] = STATE(142),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(142),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(142),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(142),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(230),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(897),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [161] = {
    [sym_preproc_include] = STATE(149),
    [sym_preproc_def] = STATE(149),
    [sym_preproc_function_def] = STATE(149),
    [sym_preproc_call] = STATE(149),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_interface] = STATE(149),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4093),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(149),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(149),
    [sym_public_statement] = STATE(149),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(149),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(149),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(247),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [162] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5694),
    [sym_preproc_elif_in_specification_part] = STATE(5694),
    [sym_preproc_elifdef_in_specification_part] = STATE(5694),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4058),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(245),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(899),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [163] = {
    [sym_preproc_include] = STATE(164),
    [sym_preproc_def] = STATE(164),
    [sym_preproc_function_def] = STATE(164),
    [sym_preproc_call] = STATE(164),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_interface] = STATE(164),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4039),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(164),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(164),
    [sym_public_statement] = STATE(164),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(164),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(164),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(235),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(875),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [164] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5879),
    [sym_preproc_elif_in_specification_part] = STATE(5879),
    [sym_preproc_elifdef_in_specification_part] = STATE(5879),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4076),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(265),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(901),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [165] = {
    [sym_preproc_include] = STATE(151),
    [sym_preproc_def] = STATE(151),
    [sym_preproc_function_def] = STATE(151),
    [sym_preproc_call] = STATE(151),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_interface] = STATE(151),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4035),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(151),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(151),
    [sym_public_statement] = STATE(151),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(151),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(151),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(151),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(263),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [166] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(5674),
    [sym_preproc_elif_in_specification_part] = STATE(5674),
    [sym_preproc_elifdef_in_specification_part] = STATE(5674),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4061),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(274),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(869),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [167] = {
    [sym_preproc_include] = STATE(157),
    [sym_preproc_def] = STATE(157),
    [sym_preproc_function_def] = STATE(157),
    [sym_preproc_call] = STATE(157),
    [sym_preproc_else_in_specification_part] = STATE(6095),
    [sym_preproc_elif_in_specification_part] = STATE(6095),
    [sym_preproc_elifdef_in_specification_part] = STATE(6095),
    [sym_interface] = STATE(157),
    [sym_interface_statement] = STATE(2204),
    [sym_internal_procedures] = STATE(4040),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(157),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(157),
    [sym_public_statement] = STATE(157),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(157),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(747),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5706),
    [sym_data_statement] = STATE(5301),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_enum] = STATE(157),
    [sym_enum_statement] = STATE(4135),
    [sym_file_position_statement] = STATE(5129),
    [sym_statement_function] = STATE(5301),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(157),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(254),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(611),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(621),
    [aux_sym_public_statement_token1] = ACTIONS(623),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [168] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_end_program_statement] = STATE(497),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4302),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(388),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [169] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_end_program_statement] = STATE(635),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4451),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(384),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [170] = {
    [sym_preproc_include] = STATE(173),
    [sym_preproc_def] = STATE(173),
    [sym_preproc_function_def] = STATE(173),
    [sym_preproc_call] = STATE(173),
    [sym_preproc_if_in_specification_part] = STATE(173),
    [sym_preproc_ifdef_in_specification_part] = STATE(173),
    [sym_end_program_statement] = STATE(615),
    [sym_interface] = STATE(173),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4604),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(173),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(173),
    [sym_public_statement] = STATE(173),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(173),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(173),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(386),
    [aux_sym_program_repeat1] = STATE(173),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [171] = {
    [sym_preproc_include] = STATE(168),
    [sym_preproc_def] = STATE(168),
    [sym_preproc_function_def] = STATE(168),
    [sym_preproc_call] = STATE(168),
    [sym_preproc_if_in_specification_part] = STATE(168),
    [sym_preproc_ifdef_in_specification_part] = STATE(168),
    [sym_end_program_statement] = STATE(532),
    [sym_interface] = STATE(168),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4592),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(168),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(168),
    [sym_public_statement] = STATE(168),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(168),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(168),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(387),
    [aux_sym_program_repeat1] = STATE(168),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [172] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_end_program_statement] = STATE(615),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4604),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(386),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [173] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_end_program_statement] = STATE(629),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4809),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(382),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [174] = {
    [sym_preproc_include] = STATE(175),
    [sym_preproc_def] = STATE(175),
    [sym_preproc_function_def] = STATE(175),
    [sym_preproc_call] = STATE(175),
    [sym_preproc_if_in_specification_part] = STATE(175),
    [sym_preproc_ifdef_in_specification_part] = STATE(175),
    [sym_end_program_statement] = STATE(635),
    [sym_interface] = STATE(175),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4451),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(175),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(175),
    [sym_public_statement] = STATE(175),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(175),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(175),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(384),
    [aux_sym_program_repeat1] = STATE(175),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [175] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_end_program_statement] = STATE(669),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4482),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(378),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [176] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_end_program_statement] = STATE(532),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym_internal_procedures] = STATE(4592),
    [sym_contains_statement] = STATE(5302),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(708),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5161),
    [sym_data_statement] = STATE(5167),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_file_position_statement] = STATE(5109),
    [sym_statement_function] = STATE(5167),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(387),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(903),
    [aux_sym_preproc_def_token1] = ACTIONS(905),
    [aux_sym_preproc_if_token1] = ACTIONS(907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(909),
    [sym_preproc_directive] = ACTIONS(911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(59),
    [aux_sym_public_statement_token1] = ACTIONS(61),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [177] = {
    [sym_preproc_include] = STATE(182),
    [sym_preproc_def] = STATE(182),
    [sym_preproc_function_def] = STATE(182),
    [sym_preproc_call] = STATE(182),
    [sym_interface] = STATE(182),
    [sym_interface_statement] = STATE(2199),
    [sym_internal_procedures] = STATE(6057),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(182),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(182),
    [sym_public_statement] = STATE(182),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(182),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(729),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5309),
    [sym_data_statement] = STATE(5422),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_enum] = STATE(182),
    [sym_enum_statement] = STATE(4166),
    [sym_file_position_statement] = STATE(5303),
    [sym_statement_function] = STATE(5422),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(182),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(397),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(915),
    [aux_sym_preproc_if_token2] = ACTIONS(527),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(921),
    [aux_sym_public_statement_token1] = ACTIONS(923),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [178] = {
    [sym_preproc_include] = STATE(182),
    [sym_preproc_def] = STATE(182),
    [sym_preproc_function_def] = STATE(182),
    [sym_preproc_call] = STATE(182),
    [sym_interface] = STATE(182),
    [sym_interface_statement] = STATE(2199),
    [sym_internal_procedures] = STATE(5679),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(182),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(182),
    [sym_public_statement] = STATE(182),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(182),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(729),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5309),
    [sym_data_statement] = STATE(5422),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_enum] = STATE(182),
    [sym_enum_statement] = STATE(4166),
    [sym_file_position_statement] = STATE(5303),
    [sym_statement_function] = STATE(5422),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(182),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(399),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(915),
    [aux_sym_preproc_if_token2] = ACTIONS(527),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(921),
    [aux_sym_public_statement_token1] = ACTIONS(923),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [179] = {
    [sym_preproc_include] = STATE(192),
    [sym_preproc_def] = STATE(192),
    [sym_preproc_function_def] = STATE(192),
    [sym_preproc_call] = STATE(192),
    [sym_interface] = STATE(192),
    [sym_interface_statement] = STATE(2199),
    [sym_internal_procedures] = STATE(5881),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(729),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5309),
    [sym_data_statement] = STATE(5422),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(4166),
    [sym_file_position_statement] = STATE(5303),
    [sym_statement_function] = STATE(5422),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(192),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(393),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(915),
    [aux_sym_preproc_if_token2] = ACTIONS(927),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(921),
    [aux_sym_public_statement_token1] = ACTIONS(923),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [180] = {
    [sym_preproc_include] = STATE(179),
    [sym_preproc_def] = STATE(179),
    [sym_preproc_function_def] = STATE(179),
    [sym_preproc_call] = STATE(179),
    [sym_interface] = STATE(179),
    [sym_interface_statement] = STATE(2199),
    [sym_internal_procedures] = STATE(6138),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(179),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(179),
    [sym_public_statement] = STATE(179),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(179),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(729),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5309),
    [sym_data_statement] = STATE(5422),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_enum] = STATE(179),
    [sym_enum_statement] = STATE(4166),
    [sym_file_position_statement] = STATE(5303),
    [sym_statement_function] = STATE(5422),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(179),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(394),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(915),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(921),
    [aux_sym_public_statement_token1] = ACTIONS(923),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [181] = {
    [sym_preproc_include] = STATE(179),
    [sym_preproc_def] = STATE(179),
    [sym_preproc_function_def] = STATE(179),
    [sym_preproc_call] = STATE(179),
    [sym_interface] = STATE(179),
    [sym_interface_statement] = STATE(2199),
    [sym_internal_procedures] = STATE(5662),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(179),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(179),
    [sym_public_statement] = STATE(179),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(179),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(729),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5309),
    [sym_data_statement] = STATE(5422),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_enum] = STATE(179),
    [sym_enum_statement] = STATE(4166),
    [sym_file_position_statement] = STATE(5303),
    [sym_statement_function] = STATE(5422),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(179),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(398),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(915),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(921),
    [aux_sym_public_statement_token1] = ACTIONS(923),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [182] = {
    [sym_preproc_include] = STATE(192),
    [sym_preproc_def] = STATE(192),
    [sym_preproc_function_def] = STATE(192),
    [sym_preproc_call] = STATE(192),
    [sym_interface] = STATE(192),
    [sym_interface_statement] = STATE(2199),
    [sym_internal_procedures] = STATE(5662),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(729),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5309),
    [sym_data_statement] = STATE(5422),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(4166),
    [sym_file_position_statement] = STATE(5303),
    [sym_statement_function] = STATE(5422),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(192),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(398),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(915),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(921),
    [aux_sym_public_statement_token1] = ACTIONS(923),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [183] = {
    [sym_preproc_include] = STATE(184),
    [sym_preproc_def] = STATE(184),
    [sym_preproc_function_def] = STATE(184),
    [sym_preproc_call] = STATE(184),
    [sym_interface] = STATE(184),
    [sym_interface_statement] = STATE(2203),
    [sym__specification_part] = STATE(184),
    [sym_use_statement] = STATE(5732),
    [sym_implicit_statement] = STATE(5732),
    [sym_save_statement] = STATE(5732),
    [sym_private_statement] = STATE(184),
    [sym_public_statement] = STATE(184),
    [sym_namelist_statement] = STATE(5732),
    [sym_common_statement] = STATE(5732),
    [sym_import_statement] = STATE(5732),
    [sym_derived_type_definition] = STATE(184),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2341),
    [sym_variable_declaration] = STATE(5732),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5732),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5732),
    [sym_equivalence_statement] = STATE(5732),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(751),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5254),
    [sym_data_statement] = STATE(5732),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(5555),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_enum] = STATE(184),
    [sym_enum_statement] = STATE(4149),
    [sym_file_position_statement] = STATE(5850),
    [sym_statement_function] = STATE(5732),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(184),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(417),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(929),
    [aux_sym_preproc_def_token1] = ACTIONS(931),
    [sym_preproc_directive] = ACTIONS(933),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(937),
    [aux_sym_public_statement_token1] = ACTIONS(939),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [184] = {
    [sym_preproc_include] = STATE(193),
    [sym_preproc_def] = STATE(193),
    [sym_preproc_function_def] = STATE(193),
    [sym_preproc_call] = STATE(193),
    [sym_interface] = STATE(193),
    [sym_interface_statement] = STATE(2203),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(5732),
    [sym_implicit_statement] = STATE(5732),
    [sym_save_statement] = STATE(5732),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(5732),
    [sym_common_statement] = STATE(5732),
    [sym_import_statement] = STATE(5732),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2341),
    [sym_variable_declaration] = STATE(5732),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5732),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5732),
    [sym_equivalence_statement] = STATE(5732),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(751),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5254),
    [sym_data_statement] = STATE(5732),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(5831),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(4149),
    [sym_file_position_statement] = STATE(5850),
    [sym_statement_function] = STATE(5732),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(193),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(451),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(929),
    [aux_sym_preproc_def_token1] = ACTIONS(931),
    [sym_preproc_directive] = ACTIONS(933),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(937),
    [aux_sym_public_statement_token1] = ACTIONS(939),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [185] = {
    [sym_preproc_include] = STATE(186),
    [sym_preproc_def] = STATE(186),
    [sym_preproc_function_def] = STATE(186),
    [sym_preproc_call] = STATE(186),
    [sym_interface] = STATE(186),
    [sym_interface_statement] = STATE(2203),
    [sym__specification_part] = STATE(186),
    [sym_use_statement] = STATE(5732),
    [sym_implicit_statement] = STATE(5732),
    [sym_save_statement] = STATE(5732),
    [sym_private_statement] = STATE(186),
    [sym_public_statement] = STATE(186),
    [sym_namelist_statement] = STATE(5732),
    [sym_common_statement] = STATE(5732),
    [sym_import_statement] = STATE(5732),
    [sym_derived_type_definition] = STATE(186),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2341),
    [sym_variable_declaration] = STATE(5732),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5732),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5732),
    [sym_equivalence_statement] = STATE(5732),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(751),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5254),
    [sym_data_statement] = STATE(5732),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(5421),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_enum] = STATE(186),
    [sym_enum_statement] = STATE(4149),
    [sym_file_position_statement] = STATE(5850),
    [sym_statement_function] = STATE(5732),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(186),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(420),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(929),
    [aux_sym_preproc_def_token1] = ACTIONS(931),
    [sym_preproc_directive] = ACTIONS(933),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(937),
    [aux_sym_public_statement_token1] = ACTIONS(939),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [186] = {
    [sym_preproc_include] = STATE(193),
    [sym_preproc_def] = STATE(193),
    [sym_preproc_function_def] = STATE(193),
    [sym_preproc_call] = STATE(193),
    [sym_interface] = STATE(193),
    [sym_interface_statement] = STATE(2203),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(5732),
    [sym_implicit_statement] = STATE(5732),
    [sym_save_statement] = STATE(5732),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(5732),
    [sym_common_statement] = STATE(5732),
    [sym_import_statement] = STATE(5732),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2341),
    [sym_variable_declaration] = STATE(5732),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5732),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5732),
    [sym_equivalence_statement] = STATE(5732),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(751),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5254),
    [sym_data_statement] = STATE(5732),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(5555),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(4149),
    [sym_file_position_statement] = STATE(5850),
    [sym_statement_function] = STATE(5732),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2765),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(193),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(417),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(929),
    [aux_sym_preproc_def_token1] = ACTIONS(931),
    [sym_preproc_directive] = ACTIONS(933),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(937),
    [aux_sym_public_statement_token1] = ACTIONS(939),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(109),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(161),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [187] = {
    [sym_preproc_include] = STATE(187),
    [sym_preproc_def] = STATE(187),
    [sym_preproc_function_def] = STATE(187),
    [sym_preproc_call] = STATE(187),
    [sym_preproc_if_in_specification_part] = STATE(187),
    [sym_preproc_ifdef_in_specification_part] = STATE(187),
    [sym_interface] = STATE(187),
    [sym_interface_statement] = STATE(2226),
    [sym__specification_part] = STATE(187),
    [sym_use_statement] = STATE(5334),
    [sym_implicit_statement] = STATE(5334),
    [sym_save_statement] = STATE(5334),
    [sym_private_statement] = STATE(187),
    [sym_public_statement] = STATE(187),
    [sym_namelist_statement] = STATE(5334),
    [sym_common_statement] = STATE(5334),
    [sym_import_statement] = STATE(5334),
    [sym_derived_type_definition] = STATE(187),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2350),
    [sym_variable_declaration] = STATE(5334),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5334),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5334),
    [sym_equivalence_statement] = STATE(5334),
    [sym_statement_label] = STATE(4317),
    [sym_include_statement] = STATE(5334),
    [sym_data_statement] = STATE(5334),
    [sym_enum] = STATE(187),
    [sym_enum_statement] = STATE(4148),
    [sym_statement_function] = STATE(5334),
    [sym_identifier] = STATE(5064),
    [aux_sym_program_repeat1] = STATE(187),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(943),
    [aux_sym_preproc_def_token1] = ACTIONS(946),
    [aux_sym_preproc_if_token1] = ACTIONS(949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(952),
    [sym_preproc_directive] = ACTIONS(955),
    [anon_sym_LPAREN2] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(962),
    [aux_sym_interface_statement_token1] = ACTIONS(965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(968),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(968),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(958),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(971),
    [aux_sym_procedure_attributes_token1] = ACTIONS(974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(977),
    [aux_sym_contains_statement_token1] = ACTIONS(958),
    [aux_sym_use_statement_token1] = ACTIONS(980),
    [aux_sym_use_statement_token2] = ACTIONS(977),
    [aux_sym_implicit_statement_token1] = ACTIONS(983),
    [aux_sym_implicit_statement_token3] = ACTIONS(986),
    [aux_sym_implicit_statement_token4] = ACTIONS(977),
    [aux_sym_save_statement_token1] = ACTIONS(989),
    [aux_sym_private_statement_token1] = ACTIONS(992),
    [aux_sym_public_statement_token1] = ACTIONS(995),
    [aux_sym_namelist_statement_token1] = ACTIONS(998),
    [aux_sym_common_statement_token1] = ACTIONS(1001),
    [aux_sym_import_statement_token1] = ACTIONS(1004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(977),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(977),
    [aux_sym_variable_attributes_token1] = ACTIONS(977),
    [aux_sym_variable_attributes_token2] = ACTIONS(977),
    [aux_sym_variable_attributes_token3] = ACTIONS(977),
    [aux_sym_variable_attributes_token4] = ACTIONS(977),
    [aux_sym_variable_attributes_token5] = ACTIONS(977),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1019),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1013),
    [aux_sym_derived_type_token1] = ACTIONS(1022),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1025),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1028),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1031),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(977),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1037),
    [aux_sym_stop_statement_token1] = ACTIONS(968),
    [aux_sym_stop_statement_token2] = ACTIONS(968),
    [aux_sym_subroutine_call_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token2] = ACTIONS(968),
    [aux_sym_keyword_statement_token3] = ACTIONS(968),
    [aux_sym_keyword_statement_token4] = ACTIONS(958),
    [aux_sym_keyword_statement_token6] = ACTIONS(958),
    [aux_sym_keyword_statement_token7] = ACTIONS(958),
    [aux_sym_include_statement_token1] = ACTIONS(1040),
    [aux_sym_data_statement_token1] = ACTIONS(1043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(968),
    [aux_sym_end_if_statement_token1] = ACTIONS(968),
    [aux_sym_elseif_clause_token2] = ACTIONS(968),
    [aux_sym__inline_where_statement_token1] = ACTIONS(958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(958),
    [aux_sym_select_case_statement_token1] = ACTIONS(1046),
    [aux_sym_select_case_statement_token3] = ACTIONS(958),
    [aux_sym_select_type_statement_token1] = ACTIONS(958),
    [aux_sym_select_rank_statement_token2] = ACTIONS(958),
    [aux_sym_block_construct_token1] = ACTIONS(968),
    [aux_sym_associate_statement_token1] = ACTIONS(958),
    [aux_sym_format_statement_token1] = ACTIONS(968),
    [aux_sym_print_statement_token1] = ACTIONS(958),
    [aux_sym_open_statement_token1] = ACTIONS(958),
    [aux_sym_close_statement_token1] = ACTIONS(958),
    [aux_sym_inquire_statement_token1] = ACTIONS(968),
    [aux_sym_enum_statement_token1] = ACTIONS(1049),
    [aux_sym_file_position_statement_token1] = ACTIONS(958),
    [aux_sym_file_position_statement_token2] = ACTIONS(958),
    [aux_sym_file_position_statement_token3] = ACTIONS(958),
    [aux_sym_file_position_statement_token4] = ACTIONS(958),
    [aux_sym_logical_expression_token5] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(960),
    [aux_sym_boolean_literal_token1] = ACTIONS(960),
    [aux_sym_boolean_literal_token2] = ACTIONS(960),
    [aux_sym_null_literal_token1] = ACTIONS(968),
    [aux_sym_identifier_token1] = ACTIONS(968),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1052),
    [sym__float_literal] = ACTIONS(960),
    [sym__boz_literal] = ACTIONS(960),
    [sym__string_literal] = ACTIONS(960),
    [sym__string_literal_kind] = ACTIONS(960),
  },
  [188] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(2211),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(5127),
    [sym_implicit_statement] = STATE(5127),
    [sym_save_statement] = STATE(5127),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(5127),
    [sym_common_statement] = STATE(5127),
    [sym_import_statement] = STATE(5127),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2358),
    [sym_variable_declaration] = STATE(5127),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5127),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5127),
    [sym_equivalence_statement] = STATE(5127),
    [sym_statement_label] = STATE(4372),
    [sym_include_statement] = STATE(5127),
    [sym_data_statement] = STATE(5127),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(4150),
    [sym_statement_function] = STATE(5127),
    [sym_identifier] = STATE(5064),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(1055),
    [aux_sym_preproc_def_token1] = ACTIONS(1058),
    [aux_sym_preproc_if_token1] = ACTIONS(1061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1064),
    [sym_preproc_directive] = ACTIONS(1067),
    [anon_sym_LPAREN2] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(962),
    [aux_sym_interface_statement_token1] = ACTIONS(965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(968),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(968),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(971),
    [aux_sym_procedure_attributes_token1] = ACTIONS(974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(977),
    [aux_sym_end_function_statement_token1] = ACTIONS(958),
    [aux_sym_contains_statement_token1] = ACTIONS(958),
    [aux_sym_use_statement_token1] = ACTIONS(980),
    [aux_sym_use_statement_token2] = ACTIONS(977),
    [aux_sym_implicit_statement_token1] = ACTIONS(983),
    [aux_sym_implicit_statement_token3] = ACTIONS(986),
    [aux_sym_implicit_statement_token4] = ACTIONS(977),
    [aux_sym_save_statement_token1] = ACTIONS(989),
    [aux_sym_private_statement_token1] = ACTIONS(1070),
    [aux_sym_public_statement_token1] = ACTIONS(1073),
    [aux_sym_namelist_statement_token1] = ACTIONS(998),
    [aux_sym_common_statement_token1] = ACTIONS(1001),
    [aux_sym_import_statement_token1] = ACTIONS(1004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(977),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(977),
    [aux_sym_variable_attributes_token1] = ACTIONS(977),
    [aux_sym_variable_attributes_token2] = ACTIONS(977),
    [aux_sym_variable_attributes_token3] = ACTIONS(977),
    [aux_sym_variable_attributes_token4] = ACTIONS(977),
    [aux_sym_variable_attributes_token5] = ACTIONS(977),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1019),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1013),
    [aux_sym_derived_type_token1] = ACTIONS(1022),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1025),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1028),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1031),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(977),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1037),
    [aux_sym_stop_statement_token1] = ACTIONS(968),
    [aux_sym_stop_statement_token2] = ACTIONS(968),
    [aux_sym_subroutine_call_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token2] = ACTIONS(968),
    [aux_sym_keyword_statement_token3] = ACTIONS(968),
    [aux_sym_keyword_statement_token4] = ACTIONS(958),
    [aux_sym_keyword_statement_token6] = ACTIONS(958),
    [aux_sym_keyword_statement_token7] = ACTIONS(958),
    [aux_sym_include_statement_token1] = ACTIONS(1040),
    [aux_sym_data_statement_token1] = ACTIONS(1043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(968),
    [aux_sym_end_if_statement_token1] = ACTIONS(968),
    [aux_sym_elseif_clause_token2] = ACTIONS(968),
    [aux_sym__inline_where_statement_token1] = ACTIONS(958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(958),
    [aux_sym_select_case_statement_token1] = ACTIONS(1046),
    [aux_sym_select_case_statement_token3] = ACTIONS(958),
    [aux_sym_select_type_statement_token1] = ACTIONS(958),
    [aux_sym_select_rank_statement_token2] = ACTIONS(958),
    [aux_sym_block_construct_token1] = ACTIONS(968),
    [aux_sym_associate_statement_token1] = ACTIONS(958),
    [aux_sym_format_statement_token1] = ACTIONS(968),
    [aux_sym_print_statement_token1] = ACTIONS(958),
    [aux_sym_open_statement_token1] = ACTIONS(958),
    [aux_sym_close_statement_token1] = ACTIONS(958),
    [aux_sym_inquire_statement_token1] = ACTIONS(968),
    [aux_sym_enum_statement_token1] = ACTIONS(1049),
    [aux_sym_file_position_statement_token1] = ACTIONS(958),
    [aux_sym_file_position_statement_token2] = ACTIONS(958),
    [aux_sym_file_position_statement_token3] = ACTIONS(958),
    [aux_sym_file_position_statement_token4] = ACTIONS(958),
    [aux_sym_logical_expression_token5] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(960),
    [aux_sym_boolean_literal_token1] = ACTIONS(960),
    [aux_sym_boolean_literal_token2] = ACTIONS(960),
    [aux_sym_null_literal_token1] = ACTIONS(968),
    [aux_sym_identifier_token1] = ACTIONS(968),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1052),
    [sym__float_literal] = ACTIONS(960),
    [sym__boz_literal] = ACTIONS(960),
    [sym__string_literal] = ACTIONS(960),
    [sym__string_literal_kind] = ACTIONS(960),
  },
  [189] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(2218),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(5541),
    [sym_implicit_statement] = STATE(5541),
    [sym_save_statement] = STATE(5541),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(5541),
    [sym_common_statement] = STATE(5541),
    [sym_import_statement] = STATE(5541),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2351),
    [sym_variable_declaration] = STATE(5541),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5541),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5541),
    [sym_equivalence_statement] = STATE(5541),
    [sym_statement_label] = STATE(4438),
    [sym_include_statement] = STATE(5541),
    [sym_data_statement] = STATE(5541),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(4172),
    [sym_statement_function] = STATE(5541),
    [sym_identifier] = STATE(5064),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1079),
    [aux_sym_preproc_if_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1085),
    [sym_preproc_directive] = ACTIONS(1088),
    [anon_sym_LPAREN2] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(962),
    [aux_sym_interface_statement_token1] = ACTIONS(965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(968),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(968),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(971),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(958),
    [aux_sym_procedure_attributes_token1] = ACTIONS(974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(977),
    [aux_sym_contains_statement_token1] = ACTIONS(958),
    [aux_sym_use_statement_token1] = ACTIONS(980),
    [aux_sym_use_statement_token2] = ACTIONS(977),
    [aux_sym_implicit_statement_token1] = ACTIONS(983),
    [aux_sym_implicit_statement_token3] = ACTIONS(986),
    [aux_sym_implicit_statement_token4] = ACTIONS(977),
    [aux_sym_save_statement_token1] = ACTIONS(989),
    [aux_sym_private_statement_token1] = ACTIONS(1091),
    [aux_sym_public_statement_token1] = ACTIONS(1094),
    [aux_sym_namelist_statement_token1] = ACTIONS(998),
    [aux_sym_common_statement_token1] = ACTIONS(1001),
    [aux_sym_import_statement_token1] = ACTIONS(1004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(977),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(977),
    [aux_sym_variable_attributes_token1] = ACTIONS(977),
    [aux_sym_variable_attributes_token2] = ACTIONS(977),
    [aux_sym_variable_attributes_token3] = ACTIONS(977),
    [aux_sym_variable_attributes_token4] = ACTIONS(977),
    [aux_sym_variable_attributes_token5] = ACTIONS(977),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1019),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1013),
    [aux_sym_derived_type_token1] = ACTIONS(1022),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1025),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1028),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1031),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(977),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1037),
    [aux_sym_stop_statement_token1] = ACTIONS(968),
    [aux_sym_stop_statement_token2] = ACTIONS(968),
    [aux_sym_subroutine_call_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token2] = ACTIONS(968),
    [aux_sym_keyword_statement_token3] = ACTIONS(968),
    [aux_sym_keyword_statement_token4] = ACTIONS(958),
    [aux_sym_keyword_statement_token6] = ACTIONS(958),
    [aux_sym_keyword_statement_token7] = ACTIONS(958),
    [aux_sym_include_statement_token1] = ACTIONS(1040),
    [aux_sym_data_statement_token1] = ACTIONS(1043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(968),
    [aux_sym_end_if_statement_token1] = ACTIONS(968),
    [aux_sym_elseif_clause_token2] = ACTIONS(968),
    [aux_sym__inline_where_statement_token1] = ACTIONS(958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(958),
    [aux_sym_select_case_statement_token1] = ACTIONS(1046),
    [aux_sym_select_case_statement_token3] = ACTIONS(958),
    [aux_sym_select_type_statement_token1] = ACTIONS(958),
    [aux_sym_select_rank_statement_token2] = ACTIONS(958),
    [aux_sym_block_construct_token1] = ACTIONS(968),
    [aux_sym_associate_statement_token1] = ACTIONS(958),
    [aux_sym_format_statement_token1] = ACTIONS(968),
    [aux_sym_print_statement_token1] = ACTIONS(958),
    [aux_sym_open_statement_token1] = ACTIONS(958),
    [aux_sym_close_statement_token1] = ACTIONS(958),
    [aux_sym_inquire_statement_token1] = ACTIONS(968),
    [aux_sym_enum_statement_token1] = ACTIONS(1049),
    [aux_sym_file_position_statement_token1] = ACTIONS(958),
    [aux_sym_file_position_statement_token2] = ACTIONS(958),
    [aux_sym_file_position_statement_token3] = ACTIONS(958),
    [aux_sym_file_position_statement_token4] = ACTIONS(958),
    [aux_sym_logical_expression_token5] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(960),
    [aux_sym_boolean_literal_token1] = ACTIONS(960),
    [aux_sym_boolean_literal_token2] = ACTIONS(960),
    [aux_sym_null_literal_token1] = ACTIONS(968),
    [aux_sym_identifier_token1] = ACTIONS(968),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1052),
    [sym__float_literal] = ACTIONS(960),
    [sym__boz_literal] = ACTIONS(960),
    [sym__string_literal] = ACTIONS(960),
    [sym__string_literal_kind] = ACTIONS(960),
  },
  [190] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(2196),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(5167),
    [sym_implicit_statement] = STATE(5167),
    [sym_save_statement] = STATE(5167),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(5167),
    [sym_common_statement] = STATE(5167),
    [sym_import_statement] = STATE(5167),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2355),
    [sym_variable_declaration] = STATE(5167),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5167),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5167),
    [sym_equivalence_statement] = STATE(5167),
    [sym_statement_label] = STATE(4298),
    [sym_include_statement] = STATE(5167),
    [sym_data_statement] = STATE(5167),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(4134),
    [sym_statement_function] = STATE(5167),
    [sym_identifier] = STATE(5064),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(1097),
    [aux_sym_preproc_def_token1] = ACTIONS(1100),
    [aux_sym_preproc_if_token1] = ACTIONS(1103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1106),
    [sym_preproc_directive] = ACTIONS(1109),
    [anon_sym_LPAREN2] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(962),
    [aux_sym_end_program_statement_token2] = ACTIONS(958),
    [aux_sym_interface_statement_token1] = ACTIONS(965),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(968),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(968),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(971),
    [aux_sym_procedure_attributes_token1] = ACTIONS(974),
    [aux_sym_procedure_attributes_token3] = ACTIONS(977),
    [aux_sym_contains_statement_token1] = ACTIONS(958),
    [aux_sym_use_statement_token1] = ACTIONS(980),
    [aux_sym_use_statement_token2] = ACTIONS(977),
    [aux_sym_implicit_statement_token1] = ACTIONS(983),
    [aux_sym_implicit_statement_token3] = ACTIONS(986),
    [aux_sym_implicit_statement_token4] = ACTIONS(977),
    [aux_sym_save_statement_token1] = ACTIONS(989),
    [aux_sym_private_statement_token1] = ACTIONS(1112),
    [aux_sym_public_statement_token1] = ACTIONS(1115),
    [aux_sym_namelist_statement_token1] = ACTIONS(998),
    [aux_sym_common_statement_token1] = ACTIONS(1001),
    [aux_sym_import_statement_token1] = ACTIONS(1004),
    [aux_sym_derived_type_definition_token1] = ACTIONS(977),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(977),
    [aux_sym_variable_attributes_token1] = ACTIONS(977),
    [aux_sym_variable_attributes_token2] = ACTIONS(977),
    [aux_sym_variable_attributes_token3] = ACTIONS(977),
    [aux_sym_variable_attributes_token4] = ACTIONS(977),
    [aux_sym_variable_attributes_token5] = ACTIONS(977),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1010),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1016),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1019),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1013),
    [aux_sym_derived_type_token1] = ACTIONS(1022),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1025),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1028),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1031),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(977),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1034),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(977),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1037),
    [aux_sym_stop_statement_token1] = ACTIONS(968),
    [aux_sym_stop_statement_token2] = ACTIONS(968),
    [aux_sym_subroutine_call_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token1] = ACTIONS(958),
    [aux_sym_keyword_statement_token2] = ACTIONS(968),
    [aux_sym_keyword_statement_token3] = ACTIONS(968),
    [aux_sym_keyword_statement_token4] = ACTIONS(958),
    [aux_sym_keyword_statement_token6] = ACTIONS(958),
    [aux_sym_keyword_statement_token7] = ACTIONS(958),
    [aux_sym_include_statement_token1] = ACTIONS(1040),
    [aux_sym_data_statement_token1] = ACTIONS(1043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(968),
    [aux_sym_end_if_statement_token1] = ACTIONS(968),
    [aux_sym_elseif_clause_token2] = ACTIONS(968),
    [aux_sym__inline_where_statement_token1] = ACTIONS(958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(958),
    [aux_sym_select_case_statement_token1] = ACTIONS(1046),
    [aux_sym_select_case_statement_token3] = ACTIONS(958),
    [aux_sym_select_type_statement_token1] = ACTIONS(958),
    [aux_sym_select_rank_statement_token2] = ACTIONS(958),
    [aux_sym_block_construct_token1] = ACTIONS(968),
    [aux_sym_associate_statement_token1] = ACTIONS(958),
    [aux_sym_format_statement_token1] = ACTIONS(968),
    [aux_sym_print_statement_token1] = ACTIONS(958),
    [aux_sym_open_statement_token1] = ACTIONS(958),
    [aux_sym_close_statement_token1] = ACTIONS(958),
    [aux_sym_inquire_statement_token1] = ACTIONS(968),
    [aux_sym_enum_statement_token1] = ACTIONS(1049),
    [aux_sym_file_position_statement_token1] = ACTIONS(958),
    [aux_sym_file_position_statement_token2] = ACTIONS(958),
    [aux_sym_file_position_statement_token3] = ACTIONS(958),
    [aux_sym_file_position_statement_token4] = ACTIONS(958),
    [aux_sym_logical_expression_token5] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(960),
    [aux_sym_boolean_literal_token1] = ACTIONS(960),
    [aux_sym_boolean_literal_token2] = ACTIONS(960),
    [aux_sym_null_literal_token1] = ACTIONS(968),
    [aux_sym_identifier_token1] = ACTIONS(968),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1052),
    [sym__float_literal] = ACTIONS(960),
    [sym__boz_literal] = ACTIONS(960),
    [sym__string_literal] = ACTIONS(960),
    [sym__string_literal_kind] = ACTIONS(960),
  },
  [191] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(2204),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(5301),
    [sym_implicit_statement] = STATE(5301),
    [sym_save_statement] = STATE(5301),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(5301),
    [sym_common_statement] = STATE(5301),
    [sym_import_statement] = STATE(5301),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2342),
    [sym_variable_declaration] = STATE(5301),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5301),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5301),
    [sym_equivalence_statement] = STATE(5301),
    [sym_statement_label] = STATE(4867),
    [sym_include_statement] = STATE(5301),
    [sym_data_statement] = STATE(5301),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(4135),
    [sym_statement_function] = STATE(5301),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(1118),
    [aux_sym_preproc_def_token1] = ACTIONS(1121),
    [aux_sym_preproc_if_token2] = ACTIONS(1124),
    [aux_sym_preproc_else_token1] = ACTIONS(1124),
    [aux_sym_preproc_elif_token1] = ACTIONS(1124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1131),
    [aux_sym_interface_statement_token1] = ACTIONS(1134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1137),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1146),
    [aux_sym_contains_statement_token1] = ACTIONS(1124),
    [aux_sym_use_statement_token1] = ACTIONS(1149),
    [aux_sym_use_statement_token2] = ACTIONS(1146),
    [aux_sym_implicit_statement_token1] = ACTIONS(1152),
    [aux_sym_implicit_statement_token3] = ACTIONS(1155),
    [aux_sym_implicit_statement_token4] = ACTIONS(1146),
    [aux_sym_save_statement_token1] = ACTIONS(1158),
    [aux_sym_private_statement_token1] = ACTIONS(1161),
    [aux_sym_public_statement_token1] = ACTIONS(1164),
    [aux_sym_namelist_statement_token1] = ACTIONS(1167),
    [aux_sym_common_statement_token1] = ACTIONS(1170),
    [aux_sym_import_statement_token1] = ACTIONS(1173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1146),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1146),
    [aux_sym_variable_attributes_token1] = ACTIONS(1146),
    [aux_sym_variable_attributes_token2] = ACTIONS(1146),
    [aux_sym_variable_attributes_token3] = ACTIONS(1146),
    [aux_sym_variable_attributes_token4] = ACTIONS(1146),
    [aux_sym_variable_attributes_token5] = ACTIONS(1146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1185),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1182),
    [aux_sym_derived_type_token1] = ACTIONS(1191),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1194),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1197),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1206),
    [aux_sym_stop_statement_token1] = ACTIONS(1137),
    [aux_sym_stop_statement_token2] = ACTIONS(1137),
    [aux_sym_subroutine_call_token1] = ACTIONS(1124),
    [aux_sym_keyword_statement_token1] = ACTIONS(1124),
    [aux_sym_keyword_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token3] = ACTIONS(1137),
    [aux_sym_keyword_statement_token4] = ACTIONS(1124),
    [aux_sym_keyword_statement_token6] = ACTIONS(1124),
    [aux_sym_keyword_statement_token7] = ACTIONS(1124),
    [aux_sym_include_statement_token1] = ACTIONS(1209),
    [aux_sym_data_statement_token1] = ACTIONS(1212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1137),
    [aux_sym_end_if_statement_token1] = ACTIONS(1137),
    [aux_sym_elseif_clause_token2] = ACTIONS(1137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1124),
    [aux_sym_select_case_statement_token1] = ACTIONS(1215),
    [aux_sym_select_case_statement_token3] = ACTIONS(1124),
    [aux_sym_select_type_statement_token1] = ACTIONS(1124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1124),
    [aux_sym_block_construct_token1] = ACTIONS(1137),
    [aux_sym_associate_statement_token1] = ACTIONS(1124),
    [aux_sym_format_statement_token1] = ACTIONS(1137),
    [aux_sym_print_statement_token1] = ACTIONS(1124),
    [aux_sym_open_statement_token1] = ACTIONS(1124),
    [aux_sym_close_statement_token1] = ACTIONS(1124),
    [aux_sym_inquire_statement_token1] = ACTIONS(1137),
    [aux_sym_enum_statement_token1] = ACTIONS(1218),
    [aux_sym_file_position_statement_token1] = ACTIONS(1124),
    [aux_sym_file_position_statement_token2] = ACTIONS(1124),
    [aux_sym_file_position_statement_token3] = ACTIONS(1124),
    [aux_sym_file_position_statement_token4] = ACTIONS(1124),
    [aux_sym_logical_expression_token5] = ACTIONS(1129),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [aux_sym_boolean_literal_token1] = ACTIONS(1129),
    [aux_sym_boolean_literal_token2] = ACTIONS(1129),
    [aux_sym_null_literal_token1] = ACTIONS(1137),
    [aux_sym_identifier_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1221),
    [sym__float_literal] = ACTIONS(1129),
    [sym__boz_literal] = ACTIONS(1129),
    [sym__string_literal] = ACTIONS(1129),
    [sym__string_literal_kind] = ACTIONS(1129),
  },
  [192] = {
    [sym_preproc_include] = STATE(192),
    [sym_preproc_def] = STATE(192),
    [sym_preproc_function_def] = STATE(192),
    [sym_preproc_call] = STATE(192),
    [sym_interface] = STATE(192),
    [sym_interface_statement] = STATE(2199),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(5422),
    [sym_implicit_statement] = STATE(5422),
    [sym_save_statement] = STATE(5422),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(5422),
    [sym_common_statement] = STATE(5422),
    [sym_import_statement] = STATE(5422),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2336),
    [sym_variable_declaration] = STATE(5422),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5422),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5422),
    [sym_equivalence_statement] = STATE(5422),
    [sym_statement_label] = STATE(4389),
    [sym_include_statement] = STATE(5422),
    [sym_data_statement] = STATE(5422),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(4166),
    [sym_statement_function] = STATE(5422),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1131),
    [aux_sym_interface_statement_token1] = ACTIONS(1134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1137),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1146),
    [aux_sym_contains_statement_token1] = ACTIONS(1124),
    [aux_sym_use_statement_token1] = ACTIONS(1149),
    [aux_sym_use_statement_token2] = ACTIONS(1146),
    [aux_sym_implicit_statement_token1] = ACTIONS(1152),
    [aux_sym_implicit_statement_token3] = ACTIONS(1155),
    [aux_sym_implicit_statement_token4] = ACTIONS(1146),
    [aux_sym_save_statement_token1] = ACTIONS(1158),
    [aux_sym_private_statement_token1] = ACTIONS(1233),
    [aux_sym_public_statement_token1] = ACTIONS(1236),
    [aux_sym_namelist_statement_token1] = ACTIONS(1167),
    [aux_sym_common_statement_token1] = ACTIONS(1170),
    [aux_sym_import_statement_token1] = ACTIONS(1173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1146),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1146),
    [aux_sym_variable_attributes_token1] = ACTIONS(1146),
    [aux_sym_variable_attributes_token2] = ACTIONS(1146),
    [aux_sym_variable_attributes_token3] = ACTIONS(1146),
    [aux_sym_variable_attributes_token4] = ACTIONS(1146),
    [aux_sym_variable_attributes_token5] = ACTIONS(1146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1185),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1182),
    [aux_sym_derived_type_token1] = ACTIONS(1191),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1194),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1197),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1206),
    [aux_sym_stop_statement_token1] = ACTIONS(1137),
    [aux_sym_stop_statement_token2] = ACTIONS(1137),
    [aux_sym_subroutine_call_token1] = ACTIONS(1124),
    [aux_sym_keyword_statement_token1] = ACTIONS(1124),
    [aux_sym_keyword_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token3] = ACTIONS(1137),
    [aux_sym_keyword_statement_token4] = ACTIONS(1124),
    [aux_sym_keyword_statement_token6] = ACTIONS(1124),
    [aux_sym_keyword_statement_token7] = ACTIONS(1124),
    [aux_sym_include_statement_token1] = ACTIONS(1209),
    [aux_sym_data_statement_token1] = ACTIONS(1212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1137),
    [aux_sym_end_if_statement_token1] = ACTIONS(1137),
    [aux_sym_elseif_clause_token2] = ACTIONS(1137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1124),
    [aux_sym_select_case_statement_token1] = ACTIONS(1215),
    [aux_sym_select_case_statement_token3] = ACTIONS(1124),
    [aux_sym_select_type_statement_token1] = ACTIONS(1124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1124),
    [aux_sym_block_construct_token1] = ACTIONS(1137),
    [aux_sym_associate_statement_token1] = ACTIONS(1124),
    [aux_sym_format_statement_token1] = ACTIONS(1137),
    [aux_sym_print_statement_token1] = ACTIONS(1124),
    [aux_sym_open_statement_token1] = ACTIONS(1124),
    [aux_sym_close_statement_token1] = ACTIONS(1124),
    [aux_sym_inquire_statement_token1] = ACTIONS(1137),
    [aux_sym_enum_statement_token1] = ACTIONS(1218),
    [aux_sym_file_position_statement_token1] = ACTIONS(1124),
    [aux_sym_file_position_statement_token2] = ACTIONS(1124),
    [aux_sym_file_position_statement_token3] = ACTIONS(1124),
    [aux_sym_file_position_statement_token4] = ACTIONS(1124),
    [aux_sym_logical_expression_token5] = ACTIONS(1129),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [aux_sym_boolean_literal_token1] = ACTIONS(1129),
    [aux_sym_boolean_literal_token2] = ACTIONS(1129),
    [aux_sym_null_literal_token1] = ACTIONS(1137),
    [aux_sym_identifier_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1221),
    [sym__float_literal] = ACTIONS(1129),
    [sym__boz_literal] = ACTIONS(1129),
    [sym__string_literal] = ACTIONS(1129),
    [sym__string_literal_kind] = ACTIONS(1129),
  },
  [193] = {
    [sym_preproc_include] = STATE(193),
    [sym_preproc_def] = STATE(193),
    [sym_preproc_function_def] = STATE(193),
    [sym_preproc_call] = STATE(193),
    [sym_interface] = STATE(193),
    [sym_interface_statement] = STATE(2203),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(5732),
    [sym_implicit_statement] = STATE(5732),
    [sym_save_statement] = STATE(5732),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(5732),
    [sym_common_statement] = STATE(5732),
    [sym_import_statement] = STATE(5732),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2341),
    [sym_variable_declaration] = STATE(5732),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5732),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5732),
    [sym_equivalence_statement] = STATE(5732),
    [sym_statement_label] = STATE(4656),
    [sym_include_statement] = STATE(5732),
    [sym_data_statement] = STATE(5732),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(4149),
    [sym_statement_function] = STATE(5732),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1242),
    [sym_preproc_directive] = ACTIONS(1245),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1131),
    [aux_sym_interface_statement_token1] = ACTIONS(1134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1137),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1146),
    [aux_sym_use_statement_token1] = ACTIONS(1149),
    [aux_sym_use_statement_token2] = ACTIONS(1146),
    [aux_sym_implicit_statement_token1] = ACTIONS(1152),
    [aux_sym_implicit_statement_token3] = ACTIONS(1155),
    [aux_sym_implicit_statement_token4] = ACTIONS(1146),
    [aux_sym_save_statement_token1] = ACTIONS(1158),
    [aux_sym_private_statement_token1] = ACTIONS(1248),
    [aux_sym_public_statement_token1] = ACTIONS(1251),
    [aux_sym_namelist_statement_token1] = ACTIONS(1167),
    [aux_sym_common_statement_token1] = ACTIONS(1170),
    [aux_sym_import_statement_token1] = ACTIONS(1173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1146),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1146),
    [aux_sym_variable_attributes_token1] = ACTIONS(1146),
    [aux_sym_variable_attributes_token2] = ACTIONS(1146),
    [aux_sym_variable_attributes_token3] = ACTIONS(1146),
    [aux_sym_variable_attributes_token4] = ACTIONS(1146),
    [aux_sym_variable_attributes_token5] = ACTIONS(1146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1185),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1182),
    [aux_sym_derived_type_token1] = ACTIONS(1191),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1194),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1197),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1206),
    [aux_sym_stop_statement_token1] = ACTIONS(1137),
    [aux_sym_stop_statement_token2] = ACTIONS(1137),
    [aux_sym_subroutine_call_token1] = ACTIONS(1124),
    [aux_sym_keyword_statement_token1] = ACTIONS(1124),
    [aux_sym_keyword_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token3] = ACTIONS(1137),
    [aux_sym_keyword_statement_token4] = ACTIONS(1124),
    [aux_sym_keyword_statement_token6] = ACTIONS(1124),
    [aux_sym_keyword_statement_token7] = ACTIONS(1124),
    [aux_sym_include_statement_token1] = ACTIONS(1209),
    [aux_sym_data_statement_token1] = ACTIONS(1212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1137),
    [aux_sym_end_if_statement_token1] = ACTIONS(1137),
    [aux_sym_elseif_clause_token2] = ACTIONS(1137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1124),
    [aux_sym_select_case_statement_token1] = ACTIONS(1215),
    [aux_sym_select_case_statement_token3] = ACTIONS(1124),
    [aux_sym_select_type_statement_token1] = ACTIONS(1124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1124),
    [aux_sym_block_construct_token1] = ACTIONS(1137),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1124),
    [aux_sym_associate_statement_token1] = ACTIONS(1124),
    [aux_sym_format_statement_token1] = ACTIONS(1137),
    [aux_sym_print_statement_token1] = ACTIONS(1124),
    [aux_sym_open_statement_token1] = ACTIONS(1124),
    [aux_sym_close_statement_token1] = ACTIONS(1124),
    [aux_sym_inquire_statement_token1] = ACTIONS(1137),
    [aux_sym_enum_statement_token1] = ACTIONS(1218),
    [aux_sym_file_position_statement_token1] = ACTIONS(1124),
    [aux_sym_file_position_statement_token2] = ACTIONS(1124),
    [aux_sym_file_position_statement_token3] = ACTIONS(1124),
    [aux_sym_file_position_statement_token4] = ACTIONS(1124),
    [aux_sym_logical_expression_token5] = ACTIONS(1129),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [aux_sym_boolean_literal_token1] = ACTIONS(1129),
    [aux_sym_boolean_literal_token2] = ACTIONS(1129),
    [aux_sym_null_literal_token1] = ACTIONS(1137),
    [aux_sym_identifier_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1221),
    [sym__float_literal] = ACTIONS(1129),
    [sym__boz_literal] = ACTIONS(1129),
    [sym__string_literal] = ACTIONS(1129),
    [sym__string_literal_kind] = ACTIONS(1129),
  },
  [194] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5694),
    [sym_preproc_elif_in_specification_part] = STATE(5694),
    [sym_preproc_elifdef_in_specification_part] = STATE(5694),
    [sym_preproc_else_in_statements] = STATE(5091),
    [sym_preproc_elif_in_statements] = STATE(5091),
    [sym_preproc_elifdef_in_statements] = STATE(5091),
    [sym_internal_procedures] = STATE(3952),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1258),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [195] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5163),
    [sym_preproc_elif_in_specification_part] = STATE(5163),
    [sym_preproc_elifdef_in_specification_part] = STATE(5163),
    [sym_preproc_else_in_statements] = STATE(6131),
    [sym_preproc_elif_in_statements] = STATE(6131),
    [sym_preproc_elifdef_in_statements] = STATE(6131),
    [sym_internal_procedures] = STATE(3969),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1266),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [196] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6096),
    [sym_preproc_elif_in_specification_part] = STATE(6096),
    [sym_preproc_elifdef_in_specification_part] = STATE(6096),
    [sym_preproc_else_in_statements] = STATE(6010),
    [sym_preproc_elif_in_statements] = STATE(6010),
    [sym_preproc_elifdef_in_statements] = STATE(6010),
    [sym_internal_procedures] = STATE(3961),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(863),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [197] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5798),
    [sym_preproc_elif_in_specification_part] = STATE(5798),
    [sym_preproc_elifdef_in_specification_part] = STATE(5798),
    [sym_preproc_else_in_statements] = STATE(5799),
    [sym_preproc_elif_in_statements] = STATE(5799),
    [sym_preproc_elifdef_in_statements] = STATE(5799),
    [sym_internal_procedures] = STATE(3935),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [198] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6101),
    [sym_preproc_elif_in_specification_part] = STATE(6101),
    [sym_preproc_elifdef_in_specification_part] = STATE(6101),
    [sym_preproc_else_in_statements] = STATE(6009),
    [sym_preproc_elif_in_statements] = STATE(6009),
    [sym_preproc_elifdef_in_statements] = STATE(6009),
    [sym_internal_procedures] = STATE(3930),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [199] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5138),
    [sym_preproc_elif_in_specification_part] = STATE(5138),
    [sym_preproc_elifdef_in_specification_part] = STATE(5138),
    [sym_preproc_else_in_statements] = STATE(6070),
    [sym_preproc_elif_in_statements] = STATE(6070),
    [sym_preproc_elifdef_in_statements] = STATE(6070),
    [sym_internal_procedures] = STATE(3978),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1270),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [200] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_preproc_else_in_statements] = STATE(6067),
    [sym_preproc_elif_in_statements] = STATE(6067),
    [sym_preproc_elifdef_in_statements] = STATE(6067),
    [sym_internal_procedures] = STATE(3970),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [201] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5610),
    [sym_preproc_elif_in_specification_part] = STATE(5610),
    [sym_preproc_elifdef_in_specification_part] = STATE(5610),
    [sym_preproc_else_in_statements] = STATE(5118),
    [sym_preproc_elif_in_statements] = STATE(5118),
    [sym_preproc_elifdef_in_statements] = STATE(5118),
    [sym_internal_procedures] = STATE(3979),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(649),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [202] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5891),
    [sym_preproc_elif_in_specification_part] = STATE(5891),
    [sym_preproc_elifdef_in_specification_part] = STATE(5891),
    [sym_preproc_else_in_statements] = STATE(5904),
    [sym_preproc_elif_in_statements] = STATE(5904),
    [sym_preproc_elifdef_in_statements] = STATE(5904),
    [sym_internal_procedures] = STATE(3963),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [203] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5902),
    [sym_preproc_elif_in_specification_part] = STATE(5902),
    [sym_preproc_elifdef_in_specification_part] = STATE(5902),
    [sym_preproc_else_in_statements] = STATE(5775),
    [sym_preproc_elif_in_statements] = STATE(5775),
    [sym_preproc_elifdef_in_statements] = STATE(5775),
    [sym_internal_procedures] = STATE(3965),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [204] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5674),
    [sym_preproc_elif_in_specification_part] = STATE(5674),
    [sym_preproc_elifdef_in_specification_part] = STATE(5674),
    [sym_preproc_else_in_statements] = STATE(5094),
    [sym_preproc_elif_in_statements] = STATE(5094),
    [sym_preproc_elifdef_in_statements] = STATE(5094),
    [sym_internal_procedures] = STATE(3954),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(651),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [205] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6110),
    [sym_preproc_elif_in_specification_part] = STATE(6110),
    [sym_preproc_elifdef_in_specification_part] = STATE(6110),
    [sym_preproc_else_in_statements] = STATE(5976),
    [sym_preproc_elif_in_statements] = STATE(5976),
    [sym_preproc_elifdef_in_statements] = STATE(5976),
    [sym_internal_procedures] = STATE(3929),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [206] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5708),
    [sym_preproc_elif_in_specification_part] = STATE(5708),
    [sym_preproc_elifdef_in_specification_part] = STATE(5708),
    [sym_preproc_else_in_statements] = STATE(5079),
    [sym_preproc_elif_in_statements] = STATE(5079),
    [sym_preproc_elifdef_in_statements] = STATE(5079),
    [sym_internal_procedures] = STATE(3939),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1274),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [207] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5944),
    [sym_preproc_elif_in_specification_part] = STATE(5944),
    [sym_preproc_elifdef_in_specification_part] = STATE(5944),
    [sym_preproc_else_in_statements] = STATE(5730),
    [sym_preproc_elif_in_statements] = STATE(5730),
    [sym_preproc_elifdef_in_statements] = STATE(5730),
    [sym_internal_procedures] = STATE(3975),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(659),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [208] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5165),
    [sym_preproc_elif_in_specification_part] = STATE(5165),
    [sym_preproc_elifdef_in_specification_part] = STATE(5165),
    [sym_preproc_else_in_statements] = STATE(6141),
    [sym_preproc_elif_in_statements] = STATE(6141),
    [sym_preproc_elifdef_in_statements] = STATE(6141),
    [sym_internal_procedures] = STATE(3973),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(657),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [209] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5210),
    [sym_preproc_elif_in_specification_part] = STATE(5210),
    [sym_preproc_elifdef_in_specification_part] = STATE(5210),
    [sym_preproc_else_in_statements] = STATE(6005),
    [sym_preproc_elif_in_statements] = STATE(6005),
    [sym_preproc_elifdef_in_statements] = STATE(6005),
    [sym_internal_procedures] = STATE(3955),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(653),
    [aux_sym_preproc_else_token1] = ACTIONS(605),
    [aux_sym_preproc_elif_token1] = ACTIONS(607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(609),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [210] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(5671),
    [sym_preproc_elif_in_specification_part] = STATE(5671),
    [sym_preproc_elifdef_in_specification_part] = STATE(5671),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3936),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(885),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [211] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3968),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [212] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(6096),
    [sym_preproc_elif_in_specification_part] = STATE(6096),
    [sym_preproc_elifdef_in_specification_part] = STATE(6096),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3980),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(863),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [213] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3940),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(875),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [214] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(6101),
    [sym_preproc_elif_in_specification_part] = STATE(6101),
    [sym_preproc_elifdef_in_specification_part] = STATE(6101),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3951),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [215] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3962),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [216] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(6110),
    [sym_preproc_elif_in_specification_part] = STATE(6110),
    [sym_preproc_elifdef_in_specification_part] = STATE(6110),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3948),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [217] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_else_in_specification_part] = STATE(5879),
    [sym_preproc_elif_in_specification_part] = STATE(5879),
    [sym_preproc_elifdef_in_specification_part] = STATE(5879),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(3957),
    [sym_contains_statement] = STATE(5832),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(901),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [218] = {
    [sym_preproc_include] = STATE(273),
    [sym_preproc_def] = STATE(273),
    [sym_preproc_function_def] = STATE(273),
    [sym_preproc_call] = STATE(273),
    [sym_preproc_else_in_statements] = STATE(5698),
    [sym_preproc_elif_in_statements] = STATE(5698),
    [sym_preproc_elifdef_in_statements] = STATE(5698),
    [sym_internal_procedures] = STATE(4083),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(273),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1282),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [219] = {
    [sym_preproc_include] = STATE(276),
    [sym_preproc_def] = STATE(276),
    [sym_preproc_function_def] = STATE(276),
    [sym_preproc_call] = STATE(276),
    [sym_preproc_else_in_statements] = STATE(5852),
    [sym_preproc_elif_in_statements] = STATE(5852),
    [sym_preproc_elifdef_in_statements] = STATE(5852),
    [sym_internal_procedures] = STATE(4009),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(276),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [220] = {
    [sym_preproc_include] = STATE(241),
    [sym_preproc_def] = STATE(241),
    [sym_preproc_function_def] = STATE(241),
    [sym_preproc_call] = STATE(241),
    [sym_preproc_else_in_statements] = STATE(5144),
    [sym_preproc_elif_in_statements] = STATE(5144),
    [sym_preproc_elifdef_in_statements] = STATE(5144),
    [sym_internal_procedures] = STATE(4012),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(241),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [221] = {
    [sym_preproc_include] = STATE(246),
    [sym_preproc_def] = STATE(246),
    [sym_preproc_function_def] = STATE(246),
    [sym_preproc_call] = STATE(246),
    [sym_preproc_else_in_statements] = STATE(6132),
    [sym_preproc_elif_in_statements] = STATE(6132),
    [sym_preproc_elifdef_in_statements] = STATE(6132),
    [sym_internal_procedures] = STATE(4080),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(246),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [222] = {
    [sym_preproc_include] = STATE(238),
    [sym_preproc_def] = STATE(238),
    [sym_preproc_function_def] = STATE(238),
    [sym_preproc_call] = STATE(238),
    [sym_preproc_else_in_statements] = STATE(5123),
    [sym_preproc_elif_in_statements] = STATE(5123),
    [sym_preproc_elifdef_in_statements] = STATE(5123),
    [sym_internal_procedures] = STATE(4084),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(238),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [223] = {
    [sym_preproc_include] = STATE(253),
    [sym_preproc_def] = STATE(253),
    [sym_preproc_function_def] = STATE(253),
    [sym_preproc_call] = STATE(253),
    [sym_preproc_else_in_statements] = STATE(6141),
    [sym_preproc_elif_in_statements] = STATE(6141),
    [sym_preproc_elifdef_in_statements] = STATE(6141),
    [sym_internal_procedures] = STATE(4054),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(253),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [224] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6107),
    [sym_preproc_elif_in_specification_part] = STATE(6107),
    [sym_preproc_elifdef_in_specification_part] = STATE(6107),
    [sym_internal_procedures] = STATE(4104),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [225] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5944),
    [sym_preproc_elif_in_specification_part] = STATE(5944),
    [sym_preproc_elifdef_in_specification_part] = STATE(5944),
    [sym_internal_procedures] = STATE(4116),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [226] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6010),
    [sym_preproc_elif_in_statements] = STATE(6010),
    [sym_preproc_elifdef_in_statements] = STATE(6010),
    [sym_internal_procedures] = STATE(4067),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1310),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [227] = {
    [sym_preproc_include] = STATE(277),
    [sym_preproc_def] = STATE(277),
    [sym_preproc_function_def] = STATE(277),
    [sym_preproc_call] = STATE(277),
    [sym_preproc_else_in_statements] = STATE(6011),
    [sym_preproc_elif_in_statements] = STATE(6011),
    [sym_preproc_elifdef_in_statements] = STATE(6011),
    [sym_internal_procedures] = STATE(4063),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(277),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [228] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5165),
    [sym_preproc_elif_in_specification_part] = STATE(5165),
    [sym_preproc_elifdef_in_specification_part] = STATE(5165),
    [sym_internal_procedures] = STATE(4037),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(865),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [229] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6037),
    [sym_preproc_elif_in_specification_part] = STATE(6037),
    [sym_preproc_elifdef_in_specification_part] = STATE(6037),
    [sym_internal_procedures] = STATE(4099),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [230] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5654),
    [sym_preproc_elif_in_specification_part] = STATE(5654),
    [sym_preproc_elifdef_in_specification_part] = STATE(5654),
    [sym_internal_procedures] = STATE(4039),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(875),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [231] = {
    [sym_preproc_include] = STATE(256),
    [sym_preproc_def] = STATE(256),
    [sym_preproc_function_def] = STATE(256),
    [sym_preproc_call] = STATE(256),
    [sym_preproc_else_in_statements] = STATE(5998),
    [sym_preproc_elif_in_statements] = STATE(5998),
    [sym_preproc_elifdef_in_statements] = STATE(5998),
    [sym_internal_procedures] = STATE(4028),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(256),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [232] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6096),
    [sym_preproc_elif_in_specification_part] = STATE(6096),
    [sym_preproc_elifdef_in_specification_part] = STATE(6096),
    [sym_internal_procedures] = STATE(4015),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(863),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [233] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5904),
    [sym_preproc_elif_in_statements] = STATE(5904),
    [sym_preproc_elifdef_in_statements] = STATE(5904),
    [sym_internal_procedures] = STATE(4069),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [234] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5079),
    [sym_preproc_elif_in_statements] = STATE(5079),
    [sym_preproc_elifdef_in_statements] = STATE(5079),
    [sym_internal_procedures] = STATE(4114),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [235] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5879),
    [sym_preproc_elif_in_specification_part] = STATE(5879),
    [sym_preproc_elifdef_in_specification_part] = STATE(5879),
    [sym_internal_procedures] = STATE(4076),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(901),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [236] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5091),
    [sym_preproc_elif_in_statements] = STATE(5091),
    [sym_preproc_elifdef_in_statements] = STATE(5091),
    [sym_internal_procedures] = STATE(4109),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [237] = {
    [sym_preproc_include] = STATE(234),
    [sym_preproc_def] = STATE(234),
    [sym_preproc_function_def] = STATE(234),
    [sym_preproc_call] = STATE(234),
    [sym_preproc_else_in_statements] = STATE(5094),
    [sym_preproc_elif_in_statements] = STATE(5094),
    [sym_preproc_elifdef_in_statements] = STATE(5094),
    [sym_internal_procedures] = STATE(4106),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(234),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [238] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5094),
    [sym_preproc_elif_in_statements] = STATE(5094),
    [sym_preproc_elifdef_in_statements] = STATE(5094),
    [sym_internal_procedures] = STATE(4106),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [239] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5799),
    [sym_preproc_elif_in_statements] = STATE(5799),
    [sym_preproc_elifdef_in_statements] = STATE(5799),
    [sym_internal_procedures] = STATE(4062),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [240] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5775),
    [sym_preproc_elif_in_statements] = STATE(5775),
    [sym_preproc_elifdef_in_statements] = STATE(5775),
    [sym_internal_procedures] = STATE(4052),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [241] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5118),
    [sym_preproc_elif_in_statements] = STATE(5118),
    [sym_preproc_elifdef_in_statements] = STATE(5118),
    [sym_internal_procedures] = STATE(4088),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [242] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6131),
    [sym_preproc_elif_in_statements] = STATE(6131),
    [sym_preproc_elifdef_in_statements] = STATE(6131),
    [sym_internal_procedures] = STATE(4042),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [243] = {
    [sym_preproc_include] = STATE(236),
    [sym_preproc_def] = STATE(236),
    [sym_preproc_function_def] = STATE(236),
    [sym_preproc_call] = STATE(236),
    [sym_preproc_else_in_statements] = STATE(5118),
    [sym_preproc_elif_in_statements] = STATE(5118),
    [sym_preproc_elifdef_in_statements] = STATE(5118),
    [sym_internal_procedures] = STATE(4088),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(236),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [244] = {
    [sym_preproc_include] = STATE(242),
    [sym_preproc_def] = STATE(242),
    [sym_preproc_function_def] = STATE(242),
    [sym_preproc_call] = STATE(242),
    [sym_preproc_else_in_statements] = STATE(6005),
    [sym_preproc_elif_in_statements] = STATE(6005),
    [sym_preproc_elifdef_in_statements] = STATE(6005),
    [sym_internal_procedures] = STATE(4072),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(242),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [245] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5716),
    [sym_preproc_elif_in_specification_part] = STATE(5716),
    [sym_preproc_elifdef_in_specification_part] = STATE(5716),
    [sym_internal_procedures] = STATE(4017),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [246] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6067),
    [sym_preproc_elif_in_statements] = STATE(6067),
    [sym_preproc_elifdef_in_statements] = STATE(6067),
    [sym_internal_procedures] = STATE(4033),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [247] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5671),
    [sym_preproc_elif_in_specification_part] = STATE(5671),
    [sym_preproc_elifdef_in_specification_part] = STATE(5671),
    [sym_internal_procedures] = STATE(4086),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(885),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [248] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6009),
    [sym_preproc_elif_in_statements] = STATE(6009),
    [sym_preproc_elifdef_in_statements] = STATE(6009),
    [sym_internal_procedures] = STATE(4068),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [249] = {
    [sym_preproc_include] = STATE(248),
    [sym_preproc_def] = STATE(248),
    [sym_preproc_function_def] = STATE(248),
    [sym_preproc_call] = STATE(248),
    [sym_preproc_else_in_statements] = STATE(6067),
    [sym_preproc_elif_in_statements] = STATE(6067),
    [sym_preproc_elifdef_in_statements] = STATE(6067),
    [sym_internal_procedures] = STATE(4033),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(248),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [250] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5106),
    [sym_preproc_elif_in_specification_part] = STATE(5106),
    [sym_preproc_elifdef_in_specification_part] = STATE(5106),
    [sym_internal_procedures] = STATE(4078),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [251] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5887),
    [sym_preproc_elif_in_specification_part] = STATE(5887),
    [sym_preproc_elifdef_in_specification_part] = STATE(5887),
    [sym_internal_procedures] = STATE(4035),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [252] = {
    [sym_preproc_include] = STATE(226),
    [sym_preproc_def] = STATE(226),
    [sym_preproc_function_def] = STATE(226),
    [sym_preproc_call] = STATE(226),
    [sym_preproc_else_in_statements] = STATE(6068),
    [sym_preproc_elif_in_statements] = STATE(6068),
    [sym_preproc_elifdef_in_statements] = STATE(6068),
    [sym_internal_procedures] = STATE(4026),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(226),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [253] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6070),
    [sym_preproc_elif_in_statements] = STATE(6070),
    [sym_preproc_elifdef_in_statements] = STATE(6070),
    [sym_internal_procedures] = STATE(4024),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [254] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6110),
    [sym_preproc_elif_in_specification_part] = STATE(6110),
    [sym_preproc_elifdef_in_specification_part] = STATE(6110),
    [sym_internal_procedures] = STATE(4113),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(895),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [255] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5764),
    [sym_preproc_elif_in_specification_part] = STATE(5764),
    [sym_preproc_elifdef_in_specification_part] = STATE(5764),
    [sym_internal_procedures] = STATE(4071),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [256] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6141),
    [sym_preproc_elif_in_statements] = STATE(6141),
    [sym_preproc_elifdef_in_statements] = STATE(6141),
    [sym_internal_procedures] = STATE(4054),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [257] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5163),
    [sym_preproc_elif_in_specification_part] = STATE(5163),
    [sym_preproc_elifdef_in_specification_part] = STATE(5163),
    [sym_internal_procedures] = STATE(4044),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(873),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [258] = {
    [sym_preproc_include] = STATE(240),
    [sym_preproc_def] = STATE(240),
    [sym_preproc_function_def] = STATE(240),
    [sym_preproc_call] = STATE(240),
    [sym_preproc_else_in_statements] = STATE(5718),
    [sym_preproc_elif_in_statements] = STATE(5718),
    [sym_preproc_elifdef_in_statements] = STATE(5718),
    [sym_internal_procedures] = STATE(4020),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(240),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [259] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5210),
    [sym_preproc_elif_in_specification_part] = STATE(5210),
    [sym_preproc_elifdef_in_specification_part] = STATE(5210),
    [sym_internal_procedures] = STATE(4013),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(861),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [260] = {
    [sym_preproc_include] = STATE(233),
    [sym_preproc_def] = STATE(233),
    [sym_preproc_function_def] = STATE(233),
    [sym_preproc_call] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(5730),
    [sym_preproc_elif_in_statements] = STATE(5730),
    [sym_preproc_elifdef_in_statements] = STATE(5730),
    [sym_internal_procedures] = STATE(4030),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [261] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6108),
    [sym_preproc_elif_in_specification_part] = STATE(6108),
    [sym_preproc_elifdef_in_specification_part] = STATE(6108),
    [sym_internal_procedures] = STATE(4107),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [262] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5133),
    [sym_preproc_elif_in_specification_part] = STATE(5133),
    [sym_preproc_elifdef_in_specification_part] = STATE(5133),
    [sym_internal_procedures] = STATE(4064),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [263] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6101),
    [sym_preproc_elif_in_specification_part] = STATE(6101),
    [sym_preproc_elifdef_in_specification_part] = STATE(6101),
    [sym_internal_procedures] = STATE(4073),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(889),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [264] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5855),
    [sym_preproc_elif_in_specification_part] = STATE(5855),
    [sym_preproc_elifdef_in_specification_part] = STATE(5855),
    [sym_internal_procedures] = STATE(4051),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [265] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(6088),
    [sym_preproc_elif_in_specification_part] = STATE(6088),
    [sym_preproc_elifdef_in_specification_part] = STATE(6088),
    [sym_internal_procedures] = STATE(4066),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [266] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5891),
    [sym_preproc_elif_in_specification_part] = STATE(5891),
    [sym_preproc_elifdef_in_specification_part] = STATE(5891),
    [sym_internal_procedures] = STATE(4090),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(879),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [267] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5138),
    [sym_preproc_elif_in_specification_part] = STATE(5138),
    [sym_preproc_elifdef_in_specification_part] = STATE(5138),
    [sym_internal_procedures] = STATE(4060),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(881),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [268] = {
    [sym_preproc_include] = STATE(239),
    [sym_preproc_def] = STATE(239),
    [sym_preproc_function_def] = STATE(239),
    [sym_preproc_call] = STATE(239),
    [sym_preproc_else_in_statements] = STATE(5775),
    [sym_preproc_elif_in_statements] = STATE(5775),
    [sym_preproc_elifdef_in_statements] = STATE(5775),
    [sym_internal_procedures] = STATE(4052),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(239),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [269] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5694),
    [sym_preproc_elif_in_specification_part] = STATE(5694),
    [sym_preproc_elifdef_in_specification_part] = STATE(5694),
    [sym_internal_procedures] = STATE(4058),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(899),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [270] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5902),
    [sym_preproc_elif_in_specification_part] = STATE(5902),
    [sym_preproc_elifdef_in_specification_part] = STATE(5902),
    [sym_internal_procedures] = STATE(4092),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(857),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [271] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5487),
    [sym_preproc_elif_in_specification_part] = STATE(5487),
    [sym_preproc_elifdef_in_specification_part] = STATE(5487),
    [sym_internal_procedures] = STATE(4093),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [272] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5674),
    [sym_preproc_elif_in_specification_part] = STATE(5674),
    [sym_preproc_elifdef_in_specification_part] = STATE(5674),
    [sym_internal_procedures] = STATE(4061),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(869),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [273] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5730),
    [sym_preproc_elif_in_statements] = STATE(5730),
    [sym_preproc_elifdef_in_statements] = STATE(5730),
    [sym_internal_procedures] = STATE(4030),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [274] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5708),
    [sym_preproc_elif_in_specification_part] = STATE(5708),
    [sym_preproc_elifdef_in_specification_part] = STATE(5708),
    [sym_internal_procedures] = STATE(4027),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(891),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [275] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5791),
    [sym_preproc_elif_in_specification_part] = STATE(5791),
    [sym_preproc_elifdef_in_specification_part] = STATE(5791),
    [sym_internal_procedures] = STATE(4041),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [276] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(6005),
    [sym_preproc_elif_in_statements] = STATE(6005),
    [sym_preproc_elifdef_in_statements] = STATE(6005),
    [sym_internal_procedures] = STATE(4072),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [277] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(5976),
    [sym_preproc_elif_in_statements] = STATE(5976),
    [sym_preproc_elifdef_in_statements] = STATE(5976),
    [sym_internal_procedures] = STATE(4075),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [278] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5634),
    [sym_preproc_elif_in_specification_part] = STATE(5634),
    [sym_preproc_elifdef_in_specification_part] = STATE(5634),
    [sym_internal_procedures] = STATE(4074),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [279] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5610),
    [sym_preproc_elif_in_specification_part] = STATE(5610),
    [sym_preproc_elifdef_in_specification_part] = STATE(5610),
    [sym_internal_procedures] = STATE(4089),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(859),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [280] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_else_in_specification_part] = STATE(5798),
    [sym_preproc_elif_in_specification_part] = STATE(5798),
    [sym_preproc_elifdef_in_specification_part] = STATE(5798),
    [sym_internal_procedures] = STATE(4043),
    [sym_contains_statement] = STATE(6166),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(883),
    [aux_sym_preproc_else_token1] = ACTIONS(727),
    [aux_sym_preproc_elif_token1] = ACTIONS(729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [281] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2312),
    [sym_internal_procedures] = STATE(4469),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(795),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [282] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(528),
    [sym_internal_procedures] = STATE(4488),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(759),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(761),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [283] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(3012),
    [sym_internal_procedures] = STATE(4385),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(845),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(847),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [284] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(685),
    [sym_internal_procedures] = STATE(4749),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(831),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [285] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3172),
    [sym_internal_procedures] = STATE(4810),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(757),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [286] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3057),
    [sym_internal_procedures] = STATE(4657),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(685),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(687),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [287] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2398),
    [sym_internal_procedures] = STATE(4620),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(849),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(851),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [288] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(745),
    [sym_internal_procedures] = STATE(4336),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(843),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [289] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(743),
    [sym_internal_procedures] = STATE(4307),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(837),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(839),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [290] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(700),
    [sym_internal_procedures] = STATE(4605),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(843),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [291] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2305),
    [sym_internal_procedures] = STATE(4480),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(681),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(683),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [292] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(686),
    [sym_internal_procedures] = STATE(4668),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(837),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(839),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [293] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3155),
    [sym_internal_procedures] = STATE(4425),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(673),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(675),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [294] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2979),
    [sym_internal_procedures] = STATE(4375),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(777),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [295] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3093),
    [sym_internal_procedures] = STATE(4595),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(739),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(741),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [296] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(3045),
    [sym_internal_procedures] = STATE(4603),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(845),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(847),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [297] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2996),
    [sym_internal_procedures] = STATE(4429),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(809),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(811),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [298] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(3052),
    [sym_internal_procedures] = STATE(4374),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(825),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(827),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [299] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(3028),
    [sym_internal_procedures] = STATE(4679),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(825),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(827),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [300] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2982),
    [sym_internal_procedures] = STATE(4407),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(819),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [301] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2980),
    [sym_internal_procedures] = STATE(4431),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(813),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(815),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [302] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2271),
    [sym_internal_procedures] = STATE(4579),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(795),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [303] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2972),
    [sym_internal_procedures] = STATE(4492),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(819),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [304] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2969),
    [sym_internal_procedures] = STATE(4523),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(813),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(815),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [305] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2950),
    [sym_internal_procedures] = STATE(4485),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(807),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [306] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2933),
    [sym_internal_procedures] = STATE(4709),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(807),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [307] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2891),
    [sym_internal_procedures] = STATE(4296),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(797),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(799),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [308] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2887),
    [sym_internal_procedures] = STATE(4838),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(789),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(791),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [309] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2883),
    [sym_internal_procedures] = STATE(4829),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(797),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(799),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [310] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3184),
    [sym_internal_procedures] = STATE(4444),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(673),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(675),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [311] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3180),
    [sym_internal_procedures] = STATE(4455),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(809),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(811),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [312] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2870),
    [sym_internal_procedures] = STATE(4825),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(789),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(791),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [313] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2798),
    [sym_internal_procedures] = STATE(4815),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(779),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(781),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [314] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(493),
    [sym_internal_procedures] = STATE(4747),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(771),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(773),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [315] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(759),
    [sym_internal_procedures] = STATE(4848),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(831),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [316] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2288),
    [sym_internal_procedures] = STATE(4587),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(681),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(683),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [317] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2817),
    [sym_internal_procedures] = STATE(4505),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(803),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [318] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3182),
    [sym_internal_procedures] = STATE(4869),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(757),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [319] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(763),
    [sym_internal_procedures] = STATE(4839),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(833),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(835),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [320] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2810),
    [sym_internal_procedures] = STATE(4512),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(785),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(787),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [321] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2833),
    [sym_internal_procedures] = STATE(4807),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(779),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(781),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [322] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2802),
    [sym_internal_procedures] = STATE(4527),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(803),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [323] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(548),
    [sym_internal_procedures] = STATE(4517),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(771),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(773),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [324] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2429),
    [sym_internal_procedures] = STATE(4772),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(751),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(753),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [325] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3088),
    [sym_internal_procedures] = STATE(4596),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(737),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [326] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2426),
    [sym_internal_procedures] = STATE(4770),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(747),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(749),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [327] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2421),
    [sym_internal_procedures] = STATE(4764),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(751),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(753),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [328] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(2785),
    [sym_internal_procedures] = STATE(4530),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(785),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(787),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [329] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3114),
    [sym_internal_procedures] = STATE(4586),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(739),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(741),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [330] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3185),
    [sym_internal_procedures] = STATE(4872),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(743),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(745),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [331] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3107),
    [sym_internal_procedures] = STATE(4589),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(737),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [332] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(3060),
    [sym_internal_procedures] = STATE(4646),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(763),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(765),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [333] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(3138),
    [sym_internal_procedures] = STATE(4719),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(777),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [334] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(534),
    [sym_internal_procedures] = STATE(4729),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(759),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(761),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [335] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3175),
    [sym_internal_procedures] = STATE(4819),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(743),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(745),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [336] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(682),
    [sym_internal_procedures] = STATE(4751),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(833),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(835),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [337] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(2417),
    [sym_internal_procedures] = STATE(4756),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(747),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(749),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [338] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2926),
    [sym_internal_procedures] = STATE(4748),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(717),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(719),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [339] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2954),
    [sym_internal_procedures] = STATE(4629),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(717),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(719),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [340] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2984),
    [sym_internal_procedures] = STATE(4725),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(763),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(765),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [341] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3034),
    [sym_internal_procedures] = STATE(4690),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(699),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(701),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [342] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_end_function_statement] = STATE(3038),
    [sym_internal_procedures] = STATE(4685),
    [sym_contains_statement] = STATE(5335),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(685),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_function_statement_token1] = ACTIONS(687),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [343] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_end_subroutine_statement] = STATE(3049),
    [sym_internal_procedures] = STATE(4660),
    [sym_contains_statement] = STATE(5734),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(699),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(701),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [344] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_end_module_procedure_statement] = STATE(2446),
    [sym_internal_procedures] = STATE(4700),
    [sym_contains_statement] = STATE(5214),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(849),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(851),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [345] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym__statements] = STATE(5224),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(5224),
    [sym_assignment_statement] = STATE(5224),
    [sym_pointer_association_statement] = STATE(5224),
    [sym_subroutine_call] = STATE(5224),
    [sym_keyword_statement] = STATE(5224),
    [sym_include_statement] = STATE(5224),
    [sym_do_loop_statement] = STATE(5224),
    [sym_do_label_statement] = STATE(5224),
    [sym_end_do_label_statement] = STATE(5224),
    [sym_if_statement] = STATE(5224),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5224),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5224),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5224),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5224),
    [sym_select_type_statement] = STATE(5224),
    [sym_select_rank_statement] = STATE(5224),
    [sym_block_construct] = STATE(5224),
    [sym_associate_statement] = STATE(5224),
    [sym_format_statement] = STATE(5224),
    [sym_read_statement] = STATE(5224),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5224),
    [sym_open_statement] = STATE(5224),
    [sym_close_statement] = STATE(5224),
    [sym_write_statement] = STATE(5224),
    [sym_inquire_statement] = STATE(5224),
    [sym_file_position_statement] = STATE(5224),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1401),
    [aux_sym_preproc_if_token1] = ACTIONS(1404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1407),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1419),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1422),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1425),
    [aux_sym_end_function_statement_token1] = ACTIONS(1428),
    [aux_sym_contains_statement_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1430),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1430),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1430),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1430),
    [aux_sym_stop_statement_token1] = ACTIONS(1436),
    [aux_sym_stop_statement_token2] = ACTIONS(1439),
    [aux_sym_subroutine_call_token1] = ACTIONS(1442),
    [aux_sym_keyword_statement_token1] = ACTIONS(1445),
    [aux_sym_keyword_statement_token2] = ACTIONS(1448),
    [aux_sym_keyword_statement_token3] = ACTIONS(1448),
    [aux_sym_keyword_statement_token4] = ACTIONS(1451),
    [aux_sym_keyword_statement_token6] = ACTIONS(1454),
    [aux_sym_keyword_statement_token7] = ACTIONS(1445),
    [aux_sym_include_statement_token1] = ACTIONS(1457),
    [aux_sym_data_statement_token1] = ACTIONS(1430),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1460),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1463),
    [aux_sym_end_if_statement_token1] = ACTIONS(1430),
    [aux_sym_elseif_clause_token2] = ACTIONS(1430),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1466),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1469),
    [aux_sym_select_case_statement_token1] = ACTIONS(1472),
    [aux_sym_select_case_statement_token3] = ACTIONS(1475),
    [aux_sym_select_type_statement_token1] = ACTIONS(1478),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1481),
    [aux_sym_block_construct_token1] = ACTIONS(1484),
    [aux_sym_associate_statement_token1] = ACTIONS(1487),
    [aux_sym_format_statement_token1] = ACTIONS(1490),
    [aux_sym_print_statement_token1] = ACTIONS(1493),
    [aux_sym_open_statement_token1] = ACTIONS(1496),
    [aux_sym_close_statement_token1] = ACTIONS(1499),
    [aux_sym_inquire_statement_token1] = ACTIONS(1502),
    [aux_sym_file_position_statement_token1] = ACTIONS(1505),
    [aux_sym_file_position_statement_token2] = ACTIONS(1505),
    [aux_sym_file_position_statement_token3] = ACTIONS(1505),
    [aux_sym_file_position_statement_token4] = ACTIONS(1508),
    [aux_sym_logical_expression_token5] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [aux_sym_boolean_literal_token1] = ACTIONS(1523),
    [aux_sym_boolean_literal_token2] = ACTIONS(1523),
    [aux_sym_null_literal_token1] = ACTIONS(1526),
    [aux_sym_identifier_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1529),
    [sym__float_literal] = ACTIONS(1532),
    [sym__boz_literal] = ACTIONS(1532),
    [sym__string_literal] = ACTIONS(1535),
    [sym__string_literal_kind] = ACTIONS(1538),
  },
  [346] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym__statements] = STATE(5507),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(5507),
    [sym_assignment_statement] = STATE(5507),
    [sym_pointer_association_statement] = STATE(5507),
    [sym_subroutine_call] = STATE(5507),
    [sym_keyword_statement] = STATE(5507),
    [sym_include_statement] = STATE(5507),
    [sym_do_loop_statement] = STATE(5507),
    [sym_do_label_statement] = STATE(5507),
    [sym_end_do_label_statement] = STATE(5507),
    [sym_if_statement] = STATE(5507),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5507),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5507),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5507),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5507),
    [sym_select_type_statement] = STATE(5507),
    [sym_select_rank_statement] = STATE(5507),
    [sym_block_construct] = STATE(5507),
    [sym_associate_statement] = STATE(5507),
    [sym_format_statement] = STATE(5507),
    [sym_read_statement] = STATE(5507),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5507),
    [sym_open_statement] = STATE(5507),
    [sym_close_statement] = STATE(5507),
    [sym_write_statement] = STATE(5507),
    [sym_inquire_statement] = STATE(5507),
    [sym_file_position_statement] = STATE(5507),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1541),
    [aux_sym_preproc_def_token1] = ACTIONS(1544),
    [aux_sym_preproc_if_token1] = ACTIONS(1547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1550),
    [sym_preproc_directive] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1419),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1422),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1425),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1428),
    [aux_sym_contains_statement_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1430),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1430),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1430),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1430),
    [aux_sym_stop_statement_token1] = ACTIONS(1436),
    [aux_sym_stop_statement_token2] = ACTIONS(1439),
    [aux_sym_subroutine_call_token1] = ACTIONS(1442),
    [aux_sym_keyword_statement_token1] = ACTIONS(1445),
    [aux_sym_keyword_statement_token2] = ACTIONS(1448),
    [aux_sym_keyword_statement_token3] = ACTIONS(1448),
    [aux_sym_keyword_statement_token4] = ACTIONS(1451),
    [aux_sym_keyword_statement_token6] = ACTIONS(1454),
    [aux_sym_keyword_statement_token7] = ACTIONS(1445),
    [aux_sym_include_statement_token1] = ACTIONS(1457),
    [aux_sym_data_statement_token1] = ACTIONS(1430),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1460),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1463),
    [aux_sym_end_if_statement_token1] = ACTIONS(1430),
    [aux_sym_elseif_clause_token2] = ACTIONS(1430),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1466),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1469),
    [aux_sym_select_case_statement_token1] = ACTIONS(1472),
    [aux_sym_select_case_statement_token3] = ACTIONS(1475),
    [aux_sym_select_type_statement_token1] = ACTIONS(1478),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1481),
    [aux_sym_block_construct_token1] = ACTIONS(1484),
    [aux_sym_associate_statement_token1] = ACTIONS(1487),
    [aux_sym_format_statement_token1] = ACTIONS(1490),
    [aux_sym_print_statement_token1] = ACTIONS(1493),
    [aux_sym_open_statement_token1] = ACTIONS(1496),
    [aux_sym_close_statement_token1] = ACTIONS(1499),
    [aux_sym_inquire_statement_token1] = ACTIONS(1502),
    [aux_sym_file_position_statement_token1] = ACTIONS(1505),
    [aux_sym_file_position_statement_token2] = ACTIONS(1505),
    [aux_sym_file_position_statement_token3] = ACTIONS(1505),
    [aux_sym_file_position_statement_token4] = ACTIONS(1508),
    [aux_sym_logical_expression_token5] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [aux_sym_boolean_literal_token1] = ACTIONS(1523),
    [aux_sym_boolean_literal_token2] = ACTIONS(1523),
    [aux_sym_null_literal_token1] = ACTIONS(1526),
    [aux_sym_identifier_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1529),
    [sym__float_literal] = ACTIONS(1532),
    [sym__boz_literal] = ACTIONS(1532),
    [sym__string_literal] = ACTIONS(1535),
    [sym__string_literal_kind] = ACTIONS(1538),
  },
  [347] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym__statements] = STATE(5278),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(5278),
    [sym_assignment_statement] = STATE(5278),
    [sym_pointer_association_statement] = STATE(5278),
    [sym_subroutine_call] = STATE(5278),
    [sym_keyword_statement] = STATE(5278),
    [sym_include_statement] = STATE(5278),
    [sym_do_loop_statement] = STATE(5278),
    [sym_do_label_statement] = STATE(5278),
    [sym_end_do_label_statement] = STATE(5278),
    [sym_if_statement] = STATE(5278),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5278),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5278),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5278),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5278),
    [sym_select_type_statement] = STATE(5278),
    [sym_select_rank_statement] = STATE(5278),
    [sym_block_construct] = STATE(5278),
    [sym_associate_statement] = STATE(5278),
    [sym_format_statement] = STATE(5278),
    [sym_read_statement] = STATE(5278),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5278),
    [sym_open_statement] = STATE(5278),
    [sym_close_statement] = STATE(5278),
    [sym_write_statement] = STATE(5278),
    [sym_inquire_statement] = STATE(5278),
    [sym_file_position_statement] = STATE(5278),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1556),
    [aux_sym_preproc_def_token1] = ACTIONS(1559),
    [aux_sym_preproc_if_token2] = ACTIONS(1562),
    [aux_sym_preproc_else_token1] = ACTIONS(1562),
    [aux_sym_preproc_elif_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_end_program_statement_token2] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [348] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym__statements] = STATE(5439),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(5439),
    [sym_assignment_statement] = STATE(5439),
    [sym_pointer_association_statement] = STATE(5439),
    [sym_subroutine_call] = STATE(5439),
    [sym_keyword_statement] = STATE(5439),
    [sym_include_statement] = STATE(5439),
    [sym_do_loop_statement] = STATE(5439),
    [sym_do_label_statement] = STATE(5439),
    [sym_end_do_label_statement] = STATE(5439),
    [sym_if_statement] = STATE(5439),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5439),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5439),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5439),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5439),
    [sym_select_type_statement] = STATE(5439),
    [sym_select_rank_statement] = STATE(5439),
    [sym_block_construct] = STATE(5439),
    [sym_associate_statement] = STATE(5439),
    [sym_format_statement] = STATE(5439),
    [sym_read_statement] = STATE(5439),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5439),
    [sym_open_statement] = STATE(5439),
    [sym_close_statement] = STATE(5439),
    [sym_write_statement] = STATE(5439),
    [sym_inquire_statement] = STATE(5439),
    [sym_file_position_statement] = STATE(5439),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_subroutine_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1693),
    [aux_sym_preproc_def_token1] = ACTIONS(1696),
    [aux_sym_preproc_if_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1702),
    [sym_preproc_directive] = ACTIONS(1705),
    [anon_sym_LPAREN2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1419),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1422),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1425),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1428),
    [aux_sym_contains_statement_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1430),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1430),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1430),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1430),
    [aux_sym_stop_statement_token1] = ACTIONS(1436),
    [aux_sym_stop_statement_token2] = ACTIONS(1439),
    [aux_sym_subroutine_call_token1] = ACTIONS(1442),
    [aux_sym_keyword_statement_token1] = ACTIONS(1445),
    [aux_sym_keyword_statement_token2] = ACTIONS(1448),
    [aux_sym_keyword_statement_token3] = ACTIONS(1448),
    [aux_sym_keyword_statement_token4] = ACTIONS(1451),
    [aux_sym_keyword_statement_token6] = ACTIONS(1454),
    [aux_sym_keyword_statement_token7] = ACTIONS(1445),
    [aux_sym_include_statement_token1] = ACTIONS(1457),
    [aux_sym_data_statement_token1] = ACTIONS(1430),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1460),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1463),
    [aux_sym_end_if_statement_token1] = ACTIONS(1430),
    [aux_sym_elseif_clause_token2] = ACTIONS(1430),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1466),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1469),
    [aux_sym_select_case_statement_token1] = ACTIONS(1472),
    [aux_sym_select_case_statement_token3] = ACTIONS(1475),
    [aux_sym_select_type_statement_token1] = ACTIONS(1478),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1481),
    [aux_sym_block_construct_token1] = ACTIONS(1484),
    [aux_sym_associate_statement_token1] = ACTIONS(1487),
    [aux_sym_format_statement_token1] = ACTIONS(1490),
    [aux_sym_print_statement_token1] = ACTIONS(1493),
    [aux_sym_open_statement_token1] = ACTIONS(1496),
    [aux_sym_close_statement_token1] = ACTIONS(1499),
    [aux_sym_inquire_statement_token1] = ACTIONS(1502),
    [aux_sym_file_position_statement_token1] = ACTIONS(1505),
    [aux_sym_file_position_statement_token2] = ACTIONS(1505),
    [aux_sym_file_position_statement_token3] = ACTIONS(1505),
    [aux_sym_file_position_statement_token4] = ACTIONS(1508),
    [aux_sym_logical_expression_token5] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [aux_sym_boolean_literal_token1] = ACTIONS(1523),
    [aux_sym_boolean_literal_token2] = ACTIONS(1523),
    [aux_sym_null_literal_token1] = ACTIONS(1526),
    [aux_sym_identifier_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1529),
    [sym__float_literal] = ACTIONS(1532),
    [sym__boz_literal] = ACTIONS(1532),
    [sym__string_literal] = ACTIONS(1535),
    [sym__string_literal_kind] = ACTIONS(1538),
  },
  [349] = {
    [sym_preproc_include] = STATE(406),
    [sym_preproc_def] = STATE(406),
    [sym_preproc_function_def] = STATE(406),
    [sym_preproc_call] = STATE(406),
    [sym_end_program_statement] = STATE(615),
    [sym_internal_procedures] = STATE(4256),
    [sym_contains_statement] = STATE(5126),
    [sym__statements] = STATE(5332),
    [sym_statement_label] = STATE(778),
    [sym_stop_statement] = STATE(5332),
    [sym_assignment_statement] = STATE(5332),
    [sym_pointer_association_statement] = STATE(5332),
    [sym_subroutine_call] = STATE(5332),
    [sym_keyword_statement] = STATE(5332),
    [sym_include_statement] = STATE(5332),
    [sym_do_loop_statement] = STATE(5332),
    [sym_do_label_statement] = STATE(5332),
    [sym_end_do_label_statement] = STATE(5332),
    [sym_if_statement] = STATE(5332),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5332),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5332),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5332),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5332),
    [sym_select_type_statement] = STATE(5332),
    [sym_select_rank_statement] = STATE(5332),
    [sym_block_construct] = STATE(5332),
    [sym_associate_statement] = STATE(5332),
    [sym_format_statement] = STATE(5332),
    [sym_read_statement] = STATE(5332),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5332),
    [sym_open_statement] = STATE(5332),
    [sym_close_statement] = STATE(5332),
    [sym_write_statement] = STATE(5332),
    [sym_inquire_statement] = STATE(5332),
    [sym_file_position_statement] = STATE(5332),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(406),
    [aux_sym_preproc_include_token1] = ACTIONS(1708),
    [aux_sym_preproc_def_token1] = ACTIONS(1710),
    [aux_sym_preproc_if_token2] = ACTIONS(927),
    [sym_preproc_directive] = ACTIONS(1712),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [350] = {
    [sym_preproc_include] = STATE(362),
    [sym_preproc_def] = STATE(362),
    [sym_preproc_function_def] = STATE(362),
    [sym_preproc_call] = STATE(362),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(362),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1723),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1723),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1723),
    [aux_sym_type_statement_token2] = ACTIONS(1723),
    [aux_sym_type_statement_token3] = ACTIONS(1723),
    [aux_sym__class_default_token1] = ACTIONS(1723),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1725),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [351] = {
    [sym_preproc_include] = STATE(352),
    [sym_preproc_def] = STATE(352),
    [sym_preproc_function_def] = STATE(352),
    [sym_preproc_call] = STATE(352),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(352),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1731),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1731),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1731),
    [aux_sym_type_statement_token2] = ACTIONS(1731),
    [aux_sym_type_statement_token3] = ACTIONS(1731),
    [aux_sym__class_default_token1] = ACTIONS(1731),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1733),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [352] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1736),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1739),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1739),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1739),
    [aux_sym_type_statement_token2] = ACTIONS(1739),
    [aux_sym_type_statement_token3] = ACTIONS(1739),
    [aux_sym__class_default_token1] = ACTIONS(1739),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1741),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [353] = {
    [sym_preproc_include] = STATE(375),
    [sym_preproc_def] = STATE(375),
    [sym_preproc_function_def] = STATE(375),
    [sym_preproc_call] = STATE(375),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_end_where_statement] = STATE(5818),
    [sym_elsewhere_clause] = STATE(4122),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(375),
    [aux_sym__block_where_statement_repeat1] = STATE(4122),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1752),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1754),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [354] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1761),
    [aux_sym_type_statement_token2] = ACTIONS(1761),
    [aux_sym_type_statement_token3] = ACTIONS(1761),
    [aux_sym__class_default_token1] = ACTIONS(1761),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1763),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [355] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym__statements] = STATE(5129),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(5129),
    [sym_assignment_statement] = STATE(5129),
    [sym_pointer_association_statement] = STATE(5129),
    [sym_subroutine_call] = STATE(5129),
    [sym_keyword_statement] = STATE(5129),
    [sym_include_statement] = STATE(5129),
    [sym_do_loop_statement] = STATE(5129),
    [sym_do_label_statement] = STATE(5129),
    [sym_end_do_label_statement] = STATE(5129),
    [sym_if_statement] = STATE(5129),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5129),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5129),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5129),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5129),
    [sym_select_type_statement] = STATE(5129),
    [sym_select_rank_statement] = STATE(5129),
    [sym_block_construct] = STATE(5129),
    [sym_associate_statement] = STATE(5129),
    [sym_format_statement] = STATE(5129),
    [sym_read_statement] = STATE(5129),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5129),
    [sym_open_statement] = STATE(5129),
    [sym_close_statement] = STATE(5129),
    [sym_write_statement] = STATE(5129),
    [sym_inquire_statement] = STATE(5129),
    [sym_file_position_statement] = STATE(5129),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1766),
    [aux_sym_preproc_def_token1] = ACTIONS(1769),
    [aux_sym_preproc_if_token2] = ACTIONS(1562),
    [aux_sym_preproc_else_token1] = ACTIONS(1562),
    [aux_sym_preproc_elif_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [356] = {
    [sym_preproc_include] = STATE(363),
    [sym_preproc_def] = STATE(363),
    [sym_preproc_function_def] = STATE(363),
    [sym_preproc_call] = STATE(363),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(363),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1778),
    [aux_sym_type_statement_token2] = ACTIONS(1778),
    [aux_sym_type_statement_token3] = ACTIONS(1778),
    [aux_sym__class_default_token1] = ACTIONS(1778),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1780),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [357] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_end_where_statement] = STATE(5818),
    [sym_elsewhere_clause] = STATE(4122),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym__block_where_statement_repeat1] = STATE(4122),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1752),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1754),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [358] = {
    [sym_preproc_include] = STATE(373),
    [sym_preproc_def] = STATE(373),
    [sym_preproc_function_def] = STATE(373),
    [sym_preproc_call] = STATE(373),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(373),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1786),
    [aux_sym_type_statement_token2] = ACTIONS(1786),
    [aux_sym_type_statement_token3] = ACTIONS(1786),
    [aux_sym__class_default_token1] = ACTIONS(1786),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1788),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [359] = {
    [sym_preproc_include] = STATE(371),
    [sym_preproc_def] = STATE(371),
    [sym_preproc_function_def] = STATE(371),
    [sym_preproc_call] = STATE(371),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(371),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1794),
    [aux_sym_type_statement_token2] = ACTIONS(1794),
    [aux_sym_type_statement_token3] = ACTIONS(1794),
    [aux_sym__class_default_token1] = ACTIONS(1794),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1796),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [360] = {
    [sym_preproc_include] = STATE(364),
    [sym_preproc_def] = STATE(364),
    [sym_preproc_function_def] = STATE(364),
    [sym_preproc_call] = STATE(364),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(364),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1799),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1802),
    [aux_sym_type_statement_token2] = ACTIONS(1802),
    [aux_sym_type_statement_token3] = ACTIONS(1802),
    [aux_sym__class_default_token1] = ACTIONS(1802),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1804),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [361] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1807),
    [aux_sym_preproc_def_token1] = ACTIONS(1810),
    [sym_preproc_directive] = ACTIONS(1813),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym_implicit_statement_token3] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym_derived_type_token1] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_end_select_statement_token1] = ACTIONS(1562),
    [aux_sym_type_statement_token2] = ACTIONS(1562),
    [aux_sym_type_statement_token3] = ACTIONS(1562),
    [aux_sym__class_default_token1] = ACTIONS(1562),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [362] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1816),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1819),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1819),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1819),
    [aux_sym_type_statement_token2] = ACTIONS(1819),
    [aux_sym_type_statement_token3] = ACTIONS(1819),
    [aux_sym__class_default_token1] = ACTIONS(1819),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1821),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [363] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1731),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1731),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1731),
    [aux_sym_type_statement_token2] = ACTIONS(1731),
    [aux_sym_type_statement_token3] = ACTIONS(1731),
    [aux_sym__class_default_token1] = ACTIONS(1731),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1733),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [364] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1786),
    [aux_sym_type_statement_token2] = ACTIONS(1786),
    [aux_sym_type_statement_token3] = ACTIONS(1786),
    [aux_sym__class_default_token1] = ACTIONS(1786),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1788),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [365] = {
    [sym_preproc_include] = STATE(354),
    [sym_preproc_def] = STATE(354),
    [sym_preproc_function_def] = STATE(354),
    [sym_preproc_call] = STATE(354),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(354),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1827),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1827),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1827),
    [aux_sym_type_statement_token2] = ACTIONS(1827),
    [aux_sym_type_statement_token3] = ACTIONS(1827),
    [aux_sym__class_default_token1] = ACTIONS(1827),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1829),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [366] = {
    [sym_preproc_include] = STATE(367),
    [sym_preproc_def] = STATE(367),
    [sym_preproc_function_def] = STATE(367),
    [sym_preproc_call] = STATE(367),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(367),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1832),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1835),
    [aux_sym_type_statement_token2] = ACTIONS(1835),
    [aux_sym_type_statement_token3] = ACTIONS(1835),
    [aux_sym__class_default_token1] = ACTIONS(1835),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1837),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [367] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1843),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1843),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1843),
    [aux_sym_type_statement_token2] = ACTIONS(1843),
    [aux_sym_type_statement_token3] = ACTIONS(1843),
    [aux_sym__class_default_token1] = ACTIONS(1843),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1845),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [368] = {
    [sym_preproc_include] = STATE(357),
    [sym_preproc_def] = STATE(357),
    [sym_preproc_function_def] = STATE(357),
    [sym_preproc_call] = STATE(357),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_end_where_statement] = STATE(5542),
    [sym_elsewhere_clause] = STATE(4125),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(357),
    [aux_sym__block_where_statement_repeat1] = STATE(4125),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1752),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1754),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [369] = {
    [sym_preproc_include] = STATE(374),
    [sym_preproc_def] = STATE(374),
    [sym_preproc_function_def] = STATE(374),
    [sym_preproc_call] = STATE(374),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(374),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1816),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1819),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1819),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1819),
    [aux_sym_type_statement_token2] = ACTIONS(1819),
    [aux_sym_type_statement_token3] = ACTIONS(1819),
    [aux_sym__class_default_token1] = ACTIONS(1819),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1821),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [370] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1848),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1851),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1851),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1851),
    [aux_sym_type_statement_token2] = ACTIONS(1851),
    [aux_sym_type_statement_token3] = ACTIONS(1851),
    [aux_sym__class_default_token1] = ACTIONS(1851),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1853),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [371] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1827),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1827),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1827),
    [aux_sym_type_statement_token2] = ACTIONS(1827),
    [aux_sym_type_statement_token3] = ACTIONS(1827),
    [aux_sym__class_default_token1] = ACTIONS(1827),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1829),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [372] = {
    [sym_preproc_include] = STATE(406),
    [sym_preproc_def] = STATE(406),
    [sym_preproc_function_def] = STATE(406),
    [sym_preproc_call] = STATE(406),
    [sym_end_program_statement] = STATE(615),
    [sym_internal_procedures] = STATE(4221),
    [sym_contains_statement] = STATE(5126),
    [sym__statements] = STATE(5332),
    [sym_statement_label] = STATE(778),
    [sym_stop_statement] = STATE(5332),
    [sym_assignment_statement] = STATE(5332),
    [sym_pointer_association_statement] = STATE(5332),
    [sym_subroutine_call] = STATE(5332),
    [sym_keyword_statement] = STATE(5332),
    [sym_include_statement] = STATE(5332),
    [sym_do_loop_statement] = STATE(5332),
    [sym_do_label_statement] = STATE(5332),
    [sym_end_do_label_statement] = STATE(5332),
    [sym_if_statement] = STATE(5332),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5332),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5332),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5332),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5332),
    [sym_select_type_statement] = STATE(5332),
    [sym_select_rank_statement] = STATE(5332),
    [sym_block_construct] = STATE(5332),
    [sym_associate_statement] = STATE(5332),
    [sym_format_statement] = STATE(5332),
    [sym_read_statement] = STATE(5332),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5332),
    [sym_open_statement] = STATE(5332),
    [sym_close_statement] = STATE(5332),
    [sym_write_statement] = STATE(5332),
    [sym_inquire_statement] = STATE(5332),
    [sym_file_position_statement] = STATE(5332),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(406),
    [aux_sym_preproc_include_token1] = ACTIONS(1708),
    [aux_sym_preproc_def_token1] = ACTIONS(1710),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(1712),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [373] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1859),
    [aux_sym_type_statement_token2] = ACTIONS(1859),
    [aux_sym_type_statement_token3] = ACTIONS(1859),
    [aux_sym__class_default_token1] = ACTIONS(1859),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1861),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [374] = {
    [sym_preproc_include] = STATE(361),
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1864),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1867),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1867),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1867),
    [aux_sym_type_statement_token2] = ACTIONS(1867),
    [aux_sym_type_statement_token3] = ACTIONS(1867),
    [aux_sym__class_default_token1] = ACTIONS(1867),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1869),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [375] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_end_where_statement] = STATE(5928),
    [sym_elsewhere_clause] = STATE(4126),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym__block_where_statement_repeat1] = STATE(4126),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1752),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1754),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1756),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [376] = {
    [sym_preproc_include] = STATE(370),
    [sym_preproc_def] = STATE(370),
    [sym_preproc_function_def] = STATE(370),
    [sym_preproc_call] = STATE(370),
    [sym__statements] = STATE(5424),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(5424),
    [sym_assignment_statement] = STATE(5424),
    [sym_pointer_association_statement] = STATE(5424),
    [sym_subroutine_call] = STATE(5424),
    [sym_keyword_statement] = STATE(5424),
    [sym_include_statement] = STATE(5424),
    [sym_do_loop_statement] = STATE(5424),
    [sym_do_label_statement] = STATE(5424),
    [sym_end_do_label_statement] = STATE(5424),
    [sym_if_statement] = STATE(5424),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5424),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5424),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5424),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5424),
    [sym_select_type_statement] = STATE(5424),
    [sym_select_rank_statement] = STATE(5424),
    [sym_block_construct] = STATE(5424),
    [sym_associate_statement] = STATE(5424),
    [sym_format_statement] = STATE(5424),
    [sym_read_statement] = STATE(5424),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5424),
    [sym_open_statement] = STATE(5424),
    [sym_close_statement] = STATE(5424),
    [sym_write_statement] = STATE(5424),
    [sym_inquire_statement] = STATE(5424),
    [sym_file_position_statement] = STATE(5424),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(370),
    [aux_sym_preproc_include_token1] = ACTIONS(1714),
    [aux_sym_preproc_def_token1] = ACTIONS(1716),
    [sym_preproc_directive] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1840),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(1843),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym_derived_type_token1] = ACTIONS(1843),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1843),
    [aux_sym_type_statement_token2] = ACTIONS(1843),
    [aux_sym_type_statement_token3] = ACTIONS(1843),
    [aux_sym__class_default_token1] = ACTIONS(1843),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1845),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [377] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(694),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(6178),
    [sym_elseif_clause] = STATE(3989),
    [sym_else_clause] = STATE(4215),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym__block_if_statement_repeat1] = STATE(3989),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token1] = ACTIONS(1882),
    [aux_sym_elseif_clause_token2] = ACTIONS(1884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [378] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(757),
    [sym_internal_procedures] = STATE(4498),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [379] = {
    [sym_preproc_include] = STATE(377),
    [sym_preproc_def] = STATE(377),
    [sym_preproc_function_def] = STATE(377),
    [sym_preproc_call] = STATE(377),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(645),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(5921),
    [sym_elseif_clause] = STATE(3982),
    [sym_else_clause] = STATE(4214),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(377),
    [aux_sym__block_if_statement_repeat1] = STATE(3982),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token1] = ACTIONS(1882),
    [aux_sym_elseif_clause_token2] = ACTIONS(1884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [380] = {
    [sym_preproc_include] = STATE(395),
    [sym_preproc_def] = STATE(395),
    [sym_preproc_function_def] = STATE(395),
    [sym_preproc_call] = STATE(395),
    [sym_internal_procedures] = STATE(6128),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(395),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(1896),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1900),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [381] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(624),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(6099),
    [sym_elseif_clause] = STATE(3985),
    [sym_else_clause] = STATE(4178),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym__block_if_statement_repeat1] = STATE(3985),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token1] = ACTIONS(1882),
    [aux_sym_elseif_clause_token2] = ACTIONS(1884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [382] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(653),
    [sym_internal_procedures] = STATE(4791),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [383] = {
    [sym_preproc_include] = STATE(381),
    [sym_preproc_def] = STATE(381),
    [sym_preproc_function_def] = STATE(381),
    [sym_preproc_call] = STATE(381),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(694),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(6178),
    [sym_elseif_clause] = STATE(3989),
    [sym_else_clause] = STATE(4215),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(381),
    [aux_sym__block_if_statement_repeat1] = STATE(3989),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token1] = ACTIONS(1882),
    [aux_sym_elseif_clause_token2] = ACTIONS(1884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [384] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(669),
    [sym_internal_procedures] = STATE(4482),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [385] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(532),
    [sym_internal_procedures] = STATE(4592),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [386] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(629),
    [sym_internal_procedures] = STATE(4809),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [387] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(497),
    [sym_internal_procedures] = STATE(4302),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [388] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(518),
    [sym_internal_procedures] = STATE(4434),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(189),
    [aux_sym_end_program_statement_token2] = ACTIONS(191),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [389] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(635),
    [sym_internal_procedures] = STATE(4451),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [390] = {
    [sym_preproc_include] = STATE(391),
    [sym_preproc_def] = STATE(391),
    [sym_preproc_function_def] = STATE(391),
    [sym_preproc_call] = STATE(391),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(651),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(5814),
    [sym_elseif_clause] = STATE(3984),
    [sym_else_clause] = STATE(4213),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(391),
    [aux_sym__block_if_statement_repeat1] = STATE(3984),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token1] = ACTIONS(1882),
    [aux_sym_elseif_clause_token2] = ACTIONS(1884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [391] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(645),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(5921),
    [sym_elseif_clause] = STATE(3982),
    [sym_else_clause] = STATE(4214),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym__block_if_statement_repeat1] = STATE(3982),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token1] = ACTIONS(1882),
    [aux_sym_elseif_clause_token2] = ACTIONS(1884),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [392] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym_end_program_statement] = STATE(615),
    [sym_internal_procedures] = STATE(4604),
    [sym_contains_statement] = STATE(5302),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(1886),
    [aux_sym_preproc_def_token1] = ACTIONS(1888),
    [sym_preproc_directive] = ACTIONS(1890),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(535),
    [aux_sym_end_program_statement_token2] = ACTIONS(537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [393] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(6091),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(1902),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [394] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(6069),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(927),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [395] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(6060),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [396] = {
    [sym_preproc_include] = STATE(400),
    [sym_preproc_def] = STATE(400),
    [sym_preproc_function_def] = STATE(400),
    [sym_preproc_call] = STATE(400),
    [sym_internal_procedures] = STATE(6060),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(400),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [397] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(6138),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [398] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(5881),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(927),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [399] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(5662),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(543),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [400] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_internal_procedures] = STATE(6004),
    [sym_contains_statement] = STATE(5899),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1894),
    [aux_sym_preproc_if_token2] = ACTIONS(1906),
    [sym_preproc_directive] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [401] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1908),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1911),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1911),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1911),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [402] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1913),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1916),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1916),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1916),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [403] = {
    [sym_preproc_include] = STATE(405),
    [sym_preproc_def] = STATE(405),
    [sym_preproc_function_def] = STATE(405),
    [sym_preproc_call] = STATE(405),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(405),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1918),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1921),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1921),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1921),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [404] = {
    [sym_preproc_include] = STATE(413),
    [sym_preproc_def] = STATE(413),
    [sym_preproc_function_def] = STATE(413),
    [sym_preproc_call] = STATE(413),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(413),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1908),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1911),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1911),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1911),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [405] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1923),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1926),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1926),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1926),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [406] = {
    [sym_preproc_include] = STATE(406),
    [sym_preproc_def] = STATE(406),
    [sym_preproc_function_def] = STATE(406),
    [sym_preproc_call] = STATE(406),
    [sym__statements] = STATE(5332),
    [sym_statement_label] = STATE(778),
    [sym_stop_statement] = STATE(5332),
    [sym_assignment_statement] = STATE(5332),
    [sym_pointer_association_statement] = STATE(5332),
    [sym_subroutine_call] = STATE(5332),
    [sym_keyword_statement] = STATE(5332),
    [sym_include_statement] = STATE(5332),
    [sym_do_loop_statement] = STATE(5332),
    [sym_do_label_statement] = STATE(5332),
    [sym_end_do_label_statement] = STATE(5332),
    [sym_if_statement] = STATE(5332),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5332),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5332),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5332),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5332),
    [sym_select_type_statement] = STATE(5332),
    [sym_select_rank_statement] = STATE(5332),
    [sym_block_construct] = STATE(5332),
    [sym_associate_statement] = STATE(5332),
    [sym_format_statement] = STATE(5332),
    [sym_read_statement] = STATE(5332),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5332),
    [sym_open_statement] = STATE(5332),
    [sym_close_statement] = STATE(5332),
    [sym_write_statement] = STATE(5332),
    [sym_inquire_statement] = STATE(5332),
    [sym_file_position_statement] = STATE(5332),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(406),
    [aux_sym_preproc_include_token1] = ACTIONS(1928),
    [aux_sym_preproc_def_token1] = ACTIONS(1931),
    [aux_sym_preproc_if_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1934),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_end_program_statement_token2] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [407] = {
    [sym_preproc_include] = STATE(412),
    [sym_preproc_def] = STATE(412),
    [sym_preproc_function_def] = STATE(412),
    [sym_preproc_call] = STATE(412),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(412),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1940),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1940),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1940),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [408] = {
    [sym_preproc_include] = STATE(402),
    [sym_preproc_def] = STATE(402),
    [sym_preproc_function_def] = STATE(402),
    [sym_preproc_call] = STATE(402),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(402),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1942),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1945),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1945),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1945),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [409] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1947),
    [aux_sym_preproc_def_token1] = ACTIONS(1950),
    [sym_preproc_directive] = ACTIONS(1953),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token1] = ACTIONS(1562),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym_end_where_statement_token1] = ACTIONS(1562),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1562),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [410] = {
    [sym_preproc_include] = STATE(401),
    [sym_preproc_def] = STATE(401),
    [sym_preproc_function_def] = STATE(401),
    [sym_preproc_call] = STATE(401),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(401),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1956),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1959),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1959),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1959),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [411] = {
    [sym_preproc_include] = STATE(414),
    [sym_preproc_def] = STATE(414),
    [sym_preproc_function_def] = STATE(414),
    [sym_preproc_call] = STATE(414),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(414),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1923),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1926),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1926),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1926),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [412] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1964),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1964),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1964),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [413] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1940),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1940),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1940),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [414] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym__statements] = STATE(5217),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(5217),
    [sym_assignment_statement] = STATE(5217),
    [sym_pointer_association_statement] = STATE(5217),
    [sym_subroutine_call] = STATE(5217),
    [sym_keyword_statement] = STATE(5217),
    [sym_include_statement] = STATE(5217),
    [sym_do_loop_statement] = STATE(5217),
    [sym_do_label_statement] = STATE(5217),
    [sym_end_do_label_statement] = STATE(5217),
    [sym_if_statement] = STATE(5217),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5217),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5217),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5217),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5217),
    [sym_select_type_statement] = STATE(5217),
    [sym_select_rank_statement] = STATE(5217),
    [sym_block_construct] = STATE(5217),
    [sym_associate_statement] = STATE(5217),
    [sym_format_statement] = STATE(5217),
    [sym_read_statement] = STATE(5217),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5217),
    [sym_open_statement] = STATE(5217),
    [sym_close_statement] = STATE(5217),
    [sym_write_statement] = STATE(5217),
    [sym_inquire_statement] = STATE(5217),
    [sym_file_position_statement] = STATE(5217),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1744),
    [aux_sym_preproc_def_token1] = ACTIONS(1746),
    [sym_preproc_directive] = ACTIONS(1748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1942),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token1] = ACTIONS(1945),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym_end_where_statement_token1] = ACTIONS(1945),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1945),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [415] = {
    [sym_preproc_include] = STATE(461),
    [sym_preproc_def] = STATE(461),
    [sym_preproc_function_def] = STATE(461),
    [sym_preproc_call] = STATE(461),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(735),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5530),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [416] = {
    [sym_preproc_include] = STATE(426),
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(426),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(1985),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1985),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1987),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [417] = {
    [sym_preproc_include] = STATE(468),
    [sym_preproc_def] = STATE(468),
    [sym_preproc_function_def] = STATE(468),
    [sym_preproc_call] = STATE(468),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5850),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(5831),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_file_position_statement] = STATE(5850),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_preproc_include_token1] = ACTIONS(1990),
    [aux_sym_preproc_def_token1] = ACTIONS(1992),
    [sym_preproc_directive] = ACTIONS(1994),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [418] = {
    [sym_preproc_include] = STATE(463),
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym__statements] = STATE(5724),
    [sym_statement_label] = STATE(566),
    [sym_stop_statement] = STATE(5724),
    [sym_assignment_statement] = STATE(5724),
    [sym_pointer_association_statement] = STATE(5724),
    [sym_subroutine_call] = STATE(5724),
    [sym_keyword_statement] = STATE(5724),
    [sym_include_statement] = STATE(5724),
    [sym_do_loop_statement] = STATE(5724),
    [sym_do_label_statement] = STATE(5724),
    [sym_end_do_label_statement] = STATE(5724),
    [sym_if_statement] = STATE(5724),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5724),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5724),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5724),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(5870),
    [sym_select_case_statement] = STATE(5724),
    [sym_select_type_statement] = STATE(5724),
    [sym_select_rank_statement] = STATE(5724),
    [sym_block_construct] = STATE(5724),
    [sym_associate_statement] = STATE(5724),
    [sym_format_statement] = STATE(5724),
    [sym_read_statement] = STATE(5724),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5724),
    [sym_open_statement] = STATE(5724),
    [sym_close_statement] = STATE(5724),
    [sym_write_statement] = STATE(5724),
    [sym_inquire_statement] = STATE(5724),
    [sym_file_position_statement] = STATE(5724),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(463),
    [aux_sym_preproc_include_token1] = ACTIONS(1996),
    [aux_sym_preproc_def_token1] = ACTIONS(1998),
    [sym_preproc_directive] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2006),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [419] = {
    [sym_preproc_include] = STATE(419),
    [sym_preproc_def] = STATE(419),
    [sym_preproc_function_def] = STATE(419),
    [sym_preproc_call] = STATE(419),
    [sym__statements] = STATE(5109),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(5109),
    [sym_assignment_statement] = STATE(5109),
    [sym_pointer_association_statement] = STATE(5109),
    [sym_subroutine_call] = STATE(5109),
    [sym_keyword_statement] = STATE(5109),
    [sym_include_statement] = STATE(5109),
    [sym_do_loop_statement] = STATE(5109),
    [sym_do_label_statement] = STATE(5109),
    [sym_end_do_label_statement] = STATE(5109),
    [sym_if_statement] = STATE(5109),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5109),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5109),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5109),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5109),
    [sym_select_type_statement] = STATE(5109),
    [sym_select_rank_statement] = STATE(5109),
    [sym_block_construct] = STATE(5109),
    [sym_associate_statement] = STATE(5109),
    [sym_format_statement] = STATE(5109),
    [sym_read_statement] = STATE(5109),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5109),
    [sym_open_statement] = STATE(5109),
    [sym_close_statement] = STATE(5109),
    [sym_write_statement] = STATE(5109),
    [sym_inquire_statement] = STATE(5109),
    [sym_file_position_statement] = STATE(5109),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_preproc_include_token1] = ACTIONS(2008),
    [aux_sym_preproc_def_token1] = ACTIONS(2011),
    [sym_preproc_directive] = ACTIONS(2014),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_end_program_statement_token2] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [420] = {
    [sym_preproc_include] = STATE(468),
    [sym_preproc_def] = STATE(468),
    [sym_preproc_function_def] = STATE(468),
    [sym_preproc_call] = STATE(468),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5850),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(5555),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_file_position_statement] = STATE(5850),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_preproc_include_token1] = ACTIONS(1990),
    [aux_sym_preproc_def_token1] = ACTIONS(1992),
    [sym_preproc_directive] = ACTIONS(1994),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [421] = {
    [sym_preproc_include] = STATE(447),
    [sym_preproc_def] = STATE(447),
    [sym_preproc_function_def] = STATE(447),
    [sym_preproc_call] = STATE(447),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(661),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5807),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(447),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [422] = {
    [sym_preproc_include] = STATE(461),
    [sym_preproc_def] = STATE(461),
    [sym_preproc_function_def] = STATE(461),
    [sym_preproc_call] = STATE(461),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(661),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5807),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [423] = {
    [sym_preproc_include] = STATE(443),
    [sym_preproc_def] = STATE(443),
    [sym_preproc_function_def] = STATE(443),
    [sym_preproc_call] = STATE(443),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(443),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(2020),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2020),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2022),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [424] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2031),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2034),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2034),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2036),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [425] = {
    [sym_preproc_include] = STATE(449),
    [sym_preproc_def] = STATE(449),
    [sym_preproc_function_def] = STATE(449),
    [sym_preproc_call] = STATE(449),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_end_associate_statement] = STATE(5962),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(449),
    [aux_sym_preproc_include_token1] = ACTIONS(2039),
    [aux_sym_preproc_def_token1] = ACTIONS(2041),
    [sym_preproc_directive] = ACTIONS(2043),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2047),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [426] = {
    [sym_preproc_include] = STATE(426),
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(426),
    [aux_sym_preproc_include_token1] = ACTIONS(2049),
    [aux_sym_preproc_def_token1] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2055),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token2] = ACTIONS(1562),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_end_select_statement_token1] = ACTIONS(1562),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [427] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2061),
    [sym_preproc_directive] = ACTIONS(2064),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1562),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_end_select_statement_token1] = ACTIONS(1562),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [428] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2067),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2070),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2070),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2072),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [429] = {
    [sym_preproc_include] = STATE(437),
    [sym_preproc_def] = STATE(437),
    [sym_preproc_function_def] = STATE(437),
    [sym_preproc_call] = STATE(437),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(437),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2075),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(2078),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2078),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2080),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [430] = {
    [sym_preproc_include] = STATE(453),
    [sym_preproc_def] = STATE(453),
    [sym_preproc_function_def] = STATE(453),
    [sym_preproc_call] = STATE(453),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(453),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2083),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2086),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2086),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2088),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [431] = {
    [sym_preproc_include] = STATE(455),
    [sym_preproc_def] = STATE(455),
    [sym_preproc_function_def] = STATE(455),
    [sym_preproc_call] = STATE(455),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_end_associate_statement] = STATE(6084),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(455),
    [aux_sym_preproc_include_token1] = ACTIONS(2039),
    [aux_sym_preproc_def_token1] = ACTIONS(2041),
    [sym_preproc_directive] = ACTIONS(2043),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2047),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [432] = {
    [sym_preproc_include] = STATE(433),
    [sym_preproc_def] = STATE(433),
    [sym_preproc_function_def] = STATE(433),
    [sym_preproc_call] = STATE(433),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(433),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2031),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2034),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2034),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2036),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [433] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2091),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2094),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2094),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2096),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [434] = {
    [sym_preproc_include] = STATE(436),
    [sym_preproc_def] = STATE(436),
    [sym_preproc_function_def] = STATE(436),
    [sym_preproc_call] = STATE(436),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(436),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(1985),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(1985),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1987),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [435] = {
    [sym_preproc_include] = STATE(422),
    [sym_preproc_def] = STATE(422),
    [sym_preproc_function_def] = STATE(422),
    [sym_preproc_call] = STATE(422),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(735),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5530),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(422),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [436] = {
    [sym_preproc_include] = STATE(426),
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(426),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2099),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(2102),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2102),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2104),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [437] = {
    [sym_preproc_include] = STATE(426),
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(426),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(2020),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2020),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2022),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [438] = {
    [sym_preproc_include] = STATE(415),
    [sym_preproc_def] = STATE(415),
    [sym_preproc_function_def] = STATE(415),
    [sym_preproc_call] = STATE(415),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(762),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5396),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(415),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [439] = {
    [sym_preproc_include] = STATE(446),
    [sym_preproc_def] = STATE(446),
    [sym_preproc_function_def] = STATE(446),
    [sym_preproc_call] = STATE(446),
    [sym__statements] = STATE(5724),
    [sym_statement_label] = STATE(577),
    [sym_stop_statement] = STATE(5724),
    [sym_assignment_statement] = STATE(5724),
    [sym_pointer_association_statement] = STATE(5724),
    [sym_subroutine_call] = STATE(5724),
    [sym_keyword_statement] = STATE(5724),
    [sym_include_statement] = STATE(5724),
    [sym_do_loop_statement] = STATE(5724),
    [sym_do_label_statement] = STATE(5724),
    [sym_end_do_label_statement] = STATE(5724),
    [sym_if_statement] = STATE(5724),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5724),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5724),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5724),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(5454),
    [sym_select_case_statement] = STATE(5724),
    [sym_select_type_statement] = STATE(5724),
    [sym_select_rank_statement] = STATE(5724),
    [sym_block_construct] = STATE(5724),
    [sym_associate_statement] = STATE(5724),
    [sym_format_statement] = STATE(5724),
    [sym_read_statement] = STATE(5724),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5724),
    [sym_open_statement] = STATE(5724),
    [sym_close_statement] = STATE(5724),
    [sym_write_statement] = STATE(5724),
    [sym_inquire_statement] = STATE(5724),
    [sym_file_position_statement] = STATE(5724),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(446),
    [aux_sym_preproc_include_token1] = ACTIONS(1996),
    [aux_sym_preproc_def_token1] = ACTIONS(1998),
    [sym_preproc_directive] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2006),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [440] = {
    [sym_preproc_include] = STATE(416),
    [sym_preproc_def] = STATE(416),
    [sym_preproc_function_def] = STATE(416),
    [sym_preproc_call] = STATE(416),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(416),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2107),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(2110),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2110),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2112),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [441] = {
    [sym_preproc_include] = STATE(442),
    [sym_preproc_def] = STATE(442),
    [sym_preproc_function_def] = STATE(442),
    [sym_preproc_call] = STATE(442),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(755),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5912),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(442),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [442] = {
    [sym_preproc_include] = STATE(461),
    [sym_preproc_def] = STATE(461),
    [sym_preproc_function_def] = STATE(461),
    [sym_preproc_call] = STATE(461),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(726),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(6134),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [443] = {
    [sym_preproc_include] = STATE(426),
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym__statements] = STATE(5578),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(5578),
    [sym_assignment_statement] = STATE(5578),
    [sym_pointer_association_statement] = STATE(5578),
    [sym_subroutine_call] = STATE(5578),
    [sym_keyword_statement] = STATE(5578),
    [sym_include_statement] = STATE(5578),
    [sym_do_loop_statement] = STATE(5578),
    [sym_do_label_statement] = STATE(5578),
    [sym_end_do_label_statement] = STATE(5578),
    [sym_if_statement] = STATE(5578),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5578),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5578),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5578),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5578),
    [sym_select_type_statement] = STATE(5578),
    [sym_select_rank_statement] = STATE(5578),
    [sym_block_construct] = STATE(5578),
    [sym_associate_statement] = STATE(5578),
    [sym_format_statement] = STATE(5578),
    [sym_read_statement] = STATE(5578),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5578),
    [sym_open_statement] = STATE(5578),
    [sym_close_statement] = STATE(5578),
    [sym_write_statement] = STATE(5578),
    [sym_inquire_statement] = STATE(5578),
    [sym_file_position_statement] = STATE(5578),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(426),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [sym_preproc_directive] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2115),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token2] = ACTIONS(2118),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2118),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2120),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [444] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym__statements] = STATE(5303),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(5303),
    [sym_assignment_statement] = STATE(5303),
    [sym_pointer_association_statement] = STATE(5303),
    [sym_subroutine_call] = STATE(5303),
    [sym_keyword_statement] = STATE(5303),
    [sym_include_statement] = STATE(5303),
    [sym_do_loop_statement] = STATE(5303),
    [sym_do_label_statement] = STATE(5303),
    [sym_end_do_label_statement] = STATE(5303),
    [sym_if_statement] = STATE(5303),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5303),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5303),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5303),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5303),
    [sym_select_type_statement] = STATE(5303),
    [sym_select_rank_statement] = STATE(5303),
    [sym_block_construct] = STATE(5303),
    [sym_associate_statement] = STATE(5303),
    [sym_format_statement] = STATE(5303),
    [sym_read_statement] = STATE(5303),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5303),
    [sym_open_statement] = STATE(5303),
    [sym_close_statement] = STATE(5303),
    [sym_write_statement] = STATE(5303),
    [sym_inquire_statement] = STATE(5303),
    [sym_file_position_statement] = STATE(5303),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(2123),
    [aux_sym_preproc_def_token1] = ACTIONS(2126),
    [aux_sym_preproc_if_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [445] = {
    [sym_preproc_include] = STATE(418),
    [sym_preproc_def] = STATE(418),
    [sym_preproc_function_def] = STATE(418),
    [sym_preproc_call] = STATE(418),
    [sym__statements] = STATE(5724),
    [sym_statement_label] = STATE(589),
    [sym_stop_statement] = STATE(5724),
    [sym_assignment_statement] = STATE(5724),
    [sym_pointer_association_statement] = STATE(5724),
    [sym_subroutine_call] = STATE(5724),
    [sym_keyword_statement] = STATE(5724),
    [sym_include_statement] = STATE(5724),
    [sym_do_loop_statement] = STATE(5724),
    [sym_do_label_statement] = STATE(5724),
    [sym_end_do_label_statement] = STATE(5724),
    [sym_if_statement] = STATE(5724),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5724),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5724),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5724),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(5615),
    [sym_select_case_statement] = STATE(5724),
    [sym_select_type_statement] = STATE(5724),
    [sym_select_rank_statement] = STATE(5724),
    [sym_block_construct] = STATE(5724),
    [sym_associate_statement] = STATE(5724),
    [sym_format_statement] = STATE(5724),
    [sym_read_statement] = STATE(5724),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5724),
    [sym_open_statement] = STATE(5724),
    [sym_close_statement] = STATE(5724),
    [sym_write_statement] = STATE(5724),
    [sym_inquire_statement] = STATE(5724),
    [sym_file_position_statement] = STATE(5724),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(418),
    [aux_sym_preproc_include_token1] = ACTIONS(1996),
    [aux_sym_preproc_def_token1] = ACTIONS(1998),
    [sym_preproc_directive] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2006),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [446] = {
    [sym_preproc_include] = STATE(463),
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym__statements] = STATE(5724),
    [sym_statement_label] = STATE(589),
    [sym_stop_statement] = STATE(5724),
    [sym_assignment_statement] = STATE(5724),
    [sym_pointer_association_statement] = STATE(5724),
    [sym_subroutine_call] = STATE(5724),
    [sym_keyword_statement] = STATE(5724),
    [sym_include_statement] = STATE(5724),
    [sym_do_loop_statement] = STATE(5724),
    [sym_do_label_statement] = STATE(5724),
    [sym_end_do_label_statement] = STATE(5724),
    [sym_if_statement] = STATE(5724),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5724),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5724),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5724),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(5615),
    [sym_select_case_statement] = STATE(5724),
    [sym_select_type_statement] = STATE(5724),
    [sym_select_rank_statement] = STATE(5724),
    [sym_block_construct] = STATE(5724),
    [sym_associate_statement] = STATE(5724),
    [sym_format_statement] = STATE(5724),
    [sym_read_statement] = STATE(5724),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5724),
    [sym_open_statement] = STATE(5724),
    [sym_close_statement] = STATE(5724),
    [sym_write_statement] = STATE(5724),
    [sym_inquire_statement] = STATE(5724),
    [sym_file_position_statement] = STATE(5724),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(463),
    [aux_sym_preproc_include_token1] = ACTIONS(1996),
    [aux_sym_preproc_def_token1] = ACTIONS(1998),
    [sym_preproc_directive] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2006),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [447] = {
    [sym_preproc_include] = STATE(461),
    [sym_preproc_def] = STATE(461),
    [sym_preproc_function_def] = STATE(461),
    [sym_preproc_call] = STATE(461),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(755),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_end_do_loop_statement] = STATE(5912),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_preproc_include_token1] = ACTIONS(1966),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1970),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1972),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1974),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [448] = {
    [sym_preproc_include] = STATE(454),
    [sym_preproc_def] = STATE(454),
    [sym_preproc_function_def] = STATE(454),
    [sym_preproc_call] = STATE(454),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_end_associate_statement] = STATE(6165),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(454),
    [aux_sym_preproc_include_token1] = ACTIONS(2039),
    [aux_sym_preproc_def_token1] = ACTIONS(2041),
    [sym_preproc_directive] = ACTIONS(2043),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2047),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [449] = {
    [sym_preproc_include] = STATE(459),
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_end_associate_statement] = STATE(6165),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(459),
    [aux_sym_preproc_include_token1] = ACTIONS(2039),
    [aux_sym_preproc_def_token1] = ACTIONS(2041),
    [sym_preproc_directive] = ACTIONS(2043),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2047),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [450] = {
    [sym_preproc_include] = STATE(424),
    [sym_preproc_def] = STATE(424),
    [sym_preproc_function_def] = STATE(424),
    [sym_preproc_call] = STATE(424),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(424),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2135),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2135),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2137),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [451] = {
    [sym_preproc_include] = STATE(468),
    [sym_preproc_def] = STATE(468),
    [sym_preproc_function_def] = STATE(468),
    [sym_preproc_call] = STATE(468),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5850),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_end_block_construct_statement] = STATE(6082),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_file_position_statement] = STATE(5850),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_preproc_include_token1] = ACTIONS(1990),
    [aux_sym_preproc_def_token1] = ACTIONS(1992),
    [sym_preproc_directive] = ACTIONS(1994),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(935),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(941),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [452] = {
    [sym_preproc_include] = STATE(428),
    [sym_preproc_def] = STATE(428),
    [sym_preproc_function_def] = STATE(428),
    [sym_preproc_call] = STATE(428),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(428),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2143),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2143),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2145),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [453] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym__statements] = STATE(5602),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(5602),
    [sym_assignment_statement] = STATE(5602),
    [sym_pointer_association_statement] = STATE(5602),
    [sym_subroutine_call] = STATE(5602),
    [sym_keyword_statement] = STATE(5602),
    [sym_include_statement] = STATE(5602),
    [sym_do_loop_statement] = STATE(5602),
    [sym_do_label_statement] = STATE(5602),
    [sym_end_do_label_statement] = STATE(5602),
    [sym_if_statement] = STATE(5602),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5602),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5602),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5602),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5602),
    [sym_select_type_statement] = STATE(5602),
    [sym_select_rank_statement] = STATE(5602),
    [sym_block_construct] = STATE(5602),
    [sym_associate_statement] = STATE(5602),
    [sym_format_statement] = STATE(5602),
    [sym_read_statement] = STATE(5602),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5602),
    [sym_open_statement] = STATE(5602),
    [sym_close_statement] = STATE(5602),
    [sym_write_statement] = STATE(5602),
    [sym_inquire_statement] = STATE(5602),
    [sym_file_position_statement] = STATE(5602),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(2025),
    [aux_sym_preproc_def_token1] = ACTIONS(2027),
    [sym_preproc_directive] = ACTIONS(2029),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2143),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_end_select_statement_token1] = ACTIONS(2143),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2145),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [454] = {
    [sym_preproc_include] = STATE(459),
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_end_associate_statement] = STATE(6084),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(459),
    [aux_sym_preproc_include_token1] = ACTIONS(2039),
    [aux_sym_preproc_def_token1] = ACTIONS(2041),
    [sym_preproc_directive] = ACTIONS(2043),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2047),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [455] = {
    [sym_preproc_include] = STATE(459),
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_end_associate_statement] = STATE(5992),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(459),
    [aux_sym_preproc_include_token1] = ACTIONS(2039),
    [aux_sym_preproc_def_token1] = ACTIONS(2041),
    [sym_preproc_directive] = ACTIONS(2043),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2047),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1264),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [456] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2148),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2151),
    [aux_sym_elseif_clause_token1] = ACTIONS(2154),
    [aux_sym_elseif_clause_token2] = ACTIONS(2151),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2156),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [457] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2159),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2162),
    [aux_sym_elseif_clause_token1] = ACTIONS(2165),
    [aux_sym_elseif_clause_token2] = ACTIONS(2162),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2167),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [458] = {
    [sym_preproc_include] = STATE(457),
    [sym_preproc_def] = STATE(457),
    [sym_preproc_function_def] = STATE(457),
    [sym_preproc_call] = STATE(457),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(457),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2170),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2173),
    [aux_sym_elseif_clause_token1] = ACTIONS(2176),
    [aux_sym_elseif_clause_token2] = ACTIONS(2173),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2178),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [459] = {
    [sym_preproc_include] = STATE(459),
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym__statements] = STATE(5484),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(5484),
    [sym_assignment_statement] = STATE(5484),
    [sym_pointer_association_statement] = STATE(5484),
    [sym_subroutine_call] = STATE(5484),
    [sym_keyword_statement] = STATE(5484),
    [sym_include_statement] = STATE(5484),
    [sym_do_loop_statement] = STATE(5484),
    [sym_do_label_statement] = STATE(5484),
    [sym_end_do_label_statement] = STATE(5484),
    [sym_if_statement] = STATE(5484),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5484),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5484),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5484),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5484),
    [sym_select_type_statement] = STATE(5484),
    [sym_select_rank_statement] = STATE(5484),
    [sym_block_construct] = STATE(5484),
    [sym_associate_statement] = STATE(5484),
    [sym_format_statement] = STATE(5484),
    [sym_read_statement] = STATE(5484),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5484),
    [sym_open_statement] = STATE(5484),
    [sym_close_statement] = STATE(5484),
    [sym_write_statement] = STATE(5484),
    [sym_inquire_statement] = STATE(5484),
    [sym_file_position_statement] = STATE(5484),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(459),
    [aux_sym_preproc_include_token1] = ACTIONS(2181),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2187),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_end_associate_statement_token1] = ACTIONS(1562),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [460] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(2190),
    [aux_sym_preproc_def_token1] = ACTIONS(2193),
    [sym_preproc_directive] = ACTIONS(2196),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token1] = ACTIONS(1562),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [461] = {
    [sym_preproc_include] = STATE(461),
    [sym_preproc_def] = STATE(461),
    [sym_preproc_function_def] = STATE(461),
    [sym_preproc_call] = STATE(461),
    [sym__statements] = STATE(5232),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(5232),
    [sym_assignment_statement] = STATE(5232),
    [sym_pointer_association_statement] = STATE(5232),
    [sym_subroutine_call] = STATE(5232),
    [sym_keyword_statement] = STATE(5232),
    [sym_include_statement] = STATE(5232),
    [sym_do_loop_statement] = STATE(5232),
    [sym_do_label_statement] = STATE(5232),
    [sym_end_do_label_statement] = STATE(5232),
    [sym_if_statement] = STATE(5232),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5232),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5232),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5232),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5232),
    [sym_select_type_statement] = STATE(5232),
    [sym_select_rank_statement] = STATE(5232),
    [sym_block_construct] = STATE(5232),
    [sym_associate_statement] = STATE(5232),
    [sym_format_statement] = STATE(5232),
    [sym_read_statement] = STATE(5232),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5232),
    [sym_open_statement] = STATE(5232),
    [sym_close_statement] = STATE(5232),
    [sym_write_statement] = STATE(5232),
    [sym_inquire_statement] = STATE(5232),
    [sym_file_position_statement] = STATE(5232),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_preproc_include_token1] = ACTIONS(2199),
    [aux_sym_preproc_def_token1] = ACTIONS(2202),
    [sym_preproc_directive] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1562),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [462] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2208),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2211),
    [aux_sym_elseif_clause_token1] = ACTIONS(2214),
    [aux_sym_elseif_clause_token2] = ACTIONS(2211),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2216),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [463] = {
    [sym_preproc_include] = STATE(463),
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym__statements] = STATE(5724),
    [sym_statement_label] = STATE(782),
    [sym_stop_statement] = STATE(5724),
    [sym_assignment_statement] = STATE(5724),
    [sym_pointer_association_statement] = STATE(5724),
    [sym_subroutine_call] = STATE(5724),
    [sym_keyword_statement] = STATE(5724),
    [sym_include_statement] = STATE(5724),
    [sym_do_loop_statement] = STATE(5724),
    [sym_do_label_statement] = STATE(5724),
    [sym_end_do_label_statement] = STATE(5724),
    [sym_if_statement] = STATE(5724),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5724),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5724),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5724),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5724),
    [sym_select_type_statement] = STATE(5724),
    [sym_select_rank_statement] = STATE(5724),
    [sym_block_construct] = STATE(5724),
    [sym_associate_statement] = STATE(5724),
    [sym_format_statement] = STATE(5724),
    [sym_read_statement] = STATE(5724),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5724),
    [sym_open_statement] = STATE(5724),
    [sym_close_statement] = STATE(5724),
    [sym_write_statement] = STATE(5724),
    [sym_inquire_statement] = STATE(5724),
    [sym_file_position_statement] = STATE(5724),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(463),
    [aux_sym_preproc_include_token1] = ACTIONS(2219),
    [aux_sym_preproc_def_token1] = ACTIONS(2222),
    [sym_preproc_directive] = ACTIONS(2225),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_end_forall_statement_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [464] = {
    [sym_preproc_include] = STATE(462),
    [sym_preproc_def] = STATE(462),
    [sym_preproc_function_def] = STATE(462),
    [sym_preproc_call] = STATE(462),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(462),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2148),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2151),
    [aux_sym_elseif_clause_token1] = ACTIONS(2154),
    [aux_sym_elseif_clause_token2] = ACTIONS(2151),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2156),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [465] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2170),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2173),
    [aux_sym_elseif_clause_token1] = ACTIONS(2176),
    [aux_sym_elseif_clause_token2] = ACTIONS(2173),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2178),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [466] = {
    [sym_preproc_include] = STATE(456),
    [sym_preproc_def] = STATE(456),
    [sym_preproc_function_def] = STATE(456),
    [sym_preproc_call] = STATE(456),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(456),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2231),
    [aux_sym_elseif_clause_token1] = ACTIONS(2234),
    [aux_sym_elseif_clause_token2] = ACTIONS(2231),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2236),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [467] = {
    [sym_preproc_include] = STATE(465),
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym__statements] = STATE(5364),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(5364),
    [sym_assignment_statement] = STATE(5364),
    [sym_pointer_association_statement] = STATE(5364),
    [sym_subroutine_call] = STATE(5364),
    [sym_keyword_statement] = STATE(5364),
    [sym_include_statement] = STATE(5364),
    [sym_do_loop_statement] = STATE(5364),
    [sym_do_label_statement] = STATE(5364),
    [sym_end_do_label_statement] = STATE(5364),
    [sym_if_statement] = STATE(5364),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5364),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5364),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5364),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5364),
    [sym_select_type_statement] = STATE(5364),
    [sym_select_rank_statement] = STATE(5364),
    [sym_block_construct] = STATE(5364),
    [sym_associate_statement] = STATE(5364),
    [sym_format_statement] = STATE(5364),
    [sym_read_statement] = STATE(5364),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5364),
    [sym_open_statement] = STATE(5364),
    [sym_close_statement] = STATE(5364),
    [sym_write_statement] = STATE(5364),
    [sym_inquire_statement] = STATE(5364),
    [sym_file_position_statement] = STATE(5364),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(465),
    [aux_sym_preproc_include_token1] = ACTIONS(1872),
    [aux_sym_preproc_def_token1] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1876),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2239),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2242),
    [aux_sym_elseif_clause_token1] = ACTIONS(2245),
    [aux_sym_elseif_clause_token2] = ACTIONS(2242),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2247),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [468] = {
    [sym_preproc_include] = STATE(468),
    [sym_preproc_def] = STATE(468),
    [sym_preproc_function_def] = STATE(468),
    [sym_preproc_call] = STATE(468),
    [sym__statements] = STATE(5850),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(5850),
    [sym_assignment_statement] = STATE(5850),
    [sym_pointer_association_statement] = STATE(5850),
    [sym_subroutine_call] = STATE(5850),
    [sym_keyword_statement] = STATE(5850),
    [sym_include_statement] = STATE(5850),
    [sym_do_loop_statement] = STATE(5850),
    [sym_do_label_statement] = STATE(5850),
    [sym_end_do_label_statement] = STATE(5850),
    [sym_if_statement] = STATE(5850),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5850),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5850),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5850),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5850),
    [sym_select_type_statement] = STATE(5850),
    [sym_select_rank_statement] = STATE(5850),
    [sym_block_construct] = STATE(5850),
    [sym_associate_statement] = STATE(5850),
    [sym_format_statement] = STATE(5850),
    [sym_read_statement] = STATE(5850),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5850),
    [sym_open_statement] = STATE(5850),
    [sym_close_statement] = STATE(5850),
    [sym_write_statement] = STATE(5850),
    [sym_inquire_statement] = STATE(5850),
    [sym_file_position_statement] = STATE(5850),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_preproc_include_token1] = ACTIONS(2250),
    [aux_sym_preproc_def_token1] = ACTIONS(2253),
    [sym_preproc_directive] = ACTIONS(2256),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1562),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [469] = {
    [sym_preproc_include] = STATE(472),
    [sym_preproc_def] = STATE(472),
    [sym_preproc_function_def] = STATE(472),
    [sym_preproc_call] = STATE(472),
    [sym__statements] = STATE(5543),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(5543),
    [sym_assignment_statement] = STATE(5543),
    [sym_pointer_association_statement] = STATE(5543),
    [sym_subroutine_call] = STATE(5543),
    [sym_keyword_statement] = STATE(5543),
    [sym_include_statement] = STATE(5543),
    [sym_do_loop_statement] = STATE(5543),
    [sym_do_label_statement] = STATE(5543),
    [sym_end_do_label_statement] = STATE(5543),
    [sym_if_statement] = STATE(5543),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5543),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5543),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5543),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5543),
    [sym_select_type_statement] = STATE(5543),
    [sym_select_rank_statement] = STATE(5543),
    [sym_block_construct] = STATE(5543),
    [sym_associate_statement] = STATE(5543),
    [sym_format_statement] = STATE(5543),
    [sym_read_statement] = STATE(5543),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5543),
    [sym_open_statement] = STATE(5543),
    [sym_close_statement] = STATE(5543),
    [sym_write_statement] = STATE(5543),
    [sym_inquire_statement] = STATE(5543),
    [sym_file_position_statement] = STATE(5543),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(472),
    [aux_sym_preproc_include_token1] = ACTIONS(2259),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2268),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2271),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [470] = {
    [sym_preproc_include] = STATE(471),
    [sym_preproc_def] = STATE(471),
    [sym_preproc_function_def] = STATE(471),
    [sym_preproc_call] = STATE(471),
    [sym__statements] = STATE(5543),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(5543),
    [sym_assignment_statement] = STATE(5543),
    [sym_pointer_association_statement] = STATE(5543),
    [sym_subroutine_call] = STATE(5543),
    [sym_keyword_statement] = STATE(5543),
    [sym_include_statement] = STATE(5543),
    [sym_do_loop_statement] = STATE(5543),
    [sym_do_label_statement] = STATE(5543),
    [sym_end_do_label_statement] = STATE(5543),
    [sym_if_statement] = STATE(5543),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5543),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5543),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5543),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5543),
    [sym_select_type_statement] = STATE(5543),
    [sym_select_rank_statement] = STATE(5543),
    [sym_block_construct] = STATE(5543),
    [sym_associate_statement] = STATE(5543),
    [sym_format_statement] = STATE(5543),
    [sym_read_statement] = STATE(5543),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5543),
    [sym_open_statement] = STATE(5543),
    [sym_close_statement] = STATE(5543),
    [sym_write_statement] = STATE(5543),
    [sym_inquire_statement] = STATE(5543),
    [sym_file_position_statement] = STATE(5543),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(471),
    [aux_sym_preproc_include_token1] = ACTIONS(2259),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2274),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2277),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2280),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [471] = {
    [sym_preproc_include] = STATE(471),
    [sym_preproc_def] = STATE(471),
    [sym_preproc_function_def] = STATE(471),
    [sym_preproc_call] = STATE(471),
    [sym__statements] = STATE(5543),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(5543),
    [sym_assignment_statement] = STATE(5543),
    [sym_pointer_association_statement] = STATE(5543),
    [sym_subroutine_call] = STATE(5543),
    [sym_keyword_statement] = STATE(5543),
    [sym_include_statement] = STATE(5543),
    [sym_do_loop_statement] = STATE(5543),
    [sym_do_label_statement] = STATE(5543),
    [sym_end_do_label_statement] = STATE(5543),
    [sym_if_statement] = STATE(5543),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5543),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5543),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5543),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5543),
    [sym_select_type_statement] = STATE(5543),
    [sym_select_rank_statement] = STATE(5543),
    [sym_block_construct] = STATE(5543),
    [sym_associate_statement] = STATE(5543),
    [sym_format_statement] = STATE(5543),
    [sym_read_statement] = STATE(5543),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5543),
    [sym_open_statement] = STATE(5543),
    [sym_close_statement] = STATE(5543),
    [sym_write_statement] = STATE(5543),
    [sym_inquire_statement] = STATE(5543),
    [sym_file_position_statement] = STATE(5543),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(471),
    [aux_sym_preproc_include_token1] = ACTIONS(2283),
    [aux_sym_preproc_def_token1] = ACTIONS(2286),
    [sym_preproc_directive] = ACTIONS(2289),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1576),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1582),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1582),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1582),
    [aux_sym_stop_statement_token1] = ACTIONS(1588),
    [aux_sym_stop_statement_token2] = ACTIONS(1591),
    [aux_sym_subroutine_call_token1] = ACTIONS(1594),
    [aux_sym_keyword_statement_token1] = ACTIONS(1597),
    [aux_sym_keyword_statement_token2] = ACTIONS(1600),
    [aux_sym_keyword_statement_token3] = ACTIONS(1600),
    [aux_sym_keyword_statement_token4] = ACTIONS(1603),
    [aux_sym_keyword_statement_token6] = ACTIONS(1606),
    [aux_sym_keyword_statement_token7] = ACTIONS(1597),
    [aux_sym_include_statement_token1] = ACTIONS(1609),
    [aux_sym_data_statement_token1] = ACTIONS(1582),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1615),
    [aux_sym_end_if_statement_token1] = ACTIONS(1582),
    [aux_sym_elseif_clause_token2] = ACTIONS(1582),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1621),
    [aux_sym_select_case_statement_token1] = ACTIONS(1624),
    [aux_sym_select_case_statement_token3] = ACTIONS(1627),
    [aux_sym_select_type_statement_token1] = ACTIONS(1630),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1633),
    [aux_sym_block_construct_token1] = ACTIONS(1636),
    [aux_sym_associate_statement_token1] = ACTIONS(1639),
    [aux_sym_format_statement_token1] = ACTIONS(1642),
    [aux_sym_print_statement_token1] = ACTIONS(1645),
    [aux_sym_open_statement_token1] = ACTIONS(1648),
    [aux_sym_close_statement_token1] = ACTIONS(1651),
    [aux_sym_inquire_statement_token1] = ACTIONS(1654),
    [aux_sym_file_position_statement_token1] = ACTIONS(1657),
    [aux_sym_file_position_statement_token2] = ACTIONS(1657),
    [aux_sym_file_position_statement_token3] = ACTIONS(1657),
    [aux_sym_file_position_statement_token4] = ACTIONS(1660),
    [aux_sym_logical_expression_token5] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [aux_sym_boolean_literal_token1] = ACTIONS(1675),
    [aux_sym_boolean_literal_token2] = ACTIONS(1675),
    [aux_sym_null_literal_token1] = ACTIONS(1678),
    [aux_sym_identifier_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1681),
    [sym__float_literal] = ACTIONS(1684),
    [sym__boz_literal] = ACTIONS(1684),
    [sym__string_literal] = ACTIONS(1687),
    [sym__string_literal_kind] = ACTIONS(1690),
  },
  [472] = {
    [sym_preproc_include] = STATE(471),
    [sym_preproc_def] = STATE(471),
    [sym_preproc_function_def] = STATE(471),
    [sym_preproc_call] = STATE(471),
    [sym__statements] = STATE(5543),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(5543),
    [sym_assignment_statement] = STATE(5543),
    [sym_pointer_association_statement] = STATE(5543),
    [sym_subroutine_call] = STATE(5543),
    [sym_keyword_statement] = STATE(5543),
    [sym_include_statement] = STATE(5543),
    [sym_do_loop_statement] = STATE(5543),
    [sym_do_label_statement] = STATE(5543),
    [sym_end_do_label_statement] = STATE(5543),
    [sym_if_statement] = STATE(5543),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5543),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5543),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5543),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5543),
    [sym_select_type_statement] = STATE(5543),
    [sym_select_rank_statement] = STATE(5543),
    [sym_block_construct] = STATE(5543),
    [sym_associate_statement] = STATE(5543),
    [sym_format_statement] = STATE(5543),
    [sym_read_statement] = STATE(5543),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5543),
    [sym_open_statement] = STATE(5543),
    [sym_close_statement] = STATE(5543),
    [sym_write_statement] = STATE(5543),
    [sym_inquire_statement] = STATE(5543),
    [sym_file_position_statement] = STATE(5543),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(471),
    [aux_sym_preproc_include_token1] = ACTIONS(2259),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2295),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2298),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [473] = {
    [sym_preproc_include] = STATE(470),
    [sym_preproc_def] = STATE(470),
    [sym_preproc_function_def] = STATE(470),
    [sym_preproc_call] = STATE(470),
    [sym__statements] = STATE(5543),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(5543),
    [sym_assignment_statement] = STATE(5543),
    [sym_pointer_association_statement] = STATE(5543),
    [sym_subroutine_call] = STATE(5543),
    [sym_keyword_statement] = STATE(5543),
    [sym_include_statement] = STATE(5543),
    [sym_do_loop_statement] = STATE(5543),
    [sym_do_label_statement] = STATE(5543),
    [sym_end_do_label_statement] = STATE(5543),
    [sym_if_statement] = STATE(5543),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5543),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5543),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5543),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5543),
    [sym_select_type_statement] = STATE(5543),
    [sym_select_rank_statement] = STATE(5543),
    [sym_block_construct] = STATE(5543),
    [sym_associate_statement] = STATE(5543),
    [sym_format_statement] = STATE(5543),
    [sym_read_statement] = STATE(5543),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5543),
    [sym_open_statement] = STATE(5543),
    [sym_close_statement] = STATE(5543),
    [sym_write_statement] = STATE(5543),
    [sym_inquire_statement] = STATE(5543),
    [sym_file_position_statement] = STATE(5543),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(470),
    [aux_sym_preproc_include_token1] = ACTIONS(2259),
    [aux_sym_preproc_def_token1] = ACTIONS(2261),
    [sym_preproc_directive] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(2295),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2298),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token2] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2301),
    [aux_sym_preproc_else_token1] = ACTIONS(2301),
    [aux_sym_preproc_elif_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [sym_preproc_comment] = ACTIONS(2303),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2301),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_end_program_statement_token2] = ACTIONS(2301),
    [aux_sym_module_statement_token1] = ACTIONS(2301),
    [aux_sym_submodule_statement_token1] = ACTIONS(2301),
    [aux_sym_interface_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2301),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2301),
    [aux_sym_function_statement_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token2] = ACTIONS(2301),
    [aux_sym_implicit_statement_token1] = ACTIONS(2301),
    [aux_sym_implicit_statement_token3] = ACTIONS(2301),
    [aux_sym_implicit_statement_token4] = ACTIONS(2301),
    [aux_sym_save_statement_token1] = ACTIONS(2301),
    [aux_sym_private_statement_token1] = ACTIONS(2301),
    [aux_sym_public_statement_token1] = ACTIONS(2301),
    [aux_sym_namelist_statement_token1] = ACTIONS(2301),
    [aux_sym_common_statement_token1] = ACTIONS(2301),
    [aux_sym_import_statement_token1] = ACTIONS(2301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2301),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2301),
    [aux_sym_variable_attributes_token1] = ACTIONS(2301),
    [aux_sym_variable_attributes_token2] = ACTIONS(2301),
    [aux_sym_variable_attributes_token3] = ACTIONS(2301),
    [aux_sym_variable_attributes_token4] = ACTIONS(2301),
    [aux_sym_variable_attributes_token5] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2301),
    [aux_sym_derived_type_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2301),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2301),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2301),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2301),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_subroutine_call_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_keyword_statement_token4] = ACTIONS(2301),
    [aux_sym_keyword_statement_token6] = ACTIONS(2301),
    [aux_sym_keyword_statement_token7] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token3] = ACTIONS(2301),
    [aux_sym_select_type_statement_token1] = ACTIONS(2301),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_associate_statement_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_print_statement_token1] = ACTIONS(2301),
    [aux_sym_open_statement_token1] = ACTIONS(2301),
    [aux_sym_close_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_enum_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token2] = ACTIONS(2301),
    [aux_sym_file_position_statement_token3] = ACTIONS(2301),
    [aux_sym_file_position_statement_token4] = ACTIONS(2301),
    [aux_sym_logical_expression_token5] = ACTIONS(2303),
    [anon_sym_DOT] = ACTIONS(2301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(2303),
    [aux_sym_boolean_literal_token1] = ACTIONS(2303),
    [aux_sym_boolean_literal_token2] = ACTIONS(2303),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
    [sym__float_literal] = ACTIONS(2303),
    [sym__boz_literal] = ACTIONS(2303),
    [sym__string_literal] = ACTIONS(2303),
    [sym__string_literal_kind] = ACTIONS(2303),
  },
  [475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2305),
    [aux_sym_preproc_def_token1] = ACTIONS(2305),
    [aux_sym_preproc_if_token1] = ACTIONS(2305),
    [aux_sym_preproc_if_token2] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2305),
    [aux_sym_preproc_else_token1] = ACTIONS(2305),
    [aux_sym_preproc_elif_token1] = ACTIONS(2305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2305),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2305),
    [sym_preproc_directive] = ACTIONS(2305),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [sym_preproc_comment] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token2] = ACTIONS(2305),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2305),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2305),
    [aux_sym_contains_statement_token1] = ACTIONS(2305),
    [aux_sym_use_statement_token1] = ACTIONS(2305),
    [aux_sym_use_statement_token2] = ACTIONS(2305),
    [aux_sym_implicit_statement_token1] = ACTIONS(2305),
    [aux_sym_implicit_statement_token3] = ACTIONS(2305),
    [aux_sym_implicit_statement_token4] = ACTIONS(2305),
    [aux_sym_save_statement_token1] = ACTIONS(2305),
    [aux_sym_private_statement_token1] = ACTIONS(2305),
    [aux_sym_public_statement_token1] = ACTIONS(2305),
    [aux_sym_namelist_statement_token1] = ACTIONS(2305),
    [aux_sym_common_statement_token1] = ACTIONS(2305),
    [aux_sym_import_statement_token1] = ACTIONS(2305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2305),
    [aux_sym_variable_attributes_token1] = ACTIONS(2305),
    [aux_sym_variable_attributes_token2] = ACTIONS(2305),
    [aux_sym_variable_attributes_token3] = ACTIONS(2305),
    [aux_sym_variable_attributes_token4] = ACTIONS(2305),
    [aux_sym_variable_attributes_token5] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2305),
    [aux_sym_derived_type_token1] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2305),
    [aux_sym_stop_statement_token1] = ACTIONS(2305),
    [aux_sym_stop_statement_token2] = ACTIONS(2305),
    [aux_sym_subroutine_call_token1] = ACTIONS(2305),
    [aux_sym_keyword_statement_token1] = ACTIONS(2305),
    [aux_sym_keyword_statement_token2] = ACTIONS(2305),
    [aux_sym_keyword_statement_token3] = ACTIONS(2305),
    [aux_sym_keyword_statement_token4] = ACTIONS(2305),
    [aux_sym_keyword_statement_token6] = ACTIONS(2305),
    [aux_sym_keyword_statement_token7] = ACTIONS(2305),
    [aux_sym_include_statement_token1] = ACTIONS(2305),
    [aux_sym_data_statement_token1] = ACTIONS(2305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2305),
    [aux_sym_end_if_statement_token1] = ACTIONS(2305),
    [aux_sym_elseif_clause_token2] = ACTIONS(2305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2305),
    [aux_sym_select_case_statement_token1] = ACTIONS(2305),
    [aux_sym_select_case_statement_token3] = ACTIONS(2305),
    [aux_sym_select_type_statement_token1] = ACTIONS(2305),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2305),
    [aux_sym_block_construct_token1] = ACTIONS(2305),
    [aux_sym_associate_statement_token1] = ACTIONS(2305),
    [aux_sym_format_statement_token1] = ACTIONS(2305),
    [aux_sym_print_statement_token1] = ACTIONS(2305),
    [aux_sym_open_statement_token1] = ACTIONS(2305),
    [aux_sym_close_statement_token1] = ACTIONS(2305),
    [aux_sym_inquire_statement_token1] = ACTIONS(2305),
    [aux_sym_enum_statement_token1] = ACTIONS(2305),
    [aux_sym_file_position_statement_token1] = ACTIONS(2305),
    [aux_sym_file_position_statement_token2] = ACTIONS(2305),
    [aux_sym_file_position_statement_token3] = ACTIONS(2305),
    [aux_sym_file_position_statement_token4] = ACTIONS(2305),
    [aux_sym_logical_expression_token5] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [aux_sym_boolean_literal_token1] = ACTIONS(2309),
    [aux_sym_boolean_literal_token2] = ACTIONS(2309),
    [aux_sym_null_literal_token1] = ACTIONS(2305),
    [aux_sym_identifier_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2309),
    [sym__float_literal] = ACTIONS(2309),
    [sym__boz_literal] = ACTIONS(2309),
    [sym__string_literal] = ACTIONS(2309),
    [sym__string_literal_kind] = ACTIONS(2309),
  },
  [476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2311),
    [aux_sym_preproc_def_token1] = ACTIONS(2311),
    [aux_sym_preproc_if_token1] = ACTIONS(2311),
    [aux_sym_preproc_if_token2] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2311),
    [aux_sym_preproc_else_token1] = ACTIONS(2311),
    [aux_sym_preproc_elif_token1] = ACTIONS(2311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2311),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2311),
    [sym_preproc_directive] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [sym_preproc_comment] = ACTIONS(2313),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2311),
    [aux_sym_end_program_statement_token1] = ACTIONS(2311),
    [aux_sym_end_program_statement_token2] = ACTIONS(2311),
    [aux_sym_module_statement_token1] = ACTIONS(2311),
    [aux_sym_submodule_statement_token1] = ACTIONS(2311),
    [aux_sym_interface_statement_token1] = ACTIONS(2311),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2311),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2311),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2311),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2311),
    [aux_sym_function_statement_token1] = ACTIONS(2311),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2311),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2311),
    [aux_sym_contains_statement_token1] = ACTIONS(2311),
    [aux_sym_use_statement_token1] = ACTIONS(2311),
    [aux_sym_use_statement_token2] = ACTIONS(2311),
    [aux_sym_implicit_statement_token1] = ACTIONS(2311),
    [aux_sym_implicit_statement_token3] = ACTIONS(2311),
    [aux_sym_implicit_statement_token4] = ACTIONS(2311),
    [aux_sym_save_statement_token1] = ACTIONS(2311),
    [aux_sym_private_statement_token1] = ACTIONS(2311),
    [aux_sym_public_statement_token1] = ACTIONS(2311),
    [aux_sym_namelist_statement_token1] = ACTIONS(2311),
    [aux_sym_common_statement_token1] = ACTIONS(2311),
    [aux_sym_import_statement_token1] = ACTIONS(2311),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2311),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2311),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2311),
    [aux_sym_variable_attributes_token1] = ACTIONS(2311),
    [aux_sym_variable_attributes_token2] = ACTIONS(2311),
    [aux_sym_variable_attributes_token3] = ACTIONS(2311),
    [aux_sym_variable_attributes_token4] = ACTIONS(2311),
    [aux_sym_variable_attributes_token5] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2311),
    [aux_sym_derived_type_token1] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2311),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2311),
    [aux_sym_stop_statement_token1] = ACTIONS(2311),
    [aux_sym_stop_statement_token2] = ACTIONS(2311),
    [aux_sym_subroutine_call_token1] = ACTIONS(2311),
    [aux_sym_keyword_statement_token1] = ACTIONS(2311),
    [aux_sym_keyword_statement_token2] = ACTIONS(2311),
    [aux_sym_keyword_statement_token3] = ACTIONS(2311),
    [aux_sym_keyword_statement_token4] = ACTIONS(2311),
    [aux_sym_keyword_statement_token6] = ACTIONS(2311),
    [aux_sym_keyword_statement_token7] = ACTIONS(2311),
    [aux_sym_include_statement_token1] = ACTIONS(2311),
    [aux_sym_data_statement_token1] = ACTIONS(2311),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2311),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2311),
    [aux_sym_end_if_statement_token1] = ACTIONS(2311),
    [aux_sym_elseif_clause_token2] = ACTIONS(2311),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2311),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2311),
    [aux_sym_select_case_statement_token1] = ACTIONS(2311),
    [aux_sym_select_case_statement_token3] = ACTIONS(2311),
    [aux_sym_select_type_statement_token1] = ACTIONS(2311),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2311),
    [aux_sym_block_construct_token1] = ACTIONS(2311),
    [aux_sym_associate_statement_token1] = ACTIONS(2311),
    [aux_sym_format_statement_token1] = ACTIONS(2311),
    [aux_sym_print_statement_token1] = ACTIONS(2311),
    [aux_sym_open_statement_token1] = ACTIONS(2311),
    [aux_sym_close_statement_token1] = ACTIONS(2311),
    [aux_sym_inquire_statement_token1] = ACTIONS(2311),
    [aux_sym_enum_statement_token1] = ACTIONS(2311),
    [aux_sym_file_position_statement_token1] = ACTIONS(2311),
    [aux_sym_file_position_statement_token2] = ACTIONS(2311),
    [aux_sym_file_position_statement_token3] = ACTIONS(2311),
    [aux_sym_file_position_statement_token4] = ACTIONS(2311),
    [aux_sym_logical_expression_token5] = ACTIONS(2315),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [aux_sym_boolean_literal_token1] = ACTIONS(2315),
    [aux_sym_boolean_literal_token2] = ACTIONS(2315),
    [aux_sym_null_literal_token1] = ACTIONS(2311),
    [aux_sym_identifier_token1] = ACTIONS(2311),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2315),
    [sym__float_literal] = ACTIONS(2315),
    [sym__boz_literal] = ACTIONS(2315),
    [sym__string_literal] = ACTIONS(2315),
    [sym__string_literal_kind] = ACTIONS(2315),
  },
  [477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2317),
    [aux_sym_preproc_def_token1] = ACTIONS(2317),
    [aux_sym_preproc_if_token1] = ACTIONS(2317),
    [aux_sym_preproc_if_token2] = ACTIONS(2317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2317),
    [aux_sym_preproc_else_token1] = ACTIONS(2317),
    [aux_sym_preproc_elif_token1] = ACTIONS(2317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2317),
    [sym_preproc_directive] = ACTIONS(2317),
    [anon_sym_LPAREN2] = ACTIONS(2317),
    [sym_preproc_comment] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2317),
    [aux_sym_end_program_statement_token1] = ACTIONS(2317),
    [aux_sym_end_program_statement_token2] = ACTIONS(2317),
    [aux_sym_module_statement_token1] = ACTIONS(2317),
    [aux_sym_submodule_statement_token1] = ACTIONS(2317),
    [aux_sym_interface_statement_token1] = ACTIONS(2317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2317),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2317),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2317),
    [aux_sym_function_statement_token1] = ACTIONS(2317),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2317),
    [aux_sym_contains_statement_token1] = ACTIONS(2317),
    [aux_sym_use_statement_token1] = ACTIONS(2317),
    [aux_sym_use_statement_token2] = ACTIONS(2317),
    [aux_sym_implicit_statement_token1] = ACTIONS(2317),
    [aux_sym_implicit_statement_token3] = ACTIONS(2317),
    [aux_sym_implicit_statement_token4] = ACTIONS(2317),
    [aux_sym_save_statement_token1] = ACTIONS(2317),
    [aux_sym_private_statement_token1] = ACTIONS(2317),
    [aux_sym_public_statement_token1] = ACTIONS(2317),
    [aux_sym_namelist_statement_token1] = ACTIONS(2317),
    [aux_sym_common_statement_token1] = ACTIONS(2317),
    [aux_sym_import_statement_token1] = ACTIONS(2317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2317),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2317),
    [aux_sym_variable_attributes_token1] = ACTIONS(2317),
    [aux_sym_variable_attributes_token2] = ACTIONS(2317),
    [aux_sym_variable_attributes_token3] = ACTIONS(2317),
    [aux_sym_variable_attributes_token4] = ACTIONS(2317),
    [aux_sym_variable_attributes_token5] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2317),
    [aux_sym_derived_type_token1] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2317),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2317),
    [aux_sym_stop_statement_token1] = ACTIONS(2317),
    [aux_sym_stop_statement_token2] = ACTIONS(2317),
    [aux_sym_subroutine_call_token1] = ACTIONS(2317),
    [aux_sym_keyword_statement_token1] = ACTIONS(2317),
    [aux_sym_keyword_statement_token2] = ACTIONS(2317),
    [aux_sym_keyword_statement_token3] = ACTIONS(2317),
    [aux_sym_keyword_statement_token4] = ACTIONS(2317),
    [aux_sym_keyword_statement_token6] = ACTIONS(2317),
    [aux_sym_keyword_statement_token7] = ACTIONS(2317),
    [aux_sym_include_statement_token1] = ACTIONS(2317),
    [aux_sym_data_statement_token1] = ACTIONS(2317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2317),
    [aux_sym_end_if_statement_token1] = ACTIONS(2317),
    [aux_sym_elseif_clause_token2] = ACTIONS(2317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2317),
    [aux_sym_select_case_statement_token1] = ACTIONS(2317),
    [aux_sym_select_case_statement_token3] = ACTIONS(2317),
    [aux_sym_select_type_statement_token1] = ACTIONS(2317),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2317),
    [aux_sym_block_construct_token1] = ACTIONS(2317),
    [aux_sym_associate_statement_token1] = ACTIONS(2317),
    [aux_sym_format_statement_token1] = ACTIONS(2317),
    [aux_sym_print_statement_token1] = ACTIONS(2317),
    [aux_sym_open_statement_token1] = ACTIONS(2317),
    [aux_sym_close_statement_token1] = ACTIONS(2317),
    [aux_sym_inquire_statement_token1] = ACTIONS(2317),
    [aux_sym_enum_statement_token1] = ACTIONS(2317),
    [aux_sym_file_position_statement_token1] = ACTIONS(2317),
    [aux_sym_file_position_statement_token2] = ACTIONS(2317),
    [aux_sym_file_position_statement_token3] = ACTIONS(2317),
    [aux_sym_file_position_statement_token4] = ACTIONS(2317),
    [aux_sym_logical_expression_token5] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [aux_sym_boolean_literal_token1] = ACTIONS(2321),
    [aux_sym_boolean_literal_token2] = ACTIONS(2321),
    [aux_sym_null_literal_token1] = ACTIONS(2317),
    [aux_sym_identifier_token1] = ACTIONS(2317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2321),
    [sym__float_literal] = ACTIONS(2321),
    [sym__boz_literal] = ACTIONS(2321),
    [sym__string_literal] = ACTIONS(2321),
    [sym__string_literal_kind] = ACTIONS(2321),
  },
  [478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2323),
    [aux_sym_preproc_def_token1] = ACTIONS(2323),
    [aux_sym_preproc_if_token1] = ACTIONS(2323),
    [aux_sym_preproc_if_token2] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2323),
    [aux_sym_preproc_else_token1] = ACTIONS(2323),
    [aux_sym_preproc_elif_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2323),
    [anon_sym_LPAREN2] = ACTIONS(2323),
    [sym_preproc_comment] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2323),
    [aux_sym_end_program_statement_token1] = ACTIONS(2323),
    [aux_sym_end_program_statement_token2] = ACTIONS(2323),
    [aux_sym_module_statement_token1] = ACTIONS(2323),
    [aux_sym_submodule_statement_token1] = ACTIONS(2323),
    [aux_sym_interface_statement_token1] = ACTIONS(2323),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2323),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2323),
    [aux_sym_function_statement_token1] = ACTIONS(2323),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2323),
    [aux_sym_contains_statement_token1] = ACTIONS(2323),
    [aux_sym_use_statement_token1] = ACTIONS(2323),
    [aux_sym_use_statement_token2] = ACTIONS(2323),
    [aux_sym_implicit_statement_token1] = ACTIONS(2323),
    [aux_sym_implicit_statement_token3] = ACTIONS(2323),
    [aux_sym_implicit_statement_token4] = ACTIONS(2323),
    [aux_sym_save_statement_token1] = ACTIONS(2323),
    [aux_sym_private_statement_token1] = ACTIONS(2323),
    [aux_sym_public_statement_token1] = ACTIONS(2323),
    [aux_sym_namelist_statement_token1] = ACTIONS(2323),
    [aux_sym_common_statement_token1] = ACTIONS(2323),
    [aux_sym_import_statement_token1] = ACTIONS(2323),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2323),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2323),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2323),
    [aux_sym_variable_attributes_token1] = ACTIONS(2323),
    [aux_sym_variable_attributes_token2] = ACTIONS(2323),
    [aux_sym_variable_attributes_token3] = ACTIONS(2323),
    [aux_sym_variable_attributes_token4] = ACTIONS(2323),
    [aux_sym_variable_attributes_token5] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2323),
    [aux_sym_derived_type_token1] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2323),
    [aux_sym_stop_statement_token1] = ACTIONS(2323),
    [aux_sym_stop_statement_token2] = ACTIONS(2323),
    [aux_sym_subroutine_call_token1] = ACTIONS(2323),
    [aux_sym_keyword_statement_token1] = ACTIONS(2323),
    [aux_sym_keyword_statement_token2] = ACTIONS(2323),
    [aux_sym_keyword_statement_token3] = ACTIONS(2323),
    [aux_sym_keyword_statement_token4] = ACTIONS(2323),
    [aux_sym_keyword_statement_token6] = ACTIONS(2323),
    [aux_sym_keyword_statement_token7] = ACTIONS(2323),
    [aux_sym_include_statement_token1] = ACTIONS(2323),
    [aux_sym_data_statement_token1] = ACTIONS(2323),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2323),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2323),
    [aux_sym_end_if_statement_token1] = ACTIONS(2323),
    [aux_sym_elseif_clause_token2] = ACTIONS(2323),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2323),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2323),
    [aux_sym_select_case_statement_token1] = ACTIONS(2323),
    [aux_sym_select_case_statement_token3] = ACTIONS(2323),
    [aux_sym_select_type_statement_token1] = ACTIONS(2323),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2323),
    [aux_sym_block_construct_token1] = ACTIONS(2323),
    [aux_sym_associate_statement_token1] = ACTIONS(2323),
    [aux_sym_format_statement_token1] = ACTIONS(2323),
    [aux_sym_print_statement_token1] = ACTIONS(2323),
    [aux_sym_open_statement_token1] = ACTIONS(2323),
    [aux_sym_close_statement_token1] = ACTIONS(2323),
    [aux_sym_inquire_statement_token1] = ACTIONS(2323),
    [aux_sym_enum_statement_token1] = ACTIONS(2323),
    [aux_sym_file_position_statement_token1] = ACTIONS(2323),
    [aux_sym_file_position_statement_token2] = ACTIONS(2323),
    [aux_sym_file_position_statement_token3] = ACTIONS(2323),
    [aux_sym_file_position_statement_token4] = ACTIONS(2323),
    [aux_sym_logical_expression_token5] = ACTIONS(2327),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [aux_sym_boolean_literal_token1] = ACTIONS(2327),
    [aux_sym_boolean_literal_token2] = ACTIONS(2327),
    [aux_sym_null_literal_token1] = ACTIONS(2323),
    [aux_sym_identifier_token1] = ACTIONS(2323),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2327),
    [sym__float_literal] = ACTIONS(2327),
    [sym__boz_literal] = ACTIONS(2327),
    [sym__string_literal] = ACTIONS(2327),
    [sym__string_literal_kind] = ACTIONS(2327),
  },
  [479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token2] = ACTIONS(2331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [aux_sym_preproc_else_token1] = ACTIONS(2331),
    [aux_sym_preproc_elif_token1] = ACTIONS(2331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2331),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2331),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_end_program_statement_token2] = ACTIONS(2329),
    [aux_sym_module_statement_token1] = ACTIONS(2331),
    [aux_sym_submodule_statement_token1] = ACTIONS(2331),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2331),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_function_statement_token1] = ACTIONS(2331),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2331),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token2] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [aux_sym_preproc_else_token1] = ACTIONS(2305),
    [aux_sym_preproc_elif_token1] = ACTIONS(2305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2305),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2305),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(2339),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token2] = ACTIONS(2345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [aux_sym_preproc_else_token1] = ACTIONS(2345),
    [aux_sym_preproc_elif_token1] = ACTIONS(2345),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2345),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2345),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2345),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_end_program_statement_token2] = ACTIONS(2343),
    [aux_sym_module_statement_token1] = ACTIONS(2345),
    [aux_sym_submodule_statement_token1] = ACTIONS(2345),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2345),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_function_statement_token1] = ACTIONS(2345),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2345),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token2] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [aux_sym_preproc_else_token1] = ACTIONS(2351),
    [aux_sym_preproc_elif_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2351),
    [sym_preproc_comment] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_end_program_statement_token2] = ACTIONS(2351),
    [aux_sym_module_statement_token1] = ACTIONS(2351),
    [aux_sym_submodule_statement_token1] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2351),
    [aux_sym_function_statement_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token2] = ACTIONS(2351),
    [aux_sym_implicit_statement_token1] = ACTIONS(2351),
    [aux_sym_implicit_statement_token3] = ACTIONS(2351),
    [aux_sym_implicit_statement_token4] = ACTIONS(2351),
    [aux_sym_save_statement_token1] = ACTIONS(2351),
    [aux_sym_private_statement_token1] = ACTIONS(2351),
    [aux_sym_public_statement_token1] = ACTIONS(2351),
    [aux_sym_namelist_statement_token1] = ACTIONS(2351),
    [aux_sym_common_statement_token1] = ACTIONS(2351),
    [aux_sym_import_statement_token1] = ACTIONS(2351),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2351),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2351),
    [aux_sym_variable_attributes_token1] = ACTIONS(2351),
    [aux_sym_variable_attributes_token2] = ACTIONS(2351),
    [aux_sym_variable_attributes_token3] = ACTIONS(2351),
    [aux_sym_variable_attributes_token4] = ACTIONS(2351),
    [aux_sym_variable_attributes_token5] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2351),
    [aux_sym_derived_type_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2351),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2351),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2351),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2351),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_subroutine_call_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_keyword_statement_token4] = ACTIONS(2351),
    [aux_sym_keyword_statement_token6] = ACTIONS(2351),
    [aux_sym_keyword_statement_token7] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2351),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token3] = ACTIONS(2351),
    [aux_sym_select_type_statement_token1] = ACTIONS(2351),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_associate_statement_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_print_statement_token1] = ACTIONS(2351),
    [aux_sym_open_statement_token1] = ACTIONS(2351),
    [aux_sym_close_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_enum_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token2] = ACTIONS(2351),
    [aux_sym_file_position_statement_token3] = ACTIONS(2351),
    [aux_sym_file_position_statement_token4] = ACTIONS(2351),
    [aux_sym_logical_expression_token5] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_boolean_literal_token1] = ACTIONS(2353),
    [aux_sym_boolean_literal_token2] = ACTIONS(2353),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
    [sym__float_literal] = ACTIONS(2353),
    [sym__boz_literal] = ACTIONS(2353),
    [sym__string_literal] = ACTIONS(2353),
    [sym__string_literal_kind] = ACTIONS(2353),
  },
  [483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2355),
    [aux_sym_preproc_def_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token2] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2355),
    [aux_sym_preproc_else_token1] = ACTIONS(2355),
    [aux_sym_preproc_elif_token1] = ACTIONS(2355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2355),
    [sym_preproc_comment] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token2] = ACTIONS(2355),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2355),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2355),
    [aux_sym_contains_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token2] = ACTIONS(2355),
    [aux_sym_implicit_statement_token1] = ACTIONS(2355),
    [aux_sym_implicit_statement_token3] = ACTIONS(2355),
    [aux_sym_implicit_statement_token4] = ACTIONS(2355),
    [aux_sym_save_statement_token1] = ACTIONS(2355),
    [aux_sym_private_statement_token1] = ACTIONS(2355),
    [aux_sym_public_statement_token1] = ACTIONS(2355),
    [aux_sym_namelist_statement_token1] = ACTIONS(2355),
    [aux_sym_common_statement_token1] = ACTIONS(2355),
    [aux_sym_import_statement_token1] = ACTIONS(2355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2355),
    [aux_sym_variable_attributes_token1] = ACTIONS(2355),
    [aux_sym_variable_attributes_token2] = ACTIONS(2355),
    [aux_sym_variable_attributes_token3] = ACTIONS(2355),
    [aux_sym_variable_attributes_token4] = ACTIONS(2355),
    [aux_sym_variable_attributes_token5] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2355),
    [aux_sym_derived_type_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token2] = ACTIONS(2355),
    [aux_sym_subroutine_call_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token2] = ACTIONS(2355),
    [aux_sym_keyword_statement_token3] = ACTIONS(2355),
    [aux_sym_keyword_statement_token4] = ACTIONS(2355),
    [aux_sym_keyword_statement_token6] = ACTIONS(2355),
    [aux_sym_keyword_statement_token7] = ACTIONS(2355),
    [aux_sym_include_statement_token1] = ACTIONS(2355),
    [aux_sym_data_statement_token1] = ACTIONS(2355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2355),
    [aux_sym_end_if_statement_token1] = ACTIONS(2355),
    [aux_sym_elseif_clause_token2] = ACTIONS(2355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token3] = ACTIONS(2355),
    [aux_sym_select_type_statement_token1] = ACTIONS(2355),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2355),
    [aux_sym_block_construct_token1] = ACTIONS(2355),
    [aux_sym_associate_statement_token1] = ACTIONS(2355),
    [aux_sym_format_statement_token1] = ACTIONS(2355),
    [aux_sym_print_statement_token1] = ACTIONS(2355),
    [aux_sym_open_statement_token1] = ACTIONS(2355),
    [aux_sym_close_statement_token1] = ACTIONS(2355),
    [aux_sym_inquire_statement_token1] = ACTIONS(2355),
    [aux_sym_enum_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token2] = ACTIONS(2355),
    [aux_sym_file_position_statement_token3] = ACTIONS(2355),
    [aux_sym_file_position_statement_token4] = ACTIONS(2355),
    [aux_sym_logical_expression_token5] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [aux_sym_boolean_literal_token1] = ACTIONS(2359),
    [aux_sym_boolean_literal_token2] = ACTIONS(2359),
    [aux_sym_null_literal_token1] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2359),
    [sym__float_literal] = ACTIONS(2359),
    [sym__boz_literal] = ACTIONS(2359),
    [sym__string_literal] = ACTIONS(2359),
    [sym__string_literal_kind] = ACTIONS(2359),
  },
  [484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token2] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [aux_sym_preproc_else_token1] = ACTIONS(2361),
    [aux_sym_preproc_elif_token1] = ACTIONS(2361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2361),
    [sym_preproc_comment] = ACTIONS(2363),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2361),
    [aux_sym_end_program_statement_token1] = ACTIONS(2361),
    [aux_sym_end_program_statement_token2] = ACTIONS(2361),
    [aux_sym_module_statement_token1] = ACTIONS(2361),
    [aux_sym_submodule_statement_token1] = ACTIONS(2361),
    [aux_sym_interface_statement_token1] = ACTIONS(2361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2361),
    [aux_sym_function_statement_token1] = ACTIONS(2361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2361),
    [aux_sym_contains_statement_token1] = ACTIONS(2361),
    [aux_sym_use_statement_token1] = ACTIONS(2361),
    [aux_sym_use_statement_token2] = ACTIONS(2361),
    [aux_sym_implicit_statement_token1] = ACTIONS(2361),
    [aux_sym_implicit_statement_token3] = ACTIONS(2361),
    [aux_sym_implicit_statement_token4] = ACTIONS(2361),
    [aux_sym_save_statement_token1] = ACTIONS(2361),
    [aux_sym_private_statement_token1] = ACTIONS(2361),
    [aux_sym_public_statement_token1] = ACTIONS(2361),
    [aux_sym_namelist_statement_token1] = ACTIONS(2361),
    [aux_sym_common_statement_token1] = ACTIONS(2361),
    [aux_sym_import_statement_token1] = ACTIONS(2361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2361),
    [aux_sym_variable_attributes_token1] = ACTIONS(2361),
    [aux_sym_variable_attributes_token2] = ACTIONS(2361),
    [aux_sym_variable_attributes_token3] = ACTIONS(2361),
    [aux_sym_variable_attributes_token4] = ACTIONS(2361),
    [aux_sym_variable_attributes_token5] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2361),
    [aux_sym_derived_type_token1] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2361),
    [aux_sym_stop_statement_token1] = ACTIONS(2361),
    [aux_sym_stop_statement_token2] = ACTIONS(2361),
    [aux_sym_subroutine_call_token1] = ACTIONS(2361),
    [aux_sym_keyword_statement_token1] = ACTIONS(2361),
    [aux_sym_keyword_statement_token2] = ACTIONS(2361),
    [aux_sym_keyword_statement_token3] = ACTIONS(2361),
    [aux_sym_keyword_statement_token4] = ACTIONS(2361),
    [aux_sym_keyword_statement_token6] = ACTIONS(2361),
    [aux_sym_keyword_statement_token7] = ACTIONS(2361),
    [aux_sym_include_statement_token1] = ACTIONS(2361),
    [aux_sym_data_statement_token1] = ACTIONS(2361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2361),
    [aux_sym_end_if_statement_token1] = ACTIONS(2361),
    [aux_sym_elseif_clause_token2] = ACTIONS(2361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2361),
    [aux_sym_select_case_statement_token1] = ACTIONS(2361),
    [aux_sym_select_case_statement_token3] = ACTIONS(2361),
    [aux_sym_select_type_statement_token1] = ACTIONS(2361),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2361),
    [aux_sym_block_construct_token1] = ACTIONS(2361),
    [aux_sym_associate_statement_token1] = ACTIONS(2361),
    [aux_sym_format_statement_token1] = ACTIONS(2361),
    [aux_sym_print_statement_token1] = ACTIONS(2361),
    [aux_sym_open_statement_token1] = ACTIONS(2361),
    [aux_sym_close_statement_token1] = ACTIONS(2361),
    [aux_sym_inquire_statement_token1] = ACTIONS(2361),
    [aux_sym_enum_statement_token1] = ACTIONS(2361),
    [aux_sym_file_position_statement_token1] = ACTIONS(2361),
    [aux_sym_file_position_statement_token2] = ACTIONS(2361),
    [aux_sym_file_position_statement_token3] = ACTIONS(2361),
    [aux_sym_file_position_statement_token4] = ACTIONS(2361),
    [aux_sym_logical_expression_token5] = ACTIONS(2365),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [aux_sym_boolean_literal_token1] = ACTIONS(2365),
    [aux_sym_boolean_literal_token2] = ACTIONS(2365),
    [aux_sym_null_literal_token1] = ACTIONS(2361),
    [aux_sym_identifier_token1] = ACTIONS(2361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2365),
    [sym__float_literal] = ACTIONS(2365),
    [sym__boz_literal] = ACTIONS(2365),
    [sym__string_literal] = ACTIONS(2365),
    [sym__string_literal_kind] = ACTIONS(2365),
  },
  [485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2367),
    [aux_sym_preproc_def_token1] = ACTIONS(2367),
    [aux_sym_preproc_if_token1] = ACTIONS(2367),
    [aux_sym_preproc_if_token2] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2367),
    [aux_sym_preproc_else_token1] = ACTIONS(2367),
    [aux_sym_preproc_elif_token1] = ACTIONS(2367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2367),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(2367),
    [sym_preproc_comment] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token2] = ACTIONS(2367),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2367),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2367),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2367),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2367),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2367),
    [aux_sym_contains_statement_token1] = ACTIONS(2367),
    [aux_sym_use_statement_token1] = ACTIONS(2367),
    [aux_sym_use_statement_token2] = ACTIONS(2367),
    [aux_sym_implicit_statement_token1] = ACTIONS(2367),
    [aux_sym_implicit_statement_token3] = ACTIONS(2367),
    [aux_sym_implicit_statement_token4] = ACTIONS(2367),
    [aux_sym_save_statement_token1] = ACTIONS(2367),
    [aux_sym_private_statement_token1] = ACTIONS(2367),
    [aux_sym_public_statement_token1] = ACTIONS(2367),
    [aux_sym_namelist_statement_token1] = ACTIONS(2367),
    [aux_sym_common_statement_token1] = ACTIONS(2367),
    [aux_sym_import_statement_token1] = ACTIONS(2367),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2367),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2367),
    [aux_sym_variable_attributes_token1] = ACTIONS(2367),
    [aux_sym_variable_attributes_token2] = ACTIONS(2367),
    [aux_sym_variable_attributes_token3] = ACTIONS(2367),
    [aux_sym_variable_attributes_token4] = ACTIONS(2367),
    [aux_sym_variable_attributes_token5] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2367),
    [aux_sym_derived_type_token1] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2367),
    [aux_sym_stop_statement_token1] = ACTIONS(2367),
    [aux_sym_stop_statement_token2] = ACTIONS(2367),
    [aux_sym_subroutine_call_token1] = ACTIONS(2367),
    [aux_sym_keyword_statement_token1] = ACTIONS(2367),
    [aux_sym_keyword_statement_token2] = ACTIONS(2367),
    [aux_sym_keyword_statement_token3] = ACTIONS(2367),
    [aux_sym_keyword_statement_token4] = ACTIONS(2367),
    [aux_sym_keyword_statement_token6] = ACTIONS(2367),
    [aux_sym_keyword_statement_token7] = ACTIONS(2367),
    [aux_sym_include_statement_token1] = ACTIONS(2367),
    [aux_sym_data_statement_token1] = ACTIONS(2367),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2367),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2367),
    [aux_sym_end_if_statement_token1] = ACTIONS(2367),
    [aux_sym_elseif_clause_token2] = ACTIONS(2367),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2367),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2367),
    [aux_sym_select_case_statement_token1] = ACTIONS(2367),
    [aux_sym_select_case_statement_token3] = ACTIONS(2367),
    [aux_sym_select_type_statement_token1] = ACTIONS(2367),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2367),
    [aux_sym_block_construct_token1] = ACTIONS(2367),
    [aux_sym_associate_statement_token1] = ACTIONS(2367),
    [aux_sym_format_statement_token1] = ACTIONS(2367),
    [aux_sym_print_statement_token1] = ACTIONS(2367),
    [aux_sym_open_statement_token1] = ACTIONS(2367),
    [aux_sym_close_statement_token1] = ACTIONS(2367),
    [aux_sym_inquire_statement_token1] = ACTIONS(2367),
    [aux_sym_enum_statement_token1] = ACTIONS(2367),
    [aux_sym_file_position_statement_token1] = ACTIONS(2367),
    [aux_sym_file_position_statement_token2] = ACTIONS(2367),
    [aux_sym_file_position_statement_token3] = ACTIONS(2367),
    [aux_sym_file_position_statement_token4] = ACTIONS(2367),
    [aux_sym_logical_expression_token5] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(2367),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2371),
    [aux_sym_boolean_literal_token1] = ACTIONS(2371),
    [aux_sym_boolean_literal_token2] = ACTIONS(2371),
    [aux_sym_null_literal_token1] = ACTIONS(2367),
    [aux_sym_identifier_token1] = ACTIONS(2367),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2371),
    [sym__float_literal] = ACTIONS(2371),
    [sym__boz_literal] = ACTIONS(2371),
    [sym__string_literal] = ACTIONS(2371),
    [sym__string_literal_kind] = ACTIONS(2371),
  },
  [486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token2] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [aux_sym_preproc_else_token1] = ACTIONS(2367),
    [aux_sym_preproc_elif_token1] = ACTIONS(2367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2367),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(2375),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2379),
    [aux_sym_preproc_def_token1] = ACTIONS(2379),
    [aux_sym_preproc_if_token1] = ACTIONS(2379),
    [aux_sym_preproc_if_token2] = ACTIONS(2379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2379),
    [aux_sym_preproc_else_token1] = ACTIONS(2379),
    [aux_sym_preproc_elif_token1] = ACTIONS(2379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2379),
    [sym_preproc_directive] = ACTIONS(2379),
    [anon_sym_LPAREN2] = ACTIONS(2379),
    [sym_preproc_comment] = ACTIONS(2381),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2379),
    [aux_sym_end_program_statement_token1] = ACTIONS(2379),
    [aux_sym_end_program_statement_token2] = ACTIONS(2379),
    [aux_sym_module_statement_token1] = ACTIONS(2379),
    [aux_sym_submodule_statement_token1] = ACTIONS(2379),
    [aux_sym_interface_statement_token1] = ACTIONS(2379),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2379),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2379),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2379),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2379),
    [aux_sym_function_statement_token1] = ACTIONS(2379),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2379),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2379),
    [aux_sym_contains_statement_token1] = ACTIONS(2379),
    [aux_sym_use_statement_token1] = ACTIONS(2379),
    [aux_sym_use_statement_token2] = ACTIONS(2379),
    [aux_sym_implicit_statement_token1] = ACTIONS(2379),
    [aux_sym_implicit_statement_token3] = ACTIONS(2379),
    [aux_sym_implicit_statement_token4] = ACTIONS(2379),
    [aux_sym_save_statement_token1] = ACTIONS(2379),
    [aux_sym_private_statement_token1] = ACTIONS(2379),
    [aux_sym_public_statement_token1] = ACTIONS(2379),
    [aux_sym_namelist_statement_token1] = ACTIONS(2379),
    [aux_sym_common_statement_token1] = ACTIONS(2379),
    [aux_sym_import_statement_token1] = ACTIONS(2379),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2379),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2379),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2379),
    [aux_sym_variable_attributes_token1] = ACTIONS(2379),
    [aux_sym_variable_attributes_token2] = ACTIONS(2379),
    [aux_sym_variable_attributes_token3] = ACTIONS(2379),
    [aux_sym_variable_attributes_token4] = ACTIONS(2379),
    [aux_sym_variable_attributes_token5] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2379),
    [aux_sym_derived_type_token1] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2379),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2379),
    [aux_sym_stop_statement_token1] = ACTIONS(2379),
    [aux_sym_stop_statement_token2] = ACTIONS(2379),
    [aux_sym_subroutine_call_token1] = ACTIONS(2379),
    [aux_sym_keyword_statement_token1] = ACTIONS(2379),
    [aux_sym_keyword_statement_token2] = ACTIONS(2379),
    [aux_sym_keyword_statement_token3] = ACTIONS(2379),
    [aux_sym_keyword_statement_token4] = ACTIONS(2379),
    [aux_sym_keyword_statement_token6] = ACTIONS(2379),
    [aux_sym_keyword_statement_token7] = ACTIONS(2379),
    [aux_sym_include_statement_token1] = ACTIONS(2379),
    [aux_sym_data_statement_token1] = ACTIONS(2379),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2379),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2379),
    [aux_sym_end_if_statement_token1] = ACTIONS(2379),
    [aux_sym_elseif_clause_token2] = ACTIONS(2379),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2379),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2379),
    [aux_sym_select_case_statement_token1] = ACTIONS(2379),
    [aux_sym_select_case_statement_token3] = ACTIONS(2379),
    [aux_sym_select_type_statement_token1] = ACTIONS(2379),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2379),
    [aux_sym_block_construct_token1] = ACTIONS(2379),
    [aux_sym_associate_statement_token1] = ACTIONS(2379),
    [aux_sym_format_statement_token1] = ACTIONS(2379),
    [aux_sym_print_statement_token1] = ACTIONS(2379),
    [aux_sym_open_statement_token1] = ACTIONS(2379),
    [aux_sym_close_statement_token1] = ACTIONS(2379),
    [aux_sym_inquire_statement_token1] = ACTIONS(2379),
    [aux_sym_enum_statement_token1] = ACTIONS(2379),
    [aux_sym_file_position_statement_token1] = ACTIONS(2379),
    [aux_sym_file_position_statement_token2] = ACTIONS(2379),
    [aux_sym_file_position_statement_token3] = ACTIONS(2379),
    [aux_sym_file_position_statement_token4] = ACTIONS(2379),
    [aux_sym_logical_expression_token5] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [aux_sym_boolean_literal_token1] = ACTIONS(2383),
    [aux_sym_boolean_literal_token2] = ACTIONS(2383),
    [aux_sym_null_literal_token1] = ACTIONS(2379),
    [aux_sym_identifier_token1] = ACTIONS(2379),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2383),
    [sym__float_literal] = ACTIONS(2383),
    [sym__boz_literal] = ACTIONS(2383),
    [sym__string_literal] = ACTIONS(2383),
    [sym__string_literal_kind] = ACTIONS(2383),
  },
  [488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token2] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2385),
    [aux_sym_preproc_else_token1] = ACTIONS(2385),
    [aux_sym_preproc_elif_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [anon_sym_LPAREN2] = ACTIONS(2385),
    [sym_preproc_comment] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2385),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_end_program_statement_token2] = ACTIONS(2385),
    [aux_sym_module_statement_token1] = ACTIONS(2385),
    [aux_sym_submodule_statement_token1] = ACTIONS(2385),
    [aux_sym_interface_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2385),
    [aux_sym_function_statement_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token2] = ACTIONS(2385),
    [aux_sym_implicit_statement_token1] = ACTIONS(2385),
    [aux_sym_implicit_statement_token3] = ACTIONS(2385),
    [aux_sym_implicit_statement_token4] = ACTIONS(2385),
    [aux_sym_save_statement_token1] = ACTIONS(2385),
    [aux_sym_private_statement_token1] = ACTIONS(2385),
    [aux_sym_public_statement_token1] = ACTIONS(2385),
    [aux_sym_namelist_statement_token1] = ACTIONS(2385),
    [aux_sym_common_statement_token1] = ACTIONS(2385),
    [aux_sym_import_statement_token1] = ACTIONS(2385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2385),
    [aux_sym_variable_attributes_token1] = ACTIONS(2385),
    [aux_sym_variable_attributes_token2] = ACTIONS(2385),
    [aux_sym_variable_attributes_token3] = ACTIONS(2385),
    [aux_sym_variable_attributes_token4] = ACTIONS(2385),
    [aux_sym_variable_attributes_token5] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2385),
    [aux_sym_derived_type_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2385),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2385),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2385),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_subroutine_call_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_keyword_statement_token4] = ACTIONS(2385),
    [aux_sym_keyword_statement_token6] = ACTIONS(2385),
    [aux_sym_keyword_statement_token7] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token3] = ACTIONS(2385),
    [aux_sym_select_type_statement_token1] = ACTIONS(2385),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_associate_statement_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_print_statement_token1] = ACTIONS(2385),
    [aux_sym_open_statement_token1] = ACTIONS(2385),
    [aux_sym_close_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_enum_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token2] = ACTIONS(2385),
    [aux_sym_file_position_statement_token3] = ACTIONS(2385),
    [aux_sym_file_position_statement_token4] = ACTIONS(2385),
    [aux_sym_logical_expression_token5] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [aux_sym_boolean_literal_token1] = ACTIONS(2387),
    [aux_sym_boolean_literal_token2] = ACTIONS(2387),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
    [sym__float_literal] = ACTIONS(2387),
    [sym__boz_literal] = ACTIONS(2387),
    [sym__string_literal] = ACTIONS(2387),
    [sym__string_literal_kind] = ACTIONS(2387),
  },
  [489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token2] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [aux_sym_preproc_else_token1] = ACTIONS(2389),
    [aux_sym_preproc_elif_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [anon_sym_LPAREN2] = ACTIONS(2389),
    [sym_preproc_comment] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2389),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_end_program_statement_token2] = ACTIONS(2389),
    [aux_sym_module_statement_token1] = ACTIONS(2389),
    [aux_sym_submodule_statement_token1] = ACTIONS(2389),
    [aux_sym_interface_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2389),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2389),
    [aux_sym_function_statement_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token2] = ACTIONS(2389),
    [aux_sym_implicit_statement_token1] = ACTIONS(2389),
    [aux_sym_implicit_statement_token3] = ACTIONS(2389),
    [aux_sym_implicit_statement_token4] = ACTIONS(2389),
    [aux_sym_save_statement_token1] = ACTIONS(2389),
    [aux_sym_private_statement_token1] = ACTIONS(2389),
    [aux_sym_public_statement_token1] = ACTIONS(2389),
    [aux_sym_namelist_statement_token1] = ACTIONS(2389),
    [aux_sym_common_statement_token1] = ACTIONS(2389),
    [aux_sym_import_statement_token1] = ACTIONS(2389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2389),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2389),
    [aux_sym_variable_attributes_token1] = ACTIONS(2389),
    [aux_sym_variable_attributes_token2] = ACTIONS(2389),
    [aux_sym_variable_attributes_token3] = ACTIONS(2389),
    [aux_sym_variable_attributes_token4] = ACTIONS(2389),
    [aux_sym_variable_attributes_token5] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2389),
    [aux_sym_derived_type_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2389),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2389),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2389),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2389),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_subroutine_call_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_keyword_statement_token4] = ACTIONS(2389),
    [aux_sym_keyword_statement_token6] = ACTIONS(2389),
    [aux_sym_keyword_statement_token7] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token3] = ACTIONS(2389),
    [aux_sym_select_type_statement_token1] = ACTIONS(2389),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_associate_statement_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_print_statement_token1] = ACTIONS(2389),
    [aux_sym_open_statement_token1] = ACTIONS(2389),
    [aux_sym_close_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_enum_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token2] = ACTIONS(2389),
    [aux_sym_file_position_statement_token3] = ACTIONS(2389),
    [aux_sym_file_position_statement_token4] = ACTIONS(2389),
    [aux_sym_logical_expression_token5] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [aux_sym_boolean_literal_token1] = ACTIONS(2391),
    [aux_sym_boolean_literal_token2] = ACTIONS(2391),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
    [sym__float_literal] = ACTIONS(2391),
    [sym__boz_literal] = ACTIONS(2391),
    [sym__string_literal] = ACTIONS(2391),
    [sym__string_literal_kind] = ACTIONS(2391),
  },
  [490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2393),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token2] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2393),
    [aux_sym_preproc_else_token1] = ACTIONS(2393),
    [aux_sym_preproc_elif_token1] = ACTIONS(2393),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(2393),
    [sym_preproc_comment] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token2] = ACTIONS(2393),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2393),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2393),
    [aux_sym_contains_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token2] = ACTIONS(2393),
    [aux_sym_implicit_statement_token1] = ACTIONS(2393),
    [aux_sym_implicit_statement_token3] = ACTIONS(2393),
    [aux_sym_implicit_statement_token4] = ACTIONS(2393),
    [aux_sym_save_statement_token1] = ACTIONS(2393),
    [aux_sym_private_statement_token1] = ACTIONS(2393),
    [aux_sym_public_statement_token1] = ACTIONS(2393),
    [aux_sym_namelist_statement_token1] = ACTIONS(2393),
    [aux_sym_common_statement_token1] = ACTIONS(2393),
    [aux_sym_import_statement_token1] = ACTIONS(2393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2393),
    [aux_sym_variable_attributes_token1] = ACTIONS(2393),
    [aux_sym_variable_attributes_token2] = ACTIONS(2393),
    [aux_sym_variable_attributes_token3] = ACTIONS(2393),
    [aux_sym_variable_attributes_token4] = ACTIONS(2393),
    [aux_sym_variable_attributes_token5] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2393),
    [aux_sym_derived_type_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token2] = ACTIONS(2393),
    [aux_sym_subroutine_call_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token2] = ACTIONS(2393),
    [aux_sym_keyword_statement_token3] = ACTIONS(2393),
    [aux_sym_keyword_statement_token4] = ACTIONS(2393),
    [aux_sym_keyword_statement_token6] = ACTIONS(2393),
    [aux_sym_keyword_statement_token7] = ACTIONS(2393),
    [aux_sym_include_statement_token1] = ACTIONS(2393),
    [aux_sym_data_statement_token1] = ACTIONS(2393),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2393),
    [aux_sym_end_if_statement_token1] = ACTIONS(2393),
    [aux_sym_elseif_clause_token2] = ACTIONS(2393),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2393),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token3] = ACTIONS(2393),
    [aux_sym_select_type_statement_token1] = ACTIONS(2393),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2393),
    [aux_sym_block_construct_token1] = ACTIONS(2393),
    [aux_sym_associate_statement_token1] = ACTIONS(2393),
    [aux_sym_format_statement_token1] = ACTIONS(2393),
    [aux_sym_print_statement_token1] = ACTIONS(2393),
    [aux_sym_open_statement_token1] = ACTIONS(2393),
    [aux_sym_close_statement_token1] = ACTIONS(2393),
    [aux_sym_inquire_statement_token1] = ACTIONS(2393),
    [aux_sym_enum_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token2] = ACTIONS(2393),
    [aux_sym_file_position_statement_token3] = ACTIONS(2393),
    [aux_sym_file_position_statement_token4] = ACTIONS(2393),
    [aux_sym_logical_expression_token5] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [aux_sym_boolean_literal_token1] = ACTIONS(2397),
    [aux_sym_boolean_literal_token2] = ACTIONS(2397),
    [aux_sym_null_literal_token1] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2397),
    [sym__float_literal] = ACTIONS(2397),
    [sym__boz_literal] = ACTIONS(2397),
    [sym__string_literal] = ACTIONS(2397),
    [sym__string_literal_kind] = ACTIONS(2397),
  },
  [491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2399),
    [aux_sym_preproc_def_token1] = ACTIONS(2399),
    [aux_sym_preproc_if_token1] = ACTIONS(2399),
    [aux_sym_preproc_if_token2] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2399),
    [aux_sym_preproc_else_token1] = ACTIONS(2399),
    [aux_sym_preproc_elif_token1] = ACTIONS(2399),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2399),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2399),
    [sym_preproc_directive] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(2399),
    [sym_preproc_comment] = ACTIONS(2401),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2399),
    [aux_sym_end_program_statement_token1] = ACTIONS(2399),
    [aux_sym_end_program_statement_token2] = ACTIONS(2399),
    [aux_sym_module_statement_token1] = ACTIONS(2399),
    [aux_sym_submodule_statement_token1] = ACTIONS(2399),
    [aux_sym_interface_statement_token1] = ACTIONS(2399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2399),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2399),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2399),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2399),
    [aux_sym_function_statement_token1] = ACTIONS(2399),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2399),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2399),
    [aux_sym_contains_statement_token1] = ACTIONS(2399),
    [aux_sym_use_statement_token1] = ACTIONS(2399),
    [aux_sym_use_statement_token2] = ACTIONS(2399),
    [aux_sym_implicit_statement_token1] = ACTIONS(2399),
    [aux_sym_implicit_statement_token3] = ACTIONS(2399),
    [aux_sym_implicit_statement_token4] = ACTIONS(2399),
    [aux_sym_save_statement_token1] = ACTIONS(2399),
    [aux_sym_private_statement_token1] = ACTIONS(2399),
    [aux_sym_public_statement_token1] = ACTIONS(2399),
    [aux_sym_namelist_statement_token1] = ACTIONS(2399),
    [aux_sym_common_statement_token1] = ACTIONS(2399),
    [aux_sym_import_statement_token1] = ACTIONS(2399),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2399),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2399),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2399),
    [aux_sym_variable_attributes_token1] = ACTIONS(2399),
    [aux_sym_variable_attributes_token2] = ACTIONS(2399),
    [aux_sym_variable_attributes_token3] = ACTIONS(2399),
    [aux_sym_variable_attributes_token4] = ACTIONS(2399),
    [aux_sym_variable_attributes_token5] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2399),
    [aux_sym_derived_type_token1] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2399),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2399),
    [aux_sym_stop_statement_token1] = ACTIONS(2399),
    [aux_sym_stop_statement_token2] = ACTIONS(2399),
    [aux_sym_subroutine_call_token1] = ACTIONS(2399),
    [aux_sym_keyword_statement_token1] = ACTIONS(2399),
    [aux_sym_keyword_statement_token2] = ACTIONS(2399),
    [aux_sym_keyword_statement_token3] = ACTIONS(2399),
    [aux_sym_keyword_statement_token4] = ACTIONS(2399),
    [aux_sym_keyword_statement_token6] = ACTIONS(2399),
    [aux_sym_keyword_statement_token7] = ACTIONS(2399),
    [aux_sym_include_statement_token1] = ACTIONS(2399),
    [aux_sym_data_statement_token1] = ACTIONS(2399),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2399),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2399),
    [aux_sym_end_if_statement_token1] = ACTIONS(2399),
    [aux_sym_elseif_clause_token2] = ACTIONS(2399),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2399),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2399),
    [aux_sym_select_case_statement_token1] = ACTIONS(2399),
    [aux_sym_select_case_statement_token3] = ACTIONS(2399),
    [aux_sym_select_type_statement_token1] = ACTIONS(2399),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2399),
    [aux_sym_block_construct_token1] = ACTIONS(2399),
    [aux_sym_associate_statement_token1] = ACTIONS(2399),
    [aux_sym_format_statement_token1] = ACTIONS(2399),
    [aux_sym_print_statement_token1] = ACTIONS(2399),
    [aux_sym_open_statement_token1] = ACTIONS(2399),
    [aux_sym_close_statement_token1] = ACTIONS(2399),
    [aux_sym_inquire_statement_token1] = ACTIONS(2399),
    [aux_sym_enum_statement_token1] = ACTIONS(2399),
    [aux_sym_file_position_statement_token1] = ACTIONS(2399),
    [aux_sym_file_position_statement_token2] = ACTIONS(2399),
    [aux_sym_file_position_statement_token3] = ACTIONS(2399),
    [aux_sym_file_position_statement_token4] = ACTIONS(2399),
    [aux_sym_logical_expression_token5] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2399),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [aux_sym_boolean_literal_token1] = ACTIONS(2403),
    [aux_sym_boolean_literal_token2] = ACTIONS(2403),
    [aux_sym_null_literal_token1] = ACTIONS(2399),
    [aux_sym_identifier_token1] = ACTIONS(2399),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2403),
    [sym__float_literal] = ACTIONS(2403),
    [sym__boz_literal] = ACTIONS(2403),
    [sym__string_literal] = ACTIONS(2403),
    [sym__string_literal_kind] = ACTIONS(2403),
  },
  [492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2405),
    [aux_sym_preproc_def_token1] = ACTIONS(2405),
    [aux_sym_preproc_if_token1] = ACTIONS(2405),
    [aux_sym_preproc_if_token2] = ACTIONS(2405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2405),
    [aux_sym_preproc_else_token1] = ACTIONS(2405),
    [aux_sym_preproc_elif_token1] = ACTIONS(2405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2405),
    [sym_preproc_directive] = ACTIONS(2405),
    [anon_sym_LPAREN2] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2405),
    [aux_sym_end_program_statement_token1] = ACTIONS(2405),
    [aux_sym_end_program_statement_token2] = ACTIONS(2405),
    [aux_sym_module_statement_token1] = ACTIONS(2405),
    [aux_sym_submodule_statement_token1] = ACTIONS(2405),
    [aux_sym_interface_statement_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2405),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2405),
    [aux_sym_function_statement_token1] = ACTIONS(2405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2405),
    [aux_sym_contains_statement_token1] = ACTIONS(2405),
    [aux_sym_use_statement_token1] = ACTIONS(2405),
    [aux_sym_use_statement_token2] = ACTIONS(2405),
    [aux_sym_implicit_statement_token1] = ACTIONS(2405),
    [aux_sym_implicit_statement_token3] = ACTIONS(2405),
    [aux_sym_implicit_statement_token4] = ACTIONS(2405),
    [aux_sym_save_statement_token1] = ACTIONS(2405),
    [aux_sym_private_statement_token1] = ACTIONS(2405),
    [aux_sym_public_statement_token1] = ACTIONS(2405),
    [aux_sym_namelist_statement_token1] = ACTIONS(2405),
    [aux_sym_common_statement_token1] = ACTIONS(2405),
    [aux_sym_import_statement_token1] = ACTIONS(2405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2405),
    [aux_sym_variable_attributes_token1] = ACTIONS(2405),
    [aux_sym_variable_attributes_token2] = ACTIONS(2405),
    [aux_sym_variable_attributes_token3] = ACTIONS(2405),
    [aux_sym_variable_attributes_token4] = ACTIONS(2405),
    [aux_sym_variable_attributes_token5] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2405),
    [aux_sym_derived_type_token1] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2405),
    [aux_sym_stop_statement_token1] = ACTIONS(2405),
    [aux_sym_stop_statement_token2] = ACTIONS(2405),
    [aux_sym_subroutine_call_token1] = ACTIONS(2405),
    [aux_sym_keyword_statement_token1] = ACTIONS(2405),
    [aux_sym_keyword_statement_token2] = ACTIONS(2405),
    [aux_sym_keyword_statement_token3] = ACTIONS(2405),
    [aux_sym_keyword_statement_token4] = ACTIONS(2405),
    [aux_sym_keyword_statement_token6] = ACTIONS(2405),
    [aux_sym_keyword_statement_token7] = ACTIONS(2405),
    [aux_sym_include_statement_token1] = ACTIONS(2405),
    [aux_sym_data_statement_token1] = ACTIONS(2405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2405),
    [aux_sym_end_if_statement_token1] = ACTIONS(2405),
    [aux_sym_elseif_clause_token2] = ACTIONS(2405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2405),
    [aux_sym_select_case_statement_token1] = ACTIONS(2405),
    [aux_sym_select_case_statement_token3] = ACTIONS(2405),
    [aux_sym_select_type_statement_token1] = ACTIONS(2405),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2405),
    [aux_sym_block_construct_token1] = ACTIONS(2405),
    [aux_sym_associate_statement_token1] = ACTIONS(2405),
    [aux_sym_format_statement_token1] = ACTIONS(2405),
    [aux_sym_print_statement_token1] = ACTIONS(2405),
    [aux_sym_open_statement_token1] = ACTIONS(2405),
    [aux_sym_close_statement_token1] = ACTIONS(2405),
    [aux_sym_inquire_statement_token1] = ACTIONS(2405),
    [aux_sym_enum_statement_token1] = ACTIONS(2405),
    [aux_sym_file_position_statement_token1] = ACTIONS(2405),
    [aux_sym_file_position_statement_token2] = ACTIONS(2405),
    [aux_sym_file_position_statement_token3] = ACTIONS(2405),
    [aux_sym_file_position_statement_token4] = ACTIONS(2405),
    [aux_sym_logical_expression_token5] = ACTIONS(2407),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_boolean_literal_token1] = ACTIONS(2407),
    [aux_sym_boolean_literal_token2] = ACTIONS(2407),
    [aux_sym_null_literal_token1] = ACTIONS(2405),
    [aux_sym_identifier_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2407),
    [sym__float_literal] = ACTIONS(2407),
    [sym__boz_literal] = ACTIONS(2407),
    [sym__string_literal] = ACTIONS(2407),
    [sym__string_literal_kind] = ACTIONS(2407),
  },
  [493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2409),
    [aux_sym_preproc_def_token1] = ACTIONS(2409),
    [aux_sym_preproc_if_token1] = ACTIONS(2409),
    [aux_sym_preproc_if_token2] = ACTIONS(2409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2409),
    [aux_sym_preproc_else_token1] = ACTIONS(2409),
    [aux_sym_preproc_elif_token1] = ACTIONS(2409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2409),
    [sym_preproc_directive] = ACTIONS(2409),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2409),
    [aux_sym_end_program_statement_token1] = ACTIONS(2409),
    [aux_sym_end_program_statement_token2] = ACTIONS(2409),
    [aux_sym_module_statement_token1] = ACTIONS(2409),
    [aux_sym_submodule_statement_token1] = ACTIONS(2409),
    [aux_sym_interface_statement_token1] = ACTIONS(2409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2409),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2409),
    [aux_sym_function_statement_token1] = ACTIONS(2409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2409),
    [aux_sym_contains_statement_token1] = ACTIONS(2409),
    [aux_sym_use_statement_token1] = ACTIONS(2409),
    [aux_sym_use_statement_token2] = ACTIONS(2409),
    [aux_sym_implicit_statement_token1] = ACTIONS(2409),
    [aux_sym_implicit_statement_token3] = ACTIONS(2409),
    [aux_sym_implicit_statement_token4] = ACTIONS(2409),
    [aux_sym_save_statement_token1] = ACTIONS(2409),
    [aux_sym_private_statement_token1] = ACTIONS(2409),
    [aux_sym_public_statement_token1] = ACTIONS(2409),
    [aux_sym_namelist_statement_token1] = ACTIONS(2409),
    [aux_sym_common_statement_token1] = ACTIONS(2409),
    [aux_sym_import_statement_token1] = ACTIONS(2409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2409),
    [aux_sym_variable_attributes_token1] = ACTIONS(2409),
    [aux_sym_variable_attributes_token2] = ACTIONS(2409),
    [aux_sym_variable_attributes_token3] = ACTIONS(2409),
    [aux_sym_variable_attributes_token4] = ACTIONS(2409),
    [aux_sym_variable_attributes_token5] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2409),
    [aux_sym_derived_type_token1] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2409),
    [aux_sym_stop_statement_token1] = ACTIONS(2409),
    [aux_sym_stop_statement_token2] = ACTIONS(2409),
    [aux_sym_subroutine_call_token1] = ACTIONS(2409),
    [aux_sym_keyword_statement_token1] = ACTIONS(2409),
    [aux_sym_keyword_statement_token2] = ACTIONS(2409),
    [aux_sym_keyword_statement_token3] = ACTIONS(2409),
    [aux_sym_keyword_statement_token4] = ACTIONS(2409),
    [aux_sym_keyword_statement_token6] = ACTIONS(2409),
    [aux_sym_keyword_statement_token7] = ACTIONS(2409),
    [aux_sym_include_statement_token1] = ACTIONS(2409),
    [aux_sym_data_statement_token1] = ACTIONS(2409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2409),
    [aux_sym_end_if_statement_token1] = ACTIONS(2409),
    [aux_sym_elseif_clause_token2] = ACTIONS(2409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2409),
    [aux_sym_select_case_statement_token1] = ACTIONS(2409),
    [aux_sym_select_case_statement_token3] = ACTIONS(2409),
    [aux_sym_select_type_statement_token1] = ACTIONS(2409),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2409),
    [aux_sym_block_construct_token1] = ACTIONS(2409),
    [aux_sym_associate_statement_token1] = ACTIONS(2409),
    [aux_sym_format_statement_token1] = ACTIONS(2409),
    [aux_sym_print_statement_token1] = ACTIONS(2409),
    [aux_sym_open_statement_token1] = ACTIONS(2409),
    [aux_sym_close_statement_token1] = ACTIONS(2409),
    [aux_sym_inquire_statement_token1] = ACTIONS(2409),
    [aux_sym_enum_statement_token1] = ACTIONS(2409),
    [aux_sym_file_position_statement_token1] = ACTIONS(2409),
    [aux_sym_file_position_statement_token2] = ACTIONS(2409),
    [aux_sym_file_position_statement_token3] = ACTIONS(2409),
    [aux_sym_file_position_statement_token4] = ACTIONS(2409),
    [aux_sym_logical_expression_token5] = ACTIONS(2411),
    [anon_sym_DOT] = ACTIONS(2409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [aux_sym_boolean_literal_token1] = ACTIONS(2411),
    [aux_sym_boolean_literal_token2] = ACTIONS(2411),
    [aux_sym_null_literal_token1] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2411),
    [sym__float_literal] = ACTIONS(2411),
    [sym__boz_literal] = ACTIONS(2411),
    [sym__string_literal] = ACTIONS(2411),
    [sym__string_literal_kind] = ACTIONS(2411),
  },
  [494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token2] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [aux_sym_preproc_else_token1] = ACTIONS(2413),
    [aux_sym_preproc_elif_token1] = ACTIONS(2413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2413),
    [aux_sym_end_program_statement_token1] = ACTIONS(2413),
    [aux_sym_end_program_statement_token2] = ACTIONS(2413),
    [aux_sym_module_statement_token1] = ACTIONS(2413),
    [aux_sym_submodule_statement_token1] = ACTIONS(2413),
    [aux_sym_interface_statement_token1] = ACTIONS(2413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2413),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2413),
    [aux_sym_function_statement_token1] = ACTIONS(2413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2413),
    [aux_sym_contains_statement_token1] = ACTIONS(2413),
    [aux_sym_use_statement_token1] = ACTIONS(2413),
    [aux_sym_use_statement_token2] = ACTIONS(2413),
    [aux_sym_implicit_statement_token1] = ACTIONS(2413),
    [aux_sym_implicit_statement_token3] = ACTIONS(2413),
    [aux_sym_implicit_statement_token4] = ACTIONS(2413),
    [aux_sym_save_statement_token1] = ACTIONS(2413),
    [aux_sym_private_statement_token1] = ACTIONS(2413),
    [aux_sym_public_statement_token1] = ACTIONS(2413),
    [aux_sym_namelist_statement_token1] = ACTIONS(2413),
    [aux_sym_common_statement_token1] = ACTIONS(2413),
    [aux_sym_import_statement_token1] = ACTIONS(2413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2413),
    [aux_sym_variable_attributes_token1] = ACTIONS(2413),
    [aux_sym_variable_attributes_token2] = ACTIONS(2413),
    [aux_sym_variable_attributes_token3] = ACTIONS(2413),
    [aux_sym_variable_attributes_token4] = ACTIONS(2413),
    [aux_sym_variable_attributes_token5] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2413),
    [aux_sym_derived_type_token1] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2413),
    [aux_sym_stop_statement_token1] = ACTIONS(2413),
    [aux_sym_stop_statement_token2] = ACTIONS(2413),
    [aux_sym_subroutine_call_token1] = ACTIONS(2413),
    [aux_sym_keyword_statement_token1] = ACTIONS(2413),
    [aux_sym_keyword_statement_token2] = ACTIONS(2413),
    [aux_sym_keyword_statement_token3] = ACTIONS(2413),
    [aux_sym_keyword_statement_token4] = ACTIONS(2413),
    [aux_sym_keyword_statement_token6] = ACTIONS(2413),
    [aux_sym_keyword_statement_token7] = ACTIONS(2413),
    [aux_sym_include_statement_token1] = ACTIONS(2413),
    [aux_sym_data_statement_token1] = ACTIONS(2413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2413),
    [aux_sym_end_if_statement_token1] = ACTIONS(2413),
    [aux_sym_elseif_clause_token2] = ACTIONS(2413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2413),
    [aux_sym_select_case_statement_token1] = ACTIONS(2413),
    [aux_sym_select_case_statement_token3] = ACTIONS(2413),
    [aux_sym_select_type_statement_token1] = ACTIONS(2413),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2413),
    [aux_sym_block_construct_token1] = ACTIONS(2413),
    [aux_sym_associate_statement_token1] = ACTIONS(2413),
    [aux_sym_format_statement_token1] = ACTIONS(2413),
    [aux_sym_print_statement_token1] = ACTIONS(2413),
    [aux_sym_open_statement_token1] = ACTIONS(2413),
    [aux_sym_close_statement_token1] = ACTIONS(2413),
    [aux_sym_inquire_statement_token1] = ACTIONS(2413),
    [aux_sym_enum_statement_token1] = ACTIONS(2413),
    [aux_sym_file_position_statement_token1] = ACTIONS(2413),
    [aux_sym_file_position_statement_token2] = ACTIONS(2413),
    [aux_sym_file_position_statement_token3] = ACTIONS(2413),
    [aux_sym_file_position_statement_token4] = ACTIONS(2413),
    [aux_sym_logical_expression_token5] = ACTIONS(2415),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [aux_sym_boolean_literal_token1] = ACTIONS(2415),
    [aux_sym_boolean_literal_token2] = ACTIONS(2415),
    [aux_sym_null_literal_token1] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2415),
    [sym__float_literal] = ACTIONS(2415),
    [sym__boz_literal] = ACTIONS(2415),
    [sym__string_literal] = ACTIONS(2415),
    [sym__string_literal_kind] = ACTIONS(2415),
  },
  [495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [aux_sym_preproc_else_token1] = ACTIONS(2417),
    [aux_sym_preproc_elif_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token2] = ACTIONS(2417),
    [aux_sym_module_statement_token1] = ACTIONS(2417),
    [aux_sym_submodule_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_function_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [aux_sym_preproc_else_token1] = ACTIONS(2421),
    [aux_sym_preproc_elif_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token2] = ACTIONS(2421),
    [aux_sym_module_statement_token1] = ACTIONS(2421),
    [aux_sym_submodule_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_function_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2425),
    [aux_sym_preproc_def_token1] = ACTIONS(2425),
    [aux_sym_preproc_if_token1] = ACTIONS(2425),
    [aux_sym_preproc_if_token2] = ACTIONS(2425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2425),
    [aux_sym_preproc_else_token1] = ACTIONS(2425),
    [aux_sym_preproc_elif_token1] = ACTIONS(2425),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2425),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2425),
    [sym_preproc_directive] = ACTIONS(2425),
    [anon_sym_LPAREN2] = ACTIONS(2425),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2425),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_end_program_statement_token2] = ACTIONS(2425),
    [aux_sym_module_statement_token1] = ACTIONS(2425),
    [aux_sym_submodule_statement_token1] = ACTIONS(2425),
    [aux_sym_interface_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2425),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2425),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2425),
    [aux_sym_function_statement_token1] = ACTIONS(2425),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2425),
    [aux_sym_contains_statement_token1] = ACTIONS(2425),
    [aux_sym_use_statement_token1] = ACTIONS(2425),
    [aux_sym_use_statement_token2] = ACTIONS(2425),
    [aux_sym_implicit_statement_token1] = ACTIONS(2425),
    [aux_sym_implicit_statement_token3] = ACTIONS(2425),
    [aux_sym_implicit_statement_token4] = ACTIONS(2425),
    [aux_sym_save_statement_token1] = ACTIONS(2425),
    [aux_sym_private_statement_token1] = ACTIONS(2425),
    [aux_sym_public_statement_token1] = ACTIONS(2425),
    [aux_sym_namelist_statement_token1] = ACTIONS(2425),
    [aux_sym_common_statement_token1] = ACTIONS(2425),
    [aux_sym_import_statement_token1] = ACTIONS(2425),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2425),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2425),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2425),
    [aux_sym_variable_attributes_token1] = ACTIONS(2425),
    [aux_sym_variable_attributes_token2] = ACTIONS(2425),
    [aux_sym_variable_attributes_token3] = ACTIONS(2425),
    [aux_sym_variable_attributes_token4] = ACTIONS(2425),
    [aux_sym_variable_attributes_token5] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2425),
    [aux_sym_derived_type_token1] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2425),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2425),
    [aux_sym_stop_statement_token1] = ACTIONS(2425),
    [aux_sym_stop_statement_token2] = ACTIONS(2425),
    [aux_sym_subroutine_call_token1] = ACTIONS(2425),
    [aux_sym_keyword_statement_token1] = ACTIONS(2425),
    [aux_sym_keyword_statement_token2] = ACTIONS(2425),
    [aux_sym_keyword_statement_token3] = ACTIONS(2425),
    [aux_sym_keyword_statement_token4] = ACTIONS(2425),
    [aux_sym_keyword_statement_token6] = ACTIONS(2425),
    [aux_sym_keyword_statement_token7] = ACTIONS(2425),
    [aux_sym_include_statement_token1] = ACTIONS(2425),
    [aux_sym_data_statement_token1] = ACTIONS(2425),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2425),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2425),
    [aux_sym_end_if_statement_token1] = ACTIONS(2425),
    [aux_sym_elseif_clause_token2] = ACTIONS(2425),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2425),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2425),
    [aux_sym_select_case_statement_token1] = ACTIONS(2425),
    [aux_sym_select_case_statement_token3] = ACTIONS(2425),
    [aux_sym_select_type_statement_token1] = ACTIONS(2425),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2425),
    [aux_sym_block_construct_token1] = ACTIONS(2425),
    [aux_sym_associate_statement_token1] = ACTIONS(2425),
    [aux_sym_format_statement_token1] = ACTIONS(2425),
    [aux_sym_print_statement_token1] = ACTIONS(2425),
    [aux_sym_open_statement_token1] = ACTIONS(2425),
    [aux_sym_close_statement_token1] = ACTIONS(2425),
    [aux_sym_inquire_statement_token1] = ACTIONS(2425),
    [aux_sym_enum_statement_token1] = ACTIONS(2425),
    [aux_sym_file_position_statement_token1] = ACTIONS(2425),
    [aux_sym_file_position_statement_token2] = ACTIONS(2425),
    [aux_sym_file_position_statement_token3] = ACTIONS(2425),
    [aux_sym_file_position_statement_token4] = ACTIONS(2425),
    [aux_sym_logical_expression_token5] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [aux_sym_boolean_literal_token1] = ACTIONS(2427),
    [aux_sym_boolean_literal_token2] = ACTIONS(2427),
    [aux_sym_null_literal_token1] = ACTIONS(2425),
    [aux_sym_identifier_token1] = ACTIONS(2425),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2427),
    [sym__float_literal] = ACTIONS(2427),
    [sym__boz_literal] = ACTIONS(2427),
    [sym__string_literal] = ACTIONS(2427),
    [sym__string_literal_kind] = ACTIONS(2427),
  },
  [498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2429),
    [aux_sym_preproc_def_token1] = ACTIONS(2429),
    [aux_sym_preproc_if_token1] = ACTIONS(2429),
    [aux_sym_preproc_if_token2] = ACTIONS(2429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2429),
    [aux_sym_preproc_else_token1] = ACTIONS(2429),
    [aux_sym_preproc_elif_token1] = ACTIONS(2429),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2429),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2429),
    [sym_preproc_directive] = ACTIONS(2429),
    [anon_sym_LPAREN2] = ACTIONS(2429),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2429),
    [aux_sym_end_program_statement_token1] = ACTIONS(2429),
    [aux_sym_end_program_statement_token2] = ACTIONS(2429),
    [aux_sym_module_statement_token1] = ACTIONS(2429),
    [aux_sym_submodule_statement_token1] = ACTIONS(2429),
    [aux_sym_interface_statement_token1] = ACTIONS(2429),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2429),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2429),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2429),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2429),
    [aux_sym_function_statement_token1] = ACTIONS(2429),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2429),
    [aux_sym_contains_statement_token1] = ACTIONS(2429),
    [aux_sym_use_statement_token1] = ACTIONS(2429),
    [aux_sym_use_statement_token2] = ACTIONS(2429),
    [aux_sym_implicit_statement_token1] = ACTIONS(2429),
    [aux_sym_implicit_statement_token3] = ACTIONS(2429),
    [aux_sym_implicit_statement_token4] = ACTIONS(2429),
    [aux_sym_save_statement_token1] = ACTIONS(2429),
    [aux_sym_private_statement_token1] = ACTIONS(2429),
    [aux_sym_public_statement_token1] = ACTIONS(2429),
    [aux_sym_namelist_statement_token1] = ACTIONS(2429),
    [aux_sym_common_statement_token1] = ACTIONS(2429),
    [aux_sym_import_statement_token1] = ACTIONS(2429),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2429),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2429),
    [aux_sym_variable_attributes_token1] = ACTIONS(2429),
    [aux_sym_variable_attributes_token2] = ACTIONS(2429),
    [aux_sym_variable_attributes_token3] = ACTIONS(2429),
    [aux_sym_variable_attributes_token4] = ACTIONS(2429),
    [aux_sym_variable_attributes_token5] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2429),
    [aux_sym_derived_type_token1] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2429),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2429),
    [aux_sym_stop_statement_token1] = ACTIONS(2429),
    [aux_sym_stop_statement_token2] = ACTIONS(2429),
    [aux_sym_subroutine_call_token1] = ACTIONS(2429),
    [aux_sym_keyword_statement_token1] = ACTIONS(2429),
    [aux_sym_keyword_statement_token2] = ACTIONS(2429),
    [aux_sym_keyword_statement_token3] = ACTIONS(2429),
    [aux_sym_keyword_statement_token4] = ACTIONS(2429),
    [aux_sym_keyword_statement_token6] = ACTIONS(2429),
    [aux_sym_keyword_statement_token7] = ACTIONS(2429),
    [aux_sym_include_statement_token1] = ACTIONS(2429),
    [aux_sym_data_statement_token1] = ACTIONS(2429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2429),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2429),
    [aux_sym_end_if_statement_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(2429),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2429),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2429),
    [aux_sym_select_case_statement_token1] = ACTIONS(2429),
    [aux_sym_select_case_statement_token3] = ACTIONS(2429),
    [aux_sym_select_type_statement_token1] = ACTIONS(2429),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2429),
    [aux_sym_block_construct_token1] = ACTIONS(2429),
    [aux_sym_associate_statement_token1] = ACTIONS(2429),
    [aux_sym_format_statement_token1] = ACTIONS(2429),
    [aux_sym_print_statement_token1] = ACTIONS(2429),
    [aux_sym_open_statement_token1] = ACTIONS(2429),
    [aux_sym_close_statement_token1] = ACTIONS(2429),
    [aux_sym_inquire_statement_token1] = ACTIONS(2429),
    [aux_sym_enum_statement_token1] = ACTIONS(2429),
    [aux_sym_file_position_statement_token1] = ACTIONS(2429),
    [aux_sym_file_position_statement_token2] = ACTIONS(2429),
    [aux_sym_file_position_statement_token3] = ACTIONS(2429),
    [aux_sym_file_position_statement_token4] = ACTIONS(2429),
    [aux_sym_logical_expression_token5] = ACTIONS(2431),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [aux_sym_boolean_literal_token1] = ACTIONS(2431),
    [aux_sym_boolean_literal_token2] = ACTIONS(2431),
    [aux_sym_null_literal_token1] = ACTIONS(2429),
    [aux_sym_identifier_token1] = ACTIONS(2429),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2431),
    [sym__float_literal] = ACTIONS(2431),
    [sym__boz_literal] = ACTIONS(2431),
    [sym__string_literal] = ACTIONS(2431),
    [sym__string_literal_kind] = ACTIONS(2431),
  },
  [499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [aux_sym_preproc_else_token1] = ACTIONS(2433),
    [aux_sym_preproc_elif_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token2] = ACTIONS(2433),
    [aux_sym_module_statement_token1] = ACTIONS(2433),
    [aux_sym_submodule_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_function_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2437),
    [aux_sym_preproc_def_token1] = ACTIONS(2437),
    [aux_sym_preproc_if_token1] = ACTIONS(2437),
    [aux_sym_preproc_if_token2] = ACTIONS(2437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2437),
    [aux_sym_preproc_else_token1] = ACTIONS(2437),
    [aux_sym_preproc_elif_token1] = ACTIONS(2437),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2437),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2437),
    [sym_preproc_directive] = ACTIONS(2437),
    [anon_sym_LPAREN2] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2437),
    [aux_sym_end_program_statement_token1] = ACTIONS(2437),
    [aux_sym_end_program_statement_token2] = ACTIONS(2437),
    [aux_sym_module_statement_token1] = ACTIONS(2437),
    [aux_sym_submodule_statement_token1] = ACTIONS(2437),
    [aux_sym_interface_statement_token1] = ACTIONS(2437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2437),
    [aux_sym_function_statement_token1] = ACTIONS(2437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2437),
    [aux_sym_contains_statement_token1] = ACTIONS(2437),
    [aux_sym_use_statement_token1] = ACTIONS(2437),
    [aux_sym_use_statement_token2] = ACTIONS(2437),
    [aux_sym_implicit_statement_token1] = ACTIONS(2437),
    [aux_sym_implicit_statement_token3] = ACTIONS(2437),
    [aux_sym_implicit_statement_token4] = ACTIONS(2437),
    [aux_sym_save_statement_token1] = ACTIONS(2437),
    [aux_sym_private_statement_token1] = ACTIONS(2437),
    [aux_sym_public_statement_token1] = ACTIONS(2437),
    [aux_sym_namelist_statement_token1] = ACTIONS(2437),
    [aux_sym_common_statement_token1] = ACTIONS(2437),
    [aux_sym_import_statement_token1] = ACTIONS(2437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2437),
    [aux_sym_variable_attributes_token1] = ACTIONS(2437),
    [aux_sym_variable_attributes_token2] = ACTIONS(2437),
    [aux_sym_variable_attributes_token3] = ACTIONS(2437),
    [aux_sym_variable_attributes_token4] = ACTIONS(2437),
    [aux_sym_variable_attributes_token5] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2437),
    [aux_sym_derived_type_token1] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2437),
    [aux_sym_stop_statement_token1] = ACTIONS(2437),
    [aux_sym_stop_statement_token2] = ACTIONS(2437),
    [aux_sym_subroutine_call_token1] = ACTIONS(2437),
    [aux_sym_keyword_statement_token1] = ACTIONS(2437),
    [aux_sym_keyword_statement_token2] = ACTIONS(2437),
    [aux_sym_keyword_statement_token3] = ACTIONS(2437),
    [aux_sym_keyword_statement_token4] = ACTIONS(2437),
    [aux_sym_keyword_statement_token6] = ACTIONS(2437),
    [aux_sym_keyword_statement_token7] = ACTIONS(2437),
    [aux_sym_include_statement_token1] = ACTIONS(2437),
    [aux_sym_data_statement_token1] = ACTIONS(2437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2437),
    [aux_sym_end_if_statement_token1] = ACTIONS(2437),
    [aux_sym_elseif_clause_token2] = ACTIONS(2437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2437),
    [aux_sym_select_case_statement_token1] = ACTIONS(2437),
    [aux_sym_select_case_statement_token3] = ACTIONS(2437),
    [aux_sym_select_type_statement_token1] = ACTIONS(2437),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2437),
    [aux_sym_block_construct_token1] = ACTIONS(2437),
    [aux_sym_associate_statement_token1] = ACTIONS(2437),
    [aux_sym_format_statement_token1] = ACTIONS(2437),
    [aux_sym_print_statement_token1] = ACTIONS(2437),
    [aux_sym_open_statement_token1] = ACTIONS(2437),
    [aux_sym_close_statement_token1] = ACTIONS(2437),
    [aux_sym_inquire_statement_token1] = ACTIONS(2437),
    [aux_sym_enum_statement_token1] = ACTIONS(2437),
    [aux_sym_file_position_statement_token1] = ACTIONS(2437),
    [aux_sym_file_position_statement_token2] = ACTIONS(2437),
    [aux_sym_file_position_statement_token3] = ACTIONS(2437),
    [aux_sym_file_position_statement_token4] = ACTIONS(2437),
    [aux_sym_logical_expression_token5] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(2437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [aux_sym_boolean_literal_token1] = ACTIONS(2439),
    [aux_sym_boolean_literal_token2] = ACTIONS(2439),
    [aux_sym_null_literal_token1] = ACTIONS(2437),
    [aux_sym_identifier_token1] = ACTIONS(2437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2439),
    [sym__float_literal] = ACTIONS(2439),
    [sym__boz_literal] = ACTIONS(2439),
    [sym__string_literal] = ACTIONS(2439),
    [sym__string_literal_kind] = ACTIONS(2439),
  },
  [501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [aux_sym_preproc_else_token1] = ACTIONS(2441),
    [aux_sym_preproc_elif_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token2] = ACTIONS(2441),
    [aux_sym_module_statement_token1] = ACTIONS(2441),
    [aux_sym_submodule_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_function_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2445),
    [aux_sym_preproc_def_token1] = ACTIONS(2445),
    [aux_sym_preproc_if_token1] = ACTIONS(2445),
    [aux_sym_preproc_if_token2] = ACTIONS(2445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2445),
    [aux_sym_preproc_else_token1] = ACTIONS(2445),
    [aux_sym_preproc_elif_token1] = ACTIONS(2445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2445),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2445),
    [sym_preproc_directive] = ACTIONS(2445),
    [anon_sym_LPAREN2] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2447),
    [anon_sym_DASH] = ACTIONS(2447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2445),
    [aux_sym_end_program_statement_token1] = ACTIONS(2445),
    [aux_sym_end_program_statement_token2] = ACTIONS(2445),
    [aux_sym_module_statement_token1] = ACTIONS(2445),
    [aux_sym_submodule_statement_token1] = ACTIONS(2445),
    [aux_sym_interface_statement_token1] = ACTIONS(2445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2445),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2445),
    [aux_sym_function_statement_token1] = ACTIONS(2445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2445),
    [aux_sym_contains_statement_token1] = ACTIONS(2445),
    [aux_sym_use_statement_token1] = ACTIONS(2445),
    [aux_sym_use_statement_token2] = ACTIONS(2445),
    [aux_sym_implicit_statement_token1] = ACTIONS(2445),
    [aux_sym_implicit_statement_token3] = ACTIONS(2445),
    [aux_sym_implicit_statement_token4] = ACTIONS(2445),
    [aux_sym_save_statement_token1] = ACTIONS(2445),
    [aux_sym_private_statement_token1] = ACTIONS(2445),
    [aux_sym_public_statement_token1] = ACTIONS(2445),
    [aux_sym_namelist_statement_token1] = ACTIONS(2445),
    [aux_sym_common_statement_token1] = ACTIONS(2445),
    [aux_sym_import_statement_token1] = ACTIONS(2445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2445),
    [aux_sym_variable_attributes_token1] = ACTIONS(2445),
    [aux_sym_variable_attributes_token2] = ACTIONS(2445),
    [aux_sym_variable_attributes_token3] = ACTIONS(2445),
    [aux_sym_variable_attributes_token4] = ACTIONS(2445),
    [aux_sym_variable_attributes_token5] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2445),
    [aux_sym_derived_type_token1] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2445),
    [aux_sym_stop_statement_token1] = ACTIONS(2445),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2445),
    [aux_sym_keyword_statement_token1] = ACTIONS(2445),
    [aux_sym_keyword_statement_token2] = ACTIONS(2445),
    [aux_sym_keyword_statement_token3] = ACTIONS(2445),
    [aux_sym_keyword_statement_token4] = ACTIONS(2445),
    [aux_sym_keyword_statement_token6] = ACTIONS(2445),
    [aux_sym_keyword_statement_token7] = ACTIONS(2445),
    [aux_sym_include_statement_token1] = ACTIONS(2445),
    [aux_sym_data_statement_token1] = ACTIONS(2445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2445),
    [aux_sym_end_if_statement_token1] = ACTIONS(2445),
    [aux_sym_elseif_clause_token2] = ACTIONS(2445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2445),
    [aux_sym_select_case_statement_token1] = ACTIONS(2445),
    [aux_sym_select_case_statement_token3] = ACTIONS(2445),
    [aux_sym_select_type_statement_token1] = ACTIONS(2445),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2445),
    [aux_sym_block_construct_token1] = ACTIONS(2445),
    [aux_sym_associate_statement_token1] = ACTIONS(2445),
    [aux_sym_format_statement_token1] = ACTIONS(2445),
    [aux_sym_print_statement_token1] = ACTIONS(2445),
    [aux_sym_open_statement_token1] = ACTIONS(2445),
    [aux_sym_close_statement_token1] = ACTIONS(2445),
    [aux_sym_inquire_statement_token1] = ACTIONS(2445),
    [aux_sym_enum_statement_token1] = ACTIONS(2445),
    [aux_sym_file_position_statement_token1] = ACTIONS(2445),
    [aux_sym_file_position_statement_token2] = ACTIONS(2445),
    [aux_sym_file_position_statement_token3] = ACTIONS(2445),
    [aux_sym_file_position_statement_token4] = ACTIONS(2445),
    [aux_sym_logical_expression_token5] = ACTIONS(2447),
    [anon_sym_DOT] = ACTIONS(2445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [aux_sym_boolean_literal_token1] = ACTIONS(2447),
    [aux_sym_boolean_literal_token2] = ACTIONS(2447),
    [aux_sym_null_literal_token1] = ACTIONS(2445),
    [aux_sym_identifier_token1] = ACTIONS(2445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2447),
    [sym__float_literal] = ACTIONS(2447),
    [sym__boz_literal] = ACTIONS(2447),
    [sym__string_literal] = ACTIONS(2447),
    [sym__string_literal_kind] = ACTIONS(2447),
  },
  [503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2449),
    [aux_sym_preproc_def_token1] = ACTIONS(2449),
    [aux_sym_preproc_if_token1] = ACTIONS(2449),
    [aux_sym_preproc_if_token2] = ACTIONS(2449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2449),
    [aux_sym_preproc_else_token1] = ACTIONS(2449),
    [aux_sym_preproc_elif_token1] = ACTIONS(2449),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2449),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2449),
    [sym_preproc_directive] = ACTIONS(2449),
    [anon_sym_LPAREN2] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2449),
    [aux_sym_end_program_statement_token1] = ACTIONS(2449),
    [aux_sym_end_program_statement_token2] = ACTIONS(2449),
    [aux_sym_module_statement_token1] = ACTIONS(2449),
    [aux_sym_submodule_statement_token1] = ACTIONS(2449),
    [aux_sym_interface_statement_token1] = ACTIONS(2449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2449),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2449),
    [aux_sym_function_statement_token1] = ACTIONS(2449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2449),
    [aux_sym_contains_statement_token1] = ACTIONS(2449),
    [aux_sym_use_statement_token1] = ACTIONS(2449),
    [aux_sym_use_statement_token2] = ACTIONS(2449),
    [aux_sym_implicit_statement_token1] = ACTIONS(2449),
    [aux_sym_implicit_statement_token3] = ACTIONS(2449),
    [aux_sym_implicit_statement_token4] = ACTIONS(2449),
    [aux_sym_save_statement_token1] = ACTIONS(2449),
    [aux_sym_private_statement_token1] = ACTIONS(2449),
    [aux_sym_public_statement_token1] = ACTIONS(2449),
    [aux_sym_namelist_statement_token1] = ACTIONS(2449),
    [aux_sym_common_statement_token1] = ACTIONS(2449),
    [aux_sym_import_statement_token1] = ACTIONS(2449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2449),
    [aux_sym_variable_attributes_token1] = ACTIONS(2449),
    [aux_sym_variable_attributes_token2] = ACTIONS(2449),
    [aux_sym_variable_attributes_token3] = ACTIONS(2449),
    [aux_sym_variable_attributes_token4] = ACTIONS(2449),
    [aux_sym_variable_attributes_token5] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2449),
    [aux_sym_derived_type_token1] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2449),
    [aux_sym_stop_statement_token1] = ACTIONS(2449),
    [aux_sym_stop_statement_token2] = ACTIONS(2449),
    [aux_sym_subroutine_call_token1] = ACTIONS(2449),
    [aux_sym_keyword_statement_token1] = ACTIONS(2449),
    [aux_sym_keyword_statement_token2] = ACTIONS(2449),
    [aux_sym_keyword_statement_token3] = ACTIONS(2449),
    [aux_sym_keyword_statement_token4] = ACTIONS(2449),
    [aux_sym_keyword_statement_token6] = ACTIONS(2449),
    [aux_sym_keyword_statement_token7] = ACTIONS(2449),
    [aux_sym_include_statement_token1] = ACTIONS(2449),
    [aux_sym_data_statement_token1] = ACTIONS(2449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2449),
    [aux_sym_end_if_statement_token1] = ACTIONS(2449),
    [aux_sym_elseif_clause_token2] = ACTIONS(2449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2449),
    [aux_sym_select_case_statement_token1] = ACTIONS(2449),
    [aux_sym_select_case_statement_token3] = ACTIONS(2449),
    [aux_sym_select_type_statement_token1] = ACTIONS(2449),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2449),
    [aux_sym_block_construct_token1] = ACTIONS(2449),
    [aux_sym_associate_statement_token1] = ACTIONS(2449),
    [aux_sym_format_statement_token1] = ACTIONS(2449),
    [aux_sym_print_statement_token1] = ACTIONS(2449),
    [aux_sym_open_statement_token1] = ACTIONS(2449),
    [aux_sym_close_statement_token1] = ACTIONS(2449),
    [aux_sym_inquire_statement_token1] = ACTIONS(2449),
    [aux_sym_enum_statement_token1] = ACTIONS(2449),
    [aux_sym_file_position_statement_token1] = ACTIONS(2449),
    [aux_sym_file_position_statement_token2] = ACTIONS(2449),
    [aux_sym_file_position_statement_token3] = ACTIONS(2449),
    [aux_sym_file_position_statement_token4] = ACTIONS(2449),
    [aux_sym_logical_expression_token5] = ACTIONS(2451),
    [anon_sym_DOT] = ACTIONS(2449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(2451),
    [aux_sym_boolean_literal_token1] = ACTIONS(2451),
    [aux_sym_boolean_literal_token2] = ACTIONS(2451),
    [aux_sym_null_literal_token1] = ACTIONS(2449),
    [aux_sym_identifier_token1] = ACTIONS(2449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2451),
    [sym__float_literal] = ACTIONS(2451),
    [sym__boz_literal] = ACTIONS(2451),
    [sym__string_literal] = ACTIONS(2451),
    [sym__string_literal_kind] = ACTIONS(2451),
  },
  [504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token2] = ACTIONS(2453),
    [aux_sym_module_statement_token1] = ACTIONS(2453),
    [aux_sym_submodule_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_function_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [aux_sym_preproc_else_token1] = ACTIONS(2457),
    [aux_sym_preproc_elif_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token2] = ACTIONS(2457),
    [aux_sym_module_statement_token1] = ACTIONS(2457),
    [aux_sym_submodule_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_function_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [aux_sym_preproc_else_token1] = ACTIONS(2461),
    [aux_sym_preproc_elif_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token2] = ACTIONS(2461),
    [aux_sym_module_statement_token1] = ACTIONS(2461),
    [aux_sym_submodule_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_function_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2465),
    [aux_sym_end_program_statement_token1] = ACTIONS(2465),
    [aux_sym_end_program_statement_token2] = ACTIONS(2465),
    [aux_sym_module_statement_token1] = ACTIONS(2465),
    [aux_sym_submodule_statement_token1] = ACTIONS(2465),
    [aux_sym_interface_statement_token1] = ACTIONS(2465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2465),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2465),
    [aux_sym_function_statement_token1] = ACTIONS(2465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2465),
    [aux_sym_contains_statement_token1] = ACTIONS(2465),
    [aux_sym_use_statement_token1] = ACTIONS(2465),
    [aux_sym_use_statement_token2] = ACTIONS(2465),
    [aux_sym_implicit_statement_token1] = ACTIONS(2465),
    [aux_sym_implicit_statement_token3] = ACTIONS(2465),
    [aux_sym_implicit_statement_token4] = ACTIONS(2465),
    [aux_sym_save_statement_token1] = ACTIONS(2465),
    [aux_sym_private_statement_token1] = ACTIONS(2465),
    [aux_sym_public_statement_token1] = ACTIONS(2465),
    [aux_sym_namelist_statement_token1] = ACTIONS(2465),
    [aux_sym_common_statement_token1] = ACTIONS(2465),
    [aux_sym_import_statement_token1] = ACTIONS(2465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2465),
    [aux_sym_variable_attributes_token1] = ACTIONS(2465),
    [aux_sym_variable_attributes_token2] = ACTIONS(2465),
    [aux_sym_variable_attributes_token3] = ACTIONS(2465),
    [aux_sym_variable_attributes_token4] = ACTIONS(2465),
    [aux_sym_variable_attributes_token5] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2465),
    [aux_sym_derived_type_token1] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2465),
    [aux_sym_stop_statement_token1] = ACTIONS(2465),
    [aux_sym_stop_statement_token2] = ACTIONS(2465),
    [aux_sym_subroutine_call_token1] = ACTIONS(2465),
    [aux_sym_keyword_statement_token1] = ACTIONS(2465),
    [aux_sym_keyword_statement_token2] = ACTIONS(2465),
    [aux_sym_keyword_statement_token3] = ACTIONS(2465),
    [aux_sym_keyword_statement_token4] = ACTIONS(2465),
    [aux_sym_keyword_statement_token6] = ACTIONS(2465),
    [aux_sym_keyword_statement_token7] = ACTIONS(2465),
    [aux_sym_include_statement_token1] = ACTIONS(2465),
    [aux_sym_data_statement_token1] = ACTIONS(2465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2465),
    [aux_sym_end_if_statement_token1] = ACTIONS(2465),
    [aux_sym_elseif_clause_token2] = ACTIONS(2465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2465),
    [aux_sym_select_case_statement_token1] = ACTIONS(2465),
    [aux_sym_select_case_statement_token3] = ACTIONS(2465),
    [aux_sym_select_type_statement_token1] = ACTIONS(2465),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2465),
    [aux_sym_block_construct_token1] = ACTIONS(2465),
    [aux_sym_associate_statement_token1] = ACTIONS(2465),
    [aux_sym_format_statement_token1] = ACTIONS(2465),
    [aux_sym_print_statement_token1] = ACTIONS(2465),
    [aux_sym_open_statement_token1] = ACTIONS(2465),
    [aux_sym_close_statement_token1] = ACTIONS(2465),
    [aux_sym_inquire_statement_token1] = ACTIONS(2465),
    [aux_sym_enum_statement_token1] = ACTIONS(2465),
    [aux_sym_file_position_statement_token1] = ACTIONS(2465),
    [aux_sym_file_position_statement_token2] = ACTIONS(2465),
    [aux_sym_file_position_statement_token3] = ACTIONS(2465),
    [aux_sym_file_position_statement_token4] = ACTIONS(2465),
    [aux_sym_logical_expression_token5] = ACTIONS(2467),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [aux_sym_boolean_literal_token1] = ACTIONS(2467),
    [aux_sym_boolean_literal_token2] = ACTIONS(2467),
    [aux_sym_null_literal_token1] = ACTIONS(2465),
    [aux_sym_identifier_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2467),
    [sym__float_literal] = ACTIONS(2467),
    [sym__boz_literal] = ACTIONS(2467),
    [sym__string_literal] = ACTIONS(2467),
    [sym__string_literal_kind] = ACTIONS(2467),
  },
  [508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token2] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [aux_sym_preproc_else_token1] = ACTIONS(2305),
    [aux_sym_preproc_elif_token1] = ACTIONS(2305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2305),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2305),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token2] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [aux_sym_preproc_else_token1] = ACTIONS(2469),
    [aux_sym_preproc_elif_token1] = ACTIONS(2469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token2] = ACTIONS(2469),
    [aux_sym_module_statement_token1] = ACTIONS(2469),
    [aux_sym_submodule_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_function_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token2] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [aux_sym_preproc_else_token1] = ACTIONS(2473),
    [aux_sym_preproc_elif_token1] = ACTIONS(2473),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token2] = ACTIONS(2473),
    [aux_sym_module_statement_token1] = ACTIONS(2473),
    [aux_sym_submodule_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_function_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token2] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [aux_sym_preproc_else_token1] = ACTIONS(2477),
    [aux_sym_preproc_elif_token1] = ACTIONS(2477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token2] = ACTIONS(2477),
    [aux_sym_module_statement_token1] = ACTIONS(2477),
    [aux_sym_submodule_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_function_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token2] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [aux_sym_preproc_else_token1] = ACTIONS(2481),
    [aux_sym_preproc_elif_token1] = ACTIONS(2481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token2] = ACTIONS(2481),
    [aux_sym_module_statement_token1] = ACTIONS(2481),
    [aux_sym_submodule_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_function_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token2] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [aux_sym_preproc_else_token1] = ACTIONS(2485),
    [aux_sym_preproc_elif_token1] = ACTIONS(2485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token2] = ACTIONS(2485),
    [aux_sym_module_statement_token1] = ACTIONS(2485),
    [aux_sym_submodule_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_function_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2489),
    [aux_sym_preproc_def_token1] = ACTIONS(2489),
    [aux_sym_preproc_if_token1] = ACTIONS(2489),
    [aux_sym_preproc_if_token2] = ACTIONS(2489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2489),
    [aux_sym_preproc_else_token1] = ACTIONS(2489),
    [aux_sym_preproc_elif_token1] = ACTIONS(2489),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2489),
    [sym_preproc_directive] = ACTIONS(2489),
    [anon_sym_LPAREN2] = ACTIONS(2489),
    [anon_sym_PLUS] = ACTIONS(2491),
    [anon_sym_DASH] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2489),
    [aux_sym_end_program_statement_token1] = ACTIONS(2489),
    [aux_sym_end_program_statement_token2] = ACTIONS(2489),
    [aux_sym_module_statement_token1] = ACTIONS(2489),
    [aux_sym_submodule_statement_token1] = ACTIONS(2489),
    [aux_sym_interface_statement_token1] = ACTIONS(2489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2489),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2489),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2489),
    [aux_sym_function_statement_token1] = ACTIONS(2489),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2489),
    [aux_sym_contains_statement_token1] = ACTIONS(2489),
    [aux_sym_use_statement_token1] = ACTIONS(2489),
    [aux_sym_use_statement_token2] = ACTIONS(2489),
    [aux_sym_implicit_statement_token1] = ACTIONS(2489),
    [aux_sym_implicit_statement_token3] = ACTIONS(2489),
    [aux_sym_implicit_statement_token4] = ACTIONS(2489),
    [aux_sym_save_statement_token1] = ACTIONS(2489),
    [aux_sym_private_statement_token1] = ACTIONS(2489),
    [aux_sym_public_statement_token1] = ACTIONS(2489),
    [aux_sym_namelist_statement_token1] = ACTIONS(2489),
    [aux_sym_common_statement_token1] = ACTIONS(2489),
    [aux_sym_import_statement_token1] = ACTIONS(2489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2489),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2489),
    [aux_sym_variable_attributes_token1] = ACTIONS(2489),
    [aux_sym_variable_attributes_token2] = ACTIONS(2489),
    [aux_sym_variable_attributes_token3] = ACTIONS(2489),
    [aux_sym_variable_attributes_token4] = ACTIONS(2489),
    [aux_sym_variable_attributes_token5] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2489),
    [aux_sym_derived_type_token1] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2489),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2489),
    [aux_sym_stop_statement_token1] = ACTIONS(2489),
    [aux_sym_stop_statement_token2] = ACTIONS(2489),
    [aux_sym_subroutine_call_token1] = ACTIONS(2489),
    [aux_sym_keyword_statement_token1] = ACTIONS(2489),
    [aux_sym_keyword_statement_token2] = ACTIONS(2489),
    [aux_sym_keyword_statement_token3] = ACTIONS(2489),
    [aux_sym_keyword_statement_token4] = ACTIONS(2489),
    [aux_sym_keyword_statement_token6] = ACTIONS(2489),
    [aux_sym_keyword_statement_token7] = ACTIONS(2489),
    [aux_sym_include_statement_token1] = ACTIONS(2489),
    [aux_sym_data_statement_token1] = ACTIONS(2489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2489),
    [aux_sym_end_if_statement_token1] = ACTIONS(2489),
    [aux_sym_elseif_clause_token2] = ACTIONS(2489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2489),
    [aux_sym_select_case_statement_token1] = ACTIONS(2489),
    [aux_sym_select_case_statement_token3] = ACTIONS(2489),
    [aux_sym_select_type_statement_token1] = ACTIONS(2489),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2489),
    [aux_sym_block_construct_token1] = ACTIONS(2489),
    [aux_sym_associate_statement_token1] = ACTIONS(2489),
    [aux_sym_format_statement_token1] = ACTIONS(2489),
    [aux_sym_print_statement_token1] = ACTIONS(2489),
    [aux_sym_open_statement_token1] = ACTIONS(2489),
    [aux_sym_close_statement_token1] = ACTIONS(2489),
    [aux_sym_inquire_statement_token1] = ACTIONS(2489),
    [aux_sym_enum_statement_token1] = ACTIONS(2489),
    [aux_sym_file_position_statement_token1] = ACTIONS(2489),
    [aux_sym_file_position_statement_token2] = ACTIONS(2489),
    [aux_sym_file_position_statement_token3] = ACTIONS(2489),
    [aux_sym_file_position_statement_token4] = ACTIONS(2489),
    [aux_sym_logical_expression_token5] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [aux_sym_boolean_literal_token1] = ACTIONS(2491),
    [aux_sym_boolean_literal_token2] = ACTIONS(2491),
    [aux_sym_null_literal_token1] = ACTIONS(2489),
    [aux_sym_identifier_token1] = ACTIONS(2489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2491),
    [sym__float_literal] = ACTIONS(2491),
    [sym__boz_literal] = ACTIONS(2491),
    [sym__string_literal] = ACTIONS(2491),
    [sym__string_literal_kind] = ACTIONS(2491),
  },
  [515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2493),
    [aux_sym_preproc_def_token1] = ACTIONS(2493),
    [aux_sym_preproc_if_token1] = ACTIONS(2493),
    [aux_sym_preproc_if_token2] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2493),
    [aux_sym_preproc_else_token1] = ACTIONS(2493),
    [aux_sym_preproc_elif_token1] = ACTIONS(2493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2493),
    [sym_preproc_directive] = ACTIONS(2493),
    [anon_sym_LPAREN2] = ACTIONS(2493),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2493),
    [aux_sym_end_program_statement_token1] = ACTIONS(2493),
    [aux_sym_end_program_statement_token2] = ACTIONS(2493),
    [aux_sym_module_statement_token1] = ACTIONS(2493),
    [aux_sym_submodule_statement_token1] = ACTIONS(2493),
    [aux_sym_interface_statement_token1] = ACTIONS(2493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2493),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2493),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2493),
    [aux_sym_function_statement_token1] = ACTIONS(2493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2493),
    [aux_sym_contains_statement_token1] = ACTIONS(2493),
    [aux_sym_use_statement_token1] = ACTIONS(2493),
    [aux_sym_use_statement_token2] = ACTIONS(2493),
    [aux_sym_implicit_statement_token1] = ACTIONS(2493),
    [aux_sym_implicit_statement_token3] = ACTIONS(2493),
    [aux_sym_implicit_statement_token4] = ACTIONS(2493),
    [aux_sym_save_statement_token1] = ACTIONS(2493),
    [aux_sym_private_statement_token1] = ACTIONS(2493),
    [aux_sym_public_statement_token1] = ACTIONS(2493),
    [aux_sym_namelist_statement_token1] = ACTIONS(2493),
    [aux_sym_common_statement_token1] = ACTIONS(2493),
    [aux_sym_import_statement_token1] = ACTIONS(2493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2493),
    [aux_sym_variable_attributes_token1] = ACTIONS(2493),
    [aux_sym_variable_attributes_token2] = ACTIONS(2493),
    [aux_sym_variable_attributes_token3] = ACTIONS(2493),
    [aux_sym_variable_attributes_token4] = ACTIONS(2493),
    [aux_sym_variable_attributes_token5] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2493),
    [aux_sym_derived_type_token1] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2493),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2493),
    [aux_sym_stop_statement_token1] = ACTIONS(2493),
    [aux_sym_stop_statement_token2] = ACTIONS(2493),
    [aux_sym_subroutine_call_token1] = ACTIONS(2493),
    [aux_sym_keyword_statement_token1] = ACTIONS(2493),
    [aux_sym_keyword_statement_token2] = ACTIONS(2493),
    [aux_sym_keyword_statement_token3] = ACTIONS(2493),
    [aux_sym_keyword_statement_token4] = ACTIONS(2493),
    [aux_sym_keyword_statement_token6] = ACTIONS(2493),
    [aux_sym_keyword_statement_token7] = ACTIONS(2493),
    [aux_sym_include_statement_token1] = ACTIONS(2493),
    [aux_sym_data_statement_token1] = ACTIONS(2493),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2493),
    [aux_sym_end_if_statement_token1] = ACTIONS(2493),
    [aux_sym_elseif_clause_token2] = ACTIONS(2493),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2493),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2493),
    [aux_sym_select_case_statement_token1] = ACTIONS(2493),
    [aux_sym_select_case_statement_token3] = ACTIONS(2493),
    [aux_sym_select_type_statement_token1] = ACTIONS(2493),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2493),
    [aux_sym_block_construct_token1] = ACTIONS(2493),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2493),
    [aux_sym_print_statement_token1] = ACTIONS(2493),
    [aux_sym_open_statement_token1] = ACTIONS(2493),
    [aux_sym_close_statement_token1] = ACTIONS(2493),
    [aux_sym_inquire_statement_token1] = ACTIONS(2493),
    [aux_sym_enum_statement_token1] = ACTIONS(2493),
    [aux_sym_file_position_statement_token1] = ACTIONS(2493),
    [aux_sym_file_position_statement_token2] = ACTIONS(2493),
    [aux_sym_file_position_statement_token3] = ACTIONS(2493),
    [aux_sym_file_position_statement_token4] = ACTIONS(2493),
    [aux_sym_logical_expression_token5] = ACTIONS(2495),
    [anon_sym_DOT] = ACTIONS(2493),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2495),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [aux_sym_boolean_literal_token1] = ACTIONS(2495),
    [aux_sym_boolean_literal_token2] = ACTIONS(2495),
    [aux_sym_null_literal_token1] = ACTIONS(2493),
    [aux_sym_identifier_token1] = ACTIONS(2493),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2495),
    [sym__float_literal] = ACTIONS(2495),
    [sym__boz_literal] = ACTIONS(2495),
    [sym__string_literal] = ACTIONS(2495),
    [sym__string_literal_kind] = ACTIONS(2495),
  },
  [516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [aux_sym_preproc_else_token1] = ACTIONS(2497),
    [aux_sym_preproc_elif_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token2] = ACTIONS(2497),
    [aux_sym_module_statement_token1] = ACTIONS(2497),
    [aux_sym_submodule_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_function_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2501),
    [aux_sym_preproc_def_token1] = ACTIONS(2501),
    [aux_sym_preproc_if_token1] = ACTIONS(2501),
    [aux_sym_preproc_if_token2] = ACTIONS(2501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2501),
    [aux_sym_preproc_else_token1] = ACTIONS(2501),
    [aux_sym_preproc_elif_token1] = ACTIONS(2501),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2501),
    [sym_preproc_directive] = ACTIONS(2501),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2501),
    [aux_sym_end_program_statement_token1] = ACTIONS(2501),
    [aux_sym_end_program_statement_token2] = ACTIONS(2501),
    [aux_sym_module_statement_token1] = ACTIONS(2501),
    [aux_sym_submodule_statement_token1] = ACTIONS(2501),
    [aux_sym_interface_statement_token1] = ACTIONS(2501),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2501),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2501),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2501),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2501),
    [aux_sym_function_statement_token1] = ACTIONS(2501),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2501),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2501),
    [aux_sym_contains_statement_token1] = ACTIONS(2501),
    [aux_sym_use_statement_token1] = ACTIONS(2501),
    [aux_sym_use_statement_token2] = ACTIONS(2501),
    [aux_sym_implicit_statement_token1] = ACTIONS(2501),
    [aux_sym_implicit_statement_token3] = ACTIONS(2501),
    [aux_sym_implicit_statement_token4] = ACTIONS(2501),
    [aux_sym_save_statement_token1] = ACTIONS(2501),
    [aux_sym_private_statement_token1] = ACTIONS(2501),
    [aux_sym_public_statement_token1] = ACTIONS(2501),
    [aux_sym_namelist_statement_token1] = ACTIONS(2501),
    [aux_sym_common_statement_token1] = ACTIONS(2501),
    [aux_sym_import_statement_token1] = ACTIONS(2501),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2501),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2501),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2501),
    [aux_sym_variable_attributes_token1] = ACTIONS(2501),
    [aux_sym_variable_attributes_token2] = ACTIONS(2501),
    [aux_sym_variable_attributes_token3] = ACTIONS(2501),
    [aux_sym_variable_attributes_token4] = ACTIONS(2501),
    [aux_sym_variable_attributes_token5] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2501),
    [aux_sym_derived_type_token1] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2501),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2501),
    [aux_sym_stop_statement_token1] = ACTIONS(2501),
    [aux_sym_stop_statement_token2] = ACTIONS(2501),
    [aux_sym_subroutine_call_token1] = ACTIONS(2501),
    [aux_sym_keyword_statement_token1] = ACTIONS(2501),
    [aux_sym_keyword_statement_token2] = ACTIONS(2501),
    [aux_sym_keyword_statement_token3] = ACTIONS(2501),
    [aux_sym_keyword_statement_token4] = ACTIONS(2501),
    [aux_sym_keyword_statement_token6] = ACTIONS(2501),
    [aux_sym_keyword_statement_token7] = ACTIONS(2501),
    [aux_sym_include_statement_token1] = ACTIONS(2501),
    [aux_sym_data_statement_token1] = ACTIONS(2501),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2501),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2501),
    [aux_sym_end_if_statement_token1] = ACTIONS(2501),
    [aux_sym_elseif_clause_token2] = ACTIONS(2501),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2501),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2501),
    [aux_sym_select_case_statement_token1] = ACTIONS(2501),
    [aux_sym_select_case_statement_token3] = ACTIONS(2501),
    [aux_sym_select_type_statement_token1] = ACTIONS(2501),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2501),
    [aux_sym_block_construct_token1] = ACTIONS(2501),
    [aux_sym_associate_statement_token1] = ACTIONS(2501),
    [aux_sym_format_statement_token1] = ACTIONS(2501),
    [aux_sym_print_statement_token1] = ACTIONS(2501),
    [aux_sym_open_statement_token1] = ACTIONS(2501),
    [aux_sym_close_statement_token1] = ACTIONS(2501),
    [aux_sym_inquire_statement_token1] = ACTIONS(2501),
    [aux_sym_enum_statement_token1] = ACTIONS(2501),
    [aux_sym_file_position_statement_token1] = ACTIONS(2501),
    [aux_sym_file_position_statement_token2] = ACTIONS(2501),
    [aux_sym_file_position_statement_token3] = ACTIONS(2501),
    [aux_sym_file_position_statement_token4] = ACTIONS(2501),
    [aux_sym_logical_expression_token5] = ACTIONS(2503),
    [anon_sym_DOT] = ACTIONS(2501),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [aux_sym_boolean_literal_token1] = ACTIONS(2503),
    [aux_sym_boolean_literal_token2] = ACTIONS(2503),
    [aux_sym_null_literal_token1] = ACTIONS(2501),
    [aux_sym_identifier_token1] = ACTIONS(2501),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2503),
    [sym__float_literal] = ACTIONS(2503),
    [sym__boz_literal] = ACTIONS(2503),
    [sym__string_literal] = ACTIONS(2503),
    [sym__string_literal_kind] = ACTIONS(2503),
  },
  [518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2505),
    [aux_sym_end_program_statement_token1] = ACTIONS(2505),
    [aux_sym_end_program_statement_token2] = ACTIONS(2505),
    [aux_sym_module_statement_token1] = ACTIONS(2505),
    [aux_sym_submodule_statement_token1] = ACTIONS(2505),
    [aux_sym_interface_statement_token1] = ACTIONS(2505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2505),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2505),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2505),
    [aux_sym_function_statement_token1] = ACTIONS(2505),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2505),
    [aux_sym_contains_statement_token1] = ACTIONS(2505),
    [aux_sym_use_statement_token1] = ACTIONS(2505),
    [aux_sym_use_statement_token2] = ACTIONS(2505),
    [aux_sym_implicit_statement_token1] = ACTIONS(2505),
    [aux_sym_implicit_statement_token3] = ACTIONS(2505),
    [aux_sym_implicit_statement_token4] = ACTIONS(2505),
    [aux_sym_save_statement_token1] = ACTIONS(2505),
    [aux_sym_private_statement_token1] = ACTIONS(2505),
    [aux_sym_public_statement_token1] = ACTIONS(2505),
    [aux_sym_namelist_statement_token1] = ACTIONS(2505),
    [aux_sym_common_statement_token1] = ACTIONS(2505),
    [aux_sym_import_statement_token1] = ACTIONS(2505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2505),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2505),
    [aux_sym_variable_attributes_token1] = ACTIONS(2505),
    [aux_sym_variable_attributes_token2] = ACTIONS(2505),
    [aux_sym_variable_attributes_token3] = ACTIONS(2505),
    [aux_sym_variable_attributes_token4] = ACTIONS(2505),
    [aux_sym_variable_attributes_token5] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2505),
    [aux_sym_derived_type_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2505),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2505),
    [aux_sym_stop_statement_token1] = ACTIONS(2505),
    [aux_sym_stop_statement_token2] = ACTIONS(2505),
    [aux_sym_subroutine_call_token1] = ACTIONS(2505),
    [aux_sym_keyword_statement_token1] = ACTIONS(2505),
    [aux_sym_keyword_statement_token2] = ACTIONS(2505),
    [aux_sym_keyword_statement_token3] = ACTIONS(2505),
    [aux_sym_keyword_statement_token4] = ACTIONS(2505),
    [aux_sym_keyword_statement_token6] = ACTIONS(2505),
    [aux_sym_keyword_statement_token7] = ACTIONS(2505),
    [aux_sym_include_statement_token1] = ACTIONS(2505),
    [aux_sym_data_statement_token1] = ACTIONS(2505),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2505),
    [aux_sym_end_if_statement_token1] = ACTIONS(2505),
    [aux_sym_elseif_clause_token2] = ACTIONS(2505),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2505),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2505),
    [aux_sym_select_case_statement_token1] = ACTIONS(2505),
    [aux_sym_select_case_statement_token3] = ACTIONS(2505),
    [aux_sym_select_type_statement_token1] = ACTIONS(2505),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2505),
    [aux_sym_block_construct_token1] = ACTIONS(2505),
    [aux_sym_associate_statement_token1] = ACTIONS(2505),
    [aux_sym_format_statement_token1] = ACTIONS(2505),
    [aux_sym_print_statement_token1] = ACTIONS(2505),
    [aux_sym_open_statement_token1] = ACTIONS(2505),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2505),
    [aux_sym_enum_statement_token1] = ACTIONS(2505),
    [aux_sym_file_position_statement_token1] = ACTIONS(2505),
    [aux_sym_file_position_statement_token2] = ACTIONS(2505),
    [aux_sym_file_position_statement_token3] = ACTIONS(2505),
    [aux_sym_file_position_statement_token4] = ACTIONS(2505),
    [aux_sym_logical_expression_token5] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [aux_sym_boolean_literal_token1] = ACTIONS(2507),
    [aux_sym_boolean_literal_token2] = ACTIONS(2507),
    [aux_sym_null_literal_token1] = ACTIONS(2505),
    [aux_sym_identifier_token1] = ACTIONS(2505),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2507),
    [sym__float_literal] = ACTIONS(2507),
    [sym__boz_literal] = ACTIONS(2507),
    [sym__string_literal] = ACTIONS(2507),
    [sym__string_literal_kind] = ACTIONS(2507),
  },
  [519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2509),
    [aux_sym_preproc_def_token1] = ACTIONS(2509),
    [aux_sym_preproc_if_token1] = ACTIONS(2509),
    [aux_sym_preproc_if_token2] = ACTIONS(2509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2509),
    [aux_sym_preproc_else_token1] = ACTIONS(2509),
    [aux_sym_preproc_elif_token1] = ACTIONS(2509),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2509),
    [sym_preproc_directive] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2511),
    [anon_sym_DASH] = ACTIONS(2511),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2509),
    [aux_sym_end_program_statement_token1] = ACTIONS(2509),
    [aux_sym_end_program_statement_token2] = ACTIONS(2509),
    [aux_sym_module_statement_token1] = ACTIONS(2509),
    [aux_sym_submodule_statement_token1] = ACTIONS(2509),
    [aux_sym_interface_statement_token1] = ACTIONS(2509),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2509),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2509),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2509),
    [aux_sym_function_statement_token1] = ACTIONS(2509),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2509),
    [aux_sym_contains_statement_token1] = ACTIONS(2509),
    [aux_sym_use_statement_token1] = ACTIONS(2509),
    [aux_sym_use_statement_token2] = ACTIONS(2509),
    [aux_sym_implicit_statement_token1] = ACTIONS(2509),
    [aux_sym_implicit_statement_token3] = ACTIONS(2509),
    [aux_sym_implicit_statement_token4] = ACTIONS(2509),
    [aux_sym_save_statement_token1] = ACTIONS(2509),
    [aux_sym_private_statement_token1] = ACTIONS(2509),
    [aux_sym_public_statement_token1] = ACTIONS(2509),
    [aux_sym_namelist_statement_token1] = ACTIONS(2509),
    [aux_sym_common_statement_token1] = ACTIONS(2509),
    [aux_sym_import_statement_token1] = ACTIONS(2509),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2509),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2509),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2509),
    [aux_sym_variable_attributes_token1] = ACTIONS(2509),
    [aux_sym_variable_attributes_token2] = ACTIONS(2509),
    [aux_sym_variable_attributes_token3] = ACTIONS(2509),
    [aux_sym_variable_attributes_token4] = ACTIONS(2509),
    [aux_sym_variable_attributes_token5] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2509),
    [aux_sym_derived_type_token1] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2509),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2509),
    [aux_sym_stop_statement_token1] = ACTIONS(2509),
    [aux_sym_stop_statement_token2] = ACTIONS(2509),
    [aux_sym_subroutine_call_token1] = ACTIONS(2509),
    [aux_sym_keyword_statement_token1] = ACTIONS(2509),
    [aux_sym_keyword_statement_token2] = ACTIONS(2509),
    [aux_sym_keyword_statement_token3] = ACTIONS(2509),
    [aux_sym_keyword_statement_token4] = ACTIONS(2509),
    [aux_sym_keyword_statement_token6] = ACTIONS(2509),
    [aux_sym_keyword_statement_token7] = ACTIONS(2509),
    [aux_sym_include_statement_token1] = ACTIONS(2509),
    [aux_sym_data_statement_token1] = ACTIONS(2509),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2509),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2509),
    [aux_sym_end_if_statement_token1] = ACTIONS(2509),
    [aux_sym_elseif_clause_token2] = ACTIONS(2509),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2509),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2509),
    [aux_sym_select_case_statement_token1] = ACTIONS(2509),
    [aux_sym_select_case_statement_token3] = ACTIONS(2509),
    [aux_sym_select_type_statement_token1] = ACTIONS(2509),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2509),
    [aux_sym_block_construct_token1] = ACTIONS(2509),
    [aux_sym_associate_statement_token1] = ACTIONS(2509),
    [aux_sym_format_statement_token1] = ACTIONS(2509),
    [aux_sym_print_statement_token1] = ACTIONS(2509),
    [aux_sym_open_statement_token1] = ACTIONS(2509),
    [aux_sym_close_statement_token1] = ACTIONS(2509),
    [aux_sym_inquire_statement_token1] = ACTIONS(2509),
    [aux_sym_enum_statement_token1] = ACTIONS(2509),
    [aux_sym_file_position_statement_token1] = ACTIONS(2509),
    [aux_sym_file_position_statement_token2] = ACTIONS(2509),
    [aux_sym_file_position_statement_token3] = ACTIONS(2509),
    [aux_sym_file_position_statement_token4] = ACTIONS(2509),
    [aux_sym_logical_expression_token5] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [aux_sym_boolean_literal_token1] = ACTIONS(2511),
    [aux_sym_boolean_literal_token2] = ACTIONS(2511),
    [aux_sym_null_literal_token1] = ACTIONS(2509),
    [aux_sym_identifier_token1] = ACTIONS(2509),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2511),
    [sym__float_literal] = ACTIONS(2511),
    [sym__boz_literal] = ACTIONS(2511),
    [sym__string_literal] = ACTIONS(2511),
    [sym__string_literal_kind] = ACTIONS(2511),
  },
  [520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2513),
    [aux_sym_preproc_def_token1] = ACTIONS(2513),
    [aux_sym_preproc_if_token1] = ACTIONS(2513),
    [aux_sym_preproc_if_token2] = ACTIONS(2513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2513),
    [aux_sym_preproc_else_token1] = ACTIONS(2513),
    [aux_sym_preproc_elif_token1] = ACTIONS(2513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2513),
    [sym_preproc_directive] = ACTIONS(2513),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2513),
    [aux_sym_end_program_statement_token1] = ACTIONS(2513),
    [aux_sym_end_program_statement_token2] = ACTIONS(2513),
    [aux_sym_module_statement_token1] = ACTIONS(2513),
    [aux_sym_submodule_statement_token1] = ACTIONS(2513),
    [aux_sym_interface_statement_token1] = ACTIONS(2513),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2513),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2513),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2513),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2513),
    [aux_sym_function_statement_token1] = ACTIONS(2513),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2513),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2513),
    [aux_sym_contains_statement_token1] = ACTIONS(2513),
    [aux_sym_use_statement_token1] = ACTIONS(2513),
    [aux_sym_use_statement_token2] = ACTIONS(2513),
    [aux_sym_implicit_statement_token1] = ACTIONS(2513),
    [aux_sym_implicit_statement_token3] = ACTIONS(2513),
    [aux_sym_implicit_statement_token4] = ACTIONS(2513),
    [aux_sym_save_statement_token1] = ACTIONS(2513),
    [aux_sym_private_statement_token1] = ACTIONS(2513),
    [aux_sym_public_statement_token1] = ACTIONS(2513),
    [aux_sym_namelist_statement_token1] = ACTIONS(2513),
    [aux_sym_common_statement_token1] = ACTIONS(2513),
    [aux_sym_import_statement_token1] = ACTIONS(2513),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2513),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2513),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2513),
    [aux_sym_variable_attributes_token1] = ACTIONS(2513),
    [aux_sym_variable_attributes_token2] = ACTIONS(2513),
    [aux_sym_variable_attributes_token3] = ACTIONS(2513),
    [aux_sym_variable_attributes_token4] = ACTIONS(2513),
    [aux_sym_variable_attributes_token5] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2513),
    [aux_sym_derived_type_token1] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2513),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2513),
    [aux_sym_stop_statement_token1] = ACTIONS(2513),
    [aux_sym_stop_statement_token2] = ACTIONS(2513),
    [aux_sym_subroutine_call_token1] = ACTIONS(2513),
    [aux_sym_keyword_statement_token1] = ACTIONS(2513),
    [aux_sym_keyword_statement_token2] = ACTIONS(2513),
    [aux_sym_keyword_statement_token3] = ACTIONS(2513),
    [aux_sym_keyword_statement_token4] = ACTIONS(2513),
    [aux_sym_keyword_statement_token6] = ACTIONS(2513),
    [aux_sym_keyword_statement_token7] = ACTIONS(2513),
    [aux_sym_include_statement_token1] = ACTIONS(2513),
    [aux_sym_data_statement_token1] = ACTIONS(2513),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2513),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2513),
    [aux_sym_end_if_statement_token1] = ACTIONS(2513),
    [aux_sym_elseif_clause_token2] = ACTIONS(2513),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2513),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2513),
    [aux_sym_select_case_statement_token1] = ACTIONS(2513),
    [aux_sym_select_case_statement_token3] = ACTIONS(2513),
    [aux_sym_select_type_statement_token1] = ACTIONS(2513),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2513),
    [aux_sym_block_construct_token1] = ACTIONS(2513),
    [aux_sym_associate_statement_token1] = ACTIONS(2513),
    [aux_sym_format_statement_token1] = ACTIONS(2513),
    [aux_sym_print_statement_token1] = ACTIONS(2513),
    [aux_sym_open_statement_token1] = ACTIONS(2513),
    [aux_sym_close_statement_token1] = ACTIONS(2513),
    [aux_sym_inquire_statement_token1] = ACTIONS(2513),
    [aux_sym_enum_statement_token1] = ACTIONS(2513),
    [aux_sym_file_position_statement_token1] = ACTIONS(2513),
    [aux_sym_file_position_statement_token2] = ACTIONS(2513),
    [aux_sym_file_position_statement_token3] = ACTIONS(2513),
    [aux_sym_file_position_statement_token4] = ACTIONS(2513),
    [aux_sym_logical_expression_token5] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(2513),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [aux_sym_boolean_literal_token1] = ACTIONS(2515),
    [aux_sym_boolean_literal_token2] = ACTIONS(2515),
    [aux_sym_null_literal_token1] = ACTIONS(2513),
    [aux_sym_identifier_token1] = ACTIONS(2513),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2515),
    [sym__float_literal] = ACTIONS(2515),
    [sym__boz_literal] = ACTIONS(2515),
    [sym__string_literal] = ACTIONS(2515),
    [sym__string_literal_kind] = ACTIONS(2515),
  },
  [521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2517),
    [aux_sym_preproc_def_token1] = ACTIONS(2517),
    [aux_sym_preproc_if_token1] = ACTIONS(2517),
    [aux_sym_preproc_if_token2] = ACTIONS(2517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2517),
    [aux_sym_preproc_else_token1] = ACTIONS(2517),
    [aux_sym_preproc_elif_token1] = ACTIONS(2517),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2517),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2517),
    [sym_preproc_directive] = ACTIONS(2517),
    [anon_sym_LPAREN2] = ACTIONS(2517),
    [anon_sym_PLUS] = ACTIONS(2519),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2517),
    [aux_sym_end_program_statement_token1] = ACTIONS(2517),
    [aux_sym_end_program_statement_token2] = ACTIONS(2517),
    [aux_sym_module_statement_token1] = ACTIONS(2517),
    [aux_sym_submodule_statement_token1] = ACTIONS(2517),
    [aux_sym_interface_statement_token1] = ACTIONS(2517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2517),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2517),
    [aux_sym_function_statement_token1] = ACTIONS(2517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2517),
    [aux_sym_contains_statement_token1] = ACTIONS(2517),
    [aux_sym_use_statement_token1] = ACTIONS(2517),
    [aux_sym_use_statement_token2] = ACTIONS(2517),
    [aux_sym_implicit_statement_token1] = ACTIONS(2517),
    [aux_sym_implicit_statement_token3] = ACTIONS(2517),
    [aux_sym_implicit_statement_token4] = ACTIONS(2517),
    [aux_sym_save_statement_token1] = ACTIONS(2517),
    [aux_sym_private_statement_token1] = ACTIONS(2517),
    [aux_sym_public_statement_token1] = ACTIONS(2517),
    [aux_sym_namelist_statement_token1] = ACTIONS(2517),
    [aux_sym_common_statement_token1] = ACTIONS(2517),
    [aux_sym_import_statement_token1] = ACTIONS(2517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2517),
    [aux_sym_variable_attributes_token1] = ACTIONS(2517),
    [aux_sym_variable_attributes_token2] = ACTIONS(2517),
    [aux_sym_variable_attributes_token3] = ACTIONS(2517),
    [aux_sym_variable_attributes_token4] = ACTIONS(2517),
    [aux_sym_variable_attributes_token5] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2517),
    [aux_sym_derived_type_token1] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2517),
    [aux_sym_stop_statement_token1] = ACTIONS(2517),
    [aux_sym_stop_statement_token2] = ACTIONS(2517),
    [aux_sym_subroutine_call_token1] = ACTIONS(2517),
    [aux_sym_keyword_statement_token1] = ACTIONS(2517),
    [aux_sym_keyword_statement_token2] = ACTIONS(2517),
    [aux_sym_keyword_statement_token3] = ACTIONS(2517),
    [aux_sym_keyword_statement_token4] = ACTIONS(2517),
    [aux_sym_keyword_statement_token6] = ACTIONS(2517),
    [aux_sym_keyword_statement_token7] = ACTIONS(2517),
    [aux_sym_include_statement_token1] = ACTIONS(2517),
    [aux_sym_data_statement_token1] = ACTIONS(2517),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2517),
    [aux_sym_end_if_statement_token1] = ACTIONS(2517),
    [aux_sym_elseif_clause_token2] = ACTIONS(2517),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2517),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2517),
    [aux_sym_select_case_statement_token1] = ACTIONS(2517),
    [aux_sym_select_case_statement_token3] = ACTIONS(2517),
    [aux_sym_select_type_statement_token1] = ACTIONS(2517),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2517),
    [aux_sym_block_construct_token1] = ACTIONS(2517),
    [aux_sym_associate_statement_token1] = ACTIONS(2517),
    [aux_sym_format_statement_token1] = ACTIONS(2517),
    [aux_sym_print_statement_token1] = ACTIONS(2517),
    [aux_sym_open_statement_token1] = ACTIONS(2517),
    [aux_sym_close_statement_token1] = ACTIONS(2517),
    [aux_sym_inquire_statement_token1] = ACTIONS(2517),
    [aux_sym_enum_statement_token1] = ACTIONS(2517),
    [aux_sym_file_position_statement_token1] = ACTIONS(2517),
    [aux_sym_file_position_statement_token2] = ACTIONS(2517),
    [aux_sym_file_position_statement_token3] = ACTIONS(2517),
    [aux_sym_file_position_statement_token4] = ACTIONS(2517),
    [aux_sym_logical_expression_token5] = ACTIONS(2519),
    [anon_sym_DOT] = ACTIONS(2517),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [aux_sym_boolean_literal_token1] = ACTIONS(2519),
    [aux_sym_boolean_literal_token2] = ACTIONS(2519),
    [aux_sym_null_literal_token1] = ACTIONS(2517),
    [aux_sym_identifier_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2519),
    [sym__float_literal] = ACTIONS(2519),
    [sym__boz_literal] = ACTIONS(2519),
    [sym__string_literal] = ACTIONS(2519),
    [sym__string_literal_kind] = ACTIONS(2519),
  },
  [522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2521),
    [aux_sym_preproc_def_token1] = ACTIONS(2521),
    [aux_sym_preproc_if_token1] = ACTIONS(2521),
    [aux_sym_preproc_if_token2] = ACTIONS(2521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2521),
    [aux_sym_preproc_else_token1] = ACTIONS(2521),
    [aux_sym_preproc_elif_token1] = ACTIONS(2521),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2521),
    [sym_preproc_directive] = ACTIONS(2521),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2521),
    [aux_sym_end_program_statement_token1] = ACTIONS(2521),
    [aux_sym_end_program_statement_token2] = ACTIONS(2521),
    [aux_sym_module_statement_token1] = ACTIONS(2521),
    [aux_sym_submodule_statement_token1] = ACTIONS(2521),
    [aux_sym_interface_statement_token1] = ACTIONS(2521),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2521),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2521),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2521),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2521),
    [aux_sym_function_statement_token1] = ACTIONS(2521),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2521),
    [aux_sym_contains_statement_token1] = ACTIONS(2521),
    [aux_sym_use_statement_token1] = ACTIONS(2521),
    [aux_sym_use_statement_token2] = ACTIONS(2521),
    [aux_sym_implicit_statement_token1] = ACTIONS(2521),
    [aux_sym_implicit_statement_token3] = ACTIONS(2521),
    [aux_sym_implicit_statement_token4] = ACTIONS(2521),
    [aux_sym_save_statement_token1] = ACTIONS(2521),
    [aux_sym_private_statement_token1] = ACTIONS(2521),
    [aux_sym_public_statement_token1] = ACTIONS(2521),
    [aux_sym_namelist_statement_token1] = ACTIONS(2521),
    [aux_sym_common_statement_token1] = ACTIONS(2521),
    [aux_sym_import_statement_token1] = ACTIONS(2521),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2521),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2521),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2521),
    [aux_sym_variable_attributes_token1] = ACTIONS(2521),
    [aux_sym_variable_attributes_token2] = ACTIONS(2521),
    [aux_sym_variable_attributes_token3] = ACTIONS(2521),
    [aux_sym_variable_attributes_token4] = ACTIONS(2521),
    [aux_sym_variable_attributes_token5] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2521),
    [aux_sym_derived_type_token1] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2521),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2521),
    [aux_sym_stop_statement_token1] = ACTIONS(2521),
    [aux_sym_stop_statement_token2] = ACTIONS(2521),
    [aux_sym_subroutine_call_token1] = ACTIONS(2521),
    [aux_sym_keyword_statement_token1] = ACTIONS(2521),
    [aux_sym_keyword_statement_token2] = ACTIONS(2521),
    [aux_sym_keyword_statement_token3] = ACTIONS(2521),
    [aux_sym_keyword_statement_token4] = ACTIONS(2521),
    [aux_sym_keyword_statement_token6] = ACTIONS(2521),
    [aux_sym_keyword_statement_token7] = ACTIONS(2521),
    [aux_sym_include_statement_token1] = ACTIONS(2521),
    [aux_sym_data_statement_token1] = ACTIONS(2521),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2521),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2521),
    [aux_sym_end_if_statement_token1] = ACTIONS(2521),
    [aux_sym_elseif_clause_token2] = ACTIONS(2521),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2521),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2521),
    [aux_sym_select_case_statement_token1] = ACTIONS(2521),
    [aux_sym_select_case_statement_token3] = ACTIONS(2521),
    [aux_sym_select_type_statement_token1] = ACTIONS(2521),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2521),
    [aux_sym_block_construct_token1] = ACTIONS(2521),
    [aux_sym_associate_statement_token1] = ACTIONS(2521),
    [aux_sym_format_statement_token1] = ACTIONS(2521),
    [aux_sym_print_statement_token1] = ACTIONS(2521),
    [aux_sym_open_statement_token1] = ACTIONS(2521),
    [aux_sym_close_statement_token1] = ACTIONS(2521),
    [aux_sym_inquire_statement_token1] = ACTIONS(2521),
    [aux_sym_enum_statement_token1] = ACTIONS(2521),
    [aux_sym_file_position_statement_token1] = ACTIONS(2521),
    [aux_sym_file_position_statement_token2] = ACTIONS(2521),
    [aux_sym_file_position_statement_token3] = ACTIONS(2521),
    [aux_sym_file_position_statement_token4] = ACTIONS(2521),
    [aux_sym_logical_expression_token5] = ACTIONS(2523),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [aux_sym_boolean_literal_token1] = ACTIONS(2523),
    [aux_sym_boolean_literal_token2] = ACTIONS(2523),
    [aux_sym_null_literal_token1] = ACTIONS(2521),
    [aux_sym_identifier_token1] = ACTIONS(2521),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2523),
    [sym__float_literal] = ACTIONS(2523),
    [sym__boz_literal] = ACTIONS(2523),
    [sym__string_literal] = ACTIONS(2523),
    [sym__string_literal_kind] = ACTIONS(2523),
  },
  [523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2525),
    [aux_sym_preproc_def_token1] = ACTIONS(2525),
    [aux_sym_preproc_if_token1] = ACTIONS(2525),
    [aux_sym_preproc_if_token2] = ACTIONS(2525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2525),
    [aux_sym_preproc_else_token1] = ACTIONS(2525),
    [aux_sym_preproc_elif_token1] = ACTIONS(2525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2525),
    [sym_preproc_directive] = ACTIONS(2525),
    [anon_sym_LPAREN2] = ACTIONS(2525),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2525),
    [aux_sym_end_program_statement_token1] = ACTIONS(2525),
    [aux_sym_end_program_statement_token2] = ACTIONS(2525),
    [aux_sym_module_statement_token1] = ACTIONS(2525),
    [aux_sym_submodule_statement_token1] = ACTIONS(2525),
    [aux_sym_interface_statement_token1] = ACTIONS(2525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2525),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2525),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2525),
    [aux_sym_function_statement_token1] = ACTIONS(2525),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2525),
    [aux_sym_contains_statement_token1] = ACTIONS(2525),
    [aux_sym_use_statement_token1] = ACTIONS(2525),
    [aux_sym_use_statement_token2] = ACTIONS(2525),
    [aux_sym_implicit_statement_token1] = ACTIONS(2525),
    [aux_sym_implicit_statement_token3] = ACTIONS(2525),
    [aux_sym_implicit_statement_token4] = ACTIONS(2525),
    [aux_sym_save_statement_token1] = ACTIONS(2525),
    [aux_sym_private_statement_token1] = ACTIONS(2525),
    [aux_sym_public_statement_token1] = ACTIONS(2525),
    [aux_sym_namelist_statement_token1] = ACTIONS(2525),
    [aux_sym_common_statement_token1] = ACTIONS(2525),
    [aux_sym_import_statement_token1] = ACTIONS(2525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2525),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2525),
    [aux_sym_variable_attributes_token1] = ACTIONS(2525),
    [aux_sym_variable_attributes_token2] = ACTIONS(2525),
    [aux_sym_variable_attributes_token3] = ACTIONS(2525),
    [aux_sym_variable_attributes_token4] = ACTIONS(2525),
    [aux_sym_variable_attributes_token5] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2525),
    [aux_sym_derived_type_token1] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2525),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2525),
    [aux_sym_stop_statement_token1] = ACTIONS(2525),
    [aux_sym_stop_statement_token2] = ACTIONS(2525),
    [aux_sym_subroutine_call_token1] = ACTIONS(2525),
    [aux_sym_keyword_statement_token1] = ACTIONS(2525),
    [aux_sym_keyword_statement_token2] = ACTIONS(2525),
    [aux_sym_keyword_statement_token3] = ACTIONS(2525),
    [aux_sym_keyword_statement_token4] = ACTIONS(2525),
    [aux_sym_keyword_statement_token6] = ACTIONS(2525),
    [aux_sym_keyword_statement_token7] = ACTIONS(2525),
    [aux_sym_include_statement_token1] = ACTIONS(2525),
    [aux_sym_data_statement_token1] = ACTIONS(2525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2525),
    [aux_sym_end_if_statement_token1] = ACTIONS(2525),
    [aux_sym_elseif_clause_token2] = ACTIONS(2525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2525),
    [aux_sym_select_case_statement_token1] = ACTIONS(2525),
    [aux_sym_select_case_statement_token3] = ACTIONS(2525),
    [aux_sym_select_type_statement_token1] = ACTIONS(2525),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2525),
    [aux_sym_block_construct_token1] = ACTIONS(2525),
    [aux_sym_associate_statement_token1] = ACTIONS(2525),
    [aux_sym_format_statement_token1] = ACTIONS(2525),
    [aux_sym_print_statement_token1] = ACTIONS(2525),
    [aux_sym_open_statement_token1] = ACTIONS(2525),
    [aux_sym_close_statement_token1] = ACTIONS(2525),
    [aux_sym_inquire_statement_token1] = ACTIONS(2525),
    [aux_sym_enum_statement_token1] = ACTIONS(2525),
    [aux_sym_file_position_statement_token1] = ACTIONS(2525),
    [aux_sym_file_position_statement_token2] = ACTIONS(2525),
    [aux_sym_file_position_statement_token3] = ACTIONS(2525),
    [aux_sym_file_position_statement_token4] = ACTIONS(2525),
    [aux_sym_logical_expression_token5] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(2525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [aux_sym_boolean_literal_token1] = ACTIONS(2527),
    [aux_sym_boolean_literal_token2] = ACTIONS(2527),
    [aux_sym_null_literal_token1] = ACTIONS(2525),
    [aux_sym_identifier_token1] = ACTIONS(2525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2527),
    [sym__float_literal] = ACTIONS(2527),
    [sym__boz_literal] = ACTIONS(2527),
    [sym__string_literal] = ACTIONS(2527),
    [sym__string_literal_kind] = ACTIONS(2527),
  },
  [524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2529),
    [aux_sym_preproc_def_token1] = ACTIONS(2529),
    [aux_sym_preproc_if_token1] = ACTIONS(2529),
    [aux_sym_preproc_if_token2] = ACTIONS(2529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2529),
    [aux_sym_preproc_else_token1] = ACTIONS(2529),
    [aux_sym_preproc_elif_token1] = ACTIONS(2529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2529),
    [sym_preproc_directive] = ACTIONS(2529),
    [anon_sym_LPAREN2] = ACTIONS(2529),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2529),
    [aux_sym_end_program_statement_token1] = ACTIONS(2529),
    [aux_sym_end_program_statement_token2] = ACTIONS(2529),
    [aux_sym_module_statement_token1] = ACTIONS(2529),
    [aux_sym_submodule_statement_token1] = ACTIONS(2529),
    [aux_sym_interface_statement_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2529),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2529),
    [aux_sym_function_statement_token1] = ACTIONS(2529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2529),
    [aux_sym_contains_statement_token1] = ACTIONS(2529),
    [aux_sym_use_statement_token1] = ACTIONS(2529),
    [aux_sym_use_statement_token2] = ACTIONS(2529),
    [aux_sym_implicit_statement_token1] = ACTIONS(2529),
    [aux_sym_implicit_statement_token3] = ACTIONS(2529),
    [aux_sym_implicit_statement_token4] = ACTIONS(2529),
    [aux_sym_save_statement_token1] = ACTIONS(2529),
    [aux_sym_private_statement_token1] = ACTIONS(2529),
    [aux_sym_public_statement_token1] = ACTIONS(2529),
    [aux_sym_namelist_statement_token1] = ACTIONS(2529),
    [aux_sym_common_statement_token1] = ACTIONS(2529),
    [aux_sym_import_statement_token1] = ACTIONS(2529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2529),
    [aux_sym_variable_attributes_token1] = ACTIONS(2529),
    [aux_sym_variable_attributes_token2] = ACTIONS(2529),
    [aux_sym_variable_attributes_token3] = ACTIONS(2529),
    [aux_sym_variable_attributes_token4] = ACTIONS(2529),
    [aux_sym_variable_attributes_token5] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2529),
    [aux_sym_derived_type_token1] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2529),
    [aux_sym_stop_statement_token1] = ACTIONS(2529),
    [aux_sym_stop_statement_token2] = ACTIONS(2529),
    [aux_sym_subroutine_call_token1] = ACTIONS(2529),
    [aux_sym_keyword_statement_token1] = ACTIONS(2529),
    [aux_sym_keyword_statement_token2] = ACTIONS(2529),
    [aux_sym_keyword_statement_token3] = ACTIONS(2529),
    [aux_sym_keyword_statement_token4] = ACTIONS(2529),
    [aux_sym_keyword_statement_token6] = ACTIONS(2529),
    [aux_sym_keyword_statement_token7] = ACTIONS(2529),
    [aux_sym_include_statement_token1] = ACTIONS(2529),
    [aux_sym_data_statement_token1] = ACTIONS(2529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2529),
    [aux_sym_end_if_statement_token1] = ACTIONS(2529),
    [aux_sym_elseif_clause_token2] = ACTIONS(2529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2529),
    [aux_sym_select_case_statement_token1] = ACTIONS(2529),
    [aux_sym_select_case_statement_token3] = ACTIONS(2529),
    [aux_sym_select_type_statement_token1] = ACTIONS(2529),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2529),
    [aux_sym_block_construct_token1] = ACTIONS(2529),
    [aux_sym_associate_statement_token1] = ACTIONS(2529),
    [aux_sym_format_statement_token1] = ACTIONS(2529),
    [aux_sym_print_statement_token1] = ACTIONS(2529),
    [aux_sym_open_statement_token1] = ACTIONS(2529),
    [aux_sym_close_statement_token1] = ACTIONS(2529),
    [aux_sym_inquire_statement_token1] = ACTIONS(2529),
    [aux_sym_enum_statement_token1] = ACTIONS(2529),
    [aux_sym_file_position_statement_token1] = ACTIONS(2529),
    [aux_sym_file_position_statement_token2] = ACTIONS(2529),
    [aux_sym_file_position_statement_token3] = ACTIONS(2529),
    [aux_sym_file_position_statement_token4] = ACTIONS(2529),
    [aux_sym_logical_expression_token5] = ACTIONS(2531),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [aux_sym_boolean_literal_token1] = ACTIONS(2531),
    [aux_sym_boolean_literal_token2] = ACTIONS(2531),
    [aux_sym_null_literal_token1] = ACTIONS(2529),
    [aux_sym_identifier_token1] = ACTIONS(2529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2531),
    [sym__float_literal] = ACTIONS(2531),
    [sym__boz_literal] = ACTIONS(2531),
    [sym__string_literal] = ACTIONS(2531),
    [sym__string_literal_kind] = ACTIONS(2531),
  },
  [525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2533),
    [aux_sym_preproc_def_token1] = ACTIONS(2533),
    [aux_sym_preproc_if_token1] = ACTIONS(2533),
    [aux_sym_preproc_if_token2] = ACTIONS(2533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2533),
    [aux_sym_preproc_else_token1] = ACTIONS(2533),
    [aux_sym_preproc_elif_token1] = ACTIONS(2533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2533),
    [sym_preproc_directive] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2533),
    [aux_sym_end_program_statement_token1] = ACTIONS(2533),
    [aux_sym_end_program_statement_token2] = ACTIONS(2533),
    [aux_sym_module_statement_token1] = ACTIONS(2533),
    [aux_sym_submodule_statement_token1] = ACTIONS(2533),
    [aux_sym_interface_statement_token1] = ACTIONS(2533),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2533),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2533),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2533),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2533),
    [aux_sym_function_statement_token1] = ACTIONS(2533),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2533),
    [aux_sym_contains_statement_token1] = ACTIONS(2533),
    [aux_sym_use_statement_token1] = ACTIONS(2533),
    [aux_sym_use_statement_token2] = ACTIONS(2533),
    [aux_sym_implicit_statement_token1] = ACTIONS(2533),
    [aux_sym_implicit_statement_token3] = ACTIONS(2533),
    [aux_sym_implicit_statement_token4] = ACTIONS(2533),
    [aux_sym_save_statement_token1] = ACTIONS(2533),
    [aux_sym_private_statement_token1] = ACTIONS(2533),
    [aux_sym_public_statement_token1] = ACTIONS(2533),
    [aux_sym_namelist_statement_token1] = ACTIONS(2533),
    [aux_sym_common_statement_token1] = ACTIONS(2533),
    [aux_sym_import_statement_token1] = ACTIONS(2533),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2533),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2533),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2533),
    [aux_sym_variable_attributes_token1] = ACTIONS(2533),
    [aux_sym_variable_attributes_token2] = ACTIONS(2533),
    [aux_sym_variable_attributes_token3] = ACTIONS(2533),
    [aux_sym_variable_attributes_token4] = ACTIONS(2533),
    [aux_sym_variable_attributes_token5] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2533),
    [aux_sym_derived_type_token1] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2533),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2533),
    [aux_sym_stop_statement_token1] = ACTIONS(2533),
    [aux_sym_stop_statement_token2] = ACTIONS(2533),
    [aux_sym_subroutine_call_token1] = ACTIONS(2533),
    [aux_sym_keyword_statement_token1] = ACTIONS(2533),
    [aux_sym_keyword_statement_token2] = ACTIONS(2533),
    [aux_sym_keyword_statement_token3] = ACTIONS(2533),
    [aux_sym_keyword_statement_token4] = ACTIONS(2533),
    [aux_sym_keyword_statement_token6] = ACTIONS(2533),
    [aux_sym_keyword_statement_token7] = ACTIONS(2533),
    [aux_sym_include_statement_token1] = ACTIONS(2533),
    [aux_sym_data_statement_token1] = ACTIONS(2533),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2533),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2533),
    [aux_sym_end_if_statement_token1] = ACTIONS(2533),
    [aux_sym_elseif_clause_token2] = ACTIONS(2533),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2533),
    [aux_sym_select_case_statement_token1] = ACTIONS(2533),
    [aux_sym_select_case_statement_token3] = ACTIONS(2533),
    [aux_sym_select_type_statement_token1] = ACTIONS(2533),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2533),
    [aux_sym_block_construct_token1] = ACTIONS(2533),
    [aux_sym_associate_statement_token1] = ACTIONS(2533),
    [aux_sym_format_statement_token1] = ACTIONS(2533),
    [aux_sym_print_statement_token1] = ACTIONS(2533),
    [aux_sym_open_statement_token1] = ACTIONS(2533),
    [aux_sym_close_statement_token1] = ACTIONS(2533),
    [aux_sym_inquire_statement_token1] = ACTIONS(2533),
    [aux_sym_enum_statement_token1] = ACTIONS(2533),
    [aux_sym_file_position_statement_token1] = ACTIONS(2533),
    [aux_sym_file_position_statement_token2] = ACTIONS(2533),
    [aux_sym_file_position_statement_token3] = ACTIONS(2533),
    [aux_sym_file_position_statement_token4] = ACTIONS(2533),
    [aux_sym_logical_expression_token5] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2535),
    [aux_sym_boolean_literal_token2] = ACTIONS(2535),
    [aux_sym_null_literal_token1] = ACTIONS(2533),
    [aux_sym_identifier_token1] = ACTIONS(2533),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2535),
    [sym__float_literal] = ACTIONS(2535),
    [sym__boz_literal] = ACTIONS(2535),
    [sym__string_literal] = ACTIONS(2535),
    [sym__string_literal_kind] = ACTIONS(2535),
  },
  [526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2537),
    [aux_sym_preproc_def_token1] = ACTIONS(2537),
    [aux_sym_preproc_if_token1] = ACTIONS(2537),
    [aux_sym_preproc_if_token2] = ACTIONS(2537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2537),
    [aux_sym_preproc_else_token1] = ACTIONS(2537),
    [aux_sym_preproc_elif_token1] = ACTIONS(2537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2537),
    [sym_preproc_directive] = ACTIONS(2537),
    [anon_sym_LPAREN2] = ACTIONS(2537),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2537),
    [aux_sym_end_program_statement_token1] = ACTIONS(2537),
    [aux_sym_end_program_statement_token2] = ACTIONS(2537),
    [aux_sym_module_statement_token1] = ACTIONS(2537),
    [aux_sym_submodule_statement_token1] = ACTIONS(2537),
    [aux_sym_interface_statement_token1] = ACTIONS(2537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2537),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2537),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2537),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2537),
    [aux_sym_function_statement_token1] = ACTIONS(2537),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2537),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2537),
    [aux_sym_contains_statement_token1] = ACTIONS(2537),
    [aux_sym_use_statement_token1] = ACTIONS(2537),
    [aux_sym_use_statement_token2] = ACTIONS(2537),
    [aux_sym_implicit_statement_token1] = ACTIONS(2537),
    [aux_sym_implicit_statement_token3] = ACTIONS(2537),
    [aux_sym_implicit_statement_token4] = ACTIONS(2537),
    [aux_sym_save_statement_token1] = ACTIONS(2537),
    [aux_sym_private_statement_token1] = ACTIONS(2537),
    [aux_sym_public_statement_token1] = ACTIONS(2537),
    [aux_sym_namelist_statement_token1] = ACTIONS(2537),
    [aux_sym_common_statement_token1] = ACTIONS(2537),
    [aux_sym_import_statement_token1] = ACTIONS(2537),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2537),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2537),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2537),
    [aux_sym_variable_attributes_token1] = ACTIONS(2537),
    [aux_sym_variable_attributes_token2] = ACTIONS(2537),
    [aux_sym_variable_attributes_token3] = ACTIONS(2537),
    [aux_sym_variable_attributes_token4] = ACTIONS(2537),
    [aux_sym_variable_attributes_token5] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2537),
    [aux_sym_derived_type_token1] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2537),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2537),
    [aux_sym_stop_statement_token1] = ACTIONS(2537),
    [aux_sym_stop_statement_token2] = ACTIONS(2537),
    [aux_sym_subroutine_call_token1] = ACTIONS(2537),
    [aux_sym_keyword_statement_token1] = ACTIONS(2537),
    [aux_sym_keyword_statement_token2] = ACTIONS(2537),
    [aux_sym_keyword_statement_token3] = ACTIONS(2537),
    [aux_sym_keyword_statement_token4] = ACTIONS(2537),
    [aux_sym_keyword_statement_token6] = ACTIONS(2537),
    [aux_sym_keyword_statement_token7] = ACTIONS(2537),
    [aux_sym_include_statement_token1] = ACTIONS(2537),
    [aux_sym_data_statement_token1] = ACTIONS(2537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2537),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2537),
    [aux_sym_end_if_statement_token1] = ACTIONS(2537),
    [aux_sym_elseif_clause_token2] = ACTIONS(2537),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2537),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2537),
    [aux_sym_select_case_statement_token1] = ACTIONS(2537),
    [aux_sym_select_case_statement_token3] = ACTIONS(2537),
    [aux_sym_select_type_statement_token1] = ACTIONS(2537),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2537),
    [aux_sym_block_construct_token1] = ACTIONS(2537),
    [aux_sym_associate_statement_token1] = ACTIONS(2537),
    [aux_sym_format_statement_token1] = ACTIONS(2537),
    [aux_sym_print_statement_token1] = ACTIONS(2537),
    [aux_sym_open_statement_token1] = ACTIONS(2537),
    [aux_sym_close_statement_token1] = ACTIONS(2537),
    [aux_sym_inquire_statement_token1] = ACTIONS(2537),
    [aux_sym_enum_statement_token1] = ACTIONS(2537),
    [aux_sym_file_position_statement_token1] = ACTIONS(2537),
    [aux_sym_file_position_statement_token2] = ACTIONS(2537),
    [aux_sym_file_position_statement_token3] = ACTIONS(2537),
    [aux_sym_file_position_statement_token4] = ACTIONS(2537),
    [aux_sym_logical_expression_token5] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [aux_sym_boolean_literal_token1] = ACTIONS(2539),
    [aux_sym_boolean_literal_token2] = ACTIONS(2539),
    [aux_sym_null_literal_token1] = ACTIONS(2537),
    [aux_sym_identifier_token1] = ACTIONS(2537),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2539),
    [sym__float_literal] = ACTIONS(2539),
    [sym__boz_literal] = ACTIONS(2539),
    [sym__string_literal] = ACTIONS(2539),
    [sym__string_literal_kind] = ACTIONS(2539),
  },
  [527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2541),
    [aux_sym_preproc_def_token1] = ACTIONS(2541),
    [aux_sym_preproc_if_token1] = ACTIONS(2541),
    [aux_sym_preproc_if_token2] = ACTIONS(2541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2541),
    [aux_sym_preproc_else_token1] = ACTIONS(2541),
    [aux_sym_preproc_elif_token1] = ACTIONS(2541),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2541),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2541),
    [sym_preproc_directive] = ACTIONS(2541),
    [anon_sym_LPAREN2] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2541),
    [aux_sym_end_program_statement_token1] = ACTIONS(2541),
    [aux_sym_end_program_statement_token2] = ACTIONS(2541),
    [aux_sym_module_statement_token1] = ACTIONS(2541),
    [aux_sym_submodule_statement_token1] = ACTIONS(2541),
    [aux_sym_interface_statement_token1] = ACTIONS(2541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2541),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2541),
    [aux_sym_function_statement_token1] = ACTIONS(2541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2541),
    [aux_sym_contains_statement_token1] = ACTIONS(2541),
    [aux_sym_use_statement_token1] = ACTIONS(2541),
    [aux_sym_use_statement_token2] = ACTIONS(2541),
    [aux_sym_implicit_statement_token1] = ACTIONS(2541),
    [aux_sym_implicit_statement_token3] = ACTIONS(2541),
    [aux_sym_implicit_statement_token4] = ACTIONS(2541),
    [aux_sym_save_statement_token1] = ACTIONS(2541),
    [aux_sym_private_statement_token1] = ACTIONS(2541),
    [aux_sym_public_statement_token1] = ACTIONS(2541),
    [aux_sym_namelist_statement_token1] = ACTIONS(2541),
    [aux_sym_common_statement_token1] = ACTIONS(2541),
    [aux_sym_import_statement_token1] = ACTIONS(2541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2541),
    [aux_sym_variable_attributes_token1] = ACTIONS(2541),
    [aux_sym_variable_attributes_token2] = ACTIONS(2541),
    [aux_sym_variable_attributes_token3] = ACTIONS(2541),
    [aux_sym_variable_attributes_token4] = ACTIONS(2541),
    [aux_sym_variable_attributes_token5] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2541),
    [aux_sym_derived_type_token1] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2541),
    [aux_sym_stop_statement_token1] = ACTIONS(2541),
    [aux_sym_stop_statement_token2] = ACTIONS(2541),
    [aux_sym_subroutine_call_token1] = ACTIONS(2541),
    [aux_sym_keyword_statement_token1] = ACTIONS(2541),
    [aux_sym_keyword_statement_token2] = ACTIONS(2541),
    [aux_sym_keyword_statement_token3] = ACTIONS(2541),
    [aux_sym_keyword_statement_token4] = ACTIONS(2541),
    [aux_sym_keyword_statement_token6] = ACTIONS(2541),
    [aux_sym_keyword_statement_token7] = ACTIONS(2541),
    [aux_sym_include_statement_token1] = ACTIONS(2541),
    [aux_sym_data_statement_token1] = ACTIONS(2541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2541),
    [aux_sym_end_if_statement_token1] = ACTIONS(2541),
    [aux_sym_elseif_clause_token2] = ACTIONS(2541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2541),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2541),
    [aux_sym_select_case_statement_token1] = ACTIONS(2541),
    [aux_sym_select_case_statement_token3] = ACTIONS(2541),
    [aux_sym_select_type_statement_token1] = ACTIONS(2541),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2541),
    [aux_sym_block_construct_token1] = ACTIONS(2541),
    [aux_sym_associate_statement_token1] = ACTIONS(2541),
    [aux_sym_format_statement_token1] = ACTIONS(2541),
    [aux_sym_print_statement_token1] = ACTIONS(2541),
    [aux_sym_open_statement_token1] = ACTIONS(2541),
    [aux_sym_close_statement_token1] = ACTIONS(2541),
    [aux_sym_inquire_statement_token1] = ACTIONS(2541),
    [aux_sym_enum_statement_token1] = ACTIONS(2541),
    [aux_sym_file_position_statement_token1] = ACTIONS(2541),
    [aux_sym_file_position_statement_token2] = ACTIONS(2541),
    [aux_sym_file_position_statement_token3] = ACTIONS(2541),
    [aux_sym_file_position_statement_token4] = ACTIONS(2541),
    [aux_sym_logical_expression_token5] = ACTIONS(2543),
    [anon_sym_DOT] = ACTIONS(2541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [aux_sym_boolean_literal_token1] = ACTIONS(2543),
    [aux_sym_boolean_literal_token2] = ACTIONS(2543),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_identifier_token1] = ACTIONS(2541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2543),
    [sym__float_literal] = ACTIONS(2543),
    [sym__boz_literal] = ACTIONS(2543),
    [sym__string_literal] = ACTIONS(2543),
    [sym__string_literal_kind] = ACTIONS(2543),
  },
  [528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2545),
    [aux_sym_preproc_def_token1] = ACTIONS(2545),
    [aux_sym_preproc_if_token1] = ACTIONS(2545),
    [aux_sym_preproc_if_token2] = ACTIONS(2545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2545),
    [aux_sym_preproc_else_token1] = ACTIONS(2545),
    [aux_sym_preproc_elif_token1] = ACTIONS(2545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2545),
    [sym_preproc_directive] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2545),
    [aux_sym_end_program_statement_token1] = ACTIONS(2545),
    [aux_sym_end_program_statement_token2] = ACTIONS(2545),
    [aux_sym_module_statement_token1] = ACTIONS(2545),
    [aux_sym_submodule_statement_token1] = ACTIONS(2545),
    [aux_sym_interface_statement_token1] = ACTIONS(2545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2545),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2545),
    [aux_sym_function_statement_token1] = ACTIONS(2545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2545),
    [aux_sym_contains_statement_token1] = ACTIONS(2545),
    [aux_sym_use_statement_token1] = ACTIONS(2545),
    [aux_sym_use_statement_token2] = ACTIONS(2545),
    [aux_sym_implicit_statement_token1] = ACTIONS(2545),
    [aux_sym_implicit_statement_token3] = ACTIONS(2545),
    [aux_sym_implicit_statement_token4] = ACTIONS(2545),
    [aux_sym_save_statement_token1] = ACTIONS(2545),
    [aux_sym_private_statement_token1] = ACTIONS(2545),
    [aux_sym_public_statement_token1] = ACTIONS(2545),
    [aux_sym_namelist_statement_token1] = ACTIONS(2545),
    [aux_sym_common_statement_token1] = ACTIONS(2545),
    [aux_sym_import_statement_token1] = ACTIONS(2545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2545),
    [aux_sym_variable_attributes_token1] = ACTIONS(2545),
    [aux_sym_variable_attributes_token2] = ACTIONS(2545),
    [aux_sym_variable_attributes_token3] = ACTIONS(2545),
    [aux_sym_variable_attributes_token4] = ACTIONS(2545),
    [aux_sym_variable_attributes_token5] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2545),
    [aux_sym_derived_type_token1] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2545),
    [aux_sym_stop_statement_token1] = ACTIONS(2545),
    [aux_sym_stop_statement_token2] = ACTIONS(2545),
    [aux_sym_subroutine_call_token1] = ACTIONS(2545),
    [aux_sym_keyword_statement_token1] = ACTIONS(2545),
    [aux_sym_keyword_statement_token2] = ACTIONS(2545),
    [aux_sym_keyword_statement_token3] = ACTIONS(2545),
    [aux_sym_keyword_statement_token4] = ACTIONS(2545),
    [aux_sym_keyword_statement_token6] = ACTIONS(2545),
    [aux_sym_keyword_statement_token7] = ACTIONS(2545),
    [aux_sym_include_statement_token1] = ACTIONS(2545),
    [aux_sym_data_statement_token1] = ACTIONS(2545),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2545),
    [aux_sym_end_if_statement_token1] = ACTIONS(2545),
    [aux_sym_elseif_clause_token2] = ACTIONS(2545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2545),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2545),
    [aux_sym_select_case_statement_token1] = ACTIONS(2545),
    [aux_sym_select_case_statement_token3] = ACTIONS(2545),
    [aux_sym_select_type_statement_token1] = ACTIONS(2545),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2545),
    [aux_sym_block_construct_token1] = ACTIONS(2545),
    [aux_sym_associate_statement_token1] = ACTIONS(2545),
    [aux_sym_format_statement_token1] = ACTIONS(2545),
    [aux_sym_print_statement_token1] = ACTIONS(2545),
    [aux_sym_open_statement_token1] = ACTIONS(2545),
    [aux_sym_close_statement_token1] = ACTIONS(2545),
    [aux_sym_inquire_statement_token1] = ACTIONS(2545),
    [aux_sym_enum_statement_token1] = ACTIONS(2545),
    [aux_sym_file_position_statement_token1] = ACTIONS(2545),
    [aux_sym_file_position_statement_token2] = ACTIONS(2545),
    [aux_sym_file_position_statement_token3] = ACTIONS(2545),
    [aux_sym_file_position_statement_token4] = ACTIONS(2545),
    [aux_sym_logical_expression_token5] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [aux_sym_boolean_literal_token1] = ACTIONS(2547),
    [aux_sym_boolean_literal_token2] = ACTIONS(2547),
    [aux_sym_null_literal_token1] = ACTIONS(2545),
    [aux_sym_identifier_token1] = ACTIONS(2545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2547),
    [sym__float_literal] = ACTIONS(2547),
    [sym__boz_literal] = ACTIONS(2547),
    [sym__string_literal] = ACTIONS(2547),
    [sym__string_literal_kind] = ACTIONS(2547),
  },
  [529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token2] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [aux_sym_preproc_else_token1] = ACTIONS(2549),
    [aux_sym_preproc_elif_token1] = ACTIONS(2549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2549),
    [aux_sym_end_program_statement_token1] = ACTIONS(2549),
    [aux_sym_end_program_statement_token2] = ACTIONS(2549),
    [aux_sym_module_statement_token1] = ACTIONS(2549),
    [aux_sym_submodule_statement_token1] = ACTIONS(2549),
    [aux_sym_interface_statement_token1] = ACTIONS(2549),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2549),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2549),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2549),
    [aux_sym_function_statement_token1] = ACTIONS(2549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2549),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2549),
    [aux_sym_contains_statement_token1] = ACTIONS(2549),
    [aux_sym_use_statement_token1] = ACTIONS(2549),
    [aux_sym_use_statement_token2] = ACTIONS(2549),
    [aux_sym_implicit_statement_token1] = ACTIONS(2549),
    [aux_sym_implicit_statement_token3] = ACTIONS(2549),
    [aux_sym_implicit_statement_token4] = ACTIONS(2549),
    [aux_sym_save_statement_token1] = ACTIONS(2549),
    [aux_sym_private_statement_token1] = ACTIONS(2549),
    [aux_sym_public_statement_token1] = ACTIONS(2549),
    [aux_sym_namelist_statement_token1] = ACTIONS(2549),
    [aux_sym_common_statement_token1] = ACTIONS(2549),
    [aux_sym_import_statement_token1] = ACTIONS(2549),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2549),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2549),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2549),
    [aux_sym_variable_attributes_token1] = ACTIONS(2549),
    [aux_sym_variable_attributes_token2] = ACTIONS(2549),
    [aux_sym_variable_attributes_token3] = ACTIONS(2549),
    [aux_sym_variable_attributes_token4] = ACTIONS(2549),
    [aux_sym_variable_attributes_token5] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2549),
    [aux_sym_derived_type_token1] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2549),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2549),
    [aux_sym_stop_statement_token1] = ACTIONS(2549),
    [aux_sym_stop_statement_token2] = ACTIONS(2549),
    [aux_sym_subroutine_call_token1] = ACTIONS(2549),
    [aux_sym_keyword_statement_token1] = ACTIONS(2549),
    [aux_sym_keyword_statement_token2] = ACTIONS(2549),
    [aux_sym_keyword_statement_token3] = ACTIONS(2549),
    [aux_sym_keyword_statement_token4] = ACTIONS(2549),
    [aux_sym_keyword_statement_token6] = ACTIONS(2549),
    [aux_sym_keyword_statement_token7] = ACTIONS(2549),
    [aux_sym_include_statement_token1] = ACTIONS(2549),
    [aux_sym_data_statement_token1] = ACTIONS(2549),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2549),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2549),
    [aux_sym_end_if_statement_token1] = ACTIONS(2549),
    [aux_sym_elseif_clause_token2] = ACTIONS(2549),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2549),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2549),
    [aux_sym_select_case_statement_token1] = ACTIONS(2549),
    [aux_sym_select_case_statement_token3] = ACTIONS(2549),
    [aux_sym_select_type_statement_token1] = ACTIONS(2549),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2549),
    [aux_sym_block_construct_token1] = ACTIONS(2549),
    [aux_sym_associate_statement_token1] = ACTIONS(2549),
    [aux_sym_format_statement_token1] = ACTIONS(2549),
    [aux_sym_print_statement_token1] = ACTIONS(2549),
    [aux_sym_open_statement_token1] = ACTIONS(2549),
    [aux_sym_close_statement_token1] = ACTIONS(2549),
    [aux_sym_inquire_statement_token1] = ACTIONS(2549),
    [aux_sym_enum_statement_token1] = ACTIONS(2549),
    [aux_sym_file_position_statement_token1] = ACTIONS(2549),
    [aux_sym_file_position_statement_token2] = ACTIONS(2549),
    [aux_sym_file_position_statement_token3] = ACTIONS(2549),
    [aux_sym_file_position_statement_token4] = ACTIONS(2549),
    [aux_sym_logical_expression_token5] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [aux_sym_boolean_literal_token1] = ACTIONS(2551),
    [aux_sym_boolean_literal_token2] = ACTIONS(2551),
    [aux_sym_null_literal_token1] = ACTIONS(2549),
    [aux_sym_identifier_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2551),
    [sym__float_literal] = ACTIONS(2551),
    [sym__boz_literal] = ACTIONS(2551),
    [sym__string_literal] = ACTIONS(2551),
    [sym__string_literal_kind] = ACTIONS(2551),
  },
  [530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token2] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [aux_sym_preproc_else_token1] = ACTIONS(2367),
    [aux_sym_preproc_elif_token1] = ACTIONS(2367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2367),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2553),
    [aux_sym_preproc_def_token1] = ACTIONS(2553),
    [aux_sym_preproc_if_token1] = ACTIONS(2553),
    [aux_sym_preproc_if_token2] = ACTIONS(2553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2553),
    [aux_sym_preproc_else_token1] = ACTIONS(2553),
    [aux_sym_preproc_elif_token1] = ACTIONS(2553),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2553),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2553),
    [sym_preproc_directive] = ACTIONS(2553),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2553),
    [aux_sym_end_program_statement_token1] = ACTIONS(2553),
    [aux_sym_end_program_statement_token2] = ACTIONS(2553),
    [aux_sym_module_statement_token1] = ACTIONS(2553),
    [aux_sym_submodule_statement_token1] = ACTIONS(2553),
    [aux_sym_interface_statement_token1] = ACTIONS(2553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2553),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2553),
    [aux_sym_function_statement_token1] = ACTIONS(2553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2553),
    [aux_sym_contains_statement_token1] = ACTIONS(2553),
    [aux_sym_use_statement_token1] = ACTIONS(2553),
    [aux_sym_use_statement_token2] = ACTIONS(2553),
    [aux_sym_implicit_statement_token1] = ACTIONS(2553),
    [aux_sym_implicit_statement_token3] = ACTIONS(2553),
    [aux_sym_implicit_statement_token4] = ACTIONS(2553),
    [aux_sym_save_statement_token1] = ACTIONS(2553),
    [aux_sym_private_statement_token1] = ACTIONS(2553),
    [aux_sym_public_statement_token1] = ACTIONS(2553),
    [aux_sym_namelist_statement_token1] = ACTIONS(2553),
    [aux_sym_common_statement_token1] = ACTIONS(2553),
    [aux_sym_import_statement_token1] = ACTIONS(2553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2553),
    [aux_sym_variable_attributes_token1] = ACTIONS(2553),
    [aux_sym_variable_attributes_token2] = ACTIONS(2553),
    [aux_sym_variable_attributes_token3] = ACTIONS(2553),
    [aux_sym_variable_attributes_token4] = ACTIONS(2553),
    [aux_sym_variable_attributes_token5] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2553),
    [aux_sym_derived_type_token1] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2553),
    [aux_sym_stop_statement_token1] = ACTIONS(2553),
    [aux_sym_stop_statement_token2] = ACTIONS(2553),
    [aux_sym_subroutine_call_token1] = ACTIONS(2553),
    [aux_sym_keyword_statement_token1] = ACTIONS(2553),
    [aux_sym_keyword_statement_token2] = ACTIONS(2553),
    [aux_sym_keyword_statement_token3] = ACTIONS(2553),
    [aux_sym_keyword_statement_token4] = ACTIONS(2553),
    [aux_sym_keyword_statement_token6] = ACTIONS(2553),
    [aux_sym_keyword_statement_token7] = ACTIONS(2553),
    [aux_sym_include_statement_token1] = ACTIONS(2553),
    [aux_sym_data_statement_token1] = ACTIONS(2553),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2553),
    [aux_sym_end_if_statement_token1] = ACTIONS(2553),
    [aux_sym_elseif_clause_token2] = ACTIONS(2553),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2553),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2553),
    [aux_sym_select_case_statement_token1] = ACTIONS(2553),
    [aux_sym_select_case_statement_token3] = ACTIONS(2553),
    [aux_sym_select_type_statement_token1] = ACTIONS(2553),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2553),
    [aux_sym_block_construct_token1] = ACTIONS(2553),
    [aux_sym_associate_statement_token1] = ACTIONS(2553),
    [aux_sym_format_statement_token1] = ACTIONS(2553),
    [aux_sym_print_statement_token1] = ACTIONS(2553),
    [aux_sym_open_statement_token1] = ACTIONS(2553),
    [aux_sym_close_statement_token1] = ACTIONS(2553),
    [aux_sym_inquire_statement_token1] = ACTIONS(2553),
    [aux_sym_enum_statement_token1] = ACTIONS(2553),
    [aux_sym_file_position_statement_token1] = ACTIONS(2553),
    [aux_sym_file_position_statement_token2] = ACTIONS(2553),
    [aux_sym_file_position_statement_token3] = ACTIONS(2553),
    [aux_sym_file_position_statement_token4] = ACTIONS(2553),
    [aux_sym_logical_expression_token5] = ACTIONS(2555),
    [anon_sym_DOT] = ACTIONS(2553),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [aux_sym_boolean_literal_token1] = ACTIONS(2555),
    [aux_sym_boolean_literal_token2] = ACTIONS(2555),
    [aux_sym_null_literal_token1] = ACTIONS(2553),
    [aux_sym_identifier_token1] = ACTIONS(2553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2555),
    [sym__float_literal] = ACTIONS(2555),
    [sym__boz_literal] = ACTIONS(2555),
    [sym__string_literal] = ACTIONS(2555),
    [sym__string_literal_kind] = ACTIONS(2555),
  },
  [532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token2] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [aux_sym_preproc_else_token1] = ACTIONS(2557),
    [aux_sym_preproc_elif_token1] = ACTIONS(2557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2557),
    [aux_sym_end_program_statement_token1] = ACTIONS(2557),
    [aux_sym_end_program_statement_token2] = ACTIONS(2557),
    [aux_sym_module_statement_token1] = ACTIONS(2557),
    [aux_sym_submodule_statement_token1] = ACTIONS(2557),
    [aux_sym_interface_statement_token1] = ACTIONS(2557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2557),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2557),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2557),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2557),
    [aux_sym_function_statement_token1] = ACTIONS(2557),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2557),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2557),
    [aux_sym_contains_statement_token1] = ACTIONS(2557),
    [aux_sym_use_statement_token1] = ACTIONS(2557),
    [aux_sym_use_statement_token2] = ACTIONS(2557),
    [aux_sym_implicit_statement_token1] = ACTIONS(2557),
    [aux_sym_implicit_statement_token3] = ACTIONS(2557),
    [aux_sym_implicit_statement_token4] = ACTIONS(2557),
    [aux_sym_save_statement_token1] = ACTIONS(2557),
    [aux_sym_private_statement_token1] = ACTIONS(2557),
    [aux_sym_public_statement_token1] = ACTIONS(2557),
    [aux_sym_namelist_statement_token1] = ACTIONS(2557),
    [aux_sym_common_statement_token1] = ACTIONS(2557),
    [aux_sym_import_statement_token1] = ACTIONS(2557),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2557),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2557),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2557),
    [aux_sym_variable_attributes_token1] = ACTIONS(2557),
    [aux_sym_variable_attributes_token2] = ACTIONS(2557),
    [aux_sym_variable_attributes_token3] = ACTIONS(2557),
    [aux_sym_variable_attributes_token4] = ACTIONS(2557),
    [aux_sym_variable_attributes_token5] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2557),
    [aux_sym_derived_type_token1] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2557),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2557),
    [aux_sym_stop_statement_token1] = ACTIONS(2557),
    [aux_sym_stop_statement_token2] = ACTIONS(2557),
    [aux_sym_subroutine_call_token1] = ACTIONS(2557),
    [aux_sym_keyword_statement_token1] = ACTIONS(2557),
    [aux_sym_keyword_statement_token2] = ACTIONS(2557),
    [aux_sym_keyword_statement_token3] = ACTIONS(2557),
    [aux_sym_keyword_statement_token4] = ACTIONS(2557),
    [aux_sym_keyword_statement_token6] = ACTIONS(2557),
    [aux_sym_keyword_statement_token7] = ACTIONS(2557),
    [aux_sym_include_statement_token1] = ACTIONS(2557),
    [aux_sym_data_statement_token1] = ACTIONS(2557),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2557),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2557),
    [aux_sym_end_if_statement_token1] = ACTIONS(2557),
    [aux_sym_elseif_clause_token2] = ACTIONS(2557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2557),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2557),
    [aux_sym_select_case_statement_token1] = ACTIONS(2557),
    [aux_sym_select_case_statement_token3] = ACTIONS(2557),
    [aux_sym_select_type_statement_token1] = ACTIONS(2557),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2557),
    [aux_sym_block_construct_token1] = ACTIONS(2557),
    [aux_sym_associate_statement_token1] = ACTIONS(2557),
    [aux_sym_format_statement_token1] = ACTIONS(2557),
    [aux_sym_print_statement_token1] = ACTIONS(2557),
    [aux_sym_open_statement_token1] = ACTIONS(2557),
    [aux_sym_close_statement_token1] = ACTIONS(2557),
    [aux_sym_inquire_statement_token1] = ACTIONS(2557),
    [aux_sym_enum_statement_token1] = ACTIONS(2557),
    [aux_sym_file_position_statement_token1] = ACTIONS(2557),
    [aux_sym_file_position_statement_token2] = ACTIONS(2557),
    [aux_sym_file_position_statement_token3] = ACTIONS(2557),
    [aux_sym_file_position_statement_token4] = ACTIONS(2557),
    [aux_sym_logical_expression_token5] = ACTIONS(2559),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2559),
    [aux_sym_boolean_literal_token1] = ACTIONS(2559),
    [aux_sym_boolean_literal_token2] = ACTIONS(2559),
    [aux_sym_null_literal_token1] = ACTIONS(2557),
    [aux_sym_identifier_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2559),
    [sym__float_literal] = ACTIONS(2559),
    [sym__boz_literal] = ACTIONS(2559),
    [sym__string_literal] = ACTIONS(2559),
    [sym__string_literal_kind] = ACTIONS(2559),
  },
  [533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token2] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [aux_sym_preproc_else_token1] = ACTIONS(2393),
    [aux_sym_preproc_elif_token1] = ACTIONS(2393),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_end_program_statement_token2] = ACTIONS(2561),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2565),
    [aux_sym_preproc_def_token1] = ACTIONS(2565),
    [aux_sym_preproc_if_token1] = ACTIONS(2565),
    [aux_sym_preproc_if_token2] = ACTIONS(2565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2565),
    [aux_sym_preproc_else_token1] = ACTIONS(2565),
    [aux_sym_preproc_elif_token1] = ACTIONS(2565),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2565),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2565),
    [sym_preproc_directive] = ACTIONS(2565),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2565),
    [aux_sym_end_program_statement_token1] = ACTIONS(2565),
    [aux_sym_end_program_statement_token2] = ACTIONS(2565),
    [aux_sym_module_statement_token1] = ACTIONS(2565),
    [aux_sym_submodule_statement_token1] = ACTIONS(2565),
    [aux_sym_interface_statement_token1] = ACTIONS(2565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2565),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2565),
    [aux_sym_function_statement_token1] = ACTIONS(2565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2565),
    [aux_sym_contains_statement_token1] = ACTIONS(2565),
    [aux_sym_use_statement_token1] = ACTIONS(2565),
    [aux_sym_use_statement_token2] = ACTIONS(2565),
    [aux_sym_implicit_statement_token1] = ACTIONS(2565),
    [aux_sym_implicit_statement_token3] = ACTIONS(2565),
    [aux_sym_implicit_statement_token4] = ACTIONS(2565),
    [aux_sym_save_statement_token1] = ACTIONS(2565),
    [aux_sym_private_statement_token1] = ACTIONS(2565),
    [aux_sym_public_statement_token1] = ACTIONS(2565),
    [aux_sym_namelist_statement_token1] = ACTIONS(2565),
    [aux_sym_common_statement_token1] = ACTIONS(2565),
    [aux_sym_import_statement_token1] = ACTIONS(2565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2565),
    [aux_sym_variable_attributes_token1] = ACTIONS(2565),
    [aux_sym_variable_attributes_token2] = ACTIONS(2565),
    [aux_sym_variable_attributes_token3] = ACTIONS(2565),
    [aux_sym_variable_attributes_token4] = ACTIONS(2565),
    [aux_sym_variable_attributes_token5] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2565),
    [aux_sym_derived_type_token1] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2565),
    [aux_sym_stop_statement_token1] = ACTIONS(2565),
    [aux_sym_stop_statement_token2] = ACTIONS(2565),
    [aux_sym_subroutine_call_token1] = ACTIONS(2565),
    [aux_sym_keyword_statement_token1] = ACTIONS(2565),
    [aux_sym_keyword_statement_token2] = ACTIONS(2565),
    [aux_sym_keyword_statement_token3] = ACTIONS(2565),
    [aux_sym_keyword_statement_token4] = ACTIONS(2565),
    [aux_sym_keyword_statement_token6] = ACTIONS(2565),
    [aux_sym_keyword_statement_token7] = ACTIONS(2565),
    [aux_sym_include_statement_token1] = ACTIONS(2565),
    [aux_sym_data_statement_token1] = ACTIONS(2565),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2565),
    [aux_sym_end_if_statement_token1] = ACTIONS(2565),
    [aux_sym_elseif_clause_token2] = ACTIONS(2565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2565),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2565),
    [aux_sym_select_case_statement_token1] = ACTIONS(2565),
    [aux_sym_select_case_statement_token3] = ACTIONS(2565),
    [aux_sym_select_type_statement_token1] = ACTIONS(2565),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2565),
    [aux_sym_block_construct_token1] = ACTIONS(2565),
    [aux_sym_associate_statement_token1] = ACTIONS(2565),
    [aux_sym_format_statement_token1] = ACTIONS(2565),
    [aux_sym_print_statement_token1] = ACTIONS(2565),
    [aux_sym_open_statement_token1] = ACTIONS(2565),
    [aux_sym_close_statement_token1] = ACTIONS(2565),
    [aux_sym_inquire_statement_token1] = ACTIONS(2565),
    [aux_sym_enum_statement_token1] = ACTIONS(2565),
    [aux_sym_file_position_statement_token1] = ACTIONS(2565),
    [aux_sym_file_position_statement_token2] = ACTIONS(2565),
    [aux_sym_file_position_statement_token3] = ACTIONS(2565),
    [aux_sym_file_position_statement_token4] = ACTIONS(2565),
    [aux_sym_logical_expression_token5] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [aux_sym_boolean_literal_token1] = ACTIONS(2567),
    [aux_sym_boolean_literal_token2] = ACTIONS(2567),
    [aux_sym_null_literal_token1] = ACTIONS(2565),
    [aux_sym_identifier_token1] = ACTIONS(2565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2567),
    [sym__float_literal] = ACTIONS(2567),
    [sym__boz_literal] = ACTIONS(2567),
    [sym__string_literal] = ACTIONS(2567),
    [sym__string_literal_kind] = ACTIONS(2567),
  },
  [535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token2] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [aux_sym_preproc_else_token1] = ACTIONS(2569),
    [aux_sym_preproc_elif_token1] = ACTIONS(2569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2569),
    [aux_sym_end_program_statement_token1] = ACTIONS(2569),
    [aux_sym_end_program_statement_token2] = ACTIONS(2569),
    [aux_sym_module_statement_token1] = ACTIONS(2569),
    [aux_sym_submodule_statement_token1] = ACTIONS(2569),
    [aux_sym_interface_statement_token1] = ACTIONS(2569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2569),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2569),
    [aux_sym_function_statement_token1] = ACTIONS(2569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2569),
    [aux_sym_contains_statement_token1] = ACTIONS(2569),
    [aux_sym_use_statement_token1] = ACTIONS(2569),
    [aux_sym_use_statement_token2] = ACTIONS(2569),
    [aux_sym_implicit_statement_token1] = ACTIONS(2569),
    [aux_sym_implicit_statement_token3] = ACTIONS(2569),
    [aux_sym_implicit_statement_token4] = ACTIONS(2569),
    [aux_sym_save_statement_token1] = ACTIONS(2569),
    [aux_sym_private_statement_token1] = ACTIONS(2569),
    [aux_sym_public_statement_token1] = ACTIONS(2569),
    [aux_sym_namelist_statement_token1] = ACTIONS(2569),
    [aux_sym_common_statement_token1] = ACTIONS(2569),
    [aux_sym_import_statement_token1] = ACTIONS(2569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2569),
    [aux_sym_variable_attributes_token1] = ACTIONS(2569),
    [aux_sym_variable_attributes_token2] = ACTIONS(2569),
    [aux_sym_variable_attributes_token3] = ACTIONS(2569),
    [aux_sym_variable_attributes_token4] = ACTIONS(2569),
    [aux_sym_variable_attributes_token5] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2569),
    [aux_sym_derived_type_token1] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2569),
    [aux_sym_stop_statement_token1] = ACTIONS(2569),
    [aux_sym_stop_statement_token2] = ACTIONS(2569),
    [aux_sym_subroutine_call_token1] = ACTIONS(2569),
    [aux_sym_keyword_statement_token1] = ACTIONS(2569),
    [aux_sym_keyword_statement_token2] = ACTIONS(2569),
    [aux_sym_keyword_statement_token3] = ACTIONS(2569),
    [aux_sym_keyword_statement_token4] = ACTIONS(2569),
    [aux_sym_keyword_statement_token6] = ACTIONS(2569),
    [aux_sym_keyword_statement_token7] = ACTIONS(2569),
    [aux_sym_include_statement_token1] = ACTIONS(2569),
    [aux_sym_data_statement_token1] = ACTIONS(2569),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2569),
    [aux_sym_end_if_statement_token1] = ACTIONS(2569),
    [aux_sym_elseif_clause_token2] = ACTIONS(2569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2569),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2569),
    [aux_sym_select_case_statement_token1] = ACTIONS(2569),
    [aux_sym_select_case_statement_token3] = ACTIONS(2569),
    [aux_sym_select_type_statement_token1] = ACTIONS(2569),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2569),
    [aux_sym_block_construct_token1] = ACTIONS(2569),
    [aux_sym_associate_statement_token1] = ACTIONS(2569),
    [aux_sym_format_statement_token1] = ACTIONS(2569),
    [aux_sym_print_statement_token1] = ACTIONS(2569),
    [aux_sym_open_statement_token1] = ACTIONS(2569),
    [aux_sym_close_statement_token1] = ACTIONS(2569),
    [aux_sym_inquire_statement_token1] = ACTIONS(2569),
    [aux_sym_enum_statement_token1] = ACTIONS(2569),
    [aux_sym_file_position_statement_token1] = ACTIONS(2569),
    [aux_sym_file_position_statement_token2] = ACTIONS(2569),
    [aux_sym_file_position_statement_token3] = ACTIONS(2569),
    [aux_sym_file_position_statement_token4] = ACTIONS(2569),
    [aux_sym_logical_expression_token5] = ACTIONS(2571),
    [anon_sym_DOT] = ACTIONS(2569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [aux_sym_boolean_literal_token1] = ACTIONS(2571),
    [aux_sym_boolean_literal_token2] = ACTIONS(2571),
    [aux_sym_null_literal_token1] = ACTIONS(2569),
    [aux_sym_identifier_token1] = ACTIONS(2569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2571),
    [sym__float_literal] = ACTIONS(2571),
    [sym__boz_literal] = ACTIONS(2571),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2571),
  },
  [536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token2] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [aux_sym_preproc_else_token1] = ACTIONS(2573),
    [aux_sym_preproc_elif_token1] = ACTIONS(2573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2573),
    [aux_sym_end_program_statement_token1] = ACTIONS(2573),
    [aux_sym_end_program_statement_token2] = ACTIONS(2573),
    [aux_sym_module_statement_token1] = ACTIONS(2573),
    [aux_sym_submodule_statement_token1] = ACTIONS(2573),
    [aux_sym_interface_statement_token1] = ACTIONS(2573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2573),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2573),
    [aux_sym_function_statement_token1] = ACTIONS(2573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2573),
    [aux_sym_contains_statement_token1] = ACTIONS(2573),
    [aux_sym_use_statement_token1] = ACTIONS(2573),
    [aux_sym_use_statement_token2] = ACTIONS(2573),
    [aux_sym_implicit_statement_token1] = ACTIONS(2573),
    [aux_sym_implicit_statement_token3] = ACTIONS(2573),
    [aux_sym_implicit_statement_token4] = ACTIONS(2573),
    [aux_sym_save_statement_token1] = ACTIONS(2573),
    [aux_sym_private_statement_token1] = ACTIONS(2573),
    [aux_sym_public_statement_token1] = ACTIONS(2573),
    [aux_sym_namelist_statement_token1] = ACTIONS(2573),
    [aux_sym_common_statement_token1] = ACTIONS(2573),
    [aux_sym_import_statement_token1] = ACTIONS(2573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2573),
    [aux_sym_variable_attributes_token1] = ACTIONS(2573),
    [aux_sym_variable_attributes_token2] = ACTIONS(2573),
    [aux_sym_variable_attributes_token3] = ACTIONS(2573),
    [aux_sym_variable_attributes_token4] = ACTIONS(2573),
    [aux_sym_variable_attributes_token5] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2573),
    [aux_sym_derived_type_token1] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2573),
    [aux_sym_stop_statement_token1] = ACTIONS(2573),
    [aux_sym_stop_statement_token2] = ACTIONS(2573),
    [aux_sym_subroutine_call_token1] = ACTIONS(2573),
    [aux_sym_keyword_statement_token1] = ACTIONS(2573),
    [aux_sym_keyword_statement_token2] = ACTIONS(2573),
    [aux_sym_keyword_statement_token3] = ACTIONS(2573),
    [aux_sym_keyword_statement_token4] = ACTIONS(2573),
    [aux_sym_keyword_statement_token6] = ACTIONS(2573),
    [aux_sym_keyword_statement_token7] = ACTIONS(2573),
    [aux_sym_include_statement_token1] = ACTIONS(2573),
    [aux_sym_data_statement_token1] = ACTIONS(2573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2573),
    [aux_sym_end_if_statement_token1] = ACTIONS(2573),
    [aux_sym_elseif_clause_token2] = ACTIONS(2573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2573),
    [aux_sym_select_case_statement_token1] = ACTIONS(2573),
    [aux_sym_select_case_statement_token3] = ACTIONS(2573),
    [aux_sym_select_type_statement_token1] = ACTIONS(2573),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2573),
    [aux_sym_block_construct_token1] = ACTIONS(2573),
    [aux_sym_associate_statement_token1] = ACTIONS(2573),
    [aux_sym_format_statement_token1] = ACTIONS(2573),
    [aux_sym_print_statement_token1] = ACTIONS(2573),
    [aux_sym_open_statement_token1] = ACTIONS(2573),
    [aux_sym_close_statement_token1] = ACTIONS(2573),
    [aux_sym_inquire_statement_token1] = ACTIONS(2573),
    [aux_sym_enum_statement_token1] = ACTIONS(2573),
    [aux_sym_file_position_statement_token1] = ACTIONS(2573),
    [aux_sym_file_position_statement_token2] = ACTIONS(2573),
    [aux_sym_file_position_statement_token3] = ACTIONS(2573),
    [aux_sym_file_position_statement_token4] = ACTIONS(2573),
    [aux_sym_logical_expression_token5] = ACTIONS(2575),
    [anon_sym_DOT] = ACTIONS(2573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [aux_sym_boolean_literal_token1] = ACTIONS(2575),
    [aux_sym_boolean_literal_token2] = ACTIONS(2575),
    [aux_sym_null_literal_token1] = ACTIONS(2573),
    [aux_sym_identifier_token1] = ACTIONS(2573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2575),
    [sym__float_literal] = ACTIONS(2575),
    [sym__boz_literal] = ACTIONS(2575),
    [sym__string_literal] = ACTIONS(2575),
    [sym__string_literal_kind] = ACTIONS(2575),
  },
  [537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2577),
    [aux_sym_preproc_def_token1] = ACTIONS(2577),
    [aux_sym_preproc_if_token1] = ACTIONS(2577),
    [aux_sym_preproc_if_token2] = ACTIONS(2577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2577),
    [aux_sym_preproc_else_token1] = ACTIONS(2577),
    [aux_sym_preproc_elif_token1] = ACTIONS(2577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2577),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2577),
    [sym_preproc_directive] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2577),
    [aux_sym_end_program_statement_token1] = ACTIONS(2577),
    [aux_sym_end_program_statement_token2] = ACTIONS(2577),
    [aux_sym_module_statement_token1] = ACTIONS(2577),
    [aux_sym_submodule_statement_token1] = ACTIONS(2577),
    [aux_sym_interface_statement_token1] = ACTIONS(2577),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2577),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2577),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2577),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2577),
    [aux_sym_function_statement_token1] = ACTIONS(2577),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2577),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2577),
    [aux_sym_contains_statement_token1] = ACTIONS(2577),
    [aux_sym_use_statement_token1] = ACTIONS(2577),
    [aux_sym_use_statement_token2] = ACTIONS(2577),
    [aux_sym_implicit_statement_token1] = ACTIONS(2577),
    [aux_sym_implicit_statement_token3] = ACTIONS(2577),
    [aux_sym_implicit_statement_token4] = ACTIONS(2577),
    [aux_sym_save_statement_token1] = ACTIONS(2577),
    [aux_sym_private_statement_token1] = ACTIONS(2577),
    [aux_sym_public_statement_token1] = ACTIONS(2577),
    [aux_sym_namelist_statement_token1] = ACTIONS(2577),
    [aux_sym_common_statement_token1] = ACTIONS(2577),
    [aux_sym_import_statement_token1] = ACTIONS(2577),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2577),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2577),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2577),
    [aux_sym_variable_attributes_token1] = ACTIONS(2577),
    [aux_sym_variable_attributes_token2] = ACTIONS(2577),
    [aux_sym_variable_attributes_token3] = ACTIONS(2577),
    [aux_sym_variable_attributes_token4] = ACTIONS(2577),
    [aux_sym_variable_attributes_token5] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2577),
    [aux_sym_derived_type_token1] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2577),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2577),
    [aux_sym_stop_statement_token1] = ACTIONS(2577),
    [aux_sym_stop_statement_token2] = ACTIONS(2577),
    [aux_sym_subroutine_call_token1] = ACTIONS(2577),
    [aux_sym_keyword_statement_token1] = ACTIONS(2577),
    [aux_sym_keyword_statement_token2] = ACTIONS(2577),
    [aux_sym_keyword_statement_token3] = ACTIONS(2577),
    [aux_sym_keyword_statement_token4] = ACTIONS(2577),
    [aux_sym_keyword_statement_token6] = ACTIONS(2577),
    [aux_sym_keyword_statement_token7] = ACTIONS(2577),
    [aux_sym_include_statement_token1] = ACTIONS(2577),
    [aux_sym_data_statement_token1] = ACTIONS(2577),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2577),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2577),
    [aux_sym_end_if_statement_token1] = ACTIONS(2577),
    [aux_sym_elseif_clause_token2] = ACTIONS(2577),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2577),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2577),
    [aux_sym_select_case_statement_token1] = ACTIONS(2577),
    [aux_sym_select_case_statement_token3] = ACTIONS(2577),
    [aux_sym_select_type_statement_token1] = ACTIONS(2577),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2577),
    [aux_sym_block_construct_token1] = ACTIONS(2577),
    [aux_sym_associate_statement_token1] = ACTIONS(2577),
    [aux_sym_format_statement_token1] = ACTIONS(2577),
    [aux_sym_print_statement_token1] = ACTIONS(2577),
    [aux_sym_open_statement_token1] = ACTIONS(2577),
    [aux_sym_close_statement_token1] = ACTIONS(2577),
    [aux_sym_inquire_statement_token1] = ACTIONS(2577),
    [aux_sym_enum_statement_token1] = ACTIONS(2577),
    [aux_sym_file_position_statement_token1] = ACTIONS(2577),
    [aux_sym_file_position_statement_token2] = ACTIONS(2577),
    [aux_sym_file_position_statement_token3] = ACTIONS(2577),
    [aux_sym_file_position_statement_token4] = ACTIONS(2577),
    [aux_sym_logical_expression_token5] = ACTIONS(2579),
    [anon_sym_DOT] = ACTIONS(2577),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [aux_sym_boolean_literal_token1] = ACTIONS(2579),
    [aux_sym_boolean_literal_token2] = ACTIONS(2579),
    [aux_sym_null_literal_token1] = ACTIONS(2577),
    [aux_sym_identifier_token1] = ACTIONS(2577),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2579),
    [sym__float_literal] = ACTIONS(2579),
    [sym__boz_literal] = ACTIONS(2579),
    [sym__string_literal] = ACTIONS(2579),
    [sym__string_literal_kind] = ACTIONS(2579),
  },
  [538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2581),
    [aux_sym_preproc_def_token1] = ACTIONS(2581),
    [aux_sym_preproc_if_token1] = ACTIONS(2581),
    [aux_sym_preproc_if_token2] = ACTIONS(2581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2581),
    [aux_sym_preproc_else_token1] = ACTIONS(2581),
    [aux_sym_preproc_elif_token1] = ACTIONS(2581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2581),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2581),
    [sym_preproc_directive] = ACTIONS(2581),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2581),
    [aux_sym_end_program_statement_token1] = ACTIONS(2581),
    [aux_sym_end_program_statement_token2] = ACTIONS(2581),
    [aux_sym_module_statement_token1] = ACTIONS(2581),
    [aux_sym_submodule_statement_token1] = ACTIONS(2581),
    [aux_sym_interface_statement_token1] = ACTIONS(2581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2581),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2581),
    [aux_sym_function_statement_token1] = ACTIONS(2581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2581),
    [aux_sym_contains_statement_token1] = ACTIONS(2581),
    [aux_sym_use_statement_token1] = ACTIONS(2581),
    [aux_sym_use_statement_token2] = ACTIONS(2581),
    [aux_sym_implicit_statement_token1] = ACTIONS(2581),
    [aux_sym_implicit_statement_token3] = ACTIONS(2581),
    [aux_sym_implicit_statement_token4] = ACTIONS(2581),
    [aux_sym_save_statement_token1] = ACTIONS(2581),
    [aux_sym_private_statement_token1] = ACTIONS(2581),
    [aux_sym_public_statement_token1] = ACTIONS(2581),
    [aux_sym_namelist_statement_token1] = ACTIONS(2581),
    [aux_sym_common_statement_token1] = ACTIONS(2581),
    [aux_sym_import_statement_token1] = ACTIONS(2581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2581),
    [aux_sym_variable_attributes_token1] = ACTIONS(2581),
    [aux_sym_variable_attributes_token2] = ACTIONS(2581),
    [aux_sym_variable_attributes_token3] = ACTIONS(2581),
    [aux_sym_variable_attributes_token4] = ACTIONS(2581),
    [aux_sym_variable_attributes_token5] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2581),
    [aux_sym_derived_type_token1] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2581),
    [aux_sym_stop_statement_token1] = ACTIONS(2581),
    [aux_sym_stop_statement_token2] = ACTIONS(2581),
    [aux_sym_subroutine_call_token1] = ACTIONS(2581),
    [aux_sym_keyword_statement_token1] = ACTIONS(2581),
    [aux_sym_keyword_statement_token2] = ACTIONS(2581),
    [aux_sym_keyword_statement_token3] = ACTIONS(2581),
    [aux_sym_keyword_statement_token4] = ACTIONS(2581),
    [aux_sym_keyword_statement_token6] = ACTIONS(2581),
    [aux_sym_keyword_statement_token7] = ACTIONS(2581),
    [aux_sym_include_statement_token1] = ACTIONS(2581),
    [aux_sym_data_statement_token1] = ACTIONS(2581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2581),
    [aux_sym_end_if_statement_token1] = ACTIONS(2581),
    [aux_sym_elseif_clause_token2] = ACTIONS(2581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2581),
    [aux_sym_select_case_statement_token1] = ACTIONS(2581),
    [aux_sym_select_case_statement_token3] = ACTIONS(2581),
    [aux_sym_select_type_statement_token1] = ACTIONS(2581),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2581),
    [aux_sym_block_construct_token1] = ACTIONS(2581),
    [aux_sym_associate_statement_token1] = ACTIONS(2581),
    [aux_sym_format_statement_token1] = ACTIONS(2581),
    [aux_sym_print_statement_token1] = ACTIONS(2581),
    [aux_sym_open_statement_token1] = ACTIONS(2581),
    [aux_sym_close_statement_token1] = ACTIONS(2581),
    [aux_sym_inquire_statement_token1] = ACTIONS(2581),
    [aux_sym_enum_statement_token1] = ACTIONS(2581),
    [aux_sym_file_position_statement_token1] = ACTIONS(2581),
    [aux_sym_file_position_statement_token2] = ACTIONS(2581),
    [aux_sym_file_position_statement_token3] = ACTIONS(2581),
    [aux_sym_file_position_statement_token4] = ACTIONS(2581),
    [aux_sym_logical_expression_token5] = ACTIONS(2583),
    [anon_sym_DOT] = ACTIONS(2581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [aux_sym_boolean_literal_token1] = ACTIONS(2583),
    [aux_sym_boolean_literal_token2] = ACTIONS(2583),
    [aux_sym_null_literal_token1] = ACTIONS(2581),
    [aux_sym_identifier_token1] = ACTIONS(2581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2583),
    [sym__float_literal] = ACTIONS(2583),
    [sym__boz_literal] = ACTIONS(2583),
    [sym__string_literal] = ACTIONS(2583),
    [sym__string_literal_kind] = ACTIONS(2583),
  },
  [539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token2] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [aux_sym_preproc_else_token1] = ACTIONS(2585),
    [aux_sym_preproc_elif_token1] = ACTIONS(2585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2585),
    [aux_sym_end_program_statement_token1] = ACTIONS(2585),
    [aux_sym_end_program_statement_token2] = ACTIONS(2585),
    [aux_sym_module_statement_token1] = ACTIONS(2585),
    [aux_sym_submodule_statement_token1] = ACTIONS(2585),
    [aux_sym_interface_statement_token1] = ACTIONS(2585),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2585),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2585),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2585),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2585),
    [aux_sym_function_statement_token1] = ACTIONS(2585),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2585),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2585),
    [aux_sym_contains_statement_token1] = ACTIONS(2585),
    [aux_sym_use_statement_token1] = ACTIONS(2585),
    [aux_sym_use_statement_token2] = ACTIONS(2585),
    [aux_sym_implicit_statement_token1] = ACTIONS(2585),
    [aux_sym_implicit_statement_token3] = ACTIONS(2585),
    [aux_sym_implicit_statement_token4] = ACTIONS(2585),
    [aux_sym_save_statement_token1] = ACTIONS(2585),
    [aux_sym_private_statement_token1] = ACTIONS(2585),
    [aux_sym_public_statement_token1] = ACTIONS(2585),
    [aux_sym_namelist_statement_token1] = ACTIONS(2585),
    [aux_sym_common_statement_token1] = ACTIONS(2585),
    [aux_sym_import_statement_token1] = ACTIONS(2585),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2585),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2585),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2585),
    [aux_sym_variable_attributes_token1] = ACTIONS(2585),
    [aux_sym_variable_attributes_token2] = ACTIONS(2585),
    [aux_sym_variable_attributes_token3] = ACTIONS(2585),
    [aux_sym_variable_attributes_token4] = ACTIONS(2585),
    [aux_sym_variable_attributes_token5] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2585),
    [aux_sym_derived_type_token1] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2585),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2585),
    [aux_sym_stop_statement_token1] = ACTIONS(2585),
    [aux_sym_stop_statement_token2] = ACTIONS(2585),
    [aux_sym_subroutine_call_token1] = ACTIONS(2585),
    [aux_sym_keyword_statement_token1] = ACTIONS(2585),
    [aux_sym_keyword_statement_token2] = ACTIONS(2585),
    [aux_sym_keyword_statement_token3] = ACTIONS(2585),
    [aux_sym_keyword_statement_token4] = ACTIONS(2585),
    [aux_sym_keyword_statement_token6] = ACTIONS(2585),
    [aux_sym_keyword_statement_token7] = ACTIONS(2585),
    [aux_sym_include_statement_token1] = ACTIONS(2585),
    [aux_sym_data_statement_token1] = ACTIONS(2585),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2585),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2585),
    [aux_sym_end_if_statement_token1] = ACTIONS(2585),
    [aux_sym_elseif_clause_token2] = ACTIONS(2585),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2585),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2585),
    [aux_sym_select_case_statement_token1] = ACTIONS(2585),
    [aux_sym_select_case_statement_token3] = ACTIONS(2585),
    [aux_sym_select_type_statement_token1] = ACTIONS(2585),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2585),
    [aux_sym_block_construct_token1] = ACTIONS(2585),
    [aux_sym_associate_statement_token1] = ACTIONS(2585),
    [aux_sym_format_statement_token1] = ACTIONS(2585),
    [aux_sym_print_statement_token1] = ACTIONS(2585),
    [aux_sym_open_statement_token1] = ACTIONS(2585),
    [aux_sym_close_statement_token1] = ACTIONS(2585),
    [aux_sym_inquire_statement_token1] = ACTIONS(2585),
    [aux_sym_enum_statement_token1] = ACTIONS(2585),
    [aux_sym_file_position_statement_token1] = ACTIONS(2585),
    [aux_sym_file_position_statement_token2] = ACTIONS(2585),
    [aux_sym_file_position_statement_token3] = ACTIONS(2585),
    [aux_sym_file_position_statement_token4] = ACTIONS(2585),
    [aux_sym_logical_expression_token5] = ACTIONS(2587),
    [anon_sym_DOT] = ACTIONS(2585),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [aux_sym_boolean_literal_token1] = ACTIONS(2587),
    [aux_sym_boolean_literal_token2] = ACTIONS(2587),
    [aux_sym_null_literal_token1] = ACTIONS(2585),
    [aux_sym_identifier_token1] = ACTIONS(2585),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2587),
    [sym__float_literal] = ACTIONS(2587),
    [sym__boz_literal] = ACTIONS(2587),
    [sym__string_literal] = ACTIONS(2587),
    [sym__string_literal_kind] = ACTIONS(2587),
  },
  [540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2393),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token2] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2393),
    [aux_sym_preproc_else_token1] = ACTIONS(2393),
    [aux_sym_preproc_elif_token1] = ACTIONS(2393),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token2] = ACTIONS(2393),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2393),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2393),
    [aux_sym_contains_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token2] = ACTIONS(2393),
    [aux_sym_implicit_statement_token1] = ACTIONS(2393),
    [aux_sym_implicit_statement_token3] = ACTIONS(2393),
    [aux_sym_implicit_statement_token4] = ACTIONS(2393),
    [aux_sym_save_statement_token1] = ACTIONS(2393),
    [aux_sym_private_statement_token1] = ACTIONS(2393),
    [aux_sym_public_statement_token1] = ACTIONS(2393),
    [aux_sym_namelist_statement_token1] = ACTIONS(2393),
    [aux_sym_common_statement_token1] = ACTIONS(2393),
    [aux_sym_import_statement_token1] = ACTIONS(2393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2393),
    [aux_sym_variable_attributes_token1] = ACTIONS(2393),
    [aux_sym_variable_attributes_token2] = ACTIONS(2393),
    [aux_sym_variable_attributes_token3] = ACTIONS(2393),
    [aux_sym_variable_attributes_token4] = ACTIONS(2393),
    [aux_sym_variable_attributes_token5] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2393),
    [aux_sym_derived_type_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token2] = ACTIONS(2393),
    [aux_sym_subroutine_call_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token2] = ACTIONS(2393),
    [aux_sym_keyword_statement_token3] = ACTIONS(2393),
    [aux_sym_keyword_statement_token4] = ACTIONS(2393),
    [aux_sym_keyword_statement_token6] = ACTIONS(2393),
    [aux_sym_keyword_statement_token7] = ACTIONS(2393),
    [aux_sym_include_statement_token1] = ACTIONS(2393),
    [aux_sym_data_statement_token1] = ACTIONS(2393),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2393),
    [aux_sym_end_if_statement_token1] = ACTIONS(2393),
    [aux_sym_elseif_clause_token2] = ACTIONS(2393),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2393),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token3] = ACTIONS(2393),
    [aux_sym_select_type_statement_token1] = ACTIONS(2393),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2393),
    [aux_sym_block_construct_token1] = ACTIONS(2393),
    [aux_sym_associate_statement_token1] = ACTIONS(2393),
    [aux_sym_format_statement_token1] = ACTIONS(2393),
    [aux_sym_print_statement_token1] = ACTIONS(2393),
    [aux_sym_open_statement_token1] = ACTIONS(2393),
    [aux_sym_close_statement_token1] = ACTIONS(2393),
    [aux_sym_inquire_statement_token1] = ACTIONS(2393),
    [aux_sym_enum_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token2] = ACTIONS(2393),
    [aux_sym_file_position_statement_token3] = ACTIONS(2393),
    [aux_sym_file_position_statement_token4] = ACTIONS(2393),
    [aux_sym_logical_expression_token5] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [aux_sym_boolean_literal_token1] = ACTIONS(2397),
    [aux_sym_boolean_literal_token2] = ACTIONS(2397),
    [aux_sym_null_literal_token1] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2397),
    [sym__float_literal] = ACTIONS(2397),
    [sym__boz_literal] = ACTIONS(2397),
    [sym__string_literal] = ACTIONS(2397),
    [sym__string_literal_kind] = ACTIONS(2397),
  },
  [541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token2] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [aux_sym_preproc_else_token1] = ACTIONS(2589),
    [aux_sym_preproc_elif_token1] = ACTIONS(2589),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2589),
    [aux_sym_end_program_statement_token1] = ACTIONS(2589),
    [aux_sym_end_program_statement_token2] = ACTIONS(2589),
    [aux_sym_module_statement_token1] = ACTIONS(2589),
    [aux_sym_submodule_statement_token1] = ACTIONS(2589),
    [aux_sym_interface_statement_token1] = ACTIONS(2589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2589),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2589),
    [aux_sym_function_statement_token1] = ACTIONS(2589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2589),
    [aux_sym_contains_statement_token1] = ACTIONS(2589),
    [aux_sym_use_statement_token1] = ACTIONS(2589),
    [aux_sym_use_statement_token2] = ACTIONS(2589),
    [aux_sym_implicit_statement_token1] = ACTIONS(2589),
    [aux_sym_implicit_statement_token3] = ACTIONS(2589),
    [aux_sym_implicit_statement_token4] = ACTIONS(2589),
    [aux_sym_save_statement_token1] = ACTIONS(2589),
    [aux_sym_private_statement_token1] = ACTIONS(2589),
    [aux_sym_public_statement_token1] = ACTIONS(2589),
    [aux_sym_namelist_statement_token1] = ACTIONS(2589),
    [aux_sym_common_statement_token1] = ACTIONS(2589),
    [aux_sym_import_statement_token1] = ACTIONS(2589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2589),
    [aux_sym_variable_attributes_token1] = ACTIONS(2589),
    [aux_sym_variable_attributes_token2] = ACTIONS(2589),
    [aux_sym_variable_attributes_token3] = ACTIONS(2589),
    [aux_sym_variable_attributes_token4] = ACTIONS(2589),
    [aux_sym_variable_attributes_token5] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2589),
    [aux_sym_derived_type_token1] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2589),
    [aux_sym_stop_statement_token1] = ACTIONS(2589),
    [aux_sym_stop_statement_token2] = ACTIONS(2589),
    [aux_sym_subroutine_call_token1] = ACTIONS(2589),
    [aux_sym_keyword_statement_token1] = ACTIONS(2589),
    [aux_sym_keyword_statement_token2] = ACTIONS(2589),
    [aux_sym_keyword_statement_token3] = ACTIONS(2589),
    [aux_sym_keyword_statement_token4] = ACTIONS(2589),
    [aux_sym_keyword_statement_token6] = ACTIONS(2589),
    [aux_sym_keyword_statement_token7] = ACTIONS(2589),
    [aux_sym_include_statement_token1] = ACTIONS(2589),
    [aux_sym_data_statement_token1] = ACTIONS(2589),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2589),
    [aux_sym_end_if_statement_token1] = ACTIONS(2589),
    [aux_sym_elseif_clause_token2] = ACTIONS(2589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2589),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2589),
    [aux_sym_select_case_statement_token1] = ACTIONS(2589),
    [aux_sym_select_case_statement_token3] = ACTIONS(2589),
    [aux_sym_select_type_statement_token1] = ACTIONS(2589),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2589),
    [aux_sym_block_construct_token1] = ACTIONS(2589),
    [aux_sym_associate_statement_token1] = ACTIONS(2589),
    [aux_sym_format_statement_token1] = ACTIONS(2589),
    [aux_sym_print_statement_token1] = ACTIONS(2589),
    [aux_sym_open_statement_token1] = ACTIONS(2589),
    [aux_sym_close_statement_token1] = ACTIONS(2589),
    [aux_sym_inquire_statement_token1] = ACTIONS(2589),
    [aux_sym_enum_statement_token1] = ACTIONS(2589),
    [aux_sym_file_position_statement_token1] = ACTIONS(2589),
    [aux_sym_file_position_statement_token2] = ACTIONS(2589),
    [aux_sym_file_position_statement_token3] = ACTIONS(2589),
    [aux_sym_file_position_statement_token4] = ACTIONS(2589),
    [aux_sym_logical_expression_token5] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [aux_sym_boolean_literal_token1] = ACTIONS(2591),
    [aux_sym_boolean_literal_token2] = ACTIONS(2591),
    [aux_sym_null_literal_token1] = ACTIONS(2589),
    [aux_sym_identifier_token1] = ACTIONS(2589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2591),
    [sym__float_literal] = ACTIONS(2591),
    [sym__boz_literal] = ACTIONS(2591),
    [sym__string_literal] = ACTIONS(2591),
    [sym__string_literal_kind] = ACTIONS(2591),
  },
  [542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token2] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [aux_sym_preproc_else_token1] = ACTIONS(2593),
    [aux_sym_preproc_elif_token1] = ACTIONS(2593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2593),
    [aux_sym_end_program_statement_token1] = ACTIONS(2593),
    [aux_sym_end_program_statement_token2] = ACTIONS(2593),
    [aux_sym_module_statement_token1] = ACTIONS(2593),
    [aux_sym_submodule_statement_token1] = ACTIONS(2593),
    [aux_sym_interface_statement_token1] = ACTIONS(2593),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2593),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2593),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2593),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2593),
    [aux_sym_function_statement_token1] = ACTIONS(2593),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2593),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2593),
    [aux_sym_contains_statement_token1] = ACTIONS(2593),
    [aux_sym_use_statement_token1] = ACTIONS(2593),
    [aux_sym_use_statement_token2] = ACTIONS(2593),
    [aux_sym_implicit_statement_token1] = ACTIONS(2593),
    [aux_sym_implicit_statement_token3] = ACTIONS(2593),
    [aux_sym_implicit_statement_token4] = ACTIONS(2593),
    [aux_sym_save_statement_token1] = ACTIONS(2593),
    [aux_sym_private_statement_token1] = ACTIONS(2593),
    [aux_sym_public_statement_token1] = ACTIONS(2593),
    [aux_sym_namelist_statement_token1] = ACTIONS(2593),
    [aux_sym_common_statement_token1] = ACTIONS(2593),
    [aux_sym_import_statement_token1] = ACTIONS(2593),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2593),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2593),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2593),
    [aux_sym_variable_attributes_token1] = ACTIONS(2593),
    [aux_sym_variable_attributes_token2] = ACTIONS(2593),
    [aux_sym_variable_attributes_token3] = ACTIONS(2593),
    [aux_sym_variable_attributes_token4] = ACTIONS(2593),
    [aux_sym_variable_attributes_token5] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2593),
    [aux_sym_derived_type_token1] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2593),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2593),
    [aux_sym_stop_statement_token1] = ACTIONS(2593),
    [aux_sym_stop_statement_token2] = ACTIONS(2593),
    [aux_sym_subroutine_call_token1] = ACTIONS(2593),
    [aux_sym_keyword_statement_token1] = ACTIONS(2593),
    [aux_sym_keyword_statement_token2] = ACTIONS(2593),
    [aux_sym_keyword_statement_token3] = ACTIONS(2593),
    [aux_sym_keyword_statement_token4] = ACTIONS(2593),
    [aux_sym_keyword_statement_token6] = ACTIONS(2593),
    [aux_sym_keyword_statement_token7] = ACTIONS(2593),
    [aux_sym_include_statement_token1] = ACTIONS(2593),
    [aux_sym_data_statement_token1] = ACTIONS(2593),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2593),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2593),
    [aux_sym_end_if_statement_token1] = ACTIONS(2593),
    [aux_sym_elseif_clause_token2] = ACTIONS(2593),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2593),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2593),
    [aux_sym_select_case_statement_token1] = ACTIONS(2593),
    [aux_sym_select_case_statement_token3] = ACTIONS(2593),
    [aux_sym_select_type_statement_token1] = ACTIONS(2593),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2593),
    [aux_sym_block_construct_token1] = ACTIONS(2593),
    [aux_sym_associate_statement_token1] = ACTIONS(2593),
    [aux_sym_format_statement_token1] = ACTIONS(2593),
    [aux_sym_print_statement_token1] = ACTIONS(2593),
    [aux_sym_open_statement_token1] = ACTIONS(2593),
    [aux_sym_close_statement_token1] = ACTIONS(2593),
    [aux_sym_inquire_statement_token1] = ACTIONS(2593),
    [aux_sym_enum_statement_token1] = ACTIONS(2593),
    [aux_sym_file_position_statement_token1] = ACTIONS(2593),
    [aux_sym_file_position_statement_token2] = ACTIONS(2593),
    [aux_sym_file_position_statement_token3] = ACTIONS(2593),
    [aux_sym_file_position_statement_token4] = ACTIONS(2593),
    [aux_sym_logical_expression_token5] = ACTIONS(2595),
    [anon_sym_DOT] = ACTIONS(2593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [aux_sym_boolean_literal_token1] = ACTIONS(2595),
    [aux_sym_boolean_literal_token2] = ACTIONS(2595),
    [aux_sym_null_literal_token1] = ACTIONS(2593),
    [aux_sym_identifier_token1] = ACTIONS(2593),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2595),
    [sym__float_literal] = ACTIONS(2595),
    [sym__boz_literal] = ACTIONS(2595),
    [sym__string_literal] = ACTIONS(2595),
    [sym__string_literal_kind] = ACTIONS(2595),
  },
  [543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token2] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [aux_sym_preproc_else_token1] = ACTIONS(2597),
    [aux_sym_preproc_elif_token1] = ACTIONS(2597),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2597),
    [aux_sym_end_program_statement_token1] = ACTIONS(2597),
    [aux_sym_end_program_statement_token2] = ACTIONS(2597),
    [aux_sym_module_statement_token1] = ACTIONS(2597),
    [aux_sym_submodule_statement_token1] = ACTIONS(2597),
    [aux_sym_interface_statement_token1] = ACTIONS(2597),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2597),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2597),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2597),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2597),
    [aux_sym_function_statement_token1] = ACTIONS(2597),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2597),
    [aux_sym_contains_statement_token1] = ACTIONS(2597),
    [aux_sym_use_statement_token1] = ACTIONS(2597),
    [aux_sym_use_statement_token2] = ACTIONS(2597),
    [aux_sym_implicit_statement_token1] = ACTIONS(2597),
    [aux_sym_implicit_statement_token3] = ACTIONS(2597),
    [aux_sym_implicit_statement_token4] = ACTIONS(2597),
    [aux_sym_save_statement_token1] = ACTIONS(2597),
    [aux_sym_private_statement_token1] = ACTIONS(2597),
    [aux_sym_public_statement_token1] = ACTIONS(2597),
    [aux_sym_namelist_statement_token1] = ACTIONS(2597),
    [aux_sym_common_statement_token1] = ACTIONS(2597),
    [aux_sym_import_statement_token1] = ACTIONS(2597),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2597),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2597),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2597),
    [aux_sym_variable_attributes_token1] = ACTIONS(2597),
    [aux_sym_variable_attributes_token2] = ACTIONS(2597),
    [aux_sym_variable_attributes_token3] = ACTIONS(2597),
    [aux_sym_variable_attributes_token4] = ACTIONS(2597),
    [aux_sym_variable_attributes_token5] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2597),
    [aux_sym_derived_type_token1] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2597),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2597),
    [aux_sym_stop_statement_token1] = ACTIONS(2597),
    [aux_sym_stop_statement_token2] = ACTIONS(2597),
    [aux_sym_subroutine_call_token1] = ACTIONS(2597),
    [aux_sym_keyword_statement_token1] = ACTIONS(2597),
    [aux_sym_keyword_statement_token2] = ACTIONS(2597),
    [aux_sym_keyword_statement_token3] = ACTIONS(2597),
    [aux_sym_keyword_statement_token4] = ACTIONS(2597),
    [aux_sym_keyword_statement_token6] = ACTIONS(2597),
    [aux_sym_keyword_statement_token7] = ACTIONS(2597),
    [aux_sym_include_statement_token1] = ACTIONS(2597),
    [aux_sym_data_statement_token1] = ACTIONS(2597),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2597),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2597),
    [aux_sym_end_if_statement_token1] = ACTIONS(2597),
    [aux_sym_elseif_clause_token2] = ACTIONS(2597),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2597),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2597),
    [aux_sym_select_case_statement_token1] = ACTIONS(2597),
    [aux_sym_select_case_statement_token3] = ACTIONS(2597),
    [aux_sym_select_type_statement_token1] = ACTIONS(2597),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2597),
    [aux_sym_block_construct_token1] = ACTIONS(2597),
    [aux_sym_associate_statement_token1] = ACTIONS(2597),
    [aux_sym_format_statement_token1] = ACTIONS(2597),
    [aux_sym_print_statement_token1] = ACTIONS(2597),
    [aux_sym_open_statement_token1] = ACTIONS(2597),
    [aux_sym_close_statement_token1] = ACTIONS(2597),
    [aux_sym_inquire_statement_token1] = ACTIONS(2597),
    [aux_sym_enum_statement_token1] = ACTIONS(2597),
    [aux_sym_file_position_statement_token1] = ACTIONS(2597),
    [aux_sym_file_position_statement_token2] = ACTIONS(2597),
    [aux_sym_file_position_statement_token3] = ACTIONS(2597),
    [aux_sym_file_position_statement_token4] = ACTIONS(2597),
    [aux_sym_logical_expression_token5] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [aux_sym_boolean_literal_token1] = ACTIONS(2599),
    [aux_sym_boolean_literal_token2] = ACTIONS(2599),
    [aux_sym_null_literal_token1] = ACTIONS(2597),
    [aux_sym_identifier_token1] = ACTIONS(2597),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2599),
    [sym__float_literal] = ACTIONS(2599),
    [sym__boz_literal] = ACTIONS(2599),
    [sym__string_literal] = ACTIONS(2599),
    [sym__string_literal_kind] = ACTIONS(2599),
  },
  [544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token2] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [aux_sym_preproc_else_token1] = ACTIONS(2601),
    [aux_sym_preproc_elif_token1] = ACTIONS(2601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2601),
    [aux_sym_end_program_statement_token1] = ACTIONS(2601),
    [aux_sym_end_program_statement_token2] = ACTIONS(2601),
    [aux_sym_module_statement_token1] = ACTIONS(2601),
    [aux_sym_submodule_statement_token1] = ACTIONS(2601),
    [aux_sym_interface_statement_token1] = ACTIONS(2601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2601),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2601),
    [aux_sym_function_statement_token1] = ACTIONS(2601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2601),
    [aux_sym_contains_statement_token1] = ACTIONS(2601),
    [aux_sym_use_statement_token1] = ACTIONS(2601),
    [aux_sym_use_statement_token2] = ACTIONS(2601),
    [aux_sym_implicit_statement_token1] = ACTIONS(2601),
    [aux_sym_implicit_statement_token3] = ACTIONS(2601),
    [aux_sym_implicit_statement_token4] = ACTIONS(2601),
    [aux_sym_save_statement_token1] = ACTIONS(2601),
    [aux_sym_private_statement_token1] = ACTIONS(2601),
    [aux_sym_public_statement_token1] = ACTIONS(2601),
    [aux_sym_namelist_statement_token1] = ACTIONS(2601),
    [aux_sym_common_statement_token1] = ACTIONS(2601),
    [aux_sym_import_statement_token1] = ACTIONS(2601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2601),
    [aux_sym_variable_attributes_token1] = ACTIONS(2601),
    [aux_sym_variable_attributes_token2] = ACTIONS(2601),
    [aux_sym_variable_attributes_token3] = ACTIONS(2601),
    [aux_sym_variable_attributes_token4] = ACTIONS(2601),
    [aux_sym_variable_attributes_token5] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2601),
    [aux_sym_derived_type_token1] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2601),
    [aux_sym_stop_statement_token1] = ACTIONS(2601),
    [aux_sym_stop_statement_token2] = ACTIONS(2601),
    [aux_sym_subroutine_call_token1] = ACTIONS(2601),
    [aux_sym_keyword_statement_token1] = ACTIONS(2601),
    [aux_sym_keyword_statement_token2] = ACTIONS(2601),
    [aux_sym_keyword_statement_token3] = ACTIONS(2601),
    [aux_sym_keyword_statement_token4] = ACTIONS(2601),
    [aux_sym_keyword_statement_token6] = ACTIONS(2601),
    [aux_sym_keyword_statement_token7] = ACTIONS(2601),
    [aux_sym_include_statement_token1] = ACTIONS(2601),
    [aux_sym_data_statement_token1] = ACTIONS(2601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2601),
    [aux_sym_end_if_statement_token1] = ACTIONS(2601),
    [aux_sym_elseif_clause_token2] = ACTIONS(2601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2601),
    [aux_sym_select_case_statement_token1] = ACTIONS(2601),
    [aux_sym_select_case_statement_token3] = ACTIONS(2601),
    [aux_sym_select_type_statement_token1] = ACTIONS(2601),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2601),
    [aux_sym_block_construct_token1] = ACTIONS(2601),
    [aux_sym_associate_statement_token1] = ACTIONS(2601),
    [aux_sym_format_statement_token1] = ACTIONS(2601),
    [aux_sym_print_statement_token1] = ACTIONS(2601),
    [aux_sym_open_statement_token1] = ACTIONS(2601),
    [aux_sym_close_statement_token1] = ACTIONS(2601),
    [aux_sym_inquire_statement_token1] = ACTIONS(2601),
    [aux_sym_enum_statement_token1] = ACTIONS(2601),
    [aux_sym_file_position_statement_token1] = ACTIONS(2601),
    [aux_sym_file_position_statement_token2] = ACTIONS(2601),
    [aux_sym_file_position_statement_token3] = ACTIONS(2601),
    [aux_sym_file_position_statement_token4] = ACTIONS(2601),
    [aux_sym_logical_expression_token5] = ACTIONS(2603),
    [anon_sym_DOT] = ACTIONS(2601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [aux_sym_boolean_literal_token1] = ACTIONS(2603),
    [aux_sym_boolean_literal_token2] = ACTIONS(2603),
    [aux_sym_null_literal_token1] = ACTIONS(2601),
    [aux_sym_identifier_token1] = ACTIONS(2601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2603),
    [sym__float_literal] = ACTIONS(2603),
    [sym__boz_literal] = ACTIONS(2603),
    [sym__string_literal] = ACTIONS(2603),
    [sym__string_literal_kind] = ACTIONS(2603),
  },
  [545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2355),
    [aux_sym_preproc_def_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token2] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2355),
    [aux_sym_preproc_else_token1] = ACTIONS(2355),
    [aux_sym_preproc_elif_token1] = ACTIONS(2355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token2] = ACTIONS(2355),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2355),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2355),
    [aux_sym_contains_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token2] = ACTIONS(2355),
    [aux_sym_implicit_statement_token1] = ACTIONS(2355),
    [aux_sym_implicit_statement_token3] = ACTIONS(2355),
    [aux_sym_implicit_statement_token4] = ACTIONS(2355),
    [aux_sym_save_statement_token1] = ACTIONS(2355),
    [aux_sym_private_statement_token1] = ACTIONS(2355),
    [aux_sym_public_statement_token1] = ACTIONS(2355),
    [aux_sym_namelist_statement_token1] = ACTIONS(2355),
    [aux_sym_common_statement_token1] = ACTIONS(2355),
    [aux_sym_import_statement_token1] = ACTIONS(2355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2355),
    [aux_sym_variable_attributes_token1] = ACTIONS(2355),
    [aux_sym_variable_attributes_token2] = ACTIONS(2355),
    [aux_sym_variable_attributes_token3] = ACTIONS(2355),
    [aux_sym_variable_attributes_token4] = ACTIONS(2355),
    [aux_sym_variable_attributes_token5] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2355),
    [aux_sym_derived_type_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token2] = ACTIONS(2355),
    [aux_sym_subroutine_call_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token2] = ACTIONS(2355),
    [aux_sym_keyword_statement_token3] = ACTIONS(2355),
    [aux_sym_keyword_statement_token4] = ACTIONS(2355),
    [aux_sym_keyword_statement_token6] = ACTIONS(2355),
    [aux_sym_keyword_statement_token7] = ACTIONS(2355),
    [aux_sym_include_statement_token1] = ACTIONS(2355),
    [aux_sym_data_statement_token1] = ACTIONS(2355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2355),
    [aux_sym_end_if_statement_token1] = ACTIONS(2355),
    [aux_sym_elseif_clause_token2] = ACTIONS(2355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token3] = ACTIONS(2355),
    [aux_sym_select_type_statement_token1] = ACTIONS(2355),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2355),
    [aux_sym_block_construct_token1] = ACTIONS(2355),
    [aux_sym_associate_statement_token1] = ACTIONS(2355),
    [aux_sym_format_statement_token1] = ACTIONS(2355),
    [aux_sym_print_statement_token1] = ACTIONS(2355),
    [aux_sym_open_statement_token1] = ACTIONS(2355),
    [aux_sym_close_statement_token1] = ACTIONS(2355),
    [aux_sym_inquire_statement_token1] = ACTIONS(2355),
    [aux_sym_enum_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token2] = ACTIONS(2355),
    [aux_sym_file_position_statement_token3] = ACTIONS(2355),
    [aux_sym_file_position_statement_token4] = ACTIONS(2355),
    [aux_sym_logical_expression_token5] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [aux_sym_boolean_literal_token1] = ACTIONS(2359),
    [aux_sym_boolean_literal_token2] = ACTIONS(2359),
    [aux_sym_null_literal_token1] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2359),
    [sym__float_literal] = ACTIONS(2359),
    [sym__boz_literal] = ACTIONS(2359),
    [sym__string_literal] = ACTIONS(2359),
    [sym__string_literal_kind] = ACTIONS(2359),
  },
  [546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token2] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [aux_sym_preproc_else_token1] = ACTIONS(2355),
    [aux_sym_preproc_elif_token1] = ACTIONS(2355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_end_program_statement_token2] = ACTIONS(2605),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token2] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [aux_sym_preproc_else_token1] = ACTIONS(2609),
    [aux_sym_preproc_elif_token1] = ACTIONS(2609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2609),
    [aux_sym_end_program_statement_token1] = ACTIONS(2609),
    [aux_sym_end_program_statement_token2] = ACTIONS(2609),
    [aux_sym_module_statement_token1] = ACTIONS(2609),
    [aux_sym_submodule_statement_token1] = ACTIONS(2609),
    [aux_sym_interface_statement_token1] = ACTIONS(2609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2609),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2609),
    [aux_sym_function_statement_token1] = ACTIONS(2609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2609),
    [aux_sym_contains_statement_token1] = ACTIONS(2609),
    [aux_sym_use_statement_token1] = ACTIONS(2609),
    [aux_sym_use_statement_token2] = ACTIONS(2609),
    [aux_sym_implicit_statement_token1] = ACTIONS(2609),
    [aux_sym_implicit_statement_token3] = ACTIONS(2609),
    [aux_sym_implicit_statement_token4] = ACTIONS(2609),
    [aux_sym_save_statement_token1] = ACTIONS(2609),
    [aux_sym_private_statement_token1] = ACTIONS(2609),
    [aux_sym_public_statement_token1] = ACTIONS(2609),
    [aux_sym_namelist_statement_token1] = ACTIONS(2609),
    [aux_sym_common_statement_token1] = ACTIONS(2609),
    [aux_sym_import_statement_token1] = ACTIONS(2609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2609),
    [aux_sym_variable_attributes_token1] = ACTIONS(2609),
    [aux_sym_variable_attributes_token2] = ACTIONS(2609),
    [aux_sym_variable_attributes_token3] = ACTIONS(2609),
    [aux_sym_variable_attributes_token4] = ACTIONS(2609),
    [aux_sym_variable_attributes_token5] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2609),
    [aux_sym_derived_type_token1] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2609),
    [aux_sym_stop_statement_token1] = ACTIONS(2609),
    [aux_sym_stop_statement_token2] = ACTIONS(2609),
    [aux_sym_subroutine_call_token1] = ACTIONS(2609),
    [aux_sym_keyword_statement_token1] = ACTIONS(2609),
    [aux_sym_keyword_statement_token2] = ACTIONS(2609),
    [aux_sym_keyword_statement_token3] = ACTIONS(2609),
    [aux_sym_keyword_statement_token4] = ACTIONS(2609),
    [aux_sym_keyword_statement_token6] = ACTIONS(2609),
    [aux_sym_keyword_statement_token7] = ACTIONS(2609),
    [aux_sym_include_statement_token1] = ACTIONS(2609),
    [aux_sym_data_statement_token1] = ACTIONS(2609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2609),
    [aux_sym_end_if_statement_token1] = ACTIONS(2609),
    [aux_sym_elseif_clause_token2] = ACTIONS(2609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2609),
    [aux_sym_select_case_statement_token1] = ACTIONS(2609),
    [aux_sym_select_case_statement_token3] = ACTIONS(2609),
    [aux_sym_select_type_statement_token1] = ACTIONS(2609),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2609),
    [aux_sym_block_construct_token1] = ACTIONS(2609),
    [aux_sym_associate_statement_token1] = ACTIONS(2609),
    [aux_sym_format_statement_token1] = ACTIONS(2609),
    [aux_sym_print_statement_token1] = ACTIONS(2609),
    [aux_sym_open_statement_token1] = ACTIONS(2609),
    [aux_sym_close_statement_token1] = ACTIONS(2609),
    [aux_sym_inquire_statement_token1] = ACTIONS(2609),
    [aux_sym_enum_statement_token1] = ACTIONS(2609),
    [aux_sym_file_position_statement_token1] = ACTIONS(2609),
    [aux_sym_file_position_statement_token2] = ACTIONS(2609),
    [aux_sym_file_position_statement_token3] = ACTIONS(2609),
    [aux_sym_file_position_statement_token4] = ACTIONS(2609),
    [aux_sym_logical_expression_token5] = ACTIONS(2611),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [aux_sym_boolean_literal_token1] = ACTIONS(2611),
    [aux_sym_boolean_literal_token2] = ACTIONS(2611),
    [aux_sym_null_literal_token1] = ACTIONS(2609),
    [aux_sym_identifier_token1] = ACTIONS(2609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2611),
    [sym__float_literal] = ACTIONS(2611),
    [sym__boz_literal] = ACTIONS(2611),
    [sym__string_literal] = ACTIONS(2611),
    [sym__string_literal_kind] = ACTIONS(2611),
  },
  [548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token2] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [aux_sym_preproc_else_token1] = ACTIONS(2613),
    [aux_sym_preproc_elif_token1] = ACTIONS(2613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2613),
    [aux_sym_end_program_statement_token1] = ACTIONS(2613),
    [aux_sym_end_program_statement_token2] = ACTIONS(2613),
    [aux_sym_module_statement_token1] = ACTIONS(2613),
    [aux_sym_submodule_statement_token1] = ACTIONS(2613),
    [aux_sym_interface_statement_token1] = ACTIONS(2613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2613),
    [aux_sym_function_statement_token1] = ACTIONS(2613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2613),
    [aux_sym_contains_statement_token1] = ACTIONS(2613),
    [aux_sym_use_statement_token1] = ACTIONS(2613),
    [aux_sym_use_statement_token2] = ACTIONS(2613),
    [aux_sym_implicit_statement_token1] = ACTIONS(2613),
    [aux_sym_implicit_statement_token3] = ACTIONS(2613),
    [aux_sym_implicit_statement_token4] = ACTIONS(2613),
    [aux_sym_save_statement_token1] = ACTIONS(2613),
    [aux_sym_private_statement_token1] = ACTIONS(2613),
    [aux_sym_public_statement_token1] = ACTIONS(2613),
    [aux_sym_namelist_statement_token1] = ACTIONS(2613),
    [aux_sym_common_statement_token1] = ACTIONS(2613),
    [aux_sym_import_statement_token1] = ACTIONS(2613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2613),
    [aux_sym_variable_attributes_token1] = ACTIONS(2613),
    [aux_sym_variable_attributes_token2] = ACTIONS(2613),
    [aux_sym_variable_attributes_token3] = ACTIONS(2613),
    [aux_sym_variable_attributes_token4] = ACTIONS(2613),
    [aux_sym_variable_attributes_token5] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2613),
    [aux_sym_derived_type_token1] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2613),
    [aux_sym_stop_statement_token1] = ACTIONS(2613),
    [aux_sym_stop_statement_token2] = ACTIONS(2613),
    [aux_sym_subroutine_call_token1] = ACTIONS(2613),
    [aux_sym_keyword_statement_token1] = ACTIONS(2613),
    [aux_sym_keyword_statement_token2] = ACTIONS(2613),
    [aux_sym_keyword_statement_token3] = ACTIONS(2613),
    [aux_sym_keyword_statement_token4] = ACTIONS(2613),
    [aux_sym_keyword_statement_token6] = ACTIONS(2613),
    [aux_sym_keyword_statement_token7] = ACTIONS(2613),
    [aux_sym_include_statement_token1] = ACTIONS(2613),
    [aux_sym_data_statement_token1] = ACTIONS(2613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2613),
    [aux_sym_end_if_statement_token1] = ACTIONS(2613),
    [aux_sym_elseif_clause_token2] = ACTIONS(2613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2613),
    [aux_sym_select_case_statement_token1] = ACTIONS(2613),
    [aux_sym_select_case_statement_token3] = ACTIONS(2613),
    [aux_sym_select_type_statement_token1] = ACTIONS(2613),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2613),
    [aux_sym_block_construct_token1] = ACTIONS(2613),
    [aux_sym_associate_statement_token1] = ACTIONS(2613),
    [aux_sym_format_statement_token1] = ACTIONS(2613),
    [aux_sym_print_statement_token1] = ACTIONS(2613),
    [aux_sym_open_statement_token1] = ACTIONS(2613),
    [aux_sym_close_statement_token1] = ACTIONS(2613),
    [aux_sym_inquire_statement_token1] = ACTIONS(2613),
    [aux_sym_enum_statement_token1] = ACTIONS(2613),
    [aux_sym_file_position_statement_token1] = ACTIONS(2613),
    [aux_sym_file_position_statement_token2] = ACTIONS(2613),
    [aux_sym_file_position_statement_token3] = ACTIONS(2613),
    [aux_sym_file_position_statement_token4] = ACTIONS(2613),
    [aux_sym_logical_expression_token5] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [aux_sym_boolean_literal_token1] = ACTIONS(2615),
    [aux_sym_boolean_literal_token2] = ACTIONS(2615),
    [aux_sym_null_literal_token1] = ACTIONS(2613),
    [aux_sym_identifier_token1] = ACTIONS(2613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2615),
    [sym__float_literal] = ACTIONS(2615),
    [sym__boz_literal] = ACTIONS(2615),
    [sym__string_literal] = ACTIONS(2615),
    [sym__string_literal_kind] = ACTIONS(2615),
  },
  [549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [aux_sym_preproc_else_token1] = ACTIONS(2617),
    [aux_sym_preproc_elif_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2617),
    [aux_sym_end_program_statement_token1] = ACTIONS(2617),
    [aux_sym_end_program_statement_token2] = ACTIONS(2617),
    [aux_sym_module_statement_token1] = ACTIONS(2617),
    [aux_sym_submodule_statement_token1] = ACTIONS(2617),
    [aux_sym_interface_statement_token1] = ACTIONS(2617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2617),
    [aux_sym_function_statement_token1] = ACTIONS(2617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2617),
    [aux_sym_contains_statement_token1] = ACTIONS(2617),
    [aux_sym_use_statement_token1] = ACTIONS(2617),
    [aux_sym_use_statement_token2] = ACTIONS(2617),
    [aux_sym_implicit_statement_token1] = ACTIONS(2617),
    [aux_sym_implicit_statement_token3] = ACTIONS(2617),
    [aux_sym_implicit_statement_token4] = ACTIONS(2617),
    [aux_sym_save_statement_token1] = ACTIONS(2617),
    [aux_sym_private_statement_token1] = ACTIONS(2617),
    [aux_sym_public_statement_token1] = ACTIONS(2617),
    [aux_sym_namelist_statement_token1] = ACTIONS(2617),
    [aux_sym_common_statement_token1] = ACTIONS(2617),
    [aux_sym_import_statement_token1] = ACTIONS(2617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2617),
    [aux_sym_variable_attributes_token1] = ACTIONS(2617),
    [aux_sym_variable_attributes_token2] = ACTIONS(2617),
    [aux_sym_variable_attributes_token3] = ACTIONS(2617),
    [aux_sym_variable_attributes_token4] = ACTIONS(2617),
    [aux_sym_variable_attributes_token5] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2617),
    [aux_sym_derived_type_token1] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2617),
    [aux_sym_stop_statement_token1] = ACTIONS(2617),
    [aux_sym_stop_statement_token2] = ACTIONS(2617),
    [aux_sym_subroutine_call_token1] = ACTIONS(2617),
    [aux_sym_keyword_statement_token1] = ACTIONS(2617),
    [aux_sym_keyword_statement_token2] = ACTIONS(2617),
    [aux_sym_keyword_statement_token3] = ACTIONS(2617),
    [aux_sym_keyword_statement_token4] = ACTIONS(2617),
    [aux_sym_keyword_statement_token6] = ACTIONS(2617),
    [aux_sym_keyword_statement_token7] = ACTIONS(2617),
    [aux_sym_include_statement_token1] = ACTIONS(2617),
    [aux_sym_data_statement_token1] = ACTIONS(2617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2617),
    [aux_sym_end_if_statement_token1] = ACTIONS(2617),
    [aux_sym_elseif_clause_token2] = ACTIONS(2617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2617),
    [aux_sym_select_case_statement_token1] = ACTIONS(2617),
    [aux_sym_select_case_statement_token3] = ACTIONS(2617),
    [aux_sym_select_type_statement_token1] = ACTIONS(2617),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2617),
    [aux_sym_block_construct_token1] = ACTIONS(2617),
    [aux_sym_associate_statement_token1] = ACTIONS(2617),
    [aux_sym_format_statement_token1] = ACTIONS(2617),
    [aux_sym_print_statement_token1] = ACTIONS(2617),
    [aux_sym_open_statement_token1] = ACTIONS(2617),
    [aux_sym_close_statement_token1] = ACTIONS(2617),
    [aux_sym_inquire_statement_token1] = ACTIONS(2617),
    [aux_sym_enum_statement_token1] = ACTIONS(2617),
    [aux_sym_file_position_statement_token1] = ACTIONS(2617),
    [aux_sym_file_position_statement_token2] = ACTIONS(2617),
    [aux_sym_file_position_statement_token3] = ACTIONS(2617),
    [aux_sym_file_position_statement_token4] = ACTIONS(2617),
    [aux_sym_logical_expression_token5] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [aux_sym_boolean_literal_token1] = ACTIONS(2619),
    [aux_sym_boolean_literal_token2] = ACTIONS(2619),
    [aux_sym_null_literal_token1] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2619),
    [sym__float_literal] = ACTIONS(2619),
    [sym__boz_literal] = ACTIONS(2619),
    [sym__string_literal] = ACTIONS(2619),
    [sym__string_literal_kind] = ACTIONS(2619),
  },
  [550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [aux_sym_preproc_else_token1] = ACTIONS(2621),
    [aux_sym_preproc_elif_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2621),
    [aux_sym_end_program_statement_token1] = ACTIONS(2621),
    [aux_sym_end_program_statement_token2] = ACTIONS(2621),
    [aux_sym_module_statement_token1] = ACTIONS(2621),
    [aux_sym_submodule_statement_token1] = ACTIONS(2621),
    [aux_sym_interface_statement_token1] = ACTIONS(2621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2621),
    [aux_sym_function_statement_token1] = ACTIONS(2621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2621),
    [aux_sym_contains_statement_token1] = ACTIONS(2621),
    [aux_sym_use_statement_token1] = ACTIONS(2621),
    [aux_sym_use_statement_token2] = ACTIONS(2621),
    [aux_sym_implicit_statement_token1] = ACTIONS(2621),
    [aux_sym_implicit_statement_token3] = ACTIONS(2621),
    [aux_sym_implicit_statement_token4] = ACTIONS(2621),
    [aux_sym_save_statement_token1] = ACTIONS(2621),
    [aux_sym_private_statement_token1] = ACTIONS(2621),
    [aux_sym_public_statement_token1] = ACTIONS(2621),
    [aux_sym_namelist_statement_token1] = ACTIONS(2621),
    [aux_sym_common_statement_token1] = ACTIONS(2621),
    [aux_sym_import_statement_token1] = ACTIONS(2621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2621),
    [aux_sym_variable_attributes_token1] = ACTIONS(2621),
    [aux_sym_variable_attributes_token2] = ACTIONS(2621),
    [aux_sym_variable_attributes_token3] = ACTIONS(2621),
    [aux_sym_variable_attributes_token4] = ACTIONS(2621),
    [aux_sym_variable_attributes_token5] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2621),
    [aux_sym_derived_type_token1] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2621),
    [aux_sym_stop_statement_token1] = ACTIONS(2621),
    [aux_sym_stop_statement_token2] = ACTIONS(2621),
    [aux_sym_subroutine_call_token1] = ACTIONS(2621),
    [aux_sym_keyword_statement_token1] = ACTIONS(2621),
    [aux_sym_keyword_statement_token2] = ACTIONS(2621),
    [aux_sym_keyword_statement_token3] = ACTIONS(2621),
    [aux_sym_keyword_statement_token4] = ACTIONS(2621),
    [aux_sym_keyword_statement_token6] = ACTIONS(2621),
    [aux_sym_keyword_statement_token7] = ACTIONS(2621),
    [aux_sym_include_statement_token1] = ACTIONS(2621),
    [aux_sym_data_statement_token1] = ACTIONS(2621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2621),
    [aux_sym_end_if_statement_token1] = ACTIONS(2621),
    [aux_sym_elseif_clause_token2] = ACTIONS(2621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2621),
    [aux_sym_select_case_statement_token1] = ACTIONS(2621),
    [aux_sym_select_case_statement_token3] = ACTIONS(2621),
    [aux_sym_select_type_statement_token1] = ACTIONS(2621),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2621),
    [aux_sym_block_construct_token1] = ACTIONS(2621),
    [aux_sym_associate_statement_token1] = ACTIONS(2621),
    [aux_sym_format_statement_token1] = ACTIONS(2621),
    [aux_sym_print_statement_token1] = ACTIONS(2621),
    [aux_sym_open_statement_token1] = ACTIONS(2621),
    [aux_sym_close_statement_token1] = ACTIONS(2621),
    [aux_sym_inquire_statement_token1] = ACTIONS(2621),
    [aux_sym_enum_statement_token1] = ACTIONS(2621),
    [aux_sym_file_position_statement_token1] = ACTIONS(2621),
    [aux_sym_file_position_statement_token2] = ACTIONS(2621),
    [aux_sym_file_position_statement_token3] = ACTIONS(2621),
    [aux_sym_file_position_statement_token4] = ACTIONS(2621),
    [aux_sym_logical_expression_token5] = ACTIONS(2623),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_boolean_literal_token1] = ACTIONS(2623),
    [aux_sym_boolean_literal_token2] = ACTIONS(2623),
    [aux_sym_null_literal_token1] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2623),
    [sym__float_literal] = ACTIONS(2623),
    [sym__boz_literal] = ACTIONS(2623),
    [sym__string_literal] = ACTIONS(2623),
    [sym__string_literal_kind] = ACTIONS(2623),
  },
  [551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(288),
    [aux_sym_preproc_def_token1] = ACTIONS(288),
    [aux_sym_preproc_if_token1] = ACTIONS(288),
    [aux_sym_preproc_if_token2] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(288),
    [aux_sym_preproc_else_token1] = ACTIONS(288),
    [aux_sym_preproc_elif_token1] = ACTIONS(288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(288),
    [sym_preproc_directive] = ACTIONS(288),
    [anon_sym_LPAREN2] = ACTIONS(288),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(288),
    [aux_sym_end_program_statement_token1] = ACTIONS(288),
    [aux_sym_end_program_statement_token2] = ACTIONS(288),
    [aux_sym_module_statement_token1] = ACTIONS(288),
    [aux_sym_submodule_statement_token1] = ACTIONS(288),
    [aux_sym_interface_statement_token1] = ACTIONS(288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(288),
    [aux_sym_subroutine_statement_token1] = ACTIONS(288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(288),
    [aux_sym_function_statement_token1] = ACTIONS(288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(288),
    [aux_sym_contains_statement_token1] = ACTIONS(288),
    [aux_sym_use_statement_token1] = ACTIONS(288),
    [aux_sym_use_statement_token2] = ACTIONS(288),
    [aux_sym_implicit_statement_token1] = ACTIONS(288),
    [aux_sym_implicit_statement_token3] = ACTIONS(288),
    [aux_sym_implicit_statement_token4] = ACTIONS(288),
    [aux_sym_save_statement_token1] = ACTIONS(288),
    [aux_sym_private_statement_token1] = ACTIONS(288),
    [aux_sym_public_statement_token1] = ACTIONS(288),
    [aux_sym_namelist_statement_token1] = ACTIONS(288),
    [aux_sym_common_statement_token1] = ACTIONS(288),
    [aux_sym_import_statement_token1] = ACTIONS(288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(288),
    [aux_sym_variable_attributes_token1] = ACTIONS(288),
    [aux_sym_variable_attributes_token2] = ACTIONS(288),
    [aux_sym_variable_attributes_token3] = ACTIONS(288),
    [aux_sym_variable_attributes_token4] = ACTIONS(288),
    [aux_sym_variable_attributes_token5] = ACTIONS(288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(288),
    [aux_sym_derived_type_token1] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(288),
    [aux_sym_stop_statement_token1] = ACTIONS(288),
    [aux_sym_stop_statement_token2] = ACTIONS(288),
    [aux_sym_subroutine_call_token1] = ACTIONS(288),
    [aux_sym_keyword_statement_token1] = ACTIONS(288),
    [aux_sym_keyword_statement_token2] = ACTIONS(288),
    [aux_sym_keyword_statement_token3] = ACTIONS(288),
    [aux_sym_keyword_statement_token4] = ACTIONS(288),
    [aux_sym_keyword_statement_token6] = ACTIONS(288),
    [aux_sym_keyword_statement_token7] = ACTIONS(288),
    [aux_sym_include_statement_token1] = ACTIONS(288),
    [aux_sym_data_statement_token1] = ACTIONS(288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(288),
    [aux_sym_end_if_statement_token1] = ACTIONS(288),
    [aux_sym_elseif_clause_token2] = ACTIONS(288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(288),
    [aux_sym_select_case_statement_token1] = ACTIONS(288),
    [aux_sym_select_case_statement_token3] = ACTIONS(288),
    [aux_sym_select_type_statement_token1] = ACTIONS(288),
    [aux_sym_select_rank_statement_token2] = ACTIONS(288),
    [aux_sym_block_construct_token1] = ACTIONS(288),
    [aux_sym_associate_statement_token1] = ACTIONS(288),
    [aux_sym_format_statement_token1] = ACTIONS(288),
    [aux_sym_print_statement_token1] = ACTIONS(288),
    [aux_sym_open_statement_token1] = ACTIONS(288),
    [aux_sym_close_statement_token1] = ACTIONS(288),
    [aux_sym_inquire_statement_token1] = ACTIONS(288),
    [aux_sym_enum_statement_token1] = ACTIONS(288),
    [aux_sym_file_position_statement_token1] = ACTIONS(288),
    [aux_sym_file_position_statement_token2] = ACTIONS(288),
    [aux_sym_file_position_statement_token3] = ACTIONS(288),
    [aux_sym_file_position_statement_token4] = ACTIONS(288),
    [aux_sym_logical_expression_token5] = ACTIONS(576),
    [anon_sym_DOT] = ACTIONS(288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(576),
    [aux_sym_boolean_literal_token1] = ACTIONS(576),
    [aux_sym_boolean_literal_token2] = ACTIONS(576),
    [aux_sym_null_literal_token1] = ACTIONS(288),
    [aux_sym_identifier_token1] = ACTIONS(288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(576),
    [sym__float_literal] = ACTIONS(576),
    [sym__boz_literal] = ACTIONS(576),
    [sym__string_literal] = ACTIONS(576),
    [sym__string_literal_kind] = ACTIONS(576),
  },
  [552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [aux_sym_preproc_else_token1] = ACTIONS(2625),
    [aux_sym_preproc_elif_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2625),
    [aux_sym_end_program_statement_token1] = ACTIONS(2625),
    [aux_sym_end_program_statement_token2] = ACTIONS(2625),
    [aux_sym_module_statement_token1] = ACTIONS(2625),
    [aux_sym_submodule_statement_token1] = ACTIONS(2625),
    [aux_sym_interface_statement_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2625),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2625),
    [aux_sym_function_statement_token1] = ACTIONS(2625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2625),
    [aux_sym_contains_statement_token1] = ACTIONS(2625),
    [aux_sym_use_statement_token1] = ACTIONS(2625),
    [aux_sym_use_statement_token2] = ACTIONS(2625),
    [aux_sym_implicit_statement_token1] = ACTIONS(2625),
    [aux_sym_implicit_statement_token3] = ACTIONS(2625),
    [aux_sym_implicit_statement_token4] = ACTIONS(2625),
    [aux_sym_save_statement_token1] = ACTIONS(2625),
    [aux_sym_private_statement_token1] = ACTIONS(2625),
    [aux_sym_public_statement_token1] = ACTIONS(2625),
    [aux_sym_namelist_statement_token1] = ACTIONS(2625),
    [aux_sym_common_statement_token1] = ACTIONS(2625),
    [aux_sym_import_statement_token1] = ACTIONS(2625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2625),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2625),
    [aux_sym_variable_attributes_token1] = ACTIONS(2625),
    [aux_sym_variable_attributes_token2] = ACTIONS(2625),
    [aux_sym_variable_attributes_token3] = ACTIONS(2625),
    [aux_sym_variable_attributes_token4] = ACTIONS(2625),
    [aux_sym_variable_attributes_token5] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2625),
    [aux_sym_derived_type_token1] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2625),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2625),
    [aux_sym_stop_statement_token1] = ACTIONS(2625),
    [aux_sym_stop_statement_token2] = ACTIONS(2625),
    [aux_sym_subroutine_call_token1] = ACTIONS(2625),
    [aux_sym_keyword_statement_token1] = ACTIONS(2625),
    [aux_sym_keyword_statement_token2] = ACTIONS(2625),
    [aux_sym_keyword_statement_token3] = ACTIONS(2625),
    [aux_sym_keyword_statement_token4] = ACTIONS(2625),
    [aux_sym_keyword_statement_token6] = ACTIONS(2625),
    [aux_sym_keyword_statement_token7] = ACTIONS(2625),
    [aux_sym_include_statement_token1] = ACTIONS(2625),
    [aux_sym_data_statement_token1] = ACTIONS(2625),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2625),
    [aux_sym_end_if_statement_token1] = ACTIONS(2625),
    [aux_sym_elseif_clause_token2] = ACTIONS(2625),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2625),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2625),
    [aux_sym_select_case_statement_token1] = ACTIONS(2625),
    [aux_sym_select_case_statement_token3] = ACTIONS(2625),
    [aux_sym_select_type_statement_token1] = ACTIONS(2625),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2625),
    [aux_sym_block_construct_token1] = ACTIONS(2625),
    [aux_sym_associate_statement_token1] = ACTIONS(2625),
    [aux_sym_format_statement_token1] = ACTIONS(2625),
    [aux_sym_print_statement_token1] = ACTIONS(2625),
    [aux_sym_open_statement_token1] = ACTIONS(2625),
    [aux_sym_close_statement_token1] = ACTIONS(2625),
    [aux_sym_inquire_statement_token1] = ACTIONS(2625),
    [aux_sym_enum_statement_token1] = ACTIONS(2625),
    [aux_sym_file_position_statement_token1] = ACTIONS(2625),
    [aux_sym_file_position_statement_token2] = ACTIONS(2625),
    [aux_sym_file_position_statement_token3] = ACTIONS(2625),
    [aux_sym_file_position_statement_token4] = ACTIONS(2625),
    [aux_sym_logical_expression_token5] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [aux_sym_boolean_literal_token1] = ACTIONS(2627),
    [aux_sym_boolean_literal_token2] = ACTIONS(2627),
    [aux_sym_null_literal_token1] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2627),
    [sym__float_literal] = ACTIONS(2627),
    [sym__boz_literal] = ACTIONS(2627),
    [sym__string_literal] = ACTIONS(2627),
    [sym__string_literal_kind] = ACTIONS(2627),
  },
  [553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2629),
    [aux_sym_end_program_statement_token1] = ACTIONS(2629),
    [aux_sym_end_program_statement_token2] = ACTIONS(2629),
    [aux_sym_module_statement_token1] = ACTIONS(2629),
    [aux_sym_submodule_statement_token1] = ACTIONS(2629),
    [aux_sym_interface_statement_token1] = ACTIONS(2629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2629),
    [aux_sym_function_statement_token1] = ACTIONS(2629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2629),
    [aux_sym_contains_statement_token1] = ACTIONS(2629),
    [aux_sym_use_statement_token1] = ACTIONS(2629),
    [aux_sym_use_statement_token2] = ACTIONS(2629),
    [aux_sym_implicit_statement_token1] = ACTIONS(2629),
    [aux_sym_implicit_statement_token3] = ACTIONS(2629),
    [aux_sym_implicit_statement_token4] = ACTIONS(2629),
    [aux_sym_save_statement_token1] = ACTIONS(2629),
    [aux_sym_private_statement_token1] = ACTIONS(2629),
    [aux_sym_public_statement_token1] = ACTIONS(2629),
    [aux_sym_namelist_statement_token1] = ACTIONS(2629),
    [aux_sym_common_statement_token1] = ACTIONS(2629),
    [aux_sym_import_statement_token1] = ACTIONS(2629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2629),
    [aux_sym_variable_attributes_token1] = ACTIONS(2629),
    [aux_sym_variable_attributes_token2] = ACTIONS(2629),
    [aux_sym_variable_attributes_token3] = ACTIONS(2629),
    [aux_sym_variable_attributes_token4] = ACTIONS(2629),
    [aux_sym_variable_attributes_token5] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2629),
    [aux_sym_derived_type_token1] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2629),
    [aux_sym_stop_statement_token1] = ACTIONS(2629),
    [aux_sym_stop_statement_token2] = ACTIONS(2629),
    [aux_sym_subroutine_call_token1] = ACTIONS(2629),
    [aux_sym_keyword_statement_token1] = ACTIONS(2629),
    [aux_sym_keyword_statement_token2] = ACTIONS(2629),
    [aux_sym_keyword_statement_token3] = ACTIONS(2629),
    [aux_sym_keyword_statement_token4] = ACTIONS(2629),
    [aux_sym_keyword_statement_token6] = ACTIONS(2629),
    [aux_sym_keyword_statement_token7] = ACTIONS(2629),
    [aux_sym_include_statement_token1] = ACTIONS(2629),
    [aux_sym_data_statement_token1] = ACTIONS(2629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2629),
    [aux_sym_end_if_statement_token1] = ACTIONS(2629),
    [aux_sym_elseif_clause_token2] = ACTIONS(2629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2629),
    [aux_sym_select_case_statement_token1] = ACTIONS(2629),
    [aux_sym_select_case_statement_token3] = ACTIONS(2629),
    [aux_sym_select_type_statement_token1] = ACTIONS(2629),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2629),
    [aux_sym_block_construct_token1] = ACTIONS(2629),
    [aux_sym_associate_statement_token1] = ACTIONS(2629),
    [aux_sym_format_statement_token1] = ACTIONS(2629),
    [aux_sym_print_statement_token1] = ACTIONS(2629),
    [aux_sym_open_statement_token1] = ACTIONS(2629),
    [aux_sym_close_statement_token1] = ACTIONS(2629),
    [aux_sym_inquire_statement_token1] = ACTIONS(2629),
    [aux_sym_enum_statement_token1] = ACTIONS(2629),
    [aux_sym_file_position_statement_token1] = ACTIONS(2629),
    [aux_sym_file_position_statement_token2] = ACTIONS(2629),
    [aux_sym_file_position_statement_token3] = ACTIONS(2629),
    [aux_sym_file_position_statement_token4] = ACTIONS(2629),
    [aux_sym_logical_expression_token5] = ACTIONS(2631),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [aux_sym_boolean_literal_token1] = ACTIONS(2631),
    [aux_sym_boolean_literal_token2] = ACTIONS(2631),
    [aux_sym_null_literal_token1] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2631),
    [sym__float_literal] = ACTIONS(2631),
    [sym__boz_literal] = ACTIONS(2631),
    [sym__string_literal] = ACTIONS(2631),
    [sym__string_literal_kind] = ACTIONS(2631),
  },
  [554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [aux_sym_preproc_else_token1] = ACTIONS(2633),
    [aux_sym_preproc_elif_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2633),
    [aux_sym_end_program_statement_token1] = ACTIONS(2633),
    [aux_sym_end_program_statement_token2] = ACTIONS(2633),
    [aux_sym_module_statement_token1] = ACTIONS(2633),
    [aux_sym_submodule_statement_token1] = ACTIONS(2633),
    [aux_sym_interface_statement_token1] = ACTIONS(2633),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2633),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2633),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2633),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2633),
    [aux_sym_function_statement_token1] = ACTIONS(2633),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2633),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2633),
    [aux_sym_contains_statement_token1] = ACTIONS(2633),
    [aux_sym_use_statement_token1] = ACTIONS(2633),
    [aux_sym_use_statement_token2] = ACTIONS(2633),
    [aux_sym_implicit_statement_token1] = ACTIONS(2633),
    [aux_sym_implicit_statement_token3] = ACTIONS(2633),
    [aux_sym_implicit_statement_token4] = ACTIONS(2633),
    [aux_sym_save_statement_token1] = ACTIONS(2633),
    [aux_sym_private_statement_token1] = ACTIONS(2633),
    [aux_sym_public_statement_token1] = ACTIONS(2633),
    [aux_sym_namelist_statement_token1] = ACTIONS(2633),
    [aux_sym_common_statement_token1] = ACTIONS(2633),
    [aux_sym_import_statement_token1] = ACTIONS(2633),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2633),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2633),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2633),
    [aux_sym_variable_attributes_token1] = ACTIONS(2633),
    [aux_sym_variable_attributes_token2] = ACTIONS(2633),
    [aux_sym_variable_attributes_token3] = ACTIONS(2633),
    [aux_sym_variable_attributes_token4] = ACTIONS(2633),
    [aux_sym_variable_attributes_token5] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2633),
    [aux_sym_derived_type_token1] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2633),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2633),
    [aux_sym_stop_statement_token1] = ACTIONS(2633),
    [aux_sym_stop_statement_token2] = ACTIONS(2633),
    [aux_sym_subroutine_call_token1] = ACTIONS(2633),
    [aux_sym_keyword_statement_token1] = ACTIONS(2633),
    [aux_sym_keyword_statement_token2] = ACTIONS(2633),
    [aux_sym_keyword_statement_token3] = ACTIONS(2633),
    [aux_sym_keyword_statement_token4] = ACTIONS(2633),
    [aux_sym_keyword_statement_token6] = ACTIONS(2633),
    [aux_sym_keyword_statement_token7] = ACTIONS(2633),
    [aux_sym_include_statement_token1] = ACTIONS(2633),
    [aux_sym_data_statement_token1] = ACTIONS(2633),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2633),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2633),
    [aux_sym_end_if_statement_token1] = ACTIONS(2633),
    [aux_sym_elseif_clause_token2] = ACTIONS(2633),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2633),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2633),
    [aux_sym_select_case_statement_token1] = ACTIONS(2633),
    [aux_sym_select_case_statement_token3] = ACTIONS(2633),
    [aux_sym_select_type_statement_token1] = ACTIONS(2633),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2633),
    [aux_sym_block_construct_token1] = ACTIONS(2633),
    [aux_sym_associate_statement_token1] = ACTIONS(2633),
    [aux_sym_format_statement_token1] = ACTIONS(2633),
    [aux_sym_print_statement_token1] = ACTIONS(2633),
    [aux_sym_open_statement_token1] = ACTIONS(2633),
    [aux_sym_close_statement_token1] = ACTIONS(2633),
    [aux_sym_inquire_statement_token1] = ACTIONS(2633),
    [aux_sym_enum_statement_token1] = ACTIONS(2633),
    [aux_sym_file_position_statement_token1] = ACTIONS(2633),
    [aux_sym_file_position_statement_token2] = ACTIONS(2633),
    [aux_sym_file_position_statement_token3] = ACTIONS(2633),
    [aux_sym_file_position_statement_token4] = ACTIONS(2633),
    [aux_sym_logical_expression_token5] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [aux_sym_boolean_literal_token1] = ACTIONS(2635),
    [aux_sym_boolean_literal_token2] = ACTIONS(2635),
    [aux_sym_null_literal_token1] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2635),
    [sym__float_literal] = ACTIONS(2635),
    [sym__boz_literal] = ACTIONS(2635),
    [sym__string_literal] = ACTIONS(2635),
    [sym__string_literal_kind] = ACTIONS(2635),
  },
  [555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [aux_sym_preproc_else_token1] = ACTIONS(2637),
    [aux_sym_preproc_elif_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2637),
    [aux_sym_end_program_statement_token1] = ACTIONS(2637),
    [aux_sym_end_program_statement_token2] = ACTIONS(2637),
    [aux_sym_module_statement_token1] = ACTIONS(2637),
    [aux_sym_submodule_statement_token1] = ACTIONS(2637),
    [aux_sym_interface_statement_token1] = ACTIONS(2637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2637),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2637),
    [aux_sym_function_statement_token1] = ACTIONS(2637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2637),
    [aux_sym_contains_statement_token1] = ACTIONS(2637),
    [aux_sym_use_statement_token1] = ACTIONS(2637),
    [aux_sym_use_statement_token2] = ACTIONS(2637),
    [aux_sym_implicit_statement_token1] = ACTIONS(2637),
    [aux_sym_implicit_statement_token3] = ACTIONS(2637),
    [aux_sym_implicit_statement_token4] = ACTIONS(2637),
    [aux_sym_save_statement_token1] = ACTIONS(2637),
    [aux_sym_private_statement_token1] = ACTIONS(2637),
    [aux_sym_public_statement_token1] = ACTIONS(2637),
    [aux_sym_namelist_statement_token1] = ACTIONS(2637),
    [aux_sym_common_statement_token1] = ACTIONS(2637),
    [aux_sym_import_statement_token1] = ACTIONS(2637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2637),
    [aux_sym_variable_attributes_token1] = ACTIONS(2637),
    [aux_sym_variable_attributes_token2] = ACTIONS(2637),
    [aux_sym_variable_attributes_token3] = ACTIONS(2637),
    [aux_sym_variable_attributes_token4] = ACTIONS(2637),
    [aux_sym_variable_attributes_token5] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2637),
    [aux_sym_derived_type_token1] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2637),
    [aux_sym_stop_statement_token1] = ACTIONS(2637),
    [aux_sym_stop_statement_token2] = ACTIONS(2637),
    [aux_sym_subroutine_call_token1] = ACTIONS(2637),
    [aux_sym_keyword_statement_token1] = ACTIONS(2637),
    [aux_sym_keyword_statement_token2] = ACTIONS(2637),
    [aux_sym_keyword_statement_token3] = ACTIONS(2637),
    [aux_sym_keyword_statement_token4] = ACTIONS(2637),
    [aux_sym_keyword_statement_token6] = ACTIONS(2637),
    [aux_sym_keyword_statement_token7] = ACTIONS(2637),
    [aux_sym_include_statement_token1] = ACTIONS(2637),
    [aux_sym_data_statement_token1] = ACTIONS(2637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2637),
    [aux_sym_end_if_statement_token1] = ACTIONS(2637),
    [aux_sym_elseif_clause_token2] = ACTIONS(2637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2637),
    [aux_sym_select_case_statement_token1] = ACTIONS(2637),
    [aux_sym_select_case_statement_token3] = ACTIONS(2637),
    [aux_sym_select_type_statement_token1] = ACTIONS(2637),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2637),
    [aux_sym_block_construct_token1] = ACTIONS(2637),
    [aux_sym_associate_statement_token1] = ACTIONS(2637),
    [aux_sym_format_statement_token1] = ACTIONS(2637),
    [aux_sym_print_statement_token1] = ACTIONS(2637),
    [aux_sym_open_statement_token1] = ACTIONS(2637),
    [aux_sym_close_statement_token1] = ACTIONS(2637),
    [aux_sym_inquire_statement_token1] = ACTIONS(2637),
    [aux_sym_enum_statement_token1] = ACTIONS(2637),
    [aux_sym_file_position_statement_token1] = ACTIONS(2637),
    [aux_sym_file_position_statement_token2] = ACTIONS(2637),
    [aux_sym_file_position_statement_token3] = ACTIONS(2637),
    [aux_sym_file_position_statement_token4] = ACTIONS(2637),
    [aux_sym_logical_expression_token5] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [aux_sym_boolean_literal_token1] = ACTIONS(2639),
    [aux_sym_boolean_literal_token2] = ACTIONS(2639),
    [aux_sym_null_literal_token1] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2639),
    [sym__float_literal] = ACTIONS(2639),
    [sym__boz_literal] = ACTIONS(2639),
    [sym__string_literal] = ACTIONS(2639),
    [sym__string_literal_kind] = ACTIONS(2639),
  },
  [556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [aux_sym_preproc_else_token1] = ACTIONS(2641),
    [aux_sym_preproc_elif_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2641),
    [aux_sym_end_program_statement_token1] = ACTIONS(2641),
    [aux_sym_end_program_statement_token2] = ACTIONS(2641),
    [aux_sym_module_statement_token1] = ACTIONS(2641),
    [aux_sym_submodule_statement_token1] = ACTIONS(2641),
    [aux_sym_interface_statement_token1] = ACTIONS(2641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2641),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2641),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2641),
    [aux_sym_function_statement_token1] = ACTIONS(2641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2641),
    [aux_sym_contains_statement_token1] = ACTIONS(2641),
    [aux_sym_use_statement_token1] = ACTIONS(2641),
    [aux_sym_use_statement_token2] = ACTIONS(2641),
    [aux_sym_implicit_statement_token1] = ACTIONS(2641),
    [aux_sym_implicit_statement_token3] = ACTIONS(2641),
    [aux_sym_implicit_statement_token4] = ACTIONS(2641),
    [aux_sym_save_statement_token1] = ACTIONS(2641),
    [aux_sym_private_statement_token1] = ACTIONS(2641),
    [aux_sym_public_statement_token1] = ACTIONS(2641),
    [aux_sym_namelist_statement_token1] = ACTIONS(2641),
    [aux_sym_common_statement_token1] = ACTIONS(2641),
    [aux_sym_import_statement_token1] = ACTIONS(2641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2641),
    [aux_sym_variable_attributes_token1] = ACTIONS(2641),
    [aux_sym_variable_attributes_token2] = ACTIONS(2641),
    [aux_sym_variable_attributes_token3] = ACTIONS(2641),
    [aux_sym_variable_attributes_token4] = ACTIONS(2641),
    [aux_sym_variable_attributes_token5] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2641),
    [aux_sym_derived_type_token1] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2641),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2641),
    [aux_sym_stop_statement_token1] = ACTIONS(2641),
    [aux_sym_stop_statement_token2] = ACTIONS(2641),
    [aux_sym_subroutine_call_token1] = ACTIONS(2641),
    [aux_sym_keyword_statement_token1] = ACTIONS(2641),
    [aux_sym_keyword_statement_token2] = ACTIONS(2641),
    [aux_sym_keyword_statement_token3] = ACTIONS(2641),
    [aux_sym_keyword_statement_token4] = ACTIONS(2641),
    [aux_sym_keyword_statement_token6] = ACTIONS(2641),
    [aux_sym_keyword_statement_token7] = ACTIONS(2641),
    [aux_sym_include_statement_token1] = ACTIONS(2641),
    [aux_sym_data_statement_token1] = ACTIONS(2641),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2641),
    [aux_sym_end_if_statement_token1] = ACTIONS(2641),
    [aux_sym_elseif_clause_token2] = ACTIONS(2641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2641),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2641),
    [aux_sym_select_case_statement_token1] = ACTIONS(2641),
    [aux_sym_select_case_statement_token3] = ACTIONS(2641),
    [aux_sym_select_type_statement_token1] = ACTIONS(2641),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2641),
    [aux_sym_block_construct_token1] = ACTIONS(2641),
    [aux_sym_associate_statement_token1] = ACTIONS(2641),
    [aux_sym_format_statement_token1] = ACTIONS(2641),
    [aux_sym_print_statement_token1] = ACTIONS(2641),
    [aux_sym_open_statement_token1] = ACTIONS(2641),
    [aux_sym_close_statement_token1] = ACTIONS(2641),
    [aux_sym_inquire_statement_token1] = ACTIONS(2641),
    [aux_sym_enum_statement_token1] = ACTIONS(2641),
    [aux_sym_file_position_statement_token1] = ACTIONS(2641),
    [aux_sym_file_position_statement_token2] = ACTIONS(2641),
    [aux_sym_file_position_statement_token3] = ACTIONS(2641),
    [aux_sym_file_position_statement_token4] = ACTIONS(2641),
    [aux_sym_logical_expression_token5] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [aux_sym_boolean_literal_token1] = ACTIONS(2643),
    [aux_sym_boolean_literal_token2] = ACTIONS(2643),
    [aux_sym_null_literal_token1] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2643),
    [sym__float_literal] = ACTIONS(2643),
    [sym__boz_literal] = ACTIONS(2643),
    [sym__string_literal] = ACTIONS(2643),
    [sym__string_literal_kind] = ACTIONS(2643),
  },
  [557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2645),
    [aux_sym_preproc_elif_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2645),
    [aux_sym_end_program_statement_token1] = ACTIONS(2645),
    [aux_sym_end_program_statement_token2] = ACTIONS(2645),
    [aux_sym_module_statement_token1] = ACTIONS(2645),
    [aux_sym_submodule_statement_token1] = ACTIONS(2645),
    [aux_sym_interface_statement_token1] = ACTIONS(2645),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2645),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2645),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2645),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2645),
    [aux_sym_function_statement_token1] = ACTIONS(2645),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2645),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2645),
    [aux_sym_contains_statement_token1] = ACTIONS(2645),
    [aux_sym_use_statement_token1] = ACTIONS(2645),
    [aux_sym_use_statement_token2] = ACTIONS(2645),
    [aux_sym_implicit_statement_token1] = ACTIONS(2645),
    [aux_sym_implicit_statement_token3] = ACTIONS(2645),
    [aux_sym_implicit_statement_token4] = ACTIONS(2645),
    [aux_sym_save_statement_token1] = ACTIONS(2645),
    [aux_sym_private_statement_token1] = ACTIONS(2645),
    [aux_sym_public_statement_token1] = ACTIONS(2645),
    [aux_sym_namelist_statement_token1] = ACTIONS(2645),
    [aux_sym_common_statement_token1] = ACTIONS(2645),
    [aux_sym_import_statement_token1] = ACTIONS(2645),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2645),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2645),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2645),
    [aux_sym_variable_attributes_token1] = ACTIONS(2645),
    [aux_sym_variable_attributes_token2] = ACTIONS(2645),
    [aux_sym_variable_attributes_token3] = ACTIONS(2645),
    [aux_sym_variable_attributes_token4] = ACTIONS(2645),
    [aux_sym_variable_attributes_token5] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2645),
    [aux_sym_derived_type_token1] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2645),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2645),
    [aux_sym_stop_statement_token1] = ACTIONS(2645),
    [aux_sym_stop_statement_token2] = ACTIONS(2645),
    [aux_sym_subroutine_call_token1] = ACTIONS(2645),
    [aux_sym_keyword_statement_token1] = ACTIONS(2645),
    [aux_sym_keyword_statement_token2] = ACTIONS(2645),
    [aux_sym_keyword_statement_token3] = ACTIONS(2645),
    [aux_sym_keyword_statement_token4] = ACTIONS(2645),
    [aux_sym_keyword_statement_token6] = ACTIONS(2645),
    [aux_sym_keyword_statement_token7] = ACTIONS(2645),
    [aux_sym_include_statement_token1] = ACTIONS(2645),
    [aux_sym_data_statement_token1] = ACTIONS(2645),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2645),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2645),
    [aux_sym_end_if_statement_token1] = ACTIONS(2645),
    [aux_sym_elseif_clause_token2] = ACTIONS(2645),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2645),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2645),
    [aux_sym_select_case_statement_token1] = ACTIONS(2645),
    [aux_sym_select_case_statement_token3] = ACTIONS(2645),
    [aux_sym_select_type_statement_token1] = ACTIONS(2645),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2645),
    [aux_sym_block_construct_token1] = ACTIONS(2645),
    [aux_sym_associate_statement_token1] = ACTIONS(2645),
    [aux_sym_format_statement_token1] = ACTIONS(2645),
    [aux_sym_print_statement_token1] = ACTIONS(2645),
    [aux_sym_open_statement_token1] = ACTIONS(2645),
    [aux_sym_close_statement_token1] = ACTIONS(2645),
    [aux_sym_inquire_statement_token1] = ACTIONS(2645),
    [aux_sym_enum_statement_token1] = ACTIONS(2645),
    [aux_sym_file_position_statement_token1] = ACTIONS(2645),
    [aux_sym_file_position_statement_token2] = ACTIONS(2645),
    [aux_sym_file_position_statement_token3] = ACTIONS(2645),
    [aux_sym_file_position_statement_token4] = ACTIONS(2645),
    [aux_sym_logical_expression_token5] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [aux_sym_boolean_literal_token1] = ACTIONS(2647),
    [aux_sym_boolean_literal_token2] = ACTIONS(2647),
    [aux_sym_null_literal_token1] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2647),
    [sym__float_literal] = ACTIONS(2647),
    [sym__boz_literal] = ACTIONS(2647),
    [sym__string_literal] = ACTIONS(2647),
    [sym__string_literal_kind] = ACTIONS(2647),
  },
  [558] = {
    [sym_preproc_include] = STATE(597),
    [sym_preproc_def] = STATE(597),
    [sym_preproc_function_def] = STATE(597),
    [sym_preproc_call] = STATE(597),
    [sym_preproc_else_in_module] = STATE(5573),
    [sym_preproc_elif_in_module] = STATE(5573),
    [sym_preproc_elifdef_in_module] = STATE(5573),
    [sym_interface] = STATE(597),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4094),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(597),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(597),
    [sym_public_statement] = STATE(597),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(597),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(597),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(597),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [sym_preproc_comment] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [559] = {
    [sym_preproc_include] = STATE(599),
    [sym_preproc_def] = STATE(599),
    [sym_preproc_function_def] = STATE(599),
    [sym_preproc_call] = STATE(599),
    [sym_preproc_else_in_module] = STATE(5182),
    [sym_preproc_elif_in_module] = STATE(5182),
    [sym_preproc_elifdef_in_module] = STATE(5182),
    [sym_interface] = STATE(599),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4021),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(599),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(599),
    [sym_public_statement] = STATE(599),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(599),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(599),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(599),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2677),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [sym_preproc_comment] = ACTIONS(2679),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [560] = {
    [sym_preproc_include] = STATE(588),
    [sym_preproc_def] = STATE(588),
    [sym_preproc_function_def] = STATE(588),
    [sym_preproc_call] = STATE(588),
    [sym_preproc_else_in_module] = STATE(5981),
    [sym_preproc_elif_in_module] = STATE(5981),
    [sym_preproc_elifdef_in_module] = STATE(5981),
    [sym_interface] = STATE(588),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4050),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(588),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(588),
    [sym_public_statement] = STATE(588),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(588),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(588),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(588),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2681),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [sym_preproc_comment] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(2397),
    [aux_sym_preproc_include_token1] = ACTIONS(2393),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(2393),
    [sym_preproc_comment] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token2] = ACTIONS(2393),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2393),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2393),
    [aux_sym_contains_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token2] = ACTIONS(2393),
    [aux_sym_implicit_statement_token1] = ACTIONS(2393),
    [aux_sym_implicit_statement_token3] = ACTIONS(2393),
    [aux_sym_implicit_statement_token4] = ACTIONS(2393),
    [aux_sym_save_statement_token1] = ACTIONS(2393),
    [aux_sym_private_statement_token1] = ACTIONS(2393),
    [aux_sym_public_statement_token1] = ACTIONS(2393),
    [aux_sym_namelist_statement_token1] = ACTIONS(2393),
    [aux_sym_common_statement_token1] = ACTIONS(2393),
    [aux_sym_import_statement_token1] = ACTIONS(2393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2393),
    [aux_sym_variable_attributes_token1] = ACTIONS(2393),
    [aux_sym_variable_attributes_token2] = ACTIONS(2393),
    [aux_sym_variable_attributes_token3] = ACTIONS(2393),
    [aux_sym_variable_attributes_token4] = ACTIONS(2393),
    [aux_sym_variable_attributes_token5] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2393),
    [aux_sym_derived_type_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token2] = ACTIONS(2393),
    [aux_sym_subroutine_call_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token2] = ACTIONS(2393),
    [aux_sym_keyword_statement_token3] = ACTIONS(2393),
    [aux_sym_keyword_statement_token4] = ACTIONS(2393),
    [aux_sym_keyword_statement_token6] = ACTIONS(2393),
    [aux_sym_keyword_statement_token7] = ACTIONS(2393),
    [aux_sym_include_statement_token1] = ACTIONS(2393),
    [aux_sym_data_statement_token1] = ACTIONS(2393),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2393),
    [aux_sym_end_if_statement_token1] = ACTIONS(2393),
    [aux_sym_elseif_clause_token2] = ACTIONS(2393),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2393),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token3] = ACTIONS(2393),
    [aux_sym_select_type_statement_token1] = ACTIONS(2393),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2393),
    [aux_sym_block_construct_token1] = ACTIONS(2393),
    [aux_sym_associate_statement_token1] = ACTIONS(2393),
    [aux_sym_format_statement_token1] = ACTIONS(2393),
    [aux_sym_print_statement_token1] = ACTIONS(2393),
    [aux_sym_open_statement_token1] = ACTIONS(2393),
    [aux_sym_close_statement_token1] = ACTIONS(2393),
    [aux_sym_inquire_statement_token1] = ACTIONS(2393),
    [aux_sym_enum_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token2] = ACTIONS(2393),
    [aux_sym_file_position_statement_token3] = ACTIONS(2393),
    [aux_sym_file_position_statement_token4] = ACTIONS(2393),
    [aux_sym_logical_expression_token5] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [aux_sym_boolean_literal_token1] = ACTIONS(2397),
    [aux_sym_boolean_literal_token2] = ACTIONS(2397),
    [aux_sym_null_literal_token1] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2397),
    [sym__float_literal] = ACTIONS(2397),
    [sym__boz_literal] = ACTIONS(2397),
    [sym__string_literal] = ACTIONS(2397),
    [sym__string_literal_kind] = ACTIONS(2397),
  },
  [562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2311),
    [aux_sym_preproc_def_token1] = ACTIONS(2311),
    [aux_sym_preproc_if_token1] = ACTIONS(2311),
    [aux_sym_preproc_if_token2] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2311),
    [sym_preproc_directive] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [sym_preproc_comment] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2311),
    [aux_sym_end_program_statement_token1] = ACTIONS(2311),
    [aux_sym_end_program_statement_token2] = ACTIONS(2311),
    [aux_sym_module_statement_token1] = ACTIONS(2311),
    [aux_sym_submodule_statement_token1] = ACTIONS(2311),
    [aux_sym_interface_statement_token1] = ACTIONS(2311),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2311),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2311),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2311),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2311),
    [aux_sym_function_statement_token1] = ACTIONS(2311),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2311),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2311),
    [aux_sym_contains_statement_token1] = ACTIONS(2311),
    [aux_sym_use_statement_token1] = ACTIONS(2311),
    [aux_sym_use_statement_token2] = ACTIONS(2311),
    [aux_sym_implicit_statement_token1] = ACTIONS(2311),
    [aux_sym_implicit_statement_token3] = ACTIONS(2311),
    [aux_sym_implicit_statement_token4] = ACTIONS(2311),
    [aux_sym_save_statement_token1] = ACTIONS(2311),
    [aux_sym_private_statement_token1] = ACTIONS(2311),
    [aux_sym_public_statement_token1] = ACTIONS(2311),
    [aux_sym_namelist_statement_token1] = ACTIONS(2311),
    [aux_sym_common_statement_token1] = ACTIONS(2311),
    [aux_sym_import_statement_token1] = ACTIONS(2311),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2311),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2311),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2311),
    [aux_sym_variable_attributes_token1] = ACTIONS(2311),
    [aux_sym_variable_attributes_token2] = ACTIONS(2311),
    [aux_sym_variable_attributes_token3] = ACTIONS(2311),
    [aux_sym_variable_attributes_token4] = ACTIONS(2311),
    [aux_sym_variable_attributes_token5] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2311),
    [aux_sym_derived_type_token1] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2311),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2311),
    [aux_sym_stop_statement_token1] = ACTIONS(2311),
    [aux_sym_stop_statement_token2] = ACTIONS(2311),
    [aux_sym_subroutine_call_token1] = ACTIONS(2311),
    [aux_sym_keyword_statement_token1] = ACTIONS(2311),
    [aux_sym_keyword_statement_token2] = ACTIONS(2311),
    [aux_sym_keyword_statement_token3] = ACTIONS(2311),
    [aux_sym_keyword_statement_token4] = ACTIONS(2311),
    [aux_sym_keyword_statement_token6] = ACTIONS(2311),
    [aux_sym_keyword_statement_token7] = ACTIONS(2311),
    [aux_sym_include_statement_token1] = ACTIONS(2311),
    [aux_sym_data_statement_token1] = ACTIONS(2311),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2311),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2311),
    [aux_sym_end_if_statement_token1] = ACTIONS(2311),
    [aux_sym_elseif_clause_token2] = ACTIONS(2311),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2311),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2311),
    [aux_sym_select_case_statement_token1] = ACTIONS(2311),
    [aux_sym_select_case_statement_token3] = ACTIONS(2311),
    [aux_sym_select_type_statement_token1] = ACTIONS(2311),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2311),
    [aux_sym_block_construct_token1] = ACTIONS(2311),
    [aux_sym_associate_statement_token1] = ACTIONS(2311),
    [aux_sym_format_statement_token1] = ACTIONS(2311),
    [aux_sym_print_statement_token1] = ACTIONS(2311),
    [aux_sym_open_statement_token1] = ACTIONS(2311),
    [aux_sym_close_statement_token1] = ACTIONS(2311),
    [aux_sym_inquire_statement_token1] = ACTIONS(2311),
    [aux_sym_enum_statement_token1] = ACTIONS(2311),
    [aux_sym_file_position_statement_token1] = ACTIONS(2311),
    [aux_sym_file_position_statement_token2] = ACTIONS(2311),
    [aux_sym_file_position_statement_token3] = ACTIONS(2311),
    [aux_sym_file_position_statement_token4] = ACTIONS(2311),
    [aux_sym_logical_expression_token5] = ACTIONS(2315),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [aux_sym_boolean_literal_token1] = ACTIONS(2315),
    [aux_sym_boolean_literal_token2] = ACTIONS(2315),
    [aux_sym_null_literal_token1] = ACTIONS(2311),
    [aux_sym_identifier_token1] = ACTIONS(2311),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2315),
    [sym__float_literal] = ACTIONS(2315),
    [sym__boz_literal] = ACTIONS(2315),
    [sym__string_literal] = ACTIONS(2315),
    [sym__string_literal_kind] = ACTIONS(2315),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(2403),
    [aux_sym_preproc_include_token1] = ACTIONS(2399),
    [aux_sym_preproc_def_token1] = ACTIONS(2399),
    [aux_sym_preproc_if_token1] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2399),
    [sym_preproc_directive] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(2399),
    [sym_preproc_comment] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2399),
    [aux_sym_end_program_statement_token1] = ACTIONS(2399),
    [aux_sym_end_program_statement_token2] = ACTIONS(2399),
    [aux_sym_module_statement_token1] = ACTIONS(2399),
    [aux_sym_submodule_statement_token1] = ACTIONS(2399),
    [aux_sym_interface_statement_token1] = ACTIONS(2399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2399),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2399),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2399),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2399),
    [aux_sym_function_statement_token1] = ACTIONS(2399),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2399),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2399),
    [aux_sym_contains_statement_token1] = ACTIONS(2399),
    [aux_sym_use_statement_token1] = ACTIONS(2399),
    [aux_sym_use_statement_token2] = ACTIONS(2399),
    [aux_sym_implicit_statement_token1] = ACTIONS(2399),
    [aux_sym_implicit_statement_token3] = ACTIONS(2399),
    [aux_sym_implicit_statement_token4] = ACTIONS(2399),
    [aux_sym_save_statement_token1] = ACTIONS(2399),
    [aux_sym_private_statement_token1] = ACTIONS(2399),
    [aux_sym_public_statement_token1] = ACTIONS(2399),
    [aux_sym_namelist_statement_token1] = ACTIONS(2399),
    [aux_sym_common_statement_token1] = ACTIONS(2399),
    [aux_sym_import_statement_token1] = ACTIONS(2399),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2399),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2399),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2399),
    [aux_sym_variable_attributes_token1] = ACTIONS(2399),
    [aux_sym_variable_attributes_token2] = ACTIONS(2399),
    [aux_sym_variable_attributes_token3] = ACTIONS(2399),
    [aux_sym_variable_attributes_token4] = ACTIONS(2399),
    [aux_sym_variable_attributes_token5] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2399),
    [aux_sym_derived_type_token1] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2399),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2399),
    [aux_sym_stop_statement_token1] = ACTIONS(2399),
    [aux_sym_stop_statement_token2] = ACTIONS(2399),
    [aux_sym_subroutine_call_token1] = ACTIONS(2399),
    [aux_sym_keyword_statement_token1] = ACTIONS(2399),
    [aux_sym_keyword_statement_token2] = ACTIONS(2399),
    [aux_sym_keyword_statement_token3] = ACTIONS(2399),
    [aux_sym_keyword_statement_token4] = ACTIONS(2399),
    [aux_sym_keyword_statement_token6] = ACTIONS(2399),
    [aux_sym_keyword_statement_token7] = ACTIONS(2399),
    [aux_sym_include_statement_token1] = ACTIONS(2399),
    [aux_sym_data_statement_token1] = ACTIONS(2399),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2399),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2399),
    [aux_sym_end_if_statement_token1] = ACTIONS(2399),
    [aux_sym_elseif_clause_token2] = ACTIONS(2399),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2399),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2399),
    [aux_sym_select_case_statement_token1] = ACTIONS(2399),
    [aux_sym_select_case_statement_token3] = ACTIONS(2399),
    [aux_sym_select_type_statement_token1] = ACTIONS(2399),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2399),
    [aux_sym_block_construct_token1] = ACTIONS(2399),
    [aux_sym_associate_statement_token1] = ACTIONS(2399),
    [aux_sym_format_statement_token1] = ACTIONS(2399),
    [aux_sym_print_statement_token1] = ACTIONS(2399),
    [aux_sym_open_statement_token1] = ACTIONS(2399),
    [aux_sym_close_statement_token1] = ACTIONS(2399),
    [aux_sym_inquire_statement_token1] = ACTIONS(2399),
    [aux_sym_enum_statement_token1] = ACTIONS(2399),
    [aux_sym_file_position_statement_token1] = ACTIONS(2399),
    [aux_sym_file_position_statement_token2] = ACTIONS(2399),
    [aux_sym_file_position_statement_token3] = ACTIONS(2399),
    [aux_sym_file_position_statement_token4] = ACTIONS(2399),
    [aux_sym_logical_expression_token5] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2399),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [aux_sym_boolean_literal_token1] = ACTIONS(2403),
    [aux_sym_boolean_literal_token2] = ACTIONS(2403),
    [aux_sym_null_literal_token1] = ACTIONS(2399),
    [aux_sym_identifier_token1] = ACTIONS(2399),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2403),
    [sym__float_literal] = ACTIONS(2403),
    [sym__boz_literal] = ACTIONS(2403),
    [sym__string_literal] = ACTIONS(2403),
    [sym__string_literal_kind] = ACTIONS(2403),
  },
  [564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2355),
    [aux_sym_preproc_def_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token2] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2355),
    [sym_preproc_comment] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token2] = ACTIONS(2355),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2355),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2355),
    [aux_sym_contains_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token2] = ACTIONS(2355),
    [aux_sym_implicit_statement_token1] = ACTIONS(2355),
    [aux_sym_implicit_statement_token3] = ACTIONS(2355),
    [aux_sym_implicit_statement_token4] = ACTIONS(2355),
    [aux_sym_save_statement_token1] = ACTIONS(2355),
    [aux_sym_private_statement_token1] = ACTIONS(2355),
    [aux_sym_public_statement_token1] = ACTIONS(2355),
    [aux_sym_namelist_statement_token1] = ACTIONS(2355),
    [aux_sym_common_statement_token1] = ACTIONS(2355),
    [aux_sym_import_statement_token1] = ACTIONS(2355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2355),
    [aux_sym_variable_attributes_token1] = ACTIONS(2355),
    [aux_sym_variable_attributes_token2] = ACTIONS(2355),
    [aux_sym_variable_attributes_token3] = ACTIONS(2355),
    [aux_sym_variable_attributes_token4] = ACTIONS(2355),
    [aux_sym_variable_attributes_token5] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2355),
    [aux_sym_derived_type_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token2] = ACTIONS(2355),
    [aux_sym_subroutine_call_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token2] = ACTIONS(2355),
    [aux_sym_keyword_statement_token3] = ACTIONS(2355),
    [aux_sym_keyword_statement_token4] = ACTIONS(2355),
    [aux_sym_keyword_statement_token6] = ACTIONS(2355),
    [aux_sym_keyword_statement_token7] = ACTIONS(2355),
    [aux_sym_include_statement_token1] = ACTIONS(2355),
    [aux_sym_data_statement_token1] = ACTIONS(2355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2355),
    [aux_sym_end_if_statement_token1] = ACTIONS(2355),
    [aux_sym_elseif_clause_token2] = ACTIONS(2355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token3] = ACTIONS(2355),
    [aux_sym_select_type_statement_token1] = ACTIONS(2355),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2355),
    [aux_sym_block_construct_token1] = ACTIONS(2355),
    [aux_sym_associate_statement_token1] = ACTIONS(2355),
    [aux_sym_format_statement_token1] = ACTIONS(2355),
    [aux_sym_print_statement_token1] = ACTIONS(2355),
    [aux_sym_open_statement_token1] = ACTIONS(2355),
    [aux_sym_close_statement_token1] = ACTIONS(2355),
    [aux_sym_inquire_statement_token1] = ACTIONS(2355),
    [aux_sym_enum_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token2] = ACTIONS(2355),
    [aux_sym_file_position_statement_token3] = ACTIONS(2355),
    [aux_sym_file_position_statement_token4] = ACTIONS(2355),
    [aux_sym_logical_expression_token5] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [aux_sym_boolean_literal_token1] = ACTIONS(2359),
    [aux_sym_boolean_literal_token2] = ACTIONS(2359),
    [aux_sym_null_literal_token1] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2359),
    [sym__float_literal] = ACTIONS(2359),
    [sym__boz_literal] = ACTIONS(2359),
    [sym__string_literal] = ACTIONS(2359),
    [sym__string_literal_kind] = ACTIONS(2359),
  },
  [565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2399),
    [aux_sym_preproc_def_token1] = ACTIONS(2399),
    [aux_sym_preproc_if_token1] = ACTIONS(2399),
    [aux_sym_preproc_if_token2] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2399),
    [sym_preproc_directive] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(2399),
    [sym_preproc_comment] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2399),
    [aux_sym_end_program_statement_token1] = ACTIONS(2399),
    [aux_sym_end_program_statement_token2] = ACTIONS(2399),
    [aux_sym_module_statement_token1] = ACTIONS(2399),
    [aux_sym_submodule_statement_token1] = ACTIONS(2399),
    [aux_sym_interface_statement_token1] = ACTIONS(2399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2399),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2399),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2399),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2399),
    [aux_sym_function_statement_token1] = ACTIONS(2399),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2399),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2399),
    [aux_sym_contains_statement_token1] = ACTIONS(2399),
    [aux_sym_use_statement_token1] = ACTIONS(2399),
    [aux_sym_use_statement_token2] = ACTIONS(2399),
    [aux_sym_implicit_statement_token1] = ACTIONS(2399),
    [aux_sym_implicit_statement_token3] = ACTIONS(2399),
    [aux_sym_implicit_statement_token4] = ACTIONS(2399),
    [aux_sym_save_statement_token1] = ACTIONS(2399),
    [aux_sym_private_statement_token1] = ACTIONS(2399),
    [aux_sym_public_statement_token1] = ACTIONS(2399),
    [aux_sym_namelist_statement_token1] = ACTIONS(2399),
    [aux_sym_common_statement_token1] = ACTIONS(2399),
    [aux_sym_import_statement_token1] = ACTIONS(2399),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2399),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2399),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2399),
    [aux_sym_variable_attributes_token1] = ACTIONS(2399),
    [aux_sym_variable_attributes_token2] = ACTIONS(2399),
    [aux_sym_variable_attributes_token3] = ACTIONS(2399),
    [aux_sym_variable_attributes_token4] = ACTIONS(2399),
    [aux_sym_variable_attributes_token5] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2399),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2399),
    [aux_sym_derived_type_token1] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2399),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2399),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2399),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2399),
    [aux_sym_stop_statement_token1] = ACTIONS(2399),
    [aux_sym_stop_statement_token2] = ACTIONS(2399),
    [aux_sym_subroutine_call_token1] = ACTIONS(2399),
    [aux_sym_keyword_statement_token1] = ACTIONS(2399),
    [aux_sym_keyword_statement_token2] = ACTIONS(2399),
    [aux_sym_keyword_statement_token3] = ACTIONS(2399),
    [aux_sym_keyword_statement_token4] = ACTIONS(2399),
    [aux_sym_keyword_statement_token6] = ACTIONS(2399),
    [aux_sym_keyword_statement_token7] = ACTIONS(2399),
    [aux_sym_include_statement_token1] = ACTIONS(2399),
    [aux_sym_data_statement_token1] = ACTIONS(2399),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2399),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2399),
    [aux_sym_end_if_statement_token1] = ACTIONS(2399),
    [aux_sym_elseif_clause_token2] = ACTIONS(2399),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2399),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2399),
    [aux_sym_select_case_statement_token1] = ACTIONS(2399),
    [aux_sym_select_case_statement_token3] = ACTIONS(2399),
    [aux_sym_select_type_statement_token1] = ACTIONS(2399),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2399),
    [aux_sym_block_construct_token1] = ACTIONS(2399),
    [aux_sym_associate_statement_token1] = ACTIONS(2399),
    [aux_sym_format_statement_token1] = ACTIONS(2399),
    [aux_sym_print_statement_token1] = ACTIONS(2399),
    [aux_sym_open_statement_token1] = ACTIONS(2399),
    [aux_sym_close_statement_token1] = ACTIONS(2399),
    [aux_sym_inquire_statement_token1] = ACTIONS(2399),
    [aux_sym_enum_statement_token1] = ACTIONS(2399),
    [aux_sym_file_position_statement_token1] = ACTIONS(2399),
    [aux_sym_file_position_statement_token2] = ACTIONS(2399),
    [aux_sym_file_position_statement_token3] = ACTIONS(2399),
    [aux_sym_file_position_statement_token4] = ACTIONS(2399),
    [aux_sym_logical_expression_token5] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2399),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [aux_sym_boolean_literal_token1] = ACTIONS(2403),
    [aux_sym_boolean_literal_token2] = ACTIONS(2403),
    [aux_sym_null_literal_token1] = ACTIONS(2399),
    [aux_sym_identifier_token1] = ACTIONS(2399),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2403),
    [sym__float_literal] = ACTIONS(2403),
    [sym__boz_literal] = ACTIONS(2403),
    [sym__string_literal] = ACTIONS(2403),
    [sym__string_literal_kind] = ACTIONS(2403),
  },
  [566] = {
    [sym__statements] = STATE(5692),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5692),
    [sym_assignment_statement] = STATE(5692),
    [sym_pointer_association_statement] = STATE(5692),
    [sym_subroutine_call] = STATE(5692),
    [sym_keyword_statement] = STATE(5692),
    [sym_include_statement] = STATE(5692),
    [sym_do_loop_statement] = STATE(5692),
    [sym_do_label_statement] = STATE(5692),
    [sym_end_do_label_statement] = STATE(5692),
    [sym_if_statement] = STATE(5692),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5692),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5692),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5692),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(6086),
    [sym_select_case_statement] = STATE(5692),
    [sym_select_type_statement] = STATE(5692),
    [sym_select_rank_statement] = STATE(5692),
    [sym_block_construct] = STATE(5692),
    [sym_associate_statement] = STATE(5692),
    [sym_format_statement] = STATE(5692),
    [sym_read_statement] = STATE(5692),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5692),
    [sym_open_statement] = STATE(5692),
    [sym_close_statement] = STATE(5692),
    [sym_write_statement] = STATE(5692),
    [sym_inquire_statement] = STATE(5692),
    [sym_file_position_statement] = STATE(5692),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2695),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [567] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(6075),
    [sym_preproc_elif_in_module] = STATE(6075),
    [sym_preproc_elifdef_in_module] = STATE(6075),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4119),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2701),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(2359),
    [aux_sym_preproc_include_token1] = ACTIONS(2355),
    [aux_sym_preproc_def_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2355),
    [sym_preproc_comment] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token2] = ACTIONS(2355),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2355),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2355),
    [aux_sym_contains_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token2] = ACTIONS(2355),
    [aux_sym_implicit_statement_token1] = ACTIONS(2355),
    [aux_sym_implicit_statement_token3] = ACTIONS(2355),
    [aux_sym_implicit_statement_token4] = ACTIONS(2355),
    [aux_sym_save_statement_token1] = ACTIONS(2355),
    [aux_sym_private_statement_token1] = ACTIONS(2355),
    [aux_sym_public_statement_token1] = ACTIONS(2355),
    [aux_sym_namelist_statement_token1] = ACTIONS(2355),
    [aux_sym_common_statement_token1] = ACTIONS(2355),
    [aux_sym_import_statement_token1] = ACTIONS(2355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2355),
    [aux_sym_variable_attributes_token1] = ACTIONS(2355),
    [aux_sym_variable_attributes_token2] = ACTIONS(2355),
    [aux_sym_variable_attributes_token3] = ACTIONS(2355),
    [aux_sym_variable_attributes_token4] = ACTIONS(2355),
    [aux_sym_variable_attributes_token5] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2355),
    [aux_sym_derived_type_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token2] = ACTIONS(2355),
    [aux_sym_subroutine_call_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token2] = ACTIONS(2355),
    [aux_sym_keyword_statement_token3] = ACTIONS(2355),
    [aux_sym_keyword_statement_token4] = ACTIONS(2355),
    [aux_sym_keyword_statement_token6] = ACTIONS(2355),
    [aux_sym_keyword_statement_token7] = ACTIONS(2355),
    [aux_sym_include_statement_token1] = ACTIONS(2355),
    [aux_sym_data_statement_token1] = ACTIONS(2355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2355),
    [aux_sym_end_if_statement_token1] = ACTIONS(2355),
    [aux_sym_elseif_clause_token2] = ACTIONS(2355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token3] = ACTIONS(2355),
    [aux_sym_select_type_statement_token1] = ACTIONS(2355),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2355),
    [aux_sym_block_construct_token1] = ACTIONS(2355),
    [aux_sym_associate_statement_token1] = ACTIONS(2355),
    [aux_sym_format_statement_token1] = ACTIONS(2355),
    [aux_sym_print_statement_token1] = ACTIONS(2355),
    [aux_sym_open_statement_token1] = ACTIONS(2355),
    [aux_sym_close_statement_token1] = ACTIONS(2355),
    [aux_sym_inquire_statement_token1] = ACTIONS(2355),
    [aux_sym_enum_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token2] = ACTIONS(2355),
    [aux_sym_file_position_statement_token3] = ACTIONS(2355),
    [aux_sym_file_position_statement_token4] = ACTIONS(2355),
    [aux_sym_logical_expression_token5] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [aux_sym_boolean_literal_token1] = ACTIONS(2359),
    [aux_sym_boolean_literal_token2] = ACTIONS(2359),
    [aux_sym_null_literal_token1] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2359),
    [sym__float_literal] = ACTIONS(2359),
    [sym__boz_literal] = ACTIONS(2359),
    [sym__string_literal] = ACTIONS(2359),
    [sym__string_literal_kind] = ACTIONS(2359),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(2327),
    [aux_sym_preproc_include_token1] = ACTIONS(2323),
    [aux_sym_preproc_def_token1] = ACTIONS(2323),
    [aux_sym_preproc_if_token1] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2323),
    [anon_sym_LPAREN2] = ACTIONS(2323),
    [sym_preproc_comment] = ACTIONS(2705),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2323),
    [aux_sym_end_program_statement_token1] = ACTIONS(2323),
    [aux_sym_end_program_statement_token2] = ACTIONS(2323),
    [aux_sym_module_statement_token1] = ACTIONS(2323),
    [aux_sym_submodule_statement_token1] = ACTIONS(2323),
    [aux_sym_interface_statement_token1] = ACTIONS(2323),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2323),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2323),
    [aux_sym_function_statement_token1] = ACTIONS(2323),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2323),
    [aux_sym_contains_statement_token1] = ACTIONS(2323),
    [aux_sym_use_statement_token1] = ACTIONS(2323),
    [aux_sym_use_statement_token2] = ACTIONS(2323),
    [aux_sym_implicit_statement_token1] = ACTIONS(2323),
    [aux_sym_implicit_statement_token3] = ACTIONS(2323),
    [aux_sym_implicit_statement_token4] = ACTIONS(2323),
    [aux_sym_save_statement_token1] = ACTIONS(2323),
    [aux_sym_private_statement_token1] = ACTIONS(2323),
    [aux_sym_public_statement_token1] = ACTIONS(2323),
    [aux_sym_namelist_statement_token1] = ACTIONS(2323),
    [aux_sym_common_statement_token1] = ACTIONS(2323),
    [aux_sym_import_statement_token1] = ACTIONS(2323),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2323),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2323),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2323),
    [aux_sym_variable_attributes_token1] = ACTIONS(2323),
    [aux_sym_variable_attributes_token2] = ACTIONS(2323),
    [aux_sym_variable_attributes_token3] = ACTIONS(2323),
    [aux_sym_variable_attributes_token4] = ACTIONS(2323),
    [aux_sym_variable_attributes_token5] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2323),
    [aux_sym_derived_type_token1] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2323),
    [aux_sym_stop_statement_token1] = ACTIONS(2323),
    [aux_sym_stop_statement_token2] = ACTIONS(2323),
    [aux_sym_subroutine_call_token1] = ACTIONS(2323),
    [aux_sym_keyword_statement_token1] = ACTIONS(2323),
    [aux_sym_keyword_statement_token2] = ACTIONS(2323),
    [aux_sym_keyword_statement_token3] = ACTIONS(2323),
    [aux_sym_keyword_statement_token4] = ACTIONS(2323),
    [aux_sym_keyword_statement_token6] = ACTIONS(2323),
    [aux_sym_keyword_statement_token7] = ACTIONS(2323),
    [aux_sym_include_statement_token1] = ACTIONS(2323),
    [aux_sym_data_statement_token1] = ACTIONS(2323),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2323),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2323),
    [aux_sym_end_if_statement_token1] = ACTIONS(2323),
    [aux_sym_elseif_clause_token2] = ACTIONS(2323),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2323),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2323),
    [aux_sym_select_case_statement_token1] = ACTIONS(2323),
    [aux_sym_select_case_statement_token3] = ACTIONS(2323),
    [aux_sym_select_type_statement_token1] = ACTIONS(2323),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2323),
    [aux_sym_block_construct_token1] = ACTIONS(2323),
    [aux_sym_associate_statement_token1] = ACTIONS(2323),
    [aux_sym_format_statement_token1] = ACTIONS(2323),
    [aux_sym_print_statement_token1] = ACTIONS(2323),
    [aux_sym_open_statement_token1] = ACTIONS(2323),
    [aux_sym_close_statement_token1] = ACTIONS(2323),
    [aux_sym_inquire_statement_token1] = ACTIONS(2323),
    [aux_sym_enum_statement_token1] = ACTIONS(2323),
    [aux_sym_file_position_statement_token1] = ACTIONS(2323),
    [aux_sym_file_position_statement_token2] = ACTIONS(2323),
    [aux_sym_file_position_statement_token3] = ACTIONS(2323),
    [aux_sym_file_position_statement_token4] = ACTIONS(2323),
    [aux_sym_logical_expression_token5] = ACTIONS(2327),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [aux_sym_boolean_literal_token1] = ACTIONS(2327),
    [aux_sym_boolean_literal_token2] = ACTIONS(2327),
    [aux_sym_null_literal_token1] = ACTIONS(2323),
    [aux_sym_identifier_token1] = ACTIONS(2323),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2327),
    [sym__float_literal] = ACTIONS(2327),
    [sym__boz_literal] = ACTIONS(2327),
    [sym__string_literal] = ACTIONS(2327),
    [sym__string_literal_kind] = ACTIONS(2327),
  },
  [570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2323),
    [aux_sym_preproc_def_token1] = ACTIONS(2323),
    [aux_sym_preproc_if_token1] = ACTIONS(2323),
    [aux_sym_preproc_if_token2] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2323),
    [sym_preproc_directive] = ACTIONS(2323),
    [anon_sym_LPAREN2] = ACTIONS(2323),
    [sym_preproc_comment] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2323),
    [aux_sym_end_program_statement_token1] = ACTIONS(2323),
    [aux_sym_end_program_statement_token2] = ACTIONS(2323),
    [aux_sym_module_statement_token1] = ACTIONS(2323),
    [aux_sym_submodule_statement_token1] = ACTIONS(2323),
    [aux_sym_interface_statement_token1] = ACTIONS(2323),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2323),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2323),
    [aux_sym_function_statement_token1] = ACTIONS(2323),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2323),
    [aux_sym_contains_statement_token1] = ACTIONS(2323),
    [aux_sym_use_statement_token1] = ACTIONS(2323),
    [aux_sym_use_statement_token2] = ACTIONS(2323),
    [aux_sym_implicit_statement_token1] = ACTIONS(2323),
    [aux_sym_implicit_statement_token3] = ACTIONS(2323),
    [aux_sym_implicit_statement_token4] = ACTIONS(2323),
    [aux_sym_save_statement_token1] = ACTIONS(2323),
    [aux_sym_private_statement_token1] = ACTIONS(2323),
    [aux_sym_public_statement_token1] = ACTIONS(2323),
    [aux_sym_namelist_statement_token1] = ACTIONS(2323),
    [aux_sym_common_statement_token1] = ACTIONS(2323),
    [aux_sym_import_statement_token1] = ACTIONS(2323),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2323),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2323),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2323),
    [aux_sym_variable_attributes_token1] = ACTIONS(2323),
    [aux_sym_variable_attributes_token2] = ACTIONS(2323),
    [aux_sym_variable_attributes_token3] = ACTIONS(2323),
    [aux_sym_variable_attributes_token4] = ACTIONS(2323),
    [aux_sym_variable_attributes_token5] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2323),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2323),
    [aux_sym_derived_type_token1] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2323),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2323),
    [aux_sym_stop_statement_token1] = ACTIONS(2323),
    [aux_sym_stop_statement_token2] = ACTIONS(2323),
    [aux_sym_subroutine_call_token1] = ACTIONS(2323),
    [aux_sym_keyword_statement_token1] = ACTIONS(2323),
    [aux_sym_keyword_statement_token2] = ACTIONS(2323),
    [aux_sym_keyword_statement_token3] = ACTIONS(2323),
    [aux_sym_keyword_statement_token4] = ACTIONS(2323),
    [aux_sym_keyword_statement_token6] = ACTIONS(2323),
    [aux_sym_keyword_statement_token7] = ACTIONS(2323),
    [aux_sym_include_statement_token1] = ACTIONS(2323),
    [aux_sym_data_statement_token1] = ACTIONS(2323),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2323),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2323),
    [aux_sym_end_if_statement_token1] = ACTIONS(2323),
    [aux_sym_elseif_clause_token2] = ACTIONS(2323),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2323),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2323),
    [aux_sym_select_case_statement_token1] = ACTIONS(2323),
    [aux_sym_select_case_statement_token3] = ACTIONS(2323),
    [aux_sym_select_type_statement_token1] = ACTIONS(2323),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2323),
    [aux_sym_block_construct_token1] = ACTIONS(2323),
    [aux_sym_associate_statement_token1] = ACTIONS(2323),
    [aux_sym_format_statement_token1] = ACTIONS(2323),
    [aux_sym_print_statement_token1] = ACTIONS(2323),
    [aux_sym_open_statement_token1] = ACTIONS(2323),
    [aux_sym_close_statement_token1] = ACTIONS(2323),
    [aux_sym_inquire_statement_token1] = ACTIONS(2323),
    [aux_sym_enum_statement_token1] = ACTIONS(2323),
    [aux_sym_file_position_statement_token1] = ACTIONS(2323),
    [aux_sym_file_position_statement_token2] = ACTIONS(2323),
    [aux_sym_file_position_statement_token3] = ACTIONS(2323),
    [aux_sym_file_position_statement_token4] = ACTIONS(2323),
    [aux_sym_logical_expression_token5] = ACTIONS(2327),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(2327),
    [aux_sym_boolean_literal_token1] = ACTIONS(2327),
    [aux_sym_boolean_literal_token2] = ACTIONS(2327),
    [aux_sym_null_literal_token1] = ACTIONS(2323),
    [aux_sym_identifier_token1] = ACTIONS(2323),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2327),
    [sym__float_literal] = ACTIONS(2327),
    [sym__boz_literal] = ACTIONS(2327),
    [sym__string_literal] = ACTIONS(2327),
    [sym__string_literal_kind] = ACTIONS(2327),
  },
  [571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token2] = ACTIONS(2331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2331),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_end_program_statement_token2] = ACTIONS(2329),
    [aux_sym_module_statement_token1] = ACTIONS(2331),
    [aux_sym_submodule_statement_token1] = ACTIONS(2331),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2331),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_function_statement_token1] = ACTIONS(2331),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2331),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(2383),
    [aux_sym_preproc_include_token1] = ACTIONS(2379),
    [aux_sym_preproc_def_token1] = ACTIONS(2379),
    [aux_sym_preproc_if_token1] = ACTIONS(2379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2379),
    [sym_preproc_directive] = ACTIONS(2379),
    [anon_sym_LPAREN2] = ACTIONS(2379),
    [sym_preproc_comment] = ACTIONS(2711),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2379),
    [aux_sym_end_program_statement_token1] = ACTIONS(2379),
    [aux_sym_end_program_statement_token2] = ACTIONS(2379),
    [aux_sym_module_statement_token1] = ACTIONS(2379),
    [aux_sym_submodule_statement_token1] = ACTIONS(2379),
    [aux_sym_interface_statement_token1] = ACTIONS(2379),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2379),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2379),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2379),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2379),
    [aux_sym_function_statement_token1] = ACTIONS(2379),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2379),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2379),
    [aux_sym_contains_statement_token1] = ACTIONS(2379),
    [aux_sym_use_statement_token1] = ACTIONS(2379),
    [aux_sym_use_statement_token2] = ACTIONS(2379),
    [aux_sym_implicit_statement_token1] = ACTIONS(2379),
    [aux_sym_implicit_statement_token3] = ACTIONS(2379),
    [aux_sym_implicit_statement_token4] = ACTIONS(2379),
    [aux_sym_save_statement_token1] = ACTIONS(2379),
    [aux_sym_private_statement_token1] = ACTIONS(2379),
    [aux_sym_public_statement_token1] = ACTIONS(2379),
    [aux_sym_namelist_statement_token1] = ACTIONS(2379),
    [aux_sym_common_statement_token1] = ACTIONS(2379),
    [aux_sym_import_statement_token1] = ACTIONS(2379),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2379),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2379),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2379),
    [aux_sym_variable_attributes_token1] = ACTIONS(2379),
    [aux_sym_variable_attributes_token2] = ACTIONS(2379),
    [aux_sym_variable_attributes_token3] = ACTIONS(2379),
    [aux_sym_variable_attributes_token4] = ACTIONS(2379),
    [aux_sym_variable_attributes_token5] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2379),
    [aux_sym_derived_type_token1] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2379),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2379),
    [aux_sym_stop_statement_token1] = ACTIONS(2379),
    [aux_sym_stop_statement_token2] = ACTIONS(2379),
    [aux_sym_subroutine_call_token1] = ACTIONS(2379),
    [aux_sym_keyword_statement_token1] = ACTIONS(2379),
    [aux_sym_keyword_statement_token2] = ACTIONS(2379),
    [aux_sym_keyword_statement_token3] = ACTIONS(2379),
    [aux_sym_keyword_statement_token4] = ACTIONS(2379),
    [aux_sym_keyword_statement_token6] = ACTIONS(2379),
    [aux_sym_keyword_statement_token7] = ACTIONS(2379),
    [aux_sym_include_statement_token1] = ACTIONS(2379),
    [aux_sym_data_statement_token1] = ACTIONS(2379),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2379),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2379),
    [aux_sym_end_if_statement_token1] = ACTIONS(2379),
    [aux_sym_elseif_clause_token2] = ACTIONS(2379),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2379),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2379),
    [aux_sym_select_case_statement_token1] = ACTIONS(2379),
    [aux_sym_select_case_statement_token3] = ACTIONS(2379),
    [aux_sym_select_type_statement_token1] = ACTIONS(2379),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2379),
    [aux_sym_block_construct_token1] = ACTIONS(2379),
    [aux_sym_associate_statement_token1] = ACTIONS(2379),
    [aux_sym_format_statement_token1] = ACTIONS(2379),
    [aux_sym_print_statement_token1] = ACTIONS(2379),
    [aux_sym_open_statement_token1] = ACTIONS(2379),
    [aux_sym_close_statement_token1] = ACTIONS(2379),
    [aux_sym_inquire_statement_token1] = ACTIONS(2379),
    [aux_sym_enum_statement_token1] = ACTIONS(2379),
    [aux_sym_file_position_statement_token1] = ACTIONS(2379),
    [aux_sym_file_position_statement_token2] = ACTIONS(2379),
    [aux_sym_file_position_statement_token3] = ACTIONS(2379),
    [aux_sym_file_position_statement_token4] = ACTIONS(2379),
    [aux_sym_logical_expression_token5] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [aux_sym_boolean_literal_token1] = ACTIONS(2383),
    [aux_sym_boolean_literal_token2] = ACTIONS(2383),
    [aux_sym_null_literal_token1] = ACTIONS(2379),
    [aux_sym_identifier_token1] = ACTIONS(2379),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2383),
    [sym__float_literal] = ACTIONS(2383),
    [sym__boz_literal] = ACTIONS(2383),
    [sym__string_literal] = ACTIONS(2383),
    [sym__string_literal_kind] = ACTIONS(2383),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(2713),
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2345),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_end_program_statement_token2] = ACTIONS(2343),
    [aux_sym_module_statement_token1] = ACTIONS(2345),
    [aux_sym_submodule_statement_token1] = ACTIONS(2345),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2345),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_function_statement_token1] = ACTIONS(2345),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2345),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(2315),
    [aux_sym_preproc_include_token1] = ACTIONS(2311),
    [aux_sym_preproc_def_token1] = ACTIONS(2311),
    [aux_sym_preproc_if_token1] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2311),
    [sym_preproc_directive] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [sym_preproc_comment] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2311),
    [aux_sym_end_program_statement_token1] = ACTIONS(2311),
    [aux_sym_end_program_statement_token2] = ACTIONS(2311),
    [aux_sym_module_statement_token1] = ACTIONS(2311),
    [aux_sym_submodule_statement_token1] = ACTIONS(2311),
    [aux_sym_interface_statement_token1] = ACTIONS(2311),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2311),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2311),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2311),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2311),
    [aux_sym_function_statement_token1] = ACTIONS(2311),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2311),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2311),
    [aux_sym_contains_statement_token1] = ACTIONS(2311),
    [aux_sym_use_statement_token1] = ACTIONS(2311),
    [aux_sym_use_statement_token2] = ACTIONS(2311),
    [aux_sym_implicit_statement_token1] = ACTIONS(2311),
    [aux_sym_implicit_statement_token3] = ACTIONS(2311),
    [aux_sym_implicit_statement_token4] = ACTIONS(2311),
    [aux_sym_save_statement_token1] = ACTIONS(2311),
    [aux_sym_private_statement_token1] = ACTIONS(2311),
    [aux_sym_public_statement_token1] = ACTIONS(2311),
    [aux_sym_namelist_statement_token1] = ACTIONS(2311),
    [aux_sym_common_statement_token1] = ACTIONS(2311),
    [aux_sym_import_statement_token1] = ACTIONS(2311),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2311),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2311),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2311),
    [aux_sym_variable_attributes_token1] = ACTIONS(2311),
    [aux_sym_variable_attributes_token2] = ACTIONS(2311),
    [aux_sym_variable_attributes_token3] = ACTIONS(2311),
    [aux_sym_variable_attributes_token4] = ACTIONS(2311),
    [aux_sym_variable_attributes_token5] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2311),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2311),
    [aux_sym_derived_type_token1] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2311),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2311),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2311),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2311),
    [aux_sym_stop_statement_token1] = ACTIONS(2311),
    [aux_sym_stop_statement_token2] = ACTIONS(2311),
    [aux_sym_subroutine_call_token1] = ACTIONS(2311),
    [aux_sym_keyword_statement_token1] = ACTIONS(2311),
    [aux_sym_keyword_statement_token2] = ACTIONS(2311),
    [aux_sym_keyword_statement_token3] = ACTIONS(2311),
    [aux_sym_keyword_statement_token4] = ACTIONS(2311),
    [aux_sym_keyword_statement_token6] = ACTIONS(2311),
    [aux_sym_keyword_statement_token7] = ACTIONS(2311),
    [aux_sym_include_statement_token1] = ACTIONS(2311),
    [aux_sym_data_statement_token1] = ACTIONS(2311),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2311),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2311),
    [aux_sym_end_if_statement_token1] = ACTIONS(2311),
    [aux_sym_elseif_clause_token2] = ACTIONS(2311),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2311),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2311),
    [aux_sym_select_case_statement_token1] = ACTIONS(2311),
    [aux_sym_select_case_statement_token3] = ACTIONS(2311),
    [aux_sym_select_type_statement_token1] = ACTIONS(2311),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2311),
    [aux_sym_block_construct_token1] = ACTIONS(2311),
    [aux_sym_associate_statement_token1] = ACTIONS(2311),
    [aux_sym_format_statement_token1] = ACTIONS(2311),
    [aux_sym_print_statement_token1] = ACTIONS(2311),
    [aux_sym_open_statement_token1] = ACTIONS(2311),
    [aux_sym_close_statement_token1] = ACTIONS(2311),
    [aux_sym_inquire_statement_token1] = ACTIONS(2311),
    [aux_sym_enum_statement_token1] = ACTIONS(2311),
    [aux_sym_file_position_statement_token1] = ACTIONS(2311),
    [aux_sym_file_position_statement_token2] = ACTIONS(2311),
    [aux_sym_file_position_statement_token3] = ACTIONS(2311),
    [aux_sym_file_position_statement_token4] = ACTIONS(2311),
    [aux_sym_logical_expression_token5] = ACTIONS(2315),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2315),
    [aux_sym_boolean_literal_token1] = ACTIONS(2315),
    [aux_sym_boolean_literal_token2] = ACTIONS(2315),
    [aux_sym_null_literal_token1] = ACTIONS(2311),
    [aux_sym_identifier_token1] = ACTIONS(2311),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2315),
    [sym__float_literal] = ACTIONS(2315),
    [sym__boz_literal] = ACTIONS(2315),
    [sym__string_literal] = ACTIONS(2315),
    [sym__string_literal_kind] = ACTIONS(2315),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(2371),
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [576] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(6156),
    [sym_preproc_elif_in_module] = STATE(6156),
    [sym_preproc_elifdef_in_module] = STATE(6156),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4100),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2721),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [577] = {
    [sym__statements] = STATE(5692),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5692),
    [sym_assignment_statement] = STATE(5692),
    [sym_pointer_association_statement] = STATE(5692),
    [sym_subroutine_call] = STATE(5692),
    [sym_keyword_statement] = STATE(5692),
    [sym_include_statement] = STATE(5692),
    [sym_do_loop_statement] = STATE(5692),
    [sym_do_label_statement] = STATE(5692),
    [sym_end_do_label_statement] = STATE(5692),
    [sym_if_statement] = STATE(5692),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5692),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5692),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5692),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(5615),
    [sym_select_case_statement] = STATE(5692),
    [sym_select_type_statement] = STATE(5692),
    [sym_select_rank_statement] = STATE(5692),
    [sym_block_construct] = STATE(5692),
    [sym_associate_statement] = STATE(5692),
    [sym_format_statement] = STATE(5692),
    [sym_read_statement] = STATE(5692),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5692),
    [sym_open_statement] = STATE(5692),
    [sym_close_statement] = STATE(5692),
    [sym_write_statement] = STATE(5692),
    [sym_inquire_statement] = STATE(5692),
    [sym_file_position_statement] = STATE(5692),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2695),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [578] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5124),
    [sym_preproc_elif_in_module] = STATE(5124),
    [sym_preproc_elifdef_in_module] = STATE(5124),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4070),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2723),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2393),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token2] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(2393),
    [sym_preproc_comment] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token2] = ACTIONS(2393),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2393),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2393),
    [aux_sym_contains_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token2] = ACTIONS(2393),
    [aux_sym_implicit_statement_token1] = ACTIONS(2393),
    [aux_sym_implicit_statement_token3] = ACTIONS(2393),
    [aux_sym_implicit_statement_token4] = ACTIONS(2393),
    [aux_sym_save_statement_token1] = ACTIONS(2393),
    [aux_sym_private_statement_token1] = ACTIONS(2393),
    [aux_sym_public_statement_token1] = ACTIONS(2393),
    [aux_sym_namelist_statement_token1] = ACTIONS(2393),
    [aux_sym_common_statement_token1] = ACTIONS(2393),
    [aux_sym_import_statement_token1] = ACTIONS(2393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2393),
    [aux_sym_variable_attributes_token1] = ACTIONS(2393),
    [aux_sym_variable_attributes_token2] = ACTIONS(2393),
    [aux_sym_variable_attributes_token3] = ACTIONS(2393),
    [aux_sym_variable_attributes_token4] = ACTIONS(2393),
    [aux_sym_variable_attributes_token5] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2393),
    [aux_sym_derived_type_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token2] = ACTIONS(2393),
    [aux_sym_subroutine_call_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token2] = ACTIONS(2393),
    [aux_sym_keyword_statement_token3] = ACTIONS(2393),
    [aux_sym_keyword_statement_token4] = ACTIONS(2393),
    [aux_sym_keyword_statement_token6] = ACTIONS(2393),
    [aux_sym_keyword_statement_token7] = ACTIONS(2393),
    [aux_sym_include_statement_token1] = ACTIONS(2393),
    [aux_sym_data_statement_token1] = ACTIONS(2393),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2393),
    [aux_sym_end_if_statement_token1] = ACTIONS(2393),
    [aux_sym_elseif_clause_token2] = ACTIONS(2393),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2393),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token3] = ACTIONS(2393),
    [aux_sym_select_type_statement_token1] = ACTIONS(2393),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2393),
    [aux_sym_block_construct_token1] = ACTIONS(2393),
    [aux_sym_associate_statement_token1] = ACTIONS(2393),
    [aux_sym_format_statement_token1] = ACTIONS(2393),
    [aux_sym_print_statement_token1] = ACTIONS(2393),
    [aux_sym_open_statement_token1] = ACTIONS(2393),
    [aux_sym_close_statement_token1] = ACTIONS(2393),
    [aux_sym_inquire_statement_token1] = ACTIONS(2393),
    [aux_sym_enum_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token2] = ACTIONS(2393),
    [aux_sym_file_position_statement_token3] = ACTIONS(2393),
    [aux_sym_file_position_statement_token4] = ACTIONS(2393),
    [aux_sym_logical_expression_token5] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [aux_sym_boolean_literal_token1] = ACTIONS(2397),
    [aux_sym_boolean_literal_token2] = ACTIONS(2397),
    [aux_sym_null_literal_token1] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2397),
    [sym__float_literal] = ACTIONS(2397),
    [sym__boz_literal] = ACTIONS(2397),
    [sym__string_literal] = ACTIONS(2397),
    [sym__string_literal_kind] = ACTIONS(2397),
  },
  [580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2379),
    [aux_sym_preproc_def_token1] = ACTIONS(2379),
    [aux_sym_preproc_if_token1] = ACTIONS(2379),
    [aux_sym_preproc_if_token2] = ACTIONS(2379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2379),
    [sym_preproc_directive] = ACTIONS(2379),
    [anon_sym_LPAREN2] = ACTIONS(2379),
    [sym_preproc_comment] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2383),
    [anon_sym_DASH] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2379),
    [aux_sym_end_program_statement_token1] = ACTIONS(2379),
    [aux_sym_end_program_statement_token2] = ACTIONS(2379),
    [aux_sym_module_statement_token1] = ACTIONS(2379),
    [aux_sym_submodule_statement_token1] = ACTIONS(2379),
    [aux_sym_interface_statement_token1] = ACTIONS(2379),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2379),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2379),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2379),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2379),
    [aux_sym_function_statement_token1] = ACTIONS(2379),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2379),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2379),
    [aux_sym_contains_statement_token1] = ACTIONS(2379),
    [aux_sym_use_statement_token1] = ACTIONS(2379),
    [aux_sym_use_statement_token2] = ACTIONS(2379),
    [aux_sym_implicit_statement_token1] = ACTIONS(2379),
    [aux_sym_implicit_statement_token3] = ACTIONS(2379),
    [aux_sym_implicit_statement_token4] = ACTIONS(2379),
    [aux_sym_save_statement_token1] = ACTIONS(2379),
    [aux_sym_private_statement_token1] = ACTIONS(2379),
    [aux_sym_public_statement_token1] = ACTIONS(2379),
    [aux_sym_namelist_statement_token1] = ACTIONS(2379),
    [aux_sym_common_statement_token1] = ACTIONS(2379),
    [aux_sym_import_statement_token1] = ACTIONS(2379),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2379),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2379),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2379),
    [aux_sym_variable_attributes_token1] = ACTIONS(2379),
    [aux_sym_variable_attributes_token2] = ACTIONS(2379),
    [aux_sym_variable_attributes_token3] = ACTIONS(2379),
    [aux_sym_variable_attributes_token4] = ACTIONS(2379),
    [aux_sym_variable_attributes_token5] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2379),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2379),
    [aux_sym_derived_type_token1] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2379),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2379),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2379),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2379),
    [aux_sym_stop_statement_token1] = ACTIONS(2379),
    [aux_sym_stop_statement_token2] = ACTIONS(2379),
    [aux_sym_subroutine_call_token1] = ACTIONS(2379),
    [aux_sym_keyword_statement_token1] = ACTIONS(2379),
    [aux_sym_keyword_statement_token2] = ACTIONS(2379),
    [aux_sym_keyword_statement_token3] = ACTIONS(2379),
    [aux_sym_keyword_statement_token4] = ACTIONS(2379),
    [aux_sym_keyword_statement_token6] = ACTIONS(2379),
    [aux_sym_keyword_statement_token7] = ACTIONS(2379),
    [aux_sym_include_statement_token1] = ACTIONS(2379),
    [aux_sym_data_statement_token1] = ACTIONS(2379),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2379),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2379),
    [aux_sym_end_if_statement_token1] = ACTIONS(2379),
    [aux_sym_elseif_clause_token2] = ACTIONS(2379),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2379),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2379),
    [aux_sym_select_case_statement_token1] = ACTIONS(2379),
    [aux_sym_select_case_statement_token3] = ACTIONS(2379),
    [aux_sym_select_type_statement_token1] = ACTIONS(2379),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2379),
    [aux_sym_block_construct_token1] = ACTIONS(2379),
    [aux_sym_associate_statement_token1] = ACTIONS(2379),
    [aux_sym_format_statement_token1] = ACTIONS(2379),
    [aux_sym_print_statement_token1] = ACTIONS(2379),
    [aux_sym_open_statement_token1] = ACTIONS(2379),
    [aux_sym_close_statement_token1] = ACTIONS(2379),
    [aux_sym_inquire_statement_token1] = ACTIONS(2379),
    [aux_sym_enum_statement_token1] = ACTIONS(2379),
    [aux_sym_file_position_statement_token1] = ACTIONS(2379),
    [aux_sym_file_position_statement_token2] = ACTIONS(2379),
    [aux_sym_file_position_statement_token3] = ACTIONS(2379),
    [aux_sym_file_position_statement_token4] = ACTIONS(2379),
    [aux_sym_logical_expression_token5] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [aux_sym_boolean_literal_token1] = ACTIONS(2383),
    [aux_sym_boolean_literal_token2] = ACTIONS(2383),
    [aux_sym_null_literal_token1] = ACTIONS(2379),
    [aux_sym_identifier_token1] = ACTIONS(2379),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2383),
    [sym__float_literal] = ACTIONS(2383),
    [sym__boz_literal] = ACTIONS(2383),
    [sym__string_literal] = ACTIONS(2383),
    [sym__string_literal_kind] = ACTIONS(2383),
  },
  [581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token2] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2367),
    [aux_sym_preproc_def_token1] = ACTIONS(2367),
    [aux_sym_preproc_if_token1] = ACTIONS(2367),
    [aux_sym_preproc_if_token2] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2367),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(2367),
    [sym_preproc_comment] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token2] = ACTIONS(2367),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2367),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2367),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2367),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2367),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2367),
    [aux_sym_contains_statement_token1] = ACTIONS(2367),
    [aux_sym_use_statement_token1] = ACTIONS(2367),
    [aux_sym_use_statement_token2] = ACTIONS(2367),
    [aux_sym_implicit_statement_token1] = ACTIONS(2367),
    [aux_sym_implicit_statement_token3] = ACTIONS(2367),
    [aux_sym_implicit_statement_token4] = ACTIONS(2367),
    [aux_sym_save_statement_token1] = ACTIONS(2367),
    [aux_sym_private_statement_token1] = ACTIONS(2367),
    [aux_sym_public_statement_token1] = ACTIONS(2367),
    [aux_sym_namelist_statement_token1] = ACTIONS(2367),
    [aux_sym_common_statement_token1] = ACTIONS(2367),
    [aux_sym_import_statement_token1] = ACTIONS(2367),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2367),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2367),
    [aux_sym_variable_attributes_token1] = ACTIONS(2367),
    [aux_sym_variable_attributes_token2] = ACTIONS(2367),
    [aux_sym_variable_attributes_token3] = ACTIONS(2367),
    [aux_sym_variable_attributes_token4] = ACTIONS(2367),
    [aux_sym_variable_attributes_token5] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2367),
    [aux_sym_derived_type_token1] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2367),
    [aux_sym_stop_statement_token1] = ACTIONS(2367),
    [aux_sym_stop_statement_token2] = ACTIONS(2367),
    [aux_sym_subroutine_call_token1] = ACTIONS(2367),
    [aux_sym_keyword_statement_token1] = ACTIONS(2367),
    [aux_sym_keyword_statement_token2] = ACTIONS(2367),
    [aux_sym_keyword_statement_token3] = ACTIONS(2367),
    [aux_sym_keyword_statement_token4] = ACTIONS(2367),
    [aux_sym_keyword_statement_token6] = ACTIONS(2367),
    [aux_sym_keyword_statement_token7] = ACTIONS(2367),
    [aux_sym_include_statement_token1] = ACTIONS(2367),
    [aux_sym_data_statement_token1] = ACTIONS(2367),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2367),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2367),
    [aux_sym_end_if_statement_token1] = ACTIONS(2367),
    [aux_sym_elseif_clause_token2] = ACTIONS(2367),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2367),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2367),
    [aux_sym_select_case_statement_token1] = ACTIONS(2367),
    [aux_sym_select_case_statement_token3] = ACTIONS(2367),
    [aux_sym_select_type_statement_token1] = ACTIONS(2367),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2367),
    [aux_sym_block_construct_token1] = ACTIONS(2367),
    [aux_sym_associate_statement_token1] = ACTIONS(2367),
    [aux_sym_format_statement_token1] = ACTIONS(2367),
    [aux_sym_print_statement_token1] = ACTIONS(2367),
    [aux_sym_open_statement_token1] = ACTIONS(2367),
    [aux_sym_close_statement_token1] = ACTIONS(2367),
    [aux_sym_inquire_statement_token1] = ACTIONS(2367),
    [aux_sym_enum_statement_token1] = ACTIONS(2367),
    [aux_sym_file_position_statement_token1] = ACTIONS(2367),
    [aux_sym_file_position_statement_token2] = ACTIONS(2367),
    [aux_sym_file_position_statement_token3] = ACTIONS(2367),
    [aux_sym_file_position_statement_token4] = ACTIONS(2367),
    [aux_sym_logical_expression_token5] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(2367),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2371),
    [aux_sym_boolean_literal_token1] = ACTIONS(2371),
    [aux_sym_boolean_literal_token2] = ACTIONS(2371),
    [aux_sym_null_literal_token1] = ACTIONS(2367),
    [aux_sym_identifier_token1] = ACTIONS(2367),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2371),
    [sym__float_literal] = ACTIONS(2371),
    [sym__boz_literal] = ACTIONS(2371),
    [sym__string_literal] = ACTIONS(2371),
    [sym__string_literal_kind] = ACTIONS(2371),
  },
  [583] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token2] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2361),
    [sym_preproc_comment] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2361),
    [aux_sym_end_program_statement_token1] = ACTIONS(2361),
    [aux_sym_end_program_statement_token2] = ACTIONS(2361),
    [aux_sym_module_statement_token1] = ACTIONS(2361),
    [aux_sym_submodule_statement_token1] = ACTIONS(2361),
    [aux_sym_interface_statement_token1] = ACTIONS(2361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2361),
    [aux_sym_function_statement_token1] = ACTIONS(2361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2361),
    [aux_sym_contains_statement_token1] = ACTIONS(2361),
    [aux_sym_use_statement_token1] = ACTIONS(2361),
    [aux_sym_use_statement_token2] = ACTIONS(2361),
    [aux_sym_implicit_statement_token1] = ACTIONS(2361),
    [aux_sym_implicit_statement_token3] = ACTIONS(2361),
    [aux_sym_implicit_statement_token4] = ACTIONS(2361),
    [aux_sym_save_statement_token1] = ACTIONS(2361),
    [aux_sym_private_statement_token1] = ACTIONS(2361),
    [aux_sym_public_statement_token1] = ACTIONS(2361),
    [aux_sym_namelist_statement_token1] = ACTIONS(2361),
    [aux_sym_common_statement_token1] = ACTIONS(2361),
    [aux_sym_import_statement_token1] = ACTIONS(2361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2361),
    [aux_sym_variable_attributes_token1] = ACTIONS(2361),
    [aux_sym_variable_attributes_token2] = ACTIONS(2361),
    [aux_sym_variable_attributes_token3] = ACTIONS(2361),
    [aux_sym_variable_attributes_token4] = ACTIONS(2361),
    [aux_sym_variable_attributes_token5] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2361),
    [aux_sym_derived_type_token1] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2361),
    [aux_sym_stop_statement_token1] = ACTIONS(2361),
    [aux_sym_stop_statement_token2] = ACTIONS(2361),
    [aux_sym_subroutine_call_token1] = ACTIONS(2361),
    [aux_sym_keyword_statement_token1] = ACTIONS(2361),
    [aux_sym_keyword_statement_token2] = ACTIONS(2361),
    [aux_sym_keyword_statement_token3] = ACTIONS(2361),
    [aux_sym_keyword_statement_token4] = ACTIONS(2361),
    [aux_sym_keyword_statement_token6] = ACTIONS(2361),
    [aux_sym_keyword_statement_token7] = ACTIONS(2361),
    [aux_sym_include_statement_token1] = ACTIONS(2361),
    [aux_sym_data_statement_token1] = ACTIONS(2361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2361),
    [aux_sym_end_if_statement_token1] = ACTIONS(2361),
    [aux_sym_elseif_clause_token2] = ACTIONS(2361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2361),
    [aux_sym_select_case_statement_token1] = ACTIONS(2361),
    [aux_sym_select_case_statement_token3] = ACTIONS(2361),
    [aux_sym_select_type_statement_token1] = ACTIONS(2361),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2361),
    [aux_sym_block_construct_token1] = ACTIONS(2361),
    [aux_sym_associate_statement_token1] = ACTIONS(2361),
    [aux_sym_format_statement_token1] = ACTIONS(2361),
    [aux_sym_print_statement_token1] = ACTIONS(2361),
    [aux_sym_open_statement_token1] = ACTIONS(2361),
    [aux_sym_close_statement_token1] = ACTIONS(2361),
    [aux_sym_inquire_statement_token1] = ACTIONS(2361),
    [aux_sym_enum_statement_token1] = ACTIONS(2361),
    [aux_sym_file_position_statement_token1] = ACTIONS(2361),
    [aux_sym_file_position_statement_token2] = ACTIONS(2361),
    [aux_sym_file_position_statement_token3] = ACTIONS(2361),
    [aux_sym_file_position_statement_token4] = ACTIONS(2361),
    [aux_sym_logical_expression_token5] = ACTIONS(2365),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [aux_sym_boolean_literal_token1] = ACTIONS(2365),
    [aux_sym_boolean_literal_token2] = ACTIONS(2365),
    [aux_sym_null_literal_token1] = ACTIONS(2361),
    [aux_sym_identifier_token1] = ACTIONS(2361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2365),
    [sym__float_literal] = ACTIONS(2365),
    [sym__boz_literal] = ACTIONS(2365),
    [sym__string_literal] = ACTIONS(2365),
    [sym__string_literal_kind] = ACTIONS(2365),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(2371),
    [aux_sym_preproc_include_token1] = ACTIONS(2367),
    [aux_sym_preproc_def_token1] = ACTIONS(2367),
    [aux_sym_preproc_if_token1] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2367),
    [sym_preproc_directive] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(2367),
    [sym_preproc_comment] = ACTIONS(2735),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token2] = ACTIONS(2367),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2367),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2367),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2367),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2367),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2367),
    [aux_sym_contains_statement_token1] = ACTIONS(2367),
    [aux_sym_use_statement_token1] = ACTIONS(2367),
    [aux_sym_use_statement_token2] = ACTIONS(2367),
    [aux_sym_implicit_statement_token1] = ACTIONS(2367),
    [aux_sym_implicit_statement_token3] = ACTIONS(2367),
    [aux_sym_implicit_statement_token4] = ACTIONS(2367),
    [aux_sym_save_statement_token1] = ACTIONS(2367),
    [aux_sym_private_statement_token1] = ACTIONS(2367),
    [aux_sym_public_statement_token1] = ACTIONS(2367),
    [aux_sym_namelist_statement_token1] = ACTIONS(2367),
    [aux_sym_common_statement_token1] = ACTIONS(2367),
    [aux_sym_import_statement_token1] = ACTIONS(2367),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2367),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2367),
    [aux_sym_variable_attributes_token1] = ACTIONS(2367),
    [aux_sym_variable_attributes_token2] = ACTIONS(2367),
    [aux_sym_variable_attributes_token3] = ACTIONS(2367),
    [aux_sym_variable_attributes_token4] = ACTIONS(2367),
    [aux_sym_variable_attributes_token5] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2367),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2367),
    [aux_sym_derived_type_token1] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2367),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2367),
    [aux_sym_stop_statement_token1] = ACTIONS(2367),
    [aux_sym_stop_statement_token2] = ACTIONS(2367),
    [aux_sym_subroutine_call_token1] = ACTIONS(2367),
    [aux_sym_keyword_statement_token1] = ACTIONS(2367),
    [aux_sym_keyword_statement_token2] = ACTIONS(2367),
    [aux_sym_keyword_statement_token3] = ACTIONS(2367),
    [aux_sym_keyword_statement_token4] = ACTIONS(2367),
    [aux_sym_keyword_statement_token6] = ACTIONS(2367),
    [aux_sym_keyword_statement_token7] = ACTIONS(2367),
    [aux_sym_include_statement_token1] = ACTIONS(2367),
    [aux_sym_data_statement_token1] = ACTIONS(2367),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2367),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2367),
    [aux_sym_end_if_statement_token1] = ACTIONS(2367),
    [aux_sym_elseif_clause_token2] = ACTIONS(2367),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2367),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2367),
    [aux_sym_select_case_statement_token1] = ACTIONS(2367),
    [aux_sym_select_case_statement_token3] = ACTIONS(2367),
    [aux_sym_select_type_statement_token1] = ACTIONS(2367),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2367),
    [aux_sym_block_construct_token1] = ACTIONS(2367),
    [aux_sym_associate_statement_token1] = ACTIONS(2367),
    [aux_sym_format_statement_token1] = ACTIONS(2367),
    [aux_sym_print_statement_token1] = ACTIONS(2367),
    [aux_sym_open_statement_token1] = ACTIONS(2367),
    [aux_sym_close_statement_token1] = ACTIONS(2367),
    [aux_sym_inquire_statement_token1] = ACTIONS(2367),
    [aux_sym_enum_statement_token1] = ACTIONS(2367),
    [aux_sym_file_position_statement_token1] = ACTIONS(2367),
    [aux_sym_file_position_statement_token2] = ACTIONS(2367),
    [aux_sym_file_position_statement_token3] = ACTIONS(2367),
    [aux_sym_file_position_statement_token4] = ACTIONS(2367),
    [aux_sym_logical_expression_token5] = ACTIONS(2371),
    [anon_sym_DOT] = ACTIONS(2367),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(2371),
    [aux_sym_boolean_literal_token1] = ACTIONS(2371),
    [aux_sym_boolean_literal_token2] = ACTIONS(2371),
    [aux_sym_null_literal_token1] = ACTIONS(2367),
    [aux_sym_identifier_token1] = ACTIONS(2367),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2371),
    [sym__float_literal] = ACTIONS(2371),
    [sym__boz_literal] = ACTIONS(2371),
    [sym__string_literal] = ACTIONS(2371),
    [sym__string_literal_kind] = ACTIONS(2371),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(2365),
    [aux_sym_preproc_include_token1] = ACTIONS(2361),
    [aux_sym_preproc_def_token1] = ACTIONS(2361),
    [aux_sym_preproc_if_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2361),
    [sym_preproc_directive] = ACTIONS(2361),
    [anon_sym_LPAREN2] = ACTIONS(2361),
    [sym_preproc_comment] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2361),
    [aux_sym_end_program_statement_token1] = ACTIONS(2361),
    [aux_sym_end_program_statement_token2] = ACTIONS(2361),
    [aux_sym_module_statement_token1] = ACTIONS(2361),
    [aux_sym_submodule_statement_token1] = ACTIONS(2361),
    [aux_sym_interface_statement_token1] = ACTIONS(2361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2361),
    [aux_sym_function_statement_token1] = ACTIONS(2361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2361),
    [aux_sym_contains_statement_token1] = ACTIONS(2361),
    [aux_sym_use_statement_token1] = ACTIONS(2361),
    [aux_sym_use_statement_token2] = ACTIONS(2361),
    [aux_sym_implicit_statement_token1] = ACTIONS(2361),
    [aux_sym_implicit_statement_token3] = ACTIONS(2361),
    [aux_sym_implicit_statement_token4] = ACTIONS(2361),
    [aux_sym_save_statement_token1] = ACTIONS(2361),
    [aux_sym_private_statement_token1] = ACTIONS(2361),
    [aux_sym_public_statement_token1] = ACTIONS(2361),
    [aux_sym_namelist_statement_token1] = ACTIONS(2361),
    [aux_sym_common_statement_token1] = ACTIONS(2361),
    [aux_sym_import_statement_token1] = ACTIONS(2361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2361),
    [aux_sym_variable_attributes_token1] = ACTIONS(2361),
    [aux_sym_variable_attributes_token2] = ACTIONS(2361),
    [aux_sym_variable_attributes_token3] = ACTIONS(2361),
    [aux_sym_variable_attributes_token4] = ACTIONS(2361),
    [aux_sym_variable_attributes_token5] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2361),
    [aux_sym_derived_type_token1] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2361),
    [aux_sym_stop_statement_token1] = ACTIONS(2361),
    [aux_sym_stop_statement_token2] = ACTIONS(2361),
    [aux_sym_subroutine_call_token1] = ACTIONS(2361),
    [aux_sym_keyword_statement_token1] = ACTIONS(2361),
    [aux_sym_keyword_statement_token2] = ACTIONS(2361),
    [aux_sym_keyword_statement_token3] = ACTIONS(2361),
    [aux_sym_keyword_statement_token4] = ACTIONS(2361),
    [aux_sym_keyword_statement_token6] = ACTIONS(2361),
    [aux_sym_keyword_statement_token7] = ACTIONS(2361),
    [aux_sym_include_statement_token1] = ACTIONS(2361),
    [aux_sym_data_statement_token1] = ACTIONS(2361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2361),
    [aux_sym_end_if_statement_token1] = ACTIONS(2361),
    [aux_sym_elseif_clause_token2] = ACTIONS(2361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2361),
    [aux_sym_select_case_statement_token1] = ACTIONS(2361),
    [aux_sym_select_case_statement_token3] = ACTIONS(2361),
    [aux_sym_select_type_statement_token1] = ACTIONS(2361),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2361),
    [aux_sym_block_construct_token1] = ACTIONS(2361),
    [aux_sym_associate_statement_token1] = ACTIONS(2361),
    [aux_sym_format_statement_token1] = ACTIONS(2361),
    [aux_sym_print_statement_token1] = ACTIONS(2361),
    [aux_sym_open_statement_token1] = ACTIONS(2361),
    [aux_sym_close_statement_token1] = ACTIONS(2361),
    [aux_sym_inquire_statement_token1] = ACTIONS(2361),
    [aux_sym_enum_statement_token1] = ACTIONS(2361),
    [aux_sym_file_position_statement_token1] = ACTIONS(2361),
    [aux_sym_file_position_statement_token2] = ACTIONS(2361),
    [aux_sym_file_position_statement_token3] = ACTIONS(2361),
    [aux_sym_file_position_statement_token4] = ACTIONS(2361),
    [aux_sym_logical_expression_token5] = ACTIONS(2365),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [aux_sym_boolean_literal_token1] = ACTIONS(2365),
    [aux_sym_boolean_literal_token2] = ACTIONS(2365),
    [aux_sym_null_literal_token1] = ACTIONS(2361),
    [aux_sym_identifier_token1] = ACTIONS(2361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2365),
    [sym__float_literal] = ACTIONS(2365),
    [sym__boz_literal] = ACTIONS(2365),
    [sym__string_literal] = ACTIONS(2365),
    [sym__string_literal_kind] = ACTIONS(2365),
  },
  [586] = {
    [sym_preproc_include] = STATE(567),
    [sym_preproc_def] = STATE(567),
    [sym_preproc_function_def] = STATE(567),
    [sym_preproc_call] = STATE(567),
    [sym_preproc_else_in_module] = STATE(6150),
    [sym_preproc_elif_in_module] = STATE(6150),
    [sym_preproc_elifdef_in_module] = STATE(6150),
    [sym_interface] = STATE(567),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4098),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(567),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(567),
    [sym_public_statement] = STATE(567),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(567),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(567),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(567),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2739),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [587] = {
    [sym_preproc_include] = STATE(612),
    [sym_preproc_def] = STATE(612),
    [sym_preproc_function_def] = STATE(612),
    [sym_preproc_call] = STATE(612),
    [sym_preproc_else_in_module] = STATE(6149),
    [sym_preproc_elif_in_module] = STATE(6149),
    [sym_preproc_elifdef_in_module] = STATE(6149),
    [sym_interface] = STATE(612),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4095),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(612),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(612),
    [sym_public_statement] = STATE(612),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(612),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(612),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(612),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2741),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [588] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(6149),
    [sym_preproc_elif_in_module] = STATE(6149),
    [sym_preproc_elifdef_in_module] = STATE(6149),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4095),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2741),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [589] = {
    [sym__statements] = STATE(5692),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5692),
    [sym_assignment_statement] = STATE(5692),
    [sym_pointer_association_statement] = STATE(5692),
    [sym_subroutine_call] = STATE(5692),
    [sym_keyword_statement] = STATE(5692),
    [sym_include_statement] = STATE(5692),
    [sym_do_loop_statement] = STATE(5692),
    [sym_do_label_statement] = STATE(5692),
    [sym_end_do_label_statement] = STATE(5692),
    [sym_if_statement] = STATE(5692),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5692),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5692),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5692),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_end_forall_statement] = STATE(5870),
    [sym_select_case_statement] = STATE(5692),
    [sym_select_type_statement] = STATE(5692),
    [sym_select_rank_statement] = STATE(5692),
    [sym_block_construct] = STATE(5692),
    [sym_associate_statement] = STATE(5692),
    [sym_format_statement] = STATE(5692),
    [sym_read_statement] = STATE(5692),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5692),
    [sym_open_statement] = STATE(5692),
    [sym_close_statement] = STATE(5692),
    [sym_write_statement] = STATE(5692),
    [sym_inquire_statement] = STATE(5692),
    [sym_file_position_statement] = STATE(5692),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2695),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2004),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [590] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(6021),
    [sym_preproc_elif_in_module] = STATE(6021),
    [sym_preproc_elifdef_in_module] = STATE(6021),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4038),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2743),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(2309),
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2321),
    [aux_sym_preproc_include_token1] = ACTIONS(2317),
    [aux_sym_preproc_def_token1] = ACTIONS(2317),
    [aux_sym_preproc_if_token1] = ACTIONS(2317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2317),
    [sym_preproc_directive] = ACTIONS(2317),
    [anon_sym_LPAREN2] = ACTIONS(2317),
    [sym_preproc_comment] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2317),
    [aux_sym_end_program_statement_token1] = ACTIONS(2317),
    [aux_sym_end_program_statement_token2] = ACTIONS(2317),
    [aux_sym_module_statement_token1] = ACTIONS(2317),
    [aux_sym_submodule_statement_token1] = ACTIONS(2317),
    [aux_sym_interface_statement_token1] = ACTIONS(2317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2317),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2317),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2317),
    [aux_sym_function_statement_token1] = ACTIONS(2317),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2317),
    [aux_sym_contains_statement_token1] = ACTIONS(2317),
    [aux_sym_use_statement_token1] = ACTIONS(2317),
    [aux_sym_use_statement_token2] = ACTIONS(2317),
    [aux_sym_implicit_statement_token1] = ACTIONS(2317),
    [aux_sym_implicit_statement_token3] = ACTIONS(2317),
    [aux_sym_implicit_statement_token4] = ACTIONS(2317),
    [aux_sym_save_statement_token1] = ACTIONS(2317),
    [aux_sym_private_statement_token1] = ACTIONS(2317),
    [aux_sym_public_statement_token1] = ACTIONS(2317),
    [aux_sym_namelist_statement_token1] = ACTIONS(2317),
    [aux_sym_common_statement_token1] = ACTIONS(2317),
    [aux_sym_import_statement_token1] = ACTIONS(2317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2317),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2317),
    [aux_sym_variable_attributes_token1] = ACTIONS(2317),
    [aux_sym_variable_attributes_token2] = ACTIONS(2317),
    [aux_sym_variable_attributes_token3] = ACTIONS(2317),
    [aux_sym_variable_attributes_token4] = ACTIONS(2317),
    [aux_sym_variable_attributes_token5] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2317),
    [aux_sym_derived_type_token1] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2317),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2317),
    [aux_sym_stop_statement_token1] = ACTIONS(2317),
    [aux_sym_stop_statement_token2] = ACTIONS(2317),
    [aux_sym_subroutine_call_token1] = ACTIONS(2317),
    [aux_sym_keyword_statement_token1] = ACTIONS(2317),
    [aux_sym_keyword_statement_token2] = ACTIONS(2317),
    [aux_sym_keyword_statement_token3] = ACTIONS(2317),
    [aux_sym_keyword_statement_token4] = ACTIONS(2317),
    [aux_sym_keyword_statement_token6] = ACTIONS(2317),
    [aux_sym_keyword_statement_token7] = ACTIONS(2317),
    [aux_sym_include_statement_token1] = ACTIONS(2317),
    [aux_sym_data_statement_token1] = ACTIONS(2317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2317),
    [aux_sym_end_if_statement_token1] = ACTIONS(2317),
    [aux_sym_elseif_clause_token2] = ACTIONS(2317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2317),
    [aux_sym_select_case_statement_token1] = ACTIONS(2317),
    [aux_sym_select_case_statement_token3] = ACTIONS(2317),
    [aux_sym_select_type_statement_token1] = ACTIONS(2317),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2317),
    [aux_sym_block_construct_token1] = ACTIONS(2317),
    [aux_sym_associate_statement_token1] = ACTIONS(2317),
    [aux_sym_format_statement_token1] = ACTIONS(2317),
    [aux_sym_print_statement_token1] = ACTIONS(2317),
    [aux_sym_open_statement_token1] = ACTIONS(2317),
    [aux_sym_close_statement_token1] = ACTIONS(2317),
    [aux_sym_inquire_statement_token1] = ACTIONS(2317),
    [aux_sym_enum_statement_token1] = ACTIONS(2317),
    [aux_sym_file_position_statement_token1] = ACTIONS(2317),
    [aux_sym_file_position_statement_token2] = ACTIONS(2317),
    [aux_sym_file_position_statement_token3] = ACTIONS(2317),
    [aux_sym_file_position_statement_token4] = ACTIONS(2317),
    [aux_sym_logical_expression_token5] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [aux_sym_boolean_literal_token1] = ACTIONS(2321),
    [aux_sym_boolean_literal_token2] = ACTIONS(2321),
    [aux_sym_null_literal_token1] = ACTIONS(2317),
    [aux_sym_identifier_token1] = ACTIONS(2317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2321),
    [sym__float_literal] = ACTIONS(2321),
    [sym__boz_literal] = ACTIONS(2321),
    [sym__string_literal] = ACTIONS(2321),
    [sym__string_literal_kind] = ACTIONS(2321),
  },
  [593] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5982),
    [sym_preproc_elif_in_module] = STATE(5982),
    [sym_preproc_elifdef_in_module] = STATE(5982),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4047),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2749),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(2309),
    [aux_sym_preproc_include_token1] = ACTIONS(2305),
    [aux_sym_preproc_def_token1] = ACTIONS(2305),
    [aux_sym_preproc_if_token1] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2305),
    [sym_preproc_directive] = ACTIONS(2305),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [sym_preproc_comment] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token2] = ACTIONS(2305),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2305),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2305),
    [aux_sym_contains_statement_token1] = ACTIONS(2305),
    [aux_sym_use_statement_token1] = ACTIONS(2305),
    [aux_sym_use_statement_token2] = ACTIONS(2305),
    [aux_sym_implicit_statement_token1] = ACTIONS(2305),
    [aux_sym_implicit_statement_token3] = ACTIONS(2305),
    [aux_sym_implicit_statement_token4] = ACTIONS(2305),
    [aux_sym_save_statement_token1] = ACTIONS(2305),
    [aux_sym_private_statement_token1] = ACTIONS(2305),
    [aux_sym_public_statement_token1] = ACTIONS(2305),
    [aux_sym_namelist_statement_token1] = ACTIONS(2305),
    [aux_sym_common_statement_token1] = ACTIONS(2305),
    [aux_sym_import_statement_token1] = ACTIONS(2305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2305),
    [aux_sym_variable_attributes_token1] = ACTIONS(2305),
    [aux_sym_variable_attributes_token2] = ACTIONS(2305),
    [aux_sym_variable_attributes_token3] = ACTIONS(2305),
    [aux_sym_variable_attributes_token4] = ACTIONS(2305),
    [aux_sym_variable_attributes_token5] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2305),
    [aux_sym_derived_type_token1] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2305),
    [aux_sym_stop_statement_token1] = ACTIONS(2305),
    [aux_sym_stop_statement_token2] = ACTIONS(2305),
    [aux_sym_subroutine_call_token1] = ACTIONS(2305),
    [aux_sym_keyword_statement_token1] = ACTIONS(2305),
    [aux_sym_keyword_statement_token2] = ACTIONS(2305),
    [aux_sym_keyword_statement_token3] = ACTIONS(2305),
    [aux_sym_keyword_statement_token4] = ACTIONS(2305),
    [aux_sym_keyword_statement_token6] = ACTIONS(2305),
    [aux_sym_keyword_statement_token7] = ACTIONS(2305),
    [aux_sym_include_statement_token1] = ACTIONS(2305),
    [aux_sym_data_statement_token1] = ACTIONS(2305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2305),
    [aux_sym_end_if_statement_token1] = ACTIONS(2305),
    [aux_sym_elseif_clause_token2] = ACTIONS(2305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2305),
    [aux_sym_select_case_statement_token1] = ACTIONS(2305),
    [aux_sym_select_case_statement_token3] = ACTIONS(2305),
    [aux_sym_select_type_statement_token1] = ACTIONS(2305),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2305),
    [aux_sym_block_construct_token1] = ACTIONS(2305),
    [aux_sym_associate_statement_token1] = ACTIONS(2305),
    [aux_sym_format_statement_token1] = ACTIONS(2305),
    [aux_sym_print_statement_token1] = ACTIONS(2305),
    [aux_sym_open_statement_token1] = ACTIONS(2305),
    [aux_sym_close_statement_token1] = ACTIONS(2305),
    [aux_sym_inquire_statement_token1] = ACTIONS(2305),
    [aux_sym_enum_statement_token1] = ACTIONS(2305),
    [aux_sym_file_position_statement_token1] = ACTIONS(2305),
    [aux_sym_file_position_statement_token2] = ACTIONS(2305),
    [aux_sym_file_position_statement_token3] = ACTIONS(2305),
    [aux_sym_file_position_statement_token4] = ACTIONS(2305),
    [aux_sym_logical_expression_token5] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [aux_sym_boolean_literal_token1] = ACTIONS(2309),
    [aux_sym_boolean_literal_token2] = ACTIONS(2309),
    [aux_sym_null_literal_token1] = ACTIONS(2305),
    [aux_sym_identifier_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2309),
    [sym__float_literal] = ACTIONS(2309),
    [sym__boz_literal] = ACTIONS(2309),
    [sym__string_literal] = ACTIONS(2309),
    [sym__string_literal_kind] = ACTIONS(2309),
  },
  [595] = {
    [sym_preproc_include] = STATE(608),
    [sym_preproc_def] = STATE(608),
    [sym_preproc_function_def] = STATE(608),
    [sym_preproc_call] = STATE(608),
    [sym_preproc_else_in_module] = STATE(5154),
    [sym_preproc_elif_in_module] = STATE(5154),
    [sym_preproc_elifdef_in_module] = STATE(5154),
    [sym_interface] = STATE(608),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4045),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(608),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(608),
    [sym_public_statement] = STATE(608),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(608),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(608),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(608),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2753),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [596] = {
    [sym_preproc_include] = STATE(578),
    [sym_preproc_def] = STATE(578),
    [sym_preproc_function_def] = STATE(578),
    [sym_preproc_call] = STATE(578),
    [sym_preproc_else_in_module] = STATE(5152),
    [sym_preproc_elif_in_module] = STATE(5152),
    [sym_preproc_elifdef_in_module] = STATE(5152),
    [sym_interface] = STATE(578),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4046),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(578),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(578),
    [sym_public_statement] = STATE(578),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(578),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(578),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(578),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [597] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5840),
    [sym_preproc_elif_in_module] = STATE(5840),
    [sym_preproc_elifdef_in_module] = STATE(5840),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4016),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2757),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2305),
    [aux_sym_preproc_def_token1] = ACTIONS(2305),
    [aux_sym_preproc_if_token1] = ACTIONS(2305),
    [aux_sym_preproc_if_token2] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2305),
    [sym_preproc_directive] = ACTIONS(2305),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [sym_preproc_comment] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token2] = ACTIONS(2305),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2305),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2305),
    [aux_sym_contains_statement_token1] = ACTIONS(2305),
    [aux_sym_use_statement_token1] = ACTIONS(2305),
    [aux_sym_use_statement_token2] = ACTIONS(2305),
    [aux_sym_implicit_statement_token1] = ACTIONS(2305),
    [aux_sym_implicit_statement_token3] = ACTIONS(2305),
    [aux_sym_implicit_statement_token4] = ACTIONS(2305),
    [aux_sym_save_statement_token1] = ACTIONS(2305),
    [aux_sym_private_statement_token1] = ACTIONS(2305),
    [aux_sym_public_statement_token1] = ACTIONS(2305),
    [aux_sym_namelist_statement_token1] = ACTIONS(2305),
    [aux_sym_common_statement_token1] = ACTIONS(2305),
    [aux_sym_import_statement_token1] = ACTIONS(2305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2305),
    [aux_sym_variable_attributes_token1] = ACTIONS(2305),
    [aux_sym_variable_attributes_token2] = ACTIONS(2305),
    [aux_sym_variable_attributes_token3] = ACTIONS(2305),
    [aux_sym_variable_attributes_token4] = ACTIONS(2305),
    [aux_sym_variable_attributes_token5] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2305),
    [aux_sym_derived_type_token1] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2305),
    [aux_sym_stop_statement_token1] = ACTIONS(2305),
    [aux_sym_stop_statement_token2] = ACTIONS(2305),
    [aux_sym_subroutine_call_token1] = ACTIONS(2305),
    [aux_sym_keyword_statement_token1] = ACTIONS(2305),
    [aux_sym_keyword_statement_token2] = ACTIONS(2305),
    [aux_sym_keyword_statement_token3] = ACTIONS(2305),
    [aux_sym_keyword_statement_token4] = ACTIONS(2305),
    [aux_sym_keyword_statement_token6] = ACTIONS(2305),
    [aux_sym_keyword_statement_token7] = ACTIONS(2305),
    [aux_sym_include_statement_token1] = ACTIONS(2305),
    [aux_sym_data_statement_token1] = ACTIONS(2305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2305),
    [aux_sym_end_if_statement_token1] = ACTIONS(2305),
    [aux_sym_elseif_clause_token2] = ACTIONS(2305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2305),
    [aux_sym_select_case_statement_token1] = ACTIONS(2305),
    [aux_sym_select_case_statement_token3] = ACTIONS(2305),
    [aux_sym_select_type_statement_token1] = ACTIONS(2305),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2305),
    [aux_sym_block_construct_token1] = ACTIONS(2305),
    [aux_sym_associate_statement_token1] = ACTIONS(2305),
    [aux_sym_format_statement_token1] = ACTIONS(2305),
    [aux_sym_print_statement_token1] = ACTIONS(2305),
    [aux_sym_open_statement_token1] = ACTIONS(2305),
    [aux_sym_close_statement_token1] = ACTIONS(2305),
    [aux_sym_inquire_statement_token1] = ACTIONS(2305),
    [aux_sym_enum_statement_token1] = ACTIONS(2305),
    [aux_sym_file_position_statement_token1] = ACTIONS(2305),
    [aux_sym_file_position_statement_token2] = ACTIONS(2305),
    [aux_sym_file_position_statement_token3] = ACTIONS(2305),
    [aux_sym_file_position_statement_token4] = ACTIONS(2305),
    [aux_sym_logical_expression_token5] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [aux_sym_boolean_literal_token1] = ACTIONS(2309),
    [aux_sym_boolean_literal_token2] = ACTIONS(2309),
    [aux_sym_null_literal_token1] = ACTIONS(2305),
    [aux_sym_identifier_token1] = ACTIONS(2305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2309),
    [sym__float_literal] = ACTIONS(2309),
    [sym__boz_literal] = ACTIONS(2309),
    [sym__string_literal] = ACTIONS(2309),
    [sym__string_literal_kind] = ACTIONS(2309),
  },
  [599] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5152),
    [sym_preproc_elif_in_module] = STATE(5152),
    [sym_preproc_elifdef_in_module] = STATE(5152),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4046),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2317),
    [aux_sym_preproc_def_token1] = ACTIONS(2317),
    [aux_sym_preproc_if_token1] = ACTIONS(2317),
    [aux_sym_preproc_if_token2] = ACTIONS(2317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2317),
    [sym_preproc_directive] = ACTIONS(2317),
    [anon_sym_LPAREN2] = ACTIONS(2317),
    [sym_preproc_comment] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2317),
    [aux_sym_end_program_statement_token1] = ACTIONS(2317),
    [aux_sym_end_program_statement_token2] = ACTIONS(2317),
    [aux_sym_module_statement_token1] = ACTIONS(2317),
    [aux_sym_submodule_statement_token1] = ACTIONS(2317),
    [aux_sym_interface_statement_token1] = ACTIONS(2317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2317),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2317),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2317),
    [aux_sym_function_statement_token1] = ACTIONS(2317),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2317),
    [aux_sym_contains_statement_token1] = ACTIONS(2317),
    [aux_sym_use_statement_token1] = ACTIONS(2317),
    [aux_sym_use_statement_token2] = ACTIONS(2317),
    [aux_sym_implicit_statement_token1] = ACTIONS(2317),
    [aux_sym_implicit_statement_token3] = ACTIONS(2317),
    [aux_sym_implicit_statement_token4] = ACTIONS(2317),
    [aux_sym_save_statement_token1] = ACTIONS(2317),
    [aux_sym_private_statement_token1] = ACTIONS(2317),
    [aux_sym_public_statement_token1] = ACTIONS(2317),
    [aux_sym_namelist_statement_token1] = ACTIONS(2317),
    [aux_sym_common_statement_token1] = ACTIONS(2317),
    [aux_sym_import_statement_token1] = ACTIONS(2317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2317),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2317),
    [aux_sym_variable_attributes_token1] = ACTIONS(2317),
    [aux_sym_variable_attributes_token2] = ACTIONS(2317),
    [aux_sym_variable_attributes_token3] = ACTIONS(2317),
    [aux_sym_variable_attributes_token4] = ACTIONS(2317),
    [aux_sym_variable_attributes_token5] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2317),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2317),
    [aux_sym_derived_type_token1] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2317),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2317),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2317),
    [aux_sym_stop_statement_token1] = ACTIONS(2317),
    [aux_sym_stop_statement_token2] = ACTIONS(2317),
    [aux_sym_subroutine_call_token1] = ACTIONS(2317),
    [aux_sym_keyword_statement_token1] = ACTIONS(2317),
    [aux_sym_keyword_statement_token2] = ACTIONS(2317),
    [aux_sym_keyword_statement_token3] = ACTIONS(2317),
    [aux_sym_keyword_statement_token4] = ACTIONS(2317),
    [aux_sym_keyword_statement_token6] = ACTIONS(2317),
    [aux_sym_keyword_statement_token7] = ACTIONS(2317),
    [aux_sym_include_statement_token1] = ACTIONS(2317),
    [aux_sym_data_statement_token1] = ACTIONS(2317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2317),
    [aux_sym_end_if_statement_token1] = ACTIONS(2317),
    [aux_sym_elseif_clause_token2] = ACTIONS(2317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2317),
    [aux_sym_select_case_statement_token1] = ACTIONS(2317),
    [aux_sym_select_case_statement_token3] = ACTIONS(2317),
    [aux_sym_select_type_statement_token1] = ACTIONS(2317),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2317),
    [aux_sym_block_construct_token1] = ACTIONS(2317),
    [aux_sym_associate_statement_token1] = ACTIONS(2317),
    [aux_sym_format_statement_token1] = ACTIONS(2317),
    [aux_sym_print_statement_token1] = ACTIONS(2317),
    [aux_sym_open_statement_token1] = ACTIONS(2317),
    [aux_sym_close_statement_token1] = ACTIONS(2317),
    [aux_sym_inquire_statement_token1] = ACTIONS(2317),
    [aux_sym_enum_statement_token1] = ACTIONS(2317),
    [aux_sym_file_position_statement_token1] = ACTIONS(2317),
    [aux_sym_file_position_statement_token2] = ACTIONS(2317),
    [aux_sym_file_position_statement_token3] = ACTIONS(2317),
    [aux_sym_file_position_statement_token4] = ACTIONS(2317),
    [aux_sym_logical_expression_token5] = ACTIONS(2321),
    [anon_sym_DOT] = ACTIONS(2317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [aux_sym_boolean_literal_token1] = ACTIONS(2321),
    [aux_sym_boolean_literal_token2] = ACTIONS(2321),
    [aux_sym_null_literal_token1] = ACTIONS(2317),
    [aux_sym_identifier_token1] = ACTIONS(2317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2321),
    [sym__float_literal] = ACTIONS(2321),
    [sym__boz_literal] = ACTIONS(2321),
    [sym__string_literal] = ACTIONS(2321),
    [sym__string_literal_kind] = ACTIONS(2321),
  },
  [601] = {
    [sym_preproc_include] = STATE(576),
    [sym_preproc_def] = STATE(576),
    [sym_preproc_function_def] = STATE(576),
    [sym_preproc_call] = STATE(576),
    [sym_preproc_else_in_module] = STATE(5971),
    [sym_preproc_elif_in_module] = STATE(5971),
    [sym_preproc_elifdef_in_module] = STATE(5971),
    [sym_interface] = STATE(576),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4057),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(576),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(576),
    [sym_public_statement] = STATE(576),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(576),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(576),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(576),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [602] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5971),
    [sym_preproc_elif_in_module] = STATE(5971),
    [sym_preproc_elifdef_in_module] = STATE(5971),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4057),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [603] = {
    [sym_preproc_include] = STATE(593),
    [sym_preproc_def] = STATE(593),
    [sym_preproc_function_def] = STATE(593),
    [sym_preproc_call] = STATE(593),
    [sym_preproc_else_in_module] = STATE(5840),
    [sym_preproc_elif_in_module] = STATE(5840),
    [sym_preproc_elifdef_in_module] = STATE(5840),
    [sym_interface] = STATE(593),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4016),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(593),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(593),
    [sym_public_statement] = STATE(593),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(593),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(593),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(593),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2757),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token2] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token2] = ACTIONS(2345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2345),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_end_program_statement_token2] = ACTIONS(2343),
    [aux_sym_module_statement_token1] = ACTIONS(2345),
    [aux_sym_submodule_statement_token1] = ACTIONS(2345),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2345),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_function_statement_token1] = ACTIONS(2345),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2345),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2345),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [606] = {
    [sym_preproc_include] = STATE(602),
    [sym_preproc_def] = STATE(602),
    [sym_preproc_function_def] = STATE(602),
    [sym_preproc_call] = STATE(602),
    [sym_preproc_else_in_module] = STATE(5837),
    [sym_preproc_elif_in_module] = STATE(5837),
    [sym_preproc_elifdef_in_module] = STATE(5837),
    [sym_interface] = STATE(602),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4059),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(602),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(602),
    [sym_public_statement] = STATE(602),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(602),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(602),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(602),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2331),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_end_program_statement_token2] = ACTIONS(2329),
    [aux_sym_module_statement_token1] = ACTIONS(2331),
    [aux_sym_submodule_statement_token1] = ACTIONS(2331),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2331),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_function_statement_token1] = ACTIONS(2331),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2331),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2331),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [608] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5128),
    [sym_preproc_elif_in_module] = STATE(5128),
    [sym_preproc_elifdef_in_module] = STATE(5128),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4065),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [609] = {
    [sym_preproc_include] = STATE(611),
    [sym_preproc_def] = STATE(611),
    [sym_preproc_function_def] = STATE(611),
    [sym_preproc_call] = STATE(611),
    [sym_preproc_else_in_module] = STATE(5128),
    [sym_preproc_elif_in_module] = STATE(5128),
    [sym_preproc_elifdef_in_module] = STATE(5128),
    [sym_interface] = STATE(611),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4065),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(611),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(611),
    [sym_public_statement] = STATE(611),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(611),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(611),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(611),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [610] = {
    [sym_preproc_include] = STATE(590),
    [sym_preproc_def] = STATE(590),
    [sym_preproc_function_def] = STATE(590),
    [sym_preproc_call] = STATE(590),
    [sym_preproc_else_in_module] = STATE(6077),
    [sym_preproc_elif_in_module] = STATE(6077),
    [sym_preproc_elifdef_in_module] = STATE(6077),
    [sym_interface] = STATE(590),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4121),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(590),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(590),
    [sym_public_statement] = STATE(590),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(590),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(590),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(590),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [611] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(5102),
    [sym_preproc_elif_in_module] = STATE(5102),
    [sym_preproc_elifdef_in_module] = STATE(5102),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4081),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [612] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_preproc_else_in_module] = STATE(6073),
    [sym_preproc_elif_in_module] = STATE(6073),
    [sym_preproc_elifdef_in_module] = STATE(6073),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym_internal_procedures] = STATE(4118),
    [sym_contains_statement] = STATE(6166),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2649),
    [aux_sym_preproc_def_token1] = ACTIONS(2651),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2655),
    [aux_sym_preproc_elif_token1] = ACTIONS(2657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2659),
    [sym_preproc_directive] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2665),
    [aux_sym_public_statement_token1] = ACTIONS(2667),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2529),
    [aux_sym_preproc_def_token1] = ACTIONS(2529),
    [aux_sym_preproc_if_token1] = ACTIONS(2529),
    [aux_sym_preproc_if_token2] = ACTIONS(2529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2529),
    [sym_preproc_directive] = ACTIONS(2529),
    [anon_sym_LPAREN2] = ACTIONS(2529),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2529),
    [aux_sym_end_program_statement_token1] = ACTIONS(2529),
    [aux_sym_end_program_statement_token2] = ACTIONS(2529),
    [aux_sym_module_statement_token1] = ACTIONS(2529),
    [aux_sym_submodule_statement_token1] = ACTIONS(2529),
    [aux_sym_interface_statement_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2529),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2529),
    [aux_sym_function_statement_token1] = ACTIONS(2529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2529),
    [aux_sym_contains_statement_token1] = ACTIONS(2529),
    [aux_sym_use_statement_token1] = ACTIONS(2529),
    [aux_sym_use_statement_token2] = ACTIONS(2529),
    [aux_sym_implicit_statement_token1] = ACTIONS(2529),
    [aux_sym_implicit_statement_token3] = ACTIONS(2529),
    [aux_sym_implicit_statement_token4] = ACTIONS(2529),
    [aux_sym_save_statement_token1] = ACTIONS(2529),
    [aux_sym_private_statement_token1] = ACTIONS(2529),
    [aux_sym_public_statement_token1] = ACTIONS(2529),
    [aux_sym_namelist_statement_token1] = ACTIONS(2529),
    [aux_sym_common_statement_token1] = ACTIONS(2529),
    [aux_sym_import_statement_token1] = ACTIONS(2529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2529),
    [aux_sym_variable_attributes_token1] = ACTIONS(2529),
    [aux_sym_variable_attributes_token2] = ACTIONS(2529),
    [aux_sym_variable_attributes_token3] = ACTIONS(2529),
    [aux_sym_variable_attributes_token4] = ACTIONS(2529),
    [aux_sym_variable_attributes_token5] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2529),
    [aux_sym_derived_type_token1] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2529),
    [aux_sym_stop_statement_token1] = ACTIONS(2529),
    [aux_sym_stop_statement_token2] = ACTIONS(2529),
    [aux_sym_subroutine_call_token1] = ACTIONS(2529),
    [aux_sym_keyword_statement_token1] = ACTIONS(2529),
    [aux_sym_keyword_statement_token2] = ACTIONS(2529),
    [aux_sym_keyword_statement_token3] = ACTIONS(2529),
    [aux_sym_keyword_statement_token4] = ACTIONS(2529),
    [aux_sym_keyword_statement_token6] = ACTIONS(2529),
    [aux_sym_keyword_statement_token7] = ACTIONS(2529),
    [aux_sym_include_statement_token1] = ACTIONS(2529),
    [aux_sym_data_statement_token1] = ACTIONS(2529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2529),
    [aux_sym_end_if_statement_token1] = ACTIONS(2529),
    [aux_sym_elseif_clause_token2] = ACTIONS(2529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2529),
    [aux_sym_select_case_statement_token1] = ACTIONS(2529),
    [aux_sym_select_case_statement_token3] = ACTIONS(2529),
    [aux_sym_select_type_statement_token1] = ACTIONS(2529),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2529),
    [aux_sym_block_construct_token1] = ACTIONS(2529),
    [aux_sym_associate_statement_token1] = ACTIONS(2529),
    [aux_sym_format_statement_token1] = ACTIONS(2529),
    [aux_sym_print_statement_token1] = ACTIONS(2529),
    [aux_sym_open_statement_token1] = ACTIONS(2529),
    [aux_sym_close_statement_token1] = ACTIONS(2529),
    [aux_sym_inquire_statement_token1] = ACTIONS(2529),
    [aux_sym_enum_statement_token1] = ACTIONS(2529),
    [aux_sym_file_position_statement_token1] = ACTIONS(2529),
    [aux_sym_file_position_statement_token2] = ACTIONS(2529),
    [aux_sym_file_position_statement_token3] = ACTIONS(2529),
    [aux_sym_file_position_statement_token4] = ACTIONS(2529),
    [aux_sym_logical_expression_token5] = ACTIONS(2531),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [aux_sym_boolean_literal_token1] = ACTIONS(2531),
    [aux_sym_boolean_literal_token2] = ACTIONS(2531),
    [aux_sym_null_literal_token1] = ACTIONS(2529),
    [aux_sym_identifier_token1] = ACTIONS(2529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2531),
    [sym__float_literal] = ACTIONS(2531),
    [sym__boz_literal] = ACTIONS(2531),
    [sym__string_literal] = ACTIONS(2531),
    [sym__string_literal_kind] = ACTIONS(2531),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2455),
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token2] = ACTIONS(2453),
    [aux_sym_module_statement_token1] = ACTIONS(2453),
    [aux_sym_submodule_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_function_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token2] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2557),
    [aux_sym_end_program_statement_token1] = ACTIONS(2557),
    [aux_sym_end_program_statement_token2] = ACTIONS(2557),
    [aux_sym_module_statement_token1] = ACTIONS(2557),
    [aux_sym_submodule_statement_token1] = ACTIONS(2557),
    [aux_sym_interface_statement_token1] = ACTIONS(2557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2557),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2557),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2557),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2557),
    [aux_sym_function_statement_token1] = ACTIONS(2557),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2557),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2557),
    [aux_sym_contains_statement_token1] = ACTIONS(2557),
    [aux_sym_use_statement_token1] = ACTIONS(2557),
    [aux_sym_use_statement_token2] = ACTIONS(2557),
    [aux_sym_implicit_statement_token1] = ACTIONS(2557),
    [aux_sym_implicit_statement_token3] = ACTIONS(2557),
    [aux_sym_implicit_statement_token4] = ACTIONS(2557),
    [aux_sym_save_statement_token1] = ACTIONS(2557),
    [aux_sym_private_statement_token1] = ACTIONS(2557),
    [aux_sym_public_statement_token1] = ACTIONS(2557),
    [aux_sym_namelist_statement_token1] = ACTIONS(2557),
    [aux_sym_common_statement_token1] = ACTIONS(2557),
    [aux_sym_import_statement_token1] = ACTIONS(2557),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2557),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2557),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2557),
    [aux_sym_variable_attributes_token1] = ACTIONS(2557),
    [aux_sym_variable_attributes_token2] = ACTIONS(2557),
    [aux_sym_variable_attributes_token3] = ACTIONS(2557),
    [aux_sym_variable_attributes_token4] = ACTIONS(2557),
    [aux_sym_variable_attributes_token5] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2557),
    [aux_sym_derived_type_token1] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2557),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2557),
    [aux_sym_stop_statement_token1] = ACTIONS(2557),
    [aux_sym_stop_statement_token2] = ACTIONS(2557),
    [aux_sym_subroutine_call_token1] = ACTIONS(2557),
    [aux_sym_keyword_statement_token1] = ACTIONS(2557),
    [aux_sym_keyword_statement_token2] = ACTIONS(2557),
    [aux_sym_keyword_statement_token3] = ACTIONS(2557),
    [aux_sym_keyword_statement_token4] = ACTIONS(2557),
    [aux_sym_keyword_statement_token6] = ACTIONS(2557),
    [aux_sym_keyword_statement_token7] = ACTIONS(2557),
    [aux_sym_include_statement_token1] = ACTIONS(2557),
    [aux_sym_data_statement_token1] = ACTIONS(2557),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2557),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2557),
    [aux_sym_end_if_statement_token1] = ACTIONS(2557),
    [aux_sym_elseif_clause_token2] = ACTIONS(2557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2557),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2557),
    [aux_sym_select_case_statement_token1] = ACTIONS(2557),
    [aux_sym_select_case_statement_token3] = ACTIONS(2557),
    [aux_sym_select_type_statement_token1] = ACTIONS(2557),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2557),
    [aux_sym_block_construct_token1] = ACTIONS(2557),
    [aux_sym_associate_statement_token1] = ACTIONS(2557),
    [aux_sym_format_statement_token1] = ACTIONS(2557),
    [aux_sym_print_statement_token1] = ACTIONS(2557),
    [aux_sym_open_statement_token1] = ACTIONS(2557),
    [aux_sym_close_statement_token1] = ACTIONS(2557),
    [aux_sym_inquire_statement_token1] = ACTIONS(2557),
    [aux_sym_enum_statement_token1] = ACTIONS(2557),
    [aux_sym_file_position_statement_token1] = ACTIONS(2557),
    [aux_sym_file_position_statement_token2] = ACTIONS(2557),
    [aux_sym_file_position_statement_token3] = ACTIONS(2557),
    [aux_sym_file_position_statement_token4] = ACTIONS(2557),
    [aux_sym_logical_expression_token5] = ACTIONS(2559),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2559),
    [aux_sym_boolean_literal_token1] = ACTIONS(2559),
    [aux_sym_boolean_literal_token2] = ACTIONS(2559),
    [aux_sym_null_literal_token1] = ACTIONS(2557),
    [aux_sym_identifier_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2559),
    [sym__float_literal] = ACTIONS(2559),
    [sym__boz_literal] = ACTIONS(2559),
    [sym__string_literal] = ACTIONS(2559),
    [sym__string_literal_kind] = ACTIONS(2559),
  },
  [616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2577),
    [aux_sym_preproc_def_token1] = ACTIONS(2577),
    [aux_sym_preproc_if_token1] = ACTIONS(2577),
    [aux_sym_preproc_if_token2] = ACTIONS(2577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2577),
    [sym_preproc_directive] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2577),
    [aux_sym_end_program_statement_token1] = ACTIONS(2577),
    [aux_sym_end_program_statement_token2] = ACTIONS(2577),
    [aux_sym_module_statement_token1] = ACTIONS(2577),
    [aux_sym_submodule_statement_token1] = ACTIONS(2577),
    [aux_sym_interface_statement_token1] = ACTIONS(2577),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2577),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2577),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2577),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2577),
    [aux_sym_function_statement_token1] = ACTIONS(2577),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2577),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2577),
    [aux_sym_contains_statement_token1] = ACTIONS(2577),
    [aux_sym_use_statement_token1] = ACTIONS(2577),
    [aux_sym_use_statement_token2] = ACTIONS(2577),
    [aux_sym_implicit_statement_token1] = ACTIONS(2577),
    [aux_sym_implicit_statement_token3] = ACTIONS(2577),
    [aux_sym_implicit_statement_token4] = ACTIONS(2577),
    [aux_sym_save_statement_token1] = ACTIONS(2577),
    [aux_sym_private_statement_token1] = ACTIONS(2577),
    [aux_sym_public_statement_token1] = ACTIONS(2577),
    [aux_sym_namelist_statement_token1] = ACTIONS(2577),
    [aux_sym_common_statement_token1] = ACTIONS(2577),
    [aux_sym_import_statement_token1] = ACTIONS(2577),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2577),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2577),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2577),
    [aux_sym_variable_attributes_token1] = ACTIONS(2577),
    [aux_sym_variable_attributes_token2] = ACTIONS(2577),
    [aux_sym_variable_attributes_token3] = ACTIONS(2577),
    [aux_sym_variable_attributes_token4] = ACTIONS(2577),
    [aux_sym_variable_attributes_token5] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2577),
    [aux_sym_derived_type_token1] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2577),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2577),
    [aux_sym_stop_statement_token1] = ACTIONS(2577),
    [aux_sym_stop_statement_token2] = ACTIONS(2577),
    [aux_sym_subroutine_call_token1] = ACTIONS(2577),
    [aux_sym_keyword_statement_token1] = ACTIONS(2577),
    [aux_sym_keyword_statement_token2] = ACTIONS(2577),
    [aux_sym_keyword_statement_token3] = ACTIONS(2577),
    [aux_sym_keyword_statement_token4] = ACTIONS(2577),
    [aux_sym_keyword_statement_token6] = ACTIONS(2577),
    [aux_sym_keyword_statement_token7] = ACTIONS(2577),
    [aux_sym_include_statement_token1] = ACTIONS(2577),
    [aux_sym_data_statement_token1] = ACTIONS(2577),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2577),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2577),
    [aux_sym_end_if_statement_token1] = ACTIONS(2577),
    [aux_sym_elseif_clause_token2] = ACTIONS(2577),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2577),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2577),
    [aux_sym_select_case_statement_token1] = ACTIONS(2577),
    [aux_sym_select_case_statement_token3] = ACTIONS(2577),
    [aux_sym_select_type_statement_token1] = ACTIONS(2577),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2577),
    [aux_sym_block_construct_token1] = ACTIONS(2577),
    [aux_sym_associate_statement_token1] = ACTIONS(2577),
    [aux_sym_format_statement_token1] = ACTIONS(2577),
    [aux_sym_print_statement_token1] = ACTIONS(2577),
    [aux_sym_open_statement_token1] = ACTIONS(2577),
    [aux_sym_close_statement_token1] = ACTIONS(2577),
    [aux_sym_inquire_statement_token1] = ACTIONS(2577),
    [aux_sym_enum_statement_token1] = ACTIONS(2577),
    [aux_sym_file_position_statement_token1] = ACTIONS(2577),
    [aux_sym_file_position_statement_token2] = ACTIONS(2577),
    [aux_sym_file_position_statement_token3] = ACTIONS(2577),
    [aux_sym_file_position_statement_token4] = ACTIONS(2577),
    [aux_sym_logical_expression_token5] = ACTIONS(2579),
    [anon_sym_DOT] = ACTIONS(2577),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [aux_sym_boolean_literal_token1] = ACTIONS(2579),
    [aux_sym_boolean_literal_token2] = ACTIONS(2579),
    [aux_sym_null_literal_token1] = ACTIONS(2577),
    [aux_sym_identifier_token1] = ACTIONS(2577),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2579),
    [sym__float_literal] = ACTIONS(2579),
    [sym__boz_literal] = ACTIONS(2579),
    [sym__string_literal] = ACTIONS(2579),
    [sym__string_literal_kind] = ACTIONS(2579),
  },
  [617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2581),
    [aux_sym_preproc_def_token1] = ACTIONS(2581),
    [aux_sym_preproc_if_token1] = ACTIONS(2581),
    [aux_sym_preproc_if_token2] = ACTIONS(2581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2581),
    [sym_preproc_directive] = ACTIONS(2581),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2581),
    [aux_sym_end_program_statement_token1] = ACTIONS(2581),
    [aux_sym_end_program_statement_token2] = ACTIONS(2581),
    [aux_sym_module_statement_token1] = ACTIONS(2581),
    [aux_sym_submodule_statement_token1] = ACTIONS(2581),
    [aux_sym_interface_statement_token1] = ACTIONS(2581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2581),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2581),
    [aux_sym_function_statement_token1] = ACTIONS(2581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2581),
    [aux_sym_contains_statement_token1] = ACTIONS(2581),
    [aux_sym_use_statement_token1] = ACTIONS(2581),
    [aux_sym_use_statement_token2] = ACTIONS(2581),
    [aux_sym_implicit_statement_token1] = ACTIONS(2581),
    [aux_sym_implicit_statement_token3] = ACTIONS(2581),
    [aux_sym_implicit_statement_token4] = ACTIONS(2581),
    [aux_sym_save_statement_token1] = ACTIONS(2581),
    [aux_sym_private_statement_token1] = ACTIONS(2581),
    [aux_sym_public_statement_token1] = ACTIONS(2581),
    [aux_sym_namelist_statement_token1] = ACTIONS(2581),
    [aux_sym_common_statement_token1] = ACTIONS(2581),
    [aux_sym_import_statement_token1] = ACTIONS(2581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2581),
    [aux_sym_variable_attributes_token1] = ACTIONS(2581),
    [aux_sym_variable_attributes_token2] = ACTIONS(2581),
    [aux_sym_variable_attributes_token3] = ACTIONS(2581),
    [aux_sym_variable_attributes_token4] = ACTIONS(2581),
    [aux_sym_variable_attributes_token5] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2581),
    [aux_sym_derived_type_token1] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2581),
    [aux_sym_stop_statement_token1] = ACTIONS(2581),
    [aux_sym_stop_statement_token2] = ACTIONS(2581),
    [aux_sym_subroutine_call_token1] = ACTIONS(2581),
    [aux_sym_keyword_statement_token1] = ACTIONS(2581),
    [aux_sym_keyword_statement_token2] = ACTIONS(2581),
    [aux_sym_keyword_statement_token3] = ACTIONS(2581),
    [aux_sym_keyword_statement_token4] = ACTIONS(2581),
    [aux_sym_keyword_statement_token6] = ACTIONS(2581),
    [aux_sym_keyword_statement_token7] = ACTIONS(2581),
    [aux_sym_include_statement_token1] = ACTIONS(2581),
    [aux_sym_data_statement_token1] = ACTIONS(2581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2581),
    [aux_sym_end_if_statement_token1] = ACTIONS(2581),
    [aux_sym_elseif_clause_token2] = ACTIONS(2581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2581),
    [aux_sym_select_case_statement_token1] = ACTIONS(2581),
    [aux_sym_select_case_statement_token3] = ACTIONS(2581),
    [aux_sym_select_type_statement_token1] = ACTIONS(2581),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2581),
    [aux_sym_block_construct_token1] = ACTIONS(2581),
    [aux_sym_associate_statement_token1] = ACTIONS(2581),
    [aux_sym_format_statement_token1] = ACTIONS(2581),
    [aux_sym_print_statement_token1] = ACTIONS(2581),
    [aux_sym_open_statement_token1] = ACTIONS(2581),
    [aux_sym_close_statement_token1] = ACTIONS(2581),
    [aux_sym_inquire_statement_token1] = ACTIONS(2581),
    [aux_sym_enum_statement_token1] = ACTIONS(2581),
    [aux_sym_file_position_statement_token1] = ACTIONS(2581),
    [aux_sym_file_position_statement_token2] = ACTIONS(2581),
    [aux_sym_file_position_statement_token3] = ACTIONS(2581),
    [aux_sym_file_position_statement_token4] = ACTIONS(2581),
    [aux_sym_logical_expression_token5] = ACTIONS(2583),
    [anon_sym_DOT] = ACTIONS(2581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [aux_sym_boolean_literal_token1] = ACTIONS(2583),
    [aux_sym_boolean_literal_token2] = ACTIONS(2583),
    [aux_sym_null_literal_token1] = ACTIONS(2581),
    [aux_sym_identifier_token1] = ACTIONS(2581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2583),
    [sym__float_literal] = ACTIONS(2583),
    [sym__boz_literal] = ACTIONS(2583),
    [sym__string_literal] = ACTIONS(2583),
    [sym__string_literal_kind] = ACTIONS(2583),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2483),
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token2] = ACTIONS(2481),
    [aux_sym_module_statement_token1] = ACTIONS(2481),
    [aux_sym_submodule_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_function_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [619] = {
    [sym_preproc_include] = STATE(622),
    [sym_preproc_def] = STATE(622),
    [sym_preproc_function_def] = STATE(622),
    [sym_preproc_call] = STATE(622),
    [sym_preproc_if_in_module] = STATE(622),
    [sym_preproc_ifdef_in_module] = STATE(622),
    [sym_end_module_statement] = STATE(616),
    [sym_interface] = STATE(622),
    [sym_interface_statement] = STATE(2201),
    [sym_internal_procedures] = STATE(4610),
    [sym_contains_statement] = STATE(5280),
    [sym__specification_part] = STATE(622),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(622),
    [sym_public_statement] = STATE(622),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(622),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(622),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(622),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2793),
    [aux_sym_end_module_statement_token1] = ACTIONS(2795),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2797),
    [aux_sym_public_statement_token1] = ACTIONS(2799),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(288),
    [aux_sym_preproc_def_token1] = ACTIONS(288),
    [aux_sym_preproc_if_token1] = ACTIONS(288),
    [aux_sym_preproc_if_token2] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(288),
    [sym_preproc_directive] = ACTIONS(288),
    [anon_sym_LPAREN2] = ACTIONS(288),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(288),
    [aux_sym_end_program_statement_token1] = ACTIONS(288),
    [aux_sym_end_program_statement_token2] = ACTIONS(288),
    [aux_sym_module_statement_token1] = ACTIONS(288),
    [aux_sym_submodule_statement_token1] = ACTIONS(288),
    [aux_sym_interface_statement_token1] = ACTIONS(288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(288),
    [aux_sym_subroutine_statement_token1] = ACTIONS(288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(288),
    [aux_sym_function_statement_token1] = ACTIONS(288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(288),
    [aux_sym_contains_statement_token1] = ACTIONS(288),
    [aux_sym_use_statement_token1] = ACTIONS(288),
    [aux_sym_use_statement_token2] = ACTIONS(288),
    [aux_sym_implicit_statement_token1] = ACTIONS(288),
    [aux_sym_implicit_statement_token3] = ACTIONS(288),
    [aux_sym_implicit_statement_token4] = ACTIONS(288),
    [aux_sym_save_statement_token1] = ACTIONS(288),
    [aux_sym_private_statement_token1] = ACTIONS(288),
    [aux_sym_public_statement_token1] = ACTIONS(288),
    [aux_sym_namelist_statement_token1] = ACTIONS(288),
    [aux_sym_common_statement_token1] = ACTIONS(288),
    [aux_sym_import_statement_token1] = ACTIONS(288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(288),
    [aux_sym_variable_attributes_token1] = ACTIONS(288),
    [aux_sym_variable_attributes_token2] = ACTIONS(288),
    [aux_sym_variable_attributes_token3] = ACTIONS(288),
    [aux_sym_variable_attributes_token4] = ACTIONS(288),
    [aux_sym_variable_attributes_token5] = ACTIONS(288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(288),
    [aux_sym_derived_type_token1] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(288),
    [aux_sym_stop_statement_token1] = ACTIONS(288),
    [aux_sym_stop_statement_token2] = ACTIONS(288),
    [aux_sym_subroutine_call_token1] = ACTIONS(288),
    [aux_sym_keyword_statement_token1] = ACTIONS(288),
    [aux_sym_keyword_statement_token2] = ACTIONS(288),
    [aux_sym_keyword_statement_token3] = ACTIONS(288),
    [aux_sym_keyword_statement_token4] = ACTIONS(288),
    [aux_sym_keyword_statement_token6] = ACTIONS(288),
    [aux_sym_keyword_statement_token7] = ACTIONS(288),
    [aux_sym_include_statement_token1] = ACTIONS(288),
    [aux_sym_data_statement_token1] = ACTIONS(288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(288),
    [aux_sym_end_if_statement_token1] = ACTIONS(288),
    [aux_sym_elseif_clause_token2] = ACTIONS(288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(288),
    [aux_sym_select_case_statement_token1] = ACTIONS(288),
    [aux_sym_select_case_statement_token3] = ACTIONS(288),
    [aux_sym_select_type_statement_token1] = ACTIONS(288),
    [aux_sym_select_rank_statement_token2] = ACTIONS(288),
    [aux_sym_block_construct_token1] = ACTIONS(288),
    [aux_sym_associate_statement_token1] = ACTIONS(288),
    [aux_sym_format_statement_token1] = ACTIONS(288),
    [aux_sym_print_statement_token1] = ACTIONS(288),
    [aux_sym_open_statement_token1] = ACTIONS(288),
    [aux_sym_close_statement_token1] = ACTIONS(288),
    [aux_sym_inquire_statement_token1] = ACTIONS(288),
    [aux_sym_enum_statement_token1] = ACTIONS(288),
    [aux_sym_file_position_statement_token1] = ACTIONS(288),
    [aux_sym_file_position_statement_token2] = ACTIONS(288),
    [aux_sym_file_position_statement_token3] = ACTIONS(288),
    [aux_sym_file_position_statement_token4] = ACTIONS(288),
    [aux_sym_logical_expression_token5] = ACTIONS(576),
    [anon_sym_DOT] = ACTIONS(288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(576),
    [aux_sym_boolean_literal_token1] = ACTIONS(576),
    [aux_sym_boolean_literal_token2] = ACTIONS(576),
    [aux_sym_null_literal_token1] = ACTIONS(288),
    [aux_sym_identifier_token1] = ACTIONS(288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(576),
    [sym__float_literal] = ACTIONS(576),
    [sym__boz_literal] = ACTIONS(576),
    [sym__string_literal] = ACTIONS(576),
    [sym__string_literal_kind] = ACTIONS(576),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2467),
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2465),
    [aux_sym_end_program_statement_token1] = ACTIONS(2465),
    [aux_sym_end_program_statement_token2] = ACTIONS(2465),
    [aux_sym_module_statement_token1] = ACTIONS(2465),
    [aux_sym_submodule_statement_token1] = ACTIONS(2465),
    [aux_sym_interface_statement_token1] = ACTIONS(2465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2465),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2465),
    [aux_sym_function_statement_token1] = ACTIONS(2465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2465),
    [aux_sym_contains_statement_token1] = ACTIONS(2465),
    [aux_sym_use_statement_token1] = ACTIONS(2465),
    [aux_sym_use_statement_token2] = ACTIONS(2465),
    [aux_sym_implicit_statement_token1] = ACTIONS(2465),
    [aux_sym_implicit_statement_token3] = ACTIONS(2465),
    [aux_sym_implicit_statement_token4] = ACTIONS(2465),
    [aux_sym_save_statement_token1] = ACTIONS(2465),
    [aux_sym_private_statement_token1] = ACTIONS(2465),
    [aux_sym_public_statement_token1] = ACTIONS(2465),
    [aux_sym_namelist_statement_token1] = ACTIONS(2465),
    [aux_sym_common_statement_token1] = ACTIONS(2465),
    [aux_sym_import_statement_token1] = ACTIONS(2465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2465),
    [aux_sym_variable_attributes_token1] = ACTIONS(2465),
    [aux_sym_variable_attributes_token2] = ACTIONS(2465),
    [aux_sym_variable_attributes_token3] = ACTIONS(2465),
    [aux_sym_variable_attributes_token4] = ACTIONS(2465),
    [aux_sym_variable_attributes_token5] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2465),
    [aux_sym_derived_type_token1] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2465),
    [aux_sym_stop_statement_token1] = ACTIONS(2465),
    [aux_sym_stop_statement_token2] = ACTIONS(2465),
    [aux_sym_subroutine_call_token1] = ACTIONS(2465),
    [aux_sym_keyword_statement_token1] = ACTIONS(2465),
    [aux_sym_keyword_statement_token2] = ACTIONS(2465),
    [aux_sym_keyword_statement_token3] = ACTIONS(2465),
    [aux_sym_keyword_statement_token4] = ACTIONS(2465),
    [aux_sym_keyword_statement_token6] = ACTIONS(2465),
    [aux_sym_keyword_statement_token7] = ACTIONS(2465),
    [aux_sym_include_statement_token1] = ACTIONS(2465),
    [aux_sym_data_statement_token1] = ACTIONS(2465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2465),
    [aux_sym_end_if_statement_token1] = ACTIONS(2465),
    [aux_sym_elseif_clause_token2] = ACTIONS(2465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2465),
    [aux_sym_select_case_statement_token1] = ACTIONS(2465),
    [aux_sym_select_case_statement_token3] = ACTIONS(2465),
    [aux_sym_select_type_statement_token1] = ACTIONS(2465),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2465),
    [aux_sym_block_construct_token1] = ACTIONS(2465),
    [aux_sym_associate_statement_token1] = ACTIONS(2465),
    [aux_sym_format_statement_token1] = ACTIONS(2465),
    [aux_sym_print_statement_token1] = ACTIONS(2465),
    [aux_sym_open_statement_token1] = ACTIONS(2465),
    [aux_sym_close_statement_token1] = ACTIONS(2465),
    [aux_sym_inquire_statement_token1] = ACTIONS(2465),
    [aux_sym_enum_statement_token1] = ACTIONS(2465),
    [aux_sym_file_position_statement_token1] = ACTIONS(2465),
    [aux_sym_file_position_statement_token2] = ACTIONS(2465),
    [aux_sym_file_position_statement_token3] = ACTIONS(2465),
    [aux_sym_file_position_statement_token4] = ACTIONS(2465),
    [aux_sym_logical_expression_token5] = ACTIONS(2467),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [aux_sym_boolean_literal_token1] = ACTIONS(2467),
    [aux_sym_boolean_literal_token2] = ACTIONS(2467),
    [aux_sym_null_literal_token1] = ACTIONS(2465),
    [aux_sym_identifier_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2467),
    [sym__float_literal] = ACTIONS(2467),
    [sym__boz_literal] = ACTIONS(2467),
    [sym__string_literal] = ACTIONS(2467),
    [sym__string_literal_kind] = ACTIONS(2467),
  },
  [622] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_module] = STATE(796),
    [sym_preproc_ifdef_in_module] = STATE(796),
    [sym_end_module_statement] = STATE(631),
    [sym_interface] = STATE(796),
    [sym_interface_statement] = STATE(2201),
    [sym_internal_procedures] = STATE(4811),
    [sym_contains_statement] = STATE(5280),
    [sym__specification_part] = STATE(796),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(796),
    [sym_public_statement] = STATE(796),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(796),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(796),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(796),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2793),
    [aux_sym_end_module_statement_token1] = ACTIONS(2795),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2797),
    [aux_sym_public_statement_token1] = ACTIONS(2799),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [623] = {
    [sym__statements] = STATE(5587),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5587),
    [sym_assignment_statement] = STATE(5587),
    [sym_pointer_association_statement] = STATE(5587),
    [sym_subroutine_call] = STATE(5587),
    [sym_keyword_statement] = STATE(5587),
    [sym_include_statement] = STATE(5587),
    [sym_do_loop_statement] = STATE(5587),
    [sym_do_label_statement] = STATE(5587),
    [sym_end_do_label_statement] = STATE(5587),
    [sym_if_statement] = STATE(5587),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5587),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5587),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5587),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5587),
    [sym_select_type_statement] = STATE(5587),
    [sym_select_rank_statement] = STATE(5587),
    [sym_block_construct] = STATE(5587),
    [sym_associate_statement] = STATE(5587),
    [sym_format_statement] = STATE(6142),
    [sym_read_statement] = STATE(5587),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5587),
    [sym_open_statement] = STATE(5587),
    [sym_close_statement] = STATE(5587),
    [sym_write_statement] = STATE(5587),
    [sym_inquire_statement] = STATE(5587),
    [sym_file_position_statement] = STATE(5587),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [624] = {
    [sym__statements] = STATE(5380),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5380),
    [sym_assignment_statement] = STATE(5380),
    [sym_pointer_association_statement] = STATE(5380),
    [sym_subroutine_call] = STATE(5380),
    [sym_keyword_statement] = STATE(5380),
    [sym_include_statement] = STATE(5380),
    [sym_do_loop_statement] = STATE(5380),
    [sym_do_label_statement] = STATE(5380),
    [sym_end_do_label_statement] = STATE(5380),
    [sym_if_statement] = STATE(5380),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5380),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(6029),
    [sym_where_statement] = STATE(5380),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5380),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5380),
    [sym_select_type_statement] = STATE(5380),
    [sym_select_rank_statement] = STATE(5380),
    [sym_block_construct] = STATE(5380),
    [sym_associate_statement] = STATE(5380),
    [sym_format_statement] = STATE(5380),
    [sym_read_statement] = STATE(5380),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5380),
    [sym_open_statement] = STATE(5380),
    [sym_close_statement] = STATE(5380),
    [sym_write_statement] = STATE(5380),
    [sym_inquire_statement] = STATE(5380),
    [sym_file_position_statement] = STATE(5380),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2359),
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_end_program_statement_token2] = ACTIONS(2605),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2501),
    [aux_sym_preproc_def_token1] = ACTIONS(2501),
    [aux_sym_preproc_if_token1] = ACTIONS(2501),
    [aux_sym_preproc_if_token2] = ACTIONS(2501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2501),
    [sym_preproc_directive] = ACTIONS(2501),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2501),
    [aux_sym_end_program_statement_token1] = ACTIONS(2501),
    [aux_sym_end_program_statement_token2] = ACTIONS(2501),
    [aux_sym_module_statement_token1] = ACTIONS(2501),
    [aux_sym_submodule_statement_token1] = ACTIONS(2501),
    [aux_sym_interface_statement_token1] = ACTIONS(2501),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2501),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2501),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2501),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2501),
    [aux_sym_function_statement_token1] = ACTIONS(2501),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2501),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2501),
    [aux_sym_contains_statement_token1] = ACTIONS(2501),
    [aux_sym_use_statement_token1] = ACTIONS(2501),
    [aux_sym_use_statement_token2] = ACTIONS(2501),
    [aux_sym_implicit_statement_token1] = ACTIONS(2501),
    [aux_sym_implicit_statement_token3] = ACTIONS(2501),
    [aux_sym_implicit_statement_token4] = ACTIONS(2501),
    [aux_sym_save_statement_token1] = ACTIONS(2501),
    [aux_sym_private_statement_token1] = ACTIONS(2501),
    [aux_sym_public_statement_token1] = ACTIONS(2501),
    [aux_sym_namelist_statement_token1] = ACTIONS(2501),
    [aux_sym_common_statement_token1] = ACTIONS(2501),
    [aux_sym_import_statement_token1] = ACTIONS(2501),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2501),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2501),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2501),
    [aux_sym_variable_attributes_token1] = ACTIONS(2501),
    [aux_sym_variable_attributes_token2] = ACTIONS(2501),
    [aux_sym_variable_attributes_token3] = ACTIONS(2501),
    [aux_sym_variable_attributes_token4] = ACTIONS(2501),
    [aux_sym_variable_attributes_token5] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2501),
    [aux_sym_derived_type_token1] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2501),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2501),
    [aux_sym_stop_statement_token1] = ACTIONS(2501),
    [aux_sym_stop_statement_token2] = ACTIONS(2501),
    [aux_sym_subroutine_call_token1] = ACTIONS(2501),
    [aux_sym_keyword_statement_token1] = ACTIONS(2501),
    [aux_sym_keyword_statement_token2] = ACTIONS(2501),
    [aux_sym_keyword_statement_token3] = ACTIONS(2501),
    [aux_sym_keyword_statement_token4] = ACTIONS(2501),
    [aux_sym_keyword_statement_token6] = ACTIONS(2501),
    [aux_sym_keyword_statement_token7] = ACTIONS(2501),
    [aux_sym_include_statement_token1] = ACTIONS(2501),
    [aux_sym_data_statement_token1] = ACTIONS(2501),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2501),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2501),
    [aux_sym_end_if_statement_token1] = ACTIONS(2501),
    [aux_sym_elseif_clause_token2] = ACTIONS(2501),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2501),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2501),
    [aux_sym_select_case_statement_token1] = ACTIONS(2501),
    [aux_sym_select_case_statement_token3] = ACTIONS(2501),
    [aux_sym_select_type_statement_token1] = ACTIONS(2501),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2501),
    [aux_sym_block_construct_token1] = ACTIONS(2501),
    [aux_sym_associate_statement_token1] = ACTIONS(2501),
    [aux_sym_format_statement_token1] = ACTIONS(2501),
    [aux_sym_print_statement_token1] = ACTIONS(2501),
    [aux_sym_open_statement_token1] = ACTIONS(2501),
    [aux_sym_close_statement_token1] = ACTIONS(2501),
    [aux_sym_inquire_statement_token1] = ACTIONS(2501),
    [aux_sym_enum_statement_token1] = ACTIONS(2501),
    [aux_sym_file_position_statement_token1] = ACTIONS(2501),
    [aux_sym_file_position_statement_token2] = ACTIONS(2501),
    [aux_sym_file_position_statement_token3] = ACTIONS(2501),
    [aux_sym_file_position_statement_token4] = ACTIONS(2501),
    [aux_sym_logical_expression_token5] = ACTIONS(2503),
    [anon_sym_DOT] = ACTIONS(2501),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [aux_sym_boolean_literal_token1] = ACTIONS(2503),
    [aux_sym_boolean_literal_token2] = ACTIONS(2503),
    [aux_sym_null_literal_token1] = ACTIONS(2501),
    [aux_sym_identifier_token1] = ACTIONS(2501),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2503),
    [sym__float_literal] = ACTIONS(2503),
    [sym__boz_literal] = ACTIONS(2503),
    [sym__string_literal] = ACTIONS(2503),
    [sym__string_literal_kind] = ACTIONS(2503),
  },
  [627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token2] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2413),
    [aux_sym_end_program_statement_token1] = ACTIONS(2413),
    [aux_sym_end_program_statement_token2] = ACTIONS(2413),
    [aux_sym_module_statement_token1] = ACTIONS(2413),
    [aux_sym_submodule_statement_token1] = ACTIONS(2413),
    [aux_sym_interface_statement_token1] = ACTIONS(2413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2413),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2413),
    [aux_sym_function_statement_token1] = ACTIONS(2413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2413),
    [aux_sym_contains_statement_token1] = ACTIONS(2413),
    [aux_sym_use_statement_token1] = ACTIONS(2413),
    [aux_sym_use_statement_token2] = ACTIONS(2413),
    [aux_sym_implicit_statement_token1] = ACTIONS(2413),
    [aux_sym_implicit_statement_token3] = ACTIONS(2413),
    [aux_sym_implicit_statement_token4] = ACTIONS(2413),
    [aux_sym_save_statement_token1] = ACTIONS(2413),
    [aux_sym_private_statement_token1] = ACTIONS(2413),
    [aux_sym_public_statement_token1] = ACTIONS(2413),
    [aux_sym_namelist_statement_token1] = ACTIONS(2413),
    [aux_sym_common_statement_token1] = ACTIONS(2413),
    [aux_sym_import_statement_token1] = ACTIONS(2413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2413),
    [aux_sym_variable_attributes_token1] = ACTIONS(2413),
    [aux_sym_variable_attributes_token2] = ACTIONS(2413),
    [aux_sym_variable_attributes_token3] = ACTIONS(2413),
    [aux_sym_variable_attributes_token4] = ACTIONS(2413),
    [aux_sym_variable_attributes_token5] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2413),
    [aux_sym_derived_type_token1] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2413),
    [aux_sym_stop_statement_token1] = ACTIONS(2413),
    [aux_sym_stop_statement_token2] = ACTIONS(2413),
    [aux_sym_subroutine_call_token1] = ACTIONS(2413),
    [aux_sym_keyword_statement_token1] = ACTIONS(2413),
    [aux_sym_keyword_statement_token2] = ACTIONS(2413),
    [aux_sym_keyword_statement_token3] = ACTIONS(2413),
    [aux_sym_keyword_statement_token4] = ACTIONS(2413),
    [aux_sym_keyword_statement_token6] = ACTIONS(2413),
    [aux_sym_keyword_statement_token7] = ACTIONS(2413),
    [aux_sym_include_statement_token1] = ACTIONS(2413),
    [aux_sym_data_statement_token1] = ACTIONS(2413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2413),
    [aux_sym_end_if_statement_token1] = ACTIONS(2413),
    [aux_sym_elseif_clause_token2] = ACTIONS(2413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2413),
    [aux_sym_select_case_statement_token1] = ACTIONS(2413),
    [aux_sym_select_case_statement_token3] = ACTIONS(2413),
    [aux_sym_select_type_statement_token1] = ACTIONS(2413),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2413),
    [aux_sym_block_construct_token1] = ACTIONS(2413),
    [aux_sym_associate_statement_token1] = ACTIONS(2413),
    [aux_sym_format_statement_token1] = ACTIONS(2413),
    [aux_sym_print_statement_token1] = ACTIONS(2413),
    [aux_sym_open_statement_token1] = ACTIONS(2413),
    [aux_sym_close_statement_token1] = ACTIONS(2413),
    [aux_sym_inquire_statement_token1] = ACTIONS(2413),
    [aux_sym_enum_statement_token1] = ACTIONS(2413),
    [aux_sym_file_position_statement_token1] = ACTIONS(2413),
    [aux_sym_file_position_statement_token2] = ACTIONS(2413),
    [aux_sym_file_position_statement_token3] = ACTIONS(2413),
    [aux_sym_file_position_statement_token4] = ACTIONS(2413),
    [aux_sym_logical_expression_token5] = ACTIONS(2415),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [aux_sym_boolean_literal_token1] = ACTIONS(2415),
    [aux_sym_boolean_literal_token2] = ACTIONS(2415),
    [aux_sym_null_literal_token1] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2415),
    [sym__float_literal] = ACTIONS(2415),
    [sym__boz_literal] = ACTIONS(2415),
    [sym__string_literal] = ACTIONS(2415),
    [sym__string_literal_kind] = ACTIONS(2415),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [aux_sym_preproc_include_token1] = ACTIONS(2493),
    [aux_sym_preproc_def_token1] = ACTIONS(2493),
    [aux_sym_preproc_if_token1] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2493),
    [sym_preproc_directive] = ACTIONS(2493),
    [anon_sym_LPAREN2] = ACTIONS(2493),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2493),
    [aux_sym_end_program_statement_token1] = ACTIONS(2493),
    [aux_sym_end_program_statement_token2] = ACTIONS(2493),
    [aux_sym_module_statement_token1] = ACTIONS(2493),
    [aux_sym_submodule_statement_token1] = ACTIONS(2493),
    [aux_sym_interface_statement_token1] = ACTIONS(2493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2493),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2493),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2493),
    [aux_sym_function_statement_token1] = ACTIONS(2493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2493),
    [aux_sym_contains_statement_token1] = ACTIONS(2493),
    [aux_sym_use_statement_token1] = ACTIONS(2493),
    [aux_sym_use_statement_token2] = ACTIONS(2493),
    [aux_sym_implicit_statement_token1] = ACTIONS(2493),
    [aux_sym_implicit_statement_token3] = ACTIONS(2493),
    [aux_sym_implicit_statement_token4] = ACTIONS(2493),
    [aux_sym_save_statement_token1] = ACTIONS(2493),
    [aux_sym_private_statement_token1] = ACTIONS(2493),
    [aux_sym_public_statement_token1] = ACTIONS(2493),
    [aux_sym_namelist_statement_token1] = ACTIONS(2493),
    [aux_sym_common_statement_token1] = ACTIONS(2493),
    [aux_sym_import_statement_token1] = ACTIONS(2493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2493),
    [aux_sym_variable_attributes_token1] = ACTIONS(2493),
    [aux_sym_variable_attributes_token2] = ACTIONS(2493),
    [aux_sym_variable_attributes_token3] = ACTIONS(2493),
    [aux_sym_variable_attributes_token4] = ACTIONS(2493),
    [aux_sym_variable_attributes_token5] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2493),
    [aux_sym_derived_type_token1] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2493),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2493),
    [aux_sym_stop_statement_token1] = ACTIONS(2493),
    [aux_sym_stop_statement_token2] = ACTIONS(2493),
    [aux_sym_subroutine_call_token1] = ACTIONS(2493),
    [aux_sym_keyword_statement_token1] = ACTIONS(2493),
    [aux_sym_keyword_statement_token2] = ACTIONS(2493),
    [aux_sym_keyword_statement_token3] = ACTIONS(2493),
    [aux_sym_keyword_statement_token4] = ACTIONS(2493),
    [aux_sym_keyword_statement_token6] = ACTIONS(2493),
    [aux_sym_keyword_statement_token7] = ACTIONS(2493),
    [aux_sym_include_statement_token1] = ACTIONS(2493),
    [aux_sym_data_statement_token1] = ACTIONS(2493),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2493),
    [aux_sym_end_if_statement_token1] = ACTIONS(2493),
    [aux_sym_elseif_clause_token2] = ACTIONS(2493),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2493),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2493),
    [aux_sym_select_case_statement_token1] = ACTIONS(2493),
    [aux_sym_select_case_statement_token3] = ACTIONS(2493),
    [aux_sym_select_type_statement_token1] = ACTIONS(2493),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2493),
    [aux_sym_block_construct_token1] = ACTIONS(2493),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2493),
    [aux_sym_print_statement_token1] = ACTIONS(2493),
    [aux_sym_open_statement_token1] = ACTIONS(2493),
    [aux_sym_close_statement_token1] = ACTIONS(2493),
    [aux_sym_inquire_statement_token1] = ACTIONS(2493),
    [aux_sym_enum_statement_token1] = ACTIONS(2493),
    [aux_sym_file_position_statement_token1] = ACTIONS(2493),
    [aux_sym_file_position_statement_token2] = ACTIONS(2493),
    [aux_sym_file_position_statement_token3] = ACTIONS(2493),
    [aux_sym_file_position_statement_token4] = ACTIONS(2493),
    [aux_sym_logical_expression_token5] = ACTIONS(2495),
    [anon_sym_DOT] = ACTIONS(2493),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2495),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [aux_sym_boolean_literal_token1] = ACTIONS(2495),
    [aux_sym_boolean_literal_token2] = ACTIONS(2495),
    [aux_sym_null_literal_token1] = ACTIONS(2493),
    [aux_sym_identifier_token1] = ACTIONS(2493),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2495),
    [sym__float_literal] = ACTIONS(2495),
    [sym__boz_literal] = ACTIONS(2495),
    [sym__string_literal] = ACTIONS(2495),
    [sym__string_literal_kind] = ACTIONS(2495),
  },
  [629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2425),
    [aux_sym_preproc_def_token1] = ACTIONS(2425),
    [aux_sym_preproc_if_token1] = ACTIONS(2425),
    [aux_sym_preproc_if_token2] = ACTIONS(2425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2425),
    [sym_preproc_directive] = ACTIONS(2425),
    [anon_sym_LPAREN2] = ACTIONS(2425),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2425),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_end_program_statement_token2] = ACTIONS(2425),
    [aux_sym_module_statement_token1] = ACTIONS(2425),
    [aux_sym_submodule_statement_token1] = ACTIONS(2425),
    [aux_sym_interface_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2425),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2425),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2425),
    [aux_sym_function_statement_token1] = ACTIONS(2425),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2425),
    [aux_sym_contains_statement_token1] = ACTIONS(2425),
    [aux_sym_use_statement_token1] = ACTIONS(2425),
    [aux_sym_use_statement_token2] = ACTIONS(2425),
    [aux_sym_implicit_statement_token1] = ACTIONS(2425),
    [aux_sym_implicit_statement_token3] = ACTIONS(2425),
    [aux_sym_implicit_statement_token4] = ACTIONS(2425),
    [aux_sym_save_statement_token1] = ACTIONS(2425),
    [aux_sym_private_statement_token1] = ACTIONS(2425),
    [aux_sym_public_statement_token1] = ACTIONS(2425),
    [aux_sym_namelist_statement_token1] = ACTIONS(2425),
    [aux_sym_common_statement_token1] = ACTIONS(2425),
    [aux_sym_import_statement_token1] = ACTIONS(2425),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2425),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2425),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2425),
    [aux_sym_variable_attributes_token1] = ACTIONS(2425),
    [aux_sym_variable_attributes_token2] = ACTIONS(2425),
    [aux_sym_variable_attributes_token3] = ACTIONS(2425),
    [aux_sym_variable_attributes_token4] = ACTIONS(2425),
    [aux_sym_variable_attributes_token5] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2425),
    [aux_sym_derived_type_token1] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2425),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2425),
    [aux_sym_stop_statement_token1] = ACTIONS(2425),
    [aux_sym_stop_statement_token2] = ACTIONS(2425),
    [aux_sym_subroutine_call_token1] = ACTIONS(2425),
    [aux_sym_keyword_statement_token1] = ACTIONS(2425),
    [aux_sym_keyword_statement_token2] = ACTIONS(2425),
    [aux_sym_keyword_statement_token3] = ACTIONS(2425),
    [aux_sym_keyword_statement_token4] = ACTIONS(2425),
    [aux_sym_keyword_statement_token6] = ACTIONS(2425),
    [aux_sym_keyword_statement_token7] = ACTIONS(2425),
    [aux_sym_include_statement_token1] = ACTIONS(2425),
    [aux_sym_data_statement_token1] = ACTIONS(2425),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2425),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2425),
    [aux_sym_end_if_statement_token1] = ACTIONS(2425),
    [aux_sym_elseif_clause_token2] = ACTIONS(2425),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2425),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2425),
    [aux_sym_select_case_statement_token1] = ACTIONS(2425),
    [aux_sym_select_case_statement_token3] = ACTIONS(2425),
    [aux_sym_select_type_statement_token1] = ACTIONS(2425),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2425),
    [aux_sym_block_construct_token1] = ACTIONS(2425),
    [aux_sym_associate_statement_token1] = ACTIONS(2425),
    [aux_sym_format_statement_token1] = ACTIONS(2425),
    [aux_sym_print_statement_token1] = ACTIONS(2425),
    [aux_sym_open_statement_token1] = ACTIONS(2425),
    [aux_sym_close_statement_token1] = ACTIONS(2425),
    [aux_sym_inquire_statement_token1] = ACTIONS(2425),
    [aux_sym_enum_statement_token1] = ACTIONS(2425),
    [aux_sym_file_position_statement_token1] = ACTIONS(2425),
    [aux_sym_file_position_statement_token2] = ACTIONS(2425),
    [aux_sym_file_position_statement_token3] = ACTIONS(2425),
    [aux_sym_file_position_statement_token4] = ACTIONS(2425),
    [aux_sym_logical_expression_token5] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [aux_sym_boolean_literal_token1] = ACTIONS(2427),
    [aux_sym_boolean_literal_token2] = ACTIONS(2427),
    [aux_sym_null_literal_token1] = ACTIONS(2425),
    [aux_sym_identifier_token1] = ACTIONS(2425),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2427),
    [sym__float_literal] = ACTIONS(2427),
    [sym__boz_literal] = ACTIONS(2427),
    [sym__string_literal] = ACTIONS(2427),
    [sym__string_literal_kind] = ACTIONS(2427),
  },
  [630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2429),
    [aux_sym_preproc_def_token1] = ACTIONS(2429),
    [aux_sym_preproc_if_token1] = ACTIONS(2429),
    [aux_sym_preproc_if_token2] = ACTIONS(2429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2429),
    [sym_preproc_directive] = ACTIONS(2429),
    [anon_sym_LPAREN2] = ACTIONS(2429),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2429),
    [aux_sym_end_program_statement_token1] = ACTIONS(2429),
    [aux_sym_end_program_statement_token2] = ACTIONS(2429),
    [aux_sym_module_statement_token1] = ACTIONS(2429),
    [aux_sym_submodule_statement_token1] = ACTIONS(2429),
    [aux_sym_interface_statement_token1] = ACTIONS(2429),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2429),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2429),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2429),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2429),
    [aux_sym_function_statement_token1] = ACTIONS(2429),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2429),
    [aux_sym_contains_statement_token1] = ACTIONS(2429),
    [aux_sym_use_statement_token1] = ACTIONS(2429),
    [aux_sym_use_statement_token2] = ACTIONS(2429),
    [aux_sym_implicit_statement_token1] = ACTIONS(2429),
    [aux_sym_implicit_statement_token3] = ACTIONS(2429),
    [aux_sym_implicit_statement_token4] = ACTIONS(2429),
    [aux_sym_save_statement_token1] = ACTIONS(2429),
    [aux_sym_private_statement_token1] = ACTIONS(2429),
    [aux_sym_public_statement_token1] = ACTIONS(2429),
    [aux_sym_namelist_statement_token1] = ACTIONS(2429),
    [aux_sym_common_statement_token1] = ACTIONS(2429),
    [aux_sym_import_statement_token1] = ACTIONS(2429),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2429),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2429),
    [aux_sym_variable_attributes_token1] = ACTIONS(2429),
    [aux_sym_variable_attributes_token2] = ACTIONS(2429),
    [aux_sym_variable_attributes_token3] = ACTIONS(2429),
    [aux_sym_variable_attributes_token4] = ACTIONS(2429),
    [aux_sym_variable_attributes_token5] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2429),
    [aux_sym_derived_type_token1] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2429),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2429),
    [aux_sym_stop_statement_token1] = ACTIONS(2429),
    [aux_sym_stop_statement_token2] = ACTIONS(2429),
    [aux_sym_subroutine_call_token1] = ACTIONS(2429),
    [aux_sym_keyword_statement_token1] = ACTIONS(2429),
    [aux_sym_keyword_statement_token2] = ACTIONS(2429),
    [aux_sym_keyword_statement_token3] = ACTIONS(2429),
    [aux_sym_keyword_statement_token4] = ACTIONS(2429),
    [aux_sym_keyword_statement_token6] = ACTIONS(2429),
    [aux_sym_keyword_statement_token7] = ACTIONS(2429),
    [aux_sym_include_statement_token1] = ACTIONS(2429),
    [aux_sym_data_statement_token1] = ACTIONS(2429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2429),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2429),
    [aux_sym_end_if_statement_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(2429),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2429),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2429),
    [aux_sym_select_case_statement_token1] = ACTIONS(2429),
    [aux_sym_select_case_statement_token3] = ACTIONS(2429),
    [aux_sym_select_type_statement_token1] = ACTIONS(2429),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2429),
    [aux_sym_block_construct_token1] = ACTIONS(2429),
    [aux_sym_associate_statement_token1] = ACTIONS(2429),
    [aux_sym_format_statement_token1] = ACTIONS(2429),
    [aux_sym_print_statement_token1] = ACTIONS(2429),
    [aux_sym_open_statement_token1] = ACTIONS(2429),
    [aux_sym_close_statement_token1] = ACTIONS(2429),
    [aux_sym_inquire_statement_token1] = ACTIONS(2429),
    [aux_sym_enum_statement_token1] = ACTIONS(2429),
    [aux_sym_file_position_statement_token1] = ACTIONS(2429),
    [aux_sym_file_position_statement_token2] = ACTIONS(2429),
    [aux_sym_file_position_statement_token3] = ACTIONS(2429),
    [aux_sym_file_position_statement_token4] = ACTIONS(2429),
    [aux_sym_logical_expression_token5] = ACTIONS(2431),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [aux_sym_boolean_literal_token1] = ACTIONS(2431),
    [aux_sym_boolean_literal_token2] = ACTIONS(2431),
    [aux_sym_null_literal_token1] = ACTIONS(2429),
    [aux_sym_identifier_token1] = ACTIONS(2429),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2431),
    [sym__float_literal] = ACTIONS(2431),
    [sym__boz_literal] = ACTIONS(2431),
    [sym__string_literal] = ACTIONS(2431),
    [sym__string_literal_kind] = ACTIONS(2431),
  },
  [631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2437),
    [aux_sym_preproc_def_token1] = ACTIONS(2437),
    [aux_sym_preproc_if_token1] = ACTIONS(2437),
    [aux_sym_preproc_if_token2] = ACTIONS(2437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2437),
    [sym_preproc_directive] = ACTIONS(2437),
    [anon_sym_LPAREN2] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2437),
    [aux_sym_end_program_statement_token1] = ACTIONS(2437),
    [aux_sym_end_program_statement_token2] = ACTIONS(2437),
    [aux_sym_module_statement_token1] = ACTIONS(2437),
    [aux_sym_submodule_statement_token1] = ACTIONS(2437),
    [aux_sym_interface_statement_token1] = ACTIONS(2437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2437),
    [aux_sym_function_statement_token1] = ACTIONS(2437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2437),
    [aux_sym_contains_statement_token1] = ACTIONS(2437),
    [aux_sym_use_statement_token1] = ACTIONS(2437),
    [aux_sym_use_statement_token2] = ACTIONS(2437),
    [aux_sym_implicit_statement_token1] = ACTIONS(2437),
    [aux_sym_implicit_statement_token3] = ACTIONS(2437),
    [aux_sym_implicit_statement_token4] = ACTIONS(2437),
    [aux_sym_save_statement_token1] = ACTIONS(2437),
    [aux_sym_private_statement_token1] = ACTIONS(2437),
    [aux_sym_public_statement_token1] = ACTIONS(2437),
    [aux_sym_namelist_statement_token1] = ACTIONS(2437),
    [aux_sym_common_statement_token1] = ACTIONS(2437),
    [aux_sym_import_statement_token1] = ACTIONS(2437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2437),
    [aux_sym_variable_attributes_token1] = ACTIONS(2437),
    [aux_sym_variable_attributes_token2] = ACTIONS(2437),
    [aux_sym_variable_attributes_token3] = ACTIONS(2437),
    [aux_sym_variable_attributes_token4] = ACTIONS(2437),
    [aux_sym_variable_attributes_token5] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2437),
    [aux_sym_derived_type_token1] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2437),
    [aux_sym_stop_statement_token1] = ACTIONS(2437),
    [aux_sym_stop_statement_token2] = ACTIONS(2437),
    [aux_sym_subroutine_call_token1] = ACTIONS(2437),
    [aux_sym_keyword_statement_token1] = ACTIONS(2437),
    [aux_sym_keyword_statement_token2] = ACTIONS(2437),
    [aux_sym_keyword_statement_token3] = ACTIONS(2437),
    [aux_sym_keyword_statement_token4] = ACTIONS(2437),
    [aux_sym_keyword_statement_token6] = ACTIONS(2437),
    [aux_sym_keyword_statement_token7] = ACTIONS(2437),
    [aux_sym_include_statement_token1] = ACTIONS(2437),
    [aux_sym_data_statement_token1] = ACTIONS(2437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2437),
    [aux_sym_end_if_statement_token1] = ACTIONS(2437),
    [aux_sym_elseif_clause_token2] = ACTIONS(2437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2437),
    [aux_sym_select_case_statement_token1] = ACTIONS(2437),
    [aux_sym_select_case_statement_token3] = ACTIONS(2437),
    [aux_sym_select_type_statement_token1] = ACTIONS(2437),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2437),
    [aux_sym_block_construct_token1] = ACTIONS(2437),
    [aux_sym_associate_statement_token1] = ACTIONS(2437),
    [aux_sym_format_statement_token1] = ACTIONS(2437),
    [aux_sym_print_statement_token1] = ACTIONS(2437),
    [aux_sym_open_statement_token1] = ACTIONS(2437),
    [aux_sym_close_statement_token1] = ACTIONS(2437),
    [aux_sym_inquire_statement_token1] = ACTIONS(2437),
    [aux_sym_enum_statement_token1] = ACTIONS(2437),
    [aux_sym_file_position_statement_token1] = ACTIONS(2437),
    [aux_sym_file_position_statement_token2] = ACTIONS(2437),
    [aux_sym_file_position_statement_token3] = ACTIONS(2437),
    [aux_sym_file_position_statement_token4] = ACTIONS(2437),
    [aux_sym_logical_expression_token5] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(2437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [aux_sym_boolean_literal_token1] = ACTIONS(2439),
    [aux_sym_boolean_literal_token2] = ACTIONS(2439),
    [aux_sym_null_literal_token1] = ACTIONS(2437),
    [aux_sym_identifier_token1] = ACTIONS(2437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2439),
    [sym__float_literal] = ACTIONS(2439),
    [sym__boz_literal] = ACTIONS(2439),
    [sym__string_literal] = ACTIONS(2439),
    [sym__string_literal_kind] = ACTIONS(2439),
  },
  [632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2445),
    [aux_sym_preproc_def_token1] = ACTIONS(2445),
    [aux_sym_preproc_if_token1] = ACTIONS(2445),
    [aux_sym_preproc_if_token2] = ACTIONS(2445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2445),
    [sym_preproc_directive] = ACTIONS(2445),
    [anon_sym_LPAREN2] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2447),
    [anon_sym_DASH] = ACTIONS(2447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2445),
    [aux_sym_end_program_statement_token1] = ACTIONS(2445),
    [aux_sym_end_program_statement_token2] = ACTIONS(2445),
    [aux_sym_module_statement_token1] = ACTIONS(2445),
    [aux_sym_submodule_statement_token1] = ACTIONS(2445),
    [aux_sym_interface_statement_token1] = ACTIONS(2445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2445),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2445),
    [aux_sym_function_statement_token1] = ACTIONS(2445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2445),
    [aux_sym_contains_statement_token1] = ACTIONS(2445),
    [aux_sym_use_statement_token1] = ACTIONS(2445),
    [aux_sym_use_statement_token2] = ACTIONS(2445),
    [aux_sym_implicit_statement_token1] = ACTIONS(2445),
    [aux_sym_implicit_statement_token3] = ACTIONS(2445),
    [aux_sym_implicit_statement_token4] = ACTIONS(2445),
    [aux_sym_save_statement_token1] = ACTIONS(2445),
    [aux_sym_private_statement_token1] = ACTIONS(2445),
    [aux_sym_public_statement_token1] = ACTIONS(2445),
    [aux_sym_namelist_statement_token1] = ACTIONS(2445),
    [aux_sym_common_statement_token1] = ACTIONS(2445),
    [aux_sym_import_statement_token1] = ACTIONS(2445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2445),
    [aux_sym_variable_attributes_token1] = ACTIONS(2445),
    [aux_sym_variable_attributes_token2] = ACTIONS(2445),
    [aux_sym_variable_attributes_token3] = ACTIONS(2445),
    [aux_sym_variable_attributes_token4] = ACTIONS(2445),
    [aux_sym_variable_attributes_token5] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2445),
    [aux_sym_derived_type_token1] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2445),
    [aux_sym_stop_statement_token1] = ACTIONS(2445),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2445),
    [aux_sym_keyword_statement_token1] = ACTIONS(2445),
    [aux_sym_keyword_statement_token2] = ACTIONS(2445),
    [aux_sym_keyword_statement_token3] = ACTIONS(2445),
    [aux_sym_keyword_statement_token4] = ACTIONS(2445),
    [aux_sym_keyword_statement_token6] = ACTIONS(2445),
    [aux_sym_keyword_statement_token7] = ACTIONS(2445),
    [aux_sym_include_statement_token1] = ACTIONS(2445),
    [aux_sym_data_statement_token1] = ACTIONS(2445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2445),
    [aux_sym_end_if_statement_token1] = ACTIONS(2445),
    [aux_sym_elseif_clause_token2] = ACTIONS(2445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2445),
    [aux_sym_select_case_statement_token1] = ACTIONS(2445),
    [aux_sym_select_case_statement_token3] = ACTIONS(2445),
    [aux_sym_select_type_statement_token1] = ACTIONS(2445),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2445),
    [aux_sym_block_construct_token1] = ACTIONS(2445),
    [aux_sym_associate_statement_token1] = ACTIONS(2445),
    [aux_sym_format_statement_token1] = ACTIONS(2445),
    [aux_sym_print_statement_token1] = ACTIONS(2445),
    [aux_sym_open_statement_token1] = ACTIONS(2445),
    [aux_sym_close_statement_token1] = ACTIONS(2445),
    [aux_sym_inquire_statement_token1] = ACTIONS(2445),
    [aux_sym_enum_statement_token1] = ACTIONS(2445),
    [aux_sym_file_position_statement_token1] = ACTIONS(2445),
    [aux_sym_file_position_statement_token2] = ACTIONS(2445),
    [aux_sym_file_position_statement_token3] = ACTIONS(2445),
    [aux_sym_file_position_statement_token4] = ACTIONS(2445),
    [aux_sym_logical_expression_token5] = ACTIONS(2447),
    [anon_sym_DOT] = ACTIONS(2445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [aux_sym_boolean_literal_token1] = ACTIONS(2447),
    [aux_sym_boolean_literal_token2] = ACTIONS(2447),
    [aux_sym_null_literal_token1] = ACTIONS(2445),
    [aux_sym_identifier_token1] = ACTIONS(2445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2447),
    [sym__float_literal] = ACTIONS(2447),
    [sym__boz_literal] = ACTIONS(2447),
    [sym__string_literal] = ACTIONS(2447),
    [sym__string_literal_kind] = ACTIONS(2447),
  },
  [633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2449),
    [aux_sym_preproc_def_token1] = ACTIONS(2449),
    [aux_sym_preproc_if_token1] = ACTIONS(2449),
    [aux_sym_preproc_if_token2] = ACTIONS(2449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2449),
    [sym_preproc_directive] = ACTIONS(2449),
    [anon_sym_LPAREN2] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2449),
    [aux_sym_end_program_statement_token1] = ACTIONS(2449),
    [aux_sym_end_program_statement_token2] = ACTIONS(2449),
    [aux_sym_module_statement_token1] = ACTIONS(2449),
    [aux_sym_submodule_statement_token1] = ACTIONS(2449),
    [aux_sym_interface_statement_token1] = ACTIONS(2449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2449),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2449),
    [aux_sym_function_statement_token1] = ACTIONS(2449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2449),
    [aux_sym_contains_statement_token1] = ACTIONS(2449),
    [aux_sym_use_statement_token1] = ACTIONS(2449),
    [aux_sym_use_statement_token2] = ACTIONS(2449),
    [aux_sym_implicit_statement_token1] = ACTIONS(2449),
    [aux_sym_implicit_statement_token3] = ACTIONS(2449),
    [aux_sym_implicit_statement_token4] = ACTIONS(2449),
    [aux_sym_save_statement_token1] = ACTIONS(2449),
    [aux_sym_private_statement_token1] = ACTIONS(2449),
    [aux_sym_public_statement_token1] = ACTIONS(2449),
    [aux_sym_namelist_statement_token1] = ACTIONS(2449),
    [aux_sym_common_statement_token1] = ACTIONS(2449),
    [aux_sym_import_statement_token1] = ACTIONS(2449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2449),
    [aux_sym_variable_attributes_token1] = ACTIONS(2449),
    [aux_sym_variable_attributes_token2] = ACTIONS(2449),
    [aux_sym_variable_attributes_token3] = ACTIONS(2449),
    [aux_sym_variable_attributes_token4] = ACTIONS(2449),
    [aux_sym_variable_attributes_token5] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2449),
    [aux_sym_derived_type_token1] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2449),
    [aux_sym_stop_statement_token1] = ACTIONS(2449),
    [aux_sym_stop_statement_token2] = ACTIONS(2449),
    [aux_sym_subroutine_call_token1] = ACTIONS(2449),
    [aux_sym_keyword_statement_token1] = ACTIONS(2449),
    [aux_sym_keyword_statement_token2] = ACTIONS(2449),
    [aux_sym_keyword_statement_token3] = ACTIONS(2449),
    [aux_sym_keyword_statement_token4] = ACTIONS(2449),
    [aux_sym_keyword_statement_token6] = ACTIONS(2449),
    [aux_sym_keyword_statement_token7] = ACTIONS(2449),
    [aux_sym_include_statement_token1] = ACTIONS(2449),
    [aux_sym_data_statement_token1] = ACTIONS(2449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2449),
    [aux_sym_end_if_statement_token1] = ACTIONS(2449),
    [aux_sym_elseif_clause_token2] = ACTIONS(2449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2449),
    [aux_sym_select_case_statement_token1] = ACTIONS(2449),
    [aux_sym_select_case_statement_token3] = ACTIONS(2449),
    [aux_sym_select_type_statement_token1] = ACTIONS(2449),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2449),
    [aux_sym_block_construct_token1] = ACTIONS(2449),
    [aux_sym_associate_statement_token1] = ACTIONS(2449),
    [aux_sym_format_statement_token1] = ACTIONS(2449),
    [aux_sym_print_statement_token1] = ACTIONS(2449),
    [aux_sym_open_statement_token1] = ACTIONS(2449),
    [aux_sym_close_statement_token1] = ACTIONS(2449),
    [aux_sym_inquire_statement_token1] = ACTIONS(2449),
    [aux_sym_enum_statement_token1] = ACTIONS(2449),
    [aux_sym_file_position_statement_token1] = ACTIONS(2449),
    [aux_sym_file_position_statement_token2] = ACTIONS(2449),
    [aux_sym_file_position_statement_token3] = ACTIONS(2449),
    [aux_sym_file_position_statement_token4] = ACTIONS(2449),
    [aux_sym_logical_expression_token5] = ACTIONS(2451),
    [anon_sym_DOT] = ACTIONS(2449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(2451),
    [aux_sym_boolean_literal_token1] = ACTIONS(2451),
    [aux_sym_boolean_literal_token2] = ACTIONS(2451),
    [aux_sym_null_literal_token1] = ACTIONS(2449),
    [aux_sym_identifier_token1] = ACTIONS(2449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2451),
    [sym__float_literal] = ACTIONS(2451),
    [sym__boz_literal] = ACTIONS(2451),
    [sym__string_literal] = ACTIONS(2451),
    [sym__string_literal_kind] = ACTIONS(2451),
  },
  [634] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_module] = STATE(671),
    [sym_preproc_ifdef_in_module] = STATE(671),
    [sym_end_submodule_statement] = STATE(617),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(2215),
    [sym_internal_procedures] = STATE(4614),
    [sym_contains_statement] = STATE(5173),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2817),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2819),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2821),
    [aux_sym_public_statement_token1] = ACTIONS(2823),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2559),
    [aux_sym_preproc_include_token1] = ACTIONS(2557),
    [aux_sym_preproc_def_token1] = ACTIONS(2557),
    [aux_sym_preproc_if_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2557),
    [sym_preproc_directive] = ACTIONS(2557),
    [anon_sym_LPAREN2] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2559),
    [anon_sym_DASH] = ACTIONS(2559),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2557),
    [aux_sym_end_program_statement_token1] = ACTIONS(2557),
    [aux_sym_end_program_statement_token2] = ACTIONS(2557),
    [aux_sym_module_statement_token1] = ACTIONS(2557),
    [aux_sym_submodule_statement_token1] = ACTIONS(2557),
    [aux_sym_interface_statement_token1] = ACTIONS(2557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2557),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2557),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2557),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2557),
    [aux_sym_function_statement_token1] = ACTIONS(2557),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2557),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2557),
    [aux_sym_contains_statement_token1] = ACTIONS(2557),
    [aux_sym_use_statement_token1] = ACTIONS(2557),
    [aux_sym_use_statement_token2] = ACTIONS(2557),
    [aux_sym_implicit_statement_token1] = ACTIONS(2557),
    [aux_sym_implicit_statement_token3] = ACTIONS(2557),
    [aux_sym_implicit_statement_token4] = ACTIONS(2557),
    [aux_sym_save_statement_token1] = ACTIONS(2557),
    [aux_sym_private_statement_token1] = ACTIONS(2557),
    [aux_sym_public_statement_token1] = ACTIONS(2557),
    [aux_sym_namelist_statement_token1] = ACTIONS(2557),
    [aux_sym_common_statement_token1] = ACTIONS(2557),
    [aux_sym_import_statement_token1] = ACTIONS(2557),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2557),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2557),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2557),
    [aux_sym_variable_attributes_token1] = ACTIONS(2557),
    [aux_sym_variable_attributes_token2] = ACTIONS(2557),
    [aux_sym_variable_attributes_token3] = ACTIONS(2557),
    [aux_sym_variable_attributes_token4] = ACTIONS(2557),
    [aux_sym_variable_attributes_token5] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2557),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2557),
    [aux_sym_derived_type_token1] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2557),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2557),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2557),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2557),
    [aux_sym_stop_statement_token1] = ACTIONS(2557),
    [aux_sym_stop_statement_token2] = ACTIONS(2557),
    [aux_sym_subroutine_call_token1] = ACTIONS(2557),
    [aux_sym_keyword_statement_token1] = ACTIONS(2557),
    [aux_sym_keyword_statement_token2] = ACTIONS(2557),
    [aux_sym_keyword_statement_token3] = ACTIONS(2557),
    [aux_sym_keyword_statement_token4] = ACTIONS(2557),
    [aux_sym_keyword_statement_token6] = ACTIONS(2557),
    [aux_sym_keyword_statement_token7] = ACTIONS(2557),
    [aux_sym_include_statement_token1] = ACTIONS(2557),
    [aux_sym_data_statement_token1] = ACTIONS(2557),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2557),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2557),
    [aux_sym_end_if_statement_token1] = ACTIONS(2557),
    [aux_sym_elseif_clause_token2] = ACTIONS(2557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2557),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2557),
    [aux_sym_select_case_statement_token1] = ACTIONS(2557),
    [aux_sym_select_case_statement_token3] = ACTIONS(2557),
    [aux_sym_select_type_statement_token1] = ACTIONS(2557),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2557),
    [aux_sym_block_construct_token1] = ACTIONS(2557),
    [aux_sym_associate_statement_token1] = ACTIONS(2557),
    [aux_sym_format_statement_token1] = ACTIONS(2557),
    [aux_sym_print_statement_token1] = ACTIONS(2557),
    [aux_sym_open_statement_token1] = ACTIONS(2557),
    [aux_sym_close_statement_token1] = ACTIONS(2557),
    [aux_sym_inquire_statement_token1] = ACTIONS(2557),
    [aux_sym_enum_statement_token1] = ACTIONS(2557),
    [aux_sym_file_position_statement_token1] = ACTIONS(2557),
    [aux_sym_file_position_statement_token2] = ACTIONS(2557),
    [aux_sym_file_position_statement_token3] = ACTIONS(2557),
    [aux_sym_file_position_statement_token4] = ACTIONS(2557),
    [aux_sym_logical_expression_token5] = ACTIONS(2559),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2559),
    [aux_sym_boolean_literal_token1] = ACTIONS(2559),
    [aux_sym_boolean_literal_token2] = ACTIONS(2559),
    [aux_sym_null_literal_token1] = ACTIONS(2557),
    [aux_sym_identifier_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2559),
    [sym__float_literal] = ACTIONS(2559),
    [sym__boz_literal] = ACTIONS(2559),
    [sym__string_literal] = ACTIONS(2559),
    [sym__string_literal_kind] = ACTIONS(2559),
  },
  [636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token2] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2637),
    [aux_sym_end_program_statement_token1] = ACTIONS(2637),
    [aux_sym_end_program_statement_token2] = ACTIONS(2637),
    [aux_sym_module_statement_token1] = ACTIONS(2637),
    [aux_sym_submodule_statement_token1] = ACTIONS(2637),
    [aux_sym_interface_statement_token1] = ACTIONS(2637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2637),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2637),
    [aux_sym_function_statement_token1] = ACTIONS(2637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2637),
    [aux_sym_contains_statement_token1] = ACTIONS(2637),
    [aux_sym_use_statement_token1] = ACTIONS(2637),
    [aux_sym_use_statement_token2] = ACTIONS(2637),
    [aux_sym_implicit_statement_token1] = ACTIONS(2637),
    [aux_sym_implicit_statement_token3] = ACTIONS(2637),
    [aux_sym_implicit_statement_token4] = ACTIONS(2637),
    [aux_sym_save_statement_token1] = ACTIONS(2637),
    [aux_sym_private_statement_token1] = ACTIONS(2637),
    [aux_sym_public_statement_token1] = ACTIONS(2637),
    [aux_sym_namelist_statement_token1] = ACTIONS(2637),
    [aux_sym_common_statement_token1] = ACTIONS(2637),
    [aux_sym_import_statement_token1] = ACTIONS(2637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2637),
    [aux_sym_variable_attributes_token1] = ACTIONS(2637),
    [aux_sym_variable_attributes_token2] = ACTIONS(2637),
    [aux_sym_variable_attributes_token3] = ACTIONS(2637),
    [aux_sym_variable_attributes_token4] = ACTIONS(2637),
    [aux_sym_variable_attributes_token5] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2637),
    [aux_sym_derived_type_token1] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2637),
    [aux_sym_stop_statement_token1] = ACTIONS(2637),
    [aux_sym_stop_statement_token2] = ACTIONS(2637),
    [aux_sym_subroutine_call_token1] = ACTIONS(2637),
    [aux_sym_keyword_statement_token1] = ACTIONS(2637),
    [aux_sym_keyword_statement_token2] = ACTIONS(2637),
    [aux_sym_keyword_statement_token3] = ACTIONS(2637),
    [aux_sym_keyword_statement_token4] = ACTIONS(2637),
    [aux_sym_keyword_statement_token6] = ACTIONS(2637),
    [aux_sym_keyword_statement_token7] = ACTIONS(2637),
    [aux_sym_include_statement_token1] = ACTIONS(2637),
    [aux_sym_data_statement_token1] = ACTIONS(2637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2637),
    [aux_sym_end_if_statement_token1] = ACTIONS(2637),
    [aux_sym_elseif_clause_token2] = ACTIONS(2637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2637),
    [aux_sym_select_case_statement_token1] = ACTIONS(2637),
    [aux_sym_select_case_statement_token3] = ACTIONS(2637),
    [aux_sym_select_type_statement_token1] = ACTIONS(2637),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2637),
    [aux_sym_block_construct_token1] = ACTIONS(2637),
    [aux_sym_associate_statement_token1] = ACTIONS(2637),
    [aux_sym_format_statement_token1] = ACTIONS(2637),
    [aux_sym_print_statement_token1] = ACTIONS(2637),
    [aux_sym_open_statement_token1] = ACTIONS(2637),
    [aux_sym_close_statement_token1] = ACTIONS(2637),
    [aux_sym_inquire_statement_token1] = ACTIONS(2637),
    [aux_sym_enum_statement_token1] = ACTIONS(2637),
    [aux_sym_file_position_statement_token1] = ACTIONS(2637),
    [aux_sym_file_position_statement_token2] = ACTIONS(2637),
    [aux_sym_file_position_statement_token3] = ACTIONS(2637),
    [aux_sym_file_position_statement_token4] = ACTIONS(2637),
    [aux_sym_logical_expression_token5] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [aux_sym_boolean_literal_token1] = ACTIONS(2639),
    [aux_sym_boolean_literal_token2] = ACTIONS(2639),
    [aux_sym_null_literal_token1] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2639),
    [sym__float_literal] = ACTIONS(2639),
    [sym__boz_literal] = ACTIONS(2639),
    [sym__string_literal] = ACTIONS(2639),
    [sym__string_literal_kind] = ACTIONS(2639),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2577),
    [aux_sym_preproc_def_token1] = ACTIONS(2577),
    [aux_sym_preproc_if_token1] = ACTIONS(2577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2577),
    [sym_preproc_directive] = ACTIONS(2577),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2577),
    [aux_sym_end_program_statement_token1] = ACTIONS(2577),
    [aux_sym_end_program_statement_token2] = ACTIONS(2577),
    [aux_sym_module_statement_token1] = ACTIONS(2577),
    [aux_sym_submodule_statement_token1] = ACTIONS(2577),
    [aux_sym_interface_statement_token1] = ACTIONS(2577),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2577),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2577),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2577),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2577),
    [aux_sym_function_statement_token1] = ACTIONS(2577),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2577),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2577),
    [aux_sym_contains_statement_token1] = ACTIONS(2577),
    [aux_sym_use_statement_token1] = ACTIONS(2577),
    [aux_sym_use_statement_token2] = ACTIONS(2577),
    [aux_sym_implicit_statement_token1] = ACTIONS(2577),
    [aux_sym_implicit_statement_token3] = ACTIONS(2577),
    [aux_sym_implicit_statement_token4] = ACTIONS(2577),
    [aux_sym_save_statement_token1] = ACTIONS(2577),
    [aux_sym_private_statement_token1] = ACTIONS(2577),
    [aux_sym_public_statement_token1] = ACTIONS(2577),
    [aux_sym_namelist_statement_token1] = ACTIONS(2577),
    [aux_sym_common_statement_token1] = ACTIONS(2577),
    [aux_sym_import_statement_token1] = ACTIONS(2577),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2577),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2577),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2577),
    [aux_sym_variable_attributes_token1] = ACTIONS(2577),
    [aux_sym_variable_attributes_token2] = ACTIONS(2577),
    [aux_sym_variable_attributes_token3] = ACTIONS(2577),
    [aux_sym_variable_attributes_token4] = ACTIONS(2577),
    [aux_sym_variable_attributes_token5] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2577),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2577),
    [aux_sym_derived_type_token1] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2577),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2577),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2577),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2577),
    [aux_sym_stop_statement_token1] = ACTIONS(2577),
    [aux_sym_stop_statement_token2] = ACTIONS(2577),
    [aux_sym_subroutine_call_token1] = ACTIONS(2577),
    [aux_sym_keyword_statement_token1] = ACTIONS(2577),
    [aux_sym_keyword_statement_token2] = ACTIONS(2577),
    [aux_sym_keyword_statement_token3] = ACTIONS(2577),
    [aux_sym_keyword_statement_token4] = ACTIONS(2577),
    [aux_sym_keyword_statement_token6] = ACTIONS(2577),
    [aux_sym_keyword_statement_token7] = ACTIONS(2577),
    [aux_sym_include_statement_token1] = ACTIONS(2577),
    [aux_sym_data_statement_token1] = ACTIONS(2577),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2577),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2577),
    [aux_sym_end_if_statement_token1] = ACTIONS(2577),
    [aux_sym_elseif_clause_token2] = ACTIONS(2577),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2577),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2577),
    [aux_sym_select_case_statement_token1] = ACTIONS(2577),
    [aux_sym_select_case_statement_token3] = ACTIONS(2577),
    [aux_sym_select_type_statement_token1] = ACTIONS(2577),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2577),
    [aux_sym_block_construct_token1] = ACTIONS(2577),
    [aux_sym_associate_statement_token1] = ACTIONS(2577),
    [aux_sym_format_statement_token1] = ACTIONS(2577),
    [aux_sym_print_statement_token1] = ACTIONS(2577),
    [aux_sym_open_statement_token1] = ACTIONS(2577),
    [aux_sym_close_statement_token1] = ACTIONS(2577),
    [aux_sym_inquire_statement_token1] = ACTIONS(2577),
    [aux_sym_enum_statement_token1] = ACTIONS(2577),
    [aux_sym_file_position_statement_token1] = ACTIONS(2577),
    [aux_sym_file_position_statement_token2] = ACTIONS(2577),
    [aux_sym_file_position_statement_token3] = ACTIONS(2577),
    [aux_sym_file_position_statement_token4] = ACTIONS(2577),
    [aux_sym_logical_expression_token5] = ACTIONS(2579),
    [anon_sym_DOT] = ACTIONS(2577),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [aux_sym_boolean_literal_token1] = ACTIONS(2579),
    [aux_sym_boolean_literal_token2] = ACTIONS(2579),
    [aux_sym_null_literal_token1] = ACTIONS(2577),
    [aux_sym_identifier_token1] = ACTIONS(2577),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2579),
    [sym__float_literal] = ACTIONS(2579),
    [sym__boz_literal] = ACTIONS(2579),
    [sym__string_literal] = ACTIONS(2579),
    [sym__string_literal_kind] = ACTIONS(2579),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2539),
    [aux_sym_preproc_include_token1] = ACTIONS(2537),
    [aux_sym_preproc_def_token1] = ACTIONS(2537),
    [aux_sym_preproc_if_token1] = ACTIONS(2537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2537),
    [sym_preproc_directive] = ACTIONS(2537),
    [anon_sym_LPAREN2] = ACTIONS(2537),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2537),
    [aux_sym_end_program_statement_token1] = ACTIONS(2537),
    [aux_sym_end_program_statement_token2] = ACTIONS(2537),
    [aux_sym_module_statement_token1] = ACTIONS(2537),
    [aux_sym_submodule_statement_token1] = ACTIONS(2537),
    [aux_sym_interface_statement_token1] = ACTIONS(2537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2537),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2537),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2537),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2537),
    [aux_sym_function_statement_token1] = ACTIONS(2537),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2537),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2537),
    [aux_sym_contains_statement_token1] = ACTIONS(2537),
    [aux_sym_use_statement_token1] = ACTIONS(2537),
    [aux_sym_use_statement_token2] = ACTIONS(2537),
    [aux_sym_implicit_statement_token1] = ACTIONS(2537),
    [aux_sym_implicit_statement_token3] = ACTIONS(2537),
    [aux_sym_implicit_statement_token4] = ACTIONS(2537),
    [aux_sym_save_statement_token1] = ACTIONS(2537),
    [aux_sym_private_statement_token1] = ACTIONS(2537),
    [aux_sym_public_statement_token1] = ACTIONS(2537),
    [aux_sym_namelist_statement_token1] = ACTIONS(2537),
    [aux_sym_common_statement_token1] = ACTIONS(2537),
    [aux_sym_import_statement_token1] = ACTIONS(2537),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2537),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2537),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2537),
    [aux_sym_variable_attributes_token1] = ACTIONS(2537),
    [aux_sym_variable_attributes_token2] = ACTIONS(2537),
    [aux_sym_variable_attributes_token3] = ACTIONS(2537),
    [aux_sym_variable_attributes_token4] = ACTIONS(2537),
    [aux_sym_variable_attributes_token5] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2537),
    [aux_sym_derived_type_token1] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2537),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2537),
    [aux_sym_stop_statement_token1] = ACTIONS(2537),
    [aux_sym_stop_statement_token2] = ACTIONS(2537),
    [aux_sym_subroutine_call_token1] = ACTIONS(2537),
    [aux_sym_keyword_statement_token1] = ACTIONS(2537),
    [aux_sym_keyword_statement_token2] = ACTIONS(2537),
    [aux_sym_keyword_statement_token3] = ACTIONS(2537),
    [aux_sym_keyword_statement_token4] = ACTIONS(2537),
    [aux_sym_keyword_statement_token6] = ACTIONS(2537),
    [aux_sym_keyword_statement_token7] = ACTIONS(2537),
    [aux_sym_include_statement_token1] = ACTIONS(2537),
    [aux_sym_data_statement_token1] = ACTIONS(2537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2537),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2537),
    [aux_sym_end_if_statement_token1] = ACTIONS(2537),
    [aux_sym_elseif_clause_token2] = ACTIONS(2537),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2537),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2537),
    [aux_sym_select_case_statement_token1] = ACTIONS(2537),
    [aux_sym_select_case_statement_token3] = ACTIONS(2537),
    [aux_sym_select_type_statement_token1] = ACTIONS(2537),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2537),
    [aux_sym_block_construct_token1] = ACTIONS(2537),
    [aux_sym_associate_statement_token1] = ACTIONS(2537),
    [aux_sym_format_statement_token1] = ACTIONS(2537),
    [aux_sym_print_statement_token1] = ACTIONS(2537),
    [aux_sym_open_statement_token1] = ACTIONS(2537),
    [aux_sym_close_statement_token1] = ACTIONS(2537),
    [aux_sym_inquire_statement_token1] = ACTIONS(2537),
    [aux_sym_enum_statement_token1] = ACTIONS(2537),
    [aux_sym_file_position_statement_token1] = ACTIONS(2537),
    [aux_sym_file_position_statement_token2] = ACTIONS(2537),
    [aux_sym_file_position_statement_token3] = ACTIONS(2537),
    [aux_sym_file_position_statement_token4] = ACTIONS(2537),
    [aux_sym_logical_expression_token5] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [aux_sym_boolean_literal_token1] = ACTIONS(2539),
    [aux_sym_boolean_literal_token2] = ACTIONS(2539),
    [aux_sym_null_literal_token1] = ACTIONS(2537),
    [aux_sym_identifier_token1] = ACTIONS(2537),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2539),
    [sym__float_literal] = ACTIONS(2539),
    [sym__boz_literal] = ACTIONS(2539),
    [sym__string_literal] = ACTIONS(2539),
    [sym__string_literal_kind] = ACTIONS(2539),
  },
  [639] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_module] = STATE(796),
    [sym_preproc_ifdef_in_module] = STATE(796),
    [sym_end_module_statement] = STATE(663),
    [sym_interface] = STATE(796),
    [sym_interface_statement] = STATE(2201),
    [sym_internal_procedures] = STATE(4487),
    [sym_contains_statement] = STATE(5280),
    [sym__specification_part] = STATE(796),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(796),
    [sym_public_statement] = STATE(796),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(796),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(796),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(796),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2825),
    [aux_sym_end_module_statement_token1] = ACTIONS(2827),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2797),
    [aux_sym_public_statement_token1] = ACTIONS(2799),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2589),
    [aux_sym_end_program_statement_token1] = ACTIONS(2589),
    [aux_sym_end_program_statement_token2] = ACTIONS(2589),
    [aux_sym_module_statement_token1] = ACTIONS(2589),
    [aux_sym_submodule_statement_token1] = ACTIONS(2589),
    [aux_sym_interface_statement_token1] = ACTIONS(2589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2589),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2589),
    [aux_sym_function_statement_token1] = ACTIONS(2589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2589),
    [aux_sym_contains_statement_token1] = ACTIONS(2589),
    [aux_sym_use_statement_token1] = ACTIONS(2589),
    [aux_sym_use_statement_token2] = ACTIONS(2589),
    [aux_sym_implicit_statement_token1] = ACTIONS(2589),
    [aux_sym_implicit_statement_token3] = ACTIONS(2589),
    [aux_sym_implicit_statement_token4] = ACTIONS(2589),
    [aux_sym_save_statement_token1] = ACTIONS(2589),
    [aux_sym_private_statement_token1] = ACTIONS(2589),
    [aux_sym_public_statement_token1] = ACTIONS(2589),
    [aux_sym_namelist_statement_token1] = ACTIONS(2589),
    [aux_sym_common_statement_token1] = ACTIONS(2589),
    [aux_sym_import_statement_token1] = ACTIONS(2589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2589),
    [aux_sym_variable_attributes_token1] = ACTIONS(2589),
    [aux_sym_variable_attributes_token2] = ACTIONS(2589),
    [aux_sym_variable_attributes_token3] = ACTIONS(2589),
    [aux_sym_variable_attributes_token4] = ACTIONS(2589),
    [aux_sym_variable_attributes_token5] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2589),
    [aux_sym_derived_type_token1] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2589),
    [aux_sym_stop_statement_token1] = ACTIONS(2589),
    [aux_sym_stop_statement_token2] = ACTIONS(2589),
    [aux_sym_subroutine_call_token1] = ACTIONS(2589),
    [aux_sym_keyword_statement_token1] = ACTIONS(2589),
    [aux_sym_keyword_statement_token2] = ACTIONS(2589),
    [aux_sym_keyword_statement_token3] = ACTIONS(2589),
    [aux_sym_keyword_statement_token4] = ACTIONS(2589),
    [aux_sym_keyword_statement_token6] = ACTIONS(2589),
    [aux_sym_keyword_statement_token7] = ACTIONS(2589),
    [aux_sym_include_statement_token1] = ACTIONS(2589),
    [aux_sym_data_statement_token1] = ACTIONS(2589),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2589),
    [aux_sym_end_if_statement_token1] = ACTIONS(2589),
    [aux_sym_elseif_clause_token2] = ACTIONS(2589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2589),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2589),
    [aux_sym_select_case_statement_token1] = ACTIONS(2589),
    [aux_sym_select_case_statement_token3] = ACTIONS(2589),
    [aux_sym_select_type_statement_token1] = ACTIONS(2589),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2589),
    [aux_sym_block_construct_token1] = ACTIONS(2589),
    [aux_sym_associate_statement_token1] = ACTIONS(2589),
    [aux_sym_format_statement_token1] = ACTIONS(2589),
    [aux_sym_print_statement_token1] = ACTIONS(2589),
    [aux_sym_open_statement_token1] = ACTIONS(2589),
    [aux_sym_close_statement_token1] = ACTIONS(2589),
    [aux_sym_inquire_statement_token1] = ACTIONS(2589),
    [aux_sym_enum_statement_token1] = ACTIONS(2589),
    [aux_sym_file_position_statement_token1] = ACTIONS(2589),
    [aux_sym_file_position_statement_token2] = ACTIONS(2589),
    [aux_sym_file_position_statement_token3] = ACTIONS(2589),
    [aux_sym_file_position_statement_token4] = ACTIONS(2589),
    [aux_sym_logical_expression_token5] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [aux_sym_boolean_literal_token1] = ACTIONS(2591),
    [aux_sym_boolean_literal_token2] = ACTIONS(2591),
    [aux_sym_null_literal_token1] = ACTIONS(2589),
    [aux_sym_identifier_token1] = ACTIONS(2589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2591),
    [sym__float_literal] = ACTIONS(2591),
    [sym__boz_literal] = ACTIONS(2591),
    [sym__string_literal] = ACTIONS(2591),
    [sym__string_literal_kind] = ACTIONS(2591),
  },
  [641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token2] = ACTIONS(2305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [642] = {
    [sym__statements] = STATE(5406),
    [sym_statement_label] = STATE(4392),
    [sym_statement_label_reference] = STATE(5407),
    [sym_stop_statement] = STATE(5406),
    [sym_assignment_statement] = STATE(5406),
    [sym_pointer_association_statement] = STATE(5406),
    [sym_subroutine_call] = STATE(5406),
    [sym_keyword_statement] = STATE(5406),
    [sym_include_statement] = STATE(5406),
    [sym_do_loop_statement] = STATE(5406),
    [sym_do_label_statement] = STATE(5406),
    [sym_end_do_label_statement] = STATE(5406),
    [sym_if_statement] = STATE(5406),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5406),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5406),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5406),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5406),
    [sym_select_type_statement] = STATE(5406),
    [sym_select_rank_statement] = STATE(5406),
    [sym_block_construct] = STATE(5406),
    [sym_associate_statement] = STATE(5406),
    [sym_format_statement] = STATE(5406),
    [sym_read_statement] = STATE(5406),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5406),
    [sym_open_statement] = STATE(5406),
    [sym_close_statement] = STATE(5406),
    [sym_write_statement] = STATE(5406),
    [sym_inquire_statement] = STATE(5406),
    [sym_file_position_statement] = STATE(5406),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym__block_if_statement_token1] = ACTIONS(2829),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2487),
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token2] = ACTIONS(2485),
    [aux_sym_module_statement_token1] = ACTIONS(2485),
    [aux_sym_submodule_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_function_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2451),
    [aux_sym_preproc_include_token1] = ACTIONS(2449),
    [aux_sym_preproc_def_token1] = ACTIONS(2449),
    [aux_sym_preproc_if_token1] = ACTIONS(2449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2449),
    [sym_preproc_directive] = ACTIONS(2449),
    [anon_sym_LPAREN2] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2449),
    [aux_sym_end_program_statement_token1] = ACTIONS(2449),
    [aux_sym_end_program_statement_token2] = ACTIONS(2449),
    [aux_sym_module_statement_token1] = ACTIONS(2449),
    [aux_sym_submodule_statement_token1] = ACTIONS(2449),
    [aux_sym_interface_statement_token1] = ACTIONS(2449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2449),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2449),
    [aux_sym_function_statement_token1] = ACTIONS(2449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2449),
    [aux_sym_contains_statement_token1] = ACTIONS(2449),
    [aux_sym_use_statement_token1] = ACTIONS(2449),
    [aux_sym_use_statement_token2] = ACTIONS(2449),
    [aux_sym_implicit_statement_token1] = ACTIONS(2449),
    [aux_sym_implicit_statement_token3] = ACTIONS(2449),
    [aux_sym_implicit_statement_token4] = ACTIONS(2449),
    [aux_sym_save_statement_token1] = ACTIONS(2449),
    [aux_sym_private_statement_token1] = ACTIONS(2449),
    [aux_sym_public_statement_token1] = ACTIONS(2449),
    [aux_sym_namelist_statement_token1] = ACTIONS(2449),
    [aux_sym_common_statement_token1] = ACTIONS(2449),
    [aux_sym_import_statement_token1] = ACTIONS(2449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2449),
    [aux_sym_variable_attributes_token1] = ACTIONS(2449),
    [aux_sym_variable_attributes_token2] = ACTIONS(2449),
    [aux_sym_variable_attributes_token3] = ACTIONS(2449),
    [aux_sym_variable_attributes_token4] = ACTIONS(2449),
    [aux_sym_variable_attributes_token5] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2449),
    [aux_sym_derived_type_token1] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2449),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2449),
    [aux_sym_stop_statement_token1] = ACTIONS(2449),
    [aux_sym_stop_statement_token2] = ACTIONS(2449),
    [aux_sym_subroutine_call_token1] = ACTIONS(2449),
    [aux_sym_keyword_statement_token1] = ACTIONS(2449),
    [aux_sym_keyword_statement_token2] = ACTIONS(2449),
    [aux_sym_keyword_statement_token3] = ACTIONS(2449),
    [aux_sym_keyword_statement_token4] = ACTIONS(2449),
    [aux_sym_keyword_statement_token6] = ACTIONS(2449),
    [aux_sym_keyword_statement_token7] = ACTIONS(2449),
    [aux_sym_include_statement_token1] = ACTIONS(2449),
    [aux_sym_data_statement_token1] = ACTIONS(2449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2449),
    [aux_sym_end_if_statement_token1] = ACTIONS(2449),
    [aux_sym_elseif_clause_token2] = ACTIONS(2449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2449),
    [aux_sym_select_case_statement_token1] = ACTIONS(2449),
    [aux_sym_select_case_statement_token3] = ACTIONS(2449),
    [aux_sym_select_type_statement_token1] = ACTIONS(2449),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2449),
    [aux_sym_block_construct_token1] = ACTIONS(2449),
    [aux_sym_associate_statement_token1] = ACTIONS(2449),
    [aux_sym_format_statement_token1] = ACTIONS(2449),
    [aux_sym_print_statement_token1] = ACTIONS(2449),
    [aux_sym_open_statement_token1] = ACTIONS(2449),
    [aux_sym_close_statement_token1] = ACTIONS(2449),
    [aux_sym_inquire_statement_token1] = ACTIONS(2449),
    [aux_sym_enum_statement_token1] = ACTIONS(2449),
    [aux_sym_file_position_statement_token1] = ACTIONS(2449),
    [aux_sym_file_position_statement_token2] = ACTIONS(2449),
    [aux_sym_file_position_statement_token3] = ACTIONS(2449),
    [aux_sym_file_position_statement_token4] = ACTIONS(2449),
    [aux_sym_logical_expression_token5] = ACTIONS(2451),
    [anon_sym_DOT] = ACTIONS(2449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(2451),
    [aux_sym_boolean_literal_token1] = ACTIONS(2451),
    [aux_sym_boolean_literal_token2] = ACTIONS(2451),
    [aux_sym_null_literal_token1] = ACTIONS(2449),
    [aux_sym_identifier_token1] = ACTIONS(2449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2451),
    [sym__float_literal] = ACTIONS(2451),
    [sym__boz_literal] = ACTIONS(2451),
    [sym__string_literal] = ACTIONS(2451),
    [sym__string_literal_kind] = ACTIONS(2451),
  },
  [645] = {
    [sym__statements] = STATE(5380),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5380),
    [sym_assignment_statement] = STATE(5380),
    [sym_pointer_association_statement] = STATE(5380),
    [sym_subroutine_call] = STATE(5380),
    [sym_keyword_statement] = STATE(5380),
    [sym_include_statement] = STATE(5380),
    [sym_do_loop_statement] = STATE(5380),
    [sym_do_label_statement] = STATE(5380),
    [sym_end_do_label_statement] = STATE(5380),
    [sym_if_statement] = STATE(5380),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5380),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(6178),
    [sym_where_statement] = STATE(5380),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5380),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5380),
    [sym_select_type_statement] = STATE(5380),
    [sym_select_rank_statement] = STATE(5380),
    [sym_block_construct] = STATE(5380),
    [sym_associate_statement] = STATE(5380),
    [sym_format_statement] = STATE(5380),
    [sym_read_statement] = STATE(5380),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5380),
    [sym_open_statement] = STATE(5380),
    [sym_close_statement] = STATE(5380),
    [sym_write_statement] = STATE(5380),
    [sym_inquire_statement] = STATE(5380),
    [sym_file_position_statement] = STATE(5380),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token2] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2641),
    [aux_sym_end_program_statement_token1] = ACTIONS(2641),
    [aux_sym_end_program_statement_token2] = ACTIONS(2641),
    [aux_sym_module_statement_token1] = ACTIONS(2641),
    [aux_sym_submodule_statement_token1] = ACTIONS(2641),
    [aux_sym_interface_statement_token1] = ACTIONS(2641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2641),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2641),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2641),
    [aux_sym_function_statement_token1] = ACTIONS(2641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2641),
    [aux_sym_contains_statement_token1] = ACTIONS(2641),
    [aux_sym_use_statement_token1] = ACTIONS(2641),
    [aux_sym_use_statement_token2] = ACTIONS(2641),
    [aux_sym_implicit_statement_token1] = ACTIONS(2641),
    [aux_sym_implicit_statement_token3] = ACTIONS(2641),
    [aux_sym_implicit_statement_token4] = ACTIONS(2641),
    [aux_sym_save_statement_token1] = ACTIONS(2641),
    [aux_sym_private_statement_token1] = ACTIONS(2641),
    [aux_sym_public_statement_token1] = ACTIONS(2641),
    [aux_sym_namelist_statement_token1] = ACTIONS(2641),
    [aux_sym_common_statement_token1] = ACTIONS(2641),
    [aux_sym_import_statement_token1] = ACTIONS(2641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2641),
    [aux_sym_variable_attributes_token1] = ACTIONS(2641),
    [aux_sym_variable_attributes_token2] = ACTIONS(2641),
    [aux_sym_variable_attributes_token3] = ACTIONS(2641),
    [aux_sym_variable_attributes_token4] = ACTIONS(2641),
    [aux_sym_variable_attributes_token5] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2641),
    [aux_sym_derived_type_token1] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2641),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2641),
    [aux_sym_stop_statement_token1] = ACTIONS(2641),
    [aux_sym_stop_statement_token2] = ACTIONS(2641),
    [aux_sym_subroutine_call_token1] = ACTIONS(2641),
    [aux_sym_keyword_statement_token1] = ACTIONS(2641),
    [aux_sym_keyword_statement_token2] = ACTIONS(2641),
    [aux_sym_keyword_statement_token3] = ACTIONS(2641),
    [aux_sym_keyword_statement_token4] = ACTIONS(2641),
    [aux_sym_keyword_statement_token6] = ACTIONS(2641),
    [aux_sym_keyword_statement_token7] = ACTIONS(2641),
    [aux_sym_include_statement_token1] = ACTIONS(2641),
    [aux_sym_data_statement_token1] = ACTIONS(2641),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2641),
    [aux_sym_end_if_statement_token1] = ACTIONS(2641),
    [aux_sym_elseif_clause_token2] = ACTIONS(2641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2641),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2641),
    [aux_sym_select_case_statement_token1] = ACTIONS(2641),
    [aux_sym_select_case_statement_token3] = ACTIONS(2641),
    [aux_sym_select_type_statement_token1] = ACTIONS(2641),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2641),
    [aux_sym_block_construct_token1] = ACTIONS(2641),
    [aux_sym_associate_statement_token1] = ACTIONS(2641),
    [aux_sym_format_statement_token1] = ACTIONS(2641),
    [aux_sym_print_statement_token1] = ACTIONS(2641),
    [aux_sym_open_statement_token1] = ACTIONS(2641),
    [aux_sym_close_statement_token1] = ACTIONS(2641),
    [aux_sym_inquire_statement_token1] = ACTIONS(2641),
    [aux_sym_enum_statement_token1] = ACTIONS(2641),
    [aux_sym_file_position_statement_token1] = ACTIONS(2641),
    [aux_sym_file_position_statement_token2] = ACTIONS(2641),
    [aux_sym_file_position_statement_token3] = ACTIONS(2641),
    [aux_sym_file_position_statement_token4] = ACTIONS(2641),
    [aux_sym_logical_expression_token5] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [aux_sym_boolean_literal_token1] = ACTIONS(2643),
    [aux_sym_boolean_literal_token2] = ACTIONS(2643),
    [aux_sym_null_literal_token1] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2643),
    [sym__float_literal] = ACTIONS(2643),
    [sym__boz_literal] = ACTIONS(2643),
    [sym__string_literal] = ACTIONS(2643),
    [sym__string_literal_kind] = ACTIONS(2643),
  },
  [647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2489),
    [aux_sym_preproc_def_token1] = ACTIONS(2489),
    [aux_sym_preproc_if_token1] = ACTIONS(2489),
    [aux_sym_preproc_if_token2] = ACTIONS(2489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2489),
    [sym_preproc_directive] = ACTIONS(2489),
    [anon_sym_LPAREN2] = ACTIONS(2489),
    [anon_sym_PLUS] = ACTIONS(2491),
    [anon_sym_DASH] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2489),
    [aux_sym_end_program_statement_token1] = ACTIONS(2489),
    [aux_sym_end_program_statement_token2] = ACTIONS(2489),
    [aux_sym_module_statement_token1] = ACTIONS(2489),
    [aux_sym_submodule_statement_token1] = ACTIONS(2489),
    [aux_sym_interface_statement_token1] = ACTIONS(2489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2489),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2489),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2489),
    [aux_sym_function_statement_token1] = ACTIONS(2489),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2489),
    [aux_sym_contains_statement_token1] = ACTIONS(2489),
    [aux_sym_use_statement_token1] = ACTIONS(2489),
    [aux_sym_use_statement_token2] = ACTIONS(2489),
    [aux_sym_implicit_statement_token1] = ACTIONS(2489),
    [aux_sym_implicit_statement_token3] = ACTIONS(2489),
    [aux_sym_implicit_statement_token4] = ACTIONS(2489),
    [aux_sym_save_statement_token1] = ACTIONS(2489),
    [aux_sym_private_statement_token1] = ACTIONS(2489),
    [aux_sym_public_statement_token1] = ACTIONS(2489),
    [aux_sym_namelist_statement_token1] = ACTIONS(2489),
    [aux_sym_common_statement_token1] = ACTIONS(2489),
    [aux_sym_import_statement_token1] = ACTIONS(2489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2489),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2489),
    [aux_sym_variable_attributes_token1] = ACTIONS(2489),
    [aux_sym_variable_attributes_token2] = ACTIONS(2489),
    [aux_sym_variable_attributes_token3] = ACTIONS(2489),
    [aux_sym_variable_attributes_token4] = ACTIONS(2489),
    [aux_sym_variable_attributes_token5] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2489),
    [aux_sym_derived_type_token1] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2489),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2489),
    [aux_sym_stop_statement_token1] = ACTIONS(2489),
    [aux_sym_stop_statement_token2] = ACTIONS(2489),
    [aux_sym_subroutine_call_token1] = ACTIONS(2489),
    [aux_sym_keyword_statement_token1] = ACTIONS(2489),
    [aux_sym_keyword_statement_token2] = ACTIONS(2489),
    [aux_sym_keyword_statement_token3] = ACTIONS(2489),
    [aux_sym_keyword_statement_token4] = ACTIONS(2489),
    [aux_sym_keyword_statement_token6] = ACTIONS(2489),
    [aux_sym_keyword_statement_token7] = ACTIONS(2489),
    [aux_sym_include_statement_token1] = ACTIONS(2489),
    [aux_sym_data_statement_token1] = ACTIONS(2489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2489),
    [aux_sym_end_if_statement_token1] = ACTIONS(2489),
    [aux_sym_elseif_clause_token2] = ACTIONS(2489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2489),
    [aux_sym_select_case_statement_token1] = ACTIONS(2489),
    [aux_sym_select_case_statement_token3] = ACTIONS(2489),
    [aux_sym_select_type_statement_token1] = ACTIONS(2489),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2489),
    [aux_sym_block_construct_token1] = ACTIONS(2489),
    [aux_sym_associate_statement_token1] = ACTIONS(2489),
    [aux_sym_format_statement_token1] = ACTIONS(2489),
    [aux_sym_print_statement_token1] = ACTIONS(2489),
    [aux_sym_open_statement_token1] = ACTIONS(2489),
    [aux_sym_close_statement_token1] = ACTIONS(2489),
    [aux_sym_inquire_statement_token1] = ACTIONS(2489),
    [aux_sym_enum_statement_token1] = ACTIONS(2489),
    [aux_sym_file_position_statement_token1] = ACTIONS(2489),
    [aux_sym_file_position_statement_token2] = ACTIONS(2489),
    [aux_sym_file_position_statement_token3] = ACTIONS(2489),
    [aux_sym_file_position_statement_token4] = ACTIONS(2489),
    [aux_sym_logical_expression_token5] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [aux_sym_boolean_literal_token1] = ACTIONS(2491),
    [aux_sym_boolean_literal_token2] = ACTIONS(2491),
    [aux_sym_null_literal_token1] = ACTIONS(2489),
    [aux_sym_identifier_token1] = ACTIONS(2489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2491),
    [sym__float_literal] = ACTIONS(2491),
    [sym__boz_literal] = ACTIONS(2491),
    [sym__string_literal] = ACTIONS(2491),
    [sym__string_literal_kind] = ACTIONS(2491),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2581),
    [aux_sym_preproc_def_token1] = ACTIONS(2581),
    [aux_sym_preproc_if_token1] = ACTIONS(2581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2581),
    [sym_preproc_directive] = ACTIONS(2581),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2581),
    [aux_sym_end_program_statement_token1] = ACTIONS(2581),
    [aux_sym_end_program_statement_token2] = ACTIONS(2581),
    [aux_sym_module_statement_token1] = ACTIONS(2581),
    [aux_sym_submodule_statement_token1] = ACTIONS(2581),
    [aux_sym_interface_statement_token1] = ACTIONS(2581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2581),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2581),
    [aux_sym_function_statement_token1] = ACTIONS(2581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2581),
    [aux_sym_contains_statement_token1] = ACTIONS(2581),
    [aux_sym_use_statement_token1] = ACTIONS(2581),
    [aux_sym_use_statement_token2] = ACTIONS(2581),
    [aux_sym_implicit_statement_token1] = ACTIONS(2581),
    [aux_sym_implicit_statement_token3] = ACTIONS(2581),
    [aux_sym_implicit_statement_token4] = ACTIONS(2581),
    [aux_sym_save_statement_token1] = ACTIONS(2581),
    [aux_sym_private_statement_token1] = ACTIONS(2581),
    [aux_sym_public_statement_token1] = ACTIONS(2581),
    [aux_sym_namelist_statement_token1] = ACTIONS(2581),
    [aux_sym_common_statement_token1] = ACTIONS(2581),
    [aux_sym_import_statement_token1] = ACTIONS(2581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2581),
    [aux_sym_variable_attributes_token1] = ACTIONS(2581),
    [aux_sym_variable_attributes_token2] = ACTIONS(2581),
    [aux_sym_variable_attributes_token3] = ACTIONS(2581),
    [aux_sym_variable_attributes_token4] = ACTIONS(2581),
    [aux_sym_variable_attributes_token5] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2581),
    [aux_sym_derived_type_token1] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2581),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2581),
    [aux_sym_stop_statement_token1] = ACTIONS(2581),
    [aux_sym_stop_statement_token2] = ACTIONS(2581),
    [aux_sym_subroutine_call_token1] = ACTIONS(2581),
    [aux_sym_keyword_statement_token1] = ACTIONS(2581),
    [aux_sym_keyword_statement_token2] = ACTIONS(2581),
    [aux_sym_keyword_statement_token3] = ACTIONS(2581),
    [aux_sym_keyword_statement_token4] = ACTIONS(2581),
    [aux_sym_keyword_statement_token6] = ACTIONS(2581),
    [aux_sym_keyword_statement_token7] = ACTIONS(2581),
    [aux_sym_include_statement_token1] = ACTIONS(2581),
    [aux_sym_data_statement_token1] = ACTIONS(2581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2581),
    [aux_sym_end_if_statement_token1] = ACTIONS(2581),
    [aux_sym_elseif_clause_token2] = ACTIONS(2581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2581),
    [aux_sym_select_case_statement_token1] = ACTIONS(2581),
    [aux_sym_select_case_statement_token3] = ACTIONS(2581),
    [aux_sym_select_type_statement_token1] = ACTIONS(2581),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2581),
    [aux_sym_block_construct_token1] = ACTIONS(2581),
    [aux_sym_associate_statement_token1] = ACTIONS(2581),
    [aux_sym_format_statement_token1] = ACTIONS(2581),
    [aux_sym_print_statement_token1] = ACTIONS(2581),
    [aux_sym_open_statement_token1] = ACTIONS(2581),
    [aux_sym_close_statement_token1] = ACTIONS(2581),
    [aux_sym_inquire_statement_token1] = ACTIONS(2581),
    [aux_sym_enum_statement_token1] = ACTIONS(2581),
    [aux_sym_file_position_statement_token1] = ACTIONS(2581),
    [aux_sym_file_position_statement_token2] = ACTIONS(2581),
    [aux_sym_file_position_statement_token3] = ACTIONS(2581),
    [aux_sym_file_position_statement_token4] = ACTIONS(2581),
    [aux_sym_logical_expression_token5] = ACTIONS(2583),
    [anon_sym_DOT] = ACTIONS(2581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [aux_sym_boolean_literal_token1] = ACTIONS(2583),
    [aux_sym_boolean_literal_token2] = ACTIONS(2583),
    [aux_sym_null_literal_token1] = ACTIONS(2581),
    [aux_sym_identifier_token1] = ACTIONS(2581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2583),
    [sym__float_literal] = ACTIONS(2583),
    [sym__boz_literal] = ACTIONS(2583),
    [sym__string_literal] = ACTIONS(2583),
    [sym__string_literal_kind] = ACTIONS(2583),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2447),
    [aux_sym_preproc_include_token1] = ACTIONS(2445),
    [aux_sym_preproc_def_token1] = ACTIONS(2445),
    [aux_sym_preproc_if_token1] = ACTIONS(2445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2445),
    [sym_preproc_directive] = ACTIONS(2445),
    [anon_sym_LPAREN2] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2447),
    [anon_sym_DASH] = ACTIONS(2447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2445),
    [aux_sym_end_program_statement_token1] = ACTIONS(2445),
    [aux_sym_end_program_statement_token2] = ACTIONS(2445),
    [aux_sym_module_statement_token1] = ACTIONS(2445),
    [aux_sym_submodule_statement_token1] = ACTIONS(2445),
    [aux_sym_interface_statement_token1] = ACTIONS(2445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2445),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2445),
    [aux_sym_function_statement_token1] = ACTIONS(2445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2445),
    [aux_sym_contains_statement_token1] = ACTIONS(2445),
    [aux_sym_use_statement_token1] = ACTIONS(2445),
    [aux_sym_use_statement_token2] = ACTIONS(2445),
    [aux_sym_implicit_statement_token1] = ACTIONS(2445),
    [aux_sym_implicit_statement_token3] = ACTIONS(2445),
    [aux_sym_implicit_statement_token4] = ACTIONS(2445),
    [aux_sym_save_statement_token1] = ACTIONS(2445),
    [aux_sym_private_statement_token1] = ACTIONS(2445),
    [aux_sym_public_statement_token1] = ACTIONS(2445),
    [aux_sym_namelist_statement_token1] = ACTIONS(2445),
    [aux_sym_common_statement_token1] = ACTIONS(2445),
    [aux_sym_import_statement_token1] = ACTIONS(2445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2445),
    [aux_sym_variable_attributes_token1] = ACTIONS(2445),
    [aux_sym_variable_attributes_token2] = ACTIONS(2445),
    [aux_sym_variable_attributes_token3] = ACTIONS(2445),
    [aux_sym_variable_attributes_token4] = ACTIONS(2445),
    [aux_sym_variable_attributes_token5] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2445),
    [aux_sym_derived_type_token1] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2445),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2445),
    [aux_sym_stop_statement_token1] = ACTIONS(2445),
    [aux_sym_stop_statement_token2] = ACTIONS(2445),
    [aux_sym_subroutine_call_token1] = ACTIONS(2445),
    [aux_sym_keyword_statement_token1] = ACTIONS(2445),
    [aux_sym_keyword_statement_token2] = ACTIONS(2445),
    [aux_sym_keyword_statement_token3] = ACTIONS(2445),
    [aux_sym_keyword_statement_token4] = ACTIONS(2445),
    [aux_sym_keyword_statement_token6] = ACTIONS(2445),
    [aux_sym_keyword_statement_token7] = ACTIONS(2445),
    [aux_sym_include_statement_token1] = ACTIONS(2445),
    [aux_sym_data_statement_token1] = ACTIONS(2445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2445),
    [aux_sym_end_if_statement_token1] = ACTIONS(2445),
    [aux_sym_elseif_clause_token2] = ACTIONS(2445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2445),
    [aux_sym_select_case_statement_token1] = ACTIONS(2445),
    [aux_sym_select_case_statement_token3] = ACTIONS(2445),
    [aux_sym_select_type_statement_token1] = ACTIONS(2445),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2445),
    [aux_sym_block_construct_token1] = ACTIONS(2445),
    [aux_sym_associate_statement_token1] = ACTIONS(2445),
    [aux_sym_format_statement_token1] = ACTIONS(2445),
    [aux_sym_print_statement_token1] = ACTIONS(2445),
    [aux_sym_open_statement_token1] = ACTIONS(2445),
    [aux_sym_close_statement_token1] = ACTIONS(2445),
    [aux_sym_inquire_statement_token1] = ACTIONS(2445),
    [aux_sym_enum_statement_token1] = ACTIONS(2445),
    [aux_sym_file_position_statement_token1] = ACTIONS(2445),
    [aux_sym_file_position_statement_token2] = ACTIONS(2445),
    [aux_sym_file_position_statement_token3] = ACTIONS(2445),
    [aux_sym_file_position_statement_token4] = ACTIONS(2445),
    [aux_sym_logical_expression_token5] = ACTIONS(2447),
    [anon_sym_DOT] = ACTIONS(2445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2447),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [aux_sym_boolean_literal_token1] = ACTIONS(2447),
    [aux_sym_boolean_literal_token2] = ACTIONS(2447),
    [aux_sym_null_literal_token1] = ACTIONS(2445),
    [aux_sym_identifier_token1] = ACTIONS(2445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2447),
    [sym__float_literal] = ACTIONS(2447),
    [sym__boz_literal] = ACTIONS(2447),
    [sym__string_literal] = ACTIONS(2447),
    [sym__string_literal_kind] = ACTIONS(2447),
  },
  [650] = {
    [sym_preproc_include] = STATE(797),
    [sym_preproc_def] = STATE(797),
    [sym_preproc_function_def] = STATE(797),
    [sym_preproc_call] = STATE(797),
    [sym_preproc_if_in_module] = STATE(797),
    [sym_preproc_ifdef_in_module] = STATE(797),
    [sym_end_submodule_statement] = STATE(644),
    [sym_interface] = STATE(797),
    [sym_interface_statement] = STATE(2215),
    [sym_internal_procedures] = STATE(4493),
    [sym_contains_statement] = STATE(5173),
    [sym__specification_part] = STATE(797),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(797),
    [sym_public_statement] = STATE(797),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(797),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(797),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(797),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2831),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2833),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2821),
    [aux_sym_public_statement_token1] = ACTIONS(2823),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [651] = {
    [sym__statements] = STATE(5380),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5380),
    [sym_assignment_statement] = STATE(5380),
    [sym_pointer_association_statement] = STATE(5380),
    [sym_subroutine_call] = STATE(5380),
    [sym_keyword_statement] = STATE(5380),
    [sym_include_statement] = STATE(5380),
    [sym_do_loop_statement] = STATE(5380),
    [sym_do_label_statement] = STATE(5380),
    [sym_end_do_label_statement] = STATE(5380),
    [sym_if_statement] = STATE(5380),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5380),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(5921),
    [sym_where_statement] = STATE(5380),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5380),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5380),
    [sym_select_type_statement] = STATE(5380),
    [sym_select_rank_statement] = STATE(5380),
    [sym_block_construct] = STATE(5380),
    [sym_associate_statement] = STATE(5380),
    [sym_format_statement] = STATE(5380),
    [sym_read_statement] = STATE(5380),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5380),
    [sym_open_statement] = STATE(5380),
    [sym_close_statement] = STATE(5380),
    [sym_write_statement] = STATE(5380),
    [sym_inquire_statement] = STATE(5380),
    [sym_file_position_statement] = STATE(5380),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token2] = ACTIONS(2497),
    [aux_sym_module_statement_token1] = ACTIONS(2497),
    [aux_sym_submodule_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_function_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2505),
    [aux_sym_end_program_statement_token1] = ACTIONS(2505),
    [aux_sym_end_program_statement_token2] = ACTIONS(2505),
    [aux_sym_module_statement_token1] = ACTIONS(2505),
    [aux_sym_submodule_statement_token1] = ACTIONS(2505),
    [aux_sym_interface_statement_token1] = ACTIONS(2505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2505),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2505),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2505),
    [aux_sym_function_statement_token1] = ACTIONS(2505),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2505),
    [aux_sym_contains_statement_token1] = ACTIONS(2505),
    [aux_sym_use_statement_token1] = ACTIONS(2505),
    [aux_sym_use_statement_token2] = ACTIONS(2505),
    [aux_sym_implicit_statement_token1] = ACTIONS(2505),
    [aux_sym_implicit_statement_token3] = ACTIONS(2505),
    [aux_sym_implicit_statement_token4] = ACTIONS(2505),
    [aux_sym_save_statement_token1] = ACTIONS(2505),
    [aux_sym_private_statement_token1] = ACTIONS(2505),
    [aux_sym_public_statement_token1] = ACTIONS(2505),
    [aux_sym_namelist_statement_token1] = ACTIONS(2505),
    [aux_sym_common_statement_token1] = ACTIONS(2505),
    [aux_sym_import_statement_token1] = ACTIONS(2505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2505),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2505),
    [aux_sym_variable_attributes_token1] = ACTIONS(2505),
    [aux_sym_variable_attributes_token2] = ACTIONS(2505),
    [aux_sym_variable_attributes_token3] = ACTIONS(2505),
    [aux_sym_variable_attributes_token4] = ACTIONS(2505),
    [aux_sym_variable_attributes_token5] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2505),
    [aux_sym_derived_type_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2505),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2505),
    [aux_sym_stop_statement_token1] = ACTIONS(2505),
    [aux_sym_stop_statement_token2] = ACTIONS(2505),
    [aux_sym_subroutine_call_token1] = ACTIONS(2505),
    [aux_sym_keyword_statement_token1] = ACTIONS(2505),
    [aux_sym_keyword_statement_token2] = ACTIONS(2505),
    [aux_sym_keyword_statement_token3] = ACTIONS(2505),
    [aux_sym_keyword_statement_token4] = ACTIONS(2505),
    [aux_sym_keyword_statement_token6] = ACTIONS(2505),
    [aux_sym_keyword_statement_token7] = ACTIONS(2505),
    [aux_sym_include_statement_token1] = ACTIONS(2505),
    [aux_sym_data_statement_token1] = ACTIONS(2505),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2505),
    [aux_sym_end_if_statement_token1] = ACTIONS(2505),
    [aux_sym_elseif_clause_token2] = ACTIONS(2505),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2505),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2505),
    [aux_sym_select_case_statement_token1] = ACTIONS(2505),
    [aux_sym_select_case_statement_token3] = ACTIONS(2505),
    [aux_sym_select_type_statement_token1] = ACTIONS(2505),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2505),
    [aux_sym_block_construct_token1] = ACTIONS(2505),
    [aux_sym_associate_statement_token1] = ACTIONS(2505),
    [aux_sym_format_statement_token1] = ACTIONS(2505),
    [aux_sym_print_statement_token1] = ACTIONS(2505),
    [aux_sym_open_statement_token1] = ACTIONS(2505),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2505),
    [aux_sym_enum_statement_token1] = ACTIONS(2505),
    [aux_sym_file_position_statement_token1] = ACTIONS(2505),
    [aux_sym_file_position_statement_token2] = ACTIONS(2505),
    [aux_sym_file_position_statement_token3] = ACTIONS(2505),
    [aux_sym_file_position_statement_token4] = ACTIONS(2505),
    [aux_sym_logical_expression_token5] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [aux_sym_boolean_literal_token1] = ACTIONS(2507),
    [aux_sym_boolean_literal_token2] = ACTIONS(2507),
    [aux_sym_null_literal_token1] = ACTIONS(2505),
    [aux_sym_identifier_token1] = ACTIONS(2505),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2507),
    [sym__float_literal] = ACTIONS(2507),
    [sym__boz_literal] = ACTIONS(2507),
    [sym__string_literal] = ACTIONS(2507),
    [sym__string_literal_kind] = ACTIONS(2507),
  },
  [654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2509),
    [aux_sym_preproc_def_token1] = ACTIONS(2509),
    [aux_sym_preproc_if_token1] = ACTIONS(2509),
    [aux_sym_preproc_if_token2] = ACTIONS(2509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2509),
    [sym_preproc_directive] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2511),
    [anon_sym_DASH] = ACTIONS(2511),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2509),
    [aux_sym_end_program_statement_token1] = ACTIONS(2509),
    [aux_sym_end_program_statement_token2] = ACTIONS(2509),
    [aux_sym_module_statement_token1] = ACTIONS(2509),
    [aux_sym_submodule_statement_token1] = ACTIONS(2509),
    [aux_sym_interface_statement_token1] = ACTIONS(2509),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2509),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2509),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2509),
    [aux_sym_function_statement_token1] = ACTIONS(2509),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2509),
    [aux_sym_contains_statement_token1] = ACTIONS(2509),
    [aux_sym_use_statement_token1] = ACTIONS(2509),
    [aux_sym_use_statement_token2] = ACTIONS(2509),
    [aux_sym_implicit_statement_token1] = ACTIONS(2509),
    [aux_sym_implicit_statement_token3] = ACTIONS(2509),
    [aux_sym_implicit_statement_token4] = ACTIONS(2509),
    [aux_sym_save_statement_token1] = ACTIONS(2509),
    [aux_sym_private_statement_token1] = ACTIONS(2509),
    [aux_sym_public_statement_token1] = ACTIONS(2509),
    [aux_sym_namelist_statement_token1] = ACTIONS(2509),
    [aux_sym_common_statement_token1] = ACTIONS(2509),
    [aux_sym_import_statement_token1] = ACTIONS(2509),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2509),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2509),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2509),
    [aux_sym_variable_attributes_token1] = ACTIONS(2509),
    [aux_sym_variable_attributes_token2] = ACTIONS(2509),
    [aux_sym_variable_attributes_token3] = ACTIONS(2509),
    [aux_sym_variable_attributes_token4] = ACTIONS(2509),
    [aux_sym_variable_attributes_token5] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2509),
    [aux_sym_derived_type_token1] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2509),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2509),
    [aux_sym_stop_statement_token1] = ACTIONS(2509),
    [aux_sym_stop_statement_token2] = ACTIONS(2509),
    [aux_sym_subroutine_call_token1] = ACTIONS(2509),
    [aux_sym_keyword_statement_token1] = ACTIONS(2509),
    [aux_sym_keyword_statement_token2] = ACTIONS(2509),
    [aux_sym_keyword_statement_token3] = ACTIONS(2509),
    [aux_sym_keyword_statement_token4] = ACTIONS(2509),
    [aux_sym_keyword_statement_token6] = ACTIONS(2509),
    [aux_sym_keyword_statement_token7] = ACTIONS(2509),
    [aux_sym_include_statement_token1] = ACTIONS(2509),
    [aux_sym_data_statement_token1] = ACTIONS(2509),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2509),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2509),
    [aux_sym_end_if_statement_token1] = ACTIONS(2509),
    [aux_sym_elseif_clause_token2] = ACTIONS(2509),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2509),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2509),
    [aux_sym_select_case_statement_token1] = ACTIONS(2509),
    [aux_sym_select_case_statement_token3] = ACTIONS(2509),
    [aux_sym_select_type_statement_token1] = ACTIONS(2509),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2509),
    [aux_sym_block_construct_token1] = ACTIONS(2509),
    [aux_sym_associate_statement_token1] = ACTIONS(2509),
    [aux_sym_format_statement_token1] = ACTIONS(2509),
    [aux_sym_print_statement_token1] = ACTIONS(2509),
    [aux_sym_open_statement_token1] = ACTIONS(2509),
    [aux_sym_close_statement_token1] = ACTIONS(2509),
    [aux_sym_inquire_statement_token1] = ACTIONS(2509),
    [aux_sym_enum_statement_token1] = ACTIONS(2509),
    [aux_sym_file_position_statement_token1] = ACTIONS(2509),
    [aux_sym_file_position_statement_token2] = ACTIONS(2509),
    [aux_sym_file_position_statement_token3] = ACTIONS(2509),
    [aux_sym_file_position_statement_token4] = ACTIONS(2509),
    [aux_sym_logical_expression_token5] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [aux_sym_boolean_literal_token1] = ACTIONS(2511),
    [aux_sym_boolean_literal_token2] = ACTIONS(2511),
    [aux_sym_null_literal_token1] = ACTIONS(2509),
    [aux_sym_identifier_token1] = ACTIONS(2509),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2511),
    [sym__float_literal] = ACTIONS(2511),
    [sym__boz_literal] = ACTIONS(2511),
    [sym__string_literal] = ACTIONS(2511),
    [sym__string_literal_kind] = ACTIONS(2511),
  },
  [655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2513),
    [aux_sym_preproc_def_token1] = ACTIONS(2513),
    [aux_sym_preproc_if_token1] = ACTIONS(2513),
    [aux_sym_preproc_if_token2] = ACTIONS(2513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2513),
    [sym_preproc_directive] = ACTIONS(2513),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2513),
    [aux_sym_end_program_statement_token1] = ACTIONS(2513),
    [aux_sym_end_program_statement_token2] = ACTIONS(2513),
    [aux_sym_module_statement_token1] = ACTIONS(2513),
    [aux_sym_submodule_statement_token1] = ACTIONS(2513),
    [aux_sym_interface_statement_token1] = ACTIONS(2513),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2513),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2513),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2513),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2513),
    [aux_sym_function_statement_token1] = ACTIONS(2513),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2513),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2513),
    [aux_sym_contains_statement_token1] = ACTIONS(2513),
    [aux_sym_use_statement_token1] = ACTIONS(2513),
    [aux_sym_use_statement_token2] = ACTIONS(2513),
    [aux_sym_implicit_statement_token1] = ACTIONS(2513),
    [aux_sym_implicit_statement_token3] = ACTIONS(2513),
    [aux_sym_implicit_statement_token4] = ACTIONS(2513),
    [aux_sym_save_statement_token1] = ACTIONS(2513),
    [aux_sym_private_statement_token1] = ACTIONS(2513),
    [aux_sym_public_statement_token1] = ACTIONS(2513),
    [aux_sym_namelist_statement_token1] = ACTIONS(2513),
    [aux_sym_common_statement_token1] = ACTIONS(2513),
    [aux_sym_import_statement_token1] = ACTIONS(2513),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2513),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2513),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2513),
    [aux_sym_variable_attributes_token1] = ACTIONS(2513),
    [aux_sym_variable_attributes_token2] = ACTIONS(2513),
    [aux_sym_variable_attributes_token3] = ACTIONS(2513),
    [aux_sym_variable_attributes_token4] = ACTIONS(2513),
    [aux_sym_variable_attributes_token5] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2513),
    [aux_sym_derived_type_token1] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2513),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2513),
    [aux_sym_stop_statement_token1] = ACTIONS(2513),
    [aux_sym_stop_statement_token2] = ACTIONS(2513),
    [aux_sym_subroutine_call_token1] = ACTIONS(2513),
    [aux_sym_keyword_statement_token1] = ACTIONS(2513),
    [aux_sym_keyword_statement_token2] = ACTIONS(2513),
    [aux_sym_keyword_statement_token3] = ACTIONS(2513),
    [aux_sym_keyword_statement_token4] = ACTIONS(2513),
    [aux_sym_keyword_statement_token6] = ACTIONS(2513),
    [aux_sym_keyword_statement_token7] = ACTIONS(2513),
    [aux_sym_include_statement_token1] = ACTIONS(2513),
    [aux_sym_data_statement_token1] = ACTIONS(2513),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2513),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2513),
    [aux_sym_end_if_statement_token1] = ACTIONS(2513),
    [aux_sym_elseif_clause_token2] = ACTIONS(2513),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2513),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2513),
    [aux_sym_select_case_statement_token1] = ACTIONS(2513),
    [aux_sym_select_case_statement_token3] = ACTIONS(2513),
    [aux_sym_select_type_statement_token1] = ACTIONS(2513),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2513),
    [aux_sym_block_construct_token1] = ACTIONS(2513),
    [aux_sym_associate_statement_token1] = ACTIONS(2513),
    [aux_sym_format_statement_token1] = ACTIONS(2513),
    [aux_sym_print_statement_token1] = ACTIONS(2513),
    [aux_sym_open_statement_token1] = ACTIONS(2513),
    [aux_sym_close_statement_token1] = ACTIONS(2513),
    [aux_sym_inquire_statement_token1] = ACTIONS(2513),
    [aux_sym_enum_statement_token1] = ACTIONS(2513),
    [aux_sym_file_position_statement_token1] = ACTIONS(2513),
    [aux_sym_file_position_statement_token2] = ACTIONS(2513),
    [aux_sym_file_position_statement_token3] = ACTIONS(2513),
    [aux_sym_file_position_statement_token4] = ACTIONS(2513),
    [aux_sym_logical_expression_token5] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(2513),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [aux_sym_boolean_literal_token1] = ACTIONS(2515),
    [aux_sym_boolean_literal_token2] = ACTIONS(2515),
    [aux_sym_null_literal_token1] = ACTIONS(2513),
    [aux_sym_identifier_token1] = ACTIONS(2513),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2515),
    [sym__float_literal] = ACTIONS(2515),
    [sym__boz_literal] = ACTIONS(2515),
    [sym__string_literal] = ACTIONS(2515),
    [sym__string_literal_kind] = ACTIONS(2515),
  },
  [656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2517),
    [aux_sym_preproc_def_token1] = ACTIONS(2517),
    [aux_sym_preproc_if_token1] = ACTIONS(2517),
    [aux_sym_preproc_if_token2] = ACTIONS(2517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2517),
    [sym_preproc_directive] = ACTIONS(2517),
    [anon_sym_LPAREN2] = ACTIONS(2517),
    [anon_sym_PLUS] = ACTIONS(2519),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2517),
    [aux_sym_end_program_statement_token1] = ACTIONS(2517),
    [aux_sym_end_program_statement_token2] = ACTIONS(2517),
    [aux_sym_module_statement_token1] = ACTIONS(2517),
    [aux_sym_submodule_statement_token1] = ACTIONS(2517),
    [aux_sym_interface_statement_token1] = ACTIONS(2517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2517),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2517),
    [aux_sym_function_statement_token1] = ACTIONS(2517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2517),
    [aux_sym_contains_statement_token1] = ACTIONS(2517),
    [aux_sym_use_statement_token1] = ACTIONS(2517),
    [aux_sym_use_statement_token2] = ACTIONS(2517),
    [aux_sym_implicit_statement_token1] = ACTIONS(2517),
    [aux_sym_implicit_statement_token3] = ACTIONS(2517),
    [aux_sym_implicit_statement_token4] = ACTIONS(2517),
    [aux_sym_save_statement_token1] = ACTIONS(2517),
    [aux_sym_private_statement_token1] = ACTIONS(2517),
    [aux_sym_public_statement_token1] = ACTIONS(2517),
    [aux_sym_namelist_statement_token1] = ACTIONS(2517),
    [aux_sym_common_statement_token1] = ACTIONS(2517),
    [aux_sym_import_statement_token1] = ACTIONS(2517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2517),
    [aux_sym_variable_attributes_token1] = ACTIONS(2517),
    [aux_sym_variable_attributes_token2] = ACTIONS(2517),
    [aux_sym_variable_attributes_token3] = ACTIONS(2517),
    [aux_sym_variable_attributes_token4] = ACTIONS(2517),
    [aux_sym_variable_attributes_token5] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2517),
    [aux_sym_derived_type_token1] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2517),
    [aux_sym_stop_statement_token1] = ACTIONS(2517),
    [aux_sym_stop_statement_token2] = ACTIONS(2517),
    [aux_sym_subroutine_call_token1] = ACTIONS(2517),
    [aux_sym_keyword_statement_token1] = ACTIONS(2517),
    [aux_sym_keyword_statement_token2] = ACTIONS(2517),
    [aux_sym_keyword_statement_token3] = ACTIONS(2517),
    [aux_sym_keyword_statement_token4] = ACTIONS(2517),
    [aux_sym_keyword_statement_token6] = ACTIONS(2517),
    [aux_sym_keyword_statement_token7] = ACTIONS(2517),
    [aux_sym_include_statement_token1] = ACTIONS(2517),
    [aux_sym_data_statement_token1] = ACTIONS(2517),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2517),
    [aux_sym_end_if_statement_token1] = ACTIONS(2517),
    [aux_sym_elseif_clause_token2] = ACTIONS(2517),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2517),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2517),
    [aux_sym_select_case_statement_token1] = ACTIONS(2517),
    [aux_sym_select_case_statement_token3] = ACTIONS(2517),
    [aux_sym_select_type_statement_token1] = ACTIONS(2517),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2517),
    [aux_sym_block_construct_token1] = ACTIONS(2517),
    [aux_sym_associate_statement_token1] = ACTIONS(2517),
    [aux_sym_format_statement_token1] = ACTIONS(2517),
    [aux_sym_print_statement_token1] = ACTIONS(2517),
    [aux_sym_open_statement_token1] = ACTIONS(2517),
    [aux_sym_close_statement_token1] = ACTIONS(2517),
    [aux_sym_inquire_statement_token1] = ACTIONS(2517),
    [aux_sym_enum_statement_token1] = ACTIONS(2517),
    [aux_sym_file_position_statement_token1] = ACTIONS(2517),
    [aux_sym_file_position_statement_token2] = ACTIONS(2517),
    [aux_sym_file_position_statement_token3] = ACTIONS(2517),
    [aux_sym_file_position_statement_token4] = ACTIONS(2517),
    [aux_sym_logical_expression_token5] = ACTIONS(2519),
    [anon_sym_DOT] = ACTIONS(2517),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [aux_sym_boolean_literal_token1] = ACTIONS(2519),
    [aux_sym_boolean_literal_token2] = ACTIONS(2519),
    [aux_sym_null_literal_token1] = ACTIONS(2517),
    [aux_sym_identifier_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2519),
    [sym__float_literal] = ACTIONS(2519),
    [sym__boz_literal] = ACTIONS(2519),
    [sym__string_literal] = ACTIONS(2519),
    [sym__string_literal_kind] = ACTIONS(2519),
  },
  [657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2525),
    [aux_sym_preproc_def_token1] = ACTIONS(2525),
    [aux_sym_preproc_if_token1] = ACTIONS(2525),
    [aux_sym_preproc_if_token2] = ACTIONS(2525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2525),
    [sym_preproc_directive] = ACTIONS(2525),
    [anon_sym_LPAREN2] = ACTIONS(2525),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2525),
    [aux_sym_end_program_statement_token1] = ACTIONS(2525),
    [aux_sym_end_program_statement_token2] = ACTIONS(2525),
    [aux_sym_module_statement_token1] = ACTIONS(2525),
    [aux_sym_submodule_statement_token1] = ACTIONS(2525),
    [aux_sym_interface_statement_token1] = ACTIONS(2525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2525),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2525),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2525),
    [aux_sym_function_statement_token1] = ACTIONS(2525),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2525),
    [aux_sym_contains_statement_token1] = ACTIONS(2525),
    [aux_sym_use_statement_token1] = ACTIONS(2525),
    [aux_sym_use_statement_token2] = ACTIONS(2525),
    [aux_sym_implicit_statement_token1] = ACTIONS(2525),
    [aux_sym_implicit_statement_token3] = ACTIONS(2525),
    [aux_sym_implicit_statement_token4] = ACTIONS(2525),
    [aux_sym_save_statement_token1] = ACTIONS(2525),
    [aux_sym_private_statement_token1] = ACTIONS(2525),
    [aux_sym_public_statement_token1] = ACTIONS(2525),
    [aux_sym_namelist_statement_token1] = ACTIONS(2525),
    [aux_sym_common_statement_token1] = ACTIONS(2525),
    [aux_sym_import_statement_token1] = ACTIONS(2525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2525),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2525),
    [aux_sym_variable_attributes_token1] = ACTIONS(2525),
    [aux_sym_variable_attributes_token2] = ACTIONS(2525),
    [aux_sym_variable_attributes_token3] = ACTIONS(2525),
    [aux_sym_variable_attributes_token4] = ACTIONS(2525),
    [aux_sym_variable_attributes_token5] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2525),
    [aux_sym_derived_type_token1] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2525),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2525),
    [aux_sym_stop_statement_token1] = ACTIONS(2525),
    [aux_sym_stop_statement_token2] = ACTIONS(2525),
    [aux_sym_subroutine_call_token1] = ACTIONS(2525),
    [aux_sym_keyword_statement_token1] = ACTIONS(2525),
    [aux_sym_keyword_statement_token2] = ACTIONS(2525),
    [aux_sym_keyword_statement_token3] = ACTIONS(2525),
    [aux_sym_keyword_statement_token4] = ACTIONS(2525),
    [aux_sym_keyword_statement_token6] = ACTIONS(2525),
    [aux_sym_keyword_statement_token7] = ACTIONS(2525),
    [aux_sym_include_statement_token1] = ACTIONS(2525),
    [aux_sym_data_statement_token1] = ACTIONS(2525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2525),
    [aux_sym_end_if_statement_token1] = ACTIONS(2525),
    [aux_sym_elseif_clause_token2] = ACTIONS(2525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2525),
    [aux_sym_select_case_statement_token1] = ACTIONS(2525),
    [aux_sym_select_case_statement_token3] = ACTIONS(2525),
    [aux_sym_select_type_statement_token1] = ACTIONS(2525),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2525),
    [aux_sym_block_construct_token1] = ACTIONS(2525),
    [aux_sym_associate_statement_token1] = ACTIONS(2525),
    [aux_sym_format_statement_token1] = ACTIONS(2525),
    [aux_sym_print_statement_token1] = ACTIONS(2525),
    [aux_sym_open_statement_token1] = ACTIONS(2525),
    [aux_sym_close_statement_token1] = ACTIONS(2525),
    [aux_sym_inquire_statement_token1] = ACTIONS(2525),
    [aux_sym_enum_statement_token1] = ACTIONS(2525),
    [aux_sym_file_position_statement_token1] = ACTIONS(2525),
    [aux_sym_file_position_statement_token2] = ACTIONS(2525),
    [aux_sym_file_position_statement_token3] = ACTIONS(2525),
    [aux_sym_file_position_statement_token4] = ACTIONS(2525),
    [aux_sym_logical_expression_token5] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(2525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [aux_sym_boolean_literal_token1] = ACTIONS(2527),
    [aux_sym_boolean_literal_token2] = ACTIONS(2527),
    [aux_sym_null_literal_token1] = ACTIONS(2525),
    [aux_sym_identifier_token1] = ACTIONS(2525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2527),
    [sym__float_literal] = ACTIONS(2527),
    [sym__boz_literal] = ACTIONS(2527),
    [sym__string_literal] = ACTIONS(2527),
    [sym__string_literal_kind] = ACTIONS(2527),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2633),
    [aux_sym_end_program_statement_token1] = ACTIONS(2633),
    [aux_sym_end_program_statement_token2] = ACTIONS(2633),
    [aux_sym_module_statement_token1] = ACTIONS(2633),
    [aux_sym_submodule_statement_token1] = ACTIONS(2633),
    [aux_sym_interface_statement_token1] = ACTIONS(2633),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2633),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2633),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2633),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2633),
    [aux_sym_function_statement_token1] = ACTIONS(2633),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2633),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2633),
    [aux_sym_contains_statement_token1] = ACTIONS(2633),
    [aux_sym_use_statement_token1] = ACTIONS(2633),
    [aux_sym_use_statement_token2] = ACTIONS(2633),
    [aux_sym_implicit_statement_token1] = ACTIONS(2633),
    [aux_sym_implicit_statement_token3] = ACTIONS(2633),
    [aux_sym_implicit_statement_token4] = ACTIONS(2633),
    [aux_sym_save_statement_token1] = ACTIONS(2633),
    [aux_sym_private_statement_token1] = ACTIONS(2633),
    [aux_sym_public_statement_token1] = ACTIONS(2633),
    [aux_sym_namelist_statement_token1] = ACTIONS(2633),
    [aux_sym_common_statement_token1] = ACTIONS(2633),
    [aux_sym_import_statement_token1] = ACTIONS(2633),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2633),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2633),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2633),
    [aux_sym_variable_attributes_token1] = ACTIONS(2633),
    [aux_sym_variable_attributes_token2] = ACTIONS(2633),
    [aux_sym_variable_attributes_token3] = ACTIONS(2633),
    [aux_sym_variable_attributes_token4] = ACTIONS(2633),
    [aux_sym_variable_attributes_token5] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2633),
    [aux_sym_derived_type_token1] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2633),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2633),
    [aux_sym_stop_statement_token1] = ACTIONS(2633),
    [aux_sym_stop_statement_token2] = ACTIONS(2633),
    [aux_sym_subroutine_call_token1] = ACTIONS(2633),
    [aux_sym_keyword_statement_token1] = ACTIONS(2633),
    [aux_sym_keyword_statement_token2] = ACTIONS(2633),
    [aux_sym_keyword_statement_token3] = ACTIONS(2633),
    [aux_sym_keyword_statement_token4] = ACTIONS(2633),
    [aux_sym_keyword_statement_token6] = ACTIONS(2633),
    [aux_sym_keyword_statement_token7] = ACTIONS(2633),
    [aux_sym_include_statement_token1] = ACTIONS(2633),
    [aux_sym_data_statement_token1] = ACTIONS(2633),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2633),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2633),
    [aux_sym_end_if_statement_token1] = ACTIONS(2633),
    [aux_sym_elseif_clause_token2] = ACTIONS(2633),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2633),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2633),
    [aux_sym_select_case_statement_token1] = ACTIONS(2633),
    [aux_sym_select_case_statement_token3] = ACTIONS(2633),
    [aux_sym_select_type_statement_token1] = ACTIONS(2633),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2633),
    [aux_sym_block_construct_token1] = ACTIONS(2633),
    [aux_sym_associate_statement_token1] = ACTIONS(2633),
    [aux_sym_format_statement_token1] = ACTIONS(2633),
    [aux_sym_print_statement_token1] = ACTIONS(2633),
    [aux_sym_open_statement_token1] = ACTIONS(2633),
    [aux_sym_close_statement_token1] = ACTIONS(2633),
    [aux_sym_inquire_statement_token1] = ACTIONS(2633),
    [aux_sym_enum_statement_token1] = ACTIONS(2633),
    [aux_sym_file_position_statement_token1] = ACTIONS(2633),
    [aux_sym_file_position_statement_token2] = ACTIONS(2633),
    [aux_sym_file_position_statement_token3] = ACTIONS(2633),
    [aux_sym_file_position_statement_token4] = ACTIONS(2633),
    [aux_sym_logical_expression_token5] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [aux_sym_boolean_literal_token1] = ACTIONS(2635),
    [aux_sym_boolean_literal_token2] = ACTIONS(2635),
    [aux_sym_null_literal_token1] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2635),
    [sym__float_literal] = ACTIONS(2635),
    [sym__boz_literal] = ACTIONS(2635),
    [sym__string_literal] = ACTIONS(2635),
    [sym__string_literal_kind] = ACTIONS(2635),
  },
  [659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2533),
    [aux_sym_preproc_def_token1] = ACTIONS(2533),
    [aux_sym_preproc_if_token1] = ACTIONS(2533),
    [aux_sym_preproc_if_token2] = ACTIONS(2533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2533),
    [sym_preproc_directive] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2533),
    [aux_sym_end_program_statement_token1] = ACTIONS(2533),
    [aux_sym_end_program_statement_token2] = ACTIONS(2533),
    [aux_sym_module_statement_token1] = ACTIONS(2533),
    [aux_sym_submodule_statement_token1] = ACTIONS(2533),
    [aux_sym_interface_statement_token1] = ACTIONS(2533),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2533),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2533),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2533),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2533),
    [aux_sym_function_statement_token1] = ACTIONS(2533),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2533),
    [aux_sym_contains_statement_token1] = ACTIONS(2533),
    [aux_sym_use_statement_token1] = ACTIONS(2533),
    [aux_sym_use_statement_token2] = ACTIONS(2533),
    [aux_sym_implicit_statement_token1] = ACTIONS(2533),
    [aux_sym_implicit_statement_token3] = ACTIONS(2533),
    [aux_sym_implicit_statement_token4] = ACTIONS(2533),
    [aux_sym_save_statement_token1] = ACTIONS(2533),
    [aux_sym_private_statement_token1] = ACTIONS(2533),
    [aux_sym_public_statement_token1] = ACTIONS(2533),
    [aux_sym_namelist_statement_token1] = ACTIONS(2533),
    [aux_sym_common_statement_token1] = ACTIONS(2533),
    [aux_sym_import_statement_token1] = ACTIONS(2533),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2533),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2533),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2533),
    [aux_sym_variable_attributes_token1] = ACTIONS(2533),
    [aux_sym_variable_attributes_token2] = ACTIONS(2533),
    [aux_sym_variable_attributes_token3] = ACTIONS(2533),
    [aux_sym_variable_attributes_token4] = ACTIONS(2533),
    [aux_sym_variable_attributes_token5] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2533),
    [aux_sym_derived_type_token1] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2533),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2533),
    [aux_sym_stop_statement_token1] = ACTIONS(2533),
    [aux_sym_stop_statement_token2] = ACTIONS(2533),
    [aux_sym_subroutine_call_token1] = ACTIONS(2533),
    [aux_sym_keyword_statement_token1] = ACTIONS(2533),
    [aux_sym_keyword_statement_token2] = ACTIONS(2533),
    [aux_sym_keyword_statement_token3] = ACTIONS(2533),
    [aux_sym_keyword_statement_token4] = ACTIONS(2533),
    [aux_sym_keyword_statement_token6] = ACTIONS(2533),
    [aux_sym_keyword_statement_token7] = ACTIONS(2533),
    [aux_sym_include_statement_token1] = ACTIONS(2533),
    [aux_sym_data_statement_token1] = ACTIONS(2533),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2533),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2533),
    [aux_sym_end_if_statement_token1] = ACTIONS(2533),
    [aux_sym_elseif_clause_token2] = ACTIONS(2533),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2533),
    [aux_sym_select_case_statement_token1] = ACTIONS(2533),
    [aux_sym_select_case_statement_token3] = ACTIONS(2533),
    [aux_sym_select_type_statement_token1] = ACTIONS(2533),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2533),
    [aux_sym_block_construct_token1] = ACTIONS(2533),
    [aux_sym_associate_statement_token1] = ACTIONS(2533),
    [aux_sym_format_statement_token1] = ACTIONS(2533),
    [aux_sym_print_statement_token1] = ACTIONS(2533),
    [aux_sym_open_statement_token1] = ACTIONS(2533),
    [aux_sym_close_statement_token1] = ACTIONS(2533),
    [aux_sym_inquire_statement_token1] = ACTIONS(2533),
    [aux_sym_enum_statement_token1] = ACTIONS(2533),
    [aux_sym_file_position_statement_token1] = ACTIONS(2533),
    [aux_sym_file_position_statement_token2] = ACTIONS(2533),
    [aux_sym_file_position_statement_token3] = ACTIONS(2533),
    [aux_sym_file_position_statement_token4] = ACTIONS(2533),
    [aux_sym_logical_expression_token5] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2535),
    [aux_sym_boolean_literal_token2] = ACTIONS(2535),
    [aux_sym_null_literal_token1] = ACTIONS(2533),
    [aux_sym_identifier_token1] = ACTIONS(2533),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2535),
    [sym__float_literal] = ACTIONS(2535),
    [sym__boz_literal] = ACTIONS(2535),
    [sym__string_literal] = ACTIONS(2535),
    [sym__string_literal_kind] = ACTIONS(2535),
  },
  [660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token2] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2569),
    [aux_sym_end_program_statement_token1] = ACTIONS(2569),
    [aux_sym_end_program_statement_token2] = ACTIONS(2569),
    [aux_sym_module_statement_token1] = ACTIONS(2569),
    [aux_sym_submodule_statement_token1] = ACTIONS(2569),
    [aux_sym_interface_statement_token1] = ACTIONS(2569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2569),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2569),
    [aux_sym_function_statement_token1] = ACTIONS(2569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2569),
    [aux_sym_contains_statement_token1] = ACTIONS(2569),
    [aux_sym_use_statement_token1] = ACTIONS(2569),
    [aux_sym_use_statement_token2] = ACTIONS(2569),
    [aux_sym_implicit_statement_token1] = ACTIONS(2569),
    [aux_sym_implicit_statement_token3] = ACTIONS(2569),
    [aux_sym_implicit_statement_token4] = ACTIONS(2569),
    [aux_sym_save_statement_token1] = ACTIONS(2569),
    [aux_sym_private_statement_token1] = ACTIONS(2569),
    [aux_sym_public_statement_token1] = ACTIONS(2569),
    [aux_sym_namelist_statement_token1] = ACTIONS(2569),
    [aux_sym_common_statement_token1] = ACTIONS(2569),
    [aux_sym_import_statement_token1] = ACTIONS(2569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2569),
    [aux_sym_variable_attributes_token1] = ACTIONS(2569),
    [aux_sym_variable_attributes_token2] = ACTIONS(2569),
    [aux_sym_variable_attributes_token3] = ACTIONS(2569),
    [aux_sym_variable_attributes_token4] = ACTIONS(2569),
    [aux_sym_variable_attributes_token5] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2569),
    [aux_sym_derived_type_token1] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2569),
    [aux_sym_stop_statement_token1] = ACTIONS(2569),
    [aux_sym_stop_statement_token2] = ACTIONS(2569),
    [aux_sym_subroutine_call_token1] = ACTIONS(2569),
    [aux_sym_keyword_statement_token1] = ACTIONS(2569),
    [aux_sym_keyword_statement_token2] = ACTIONS(2569),
    [aux_sym_keyword_statement_token3] = ACTIONS(2569),
    [aux_sym_keyword_statement_token4] = ACTIONS(2569),
    [aux_sym_keyword_statement_token6] = ACTIONS(2569),
    [aux_sym_keyword_statement_token7] = ACTIONS(2569),
    [aux_sym_include_statement_token1] = ACTIONS(2569),
    [aux_sym_data_statement_token1] = ACTIONS(2569),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2569),
    [aux_sym_end_if_statement_token1] = ACTIONS(2569),
    [aux_sym_elseif_clause_token2] = ACTIONS(2569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2569),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2569),
    [aux_sym_select_case_statement_token1] = ACTIONS(2569),
    [aux_sym_select_case_statement_token3] = ACTIONS(2569),
    [aux_sym_select_type_statement_token1] = ACTIONS(2569),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2569),
    [aux_sym_block_construct_token1] = ACTIONS(2569),
    [aux_sym_associate_statement_token1] = ACTIONS(2569),
    [aux_sym_format_statement_token1] = ACTIONS(2569),
    [aux_sym_print_statement_token1] = ACTIONS(2569),
    [aux_sym_open_statement_token1] = ACTIONS(2569),
    [aux_sym_close_statement_token1] = ACTIONS(2569),
    [aux_sym_inquire_statement_token1] = ACTIONS(2569),
    [aux_sym_enum_statement_token1] = ACTIONS(2569),
    [aux_sym_file_position_statement_token1] = ACTIONS(2569),
    [aux_sym_file_position_statement_token2] = ACTIONS(2569),
    [aux_sym_file_position_statement_token3] = ACTIONS(2569),
    [aux_sym_file_position_statement_token4] = ACTIONS(2569),
    [aux_sym_logical_expression_token5] = ACTIONS(2571),
    [anon_sym_DOT] = ACTIONS(2569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [aux_sym_boolean_literal_token1] = ACTIONS(2571),
    [aux_sym_boolean_literal_token2] = ACTIONS(2571),
    [aux_sym_null_literal_token1] = ACTIONS(2569),
    [aux_sym_identifier_token1] = ACTIONS(2569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2571),
    [sym__float_literal] = ACTIONS(2571),
    [sym__boz_literal] = ACTIONS(2571),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2571),
  },
  [661] = {
    [sym__statements] = STATE(5337),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5337),
    [sym_assignment_statement] = STATE(5337),
    [sym_pointer_association_statement] = STATE(5337),
    [sym_subroutine_call] = STATE(5337),
    [sym_keyword_statement] = STATE(5337),
    [sym_include_statement] = STATE(5337),
    [sym_do_loop_statement] = STATE(5337),
    [sym_end_do_loop_statement] = STATE(5912),
    [sym_do_label_statement] = STATE(5337),
    [sym_end_do_label_statement] = STATE(5337),
    [sym_if_statement] = STATE(5337),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5337),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5337),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5337),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5337),
    [sym_select_type_statement] = STATE(5337),
    [sym_select_rank_statement] = STATE(5337),
    [sym_block_construct] = STATE(5337),
    [sym_associate_statement] = STATE(5337),
    [sym_format_statement] = STATE(5337),
    [sym_read_statement] = STATE(5337),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5337),
    [sym_open_statement] = STATE(5337),
    [sym_close_statement] = STATE(5337),
    [sym_write_statement] = STATE(5337),
    [sym_inquire_statement] = STATE(5337),
    [sym_file_position_statement] = STATE(5337),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2837),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2595),
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2593),
    [aux_sym_end_program_statement_token1] = ACTIONS(2593),
    [aux_sym_end_program_statement_token2] = ACTIONS(2593),
    [aux_sym_module_statement_token1] = ACTIONS(2593),
    [aux_sym_submodule_statement_token1] = ACTIONS(2593),
    [aux_sym_interface_statement_token1] = ACTIONS(2593),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2593),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2593),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2593),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2593),
    [aux_sym_function_statement_token1] = ACTIONS(2593),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2593),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2593),
    [aux_sym_contains_statement_token1] = ACTIONS(2593),
    [aux_sym_use_statement_token1] = ACTIONS(2593),
    [aux_sym_use_statement_token2] = ACTIONS(2593),
    [aux_sym_implicit_statement_token1] = ACTIONS(2593),
    [aux_sym_implicit_statement_token3] = ACTIONS(2593),
    [aux_sym_implicit_statement_token4] = ACTIONS(2593),
    [aux_sym_save_statement_token1] = ACTIONS(2593),
    [aux_sym_private_statement_token1] = ACTIONS(2593),
    [aux_sym_public_statement_token1] = ACTIONS(2593),
    [aux_sym_namelist_statement_token1] = ACTIONS(2593),
    [aux_sym_common_statement_token1] = ACTIONS(2593),
    [aux_sym_import_statement_token1] = ACTIONS(2593),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2593),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2593),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2593),
    [aux_sym_variable_attributes_token1] = ACTIONS(2593),
    [aux_sym_variable_attributes_token2] = ACTIONS(2593),
    [aux_sym_variable_attributes_token3] = ACTIONS(2593),
    [aux_sym_variable_attributes_token4] = ACTIONS(2593),
    [aux_sym_variable_attributes_token5] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2593),
    [aux_sym_derived_type_token1] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2593),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2593),
    [aux_sym_stop_statement_token1] = ACTIONS(2593),
    [aux_sym_stop_statement_token2] = ACTIONS(2593),
    [aux_sym_subroutine_call_token1] = ACTIONS(2593),
    [aux_sym_keyword_statement_token1] = ACTIONS(2593),
    [aux_sym_keyword_statement_token2] = ACTIONS(2593),
    [aux_sym_keyword_statement_token3] = ACTIONS(2593),
    [aux_sym_keyword_statement_token4] = ACTIONS(2593),
    [aux_sym_keyword_statement_token6] = ACTIONS(2593),
    [aux_sym_keyword_statement_token7] = ACTIONS(2593),
    [aux_sym_include_statement_token1] = ACTIONS(2593),
    [aux_sym_data_statement_token1] = ACTIONS(2593),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2593),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2593),
    [aux_sym_end_if_statement_token1] = ACTIONS(2593),
    [aux_sym_elseif_clause_token2] = ACTIONS(2593),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2593),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2593),
    [aux_sym_select_case_statement_token1] = ACTIONS(2593),
    [aux_sym_select_case_statement_token3] = ACTIONS(2593),
    [aux_sym_select_type_statement_token1] = ACTIONS(2593),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2593),
    [aux_sym_block_construct_token1] = ACTIONS(2593),
    [aux_sym_associate_statement_token1] = ACTIONS(2593),
    [aux_sym_format_statement_token1] = ACTIONS(2593),
    [aux_sym_print_statement_token1] = ACTIONS(2593),
    [aux_sym_open_statement_token1] = ACTIONS(2593),
    [aux_sym_close_statement_token1] = ACTIONS(2593),
    [aux_sym_inquire_statement_token1] = ACTIONS(2593),
    [aux_sym_enum_statement_token1] = ACTIONS(2593),
    [aux_sym_file_position_statement_token1] = ACTIONS(2593),
    [aux_sym_file_position_statement_token2] = ACTIONS(2593),
    [aux_sym_file_position_statement_token3] = ACTIONS(2593),
    [aux_sym_file_position_statement_token4] = ACTIONS(2593),
    [aux_sym_logical_expression_token5] = ACTIONS(2595),
    [anon_sym_DOT] = ACTIONS(2593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [aux_sym_boolean_literal_token1] = ACTIONS(2595),
    [aux_sym_boolean_literal_token2] = ACTIONS(2595),
    [aux_sym_null_literal_token1] = ACTIONS(2593),
    [aux_sym_identifier_token1] = ACTIONS(2593),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2595),
    [sym__float_literal] = ACTIONS(2595),
    [sym__boz_literal] = ACTIONS(2595),
    [sym__string_literal] = ACTIONS(2595),
    [sym__string_literal_kind] = ACTIONS(2595),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2439),
    [aux_sym_preproc_include_token1] = ACTIONS(2437),
    [aux_sym_preproc_def_token1] = ACTIONS(2437),
    [aux_sym_preproc_if_token1] = ACTIONS(2437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2437),
    [sym_preproc_directive] = ACTIONS(2437),
    [anon_sym_LPAREN2] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2437),
    [aux_sym_end_program_statement_token1] = ACTIONS(2437),
    [aux_sym_end_program_statement_token2] = ACTIONS(2437),
    [aux_sym_module_statement_token1] = ACTIONS(2437),
    [aux_sym_submodule_statement_token1] = ACTIONS(2437),
    [aux_sym_interface_statement_token1] = ACTIONS(2437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2437),
    [aux_sym_function_statement_token1] = ACTIONS(2437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2437),
    [aux_sym_contains_statement_token1] = ACTIONS(2437),
    [aux_sym_use_statement_token1] = ACTIONS(2437),
    [aux_sym_use_statement_token2] = ACTIONS(2437),
    [aux_sym_implicit_statement_token1] = ACTIONS(2437),
    [aux_sym_implicit_statement_token3] = ACTIONS(2437),
    [aux_sym_implicit_statement_token4] = ACTIONS(2437),
    [aux_sym_save_statement_token1] = ACTIONS(2437),
    [aux_sym_private_statement_token1] = ACTIONS(2437),
    [aux_sym_public_statement_token1] = ACTIONS(2437),
    [aux_sym_namelist_statement_token1] = ACTIONS(2437),
    [aux_sym_common_statement_token1] = ACTIONS(2437),
    [aux_sym_import_statement_token1] = ACTIONS(2437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2437),
    [aux_sym_variable_attributes_token1] = ACTIONS(2437),
    [aux_sym_variable_attributes_token2] = ACTIONS(2437),
    [aux_sym_variable_attributes_token3] = ACTIONS(2437),
    [aux_sym_variable_attributes_token4] = ACTIONS(2437),
    [aux_sym_variable_attributes_token5] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2437),
    [aux_sym_derived_type_token1] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2437),
    [aux_sym_stop_statement_token1] = ACTIONS(2437),
    [aux_sym_stop_statement_token2] = ACTIONS(2437),
    [aux_sym_subroutine_call_token1] = ACTIONS(2437),
    [aux_sym_keyword_statement_token1] = ACTIONS(2437),
    [aux_sym_keyword_statement_token2] = ACTIONS(2437),
    [aux_sym_keyword_statement_token3] = ACTIONS(2437),
    [aux_sym_keyword_statement_token4] = ACTIONS(2437),
    [aux_sym_keyword_statement_token6] = ACTIONS(2437),
    [aux_sym_keyword_statement_token7] = ACTIONS(2437),
    [aux_sym_include_statement_token1] = ACTIONS(2437),
    [aux_sym_data_statement_token1] = ACTIONS(2437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2437),
    [aux_sym_end_if_statement_token1] = ACTIONS(2437),
    [aux_sym_elseif_clause_token2] = ACTIONS(2437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2437),
    [aux_sym_select_case_statement_token1] = ACTIONS(2437),
    [aux_sym_select_case_statement_token3] = ACTIONS(2437),
    [aux_sym_select_type_statement_token1] = ACTIONS(2437),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2437),
    [aux_sym_block_construct_token1] = ACTIONS(2437),
    [aux_sym_associate_statement_token1] = ACTIONS(2437),
    [aux_sym_format_statement_token1] = ACTIONS(2437),
    [aux_sym_print_statement_token1] = ACTIONS(2437),
    [aux_sym_open_statement_token1] = ACTIONS(2437),
    [aux_sym_close_statement_token1] = ACTIONS(2437),
    [aux_sym_inquire_statement_token1] = ACTIONS(2437),
    [aux_sym_enum_statement_token1] = ACTIONS(2437),
    [aux_sym_file_position_statement_token1] = ACTIONS(2437),
    [aux_sym_file_position_statement_token2] = ACTIONS(2437),
    [aux_sym_file_position_statement_token3] = ACTIONS(2437),
    [aux_sym_file_position_statement_token4] = ACTIONS(2437),
    [aux_sym_logical_expression_token5] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(2437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [aux_sym_boolean_literal_token1] = ACTIONS(2439),
    [aux_sym_boolean_literal_token2] = ACTIONS(2439),
    [aux_sym_null_literal_token1] = ACTIONS(2437),
    [aux_sym_identifier_token1] = ACTIONS(2437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2439),
    [sym__float_literal] = ACTIONS(2439),
    [sym__boz_literal] = ACTIONS(2439),
    [sym__string_literal] = ACTIONS(2439),
    [sym__string_literal_kind] = ACTIONS(2439),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2597),
    [aux_sym_end_program_statement_token1] = ACTIONS(2597),
    [aux_sym_end_program_statement_token2] = ACTIONS(2597),
    [aux_sym_module_statement_token1] = ACTIONS(2597),
    [aux_sym_submodule_statement_token1] = ACTIONS(2597),
    [aux_sym_interface_statement_token1] = ACTIONS(2597),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2597),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2597),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2597),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2597),
    [aux_sym_function_statement_token1] = ACTIONS(2597),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2597),
    [aux_sym_contains_statement_token1] = ACTIONS(2597),
    [aux_sym_use_statement_token1] = ACTIONS(2597),
    [aux_sym_use_statement_token2] = ACTIONS(2597),
    [aux_sym_implicit_statement_token1] = ACTIONS(2597),
    [aux_sym_implicit_statement_token3] = ACTIONS(2597),
    [aux_sym_implicit_statement_token4] = ACTIONS(2597),
    [aux_sym_save_statement_token1] = ACTIONS(2597),
    [aux_sym_private_statement_token1] = ACTIONS(2597),
    [aux_sym_public_statement_token1] = ACTIONS(2597),
    [aux_sym_namelist_statement_token1] = ACTIONS(2597),
    [aux_sym_common_statement_token1] = ACTIONS(2597),
    [aux_sym_import_statement_token1] = ACTIONS(2597),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2597),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2597),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2597),
    [aux_sym_variable_attributes_token1] = ACTIONS(2597),
    [aux_sym_variable_attributes_token2] = ACTIONS(2597),
    [aux_sym_variable_attributes_token3] = ACTIONS(2597),
    [aux_sym_variable_attributes_token4] = ACTIONS(2597),
    [aux_sym_variable_attributes_token5] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2597),
    [aux_sym_derived_type_token1] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2597),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2597),
    [aux_sym_stop_statement_token1] = ACTIONS(2597),
    [aux_sym_stop_statement_token2] = ACTIONS(2597),
    [aux_sym_subroutine_call_token1] = ACTIONS(2597),
    [aux_sym_keyword_statement_token1] = ACTIONS(2597),
    [aux_sym_keyword_statement_token2] = ACTIONS(2597),
    [aux_sym_keyword_statement_token3] = ACTIONS(2597),
    [aux_sym_keyword_statement_token4] = ACTIONS(2597),
    [aux_sym_keyword_statement_token6] = ACTIONS(2597),
    [aux_sym_keyword_statement_token7] = ACTIONS(2597),
    [aux_sym_include_statement_token1] = ACTIONS(2597),
    [aux_sym_data_statement_token1] = ACTIONS(2597),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2597),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2597),
    [aux_sym_end_if_statement_token1] = ACTIONS(2597),
    [aux_sym_elseif_clause_token2] = ACTIONS(2597),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2597),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2597),
    [aux_sym_select_case_statement_token1] = ACTIONS(2597),
    [aux_sym_select_case_statement_token3] = ACTIONS(2597),
    [aux_sym_select_type_statement_token1] = ACTIONS(2597),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2597),
    [aux_sym_block_construct_token1] = ACTIONS(2597),
    [aux_sym_associate_statement_token1] = ACTIONS(2597),
    [aux_sym_format_statement_token1] = ACTIONS(2597),
    [aux_sym_print_statement_token1] = ACTIONS(2597),
    [aux_sym_open_statement_token1] = ACTIONS(2597),
    [aux_sym_close_statement_token1] = ACTIONS(2597),
    [aux_sym_inquire_statement_token1] = ACTIONS(2597),
    [aux_sym_enum_statement_token1] = ACTIONS(2597),
    [aux_sym_file_position_statement_token1] = ACTIONS(2597),
    [aux_sym_file_position_statement_token2] = ACTIONS(2597),
    [aux_sym_file_position_statement_token3] = ACTIONS(2597),
    [aux_sym_file_position_statement_token4] = ACTIONS(2597),
    [aux_sym_logical_expression_token5] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [aux_sym_boolean_literal_token1] = ACTIONS(2599),
    [aux_sym_boolean_literal_token2] = ACTIONS(2599),
    [aux_sym_null_literal_token1] = ACTIONS(2597),
    [aux_sym_identifier_token1] = ACTIONS(2597),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2599),
    [sym__float_literal] = ACTIONS(2599),
    [sym__boz_literal] = ACTIONS(2599),
    [sym__string_literal] = ACTIONS(2599),
    [sym__string_literal_kind] = ACTIONS(2599),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token2] = ACTIONS(2469),
    [aux_sym_module_statement_token1] = ACTIONS(2469),
    [aux_sym_submodule_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_function_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token2] = ACTIONS(2367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2431),
    [aux_sym_preproc_include_token1] = ACTIONS(2429),
    [aux_sym_preproc_def_token1] = ACTIONS(2429),
    [aux_sym_preproc_if_token1] = ACTIONS(2429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2429),
    [sym_preproc_directive] = ACTIONS(2429),
    [anon_sym_LPAREN2] = ACTIONS(2429),
    [anon_sym_PLUS] = ACTIONS(2431),
    [anon_sym_DASH] = ACTIONS(2431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2429),
    [aux_sym_end_program_statement_token1] = ACTIONS(2429),
    [aux_sym_end_program_statement_token2] = ACTIONS(2429),
    [aux_sym_module_statement_token1] = ACTIONS(2429),
    [aux_sym_submodule_statement_token1] = ACTIONS(2429),
    [aux_sym_interface_statement_token1] = ACTIONS(2429),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2429),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2429),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2429),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2429),
    [aux_sym_function_statement_token1] = ACTIONS(2429),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2429),
    [aux_sym_contains_statement_token1] = ACTIONS(2429),
    [aux_sym_use_statement_token1] = ACTIONS(2429),
    [aux_sym_use_statement_token2] = ACTIONS(2429),
    [aux_sym_implicit_statement_token1] = ACTIONS(2429),
    [aux_sym_implicit_statement_token3] = ACTIONS(2429),
    [aux_sym_implicit_statement_token4] = ACTIONS(2429),
    [aux_sym_save_statement_token1] = ACTIONS(2429),
    [aux_sym_private_statement_token1] = ACTIONS(2429),
    [aux_sym_public_statement_token1] = ACTIONS(2429),
    [aux_sym_namelist_statement_token1] = ACTIONS(2429),
    [aux_sym_common_statement_token1] = ACTIONS(2429),
    [aux_sym_import_statement_token1] = ACTIONS(2429),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2429),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2429),
    [aux_sym_variable_attributes_token1] = ACTIONS(2429),
    [aux_sym_variable_attributes_token2] = ACTIONS(2429),
    [aux_sym_variable_attributes_token3] = ACTIONS(2429),
    [aux_sym_variable_attributes_token4] = ACTIONS(2429),
    [aux_sym_variable_attributes_token5] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2429),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2429),
    [aux_sym_derived_type_token1] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2429),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2429),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2429),
    [aux_sym_stop_statement_token1] = ACTIONS(2429),
    [aux_sym_stop_statement_token2] = ACTIONS(2429),
    [aux_sym_subroutine_call_token1] = ACTIONS(2429),
    [aux_sym_keyword_statement_token1] = ACTIONS(2429),
    [aux_sym_keyword_statement_token2] = ACTIONS(2429),
    [aux_sym_keyword_statement_token3] = ACTIONS(2429),
    [aux_sym_keyword_statement_token4] = ACTIONS(2429),
    [aux_sym_keyword_statement_token6] = ACTIONS(2429),
    [aux_sym_keyword_statement_token7] = ACTIONS(2429),
    [aux_sym_include_statement_token1] = ACTIONS(2429),
    [aux_sym_data_statement_token1] = ACTIONS(2429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2429),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2429),
    [aux_sym_end_if_statement_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(2429),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2429),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2429),
    [aux_sym_select_case_statement_token1] = ACTIONS(2429),
    [aux_sym_select_case_statement_token3] = ACTIONS(2429),
    [aux_sym_select_type_statement_token1] = ACTIONS(2429),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2429),
    [aux_sym_block_construct_token1] = ACTIONS(2429),
    [aux_sym_associate_statement_token1] = ACTIONS(2429),
    [aux_sym_format_statement_token1] = ACTIONS(2429),
    [aux_sym_print_statement_token1] = ACTIONS(2429),
    [aux_sym_open_statement_token1] = ACTIONS(2429),
    [aux_sym_close_statement_token1] = ACTIONS(2429),
    [aux_sym_inquire_statement_token1] = ACTIONS(2429),
    [aux_sym_enum_statement_token1] = ACTIONS(2429),
    [aux_sym_file_position_statement_token1] = ACTIONS(2429),
    [aux_sym_file_position_statement_token2] = ACTIONS(2429),
    [aux_sym_file_position_statement_token3] = ACTIONS(2429),
    [aux_sym_file_position_statement_token4] = ACTIONS(2429),
    [aux_sym_logical_expression_token5] = ACTIONS(2431),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [aux_sym_boolean_literal_token1] = ACTIONS(2431),
    [aux_sym_boolean_literal_token2] = ACTIONS(2431),
    [aux_sym_null_literal_token1] = ACTIONS(2429),
    [aux_sym_identifier_token1] = ACTIONS(2429),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2431),
    [sym__float_literal] = ACTIONS(2431),
    [sym__boz_literal] = ACTIONS(2431),
    [sym__string_literal] = ACTIONS(2431),
    [sym__string_literal_kind] = ACTIONS(2431),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(2523),
    [aux_sym_preproc_include_token1] = ACTIONS(2521),
    [aux_sym_preproc_def_token1] = ACTIONS(2521),
    [aux_sym_preproc_if_token1] = ACTIONS(2521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2521),
    [sym_preproc_directive] = ACTIONS(2521),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2521),
    [aux_sym_end_program_statement_token1] = ACTIONS(2521),
    [aux_sym_end_program_statement_token2] = ACTIONS(2521),
    [aux_sym_module_statement_token1] = ACTIONS(2521),
    [aux_sym_submodule_statement_token1] = ACTIONS(2521),
    [aux_sym_interface_statement_token1] = ACTIONS(2521),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2521),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2521),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2521),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2521),
    [aux_sym_function_statement_token1] = ACTIONS(2521),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2521),
    [aux_sym_contains_statement_token1] = ACTIONS(2521),
    [aux_sym_use_statement_token1] = ACTIONS(2521),
    [aux_sym_use_statement_token2] = ACTIONS(2521),
    [aux_sym_implicit_statement_token1] = ACTIONS(2521),
    [aux_sym_implicit_statement_token3] = ACTIONS(2521),
    [aux_sym_implicit_statement_token4] = ACTIONS(2521),
    [aux_sym_save_statement_token1] = ACTIONS(2521),
    [aux_sym_private_statement_token1] = ACTIONS(2521),
    [aux_sym_public_statement_token1] = ACTIONS(2521),
    [aux_sym_namelist_statement_token1] = ACTIONS(2521),
    [aux_sym_common_statement_token1] = ACTIONS(2521),
    [aux_sym_import_statement_token1] = ACTIONS(2521),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2521),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2521),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2521),
    [aux_sym_variable_attributes_token1] = ACTIONS(2521),
    [aux_sym_variable_attributes_token2] = ACTIONS(2521),
    [aux_sym_variable_attributes_token3] = ACTIONS(2521),
    [aux_sym_variable_attributes_token4] = ACTIONS(2521),
    [aux_sym_variable_attributes_token5] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2521),
    [aux_sym_derived_type_token1] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2521),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2521),
    [aux_sym_stop_statement_token1] = ACTIONS(2521),
    [aux_sym_stop_statement_token2] = ACTIONS(2521),
    [aux_sym_subroutine_call_token1] = ACTIONS(2521),
    [aux_sym_keyword_statement_token1] = ACTIONS(2521),
    [aux_sym_keyword_statement_token2] = ACTIONS(2521),
    [aux_sym_keyword_statement_token3] = ACTIONS(2521),
    [aux_sym_keyword_statement_token4] = ACTIONS(2521),
    [aux_sym_keyword_statement_token6] = ACTIONS(2521),
    [aux_sym_keyword_statement_token7] = ACTIONS(2521),
    [aux_sym_include_statement_token1] = ACTIONS(2521),
    [aux_sym_data_statement_token1] = ACTIONS(2521),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2521),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2521),
    [aux_sym_end_if_statement_token1] = ACTIONS(2521),
    [aux_sym_elseif_clause_token2] = ACTIONS(2521),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2521),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2521),
    [aux_sym_select_case_statement_token1] = ACTIONS(2521),
    [aux_sym_select_case_statement_token3] = ACTIONS(2521),
    [aux_sym_select_type_statement_token1] = ACTIONS(2521),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2521),
    [aux_sym_block_construct_token1] = ACTIONS(2521),
    [aux_sym_associate_statement_token1] = ACTIONS(2521),
    [aux_sym_format_statement_token1] = ACTIONS(2521),
    [aux_sym_print_statement_token1] = ACTIONS(2521),
    [aux_sym_open_statement_token1] = ACTIONS(2521),
    [aux_sym_close_statement_token1] = ACTIONS(2521),
    [aux_sym_inquire_statement_token1] = ACTIONS(2521),
    [aux_sym_enum_statement_token1] = ACTIONS(2521),
    [aux_sym_file_position_statement_token1] = ACTIONS(2521),
    [aux_sym_file_position_statement_token2] = ACTIONS(2521),
    [aux_sym_file_position_statement_token3] = ACTIONS(2521),
    [aux_sym_file_position_statement_token4] = ACTIONS(2521),
    [aux_sym_logical_expression_token5] = ACTIONS(2523),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [aux_sym_boolean_literal_token1] = ACTIONS(2523),
    [aux_sym_boolean_literal_token2] = ACTIONS(2523),
    [aux_sym_null_literal_token1] = ACTIONS(2521),
    [aux_sym_identifier_token1] = ACTIONS(2521),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2523),
    [sym__float_literal] = ACTIONS(2523),
    [sym__boz_literal] = ACTIONS(2523),
    [sym__string_literal] = ACTIONS(2523),
    [sym__string_literal_kind] = ACTIONS(2523),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2427),
    [aux_sym_preproc_include_token1] = ACTIONS(2425),
    [aux_sym_preproc_def_token1] = ACTIONS(2425),
    [aux_sym_preproc_if_token1] = ACTIONS(2425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2425),
    [sym_preproc_directive] = ACTIONS(2425),
    [anon_sym_LPAREN2] = ACTIONS(2425),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2425),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_end_program_statement_token2] = ACTIONS(2425),
    [aux_sym_module_statement_token1] = ACTIONS(2425),
    [aux_sym_submodule_statement_token1] = ACTIONS(2425),
    [aux_sym_interface_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2425),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2425),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2425),
    [aux_sym_function_statement_token1] = ACTIONS(2425),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2425),
    [aux_sym_contains_statement_token1] = ACTIONS(2425),
    [aux_sym_use_statement_token1] = ACTIONS(2425),
    [aux_sym_use_statement_token2] = ACTIONS(2425),
    [aux_sym_implicit_statement_token1] = ACTIONS(2425),
    [aux_sym_implicit_statement_token3] = ACTIONS(2425),
    [aux_sym_implicit_statement_token4] = ACTIONS(2425),
    [aux_sym_save_statement_token1] = ACTIONS(2425),
    [aux_sym_private_statement_token1] = ACTIONS(2425),
    [aux_sym_public_statement_token1] = ACTIONS(2425),
    [aux_sym_namelist_statement_token1] = ACTIONS(2425),
    [aux_sym_common_statement_token1] = ACTIONS(2425),
    [aux_sym_import_statement_token1] = ACTIONS(2425),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2425),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2425),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2425),
    [aux_sym_variable_attributes_token1] = ACTIONS(2425),
    [aux_sym_variable_attributes_token2] = ACTIONS(2425),
    [aux_sym_variable_attributes_token3] = ACTIONS(2425),
    [aux_sym_variable_attributes_token4] = ACTIONS(2425),
    [aux_sym_variable_attributes_token5] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2425),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2425),
    [aux_sym_derived_type_token1] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2425),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2425),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2425),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2425),
    [aux_sym_stop_statement_token1] = ACTIONS(2425),
    [aux_sym_stop_statement_token2] = ACTIONS(2425),
    [aux_sym_subroutine_call_token1] = ACTIONS(2425),
    [aux_sym_keyword_statement_token1] = ACTIONS(2425),
    [aux_sym_keyword_statement_token2] = ACTIONS(2425),
    [aux_sym_keyword_statement_token3] = ACTIONS(2425),
    [aux_sym_keyword_statement_token4] = ACTIONS(2425),
    [aux_sym_keyword_statement_token6] = ACTIONS(2425),
    [aux_sym_keyword_statement_token7] = ACTIONS(2425),
    [aux_sym_include_statement_token1] = ACTIONS(2425),
    [aux_sym_data_statement_token1] = ACTIONS(2425),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2425),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2425),
    [aux_sym_end_if_statement_token1] = ACTIONS(2425),
    [aux_sym_elseif_clause_token2] = ACTIONS(2425),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2425),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2425),
    [aux_sym_select_case_statement_token1] = ACTIONS(2425),
    [aux_sym_select_case_statement_token3] = ACTIONS(2425),
    [aux_sym_select_type_statement_token1] = ACTIONS(2425),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2425),
    [aux_sym_block_construct_token1] = ACTIONS(2425),
    [aux_sym_associate_statement_token1] = ACTIONS(2425),
    [aux_sym_format_statement_token1] = ACTIONS(2425),
    [aux_sym_print_statement_token1] = ACTIONS(2425),
    [aux_sym_open_statement_token1] = ACTIONS(2425),
    [aux_sym_close_statement_token1] = ACTIONS(2425),
    [aux_sym_inquire_statement_token1] = ACTIONS(2425),
    [aux_sym_enum_statement_token1] = ACTIONS(2425),
    [aux_sym_file_position_statement_token1] = ACTIONS(2425),
    [aux_sym_file_position_statement_token2] = ACTIONS(2425),
    [aux_sym_file_position_statement_token3] = ACTIONS(2425),
    [aux_sym_file_position_statement_token4] = ACTIONS(2425),
    [aux_sym_logical_expression_token5] = ACTIONS(2427),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [aux_sym_boolean_literal_token1] = ACTIONS(2427),
    [aux_sym_boolean_literal_token2] = ACTIONS(2427),
    [aux_sym_null_literal_token1] = ACTIONS(2425),
    [aux_sym_identifier_token1] = ACTIONS(2425),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2427),
    [sym__float_literal] = ACTIONS(2427),
    [sym__boz_literal] = ACTIONS(2427),
    [sym__string_literal] = ACTIONS(2427),
    [sym__string_literal_kind] = ACTIONS(2427),
  },
  [670] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token2] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_end_program_statement_token2] = ACTIONS(2561),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [671] = {
    [sym_preproc_include] = STATE(797),
    [sym_preproc_def] = STATE(797),
    [sym_preproc_function_def] = STATE(797),
    [sym_preproc_call] = STATE(797),
    [sym_preproc_if_in_module] = STATE(797),
    [sym_preproc_ifdef_in_module] = STATE(797),
    [sym_end_submodule_statement] = STATE(633),
    [sym_interface] = STATE(797),
    [sym_interface_statement] = STATE(2215),
    [sym_internal_procedures] = STATE(4822),
    [sym_contains_statement] = STATE(5173),
    [sym__specification_part] = STATE(797),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(797),
    [sym_public_statement] = STATE(797),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(797),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(797),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(797),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2817),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2819),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2821),
    [aux_sym_public_statement_token1] = ACTIONS(2823),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [aux_sym_preproc_include_token1] = ACTIONS(2637),
    [aux_sym_preproc_def_token1] = ACTIONS(2637),
    [aux_sym_preproc_if_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2637),
    [sym_preproc_directive] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2637),
    [aux_sym_end_program_statement_token1] = ACTIONS(2637),
    [aux_sym_end_program_statement_token2] = ACTIONS(2637),
    [aux_sym_module_statement_token1] = ACTIONS(2637),
    [aux_sym_submodule_statement_token1] = ACTIONS(2637),
    [aux_sym_interface_statement_token1] = ACTIONS(2637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2637),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2637),
    [aux_sym_function_statement_token1] = ACTIONS(2637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2637),
    [aux_sym_contains_statement_token1] = ACTIONS(2637),
    [aux_sym_use_statement_token1] = ACTIONS(2637),
    [aux_sym_use_statement_token2] = ACTIONS(2637),
    [aux_sym_implicit_statement_token1] = ACTIONS(2637),
    [aux_sym_implicit_statement_token3] = ACTIONS(2637),
    [aux_sym_implicit_statement_token4] = ACTIONS(2637),
    [aux_sym_save_statement_token1] = ACTIONS(2637),
    [aux_sym_private_statement_token1] = ACTIONS(2637),
    [aux_sym_public_statement_token1] = ACTIONS(2637),
    [aux_sym_namelist_statement_token1] = ACTIONS(2637),
    [aux_sym_common_statement_token1] = ACTIONS(2637),
    [aux_sym_import_statement_token1] = ACTIONS(2637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2637),
    [aux_sym_variable_attributes_token1] = ACTIONS(2637),
    [aux_sym_variable_attributes_token2] = ACTIONS(2637),
    [aux_sym_variable_attributes_token3] = ACTIONS(2637),
    [aux_sym_variable_attributes_token4] = ACTIONS(2637),
    [aux_sym_variable_attributes_token5] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2637),
    [aux_sym_derived_type_token1] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2637),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2637),
    [aux_sym_stop_statement_token1] = ACTIONS(2637),
    [aux_sym_stop_statement_token2] = ACTIONS(2637),
    [aux_sym_subroutine_call_token1] = ACTIONS(2637),
    [aux_sym_keyword_statement_token1] = ACTIONS(2637),
    [aux_sym_keyword_statement_token2] = ACTIONS(2637),
    [aux_sym_keyword_statement_token3] = ACTIONS(2637),
    [aux_sym_keyword_statement_token4] = ACTIONS(2637),
    [aux_sym_keyword_statement_token6] = ACTIONS(2637),
    [aux_sym_keyword_statement_token7] = ACTIONS(2637),
    [aux_sym_include_statement_token1] = ACTIONS(2637),
    [aux_sym_data_statement_token1] = ACTIONS(2637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2637),
    [aux_sym_end_if_statement_token1] = ACTIONS(2637),
    [aux_sym_elseif_clause_token2] = ACTIONS(2637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2637),
    [aux_sym_select_case_statement_token1] = ACTIONS(2637),
    [aux_sym_select_case_statement_token3] = ACTIONS(2637),
    [aux_sym_select_type_statement_token1] = ACTIONS(2637),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2637),
    [aux_sym_block_construct_token1] = ACTIONS(2637),
    [aux_sym_associate_statement_token1] = ACTIONS(2637),
    [aux_sym_format_statement_token1] = ACTIONS(2637),
    [aux_sym_print_statement_token1] = ACTIONS(2637),
    [aux_sym_open_statement_token1] = ACTIONS(2637),
    [aux_sym_close_statement_token1] = ACTIONS(2637),
    [aux_sym_inquire_statement_token1] = ACTIONS(2637),
    [aux_sym_enum_statement_token1] = ACTIONS(2637),
    [aux_sym_file_position_statement_token1] = ACTIONS(2637),
    [aux_sym_file_position_statement_token2] = ACTIONS(2637),
    [aux_sym_file_position_statement_token3] = ACTIONS(2637),
    [aux_sym_file_position_statement_token4] = ACTIONS(2637),
    [aux_sym_logical_expression_token5] = ACTIONS(2639),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [aux_sym_boolean_literal_token1] = ACTIONS(2639),
    [aux_sym_boolean_literal_token2] = ACTIONS(2639),
    [aux_sym_null_literal_token1] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2639),
    [sym__float_literal] = ACTIONS(2639),
    [sym__boz_literal] = ACTIONS(2639),
    [sym__string_literal] = ACTIONS(2639),
    [sym__string_literal_kind] = ACTIONS(2639),
  },
  [673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token2] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2549),
    [aux_sym_end_program_statement_token1] = ACTIONS(2549),
    [aux_sym_end_program_statement_token2] = ACTIONS(2549),
    [aux_sym_module_statement_token1] = ACTIONS(2549),
    [aux_sym_submodule_statement_token1] = ACTIONS(2549),
    [aux_sym_interface_statement_token1] = ACTIONS(2549),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2549),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2549),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2549),
    [aux_sym_function_statement_token1] = ACTIONS(2549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2549),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2549),
    [aux_sym_contains_statement_token1] = ACTIONS(2549),
    [aux_sym_use_statement_token1] = ACTIONS(2549),
    [aux_sym_use_statement_token2] = ACTIONS(2549),
    [aux_sym_implicit_statement_token1] = ACTIONS(2549),
    [aux_sym_implicit_statement_token3] = ACTIONS(2549),
    [aux_sym_implicit_statement_token4] = ACTIONS(2549),
    [aux_sym_save_statement_token1] = ACTIONS(2549),
    [aux_sym_private_statement_token1] = ACTIONS(2549),
    [aux_sym_public_statement_token1] = ACTIONS(2549),
    [aux_sym_namelist_statement_token1] = ACTIONS(2549),
    [aux_sym_common_statement_token1] = ACTIONS(2549),
    [aux_sym_import_statement_token1] = ACTIONS(2549),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2549),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2549),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2549),
    [aux_sym_variable_attributes_token1] = ACTIONS(2549),
    [aux_sym_variable_attributes_token2] = ACTIONS(2549),
    [aux_sym_variable_attributes_token3] = ACTIONS(2549),
    [aux_sym_variable_attributes_token4] = ACTIONS(2549),
    [aux_sym_variable_attributes_token5] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2549),
    [aux_sym_derived_type_token1] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2549),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2549),
    [aux_sym_stop_statement_token1] = ACTIONS(2549),
    [aux_sym_stop_statement_token2] = ACTIONS(2549),
    [aux_sym_subroutine_call_token1] = ACTIONS(2549),
    [aux_sym_keyword_statement_token1] = ACTIONS(2549),
    [aux_sym_keyword_statement_token2] = ACTIONS(2549),
    [aux_sym_keyword_statement_token3] = ACTIONS(2549),
    [aux_sym_keyword_statement_token4] = ACTIONS(2549),
    [aux_sym_keyword_statement_token6] = ACTIONS(2549),
    [aux_sym_keyword_statement_token7] = ACTIONS(2549),
    [aux_sym_include_statement_token1] = ACTIONS(2549),
    [aux_sym_data_statement_token1] = ACTIONS(2549),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2549),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2549),
    [aux_sym_end_if_statement_token1] = ACTIONS(2549),
    [aux_sym_elseif_clause_token2] = ACTIONS(2549),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2549),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2549),
    [aux_sym_select_case_statement_token1] = ACTIONS(2549),
    [aux_sym_select_case_statement_token3] = ACTIONS(2549),
    [aux_sym_select_type_statement_token1] = ACTIONS(2549),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2549),
    [aux_sym_block_construct_token1] = ACTIONS(2549),
    [aux_sym_associate_statement_token1] = ACTIONS(2549),
    [aux_sym_format_statement_token1] = ACTIONS(2549),
    [aux_sym_print_statement_token1] = ACTIONS(2549),
    [aux_sym_open_statement_token1] = ACTIONS(2549),
    [aux_sym_close_statement_token1] = ACTIONS(2549),
    [aux_sym_inquire_statement_token1] = ACTIONS(2549),
    [aux_sym_enum_statement_token1] = ACTIONS(2549),
    [aux_sym_file_position_statement_token1] = ACTIONS(2549),
    [aux_sym_file_position_statement_token2] = ACTIONS(2549),
    [aux_sym_file_position_statement_token3] = ACTIONS(2549),
    [aux_sym_file_position_statement_token4] = ACTIONS(2549),
    [aux_sym_logical_expression_token5] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [aux_sym_boolean_literal_token1] = ACTIONS(2551),
    [aux_sym_boolean_literal_token2] = ACTIONS(2551),
    [aux_sym_null_literal_token1] = ACTIONS(2549),
    [aux_sym_identifier_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2551),
    [sym__float_literal] = ACTIONS(2551),
    [sym__boz_literal] = ACTIONS(2551),
    [sym__string_literal] = ACTIONS(2551),
    [sym__string_literal_kind] = ACTIONS(2551),
  },
  [674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token2] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2573),
    [aux_sym_end_program_statement_token1] = ACTIONS(2573),
    [aux_sym_end_program_statement_token2] = ACTIONS(2573),
    [aux_sym_module_statement_token1] = ACTIONS(2573),
    [aux_sym_submodule_statement_token1] = ACTIONS(2573),
    [aux_sym_interface_statement_token1] = ACTIONS(2573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2573),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2573),
    [aux_sym_function_statement_token1] = ACTIONS(2573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2573),
    [aux_sym_contains_statement_token1] = ACTIONS(2573),
    [aux_sym_use_statement_token1] = ACTIONS(2573),
    [aux_sym_use_statement_token2] = ACTIONS(2573),
    [aux_sym_implicit_statement_token1] = ACTIONS(2573),
    [aux_sym_implicit_statement_token3] = ACTIONS(2573),
    [aux_sym_implicit_statement_token4] = ACTIONS(2573),
    [aux_sym_save_statement_token1] = ACTIONS(2573),
    [aux_sym_private_statement_token1] = ACTIONS(2573),
    [aux_sym_public_statement_token1] = ACTIONS(2573),
    [aux_sym_namelist_statement_token1] = ACTIONS(2573),
    [aux_sym_common_statement_token1] = ACTIONS(2573),
    [aux_sym_import_statement_token1] = ACTIONS(2573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2573),
    [aux_sym_variable_attributes_token1] = ACTIONS(2573),
    [aux_sym_variable_attributes_token2] = ACTIONS(2573),
    [aux_sym_variable_attributes_token3] = ACTIONS(2573),
    [aux_sym_variable_attributes_token4] = ACTIONS(2573),
    [aux_sym_variable_attributes_token5] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2573),
    [aux_sym_derived_type_token1] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2573),
    [aux_sym_stop_statement_token1] = ACTIONS(2573),
    [aux_sym_stop_statement_token2] = ACTIONS(2573),
    [aux_sym_subroutine_call_token1] = ACTIONS(2573),
    [aux_sym_keyword_statement_token1] = ACTIONS(2573),
    [aux_sym_keyword_statement_token2] = ACTIONS(2573),
    [aux_sym_keyword_statement_token3] = ACTIONS(2573),
    [aux_sym_keyword_statement_token4] = ACTIONS(2573),
    [aux_sym_keyword_statement_token6] = ACTIONS(2573),
    [aux_sym_keyword_statement_token7] = ACTIONS(2573),
    [aux_sym_include_statement_token1] = ACTIONS(2573),
    [aux_sym_data_statement_token1] = ACTIONS(2573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2573),
    [aux_sym_end_if_statement_token1] = ACTIONS(2573),
    [aux_sym_elseif_clause_token2] = ACTIONS(2573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2573),
    [aux_sym_select_case_statement_token1] = ACTIONS(2573),
    [aux_sym_select_case_statement_token3] = ACTIONS(2573),
    [aux_sym_select_type_statement_token1] = ACTIONS(2573),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2573),
    [aux_sym_block_construct_token1] = ACTIONS(2573),
    [aux_sym_associate_statement_token1] = ACTIONS(2573),
    [aux_sym_format_statement_token1] = ACTIONS(2573),
    [aux_sym_print_statement_token1] = ACTIONS(2573),
    [aux_sym_open_statement_token1] = ACTIONS(2573),
    [aux_sym_close_statement_token1] = ACTIONS(2573),
    [aux_sym_inquire_statement_token1] = ACTIONS(2573),
    [aux_sym_enum_statement_token1] = ACTIONS(2573),
    [aux_sym_file_position_statement_token1] = ACTIONS(2573),
    [aux_sym_file_position_statement_token2] = ACTIONS(2573),
    [aux_sym_file_position_statement_token3] = ACTIONS(2573),
    [aux_sym_file_position_statement_token4] = ACTIONS(2573),
    [aux_sym_logical_expression_token5] = ACTIONS(2575),
    [anon_sym_DOT] = ACTIONS(2573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [aux_sym_boolean_literal_token1] = ACTIONS(2575),
    [aux_sym_boolean_literal_token2] = ACTIONS(2575),
    [aux_sym_null_literal_token1] = ACTIONS(2573),
    [aux_sym_identifier_token1] = ACTIONS(2573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2575),
    [sym__float_literal] = ACTIONS(2575),
    [sym__boz_literal] = ACTIONS(2575),
    [sym__string_literal] = ACTIONS(2575),
    [sym__string_literal_kind] = ACTIONS(2575),
  },
  [675] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2393),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token2] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token2] = ACTIONS(2393),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2393),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2393),
    [aux_sym_contains_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token2] = ACTIONS(2393),
    [aux_sym_implicit_statement_token1] = ACTIONS(2393),
    [aux_sym_implicit_statement_token3] = ACTIONS(2393),
    [aux_sym_implicit_statement_token4] = ACTIONS(2393),
    [aux_sym_save_statement_token1] = ACTIONS(2393),
    [aux_sym_private_statement_token1] = ACTIONS(2393),
    [aux_sym_public_statement_token1] = ACTIONS(2393),
    [aux_sym_namelist_statement_token1] = ACTIONS(2393),
    [aux_sym_common_statement_token1] = ACTIONS(2393),
    [aux_sym_import_statement_token1] = ACTIONS(2393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2393),
    [aux_sym_variable_attributes_token1] = ACTIONS(2393),
    [aux_sym_variable_attributes_token2] = ACTIONS(2393),
    [aux_sym_variable_attributes_token3] = ACTIONS(2393),
    [aux_sym_variable_attributes_token4] = ACTIONS(2393),
    [aux_sym_variable_attributes_token5] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2393),
    [aux_sym_derived_type_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token2] = ACTIONS(2393),
    [aux_sym_subroutine_call_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token2] = ACTIONS(2393),
    [aux_sym_keyword_statement_token3] = ACTIONS(2393),
    [aux_sym_keyword_statement_token4] = ACTIONS(2393),
    [aux_sym_keyword_statement_token6] = ACTIONS(2393),
    [aux_sym_keyword_statement_token7] = ACTIONS(2393),
    [aux_sym_include_statement_token1] = ACTIONS(2393),
    [aux_sym_data_statement_token1] = ACTIONS(2393),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2393),
    [aux_sym_end_if_statement_token1] = ACTIONS(2393),
    [aux_sym_elseif_clause_token2] = ACTIONS(2393),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2393),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token3] = ACTIONS(2393),
    [aux_sym_select_type_statement_token1] = ACTIONS(2393),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2393),
    [aux_sym_block_construct_token1] = ACTIONS(2393),
    [aux_sym_associate_statement_token1] = ACTIONS(2393),
    [aux_sym_format_statement_token1] = ACTIONS(2393),
    [aux_sym_print_statement_token1] = ACTIONS(2393),
    [aux_sym_open_statement_token1] = ACTIONS(2393),
    [aux_sym_close_statement_token1] = ACTIONS(2393),
    [aux_sym_inquire_statement_token1] = ACTIONS(2393),
    [aux_sym_enum_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token2] = ACTIONS(2393),
    [aux_sym_file_position_statement_token3] = ACTIONS(2393),
    [aux_sym_file_position_statement_token4] = ACTIONS(2393),
    [aux_sym_logical_expression_token5] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [aux_sym_boolean_literal_token1] = ACTIONS(2397),
    [aux_sym_boolean_literal_token2] = ACTIONS(2397),
    [aux_sym_null_literal_token1] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2397),
    [sym__float_literal] = ACTIONS(2397),
    [sym__boz_literal] = ACTIONS(2397),
    [sym__string_literal] = ACTIONS(2397),
    [sym__string_literal_kind] = ACTIONS(2397),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2585),
    [aux_sym_end_program_statement_token1] = ACTIONS(2585),
    [aux_sym_end_program_statement_token2] = ACTIONS(2585),
    [aux_sym_module_statement_token1] = ACTIONS(2585),
    [aux_sym_submodule_statement_token1] = ACTIONS(2585),
    [aux_sym_interface_statement_token1] = ACTIONS(2585),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2585),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2585),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2585),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2585),
    [aux_sym_function_statement_token1] = ACTIONS(2585),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2585),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2585),
    [aux_sym_contains_statement_token1] = ACTIONS(2585),
    [aux_sym_use_statement_token1] = ACTIONS(2585),
    [aux_sym_use_statement_token2] = ACTIONS(2585),
    [aux_sym_implicit_statement_token1] = ACTIONS(2585),
    [aux_sym_implicit_statement_token3] = ACTIONS(2585),
    [aux_sym_implicit_statement_token4] = ACTIONS(2585),
    [aux_sym_save_statement_token1] = ACTIONS(2585),
    [aux_sym_private_statement_token1] = ACTIONS(2585),
    [aux_sym_public_statement_token1] = ACTIONS(2585),
    [aux_sym_namelist_statement_token1] = ACTIONS(2585),
    [aux_sym_common_statement_token1] = ACTIONS(2585),
    [aux_sym_import_statement_token1] = ACTIONS(2585),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2585),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2585),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2585),
    [aux_sym_variable_attributes_token1] = ACTIONS(2585),
    [aux_sym_variable_attributes_token2] = ACTIONS(2585),
    [aux_sym_variable_attributes_token3] = ACTIONS(2585),
    [aux_sym_variable_attributes_token4] = ACTIONS(2585),
    [aux_sym_variable_attributes_token5] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2585),
    [aux_sym_derived_type_token1] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2585),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2585),
    [aux_sym_stop_statement_token1] = ACTIONS(2585),
    [aux_sym_stop_statement_token2] = ACTIONS(2585),
    [aux_sym_subroutine_call_token1] = ACTIONS(2585),
    [aux_sym_keyword_statement_token1] = ACTIONS(2585),
    [aux_sym_keyword_statement_token2] = ACTIONS(2585),
    [aux_sym_keyword_statement_token3] = ACTIONS(2585),
    [aux_sym_keyword_statement_token4] = ACTIONS(2585),
    [aux_sym_keyword_statement_token6] = ACTIONS(2585),
    [aux_sym_keyword_statement_token7] = ACTIONS(2585),
    [aux_sym_include_statement_token1] = ACTIONS(2585),
    [aux_sym_data_statement_token1] = ACTIONS(2585),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2585),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2585),
    [aux_sym_end_if_statement_token1] = ACTIONS(2585),
    [aux_sym_elseif_clause_token2] = ACTIONS(2585),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2585),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2585),
    [aux_sym_select_case_statement_token1] = ACTIONS(2585),
    [aux_sym_select_case_statement_token3] = ACTIONS(2585),
    [aux_sym_select_type_statement_token1] = ACTIONS(2585),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2585),
    [aux_sym_block_construct_token1] = ACTIONS(2585),
    [aux_sym_associate_statement_token1] = ACTIONS(2585),
    [aux_sym_format_statement_token1] = ACTIONS(2585),
    [aux_sym_print_statement_token1] = ACTIONS(2585),
    [aux_sym_open_statement_token1] = ACTIONS(2585),
    [aux_sym_close_statement_token1] = ACTIONS(2585),
    [aux_sym_inquire_statement_token1] = ACTIONS(2585),
    [aux_sym_enum_statement_token1] = ACTIONS(2585),
    [aux_sym_file_position_statement_token1] = ACTIONS(2585),
    [aux_sym_file_position_statement_token2] = ACTIONS(2585),
    [aux_sym_file_position_statement_token3] = ACTIONS(2585),
    [aux_sym_file_position_statement_token4] = ACTIONS(2585),
    [aux_sym_logical_expression_token5] = ACTIONS(2587),
    [anon_sym_DOT] = ACTIONS(2585),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [aux_sym_boolean_literal_token1] = ACTIONS(2587),
    [aux_sym_boolean_literal_token2] = ACTIONS(2587),
    [aux_sym_null_literal_token1] = ACTIONS(2585),
    [aux_sym_identifier_token1] = ACTIONS(2585),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2587),
    [sym__float_literal] = ACTIONS(2587),
    [sym__boz_literal] = ACTIONS(2587),
    [sym__string_literal] = ACTIONS(2587),
    [sym__string_literal_kind] = ACTIONS(2587),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(2611),
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2609),
    [aux_sym_end_program_statement_token1] = ACTIONS(2609),
    [aux_sym_end_program_statement_token2] = ACTIONS(2609),
    [aux_sym_module_statement_token1] = ACTIONS(2609),
    [aux_sym_submodule_statement_token1] = ACTIONS(2609),
    [aux_sym_interface_statement_token1] = ACTIONS(2609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2609),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2609),
    [aux_sym_function_statement_token1] = ACTIONS(2609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2609),
    [aux_sym_contains_statement_token1] = ACTIONS(2609),
    [aux_sym_use_statement_token1] = ACTIONS(2609),
    [aux_sym_use_statement_token2] = ACTIONS(2609),
    [aux_sym_implicit_statement_token1] = ACTIONS(2609),
    [aux_sym_implicit_statement_token3] = ACTIONS(2609),
    [aux_sym_implicit_statement_token4] = ACTIONS(2609),
    [aux_sym_save_statement_token1] = ACTIONS(2609),
    [aux_sym_private_statement_token1] = ACTIONS(2609),
    [aux_sym_public_statement_token1] = ACTIONS(2609),
    [aux_sym_namelist_statement_token1] = ACTIONS(2609),
    [aux_sym_common_statement_token1] = ACTIONS(2609),
    [aux_sym_import_statement_token1] = ACTIONS(2609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2609),
    [aux_sym_variable_attributes_token1] = ACTIONS(2609),
    [aux_sym_variable_attributes_token2] = ACTIONS(2609),
    [aux_sym_variable_attributes_token3] = ACTIONS(2609),
    [aux_sym_variable_attributes_token4] = ACTIONS(2609),
    [aux_sym_variable_attributes_token5] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2609),
    [aux_sym_derived_type_token1] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2609),
    [aux_sym_stop_statement_token1] = ACTIONS(2609),
    [aux_sym_stop_statement_token2] = ACTIONS(2609),
    [aux_sym_subroutine_call_token1] = ACTIONS(2609),
    [aux_sym_keyword_statement_token1] = ACTIONS(2609),
    [aux_sym_keyword_statement_token2] = ACTIONS(2609),
    [aux_sym_keyword_statement_token3] = ACTIONS(2609),
    [aux_sym_keyword_statement_token4] = ACTIONS(2609),
    [aux_sym_keyword_statement_token6] = ACTIONS(2609),
    [aux_sym_keyword_statement_token7] = ACTIONS(2609),
    [aux_sym_include_statement_token1] = ACTIONS(2609),
    [aux_sym_data_statement_token1] = ACTIONS(2609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2609),
    [aux_sym_end_if_statement_token1] = ACTIONS(2609),
    [aux_sym_elseif_clause_token2] = ACTIONS(2609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2609),
    [aux_sym_select_case_statement_token1] = ACTIONS(2609),
    [aux_sym_select_case_statement_token3] = ACTIONS(2609),
    [aux_sym_select_type_statement_token1] = ACTIONS(2609),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2609),
    [aux_sym_block_construct_token1] = ACTIONS(2609),
    [aux_sym_associate_statement_token1] = ACTIONS(2609),
    [aux_sym_format_statement_token1] = ACTIONS(2609),
    [aux_sym_print_statement_token1] = ACTIONS(2609),
    [aux_sym_open_statement_token1] = ACTIONS(2609),
    [aux_sym_close_statement_token1] = ACTIONS(2609),
    [aux_sym_inquire_statement_token1] = ACTIONS(2609),
    [aux_sym_enum_statement_token1] = ACTIONS(2609),
    [aux_sym_file_position_statement_token1] = ACTIONS(2609),
    [aux_sym_file_position_statement_token2] = ACTIONS(2609),
    [aux_sym_file_position_statement_token3] = ACTIONS(2609),
    [aux_sym_file_position_statement_token4] = ACTIONS(2609),
    [aux_sym_logical_expression_token5] = ACTIONS(2611),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [aux_sym_boolean_literal_token1] = ACTIONS(2611),
    [aux_sym_boolean_literal_token2] = ACTIONS(2611),
    [aux_sym_null_literal_token1] = ACTIONS(2609),
    [aux_sym_identifier_token1] = ACTIONS(2609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2611),
    [sym__float_literal] = ACTIONS(2611),
    [sym__boz_literal] = ACTIONS(2611),
    [sym__string_literal] = ACTIONS(2611),
    [sym__string_literal_kind] = ACTIONS(2611),
  },
  [678] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2589),
    [aux_sym_preproc_def_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token1] = ACTIONS(2589),
    [aux_sym_preproc_if_token2] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2589),
    [sym_preproc_directive] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2589),
    [aux_sym_end_program_statement_token1] = ACTIONS(2589),
    [aux_sym_end_program_statement_token2] = ACTIONS(2589),
    [aux_sym_module_statement_token1] = ACTIONS(2589),
    [aux_sym_submodule_statement_token1] = ACTIONS(2589),
    [aux_sym_interface_statement_token1] = ACTIONS(2589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2589),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2589),
    [aux_sym_function_statement_token1] = ACTIONS(2589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2589),
    [aux_sym_contains_statement_token1] = ACTIONS(2589),
    [aux_sym_use_statement_token1] = ACTIONS(2589),
    [aux_sym_use_statement_token2] = ACTIONS(2589),
    [aux_sym_implicit_statement_token1] = ACTIONS(2589),
    [aux_sym_implicit_statement_token3] = ACTIONS(2589),
    [aux_sym_implicit_statement_token4] = ACTIONS(2589),
    [aux_sym_save_statement_token1] = ACTIONS(2589),
    [aux_sym_private_statement_token1] = ACTIONS(2589),
    [aux_sym_public_statement_token1] = ACTIONS(2589),
    [aux_sym_namelist_statement_token1] = ACTIONS(2589),
    [aux_sym_common_statement_token1] = ACTIONS(2589),
    [aux_sym_import_statement_token1] = ACTIONS(2589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2589),
    [aux_sym_variable_attributes_token1] = ACTIONS(2589),
    [aux_sym_variable_attributes_token2] = ACTIONS(2589),
    [aux_sym_variable_attributes_token3] = ACTIONS(2589),
    [aux_sym_variable_attributes_token4] = ACTIONS(2589),
    [aux_sym_variable_attributes_token5] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2589),
    [aux_sym_derived_type_token1] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2589),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2589),
    [aux_sym_stop_statement_token1] = ACTIONS(2589),
    [aux_sym_stop_statement_token2] = ACTIONS(2589),
    [aux_sym_subroutine_call_token1] = ACTIONS(2589),
    [aux_sym_keyword_statement_token1] = ACTIONS(2589),
    [aux_sym_keyword_statement_token2] = ACTIONS(2589),
    [aux_sym_keyword_statement_token3] = ACTIONS(2589),
    [aux_sym_keyword_statement_token4] = ACTIONS(2589),
    [aux_sym_keyword_statement_token6] = ACTIONS(2589),
    [aux_sym_keyword_statement_token7] = ACTIONS(2589),
    [aux_sym_include_statement_token1] = ACTIONS(2589),
    [aux_sym_data_statement_token1] = ACTIONS(2589),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2589),
    [aux_sym_end_if_statement_token1] = ACTIONS(2589),
    [aux_sym_elseif_clause_token2] = ACTIONS(2589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2589),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2589),
    [aux_sym_select_case_statement_token1] = ACTIONS(2589),
    [aux_sym_select_case_statement_token3] = ACTIONS(2589),
    [aux_sym_select_type_statement_token1] = ACTIONS(2589),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2589),
    [aux_sym_block_construct_token1] = ACTIONS(2589),
    [aux_sym_associate_statement_token1] = ACTIONS(2589),
    [aux_sym_format_statement_token1] = ACTIONS(2589),
    [aux_sym_print_statement_token1] = ACTIONS(2589),
    [aux_sym_open_statement_token1] = ACTIONS(2589),
    [aux_sym_close_statement_token1] = ACTIONS(2589),
    [aux_sym_inquire_statement_token1] = ACTIONS(2589),
    [aux_sym_enum_statement_token1] = ACTIONS(2589),
    [aux_sym_file_position_statement_token1] = ACTIONS(2589),
    [aux_sym_file_position_statement_token2] = ACTIONS(2589),
    [aux_sym_file_position_statement_token3] = ACTIONS(2589),
    [aux_sym_file_position_statement_token4] = ACTIONS(2589),
    [aux_sym_logical_expression_token5] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [aux_sym_boolean_literal_token1] = ACTIONS(2591),
    [aux_sym_boolean_literal_token2] = ACTIONS(2591),
    [aux_sym_null_literal_token1] = ACTIONS(2589),
    [aux_sym_identifier_token1] = ACTIONS(2589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2591),
    [sym__float_literal] = ACTIONS(2591),
    [sym__boz_literal] = ACTIONS(2591),
    [sym__string_literal] = ACTIONS(2591),
    [sym__string_literal_kind] = ACTIONS(2591),
  },
  [679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2593),
    [aux_sym_preproc_def_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token1] = ACTIONS(2593),
    [aux_sym_preproc_if_token2] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2593),
    [sym_preproc_directive] = ACTIONS(2593),
    [anon_sym_LPAREN2] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2593),
    [aux_sym_end_program_statement_token1] = ACTIONS(2593),
    [aux_sym_end_program_statement_token2] = ACTIONS(2593),
    [aux_sym_module_statement_token1] = ACTIONS(2593),
    [aux_sym_submodule_statement_token1] = ACTIONS(2593),
    [aux_sym_interface_statement_token1] = ACTIONS(2593),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2593),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2593),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2593),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2593),
    [aux_sym_function_statement_token1] = ACTIONS(2593),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2593),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2593),
    [aux_sym_contains_statement_token1] = ACTIONS(2593),
    [aux_sym_use_statement_token1] = ACTIONS(2593),
    [aux_sym_use_statement_token2] = ACTIONS(2593),
    [aux_sym_implicit_statement_token1] = ACTIONS(2593),
    [aux_sym_implicit_statement_token3] = ACTIONS(2593),
    [aux_sym_implicit_statement_token4] = ACTIONS(2593),
    [aux_sym_save_statement_token1] = ACTIONS(2593),
    [aux_sym_private_statement_token1] = ACTIONS(2593),
    [aux_sym_public_statement_token1] = ACTIONS(2593),
    [aux_sym_namelist_statement_token1] = ACTIONS(2593),
    [aux_sym_common_statement_token1] = ACTIONS(2593),
    [aux_sym_import_statement_token1] = ACTIONS(2593),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2593),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2593),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2593),
    [aux_sym_variable_attributes_token1] = ACTIONS(2593),
    [aux_sym_variable_attributes_token2] = ACTIONS(2593),
    [aux_sym_variable_attributes_token3] = ACTIONS(2593),
    [aux_sym_variable_attributes_token4] = ACTIONS(2593),
    [aux_sym_variable_attributes_token5] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2593),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2593),
    [aux_sym_derived_type_token1] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2593),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2593),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2593),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2593),
    [aux_sym_stop_statement_token1] = ACTIONS(2593),
    [aux_sym_stop_statement_token2] = ACTIONS(2593),
    [aux_sym_subroutine_call_token1] = ACTIONS(2593),
    [aux_sym_keyword_statement_token1] = ACTIONS(2593),
    [aux_sym_keyword_statement_token2] = ACTIONS(2593),
    [aux_sym_keyword_statement_token3] = ACTIONS(2593),
    [aux_sym_keyword_statement_token4] = ACTIONS(2593),
    [aux_sym_keyword_statement_token6] = ACTIONS(2593),
    [aux_sym_keyword_statement_token7] = ACTIONS(2593),
    [aux_sym_include_statement_token1] = ACTIONS(2593),
    [aux_sym_data_statement_token1] = ACTIONS(2593),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2593),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2593),
    [aux_sym_end_if_statement_token1] = ACTIONS(2593),
    [aux_sym_elseif_clause_token2] = ACTIONS(2593),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2593),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2593),
    [aux_sym_select_case_statement_token1] = ACTIONS(2593),
    [aux_sym_select_case_statement_token3] = ACTIONS(2593),
    [aux_sym_select_type_statement_token1] = ACTIONS(2593),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2593),
    [aux_sym_block_construct_token1] = ACTIONS(2593),
    [aux_sym_associate_statement_token1] = ACTIONS(2593),
    [aux_sym_format_statement_token1] = ACTIONS(2593),
    [aux_sym_print_statement_token1] = ACTIONS(2593),
    [aux_sym_open_statement_token1] = ACTIONS(2593),
    [aux_sym_close_statement_token1] = ACTIONS(2593),
    [aux_sym_inquire_statement_token1] = ACTIONS(2593),
    [aux_sym_enum_statement_token1] = ACTIONS(2593),
    [aux_sym_file_position_statement_token1] = ACTIONS(2593),
    [aux_sym_file_position_statement_token2] = ACTIONS(2593),
    [aux_sym_file_position_statement_token3] = ACTIONS(2593),
    [aux_sym_file_position_statement_token4] = ACTIONS(2593),
    [aux_sym_logical_expression_token5] = ACTIONS(2595),
    [anon_sym_DOT] = ACTIONS(2593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2595),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [aux_sym_boolean_literal_token1] = ACTIONS(2595),
    [aux_sym_boolean_literal_token2] = ACTIONS(2595),
    [aux_sym_null_literal_token1] = ACTIONS(2593),
    [aux_sym_identifier_token1] = ACTIONS(2593),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2595),
    [sym__float_literal] = ACTIONS(2595),
    [sym__boz_literal] = ACTIONS(2595),
    [sym__string_literal] = ACTIONS(2595),
    [sym__string_literal_kind] = ACTIONS(2595),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [aux_sym_preproc_include_token1] = ACTIONS(2641),
    [aux_sym_preproc_def_token1] = ACTIONS(2641),
    [aux_sym_preproc_if_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2641),
    [sym_preproc_directive] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2641),
    [aux_sym_end_program_statement_token1] = ACTIONS(2641),
    [aux_sym_end_program_statement_token2] = ACTIONS(2641),
    [aux_sym_module_statement_token1] = ACTIONS(2641),
    [aux_sym_submodule_statement_token1] = ACTIONS(2641),
    [aux_sym_interface_statement_token1] = ACTIONS(2641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2641),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2641),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2641),
    [aux_sym_function_statement_token1] = ACTIONS(2641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2641),
    [aux_sym_contains_statement_token1] = ACTIONS(2641),
    [aux_sym_use_statement_token1] = ACTIONS(2641),
    [aux_sym_use_statement_token2] = ACTIONS(2641),
    [aux_sym_implicit_statement_token1] = ACTIONS(2641),
    [aux_sym_implicit_statement_token3] = ACTIONS(2641),
    [aux_sym_implicit_statement_token4] = ACTIONS(2641),
    [aux_sym_save_statement_token1] = ACTIONS(2641),
    [aux_sym_private_statement_token1] = ACTIONS(2641),
    [aux_sym_public_statement_token1] = ACTIONS(2641),
    [aux_sym_namelist_statement_token1] = ACTIONS(2641),
    [aux_sym_common_statement_token1] = ACTIONS(2641),
    [aux_sym_import_statement_token1] = ACTIONS(2641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2641),
    [aux_sym_variable_attributes_token1] = ACTIONS(2641),
    [aux_sym_variable_attributes_token2] = ACTIONS(2641),
    [aux_sym_variable_attributes_token3] = ACTIONS(2641),
    [aux_sym_variable_attributes_token4] = ACTIONS(2641),
    [aux_sym_variable_attributes_token5] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2641),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2641),
    [aux_sym_derived_type_token1] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2641),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2641),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2641),
    [aux_sym_stop_statement_token1] = ACTIONS(2641),
    [aux_sym_stop_statement_token2] = ACTIONS(2641),
    [aux_sym_subroutine_call_token1] = ACTIONS(2641),
    [aux_sym_keyword_statement_token1] = ACTIONS(2641),
    [aux_sym_keyword_statement_token2] = ACTIONS(2641),
    [aux_sym_keyword_statement_token3] = ACTIONS(2641),
    [aux_sym_keyword_statement_token4] = ACTIONS(2641),
    [aux_sym_keyword_statement_token6] = ACTIONS(2641),
    [aux_sym_keyword_statement_token7] = ACTIONS(2641),
    [aux_sym_include_statement_token1] = ACTIONS(2641),
    [aux_sym_data_statement_token1] = ACTIONS(2641),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2641),
    [aux_sym_end_if_statement_token1] = ACTIONS(2641),
    [aux_sym_elseif_clause_token2] = ACTIONS(2641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2641),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2641),
    [aux_sym_select_case_statement_token1] = ACTIONS(2641),
    [aux_sym_select_case_statement_token3] = ACTIONS(2641),
    [aux_sym_select_type_statement_token1] = ACTIONS(2641),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2641),
    [aux_sym_block_construct_token1] = ACTIONS(2641),
    [aux_sym_associate_statement_token1] = ACTIONS(2641),
    [aux_sym_format_statement_token1] = ACTIONS(2641),
    [aux_sym_print_statement_token1] = ACTIONS(2641),
    [aux_sym_open_statement_token1] = ACTIONS(2641),
    [aux_sym_close_statement_token1] = ACTIONS(2641),
    [aux_sym_inquire_statement_token1] = ACTIONS(2641),
    [aux_sym_enum_statement_token1] = ACTIONS(2641),
    [aux_sym_file_position_statement_token1] = ACTIONS(2641),
    [aux_sym_file_position_statement_token2] = ACTIONS(2641),
    [aux_sym_file_position_statement_token3] = ACTIONS(2641),
    [aux_sym_file_position_statement_token4] = ACTIONS(2641),
    [aux_sym_logical_expression_token5] = ACTIONS(2643),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [aux_sym_boolean_literal_token1] = ACTIONS(2643),
    [aux_sym_boolean_literal_token2] = ACTIONS(2643),
    [aux_sym_null_literal_token1] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2643),
    [sym__float_literal] = ACTIONS(2643),
    [sym__boz_literal] = ACTIONS(2643),
    [sym__string_literal] = ACTIONS(2643),
    [sym__string_literal_kind] = ACTIONS(2643),
  },
  [681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2597),
    [aux_sym_preproc_def_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token1] = ACTIONS(2597),
    [aux_sym_preproc_if_token2] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2597),
    [sym_preproc_directive] = ACTIONS(2597),
    [anon_sym_LPAREN2] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2597),
    [aux_sym_end_program_statement_token1] = ACTIONS(2597),
    [aux_sym_end_program_statement_token2] = ACTIONS(2597),
    [aux_sym_module_statement_token1] = ACTIONS(2597),
    [aux_sym_submodule_statement_token1] = ACTIONS(2597),
    [aux_sym_interface_statement_token1] = ACTIONS(2597),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2597),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2597),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2597),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2597),
    [aux_sym_function_statement_token1] = ACTIONS(2597),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2597),
    [aux_sym_contains_statement_token1] = ACTIONS(2597),
    [aux_sym_use_statement_token1] = ACTIONS(2597),
    [aux_sym_use_statement_token2] = ACTIONS(2597),
    [aux_sym_implicit_statement_token1] = ACTIONS(2597),
    [aux_sym_implicit_statement_token3] = ACTIONS(2597),
    [aux_sym_implicit_statement_token4] = ACTIONS(2597),
    [aux_sym_save_statement_token1] = ACTIONS(2597),
    [aux_sym_private_statement_token1] = ACTIONS(2597),
    [aux_sym_public_statement_token1] = ACTIONS(2597),
    [aux_sym_namelist_statement_token1] = ACTIONS(2597),
    [aux_sym_common_statement_token1] = ACTIONS(2597),
    [aux_sym_import_statement_token1] = ACTIONS(2597),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2597),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2597),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2597),
    [aux_sym_variable_attributes_token1] = ACTIONS(2597),
    [aux_sym_variable_attributes_token2] = ACTIONS(2597),
    [aux_sym_variable_attributes_token3] = ACTIONS(2597),
    [aux_sym_variable_attributes_token4] = ACTIONS(2597),
    [aux_sym_variable_attributes_token5] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2597),
    [aux_sym_derived_type_token1] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2597),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2597),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2597),
    [aux_sym_stop_statement_token1] = ACTIONS(2597),
    [aux_sym_stop_statement_token2] = ACTIONS(2597),
    [aux_sym_subroutine_call_token1] = ACTIONS(2597),
    [aux_sym_keyword_statement_token1] = ACTIONS(2597),
    [aux_sym_keyword_statement_token2] = ACTIONS(2597),
    [aux_sym_keyword_statement_token3] = ACTIONS(2597),
    [aux_sym_keyword_statement_token4] = ACTIONS(2597),
    [aux_sym_keyword_statement_token6] = ACTIONS(2597),
    [aux_sym_keyword_statement_token7] = ACTIONS(2597),
    [aux_sym_include_statement_token1] = ACTIONS(2597),
    [aux_sym_data_statement_token1] = ACTIONS(2597),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2597),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2597),
    [aux_sym_end_if_statement_token1] = ACTIONS(2597),
    [aux_sym_elseif_clause_token2] = ACTIONS(2597),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2597),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2597),
    [aux_sym_select_case_statement_token1] = ACTIONS(2597),
    [aux_sym_select_case_statement_token3] = ACTIONS(2597),
    [aux_sym_select_type_statement_token1] = ACTIONS(2597),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2597),
    [aux_sym_block_construct_token1] = ACTIONS(2597),
    [aux_sym_associate_statement_token1] = ACTIONS(2597),
    [aux_sym_format_statement_token1] = ACTIONS(2597),
    [aux_sym_print_statement_token1] = ACTIONS(2597),
    [aux_sym_open_statement_token1] = ACTIONS(2597),
    [aux_sym_close_statement_token1] = ACTIONS(2597),
    [aux_sym_inquire_statement_token1] = ACTIONS(2597),
    [aux_sym_enum_statement_token1] = ACTIONS(2597),
    [aux_sym_file_position_statement_token1] = ACTIONS(2597),
    [aux_sym_file_position_statement_token2] = ACTIONS(2597),
    [aux_sym_file_position_statement_token3] = ACTIONS(2597),
    [aux_sym_file_position_statement_token4] = ACTIONS(2597),
    [aux_sym_logical_expression_token5] = ACTIONS(2599),
    [anon_sym_DOT] = ACTIONS(2597),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [aux_sym_boolean_literal_token1] = ACTIONS(2599),
    [aux_sym_boolean_literal_token2] = ACTIONS(2599),
    [aux_sym_null_literal_token1] = ACTIONS(2597),
    [aux_sym_identifier_token1] = ACTIONS(2597),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2599),
    [sym__float_literal] = ACTIONS(2599),
    [sym__boz_literal] = ACTIONS(2599),
    [sym__string_literal] = ACTIONS(2599),
    [sym__string_literal_kind] = ACTIONS(2599),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2613),
    [aux_sym_end_program_statement_token1] = ACTIONS(2613),
    [aux_sym_end_program_statement_token2] = ACTIONS(2613),
    [aux_sym_module_statement_token1] = ACTIONS(2613),
    [aux_sym_submodule_statement_token1] = ACTIONS(2613),
    [aux_sym_interface_statement_token1] = ACTIONS(2613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2613),
    [aux_sym_function_statement_token1] = ACTIONS(2613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2613),
    [aux_sym_contains_statement_token1] = ACTIONS(2613),
    [aux_sym_use_statement_token1] = ACTIONS(2613),
    [aux_sym_use_statement_token2] = ACTIONS(2613),
    [aux_sym_implicit_statement_token1] = ACTIONS(2613),
    [aux_sym_implicit_statement_token3] = ACTIONS(2613),
    [aux_sym_implicit_statement_token4] = ACTIONS(2613),
    [aux_sym_save_statement_token1] = ACTIONS(2613),
    [aux_sym_private_statement_token1] = ACTIONS(2613),
    [aux_sym_public_statement_token1] = ACTIONS(2613),
    [aux_sym_namelist_statement_token1] = ACTIONS(2613),
    [aux_sym_common_statement_token1] = ACTIONS(2613),
    [aux_sym_import_statement_token1] = ACTIONS(2613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2613),
    [aux_sym_variable_attributes_token1] = ACTIONS(2613),
    [aux_sym_variable_attributes_token2] = ACTIONS(2613),
    [aux_sym_variable_attributes_token3] = ACTIONS(2613),
    [aux_sym_variable_attributes_token4] = ACTIONS(2613),
    [aux_sym_variable_attributes_token5] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2613),
    [aux_sym_derived_type_token1] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2613),
    [aux_sym_stop_statement_token1] = ACTIONS(2613),
    [aux_sym_stop_statement_token2] = ACTIONS(2613),
    [aux_sym_subroutine_call_token1] = ACTIONS(2613),
    [aux_sym_keyword_statement_token1] = ACTIONS(2613),
    [aux_sym_keyword_statement_token2] = ACTIONS(2613),
    [aux_sym_keyword_statement_token3] = ACTIONS(2613),
    [aux_sym_keyword_statement_token4] = ACTIONS(2613),
    [aux_sym_keyword_statement_token6] = ACTIONS(2613),
    [aux_sym_keyword_statement_token7] = ACTIONS(2613),
    [aux_sym_include_statement_token1] = ACTIONS(2613),
    [aux_sym_data_statement_token1] = ACTIONS(2613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2613),
    [aux_sym_end_if_statement_token1] = ACTIONS(2613),
    [aux_sym_elseif_clause_token2] = ACTIONS(2613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2613),
    [aux_sym_select_case_statement_token1] = ACTIONS(2613),
    [aux_sym_select_case_statement_token3] = ACTIONS(2613),
    [aux_sym_select_type_statement_token1] = ACTIONS(2613),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2613),
    [aux_sym_block_construct_token1] = ACTIONS(2613),
    [aux_sym_associate_statement_token1] = ACTIONS(2613),
    [aux_sym_format_statement_token1] = ACTIONS(2613),
    [aux_sym_print_statement_token1] = ACTIONS(2613),
    [aux_sym_open_statement_token1] = ACTIONS(2613),
    [aux_sym_close_statement_token1] = ACTIONS(2613),
    [aux_sym_inquire_statement_token1] = ACTIONS(2613),
    [aux_sym_enum_statement_token1] = ACTIONS(2613),
    [aux_sym_file_position_statement_token1] = ACTIONS(2613),
    [aux_sym_file_position_statement_token2] = ACTIONS(2613),
    [aux_sym_file_position_statement_token3] = ACTIONS(2613),
    [aux_sym_file_position_statement_token4] = ACTIONS(2613),
    [aux_sym_logical_expression_token5] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [aux_sym_boolean_literal_token1] = ACTIONS(2615),
    [aux_sym_boolean_literal_token2] = ACTIONS(2615),
    [aux_sym_null_literal_token1] = ACTIONS(2613),
    [aux_sym_identifier_token1] = ACTIONS(2613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2615),
    [sym__float_literal] = ACTIONS(2615),
    [sym__boz_literal] = ACTIONS(2615),
    [sym__string_literal] = ACTIONS(2615),
    [sym__string_literal_kind] = ACTIONS(2615),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2405),
    [aux_sym_preproc_def_token1] = ACTIONS(2405),
    [aux_sym_preproc_if_token1] = ACTIONS(2405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2405),
    [sym_preproc_directive] = ACTIONS(2405),
    [anon_sym_LPAREN2] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2405),
    [aux_sym_end_program_statement_token1] = ACTIONS(2405),
    [aux_sym_end_program_statement_token2] = ACTIONS(2405),
    [aux_sym_module_statement_token1] = ACTIONS(2405),
    [aux_sym_submodule_statement_token1] = ACTIONS(2405),
    [aux_sym_interface_statement_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2405),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2405),
    [aux_sym_function_statement_token1] = ACTIONS(2405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2405),
    [aux_sym_contains_statement_token1] = ACTIONS(2405),
    [aux_sym_use_statement_token1] = ACTIONS(2405),
    [aux_sym_use_statement_token2] = ACTIONS(2405),
    [aux_sym_implicit_statement_token1] = ACTIONS(2405),
    [aux_sym_implicit_statement_token3] = ACTIONS(2405),
    [aux_sym_implicit_statement_token4] = ACTIONS(2405),
    [aux_sym_save_statement_token1] = ACTIONS(2405),
    [aux_sym_private_statement_token1] = ACTIONS(2405),
    [aux_sym_public_statement_token1] = ACTIONS(2405),
    [aux_sym_namelist_statement_token1] = ACTIONS(2405),
    [aux_sym_common_statement_token1] = ACTIONS(2405),
    [aux_sym_import_statement_token1] = ACTIONS(2405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2405),
    [aux_sym_variable_attributes_token1] = ACTIONS(2405),
    [aux_sym_variable_attributes_token2] = ACTIONS(2405),
    [aux_sym_variable_attributes_token3] = ACTIONS(2405),
    [aux_sym_variable_attributes_token4] = ACTIONS(2405),
    [aux_sym_variable_attributes_token5] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2405),
    [aux_sym_derived_type_token1] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2405),
    [aux_sym_stop_statement_token1] = ACTIONS(2405),
    [aux_sym_stop_statement_token2] = ACTIONS(2405),
    [aux_sym_subroutine_call_token1] = ACTIONS(2405),
    [aux_sym_keyword_statement_token1] = ACTIONS(2405),
    [aux_sym_keyword_statement_token2] = ACTIONS(2405),
    [aux_sym_keyword_statement_token3] = ACTIONS(2405),
    [aux_sym_keyword_statement_token4] = ACTIONS(2405),
    [aux_sym_keyword_statement_token6] = ACTIONS(2405),
    [aux_sym_keyword_statement_token7] = ACTIONS(2405),
    [aux_sym_include_statement_token1] = ACTIONS(2405),
    [aux_sym_data_statement_token1] = ACTIONS(2405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2405),
    [aux_sym_end_if_statement_token1] = ACTIONS(2405),
    [aux_sym_elseif_clause_token2] = ACTIONS(2405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2405),
    [aux_sym_select_case_statement_token1] = ACTIONS(2405),
    [aux_sym_select_case_statement_token3] = ACTIONS(2405),
    [aux_sym_select_type_statement_token1] = ACTIONS(2405),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2405),
    [aux_sym_block_construct_token1] = ACTIONS(2405),
    [aux_sym_associate_statement_token1] = ACTIONS(2405),
    [aux_sym_format_statement_token1] = ACTIONS(2405),
    [aux_sym_print_statement_token1] = ACTIONS(2405),
    [aux_sym_open_statement_token1] = ACTIONS(2405),
    [aux_sym_close_statement_token1] = ACTIONS(2405),
    [aux_sym_inquire_statement_token1] = ACTIONS(2405),
    [aux_sym_enum_statement_token1] = ACTIONS(2405),
    [aux_sym_file_position_statement_token1] = ACTIONS(2405),
    [aux_sym_file_position_statement_token2] = ACTIONS(2405),
    [aux_sym_file_position_statement_token3] = ACTIONS(2405),
    [aux_sym_file_position_statement_token4] = ACTIONS(2405),
    [aux_sym_logical_expression_token5] = ACTIONS(2407),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_boolean_literal_token1] = ACTIONS(2407),
    [aux_sym_boolean_literal_token2] = ACTIONS(2407),
    [aux_sym_null_literal_token1] = ACTIONS(2405),
    [aux_sym_identifier_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2407),
    [sym__float_literal] = ACTIONS(2407),
    [sym__boz_literal] = ACTIONS(2407),
    [sym__string_literal] = ACTIONS(2407),
    [sym__string_literal_kind] = ACTIONS(2407),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2617),
    [aux_sym_end_program_statement_token1] = ACTIONS(2617),
    [aux_sym_end_program_statement_token2] = ACTIONS(2617),
    [aux_sym_module_statement_token1] = ACTIONS(2617),
    [aux_sym_submodule_statement_token1] = ACTIONS(2617),
    [aux_sym_interface_statement_token1] = ACTIONS(2617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2617),
    [aux_sym_function_statement_token1] = ACTIONS(2617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2617),
    [aux_sym_contains_statement_token1] = ACTIONS(2617),
    [aux_sym_use_statement_token1] = ACTIONS(2617),
    [aux_sym_use_statement_token2] = ACTIONS(2617),
    [aux_sym_implicit_statement_token1] = ACTIONS(2617),
    [aux_sym_implicit_statement_token3] = ACTIONS(2617),
    [aux_sym_implicit_statement_token4] = ACTIONS(2617),
    [aux_sym_save_statement_token1] = ACTIONS(2617),
    [aux_sym_private_statement_token1] = ACTIONS(2617),
    [aux_sym_public_statement_token1] = ACTIONS(2617),
    [aux_sym_namelist_statement_token1] = ACTIONS(2617),
    [aux_sym_common_statement_token1] = ACTIONS(2617),
    [aux_sym_import_statement_token1] = ACTIONS(2617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2617),
    [aux_sym_variable_attributes_token1] = ACTIONS(2617),
    [aux_sym_variable_attributes_token2] = ACTIONS(2617),
    [aux_sym_variable_attributes_token3] = ACTIONS(2617),
    [aux_sym_variable_attributes_token4] = ACTIONS(2617),
    [aux_sym_variable_attributes_token5] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2617),
    [aux_sym_derived_type_token1] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2617),
    [aux_sym_stop_statement_token1] = ACTIONS(2617),
    [aux_sym_stop_statement_token2] = ACTIONS(2617),
    [aux_sym_subroutine_call_token1] = ACTIONS(2617),
    [aux_sym_keyword_statement_token1] = ACTIONS(2617),
    [aux_sym_keyword_statement_token2] = ACTIONS(2617),
    [aux_sym_keyword_statement_token3] = ACTIONS(2617),
    [aux_sym_keyword_statement_token4] = ACTIONS(2617),
    [aux_sym_keyword_statement_token6] = ACTIONS(2617),
    [aux_sym_keyword_statement_token7] = ACTIONS(2617),
    [aux_sym_include_statement_token1] = ACTIONS(2617),
    [aux_sym_data_statement_token1] = ACTIONS(2617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2617),
    [aux_sym_end_if_statement_token1] = ACTIONS(2617),
    [aux_sym_elseif_clause_token2] = ACTIONS(2617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2617),
    [aux_sym_select_case_statement_token1] = ACTIONS(2617),
    [aux_sym_select_case_statement_token3] = ACTIONS(2617),
    [aux_sym_select_type_statement_token1] = ACTIONS(2617),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2617),
    [aux_sym_block_construct_token1] = ACTIONS(2617),
    [aux_sym_associate_statement_token1] = ACTIONS(2617),
    [aux_sym_format_statement_token1] = ACTIONS(2617),
    [aux_sym_print_statement_token1] = ACTIONS(2617),
    [aux_sym_open_statement_token1] = ACTIONS(2617),
    [aux_sym_close_statement_token1] = ACTIONS(2617),
    [aux_sym_inquire_statement_token1] = ACTIONS(2617),
    [aux_sym_enum_statement_token1] = ACTIONS(2617),
    [aux_sym_file_position_statement_token1] = ACTIONS(2617),
    [aux_sym_file_position_statement_token2] = ACTIONS(2617),
    [aux_sym_file_position_statement_token3] = ACTIONS(2617),
    [aux_sym_file_position_statement_token4] = ACTIONS(2617),
    [aux_sym_logical_expression_token5] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [aux_sym_boolean_literal_token1] = ACTIONS(2619),
    [aux_sym_boolean_literal_token2] = ACTIONS(2619),
    [aux_sym_null_literal_token1] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2619),
    [sym__float_literal] = ACTIONS(2619),
    [sym__boz_literal] = ACTIONS(2619),
    [sym__string_literal] = ACTIONS(2619),
    [sym__string_literal_kind] = ACTIONS(2619),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2547),
    [aux_sym_preproc_include_token1] = ACTIONS(2545),
    [aux_sym_preproc_def_token1] = ACTIONS(2545),
    [aux_sym_preproc_if_token1] = ACTIONS(2545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2545),
    [sym_preproc_directive] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2545),
    [aux_sym_end_program_statement_token1] = ACTIONS(2545),
    [aux_sym_end_program_statement_token2] = ACTIONS(2545),
    [aux_sym_module_statement_token1] = ACTIONS(2545),
    [aux_sym_submodule_statement_token1] = ACTIONS(2545),
    [aux_sym_interface_statement_token1] = ACTIONS(2545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2545),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2545),
    [aux_sym_function_statement_token1] = ACTIONS(2545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2545),
    [aux_sym_contains_statement_token1] = ACTIONS(2545),
    [aux_sym_use_statement_token1] = ACTIONS(2545),
    [aux_sym_use_statement_token2] = ACTIONS(2545),
    [aux_sym_implicit_statement_token1] = ACTIONS(2545),
    [aux_sym_implicit_statement_token3] = ACTIONS(2545),
    [aux_sym_implicit_statement_token4] = ACTIONS(2545),
    [aux_sym_save_statement_token1] = ACTIONS(2545),
    [aux_sym_private_statement_token1] = ACTIONS(2545),
    [aux_sym_public_statement_token1] = ACTIONS(2545),
    [aux_sym_namelist_statement_token1] = ACTIONS(2545),
    [aux_sym_common_statement_token1] = ACTIONS(2545),
    [aux_sym_import_statement_token1] = ACTIONS(2545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2545),
    [aux_sym_variable_attributes_token1] = ACTIONS(2545),
    [aux_sym_variable_attributes_token2] = ACTIONS(2545),
    [aux_sym_variable_attributes_token3] = ACTIONS(2545),
    [aux_sym_variable_attributes_token4] = ACTIONS(2545),
    [aux_sym_variable_attributes_token5] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2545),
    [aux_sym_derived_type_token1] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2545),
    [aux_sym_stop_statement_token1] = ACTIONS(2545),
    [aux_sym_stop_statement_token2] = ACTIONS(2545),
    [aux_sym_subroutine_call_token1] = ACTIONS(2545),
    [aux_sym_keyword_statement_token1] = ACTIONS(2545),
    [aux_sym_keyword_statement_token2] = ACTIONS(2545),
    [aux_sym_keyword_statement_token3] = ACTIONS(2545),
    [aux_sym_keyword_statement_token4] = ACTIONS(2545),
    [aux_sym_keyword_statement_token6] = ACTIONS(2545),
    [aux_sym_keyword_statement_token7] = ACTIONS(2545),
    [aux_sym_include_statement_token1] = ACTIONS(2545),
    [aux_sym_data_statement_token1] = ACTIONS(2545),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2545),
    [aux_sym_end_if_statement_token1] = ACTIONS(2545),
    [aux_sym_elseif_clause_token2] = ACTIONS(2545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2545),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2545),
    [aux_sym_select_case_statement_token1] = ACTIONS(2545),
    [aux_sym_select_case_statement_token3] = ACTIONS(2545),
    [aux_sym_select_type_statement_token1] = ACTIONS(2545),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2545),
    [aux_sym_block_construct_token1] = ACTIONS(2545),
    [aux_sym_associate_statement_token1] = ACTIONS(2545),
    [aux_sym_format_statement_token1] = ACTIONS(2545),
    [aux_sym_print_statement_token1] = ACTIONS(2545),
    [aux_sym_open_statement_token1] = ACTIONS(2545),
    [aux_sym_close_statement_token1] = ACTIONS(2545),
    [aux_sym_inquire_statement_token1] = ACTIONS(2545),
    [aux_sym_enum_statement_token1] = ACTIONS(2545),
    [aux_sym_file_position_statement_token1] = ACTIONS(2545),
    [aux_sym_file_position_statement_token2] = ACTIONS(2545),
    [aux_sym_file_position_statement_token3] = ACTIONS(2545),
    [aux_sym_file_position_statement_token4] = ACTIONS(2545),
    [aux_sym_logical_expression_token5] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [aux_sym_boolean_literal_token1] = ACTIONS(2547),
    [aux_sym_boolean_literal_token2] = ACTIONS(2547),
    [aux_sym_null_literal_token1] = ACTIONS(2545),
    [aux_sym_identifier_token1] = ACTIONS(2545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2547),
    [sym__float_literal] = ACTIONS(2547),
    [sym__boz_literal] = ACTIONS(2547),
    [sym__string_literal] = ACTIONS(2547),
    [sym__string_literal_kind] = ACTIONS(2547),
  },
  [686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2545),
    [aux_sym_preproc_def_token1] = ACTIONS(2545),
    [aux_sym_preproc_if_token1] = ACTIONS(2545),
    [aux_sym_preproc_if_token2] = ACTIONS(2545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2545),
    [sym_preproc_directive] = ACTIONS(2545),
    [anon_sym_LPAREN2] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2545),
    [aux_sym_end_program_statement_token1] = ACTIONS(2545),
    [aux_sym_end_program_statement_token2] = ACTIONS(2545),
    [aux_sym_module_statement_token1] = ACTIONS(2545),
    [aux_sym_submodule_statement_token1] = ACTIONS(2545),
    [aux_sym_interface_statement_token1] = ACTIONS(2545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2545),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2545),
    [aux_sym_function_statement_token1] = ACTIONS(2545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2545),
    [aux_sym_contains_statement_token1] = ACTIONS(2545),
    [aux_sym_use_statement_token1] = ACTIONS(2545),
    [aux_sym_use_statement_token2] = ACTIONS(2545),
    [aux_sym_implicit_statement_token1] = ACTIONS(2545),
    [aux_sym_implicit_statement_token3] = ACTIONS(2545),
    [aux_sym_implicit_statement_token4] = ACTIONS(2545),
    [aux_sym_save_statement_token1] = ACTIONS(2545),
    [aux_sym_private_statement_token1] = ACTIONS(2545),
    [aux_sym_public_statement_token1] = ACTIONS(2545),
    [aux_sym_namelist_statement_token1] = ACTIONS(2545),
    [aux_sym_common_statement_token1] = ACTIONS(2545),
    [aux_sym_import_statement_token1] = ACTIONS(2545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2545),
    [aux_sym_variable_attributes_token1] = ACTIONS(2545),
    [aux_sym_variable_attributes_token2] = ACTIONS(2545),
    [aux_sym_variable_attributes_token3] = ACTIONS(2545),
    [aux_sym_variable_attributes_token4] = ACTIONS(2545),
    [aux_sym_variable_attributes_token5] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2545),
    [aux_sym_derived_type_token1] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2545),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2545),
    [aux_sym_stop_statement_token1] = ACTIONS(2545),
    [aux_sym_stop_statement_token2] = ACTIONS(2545),
    [aux_sym_subroutine_call_token1] = ACTIONS(2545),
    [aux_sym_keyword_statement_token1] = ACTIONS(2545),
    [aux_sym_keyword_statement_token2] = ACTIONS(2545),
    [aux_sym_keyword_statement_token3] = ACTIONS(2545),
    [aux_sym_keyword_statement_token4] = ACTIONS(2545),
    [aux_sym_keyword_statement_token6] = ACTIONS(2545),
    [aux_sym_keyword_statement_token7] = ACTIONS(2545),
    [aux_sym_include_statement_token1] = ACTIONS(2545),
    [aux_sym_data_statement_token1] = ACTIONS(2545),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2545),
    [aux_sym_end_if_statement_token1] = ACTIONS(2545),
    [aux_sym_elseif_clause_token2] = ACTIONS(2545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2545),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2545),
    [aux_sym_select_case_statement_token1] = ACTIONS(2545),
    [aux_sym_select_case_statement_token3] = ACTIONS(2545),
    [aux_sym_select_type_statement_token1] = ACTIONS(2545),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2545),
    [aux_sym_block_construct_token1] = ACTIONS(2545),
    [aux_sym_associate_statement_token1] = ACTIONS(2545),
    [aux_sym_format_statement_token1] = ACTIONS(2545),
    [aux_sym_print_statement_token1] = ACTIONS(2545),
    [aux_sym_open_statement_token1] = ACTIONS(2545),
    [aux_sym_close_statement_token1] = ACTIONS(2545),
    [aux_sym_inquire_statement_token1] = ACTIONS(2545),
    [aux_sym_enum_statement_token1] = ACTIONS(2545),
    [aux_sym_file_position_statement_token1] = ACTIONS(2545),
    [aux_sym_file_position_statement_token2] = ACTIONS(2545),
    [aux_sym_file_position_statement_token3] = ACTIONS(2545),
    [aux_sym_file_position_statement_token4] = ACTIONS(2545),
    [aux_sym_logical_expression_token5] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [aux_sym_boolean_literal_token1] = ACTIONS(2547),
    [aux_sym_boolean_literal_token2] = ACTIONS(2547),
    [aux_sym_null_literal_token1] = ACTIONS(2545),
    [aux_sym_identifier_token1] = ACTIONS(2545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2547),
    [sym__float_literal] = ACTIONS(2547),
    [sym__boz_literal] = ACTIONS(2547),
    [sym__string_literal] = ACTIONS(2547),
    [sym__string_literal_kind] = ACTIONS(2547),
  },
  [687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token2] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2601),
    [aux_sym_end_program_statement_token1] = ACTIONS(2601),
    [aux_sym_end_program_statement_token2] = ACTIONS(2601),
    [aux_sym_module_statement_token1] = ACTIONS(2601),
    [aux_sym_submodule_statement_token1] = ACTIONS(2601),
    [aux_sym_interface_statement_token1] = ACTIONS(2601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2601),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2601),
    [aux_sym_function_statement_token1] = ACTIONS(2601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2601),
    [aux_sym_contains_statement_token1] = ACTIONS(2601),
    [aux_sym_use_statement_token1] = ACTIONS(2601),
    [aux_sym_use_statement_token2] = ACTIONS(2601),
    [aux_sym_implicit_statement_token1] = ACTIONS(2601),
    [aux_sym_implicit_statement_token3] = ACTIONS(2601),
    [aux_sym_implicit_statement_token4] = ACTIONS(2601),
    [aux_sym_save_statement_token1] = ACTIONS(2601),
    [aux_sym_private_statement_token1] = ACTIONS(2601),
    [aux_sym_public_statement_token1] = ACTIONS(2601),
    [aux_sym_namelist_statement_token1] = ACTIONS(2601),
    [aux_sym_common_statement_token1] = ACTIONS(2601),
    [aux_sym_import_statement_token1] = ACTIONS(2601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2601),
    [aux_sym_variable_attributes_token1] = ACTIONS(2601),
    [aux_sym_variable_attributes_token2] = ACTIONS(2601),
    [aux_sym_variable_attributes_token3] = ACTIONS(2601),
    [aux_sym_variable_attributes_token4] = ACTIONS(2601),
    [aux_sym_variable_attributes_token5] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2601),
    [aux_sym_derived_type_token1] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2601),
    [aux_sym_stop_statement_token1] = ACTIONS(2601),
    [aux_sym_stop_statement_token2] = ACTIONS(2601),
    [aux_sym_subroutine_call_token1] = ACTIONS(2601),
    [aux_sym_keyword_statement_token1] = ACTIONS(2601),
    [aux_sym_keyword_statement_token2] = ACTIONS(2601),
    [aux_sym_keyword_statement_token3] = ACTIONS(2601),
    [aux_sym_keyword_statement_token4] = ACTIONS(2601),
    [aux_sym_keyword_statement_token6] = ACTIONS(2601),
    [aux_sym_keyword_statement_token7] = ACTIONS(2601),
    [aux_sym_include_statement_token1] = ACTIONS(2601),
    [aux_sym_data_statement_token1] = ACTIONS(2601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2601),
    [aux_sym_end_if_statement_token1] = ACTIONS(2601),
    [aux_sym_elseif_clause_token2] = ACTIONS(2601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2601),
    [aux_sym_select_case_statement_token1] = ACTIONS(2601),
    [aux_sym_select_case_statement_token3] = ACTIONS(2601),
    [aux_sym_select_type_statement_token1] = ACTIONS(2601),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2601),
    [aux_sym_block_construct_token1] = ACTIONS(2601),
    [aux_sym_associate_statement_token1] = ACTIONS(2601),
    [aux_sym_format_statement_token1] = ACTIONS(2601),
    [aux_sym_print_statement_token1] = ACTIONS(2601),
    [aux_sym_open_statement_token1] = ACTIONS(2601),
    [aux_sym_close_statement_token1] = ACTIONS(2601),
    [aux_sym_inquire_statement_token1] = ACTIONS(2601),
    [aux_sym_enum_statement_token1] = ACTIONS(2601),
    [aux_sym_file_position_statement_token1] = ACTIONS(2601),
    [aux_sym_file_position_statement_token2] = ACTIONS(2601),
    [aux_sym_file_position_statement_token3] = ACTIONS(2601),
    [aux_sym_file_position_statement_token4] = ACTIONS(2601),
    [aux_sym_logical_expression_token5] = ACTIONS(2603),
    [anon_sym_DOT] = ACTIONS(2601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [aux_sym_boolean_literal_token1] = ACTIONS(2603),
    [aux_sym_boolean_literal_token2] = ACTIONS(2603),
    [aux_sym_null_literal_token1] = ACTIONS(2601),
    [aux_sym_identifier_token1] = ACTIONS(2601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2603),
    [sym__float_literal] = ACTIONS(2603),
    [sym__boz_literal] = ACTIONS(2603),
    [sym__string_literal] = ACTIONS(2603),
    [sym__string_literal_kind] = ACTIONS(2603),
  },
  [688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2617),
    [aux_sym_preproc_def_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token1] = ACTIONS(2617),
    [aux_sym_preproc_if_token2] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2617),
    [sym_preproc_directive] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2617),
    [aux_sym_end_program_statement_token1] = ACTIONS(2617),
    [aux_sym_end_program_statement_token2] = ACTIONS(2617),
    [aux_sym_module_statement_token1] = ACTIONS(2617),
    [aux_sym_submodule_statement_token1] = ACTIONS(2617),
    [aux_sym_interface_statement_token1] = ACTIONS(2617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2617),
    [aux_sym_function_statement_token1] = ACTIONS(2617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2617),
    [aux_sym_contains_statement_token1] = ACTIONS(2617),
    [aux_sym_use_statement_token1] = ACTIONS(2617),
    [aux_sym_use_statement_token2] = ACTIONS(2617),
    [aux_sym_implicit_statement_token1] = ACTIONS(2617),
    [aux_sym_implicit_statement_token3] = ACTIONS(2617),
    [aux_sym_implicit_statement_token4] = ACTIONS(2617),
    [aux_sym_save_statement_token1] = ACTIONS(2617),
    [aux_sym_private_statement_token1] = ACTIONS(2617),
    [aux_sym_public_statement_token1] = ACTIONS(2617),
    [aux_sym_namelist_statement_token1] = ACTIONS(2617),
    [aux_sym_common_statement_token1] = ACTIONS(2617),
    [aux_sym_import_statement_token1] = ACTIONS(2617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2617),
    [aux_sym_variable_attributes_token1] = ACTIONS(2617),
    [aux_sym_variable_attributes_token2] = ACTIONS(2617),
    [aux_sym_variable_attributes_token3] = ACTIONS(2617),
    [aux_sym_variable_attributes_token4] = ACTIONS(2617),
    [aux_sym_variable_attributes_token5] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2617),
    [aux_sym_derived_type_token1] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2617),
    [aux_sym_stop_statement_token1] = ACTIONS(2617),
    [aux_sym_stop_statement_token2] = ACTIONS(2617),
    [aux_sym_subroutine_call_token1] = ACTIONS(2617),
    [aux_sym_keyword_statement_token1] = ACTIONS(2617),
    [aux_sym_keyword_statement_token2] = ACTIONS(2617),
    [aux_sym_keyword_statement_token3] = ACTIONS(2617),
    [aux_sym_keyword_statement_token4] = ACTIONS(2617),
    [aux_sym_keyword_statement_token6] = ACTIONS(2617),
    [aux_sym_keyword_statement_token7] = ACTIONS(2617),
    [aux_sym_include_statement_token1] = ACTIONS(2617),
    [aux_sym_data_statement_token1] = ACTIONS(2617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2617),
    [aux_sym_end_if_statement_token1] = ACTIONS(2617),
    [aux_sym_elseif_clause_token2] = ACTIONS(2617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2617),
    [aux_sym_select_case_statement_token1] = ACTIONS(2617),
    [aux_sym_select_case_statement_token3] = ACTIONS(2617),
    [aux_sym_select_type_statement_token1] = ACTIONS(2617),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2617),
    [aux_sym_block_construct_token1] = ACTIONS(2617),
    [aux_sym_associate_statement_token1] = ACTIONS(2617),
    [aux_sym_format_statement_token1] = ACTIONS(2617),
    [aux_sym_print_statement_token1] = ACTIONS(2617),
    [aux_sym_open_statement_token1] = ACTIONS(2617),
    [aux_sym_close_statement_token1] = ACTIONS(2617),
    [aux_sym_inquire_statement_token1] = ACTIONS(2617),
    [aux_sym_enum_statement_token1] = ACTIONS(2617),
    [aux_sym_file_position_statement_token1] = ACTIONS(2617),
    [aux_sym_file_position_statement_token2] = ACTIONS(2617),
    [aux_sym_file_position_statement_token3] = ACTIONS(2617),
    [aux_sym_file_position_statement_token4] = ACTIONS(2617),
    [aux_sym_logical_expression_token5] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [aux_sym_boolean_literal_token1] = ACTIONS(2619),
    [aux_sym_boolean_literal_token2] = ACTIONS(2619),
    [aux_sym_null_literal_token1] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2619),
    [sym__float_literal] = ACTIONS(2619),
    [sym__boz_literal] = ACTIONS(2619),
    [sym__string_literal] = ACTIONS(2619),
    [sym__string_literal_kind] = ACTIONS(2619),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2551),
    [aux_sym_preproc_include_token1] = ACTIONS(2549),
    [aux_sym_preproc_def_token1] = ACTIONS(2549),
    [aux_sym_preproc_if_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2549),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2549),
    [aux_sym_end_program_statement_token1] = ACTIONS(2549),
    [aux_sym_end_program_statement_token2] = ACTIONS(2549),
    [aux_sym_module_statement_token1] = ACTIONS(2549),
    [aux_sym_submodule_statement_token1] = ACTIONS(2549),
    [aux_sym_interface_statement_token1] = ACTIONS(2549),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2549),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2549),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2549),
    [aux_sym_function_statement_token1] = ACTIONS(2549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2549),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2549),
    [aux_sym_contains_statement_token1] = ACTIONS(2549),
    [aux_sym_use_statement_token1] = ACTIONS(2549),
    [aux_sym_use_statement_token2] = ACTIONS(2549),
    [aux_sym_implicit_statement_token1] = ACTIONS(2549),
    [aux_sym_implicit_statement_token3] = ACTIONS(2549),
    [aux_sym_implicit_statement_token4] = ACTIONS(2549),
    [aux_sym_save_statement_token1] = ACTIONS(2549),
    [aux_sym_private_statement_token1] = ACTIONS(2549),
    [aux_sym_public_statement_token1] = ACTIONS(2549),
    [aux_sym_namelist_statement_token1] = ACTIONS(2549),
    [aux_sym_common_statement_token1] = ACTIONS(2549),
    [aux_sym_import_statement_token1] = ACTIONS(2549),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2549),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2549),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2549),
    [aux_sym_variable_attributes_token1] = ACTIONS(2549),
    [aux_sym_variable_attributes_token2] = ACTIONS(2549),
    [aux_sym_variable_attributes_token3] = ACTIONS(2549),
    [aux_sym_variable_attributes_token4] = ACTIONS(2549),
    [aux_sym_variable_attributes_token5] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2549),
    [aux_sym_derived_type_token1] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2549),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2549),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2549),
    [aux_sym_stop_statement_token1] = ACTIONS(2549),
    [aux_sym_stop_statement_token2] = ACTIONS(2549),
    [aux_sym_subroutine_call_token1] = ACTIONS(2549),
    [aux_sym_keyword_statement_token1] = ACTIONS(2549),
    [aux_sym_keyword_statement_token2] = ACTIONS(2549),
    [aux_sym_keyword_statement_token3] = ACTIONS(2549),
    [aux_sym_keyword_statement_token4] = ACTIONS(2549),
    [aux_sym_keyword_statement_token6] = ACTIONS(2549),
    [aux_sym_keyword_statement_token7] = ACTIONS(2549),
    [aux_sym_include_statement_token1] = ACTIONS(2549),
    [aux_sym_data_statement_token1] = ACTIONS(2549),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2549),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2549),
    [aux_sym_end_if_statement_token1] = ACTIONS(2549),
    [aux_sym_elseif_clause_token2] = ACTIONS(2549),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2549),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2549),
    [aux_sym_select_case_statement_token1] = ACTIONS(2549),
    [aux_sym_select_case_statement_token3] = ACTIONS(2549),
    [aux_sym_select_type_statement_token1] = ACTIONS(2549),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2549),
    [aux_sym_block_construct_token1] = ACTIONS(2549),
    [aux_sym_associate_statement_token1] = ACTIONS(2549),
    [aux_sym_format_statement_token1] = ACTIONS(2549),
    [aux_sym_print_statement_token1] = ACTIONS(2549),
    [aux_sym_open_statement_token1] = ACTIONS(2549),
    [aux_sym_close_statement_token1] = ACTIONS(2549),
    [aux_sym_inquire_statement_token1] = ACTIONS(2549),
    [aux_sym_enum_statement_token1] = ACTIONS(2549),
    [aux_sym_file_position_statement_token1] = ACTIONS(2549),
    [aux_sym_file_position_statement_token2] = ACTIONS(2549),
    [aux_sym_file_position_statement_token3] = ACTIONS(2549),
    [aux_sym_file_position_statement_token4] = ACTIONS(2549),
    [aux_sym_logical_expression_token5] = ACTIONS(2551),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [aux_sym_boolean_literal_token1] = ACTIONS(2551),
    [aux_sym_boolean_literal_token2] = ACTIONS(2551),
    [aux_sym_null_literal_token1] = ACTIONS(2549),
    [aux_sym_identifier_token1] = ACTIONS(2549),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2551),
    [sym__float_literal] = ACTIONS(2551),
    [sym__boz_literal] = ACTIONS(2551),
    [sym__string_literal] = ACTIONS(2551),
    [sym__string_literal_kind] = ACTIONS(2551),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2571),
    [aux_sym_preproc_include_token1] = ACTIONS(2569),
    [aux_sym_preproc_def_token1] = ACTIONS(2569),
    [aux_sym_preproc_if_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2569),
    [sym_preproc_directive] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2569),
    [aux_sym_end_program_statement_token1] = ACTIONS(2569),
    [aux_sym_end_program_statement_token2] = ACTIONS(2569),
    [aux_sym_module_statement_token1] = ACTIONS(2569),
    [aux_sym_submodule_statement_token1] = ACTIONS(2569),
    [aux_sym_interface_statement_token1] = ACTIONS(2569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2569),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2569),
    [aux_sym_function_statement_token1] = ACTIONS(2569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2569),
    [aux_sym_contains_statement_token1] = ACTIONS(2569),
    [aux_sym_use_statement_token1] = ACTIONS(2569),
    [aux_sym_use_statement_token2] = ACTIONS(2569),
    [aux_sym_implicit_statement_token1] = ACTIONS(2569),
    [aux_sym_implicit_statement_token3] = ACTIONS(2569),
    [aux_sym_implicit_statement_token4] = ACTIONS(2569),
    [aux_sym_save_statement_token1] = ACTIONS(2569),
    [aux_sym_private_statement_token1] = ACTIONS(2569),
    [aux_sym_public_statement_token1] = ACTIONS(2569),
    [aux_sym_namelist_statement_token1] = ACTIONS(2569),
    [aux_sym_common_statement_token1] = ACTIONS(2569),
    [aux_sym_import_statement_token1] = ACTIONS(2569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2569),
    [aux_sym_variable_attributes_token1] = ACTIONS(2569),
    [aux_sym_variable_attributes_token2] = ACTIONS(2569),
    [aux_sym_variable_attributes_token3] = ACTIONS(2569),
    [aux_sym_variable_attributes_token4] = ACTIONS(2569),
    [aux_sym_variable_attributes_token5] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2569),
    [aux_sym_derived_type_token1] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2569),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2569),
    [aux_sym_stop_statement_token1] = ACTIONS(2569),
    [aux_sym_stop_statement_token2] = ACTIONS(2569),
    [aux_sym_subroutine_call_token1] = ACTIONS(2569),
    [aux_sym_keyword_statement_token1] = ACTIONS(2569),
    [aux_sym_keyword_statement_token2] = ACTIONS(2569),
    [aux_sym_keyword_statement_token3] = ACTIONS(2569),
    [aux_sym_keyword_statement_token4] = ACTIONS(2569),
    [aux_sym_keyword_statement_token6] = ACTIONS(2569),
    [aux_sym_keyword_statement_token7] = ACTIONS(2569),
    [aux_sym_include_statement_token1] = ACTIONS(2569),
    [aux_sym_data_statement_token1] = ACTIONS(2569),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2569),
    [aux_sym_end_if_statement_token1] = ACTIONS(2569),
    [aux_sym_elseif_clause_token2] = ACTIONS(2569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2569),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2569),
    [aux_sym_select_case_statement_token1] = ACTIONS(2569),
    [aux_sym_select_case_statement_token3] = ACTIONS(2569),
    [aux_sym_select_type_statement_token1] = ACTIONS(2569),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2569),
    [aux_sym_block_construct_token1] = ACTIONS(2569),
    [aux_sym_associate_statement_token1] = ACTIONS(2569),
    [aux_sym_format_statement_token1] = ACTIONS(2569),
    [aux_sym_print_statement_token1] = ACTIONS(2569),
    [aux_sym_open_statement_token1] = ACTIONS(2569),
    [aux_sym_close_statement_token1] = ACTIONS(2569),
    [aux_sym_inquire_statement_token1] = ACTIONS(2569),
    [aux_sym_enum_statement_token1] = ACTIONS(2569),
    [aux_sym_file_position_statement_token1] = ACTIONS(2569),
    [aux_sym_file_position_statement_token2] = ACTIONS(2569),
    [aux_sym_file_position_statement_token3] = ACTIONS(2569),
    [aux_sym_file_position_statement_token4] = ACTIONS(2569),
    [aux_sym_logical_expression_token5] = ACTIONS(2571),
    [anon_sym_DOT] = ACTIONS(2569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [aux_sym_boolean_literal_token1] = ACTIONS(2571),
    [aux_sym_boolean_literal_token2] = ACTIONS(2571),
    [aux_sym_null_literal_token1] = ACTIONS(2569),
    [aux_sym_identifier_token1] = ACTIONS(2569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2571),
    [sym__float_literal] = ACTIONS(2571),
    [sym__boz_literal] = ACTIONS(2571),
    [sym__string_literal] = ACTIONS(2571),
    [sym__string_literal_kind] = ACTIONS(2571),
  },
  [691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2405),
    [aux_sym_preproc_def_token1] = ACTIONS(2405),
    [aux_sym_preproc_if_token1] = ACTIONS(2405),
    [aux_sym_preproc_if_token2] = ACTIONS(2405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2405),
    [sym_preproc_directive] = ACTIONS(2405),
    [anon_sym_LPAREN2] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2405),
    [aux_sym_end_program_statement_token1] = ACTIONS(2405),
    [aux_sym_end_program_statement_token2] = ACTIONS(2405),
    [aux_sym_module_statement_token1] = ACTIONS(2405),
    [aux_sym_submodule_statement_token1] = ACTIONS(2405),
    [aux_sym_interface_statement_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2405),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2405),
    [aux_sym_function_statement_token1] = ACTIONS(2405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2405),
    [aux_sym_contains_statement_token1] = ACTIONS(2405),
    [aux_sym_use_statement_token1] = ACTIONS(2405),
    [aux_sym_use_statement_token2] = ACTIONS(2405),
    [aux_sym_implicit_statement_token1] = ACTIONS(2405),
    [aux_sym_implicit_statement_token3] = ACTIONS(2405),
    [aux_sym_implicit_statement_token4] = ACTIONS(2405),
    [aux_sym_save_statement_token1] = ACTIONS(2405),
    [aux_sym_private_statement_token1] = ACTIONS(2405),
    [aux_sym_public_statement_token1] = ACTIONS(2405),
    [aux_sym_namelist_statement_token1] = ACTIONS(2405),
    [aux_sym_common_statement_token1] = ACTIONS(2405),
    [aux_sym_import_statement_token1] = ACTIONS(2405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2405),
    [aux_sym_variable_attributes_token1] = ACTIONS(2405),
    [aux_sym_variable_attributes_token2] = ACTIONS(2405),
    [aux_sym_variable_attributes_token3] = ACTIONS(2405),
    [aux_sym_variable_attributes_token4] = ACTIONS(2405),
    [aux_sym_variable_attributes_token5] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2405),
    [aux_sym_derived_type_token1] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2405),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2405),
    [aux_sym_stop_statement_token1] = ACTIONS(2405),
    [aux_sym_stop_statement_token2] = ACTIONS(2405),
    [aux_sym_subroutine_call_token1] = ACTIONS(2405),
    [aux_sym_keyword_statement_token1] = ACTIONS(2405),
    [aux_sym_keyword_statement_token2] = ACTIONS(2405),
    [aux_sym_keyword_statement_token3] = ACTIONS(2405),
    [aux_sym_keyword_statement_token4] = ACTIONS(2405),
    [aux_sym_keyword_statement_token6] = ACTIONS(2405),
    [aux_sym_keyword_statement_token7] = ACTIONS(2405),
    [aux_sym_include_statement_token1] = ACTIONS(2405),
    [aux_sym_data_statement_token1] = ACTIONS(2405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2405),
    [aux_sym_end_if_statement_token1] = ACTIONS(2405),
    [aux_sym_elseif_clause_token2] = ACTIONS(2405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2405),
    [aux_sym_select_case_statement_token1] = ACTIONS(2405),
    [aux_sym_select_case_statement_token3] = ACTIONS(2405),
    [aux_sym_select_type_statement_token1] = ACTIONS(2405),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2405),
    [aux_sym_block_construct_token1] = ACTIONS(2405),
    [aux_sym_associate_statement_token1] = ACTIONS(2405),
    [aux_sym_format_statement_token1] = ACTIONS(2405),
    [aux_sym_print_statement_token1] = ACTIONS(2405),
    [aux_sym_open_statement_token1] = ACTIONS(2405),
    [aux_sym_close_statement_token1] = ACTIONS(2405),
    [aux_sym_inquire_statement_token1] = ACTIONS(2405),
    [aux_sym_enum_statement_token1] = ACTIONS(2405),
    [aux_sym_file_position_statement_token1] = ACTIONS(2405),
    [aux_sym_file_position_statement_token2] = ACTIONS(2405),
    [aux_sym_file_position_statement_token3] = ACTIONS(2405),
    [aux_sym_file_position_statement_token4] = ACTIONS(2405),
    [aux_sym_logical_expression_token5] = ACTIONS(2407),
    [anon_sym_DOT] = ACTIONS(2405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_boolean_literal_token1] = ACTIONS(2407),
    [aux_sym_boolean_literal_token2] = ACTIONS(2407),
    [aux_sym_null_literal_token1] = ACTIONS(2405),
    [aux_sym_identifier_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2407),
    [sym__float_literal] = ACTIONS(2407),
    [sym__boz_literal] = ACTIONS(2407),
    [sym__string_literal] = ACTIONS(2407),
    [sym__string_literal_kind] = ACTIONS(2407),
  },
  [692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2355),
    [aux_sym_preproc_def_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token2] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token2] = ACTIONS(2355),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2355),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2355),
    [aux_sym_contains_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token2] = ACTIONS(2355),
    [aux_sym_implicit_statement_token1] = ACTIONS(2355),
    [aux_sym_implicit_statement_token3] = ACTIONS(2355),
    [aux_sym_implicit_statement_token4] = ACTIONS(2355),
    [aux_sym_save_statement_token1] = ACTIONS(2355),
    [aux_sym_private_statement_token1] = ACTIONS(2355),
    [aux_sym_public_statement_token1] = ACTIONS(2355),
    [aux_sym_namelist_statement_token1] = ACTIONS(2355),
    [aux_sym_common_statement_token1] = ACTIONS(2355),
    [aux_sym_import_statement_token1] = ACTIONS(2355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2355),
    [aux_sym_variable_attributes_token1] = ACTIONS(2355),
    [aux_sym_variable_attributes_token2] = ACTIONS(2355),
    [aux_sym_variable_attributes_token3] = ACTIONS(2355),
    [aux_sym_variable_attributes_token4] = ACTIONS(2355),
    [aux_sym_variable_attributes_token5] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2355),
    [aux_sym_derived_type_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token2] = ACTIONS(2355),
    [aux_sym_subroutine_call_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token2] = ACTIONS(2355),
    [aux_sym_keyword_statement_token3] = ACTIONS(2355),
    [aux_sym_keyword_statement_token4] = ACTIONS(2355),
    [aux_sym_keyword_statement_token6] = ACTIONS(2355),
    [aux_sym_keyword_statement_token7] = ACTIONS(2355),
    [aux_sym_include_statement_token1] = ACTIONS(2355),
    [aux_sym_data_statement_token1] = ACTIONS(2355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2355),
    [aux_sym_end_if_statement_token1] = ACTIONS(2355),
    [aux_sym_elseif_clause_token2] = ACTIONS(2355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token3] = ACTIONS(2355),
    [aux_sym_select_type_statement_token1] = ACTIONS(2355),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2355),
    [aux_sym_block_construct_token1] = ACTIONS(2355),
    [aux_sym_associate_statement_token1] = ACTIONS(2355),
    [aux_sym_format_statement_token1] = ACTIONS(2355),
    [aux_sym_print_statement_token1] = ACTIONS(2355),
    [aux_sym_open_statement_token1] = ACTIONS(2355),
    [aux_sym_close_statement_token1] = ACTIONS(2355),
    [aux_sym_inquire_statement_token1] = ACTIONS(2355),
    [aux_sym_enum_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token2] = ACTIONS(2355),
    [aux_sym_file_position_statement_token3] = ACTIONS(2355),
    [aux_sym_file_position_statement_token4] = ACTIONS(2355),
    [aux_sym_logical_expression_token5] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [aux_sym_boolean_literal_token1] = ACTIONS(2359),
    [aux_sym_boolean_literal_token2] = ACTIONS(2359),
    [aux_sym_null_literal_token1] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2359),
    [sym__float_literal] = ACTIONS(2359),
    [sym__boz_literal] = ACTIONS(2359),
    [sym__string_literal] = ACTIONS(2359),
    [sym__string_literal_kind] = ACTIONS(2359),
  },
  [693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token2] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token2] = ACTIONS(2469),
    [aux_sym_module_statement_token1] = ACTIONS(2469),
    [aux_sym_submodule_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_function_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2469),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [694] = {
    [sym__statements] = STATE(5380),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5380),
    [sym_assignment_statement] = STATE(5380),
    [sym_pointer_association_statement] = STATE(5380),
    [sym_subroutine_call] = STATE(5380),
    [sym_keyword_statement] = STATE(5380),
    [sym_include_statement] = STATE(5380),
    [sym_do_loop_statement] = STATE(5380),
    [sym_do_label_statement] = STATE(5380),
    [sym_end_do_label_statement] = STATE(5380),
    [sym_if_statement] = STATE(5380),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5380),
    [sym__block_if_statement] = STATE(5098),
    [sym_end_if_statement] = STATE(6099),
    [sym_where_statement] = STATE(5380),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5380),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5380),
    [sym_select_type_statement] = STATE(5380),
    [sym_select_rank_statement] = STATE(5380),
    [sym_block_construct] = STATE(5380),
    [sym_associate_statement] = STATE(5380),
    [sym_format_statement] = STATE(5380),
    [sym_read_statement] = STATE(5380),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5380),
    [sym_open_statement] = STATE(5380),
    [sym_close_statement] = STATE(5380),
    [sym_write_statement] = STATE(5380),
    [sym_inquire_statement] = STATE(5380),
    [sym_file_position_statement] = STATE(5380),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2805),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(1880),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [695] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token2] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_end_program_statement_token2] = ACTIONS(2605),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2603),
    [aux_sym_preproc_include_token1] = ACTIONS(2601),
    [aux_sym_preproc_def_token1] = ACTIONS(2601),
    [aux_sym_preproc_if_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2601),
    [anon_sym_LPAREN2] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2601),
    [aux_sym_end_program_statement_token1] = ACTIONS(2601),
    [aux_sym_end_program_statement_token2] = ACTIONS(2601),
    [aux_sym_module_statement_token1] = ACTIONS(2601),
    [aux_sym_submodule_statement_token1] = ACTIONS(2601),
    [aux_sym_interface_statement_token1] = ACTIONS(2601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2601),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2601),
    [aux_sym_function_statement_token1] = ACTIONS(2601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2601),
    [aux_sym_contains_statement_token1] = ACTIONS(2601),
    [aux_sym_use_statement_token1] = ACTIONS(2601),
    [aux_sym_use_statement_token2] = ACTIONS(2601),
    [aux_sym_implicit_statement_token1] = ACTIONS(2601),
    [aux_sym_implicit_statement_token3] = ACTIONS(2601),
    [aux_sym_implicit_statement_token4] = ACTIONS(2601),
    [aux_sym_save_statement_token1] = ACTIONS(2601),
    [aux_sym_private_statement_token1] = ACTIONS(2601),
    [aux_sym_public_statement_token1] = ACTIONS(2601),
    [aux_sym_namelist_statement_token1] = ACTIONS(2601),
    [aux_sym_common_statement_token1] = ACTIONS(2601),
    [aux_sym_import_statement_token1] = ACTIONS(2601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2601),
    [aux_sym_variable_attributes_token1] = ACTIONS(2601),
    [aux_sym_variable_attributes_token2] = ACTIONS(2601),
    [aux_sym_variable_attributes_token3] = ACTIONS(2601),
    [aux_sym_variable_attributes_token4] = ACTIONS(2601),
    [aux_sym_variable_attributes_token5] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2601),
    [aux_sym_derived_type_token1] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2601),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2601),
    [aux_sym_stop_statement_token1] = ACTIONS(2601),
    [aux_sym_stop_statement_token2] = ACTIONS(2601),
    [aux_sym_subroutine_call_token1] = ACTIONS(2601),
    [aux_sym_keyword_statement_token1] = ACTIONS(2601),
    [aux_sym_keyword_statement_token2] = ACTIONS(2601),
    [aux_sym_keyword_statement_token3] = ACTIONS(2601),
    [aux_sym_keyword_statement_token4] = ACTIONS(2601),
    [aux_sym_keyword_statement_token6] = ACTIONS(2601),
    [aux_sym_keyword_statement_token7] = ACTIONS(2601),
    [aux_sym_include_statement_token1] = ACTIONS(2601),
    [aux_sym_data_statement_token1] = ACTIONS(2601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2601),
    [aux_sym_end_if_statement_token1] = ACTIONS(2601),
    [aux_sym_elseif_clause_token2] = ACTIONS(2601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2601),
    [aux_sym_select_case_statement_token1] = ACTIONS(2601),
    [aux_sym_select_case_statement_token3] = ACTIONS(2601),
    [aux_sym_select_type_statement_token1] = ACTIONS(2601),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2601),
    [aux_sym_block_construct_token1] = ACTIONS(2601),
    [aux_sym_associate_statement_token1] = ACTIONS(2601),
    [aux_sym_format_statement_token1] = ACTIONS(2601),
    [aux_sym_print_statement_token1] = ACTIONS(2601),
    [aux_sym_open_statement_token1] = ACTIONS(2601),
    [aux_sym_close_statement_token1] = ACTIONS(2601),
    [aux_sym_inquire_statement_token1] = ACTIONS(2601),
    [aux_sym_enum_statement_token1] = ACTIONS(2601),
    [aux_sym_file_position_statement_token1] = ACTIONS(2601),
    [aux_sym_file_position_statement_token2] = ACTIONS(2601),
    [aux_sym_file_position_statement_token3] = ACTIONS(2601),
    [aux_sym_file_position_statement_token4] = ACTIONS(2601),
    [aux_sym_logical_expression_token5] = ACTIONS(2603),
    [anon_sym_DOT] = ACTIONS(2601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [aux_sym_boolean_literal_token1] = ACTIONS(2603),
    [aux_sym_boolean_literal_token2] = ACTIONS(2603),
    [aux_sym_null_literal_token1] = ACTIONS(2601),
    [aux_sym_identifier_token1] = ACTIONS(2601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2603),
    [sym__float_literal] = ACTIONS(2603),
    [sym__boz_literal] = ACTIONS(2603),
    [sym__string_literal] = ACTIONS(2603),
    [sym__string_literal_kind] = ACTIONS(2603),
  },
  [697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token2] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2625),
    [aux_sym_end_program_statement_token1] = ACTIONS(2625),
    [aux_sym_end_program_statement_token2] = ACTIONS(2625),
    [aux_sym_module_statement_token1] = ACTIONS(2625),
    [aux_sym_submodule_statement_token1] = ACTIONS(2625),
    [aux_sym_interface_statement_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2625),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2625),
    [aux_sym_function_statement_token1] = ACTIONS(2625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2625),
    [aux_sym_contains_statement_token1] = ACTIONS(2625),
    [aux_sym_use_statement_token1] = ACTIONS(2625),
    [aux_sym_use_statement_token2] = ACTIONS(2625),
    [aux_sym_implicit_statement_token1] = ACTIONS(2625),
    [aux_sym_implicit_statement_token3] = ACTIONS(2625),
    [aux_sym_implicit_statement_token4] = ACTIONS(2625),
    [aux_sym_save_statement_token1] = ACTIONS(2625),
    [aux_sym_private_statement_token1] = ACTIONS(2625),
    [aux_sym_public_statement_token1] = ACTIONS(2625),
    [aux_sym_namelist_statement_token1] = ACTIONS(2625),
    [aux_sym_common_statement_token1] = ACTIONS(2625),
    [aux_sym_import_statement_token1] = ACTIONS(2625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2625),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2625),
    [aux_sym_variable_attributes_token1] = ACTIONS(2625),
    [aux_sym_variable_attributes_token2] = ACTIONS(2625),
    [aux_sym_variable_attributes_token3] = ACTIONS(2625),
    [aux_sym_variable_attributes_token4] = ACTIONS(2625),
    [aux_sym_variable_attributes_token5] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2625),
    [aux_sym_derived_type_token1] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2625),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2625),
    [aux_sym_stop_statement_token1] = ACTIONS(2625),
    [aux_sym_stop_statement_token2] = ACTIONS(2625),
    [aux_sym_subroutine_call_token1] = ACTIONS(2625),
    [aux_sym_keyword_statement_token1] = ACTIONS(2625),
    [aux_sym_keyword_statement_token2] = ACTIONS(2625),
    [aux_sym_keyword_statement_token3] = ACTIONS(2625),
    [aux_sym_keyword_statement_token4] = ACTIONS(2625),
    [aux_sym_keyword_statement_token6] = ACTIONS(2625),
    [aux_sym_keyword_statement_token7] = ACTIONS(2625),
    [aux_sym_include_statement_token1] = ACTIONS(2625),
    [aux_sym_data_statement_token1] = ACTIONS(2625),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2625),
    [aux_sym_end_if_statement_token1] = ACTIONS(2625),
    [aux_sym_elseif_clause_token2] = ACTIONS(2625),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2625),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2625),
    [aux_sym_select_case_statement_token1] = ACTIONS(2625),
    [aux_sym_select_case_statement_token3] = ACTIONS(2625),
    [aux_sym_select_type_statement_token1] = ACTIONS(2625),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2625),
    [aux_sym_block_construct_token1] = ACTIONS(2625),
    [aux_sym_associate_statement_token1] = ACTIONS(2625),
    [aux_sym_format_statement_token1] = ACTIONS(2625),
    [aux_sym_print_statement_token1] = ACTIONS(2625),
    [aux_sym_open_statement_token1] = ACTIONS(2625),
    [aux_sym_close_statement_token1] = ACTIONS(2625),
    [aux_sym_inquire_statement_token1] = ACTIONS(2625),
    [aux_sym_enum_statement_token1] = ACTIONS(2625),
    [aux_sym_file_position_statement_token1] = ACTIONS(2625),
    [aux_sym_file_position_statement_token2] = ACTIONS(2625),
    [aux_sym_file_position_statement_token3] = ACTIONS(2625),
    [aux_sym_file_position_statement_token4] = ACTIONS(2625),
    [aux_sym_logical_expression_token5] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [aux_sym_boolean_literal_token1] = ACTIONS(2627),
    [aux_sym_boolean_literal_token2] = ACTIONS(2627),
    [aux_sym_null_literal_token1] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2627),
    [sym__float_literal] = ACTIONS(2627),
    [sym__boz_literal] = ACTIONS(2627),
    [sym__string_literal] = ACTIONS(2627),
    [sym__string_literal_kind] = ACTIONS(2627),
  },
  [698] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token2] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2645),
    [aux_sym_end_program_statement_token1] = ACTIONS(2645),
    [aux_sym_end_program_statement_token2] = ACTIONS(2645),
    [aux_sym_module_statement_token1] = ACTIONS(2645),
    [aux_sym_submodule_statement_token1] = ACTIONS(2645),
    [aux_sym_interface_statement_token1] = ACTIONS(2645),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2645),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2645),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2645),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2645),
    [aux_sym_function_statement_token1] = ACTIONS(2645),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2645),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2645),
    [aux_sym_contains_statement_token1] = ACTIONS(2645),
    [aux_sym_use_statement_token1] = ACTIONS(2645),
    [aux_sym_use_statement_token2] = ACTIONS(2645),
    [aux_sym_implicit_statement_token1] = ACTIONS(2645),
    [aux_sym_implicit_statement_token3] = ACTIONS(2645),
    [aux_sym_implicit_statement_token4] = ACTIONS(2645),
    [aux_sym_save_statement_token1] = ACTIONS(2645),
    [aux_sym_private_statement_token1] = ACTIONS(2645),
    [aux_sym_public_statement_token1] = ACTIONS(2645),
    [aux_sym_namelist_statement_token1] = ACTIONS(2645),
    [aux_sym_common_statement_token1] = ACTIONS(2645),
    [aux_sym_import_statement_token1] = ACTIONS(2645),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2645),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2645),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2645),
    [aux_sym_variable_attributes_token1] = ACTIONS(2645),
    [aux_sym_variable_attributes_token2] = ACTIONS(2645),
    [aux_sym_variable_attributes_token3] = ACTIONS(2645),
    [aux_sym_variable_attributes_token4] = ACTIONS(2645),
    [aux_sym_variable_attributes_token5] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2645),
    [aux_sym_derived_type_token1] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2645),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2645),
    [aux_sym_stop_statement_token1] = ACTIONS(2645),
    [aux_sym_stop_statement_token2] = ACTIONS(2645),
    [aux_sym_subroutine_call_token1] = ACTIONS(2645),
    [aux_sym_keyword_statement_token1] = ACTIONS(2645),
    [aux_sym_keyword_statement_token2] = ACTIONS(2645),
    [aux_sym_keyword_statement_token3] = ACTIONS(2645),
    [aux_sym_keyword_statement_token4] = ACTIONS(2645),
    [aux_sym_keyword_statement_token6] = ACTIONS(2645),
    [aux_sym_keyword_statement_token7] = ACTIONS(2645),
    [aux_sym_include_statement_token1] = ACTIONS(2645),
    [aux_sym_data_statement_token1] = ACTIONS(2645),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2645),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2645),
    [aux_sym_end_if_statement_token1] = ACTIONS(2645),
    [aux_sym_elseif_clause_token2] = ACTIONS(2645),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2645),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2645),
    [aux_sym_select_case_statement_token1] = ACTIONS(2645),
    [aux_sym_select_case_statement_token3] = ACTIONS(2645),
    [aux_sym_select_type_statement_token1] = ACTIONS(2645),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2645),
    [aux_sym_block_construct_token1] = ACTIONS(2645),
    [aux_sym_associate_statement_token1] = ACTIONS(2645),
    [aux_sym_format_statement_token1] = ACTIONS(2645),
    [aux_sym_print_statement_token1] = ACTIONS(2645),
    [aux_sym_open_statement_token1] = ACTIONS(2645),
    [aux_sym_close_statement_token1] = ACTIONS(2645),
    [aux_sym_inquire_statement_token1] = ACTIONS(2645),
    [aux_sym_enum_statement_token1] = ACTIONS(2645),
    [aux_sym_file_position_statement_token1] = ACTIONS(2645),
    [aux_sym_file_position_statement_token2] = ACTIONS(2645),
    [aux_sym_file_position_statement_token3] = ACTIONS(2645),
    [aux_sym_file_position_statement_token4] = ACTIONS(2645),
    [aux_sym_logical_expression_token5] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [aux_sym_boolean_literal_token1] = ACTIONS(2647),
    [aux_sym_boolean_literal_token2] = ACTIONS(2647),
    [aux_sym_null_literal_token1] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2647),
    [sym__float_literal] = ACTIONS(2647),
    [sym__boz_literal] = ACTIONS(2647),
    [sym__string_literal] = ACTIONS(2647),
    [sym__string_literal_kind] = ACTIONS(2647),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2359),
    [aux_sym_preproc_include_token1] = ACTIONS(2355),
    [aux_sym_preproc_def_token1] = ACTIONS(2355),
    [aux_sym_preproc_if_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2355),
    [sym_preproc_directive] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token1] = ACTIONS(2355),
    [aux_sym_end_program_statement_token2] = ACTIONS(2355),
    [aux_sym_module_statement_token1] = ACTIONS(2355),
    [aux_sym_submodule_statement_token1] = ACTIONS(2355),
    [aux_sym_interface_statement_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2355),
    [aux_sym_function_statement_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2355),
    [aux_sym_contains_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token1] = ACTIONS(2355),
    [aux_sym_use_statement_token2] = ACTIONS(2355),
    [aux_sym_implicit_statement_token1] = ACTIONS(2355),
    [aux_sym_implicit_statement_token3] = ACTIONS(2355),
    [aux_sym_implicit_statement_token4] = ACTIONS(2355),
    [aux_sym_save_statement_token1] = ACTIONS(2355),
    [aux_sym_private_statement_token1] = ACTIONS(2355),
    [aux_sym_public_statement_token1] = ACTIONS(2355),
    [aux_sym_namelist_statement_token1] = ACTIONS(2355),
    [aux_sym_common_statement_token1] = ACTIONS(2355),
    [aux_sym_import_statement_token1] = ACTIONS(2355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2355),
    [aux_sym_variable_attributes_token1] = ACTIONS(2355),
    [aux_sym_variable_attributes_token2] = ACTIONS(2355),
    [aux_sym_variable_attributes_token3] = ACTIONS(2355),
    [aux_sym_variable_attributes_token4] = ACTIONS(2355),
    [aux_sym_variable_attributes_token5] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2355),
    [aux_sym_derived_type_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token1] = ACTIONS(2355),
    [aux_sym_stop_statement_token2] = ACTIONS(2355),
    [aux_sym_subroutine_call_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token1] = ACTIONS(2355),
    [aux_sym_keyword_statement_token2] = ACTIONS(2355),
    [aux_sym_keyword_statement_token3] = ACTIONS(2355),
    [aux_sym_keyword_statement_token4] = ACTIONS(2355),
    [aux_sym_keyword_statement_token6] = ACTIONS(2355),
    [aux_sym_keyword_statement_token7] = ACTIONS(2355),
    [aux_sym_include_statement_token1] = ACTIONS(2355),
    [aux_sym_data_statement_token1] = ACTIONS(2355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2355),
    [aux_sym_end_if_statement_token1] = ACTIONS(2355),
    [aux_sym_elseif_clause_token2] = ACTIONS(2355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token1] = ACTIONS(2355),
    [aux_sym_select_case_statement_token3] = ACTIONS(2355),
    [aux_sym_select_type_statement_token1] = ACTIONS(2355),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2355),
    [aux_sym_block_construct_token1] = ACTIONS(2355),
    [aux_sym_associate_statement_token1] = ACTIONS(2355),
    [aux_sym_format_statement_token1] = ACTIONS(2355),
    [aux_sym_print_statement_token1] = ACTIONS(2355),
    [aux_sym_open_statement_token1] = ACTIONS(2355),
    [aux_sym_close_statement_token1] = ACTIONS(2355),
    [aux_sym_inquire_statement_token1] = ACTIONS(2355),
    [aux_sym_enum_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token1] = ACTIONS(2355),
    [aux_sym_file_position_statement_token2] = ACTIONS(2355),
    [aux_sym_file_position_statement_token3] = ACTIONS(2355),
    [aux_sym_file_position_statement_token4] = ACTIONS(2355),
    [aux_sym_logical_expression_token5] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [aux_sym_boolean_literal_token1] = ACTIONS(2359),
    [aux_sym_boolean_literal_token2] = ACTIONS(2359),
    [aux_sym_null_literal_token1] = ACTIONS(2355),
    [aux_sym_identifier_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2359),
    [sym__float_literal] = ACTIONS(2359),
    [sym__boz_literal] = ACTIONS(2359),
    [sym__string_literal] = ACTIONS(2359),
    [sym__string_literal_kind] = ACTIONS(2359),
  },
  [700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2613),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token2] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2613),
    [sym_preproc_directive] = ACTIONS(2613),
    [anon_sym_LPAREN2] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2613),
    [aux_sym_end_program_statement_token1] = ACTIONS(2613),
    [aux_sym_end_program_statement_token2] = ACTIONS(2613),
    [aux_sym_module_statement_token1] = ACTIONS(2613),
    [aux_sym_submodule_statement_token1] = ACTIONS(2613),
    [aux_sym_interface_statement_token1] = ACTIONS(2613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2613),
    [aux_sym_function_statement_token1] = ACTIONS(2613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2613),
    [aux_sym_contains_statement_token1] = ACTIONS(2613),
    [aux_sym_use_statement_token1] = ACTIONS(2613),
    [aux_sym_use_statement_token2] = ACTIONS(2613),
    [aux_sym_implicit_statement_token1] = ACTIONS(2613),
    [aux_sym_implicit_statement_token3] = ACTIONS(2613),
    [aux_sym_implicit_statement_token4] = ACTIONS(2613),
    [aux_sym_save_statement_token1] = ACTIONS(2613),
    [aux_sym_private_statement_token1] = ACTIONS(2613),
    [aux_sym_public_statement_token1] = ACTIONS(2613),
    [aux_sym_namelist_statement_token1] = ACTIONS(2613),
    [aux_sym_common_statement_token1] = ACTIONS(2613),
    [aux_sym_import_statement_token1] = ACTIONS(2613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2613),
    [aux_sym_variable_attributes_token1] = ACTIONS(2613),
    [aux_sym_variable_attributes_token2] = ACTIONS(2613),
    [aux_sym_variable_attributes_token3] = ACTIONS(2613),
    [aux_sym_variable_attributes_token4] = ACTIONS(2613),
    [aux_sym_variable_attributes_token5] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2613),
    [aux_sym_derived_type_token1] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2613),
    [aux_sym_stop_statement_token1] = ACTIONS(2613),
    [aux_sym_stop_statement_token2] = ACTIONS(2613),
    [aux_sym_subroutine_call_token1] = ACTIONS(2613),
    [aux_sym_keyword_statement_token1] = ACTIONS(2613),
    [aux_sym_keyword_statement_token2] = ACTIONS(2613),
    [aux_sym_keyword_statement_token3] = ACTIONS(2613),
    [aux_sym_keyword_statement_token4] = ACTIONS(2613),
    [aux_sym_keyword_statement_token6] = ACTIONS(2613),
    [aux_sym_keyword_statement_token7] = ACTIONS(2613),
    [aux_sym_include_statement_token1] = ACTIONS(2613),
    [aux_sym_data_statement_token1] = ACTIONS(2613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2613),
    [aux_sym_end_if_statement_token1] = ACTIONS(2613),
    [aux_sym_elseif_clause_token2] = ACTIONS(2613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2613),
    [aux_sym_select_case_statement_token1] = ACTIONS(2613),
    [aux_sym_select_case_statement_token3] = ACTIONS(2613),
    [aux_sym_select_type_statement_token1] = ACTIONS(2613),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2613),
    [aux_sym_block_construct_token1] = ACTIONS(2613),
    [aux_sym_associate_statement_token1] = ACTIONS(2613),
    [aux_sym_format_statement_token1] = ACTIONS(2613),
    [aux_sym_print_statement_token1] = ACTIONS(2613),
    [aux_sym_open_statement_token1] = ACTIONS(2613),
    [aux_sym_close_statement_token1] = ACTIONS(2613),
    [aux_sym_inquire_statement_token1] = ACTIONS(2613),
    [aux_sym_enum_statement_token1] = ACTIONS(2613),
    [aux_sym_file_position_statement_token1] = ACTIONS(2613),
    [aux_sym_file_position_statement_token2] = ACTIONS(2613),
    [aux_sym_file_position_statement_token3] = ACTIONS(2613),
    [aux_sym_file_position_statement_token4] = ACTIONS(2613),
    [aux_sym_logical_expression_token5] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [aux_sym_boolean_literal_token1] = ACTIONS(2615),
    [aux_sym_boolean_literal_token2] = ACTIONS(2615),
    [aux_sym_null_literal_token1] = ACTIONS(2613),
    [aux_sym_identifier_token1] = ACTIONS(2613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2615),
    [sym__float_literal] = ACTIONS(2615),
    [sym__boz_literal] = ACTIONS(2615),
    [sym__string_literal] = ACTIONS(2615),
    [sym__string_literal_kind] = ACTIONS(2615),
  },
  [701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token2] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token2] = ACTIONS(2473),
    [aux_sym_module_statement_token1] = ACTIONS(2473),
    [aux_sym_submodule_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_function_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token2] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token2] = ACTIONS(2477),
    [aux_sym_module_statement_token1] = ACTIONS(2477),
    [aux_sym_submodule_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_function_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [703] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2609),
    [aux_sym_preproc_def_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token1] = ACTIONS(2609),
    [aux_sym_preproc_if_token2] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2609),
    [sym_preproc_directive] = ACTIONS(2609),
    [anon_sym_LPAREN2] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2609),
    [aux_sym_end_program_statement_token1] = ACTIONS(2609),
    [aux_sym_end_program_statement_token2] = ACTIONS(2609),
    [aux_sym_module_statement_token1] = ACTIONS(2609),
    [aux_sym_submodule_statement_token1] = ACTIONS(2609),
    [aux_sym_interface_statement_token1] = ACTIONS(2609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2609),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2609),
    [aux_sym_function_statement_token1] = ACTIONS(2609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2609),
    [aux_sym_contains_statement_token1] = ACTIONS(2609),
    [aux_sym_use_statement_token1] = ACTIONS(2609),
    [aux_sym_use_statement_token2] = ACTIONS(2609),
    [aux_sym_implicit_statement_token1] = ACTIONS(2609),
    [aux_sym_implicit_statement_token3] = ACTIONS(2609),
    [aux_sym_implicit_statement_token4] = ACTIONS(2609),
    [aux_sym_save_statement_token1] = ACTIONS(2609),
    [aux_sym_private_statement_token1] = ACTIONS(2609),
    [aux_sym_public_statement_token1] = ACTIONS(2609),
    [aux_sym_namelist_statement_token1] = ACTIONS(2609),
    [aux_sym_common_statement_token1] = ACTIONS(2609),
    [aux_sym_import_statement_token1] = ACTIONS(2609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2609),
    [aux_sym_variable_attributes_token1] = ACTIONS(2609),
    [aux_sym_variable_attributes_token2] = ACTIONS(2609),
    [aux_sym_variable_attributes_token3] = ACTIONS(2609),
    [aux_sym_variable_attributes_token4] = ACTIONS(2609),
    [aux_sym_variable_attributes_token5] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2609),
    [aux_sym_derived_type_token1] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2609),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2609),
    [aux_sym_stop_statement_token1] = ACTIONS(2609),
    [aux_sym_stop_statement_token2] = ACTIONS(2609),
    [aux_sym_subroutine_call_token1] = ACTIONS(2609),
    [aux_sym_keyword_statement_token1] = ACTIONS(2609),
    [aux_sym_keyword_statement_token2] = ACTIONS(2609),
    [aux_sym_keyword_statement_token3] = ACTIONS(2609),
    [aux_sym_keyword_statement_token4] = ACTIONS(2609),
    [aux_sym_keyword_statement_token6] = ACTIONS(2609),
    [aux_sym_keyword_statement_token7] = ACTIONS(2609),
    [aux_sym_include_statement_token1] = ACTIONS(2609),
    [aux_sym_data_statement_token1] = ACTIONS(2609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2609),
    [aux_sym_end_if_statement_token1] = ACTIONS(2609),
    [aux_sym_elseif_clause_token2] = ACTIONS(2609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2609),
    [aux_sym_select_case_statement_token1] = ACTIONS(2609),
    [aux_sym_select_case_statement_token3] = ACTIONS(2609),
    [aux_sym_select_type_statement_token1] = ACTIONS(2609),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2609),
    [aux_sym_block_construct_token1] = ACTIONS(2609),
    [aux_sym_associate_statement_token1] = ACTIONS(2609),
    [aux_sym_format_statement_token1] = ACTIONS(2609),
    [aux_sym_print_statement_token1] = ACTIONS(2609),
    [aux_sym_open_statement_token1] = ACTIONS(2609),
    [aux_sym_close_statement_token1] = ACTIONS(2609),
    [aux_sym_inquire_statement_token1] = ACTIONS(2609),
    [aux_sym_enum_statement_token1] = ACTIONS(2609),
    [aux_sym_file_position_statement_token1] = ACTIONS(2609),
    [aux_sym_file_position_statement_token2] = ACTIONS(2609),
    [aux_sym_file_position_statement_token3] = ACTIONS(2609),
    [aux_sym_file_position_statement_token4] = ACTIONS(2609),
    [aux_sym_logical_expression_token5] = ACTIONS(2611),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [aux_sym_boolean_literal_token1] = ACTIONS(2611),
    [aux_sym_boolean_literal_token2] = ACTIONS(2611),
    [aux_sym_null_literal_token1] = ACTIONS(2609),
    [aux_sym_identifier_token1] = ACTIONS(2609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2611),
    [sym__float_literal] = ACTIONS(2611),
    [sym__boz_literal] = ACTIONS(2611),
    [sym__string_literal] = ACTIONS(2611),
    [sym__string_literal_kind] = ACTIONS(2611),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2459),
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token2] = ACTIONS(2457),
    [aux_sym_module_statement_token1] = ACTIONS(2457),
    [aux_sym_submodule_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_function_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [705] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2585),
    [aux_sym_preproc_def_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token1] = ACTIONS(2585),
    [aux_sym_preproc_if_token2] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2585),
    [sym_preproc_directive] = ACTIONS(2585),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2587),
    [anon_sym_DASH] = ACTIONS(2587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2585),
    [aux_sym_end_program_statement_token1] = ACTIONS(2585),
    [aux_sym_end_program_statement_token2] = ACTIONS(2585),
    [aux_sym_module_statement_token1] = ACTIONS(2585),
    [aux_sym_submodule_statement_token1] = ACTIONS(2585),
    [aux_sym_interface_statement_token1] = ACTIONS(2585),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2585),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2585),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2585),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2585),
    [aux_sym_function_statement_token1] = ACTIONS(2585),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2585),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2585),
    [aux_sym_contains_statement_token1] = ACTIONS(2585),
    [aux_sym_use_statement_token1] = ACTIONS(2585),
    [aux_sym_use_statement_token2] = ACTIONS(2585),
    [aux_sym_implicit_statement_token1] = ACTIONS(2585),
    [aux_sym_implicit_statement_token3] = ACTIONS(2585),
    [aux_sym_implicit_statement_token4] = ACTIONS(2585),
    [aux_sym_save_statement_token1] = ACTIONS(2585),
    [aux_sym_private_statement_token1] = ACTIONS(2585),
    [aux_sym_public_statement_token1] = ACTIONS(2585),
    [aux_sym_namelist_statement_token1] = ACTIONS(2585),
    [aux_sym_common_statement_token1] = ACTIONS(2585),
    [aux_sym_import_statement_token1] = ACTIONS(2585),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2585),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2585),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2585),
    [aux_sym_variable_attributes_token1] = ACTIONS(2585),
    [aux_sym_variable_attributes_token2] = ACTIONS(2585),
    [aux_sym_variable_attributes_token3] = ACTIONS(2585),
    [aux_sym_variable_attributes_token4] = ACTIONS(2585),
    [aux_sym_variable_attributes_token5] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2585),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2585),
    [aux_sym_derived_type_token1] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2585),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2585),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2585),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2585),
    [aux_sym_stop_statement_token1] = ACTIONS(2585),
    [aux_sym_stop_statement_token2] = ACTIONS(2585),
    [aux_sym_subroutine_call_token1] = ACTIONS(2585),
    [aux_sym_keyword_statement_token1] = ACTIONS(2585),
    [aux_sym_keyword_statement_token2] = ACTIONS(2585),
    [aux_sym_keyword_statement_token3] = ACTIONS(2585),
    [aux_sym_keyword_statement_token4] = ACTIONS(2585),
    [aux_sym_keyword_statement_token6] = ACTIONS(2585),
    [aux_sym_keyword_statement_token7] = ACTIONS(2585),
    [aux_sym_include_statement_token1] = ACTIONS(2585),
    [aux_sym_data_statement_token1] = ACTIONS(2585),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2585),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2585),
    [aux_sym_end_if_statement_token1] = ACTIONS(2585),
    [aux_sym_elseif_clause_token2] = ACTIONS(2585),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2585),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2585),
    [aux_sym_select_case_statement_token1] = ACTIONS(2585),
    [aux_sym_select_case_statement_token3] = ACTIONS(2585),
    [aux_sym_select_type_statement_token1] = ACTIONS(2585),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2585),
    [aux_sym_block_construct_token1] = ACTIONS(2585),
    [aux_sym_associate_statement_token1] = ACTIONS(2585),
    [aux_sym_format_statement_token1] = ACTIONS(2585),
    [aux_sym_print_statement_token1] = ACTIONS(2585),
    [aux_sym_open_statement_token1] = ACTIONS(2585),
    [aux_sym_close_statement_token1] = ACTIONS(2585),
    [aux_sym_inquire_statement_token1] = ACTIONS(2585),
    [aux_sym_enum_statement_token1] = ACTIONS(2585),
    [aux_sym_file_position_statement_token1] = ACTIONS(2585),
    [aux_sym_file_position_statement_token2] = ACTIONS(2585),
    [aux_sym_file_position_statement_token3] = ACTIONS(2585),
    [aux_sym_file_position_statement_token4] = ACTIONS(2585),
    [aux_sym_logical_expression_token5] = ACTIONS(2587),
    [anon_sym_DOT] = ACTIONS(2585),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [aux_sym_boolean_literal_token1] = ACTIONS(2587),
    [aux_sym_boolean_literal_token2] = ACTIONS(2587),
    [aux_sym_null_literal_token1] = ACTIONS(2585),
    [aux_sym_identifier_token1] = ACTIONS(2585),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2587),
    [sym__float_literal] = ACTIONS(2587),
    [sym__boz_literal] = ACTIONS(2587),
    [sym__string_literal] = ACTIONS(2587),
    [sym__string_literal_kind] = ACTIONS(2587),
  },
  [706] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2537),
    [aux_sym_preproc_def_token1] = ACTIONS(2537),
    [aux_sym_preproc_if_token1] = ACTIONS(2537),
    [aux_sym_preproc_if_token2] = ACTIONS(2537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2537),
    [sym_preproc_directive] = ACTIONS(2537),
    [anon_sym_LPAREN2] = ACTIONS(2537),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2537),
    [aux_sym_end_program_statement_token1] = ACTIONS(2537),
    [aux_sym_end_program_statement_token2] = ACTIONS(2537),
    [aux_sym_module_statement_token1] = ACTIONS(2537),
    [aux_sym_submodule_statement_token1] = ACTIONS(2537),
    [aux_sym_interface_statement_token1] = ACTIONS(2537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2537),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2537),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2537),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2537),
    [aux_sym_function_statement_token1] = ACTIONS(2537),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2537),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2537),
    [aux_sym_contains_statement_token1] = ACTIONS(2537),
    [aux_sym_use_statement_token1] = ACTIONS(2537),
    [aux_sym_use_statement_token2] = ACTIONS(2537),
    [aux_sym_implicit_statement_token1] = ACTIONS(2537),
    [aux_sym_implicit_statement_token3] = ACTIONS(2537),
    [aux_sym_implicit_statement_token4] = ACTIONS(2537),
    [aux_sym_save_statement_token1] = ACTIONS(2537),
    [aux_sym_private_statement_token1] = ACTIONS(2537),
    [aux_sym_public_statement_token1] = ACTIONS(2537),
    [aux_sym_namelist_statement_token1] = ACTIONS(2537),
    [aux_sym_common_statement_token1] = ACTIONS(2537),
    [aux_sym_import_statement_token1] = ACTIONS(2537),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2537),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2537),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2537),
    [aux_sym_variable_attributes_token1] = ACTIONS(2537),
    [aux_sym_variable_attributes_token2] = ACTIONS(2537),
    [aux_sym_variable_attributes_token3] = ACTIONS(2537),
    [aux_sym_variable_attributes_token4] = ACTIONS(2537),
    [aux_sym_variable_attributes_token5] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2537),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2537),
    [aux_sym_derived_type_token1] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2537),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2537),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2537),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2537),
    [aux_sym_stop_statement_token1] = ACTIONS(2537),
    [aux_sym_stop_statement_token2] = ACTIONS(2537),
    [aux_sym_subroutine_call_token1] = ACTIONS(2537),
    [aux_sym_keyword_statement_token1] = ACTIONS(2537),
    [aux_sym_keyword_statement_token2] = ACTIONS(2537),
    [aux_sym_keyword_statement_token3] = ACTIONS(2537),
    [aux_sym_keyword_statement_token4] = ACTIONS(2537),
    [aux_sym_keyword_statement_token6] = ACTIONS(2537),
    [aux_sym_keyword_statement_token7] = ACTIONS(2537),
    [aux_sym_include_statement_token1] = ACTIONS(2537),
    [aux_sym_data_statement_token1] = ACTIONS(2537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2537),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2537),
    [aux_sym_end_if_statement_token1] = ACTIONS(2537),
    [aux_sym_elseif_clause_token2] = ACTIONS(2537),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2537),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2537),
    [aux_sym_select_case_statement_token1] = ACTIONS(2537),
    [aux_sym_select_case_statement_token3] = ACTIONS(2537),
    [aux_sym_select_type_statement_token1] = ACTIONS(2537),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2537),
    [aux_sym_block_construct_token1] = ACTIONS(2537),
    [aux_sym_associate_statement_token1] = ACTIONS(2537),
    [aux_sym_format_statement_token1] = ACTIONS(2537),
    [aux_sym_print_statement_token1] = ACTIONS(2537),
    [aux_sym_open_statement_token1] = ACTIONS(2537),
    [aux_sym_close_statement_token1] = ACTIONS(2537),
    [aux_sym_inquire_statement_token1] = ACTIONS(2537),
    [aux_sym_enum_statement_token1] = ACTIONS(2537),
    [aux_sym_file_position_statement_token1] = ACTIONS(2537),
    [aux_sym_file_position_statement_token2] = ACTIONS(2537),
    [aux_sym_file_position_statement_token3] = ACTIONS(2537),
    [aux_sym_file_position_statement_token4] = ACTIONS(2537),
    [aux_sym_logical_expression_token5] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [aux_sym_boolean_literal_token1] = ACTIONS(2539),
    [aux_sym_boolean_literal_token2] = ACTIONS(2539),
    [aux_sym_null_literal_token1] = ACTIONS(2537),
    [aux_sym_identifier_token1] = ACTIONS(2537),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2539),
    [sym__float_literal] = ACTIONS(2539),
    [sym__boz_literal] = ACTIONS(2539),
    [sym__string_literal] = ACTIONS(2539),
    [sym__string_literal_kind] = ACTIONS(2539),
  },
  [707] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token1] = ACTIONS(2633),
    [aux_sym_preproc_if_token2] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2633),
    [sym_preproc_directive] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2633),
    [aux_sym_end_program_statement_token1] = ACTIONS(2633),
    [aux_sym_end_program_statement_token2] = ACTIONS(2633),
    [aux_sym_module_statement_token1] = ACTIONS(2633),
    [aux_sym_submodule_statement_token1] = ACTIONS(2633),
    [aux_sym_interface_statement_token1] = ACTIONS(2633),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2633),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2633),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2633),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2633),
    [aux_sym_function_statement_token1] = ACTIONS(2633),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2633),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2633),
    [aux_sym_contains_statement_token1] = ACTIONS(2633),
    [aux_sym_use_statement_token1] = ACTIONS(2633),
    [aux_sym_use_statement_token2] = ACTIONS(2633),
    [aux_sym_implicit_statement_token1] = ACTIONS(2633),
    [aux_sym_implicit_statement_token3] = ACTIONS(2633),
    [aux_sym_implicit_statement_token4] = ACTIONS(2633),
    [aux_sym_save_statement_token1] = ACTIONS(2633),
    [aux_sym_private_statement_token1] = ACTIONS(2633),
    [aux_sym_public_statement_token1] = ACTIONS(2633),
    [aux_sym_namelist_statement_token1] = ACTIONS(2633),
    [aux_sym_common_statement_token1] = ACTIONS(2633),
    [aux_sym_import_statement_token1] = ACTIONS(2633),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2633),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2633),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2633),
    [aux_sym_variable_attributes_token1] = ACTIONS(2633),
    [aux_sym_variable_attributes_token2] = ACTIONS(2633),
    [aux_sym_variable_attributes_token3] = ACTIONS(2633),
    [aux_sym_variable_attributes_token4] = ACTIONS(2633),
    [aux_sym_variable_attributes_token5] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2633),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2633),
    [aux_sym_derived_type_token1] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2633),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2633),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2633),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2633),
    [aux_sym_stop_statement_token1] = ACTIONS(2633),
    [aux_sym_stop_statement_token2] = ACTIONS(2633),
    [aux_sym_subroutine_call_token1] = ACTIONS(2633),
    [aux_sym_keyword_statement_token1] = ACTIONS(2633),
    [aux_sym_keyword_statement_token2] = ACTIONS(2633),
    [aux_sym_keyword_statement_token3] = ACTIONS(2633),
    [aux_sym_keyword_statement_token4] = ACTIONS(2633),
    [aux_sym_keyword_statement_token6] = ACTIONS(2633),
    [aux_sym_keyword_statement_token7] = ACTIONS(2633),
    [aux_sym_include_statement_token1] = ACTIONS(2633),
    [aux_sym_data_statement_token1] = ACTIONS(2633),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2633),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2633),
    [aux_sym_end_if_statement_token1] = ACTIONS(2633),
    [aux_sym_elseif_clause_token2] = ACTIONS(2633),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2633),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2633),
    [aux_sym_select_case_statement_token1] = ACTIONS(2633),
    [aux_sym_select_case_statement_token3] = ACTIONS(2633),
    [aux_sym_select_type_statement_token1] = ACTIONS(2633),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2633),
    [aux_sym_block_construct_token1] = ACTIONS(2633),
    [aux_sym_associate_statement_token1] = ACTIONS(2633),
    [aux_sym_format_statement_token1] = ACTIONS(2633),
    [aux_sym_print_statement_token1] = ACTIONS(2633),
    [aux_sym_open_statement_token1] = ACTIONS(2633),
    [aux_sym_close_statement_token1] = ACTIONS(2633),
    [aux_sym_inquire_statement_token1] = ACTIONS(2633),
    [aux_sym_enum_statement_token1] = ACTIONS(2633),
    [aux_sym_file_position_statement_token1] = ACTIONS(2633),
    [aux_sym_file_position_statement_token2] = ACTIONS(2633),
    [aux_sym_file_position_statement_token3] = ACTIONS(2633),
    [aux_sym_file_position_statement_token4] = ACTIONS(2633),
    [aux_sym_logical_expression_token5] = ACTIONS(2635),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [aux_sym_boolean_literal_token1] = ACTIONS(2635),
    [aux_sym_boolean_literal_token2] = ACTIONS(2635),
    [aux_sym_null_literal_token1] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2635),
    [sym__float_literal] = ACTIONS(2635),
    [sym__boz_literal] = ACTIONS(2635),
    [sym__string_literal] = ACTIONS(2635),
    [sym__string_literal_kind] = ACTIONS(2635),
  },
  [708] = {
    [sym__statements] = STATE(5287),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5287),
    [sym_assignment_statement] = STATE(5287),
    [sym_pointer_association_statement] = STATE(5287),
    [sym_subroutine_call] = STATE(5287),
    [sym_keyword_statement] = STATE(5287),
    [sym_include_statement] = STATE(5287),
    [sym_do_loop_statement] = STATE(5287),
    [sym_do_label_statement] = STATE(5287),
    [sym_end_do_label_statement] = STATE(5287),
    [sym_if_statement] = STATE(5287),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5287),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5287),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5287),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5287),
    [sym_select_type_statement] = STATE(5287),
    [sym_select_rank_statement] = STATE(5287),
    [sym_block_construct] = STATE(5287),
    [sym_associate_statement] = STATE(5287),
    [sym_format_statement] = STATE(5292),
    [sym_read_statement] = STATE(5287),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5287),
    [sym_open_statement] = STATE(5287),
    [sym_close_statement] = STATE(5287),
    [sym_write_statement] = STATE(5287),
    [sym_inquire_statement] = STATE(5287),
    [sym_file_position_statement] = STATE(5287),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [709] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token2] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2629),
    [aux_sym_end_program_statement_token1] = ACTIONS(2629),
    [aux_sym_end_program_statement_token2] = ACTIONS(2629),
    [aux_sym_module_statement_token1] = ACTIONS(2629),
    [aux_sym_submodule_statement_token1] = ACTIONS(2629),
    [aux_sym_interface_statement_token1] = ACTIONS(2629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2629),
    [aux_sym_function_statement_token1] = ACTIONS(2629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2629),
    [aux_sym_contains_statement_token1] = ACTIONS(2629),
    [aux_sym_use_statement_token1] = ACTIONS(2629),
    [aux_sym_use_statement_token2] = ACTIONS(2629),
    [aux_sym_implicit_statement_token1] = ACTIONS(2629),
    [aux_sym_implicit_statement_token3] = ACTIONS(2629),
    [aux_sym_implicit_statement_token4] = ACTIONS(2629),
    [aux_sym_save_statement_token1] = ACTIONS(2629),
    [aux_sym_private_statement_token1] = ACTIONS(2629),
    [aux_sym_public_statement_token1] = ACTIONS(2629),
    [aux_sym_namelist_statement_token1] = ACTIONS(2629),
    [aux_sym_common_statement_token1] = ACTIONS(2629),
    [aux_sym_import_statement_token1] = ACTIONS(2629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2629),
    [aux_sym_variable_attributes_token1] = ACTIONS(2629),
    [aux_sym_variable_attributes_token2] = ACTIONS(2629),
    [aux_sym_variable_attributes_token3] = ACTIONS(2629),
    [aux_sym_variable_attributes_token4] = ACTIONS(2629),
    [aux_sym_variable_attributes_token5] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2629),
    [aux_sym_derived_type_token1] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2629),
    [aux_sym_stop_statement_token1] = ACTIONS(2629),
    [aux_sym_stop_statement_token2] = ACTIONS(2629),
    [aux_sym_subroutine_call_token1] = ACTIONS(2629),
    [aux_sym_keyword_statement_token1] = ACTIONS(2629),
    [aux_sym_keyword_statement_token2] = ACTIONS(2629),
    [aux_sym_keyword_statement_token3] = ACTIONS(2629),
    [aux_sym_keyword_statement_token4] = ACTIONS(2629),
    [aux_sym_keyword_statement_token6] = ACTIONS(2629),
    [aux_sym_keyword_statement_token7] = ACTIONS(2629),
    [aux_sym_include_statement_token1] = ACTIONS(2629),
    [aux_sym_data_statement_token1] = ACTIONS(2629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2629),
    [aux_sym_end_if_statement_token1] = ACTIONS(2629),
    [aux_sym_elseif_clause_token2] = ACTIONS(2629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2629),
    [aux_sym_select_case_statement_token1] = ACTIONS(2629),
    [aux_sym_select_case_statement_token3] = ACTIONS(2629),
    [aux_sym_select_type_statement_token1] = ACTIONS(2629),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2629),
    [aux_sym_block_construct_token1] = ACTIONS(2629),
    [aux_sym_associate_statement_token1] = ACTIONS(2629),
    [aux_sym_format_statement_token1] = ACTIONS(2629),
    [aux_sym_print_statement_token1] = ACTIONS(2629),
    [aux_sym_open_statement_token1] = ACTIONS(2629),
    [aux_sym_close_statement_token1] = ACTIONS(2629),
    [aux_sym_inquire_statement_token1] = ACTIONS(2629),
    [aux_sym_enum_statement_token1] = ACTIONS(2629),
    [aux_sym_file_position_statement_token1] = ACTIONS(2629),
    [aux_sym_file_position_statement_token2] = ACTIONS(2629),
    [aux_sym_file_position_statement_token3] = ACTIONS(2629),
    [aux_sym_file_position_statement_token4] = ACTIONS(2629),
    [aux_sym_logical_expression_token5] = ACTIONS(2631),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [aux_sym_boolean_literal_token1] = ACTIONS(2631),
    [aux_sym_boolean_literal_token2] = ACTIONS(2631),
    [aux_sym_null_literal_token1] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2631),
    [sym__float_literal] = ACTIONS(2631),
    [sym__boz_literal] = ACTIONS(2631),
    [sym__string_literal] = ACTIONS(2631),
    [sym__string_literal_kind] = ACTIONS(2631),
  },
  [710] = {
    [sym_preproc_include] = STATE(797),
    [sym_preproc_def] = STATE(797),
    [sym_preproc_function_def] = STATE(797),
    [sym_preproc_call] = STATE(797),
    [sym_preproc_if_in_module] = STATE(797),
    [sym_preproc_ifdef_in_module] = STATE(797),
    [sym_end_submodule_statement] = STATE(503),
    [sym_interface] = STATE(797),
    [sym_interface_statement] = STATE(2215),
    [sym_internal_procedures] = STATE(4844),
    [sym_contains_statement] = STATE(5173),
    [sym__specification_part] = STATE(797),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(797),
    [sym_public_statement] = STATE(797),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(797),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(797),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(797),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2839),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2841),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2821),
    [aux_sym_public_statement_token1] = ACTIONS(2823),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [711] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_module] = STATE(796),
    [sym_preproc_ifdef_in_module] = STATE(796),
    [sym_end_module_statement] = STATE(500),
    [sym_interface] = STATE(796),
    [sym_interface_statement] = STATE(2201),
    [sym_internal_procedures] = STATE(4544),
    [sym_contains_statement] = STATE(5280),
    [sym__specification_part] = STATE(796),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(796),
    [sym_public_statement] = STATE(796),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(796),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(796),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(796),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2843),
    [aux_sym_end_module_statement_token1] = ACTIONS(2845),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2797),
    [aux_sym_public_statement_token1] = ACTIONS(2799),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2397),
    [aux_sym_preproc_include_token1] = ACTIONS(2393),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_LPAREN2] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token2] = ACTIONS(2393),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2393),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2393),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2393),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2393),
    [aux_sym_contains_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token1] = ACTIONS(2393),
    [aux_sym_use_statement_token2] = ACTIONS(2393),
    [aux_sym_implicit_statement_token1] = ACTIONS(2393),
    [aux_sym_implicit_statement_token3] = ACTIONS(2393),
    [aux_sym_implicit_statement_token4] = ACTIONS(2393),
    [aux_sym_save_statement_token1] = ACTIONS(2393),
    [aux_sym_private_statement_token1] = ACTIONS(2393),
    [aux_sym_public_statement_token1] = ACTIONS(2393),
    [aux_sym_namelist_statement_token1] = ACTIONS(2393),
    [aux_sym_common_statement_token1] = ACTIONS(2393),
    [aux_sym_import_statement_token1] = ACTIONS(2393),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2393),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2393),
    [aux_sym_variable_attributes_token1] = ACTIONS(2393),
    [aux_sym_variable_attributes_token2] = ACTIONS(2393),
    [aux_sym_variable_attributes_token3] = ACTIONS(2393),
    [aux_sym_variable_attributes_token4] = ACTIONS(2393),
    [aux_sym_variable_attributes_token5] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2393),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2393),
    [aux_sym_derived_type_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2393),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token1] = ACTIONS(2393),
    [aux_sym_stop_statement_token2] = ACTIONS(2393),
    [aux_sym_subroutine_call_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token1] = ACTIONS(2393),
    [aux_sym_keyword_statement_token2] = ACTIONS(2393),
    [aux_sym_keyword_statement_token3] = ACTIONS(2393),
    [aux_sym_keyword_statement_token4] = ACTIONS(2393),
    [aux_sym_keyword_statement_token6] = ACTIONS(2393),
    [aux_sym_keyword_statement_token7] = ACTIONS(2393),
    [aux_sym_include_statement_token1] = ACTIONS(2393),
    [aux_sym_data_statement_token1] = ACTIONS(2393),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2393),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2393),
    [aux_sym_end_if_statement_token1] = ACTIONS(2393),
    [aux_sym_elseif_clause_token2] = ACTIONS(2393),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2393),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token1] = ACTIONS(2393),
    [aux_sym_select_case_statement_token3] = ACTIONS(2393),
    [aux_sym_select_type_statement_token1] = ACTIONS(2393),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2393),
    [aux_sym_block_construct_token1] = ACTIONS(2393),
    [aux_sym_associate_statement_token1] = ACTIONS(2393),
    [aux_sym_format_statement_token1] = ACTIONS(2393),
    [aux_sym_print_statement_token1] = ACTIONS(2393),
    [aux_sym_open_statement_token1] = ACTIONS(2393),
    [aux_sym_close_statement_token1] = ACTIONS(2393),
    [aux_sym_inquire_statement_token1] = ACTIONS(2393),
    [aux_sym_enum_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token1] = ACTIONS(2393),
    [aux_sym_file_position_statement_token2] = ACTIONS(2393),
    [aux_sym_file_position_statement_token3] = ACTIONS(2393),
    [aux_sym_file_position_statement_token4] = ACTIONS(2393),
    [aux_sym_logical_expression_token5] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [aux_sym_boolean_literal_token1] = ACTIONS(2397),
    [aux_sym_boolean_literal_token2] = ACTIONS(2397),
    [aux_sym_null_literal_token1] = ACTIONS(2393),
    [aux_sym_identifier_token1] = ACTIONS(2393),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2397),
    [sym__float_literal] = ACTIONS(2397),
    [sym__boz_literal] = ACTIONS(2397),
    [sym__string_literal] = ACTIONS(2397),
    [sym__string_literal_kind] = ACTIONS(2397),
  },
  [713] = {
    [sym_preproc_include] = STATE(710),
    [sym_preproc_def] = STATE(710),
    [sym_preproc_function_def] = STATE(710),
    [sym_preproc_call] = STATE(710),
    [sym_preproc_if_in_module] = STATE(710),
    [sym_preproc_ifdef_in_module] = STATE(710),
    [sym_end_submodule_statement] = STATE(538),
    [sym_interface] = STATE(710),
    [sym_interface_statement] = STATE(2215),
    [sym_internal_procedures] = STATE(4474),
    [sym_contains_statement] = STATE(5173),
    [sym__specification_part] = STATE(710),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(710),
    [sym_public_statement] = STATE(710),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(710),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(710),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(710),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2839),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2841),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2821),
    [aux_sym_public_statement_token1] = ACTIONS(2823),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [714] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token2] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token2] = ACTIONS(2481),
    [aux_sym_module_statement_token1] = ACTIONS(2481),
    [aux_sym_submodule_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_function_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2481),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token2] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token2] = ACTIONS(2485),
    [aux_sym_module_statement_token1] = ACTIONS(2485),
    [aux_sym_submodule_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_function_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2485),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [716] = {
    [sym_preproc_include] = STATE(711),
    [sym_preproc_def] = STATE(711),
    [sym_preproc_function_def] = STATE(711),
    [sym_preproc_call] = STATE(711),
    [sym_preproc_if_in_module] = STATE(711),
    [sym_preproc_ifdef_in_module] = STATE(711),
    [sym_end_module_statement] = STATE(537),
    [sym_interface] = STATE(711),
    [sym_interface_statement] = STATE(2201),
    [sym_internal_procedures] = STATE(4501),
    [sym_contains_statement] = STATE(5280),
    [sym__specification_part] = STATE(711),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(711),
    [sym_public_statement] = STATE(711),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(711),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(711),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(711),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2843),
    [aux_sym_end_module_statement_token1] = ACTIONS(2845),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2797),
    [aux_sym_public_statement_token1] = ACTIONS(2799),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2573),
    [aux_sym_preproc_def_token1] = ACTIONS(2573),
    [aux_sym_preproc_if_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2573),
    [sym_preproc_directive] = ACTIONS(2573),
    [anon_sym_LPAREN2] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2573),
    [aux_sym_end_program_statement_token1] = ACTIONS(2573),
    [aux_sym_end_program_statement_token2] = ACTIONS(2573),
    [aux_sym_module_statement_token1] = ACTIONS(2573),
    [aux_sym_submodule_statement_token1] = ACTIONS(2573),
    [aux_sym_interface_statement_token1] = ACTIONS(2573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2573),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2573),
    [aux_sym_function_statement_token1] = ACTIONS(2573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2573),
    [aux_sym_contains_statement_token1] = ACTIONS(2573),
    [aux_sym_use_statement_token1] = ACTIONS(2573),
    [aux_sym_use_statement_token2] = ACTIONS(2573),
    [aux_sym_implicit_statement_token1] = ACTIONS(2573),
    [aux_sym_implicit_statement_token3] = ACTIONS(2573),
    [aux_sym_implicit_statement_token4] = ACTIONS(2573),
    [aux_sym_save_statement_token1] = ACTIONS(2573),
    [aux_sym_private_statement_token1] = ACTIONS(2573),
    [aux_sym_public_statement_token1] = ACTIONS(2573),
    [aux_sym_namelist_statement_token1] = ACTIONS(2573),
    [aux_sym_common_statement_token1] = ACTIONS(2573),
    [aux_sym_import_statement_token1] = ACTIONS(2573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2573),
    [aux_sym_variable_attributes_token1] = ACTIONS(2573),
    [aux_sym_variable_attributes_token2] = ACTIONS(2573),
    [aux_sym_variable_attributes_token3] = ACTIONS(2573),
    [aux_sym_variable_attributes_token4] = ACTIONS(2573),
    [aux_sym_variable_attributes_token5] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2573),
    [aux_sym_derived_type_token1] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2573),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2573),
    [aux_sym_stop_statement_token1] = ACTIONS(2573),
    [aux_sym_stop_statement_token2] = ACTIONS(2573),
    [aux_sym_subroutine_call_token1] = ACTIONS(2573),
    [aux_sym_keyword_statement_token1] = ACTIONS(2573),
    [aux_sym_keyword_statement_token2] = ACTIONS(2573),
    [aux_sym_keyword_statement_token3] = ACTIONS(2573),
    [aux_sym_keyword_statement_token4] = ACTIONS(2573),
    [aux_sym_keyword_statement_token6] = ACTIONS(2573),
    [aux_sym_keyword_statement_token7] = ACTIONS(2573),
    [aux_sym_include_statement_token1] = ACTIONS(2573),
    [aux_sym_data_statement_token1] = ACTIONS(2573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2573),
    [aux_sym_end_if_statement_token1] = ACTIONS(2573),
    [aux_sym_elseif_clause_token2] = ACTIONS(2573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2573),
    [aux_sym_select_case_statement_token1] = ACTIONS(2573),
    [aux_sym_select_case_statement_token3] = ACTIONS(2573),
    [aux_sym_select_type_statement_token1] = ACTIONS(2573),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2573),
    [aux_sym_block_construct_token1] = ACTIONS(2573),
    [aux_sym_associate_statement_token1] = ACTIONS(2573),
    [aux_sym_format_statement_token1] = ACTIONS(2573),
    [aux_sym_print_statement_token1] = ACTIONS(2573),
    [aux_sym_open_statement_token1] = ACTIONS(2573),
    [aux_sym_close_statement_token1] = ACTIONS(2573),
    [aux_sym_inquire_statement_token1] = ACTIONS(2573),
    [aux_sym_enum_statement_token1] = ACTIONS(2573),
    [aux_sym_file_position_statement_token1] = ACTIONS(2573),
    [aux_sym_file_position_statement_token2] = ACTIONS(2573),
    [aux_sym_file_position_statement_token3] = ACTIONS(2573),
    [aux_sym_file_position_statement_token4] = ACTIONS(2573),
    [aux_sym_logical_expression_token5] = ACTIONS(2575),
    [anon_sym_DOT] = ACTIONS(2573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [aux_sym_boolean_literal_token1] = ACTIONS(2575),
    [aux_sym_boolean_literal_token2] = ACTIONS(2575),
    [aux_sym_null_literal_token1] = ACTIONS(2573),
    [aux_sym_identifier_token1] = ACTIONS(2573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2575),
    [sym__float_literal] = ACTIONS(2575),
    [sym__boz_literal] = ACTIONS(2575),
    [sym__string_literal] = ACTIONS(2575),
    [sym__string_literal_kind] = ACTIONS(2575),
  },
  [718] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token2] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2621),
    [aux_sym_end_program_statement_token1] = ACTIONS(2621),
    [aux_sym_end_program_statement_token2] = ACTIONS(2621),
    [aux_sym_module_statement_token1] = ACTIONS(2621),
    [aux_sym_submodule_statement_token1] = ACTIONS(2621),
    [aux_sym_interface_statement_token1] = ACTIONS(2621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2621),
    [aux_sym_function_statement_token1] = ACTIONS(2621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2621),
    [aux_sym_contains_statement_token1] = ACTIONS(2621),
    [aux_sym_use_statement_token1] = ACTIONS(2621),
    [aux_sym_use_statement_token2] = ACTIONS(2621),
    [aux_sym_implicit_statement_token1] = ACTIONS(2621),
    [aux_sym_implicit_statement_token3] = ACTIONS(2621),
    [aux_sym_implicit_statement_token4] = ACTIONS(2621),
    [aux_sym_save_statement_token1] = ACTIONS(2621),
    [aux_sym_private_statement_token1] = ACTIONS(2621),
    [aux_sym_public_statement_token1] = ACTIONS(2621),
    [aux_sym_namelist_statement_token1] = ACTIONS(2621),
    [aux_sym_common_statement_token1] = ACTIONS(2621),
    [aux_sym_import_statement_token1] = ACTIONS(2621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2621),
    [aux_sym_variable_attributes_token1] = ACTIONS(2621),
    [aux_sym_variable_attributes_token2] = ACTIONS(2621),
    [aux_sym_variable_attributes_token3] = ACTIONS(2621),
    [aux_sym_variable_attributes_token4] = ACTIONS(2621),
    [aux_sym_variable_attributes_token5] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2621),
    [aux_sym_derived_type_token1] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2621),
    [aux_sym_stop_statement_token1] = ACTIONS(2621),
    [aux_sym_stop_statement_token2] = ACTIONS(2621),
    [aux_sym_subroutine_call_token1] = ACTIONS(2621),
    [aux_sym_keyword_statement_token1] = ACTIONS(2621),
    [aux_sym_keyword_statement_token2] = ACTIONS(2621),
    [aux_sym_keyword_statement_token3] = ACTIONS(2621),
    [aux_sym_keyword_statement_token4] = ACTIONS(2621),
    [aux_sym_keyword_statement_token6] = ACTIONS(2621),
    [aux_sym_keyword_statement_token7] = ACTIONS(2621),
    [aux_sym_include_statement_token1] = ACTIONS(2621),
    [aux_sym_data_statement_token1] = ACTIONS(2621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2621),
    [aux_sym_end_if_statement_token1] = ACTIONS(2621),
    [aux_sym_elseif_clause_token2] = ACTIONS(2621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2621),
    [aux_sym_select_case_statement_token1] = ACTIONS(2621),
    [aux_sym_select_case_statement_token3] = ACTIONS(2621),
    [aux_sym_select_type_statement_token1] = ACTIONS(2621),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2621),
    [aux_sym_block_construct_token1] = ACTIONS(2621),
    [aux_sym_associate_statement_token1] = ACTIONS(2621),
    [aux_sym_format_statement_token1] = ACTIONS(2621),
    [aux_sym_print_statement_token1] = ACTIONS(2621),
    [aux_sym_open_statement_token1] = ACTIONS(2621),
    [aux_sym_close_statement_token1] = ACTIONS(2621),
    [aux_sym_inquire_statement_token1] = ACTIONS(2621),
    [aux_sym_enum_statement_token1] = ACTIONS(2621),
    [aux_sym_file_position_statement_token1] = ACTIONS(2621),
    [aux_sym_file_position_statement_token2] = ACTIONS(2621),
    [aux_sym_file_position_statement_token3] = ACTIONS(2621),
    [aux_sym_file_position_statement_token4] = ACTIONS(2621),
    [aux_sym_logical_expression_token5] = ACTIONS(2623),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_boolean_literal_token1] = ACTIONS(2623),
    [aux_sym_boolean_literal_token2] = ACTIONS(2623),
    [aux_sym_null_literal_token1] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2623),
    [sym__float_literal] = ACTIONS(2623),
    [sym__boz_literal] = ACTIONS(2623),
    [sym__string_literal] = ACTIONS(2623),
    [sym__string_literal_kind] = ACTIONS(2623),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(2443),
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token2] = ACTIONS(2441),
    [aux_sym_module_statement_token1] = ACTIONS(2441),
    [aux_sym_submodule_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_function_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2521),
    [aux_sym_preproc_def_token1] = ACTIONS(2521),
    [aux_sym_preproc_if_token1] = ACTIONS(2521),
    [aux_sym_preproc_if_token2] = ACTIONS(2521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2521),
    [sym_preproc_directive] = ACTIONS(2521),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2523),
    [anon_sym_DASH] = ACTIONS(2523),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2521),
    [aux_sym_end_program_statement_token1] = ACTIONS(2521),
    [aux_sym_end_program_statement_token2] = ACTIONS(2521),
    [aux_sym_module_statement_token1] = ACTIONS(2521),
    [aux_sym_submodule_statement_token1] = ACTIONS(2521),
    [aux_sym_interface_statement_token1] = ACTIONS(2521),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2521),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2521),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2521),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2521),
    [aux_sym_function_statement_token1] = ACTIONS(2521),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2521),
    [aux_sym_contains_statement_token1] = ACTIONS(2521),
    [aux_sym_use_statement_token1] = ACTIONS(2521),
    [aux_sym_use_statement_token2] = ACTIONS(2521),
    [aux_sym_implicit_statement_token1] = ACTIONS(2521),
    [aux_sym_implicit_statement_token3] = ACTIONS(2521),
    [aux_sym_implicit_statement_token4] = ACTIONS(2521),
    [aux_sym_save_statement_token1] = ACTIONS(2521),
    [aux_sym_private_statement_token1] = ACTIONS(2521),
    [aux_sym_public_statement_token1] = ACTIONS(2521),
    [aux_sym_namelist_statement_token1] = ACTIONS(2521),
    [aux_sym_common_statement_token1] = ACTIONS(2521),
    [aux_sym_import_statement_token1] = ACTIONS(2521),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2521),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2521),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2521),
    [aux_sym_variable_attributes_token1] = ACTIONS(2521),
    [aux_sym_variable_attributes_token2] = ACTIONS(2521),
    [aux_sym_variable_attributes_token3] = ACTIONS(2521),
    [aux_sym_variable_attributes_token4] = ACTIONS(2521),
    [aux_sym_variable_attributes_token5] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2521),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2521),
    [aux_sym_derived_type_token1] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2521),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2521),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2521),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2521),
    [aux_sym_stop_statement_token1] = ACTIONS(2521),
    [aux_sym_stop_statement_token2] = ACTIONS(2521),
    [aux_sym_subroutine_call_token1] = ACTIONS(2521),
    [aux_sym_keyword_statement_token1] = ACTIONS(2521),
    [aux_sym_keyword_statement_token2] = ACTIONS(2521),
    [aux_sym_keyword_statement_token3] = ACTIONS(2521),
    [aux_sym_keyword_statement_token4] = ACTIONS(2521),
    [aux_sym_keyword_statement_token6] = ACTIONS(2521),
    [aux_sym_keyword_statement_token7] = ACTIONS(2521),
    [aux_sym_include_statement_token1] = ACTIONS(2521),
    [aux_sym_data_statement_token1] = ACTIONS(2521),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2521),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2521),
    [aux_sym_end_if_statement_token1] = ACTIONS(2521),
    [aux_sym_elseif_clause_token2] = ACTIONS(2521),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2521),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2521),
    [aux_sym_select_case_statement_token1] = ACTIONS(2521),
    [aux_sym_select_case_statement_token3] = ACTIONS(2521),
    [aux_sym_select_type_statement_token1] = ACTIONS(2521),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2521),
    [aux_sym_block_construct_token1] = ACTIONS(2521),
    [aux_sym_associate_statement_token1] = ACTIONS(2521),
    [aux_sym_format_statement_token1] = ACTIONS(2521),
    [aux_sym_print_statement_token1] = ACTIONS(2521),
    [aux_sym_open_statement_token1] = ACTIONS(2521),
    [aux_sym_close_statement_token1] = ACTIONS(2521),
    [aux_sym_inquire_statement_token1] = ACTIONS(2521),
    [aux_sym_enum_statement_token1] = ACTIONS(2521),
    [aux_sym_file_position_statement_token1] = ACTIONS(2521),
    [aux_sym_file_position_statement_token2] = ACTIONS(2521),
    [aux_sym_file_position_statement_token3] = ACTIONS(2521),
    [aux_sym_file_position_statement_token4] = ACTIONS(2521),
    [aux_sym_logical_expression_token5] = ACTIONS(2523),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [aux_sym_boolean_literal_token1] = ACTIONS(2523),
    [aux_sym_boolean_literal_token2] = ACTIONS(2523),
    [aux_sym_null_literal_token1] = ACTIONS(2521),
    [aux_sym_identifier_token1] = ACTIONS(2521),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2523),
    [sym__float_literal] = ACTIONS(2523),
    [sym__boz_literal] = ACTIONS(2523),
    [sym__string_literal] = ACTIONS(2523),
    [sym__string_literal_kind] = ACTIONS(2523),
  },
  [721] = {
    [sym_preproc_include] = STATE(650),
    [sym_preproc_def] = STATE(650),
    [sym_preproc_function_def] = STATE(650),
    [sym_preproc_call] = STATE(650),
    [sym_preproc_if_in_module] = STATE(650),
    [sym_preproc_ifdef_in_module] = STATE(650),
    [sym_end_submodule_statement] = STATE(648),
    [sym_interface] = STATE(650),
    [sym_interface_statement] = STATE(2215),
    [sym_internal_procedures] = STATE(4410),
    [sym_contains_statement] = STATE(5173),
    [sym__specification_part] = STATE(650),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(650),
    [sym_public_statement] = STATE(650),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(650),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(650),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(650),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2813),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2813),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2831),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2833),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2821),
    [aux_sym_public_statement_token1] = ACTIONS(2823),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [722] = {
    [sym_preproc_include] = STATE(639),
    [sym_preproc_def] = STATE(639),
    [sym_preproc_function_def] = STATE(639),
    [sym_preproc_call] = STATE(639),
    [sym_preproc_if_in_module] = STATE(639),
    [sym_preproc_ifdef_in_module] = STATE(639),
    [sym_end_module_statement] = STATE(637),
    [sym_interface] = STATE(639),
    [sym_interface_statement] = STATE(2201),
    [sym_internal_procedures] = STATE(4427),
    [sym_contains_statement] = STATE(5280),
    [sym__specification_part] = STATE(639),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(639),
    [sym_public_statement] = STATE(639),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(639),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(639),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(639),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2825),
    [aux_sym_end_module_statement_token1] = ACTIONS(2827),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(2797),
    [aux_sym_public_statement_token1] = ACTIONS(2799),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2397),
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2393),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_end_program_statement_token2] = ACTIONS(2561),
    [aux_sym_module_statement_token1] = ACTIONS(2393),
    [aux_sym_submodule_statement_token1] = ACTIONS(2393),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2393),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_function_statement_token1] = ACTIONS(2393),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2393),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2393),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [aux_sym_preproc_include_token1] = ACTIONS(2625),
    [aux_sym_preproc_def_token1] = ACTIONS(2625),
    [aux_sym_preproc_if_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2625),
    [sym_preproc_directive] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2625),
    [aux_sym_end_program_statement_token1] = ACTIONS(2625),
    [aux_sym_end_program_statement_token2] = ACTIONS(2625),
    [aux_sym_module_statement_token1] = ACTIONS(2625),
    [aux_sym_submodule_statement_token1] = ACTIONS(2625),
    [aux_sym_interface_statement_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2625),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2625),
    [aux_sym_function_statement_token1] = ACTIONS(2625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2625),
    [aux_sym_contains_statement_token1] = ACTIONS(2625),
    [aux_sym_use_statement_token1] = ACTIONS(2625),
    [aux_sym_use_statement_token2] = ACTIONS(2625),
    [aux_sym_implicit_statement_token1] = ACTIONS(2625),
    [aux_sym_implicit_statement_token3] = ACTIONS(2625),
    [aux_sym_implicit_statement_token4] = ACTIONS(2625),
    [aux_sym_save_statement_token1] = ACTIONS(2625),
    [aux_sym_private_statement_token1] = ACTIONS(2625),
    [aux_sym_public_statement_token1] = ACTIONS(2625),
    [aux_sym_namelist_statement_token1] = ACTIONS(2625),
    [aux_sym_common_statement_token1] = ACTIONS(2625),
    [aux_sym_import_statement_token1] = ACTIONS(2625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2625),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2625),
    [aux_sym_variable_attributes_token1] = ACTIONS(2625),
    [aux_sym_variable_attributes_token2] = ACTIONS(2625),
    [aux_sym_variable_attributes_token3] = ACTIONS(2625),
    [aux_sym_variable_attributes_token4] = ACTIONS(2625),
    [aux_sym_variable_attributes_token5] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2625),
    [aux_sym_derived_type_token1] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2625),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2625),
    [aux_sym_stop_statement_token1] = ACTIONS(2625),
    [aux_sym_stop_statement_token2] = ACTIONS(2625),
    [aux_sym_subroutine_call_token1] = ACTIONS(2625),
    [aux_sym_keyword_statement_token1] = ACTIONS(2625),
    [aux_sym_keyword_statement_token2] = ACTIONS(2625),
    [aux_sym_keyword_statement_token3] = ACTIONS(2625),
    [aux_sym_keyword_statement_token4] = ACTIONS(2625),
    [aux_sym_keyword_statement_token6] = ACTIONS(2625),
    [aux_sym_keyword_statement_token7] = ACTIONS(2625),
    [aux_sym_include_statement_token1] = ACTIONS(2625),
    [aux_sym_data_statement_token1] = ACTIONS(2625),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2625),
    [aux_sym_end_if_statement_token1] = ACTIONS(2625),
    [aux_sym_elseif_clause_token2] = ACTIONS(2625),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2625),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2625),
    [aux_sym_select_case_statement_token1] = ACTIONS(2625),
    [aux_sym_select_case_statement_token3] = ACTIONS(2625),
    [aux_sym_select_type_statement_token1] = ACTIONS(2625),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2625),
    [aux_sym_block_construct_token1] = ACTIONS(2625),
    [aux_sym_associate_statement_token1] = ACTIONS(2625),
    [aux_sym_format_statement_token1] = ACTIONS(2625),
    [aux_sym_print_statement_token1] = ACTIONS(2625),
    [aux_sym_open_statement_token1] = ACTIONS(2625),
    [aux_sym_close_statement_token1] = ACTIONS(2625),
    [aux_sym_inquire_statement_token1] = ACTIONS(2625),
    [aux_sym_enum_statement_token1] = ACTIONS(2625),
    [aux_sym_file_position_statement_token1] = ACTIONS(2625),
    [aux_sym_file_position_statement_token2] = ACTIONS(2625),
    [aux_sym_file_position_statement_token3] = ACTIONS(2625),
    [aux_sym_file_position_statement_token4] = ACTIONS(2625),
    [aux_sym_logical_expression_token5] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [aux_sym_boolean_literal_token1] = ACTIONS(2627),
    [aux_sym_boolean_literal_token2] = ACTIONS(2627),
    [aux_sym_null_literal_token1] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2627),
    [sym__float_literal] = ACTIONS(2627),
    [sym__boz_literal] = ACTIONS(2627),
    [sym__string_literal] = ACTIONS(2627),
    [sym__string_literal_kind] = ACTIONS(2627),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(576),
    [aux_sym_preproc_include_token1] = ACTIONS(288),
    [aux_sym_preproc_def_token1] = ACTIONS(288),
    [aux_sym_preproc_if_token1] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(288),
    [sym_preproc_directive] = ACTIONS(288),
    [anon_sym_LPAREN2] = ACTIONS(288),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(288),
    [aux_sym_end_program_statement_token1] = ACTIONS(288),
    [aux_sym_end_program_statement_token2] = ACTIONS(288),
    [aux_sym_module_statement_token1] = ACTIONS(288),
    [aux_sym_submodule_statement_token1] = ACTIONS(288),
    [aux_sym_interface_statement_token1] = ACTIONS(288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(288),
    [aux_sym_subroutine_statement_token1] = ACTIONS(288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(288),
    [aux_sym_function_statement_token1] = ACTIONS(288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(288),
    [aux_sym_contains_statement_token1] = ACTIONS(288),
    [aux_sym_use_statement_token1] = ACTIONS(288),
    [aux_sym_use_statement_token2] = ACTIONS(288),
    [aux_sym_implicit_statement_token1] = ACTIONS(288),
    [aux_sym_implicit_statement_token3] = ACTIONS(288),
    [aux_sym_implicit_statement_token4] = ACTIONS(288),
    [aux_sym_save_statement_token1] = ACTIONS(288),
    [aux_sym_private_statement_token1] = ACTIONS(288),
    [aux_sym_public_statement_token1] = ACTIONS(288),
    [aux_sym_namelist_statement_token1] = ACTIONS(288),
    [aux_sym_common_statement_token1] = ACTIONS(288),
    [aux_sym_import_statement_token1] = ACTIONS(288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(288),
    [aux_sym_variable_attributes_token1] = ACTIONS(288),
    [aux_sym_variable_attributes_token2] = ACTIONS(288),
    [aux_sym_variable_attributes_token3] = ACTIONS(288),
    [aux_sym_variable_attributes_token4] = ACTIONS(288),
    [aux_sym_variable_attributes_token5] = ACTIONS(288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(288),
    [aux_sym_derived_type_token1] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(288),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(288),
    [aux_sym_stop_statement_token1] = ACTIONS(288),
    [aux_sym_stop_statement_token2] = ACTIONS(288),
    [aux_sym_subroutine_call_token1] = ACTIONS(288),
    [aux_sym_keyword_statement_token1] = ACTIONS(288),
    [aux_sym_keyword_statement_token2] = ACTIONS(288),
    [aux_sym_keyword_statement_token3] = ACTIONS(288),
    [aux_sym_keyword_statement_token4] = ACTIONS(288),
    [aux_sym_keyword_statement_token6] = ACTIONS(288),
    [aux_sym_keyword_statement_token7] = ACTIONS(288),
    [aux_sym_include_statement_token1] = ACTIONS(288),
    [aux_sym_data_statement_token1] = ACTIONS(288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(288),
    [aux_sym_end_if_statement_token1] = ACTIONS(288),
    [aux_sym_elseif_clause_token2] = ACTIONS(288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(288),
    [aux_sym_select_case_statement_token1] = ACTIONS(288),
    [aux_sym_select_case_statement_token3] = ACTIONS(288),
    [aux_sym_select_type_statement_token1] = ACTIONS(288),
    [aux_sym_select_rank_statement_token2] = ACTIONS(288),
    [aux_sym_block_construct_token1] = ACTIONS(288),
    [aux_sym_associate_statement_token1] = ACTIONS(288),
    [aux_sym_format_statement_token1] = ACTIONS(288),
    [aux_sym_print_statement_token1] = ACTIONS(288),
    [aux_sym_open_statement_token1] = ACTIONS(288),
    [aux_sym_close_statement_token1] = ACTIONS(288),
    [aux_sym_inquire_statement_token1] = ACTIONS(288),
    [aux_sym_enum_statement_token1] = ACTIONS(288),
    [aux_sym_file_position_statement_token1] = ACTIONS(288),
    [aux_sym_file_position_statement_token2] = ACTIONS(288),
    [aux_sym_file_position_statement_token3] = ACTIONS(288),
    [aux_sym_file_position_statement_token4] = ACTIONS(288),
    [aux_sym_logical_expression_token5] = ACTIONS(576),
    [anon_sym_DOT] = ACTIONS(288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(576),
    [aux_sym_boolean_literal_token1] = ACTIONS(576),
    [aux_sym_boolean_literal_token2] = ACTIONS(576),
    [aux_sym_null_literal_token1] = ACTIONS(288),
    [aux_sym_identifier_token1] = ACTIONS(288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(576),
    [sym__float_literal] = ACTIONS(576),
    [sym__boz_literal] = ACTIONS(576),
    [sym__string_literal] = ACTIONS(576),
    [sym__string_literal_kind] = ACTIONS(576),
  },
  [726] = {
    [sym__statements] = STATE(5337),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5337),
    [sym_assignment_statement] = STATE(5337),
    [sym_pointer_association_statement] = STATE(5337),
    [sym_subroutine_call] = STATE(5337),
    [sym_keyword_statement] = STATE(5337),
    [sym_include_statement] = STATE(5337),
    [sym_do_loop_statement] = STATE(5337),
    [sym_end_do_loop_statement] = STATE(6044),
    [sym_do_label_statement] = STATE(5337),
    [sym_end_do_label_statement] = STATE(5337),
    [sym_if_statement] = STATE(5337),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5337),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5337),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5337),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5337),
    [sym_select_type_statement] = STATE(5337),
    [sym_select_rank_statement] = STATE(5337),
    [sym_block_construct] = STATE(5337),
    [sym_associate_statement] = STATE(5337),
    [sym_format_statement] = STATE(5337),
    [sym_read_statement] = STATE(5337),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5337),
    [sym_open_statement] = STATE(5337),
    [sym_close_statement] = STATE(5337),
    [sym_write_statement] = STATE(5337),
    [sym_inquire_statement] = STATE(5337),
    [sym_file_position_statement] = STATE(5337),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2837),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [aux_sym_preproc_include_token1] = ACTIONS(2621),
    [aux_sym_preproc_def_token1] = ACTIONS(2621),
    [aux_sym_preproc_if_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2621),
    [sym_preproc_directive] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2621),
    [aux_sym_end_program_statement_token1] = ACTIONS(2621),
    [aux_sym_end_program_statement_token2] = ACTIONS(2621),
    [aux_sym_module_statement_token1] = ACTIONS(2621),
    [aux_sym_submodule_statement_token1] = ACTIONS(2621),
    [aux_sym_interface_statement_token1] = ACTIONS(2621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2621),
    [aux_sym_function_statement_token1] = ACTIONS(2621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2621),
    [aux_sym_contains_statement_token1] = ACTIONS(2621),
    [aux_sym_use_statement_token1] = ACTIONS(2621),
    [aux_sym_use_statement_token2] = ACTIONS(2621),
    [aux_sym_implicit_statement_token1] = ACTIONS(2621),
    [aux_sym_implicit_statement_token3] = ACTIONS(2621),
    [aux_sym_implicit_statement_token4] = ACTIONS(2621),
    [aux_sym_save_statement_token1] = ACTIONS(2621),
    [aux_sym_private_statement_token1] = ACTIONS(2621),
    [aux_sym_public_statement_token1] = ACTIONS(2621),
    [aux_sym_namelist_statement_token1] = ACTIONS(2621),
    [aux_sym_common_statement_token1] = ACTIONS(2621),
    [aux_sym_import_statement_token1] = ACTIONS(2621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2621),
    [aux_sym_variable_attributes_token1] = ACTIONS(2621),
    [aux_sym_variable_attributes_token2] = ACTIONS(2621),
    [aux_sym_variable_attributes_token3] = ACTIONS(2621),
    [aux_sym_variable_attributes_token4] = ACTIONS(2621),
    [aux_sym_variable_attributes_token5] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2621),
    [aux_sym_derived_type_token1] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2621),
    [aux_sym_stop_statement_token1] = ACTIONS(2621),
    [aux_sym_stop_statement_token2] = ACTIONS(2621),
    [aux_sym_subroutine_call_token1] = ACTIONS(2621),
    [aux_sym_keyword_statement_token1] = ACTIONS(2621),
    [aux_sym_keyword_statement_token2] = ACTIONS(2621),
    [aux_sym_keyword_statement_token3] = ACTIONS(2621),
    [aux_sym_keyword_statement_token4] = ACTIONS(2621),
    [aux_sym_keyword_statement_token6] = ACTIONS(2621),
    [aux_sym_keyword_statement_token7] = ACTIONS(2621),
    [aux_sym_include_statement_token1] = ACTIONS(2621),
    [aux_sym_data_statement_token1] = ACTIONS(2621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2621),
    [aux_sym_end_if_statement_token1] = ACTIONS(2621),
    [aux_sym_elseif_clause_token2] = ACTIONS(2621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2621),
    [aux_sym_select_case_statement_token1] = ACTIONS(2621),
    [aux_sym_select_case_statement_token3] = ACTIONS(2621),
    [aux_sym_select_type_statement_token1] = ACTIONS(2621),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2621),
    [aux_sym_block_construct_token1] = ACTIONS(2621),
    [aux_sym_associate_statement_token1] = ACTIONS(2621),
    [aux_sym_format_statement_token1] = ACTIONS(2621),
    [aux_sym_print_statement_token1] = ACTIONS(2621),
    [aux_sym_open_statement_token1] = ACTIONS(2621),
    [aux_sym_close_statement_token1] = ACTIONS(2621),
    [aux_sym_inquire_statement_token1] = ACTIONS(2621),
    [aux_sym_enum_statement_token1] = ACTIONS(2621),
    [aux_sym_file_position_statement_token1] = ACTIONS(2621),
    [aux_sym_file_position_statement_token2] = ACTIONS(2621),
    [aux_sym_file_position_statement_token3] = ACTIONS(2621),
    [aux_sym_file_position_statement_token4] = ACTIONS(2621),
    [aux_sym_logical_expression_token5] = ACTIONS(2623),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_boolean_literal_token1] = ACTIONS(2623),
    [aux_sym_boolean_literal_token2] = ACTIONS(2623),
    [aux_sym_null_literal_token1] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2623),
    [sym__float_literal] = ACTIONS(2623),
    [sym__boz_literal] = ACTIONS(2623),
    [sym__string_literal] = ACTIONS(2623),
    [sym__string_literal_kind] = ACTIONS(2623),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [aux_sym_preproc_include_token1] = ACTIONS(2645),
    [aux_sym_preproc_def_token1] = ACTIONS(2645),
    [aux_sym_preproc_if_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2645),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2645),
    [aux_sym_end_program_statement_token1] = ACTIONS(2645),
    [aux_sym_end_program_statement_token2] = ACTIONS(2645),
    [aux_sym_module_statement_token1] = ACTIONS(2645),
    [aux_sym_submodule_statement_token1] = ACTIONS(2645),
    [aux_sym_interface_statement_token1] = ACTIONS(2645),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2645),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2645),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2645),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2645),
    [aux_sym_function_statement_token1] = ACTIONS(2645),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2645),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2645),
    [aux_sym_contains_statement_token1] = ACTIONS(2645),
    [aux_sym_use_statement_token1] = ACTIONS(2645),
    [aux_sym_use_statement_token2] = ACTIONS(2645),
    [aux_sym_implicit_statement_token1] = ACTIONS(2645),
    [aux_sym_implicit_statement_token3] = ACTIONS(2645),
    [aux_sym_implicit_statement_token4] = ACTIONS(2645),
    [aux_sym_save_statement_token1] = ACTIONS(2645),
    [aux_sym_private_statement_token1] = ACTIONS(2645),
    [aux_sym_public_statement_token1] = ACTIONS(2645),
    [aux_sym_namelist_statement_token1] = ACTIONS(2645),
    [aux_sym_common_statement_token1] = ACTIONS(2645),
    [aux_sym_import_statement_token1] = ACTIONS(2645),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2645),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2645),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2645),
    [aux_sym_variable_attributes_token1] = ACTIONS(2645),
    [aux_sym_variable_attributes_token2] = ACTIONS(2645),
    [aux_sym_variable_attributes_token3] = ACTIONS(2645),
    [aux_sym_variable_attributes_token4] = ACTIONS(2645),
    [aux_sym_variable_attributes_token5] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2645),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2645),
    [aux_sym_derived_type_token1] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2645),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2645),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2645),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2645),
    [aux_sym_stop_statement_token1] = ACTIONS(2645),
    [aux_sym_stop_statement_token2] = ACTIONS(2645),
    [aux_sym_subroutine_call_token1] = ACTIONS(2645),
    [aux_sym_keyword_statement_token1] = ACTIONS(2645),
    [aux_sym_keyword_statement_token2] = ACTIONS(2645),
    [aux_sym_keyword_statement_token3] = ACTIONS(2645),
    [aux_sym_keyword_statement_token4] = ACTIONS(2645),
    [aux_sym_keyword_statement_token6] = ACTIONS(2645),
    [aux_sym_keyword_statement_token7] = ACTIONS(2645),
    [aux_sym_include_statement_token1] = ACTIONS(2645),
    [aux_sym_data_statement_token1] = ACTIONS(2645),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2645),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2645),
    [aux_sym_end_if_statement_token1] = ACTIONS(2645),
    [aux_sym_elseif_clause_token2] = ACTIONS(2645),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2645),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2645),
    [aux_sym_select_case_statement_token1] = ACTIONS(2645),
    [aux_sym_select_case_statement_token3] = ACTIONS(2645),
    [aux_sym_select_type_statement_token1] = ACTIONS(2645),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2645),
    [aux_sym_block_construct_token1] = ACTIONS(2645),
    [aux_sym_associate_statement_token1] = ACTIONS(2645),
    [aux_sym_format_statement_token1] = ACTIONS(2645),
    [aux_sym_print_statement_token1] = ACTIONS(2645),
    [aux_sym_open_statement_token1] = ACTIONS(2645),
    [aux_sym_close_statement_token1] = ACTIONS(2645),
    [aux_sym_inquire_statement_token1] = ACTIONS(2645),
    [aux_sym_enum_statement_token1] = ACTIONS(2645),
    [aux_sym_file_position_statement_token1] = ACTIONS(2645),
    [aux_sym_file_position_statement_token2] = ACTIONS(2645),
    [aux_sym_file_position_statement_token3] = ACTIONS(2645),
    [aux_sym_file_position_statement_token4] = ACTIONS(2645),
    [aux_sym_logical_expression_token5] = ACTIONS(2647),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [aux_sym_boolean_literal_token1] = ACTIONS(2647),
    [aux_sym_boolean_literal_token2] = ACTIONS(2647),
    [aux_sym_null_literal_token1] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2647),
    [sym__float_literal] = ACTIONS(2647),
    [sym__boz_literal] = ACTIONS(2647),
    [sym__string_literal] = ACTIONS(2647),
    [sym__string_literal_kind] = ACTIONS(2647),
  },
  [729] = {
    [sym__statements] = STATE(5319),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5319),
    [sym_assignment_statement] = STATE(5319),
    [sym_pointer_association_statement] = STATE(5319),
    [sym_subroutine_call] = STATE(5319),
    [sym_keyword_statement] = STATE(5319),
    [sym_include_statement] = STATE(5319),
    [sym_do_loop_statement] = STATE(5319),
    [sym_do_label_statement] = STATE(5319),
    [sym_end_do_label_statement] = STATE(5319),
    [sym_if_statement] = STATE(5319),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5319),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5319),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5319),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5319),
    [sym_select_type_statement] = STATE(5319),
    [sym_select_rank_statement] = STATE(5319),
    [sym_block_construct] = STATE(5319),
    [sym_associate_statement] = STATE(5319),
    [sym_format_statement] = STATE(5234),
    [sym_read_statement] = STATE(5319),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5319),
    [sym_open_statement] = STATE(5319),
    [sym_close_statement] = STATE(5319),
    [sym_write_statement] = STATE(5319),
    [sym_inquire_statement] = STATE(5319),
    [sym_file_position_statement] = STATE(5319),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token2] = ACTIONS(2457),
    [aux_sym_module_statement_token1] = ACTIONS(2457),
    [aux_sym_submodule_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_function_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2457),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2503),
    [aux_sym_preproc_include_token1] = ACTIONS(2501),
    [aux_sym_preproc_def_token1] = ACTIONS(2501),
    [aux_sym_preproc_if_token1] = ACTIONS(2501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2501),
    [sym_preproc_directive] = ACTIONS(2501),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2501),
    [aux_sym_end_program_statement_token1] = ACTIONS(2501),
    [aux_sym_end_program_statement_token2] = ACTIONS(2501),
    [aux_sym_module_statement_token1] = ACTIONS(2501),
    [aux_sym_submodule_statement_token1] = ACTIONS(2501),
    [aux_sym_interface_statement_token1] = ACTIONS(2501),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2501),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2501),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2501),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2501),
    [aux_sym_function_statement_token1] = ACTIONS(2501),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2501),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2501),
    [aux_sym_contains_statement_token1] = ACTIONS(2501),
    [aux_sym_use_statement_token1] = ACTIONS(2501),
    [aux_sym_use_statement_token2] = ACTIONS(2501),
    [aux_sym_implicit_statement_token1] = ACTIONS(2501),
    [aux_sym_implicit_statement_token3] = ACTIONS(2501),
    [aux_sym_implicit_statement_token4] = ACTIONS(2501),
    [aux_sym_save_statement_token1] = ACTIONS(2501),
    [aux_sym_private_statement_token1] = ACTIONS(2501),
    [aux_sym_public_statement_token1] = ACTIONS(2501),
    [aux_sym_namelist_statement_token1] = ACTIONS(2501),
    [aux_sym_common_statement_token1] = ACTIONS(2501),
    [aux_sym_import_statement_token1] = ACTIONS(2501),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2501),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2501),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2501),
    [aux_sym_variable_attributes_token1] = ACTIONS(2501),
    [aux_sym_variable_attributes_token2] = ACTIONS(2501),
    [aux_sym_variable_attributes_token3] = ACTIONS(2501),
    [aux_sym_variable_attributes_token4] = ACTIONS(2501),
    [aux_sym_variable_attributes_token5] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2501),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2501),
    [aux_sym_derived_type_token1] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2501),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2501),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2501),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2501),
    [aux_sym_stop_statement_token1] = ACTIONS(2501),
    [aux_sym_stop_statement_token2] = ACTIONS(2501),
    [aux_sym_subroutine_call_token1] = ACTIONS(2501),
    [aux_sym_keyword_statement_token1] = ACTIONS(2501),
    [aux_sym_keyword_statement_token2] = ACTIONS(2501),
    [aux_sym_keyword_statement_token3] = ACTIONS(2501),
    [aux_sym_keyword_statement_token4] = ACTIONS(2501),
    [aux_sym_keyword_statement_token6] = ACTIONS(2501),
    [aux_sym_keyword_statement_token7] = ACTIONS(2501),
    [aux_sym_include_statement_token1] = ACTIONS(2501),
    [aux_sym_data_statement_token1] = ACTIONS(2501),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2501),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2501),
    [aux_sym_end_if_statement_token1] = ACTIONS(2501),
    [aux_sym_elseif_clause_token2] = ACTIONS(2501),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2501),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2501),
    [aux_sym_select_case_statement_token1] = ACTIONS(2501),
    [aux_sym_select_case_statement_token3] = ACTIONS(2501),
    [aux_sym_select_type_statement_token1] = ACTIONS(2501),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2501),
    [aux_sym_block_construct_token1] = ACTIONS(2501),
    [aux_sym_associate_statement_token1] = ACTIONS(2501),
    [aux_sym_format_statement_token1] = ACTIONS(2501),
    [aux_sym_print_statement_token1] = ACTIONS(2501),
    [aux_sym_open_statement_token1] = ACTIONS(2501),
    [aux_sym_close_statement_token1] = ACTIONS(2501),
    [aux_sym_inquire_statement_token1] = ACTIONS(2501),
    [aux_sym_enum_statement_token1] = ACTIONS(2501),
    [aux_sym_file_position_statement_token1] = ACTIONS(2501),
    [aux_sym_file_position_statement_token2] = ACTIONS(2501),
    [aux_sym_file_position_statement_token3] = ACTIONS(2501),
    [aux_sym_file_position_statement_token4] = ACTIONS(2501),
    [aux_sym_logical_expression_token5] = ACTIONS(2503),
    [anon_sym_DOT] = ACTIONS(2501),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [aux_sym_boolean_literal_token1] = ACTIONS(2503),
    [aux_sym_boolean_literal_token2] = ACTIONS(2503),
    [aux_sym_null_literal_token1] = ACTIONS(2501),
    [aux_sym_identifier_token1] = ACTIONS(2501),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2503),
    [sym__float_literal] = ACTIONS(2503),
    [sym__boz_literal] = ACTIONS(2503),
    [sym__string_literal] = ACTIONS(2503),
    [sym__string_literal_kind] = ACTIONS(2503),
  },
  [732] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token2] = ACTIONS(2497),
    [aux_sym_module_statement_token1] = ACTIONS(2497),
    [aux_sym_submodule_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_function_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2497),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [733] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token2] = ACTIONS(2421),
    [aux_sym_module_statement_token1] = ACTIONS(2421),
    [aux_sym_submodule_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_function_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2371),
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2367),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_module_statement_token1] = ACTIONS(2367),
    [aux_sym_submodule_statement_token1] = ACTIONS(2367),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_function_statement_token1] = ACTIONS(2367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [735] = {
    [sym__statements] = STATE(5337),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5337),
    [sym_assignment_statement] = STATE(5337),
    [sym_pointer_association_statement] = STATE(5337),
    [sym_subroutine_call] = STATE(5337),
    [sym_keyword_statement] = STATE(5337),
    [sym_include_statement] = STATE(5337),
    [sym_do_loop_statement] = STATE(5337),
    [sym_end_do_loop_statement] = STATE(5807),
    [sym_do_label_statement] = STATE(5337),
    [sym_end_do_label_statement] = STATE(5337),
    [sym_if_statement] = STATE(5337),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5337),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5337),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5337),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5337),
    [sym_select_type_statement] = STATE(5337),
    [sym_select_rank_statement] = STATE(5337),
    [sym_block_construct] = STATE(5337),
    [sym_associate_statement] = STATE(5337),
    [sym_format_statement] = STATE(5337),
    [sym_read_statement] = STATE(5337),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5337),
    [sym_open_statement] = STATE(5337),
    [sym_close_statement] = STATE(5337),
    [sym_write_statement] = STATE(5337),
    [sym_inquire_statement] = STATE(5337),
    [sym_file_position_statement] = STATE(5337),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2837),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2463),
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token2] = ACTIONS(2461),
    [aux_sym_module_statement_token1] = ACTIONS(2461),
    [aux_sym_submodule_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_function_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [737] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token2] = ACTIONS(2433),
    [aux_sym_module_statement_token1] = ACTIONS(2433),
    [aux_sym_submodule_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_function_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [738] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token2] = ACTIONS(2417),
    [aux_sym_module_statement_token1] = ACTIONS(2417),
    [aux_sym_submodule_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_function_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [aux_sym_preproc_include_token1] = ACTIONS(2629),
    [aux_sym_preproc_def_token1] = ACTIONS(2629),
    [aux_sym_preproc_if_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2629),
    [sym_preproc_directive] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2629),
    [aux_sym_end_program_statement_token1] = ACTIONS(2629),
    [aux_sym_end_program_statement_token2] = ACTIONS(2629),
    [aux_sym_module_statement_token1] = ACTIONS(2629),
    [aux_sym_submodule_statement_token1] = ACTIONS(2629),
    [aux_sym_interface_statement_token1] = ACTIONS(2629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2629),
    [aux_sym_function_statement_token1] = ACTIONS(2629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2629),
    [aux_sym_contains_statement_token1] = ACTIONS(2629),
    [aux_sym_use_statement_token1] = ACTIONS(2629),
    [aux_sym_use_statement_token2] = ACTIONS(2629),
    [aux_sym_implicit_statement_token1] = ACTIONS(2629),
    [aux_sym_implicit_statement_token3] = ACTIONS(2629),
    [aux_sym_implicit_statement_token4] = ACTIONS(2629),
    [aux_sym_save_statement_token1] = ACTIONS(2629),
    [aux_sym_private_statement_token1] = ACTIONS(2629),
    [aux_sym_public_statement_token1] = ACTIONS(2629),
    [aux_sym_namelist_statement_token1] = ACTIONS(2629),
    [aux_sym_common_statement_token1] = ACTIONS(2629),
    [aux_sym_import_statement_token1] = ACTIONS(2629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2629),
    [aux_sym_variable_attributes_token1] = ACTIONS(2629),
    [aux_sym_variable_attributes_token2] = ACTIONS(2629),
    [aux_sym_variable_attributes_token3] = ACTIONS(2629),
    [aux_sym_variable_attributes_token4] = ACTIONS(2629),
    [aux_sym_variable_attributes_token5] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2629),
    [aux_sym_derived_type_token1] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2629),
    [aux_sym_stop_statement_token1] = ACTIONS(2629),
    [aux_sym_stop_statement_token2] = ACTIONS(2629),
    [aux_sym_subroutine_call_token1] = ACTIONS(2629),
    [aux_sym_keyword_statement_token1] = ACTIONS(2629),
    [aux_sym_keyword_statement_token2] = ACTIONS(2629),
    [aux_sym_keyword_statement_token3] = ACTIONS(2629),
    [aux_sym_keyword_statement_token4] = ACTIONS(2629),
    [aux_sym_keyword_statement_token6] = ACTIONS(2629),
    [aux_sym_keyword_statement_token7] = ACTIONS(2629),
    [aux_sym_include_statement_token1] = ACTIONS(2629),
    [aux_sym_data_statement_token1] = ACTIONS(2629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2629),
    [aux_sym_end_if_statement_token1] = ACTIONS(2629),
    [aux_sym_elseif_clause_token2] = ACTIONS(2629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2629),
    [aux_sym_select_case_statement_token1] = ACTIONS(2629),
    [aux_sym_select_case_statement_token3] = ACTIONS(2629),
    [aux_sym_select_type_statement_token1] = ACTIONS(2629),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2629),
    [aux_sym_block_construct_token1] = ACTIONS(2629),
    [aux_sym_associate_statement_token1] = ACTIONS(2629),
    [aux_sym_format_statement_token1] = ACTIONS(2629),
    [aux_sym_print_statement_token1] = ACTIONS(2629),
    [aux_sym_open_statement_token1] = ACTIONS(2629),
    [aux_sym_close_statement_token1] = ACTIONS(2629),
    [aux_sym_inquire_statement_token1] = ACTIONS(2629),
    [aux_sym_enum_statement_token1] = ACTIONS(2629),
    [aux_sym_file_position_statement_token1] = ACTIONS(2629),
    [aux_sym_file_position_statement_token2] = ACTIONS(2629),
    [aux_sym_file_position_statement_token3] = ACTIONS(2629),
    [aux_sym_file_position_statement_token4] = ACTIONS(2629),
    [aux_sym_logical_expression_token5] = ACTIONS(2631),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [aux_sym_boolean_literal_token1] = ACTIONS(2631),
    [aux_sym_boolean_literal_token2] = ACTIONS(2631),
    [aux_sym_null_literal_token1] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2631),
    [sym__float_literal] = ACTIONS(2631),
    [sym__boz_literal] = ACTIONS(2631),
    [sym__string_literal] = ACTIONS(2631),
    [sym__string_literal_kind] = ACTIONS(2631),
  },
  [740] = {
    [sym__statements] = STATE(5187),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5187),
    [sym_assignment_statement] = STATE(5187),
    [sym_pointer_association_statement] = STATE(5187),
    [sym_subroutine_call] = STATE(5187),
    [sym_keyword_statement] = STATE(5187),
    [sym_include_statement] = STATE(5187),
    [sym_do_loop_statement] = STATE(5187),
    [sym_do_label_statement] = STATE(5187),
    [sym_end_do_label_statement] = STATE(5187),
    [sym_if_statement] = STATE(5187),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5187),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5187),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5187),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5187),
    [sym_select_type_statement] = STATE(5187),
    [sym_select_rank_statement] = STATE(5187),
    [sym_block_construct] = STATE(5187),
    [sym_associate_statement] = STATE(5187),
    [sym_format_statement] = STATE(5251),
    [sym_read_statement] = STATE(5187),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5187),
    [sym_open_statement] = STATE(5187),
    [sym_close_statement] = STATE(5187),
    [sym_write_statement] = STATE(5187),
    [sym_inquire_statement] = STATE(5187),
    [sym_file_position_statement] = STATE(5187),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [741] = {
    [sym__statements] = STATE(5174),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5174),
    [sym_assignment_statement] = STATE(5174),
    [sym_pointer_association_statement] = STATE(5174),
    [sym_subroutine_call] = STATE(5174),
    [sym_keyword_statement] = STATE(5174),
    [sym_include_statement] = STATE(5174),
    [sym_do_loop_statement] = STATE(5174),
    [sym_do_label_statement] = STATE(5174),
    [sym_end_do_label_statement] = STATE(5174),
    [sym_if_statement] = STATE(5174),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5174),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5174),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5174),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5174),
    [sym_select_type_statement] = STATE(5174),
    [sym_select_rank_statement] = STATE(5174),
    [sym_block_construct] = STATE(5174),
    [sym_associate_statement] = STATE(5174),
    [sym_format_statement] = STATE(5690),
    [sym_read_statement] = STATE(5174),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5174),
    [sym_open_statement] = STATE(5174),
    [sym_close_statement] = STATE(5174),
    [sym_write_statement] = STATE(5174),
    [sym_inquire_statement] = STATE(5174),
    [sym_file_position_statement] = STATE(5174),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2309),
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2305),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_module_statement_token1] = ACTIONS(2305),
    [aux_sym_submodule_statement_token1] = ACTIONS(2305),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_function_statement_token1] = ACTIONS(2305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2305),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [743] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2565),
    [aux_sym_preproc_def_token1] = ACTIONS(2565),
    [aux_sym_preproc_if_token1] = ACTIONS(2565),
    [aux_sym_preproc_if_token2] = ACTIONS(2565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2565),
    [sym_preproc_directive] = ACTIONS(2565),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2565),
    [aux_sym_end_program_statement_token1] = ACTIONS(2565),
    [aux_sym_end_program_statement_token2] = ACTIONS(2565),
    [aux_sym_module_statement_token1] = ACTIONS(2565),
    [aux_sym_submodule_statement_token1] = ACTIONS(2565),
    [aux_sym_interface_statement_token1] = ACTIONS(2565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2565),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2565),
    [aux_sym_function_statement_token1] = ACTIONS(2565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2565),
    [aux_sym_contains_statement_token1] = ACTIONS(2565),
    [aux_sym_use_statement_token1] = ACTIONS(2565),
    [aux_sym_use_statement_token2] = ACTIONS(2565),
    [aux_sym_implicit_statement_token1] = ACTIONS(2565),
    [aux_sym_implicit_statement_token3] = ACTIONS(2565),
    [aux_sym_implicit_statement_token4] = ACTIONS(2565),
    [aux_sym_save_statement_token1] = ACTIONS(2565),
    [aux_sym_private_statement_token1] = ACTIONS(2565),
    [aux_sym_public_statement_token1] = ACTIONS(2565),
    [aux_sym_namelist_statement_token1] = ACTIONS(2565),
    [aux_sym_common_statement_token1] = ACTIONS(2565),
    [aux_sym_import_statement_token1] = ACTIONS(2565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2565),
    [aux_sym_variable_attributes_token1] = ACTIONS(2565),
    [aux_sym_variable_attributes_token2] = ACTIONS(2565),
    [aux_sym_variable_attributes_token3] = ACTIONS(2565),
    [aux_sym_variable_attributes_token4] = ACTIONS(2565),
    [aux_sym_variable_attributes_token5] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2565),
    [aux_sym_derived_type_token1] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2565),
    [aux_sym_stop_statement_token1] = ACTIONS(2565),
    [aux_sym_stop_statement_token2] = ACTIONS(2565),
    [aux_sym_subroutine_call_token1] = ACTIONS(2565),
    [aux_sym_keyword_statement_token1] = ACTIONS(2565),
    [aux_sym_keyword_statement_token2] = ACTIONS(2565),
    [aux_sym_keyword_statement_token3] = ACTIONS(2565),
    [aux_sym_keyword_statement_token4] = ACTIONS(2565),
    [aux_sym_keyword_statement_token6] = ACTIONS(2565),
    [aux_sym_keyword_statement_token7] = ACTIONS(2565),
    [aux_sym_include_statement_token1] = ACTIONS(2565),
    [aux_sym_data_statement_token1] = ACTIONS(2565),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2565),
    [aux_sym_end_if_statement_token1] = ACTIONS(2565),
    [aux_sym_elseif_clause_token2] = ACTIONS(2565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2565),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2565),
    [aux_sym_select_case_statement_token1] = ACTIONS(2565),
    [aux_sym_select_case_statement_token3] = ACTIONS(2565),
    [aux_sym_select_type_statement_token1] = ACTIONS(2565),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2565),
    [aux_sym_block_construct_token1] = ACTIONS(2565),
    [aux_sym_associate_statement_token1] = ACTIONS(2565),
    [aux_sym_format_statement_token1] = ACTIONS(2565),
    [aux_sym_print_statement_token1] = ACTIONS(2565),
    [aux_sym_open_statement_token1] = ACTIONS(2565),
    [aux_sym_close_statement_token1] = ACTIONS(2565),
    [aux_sym_inquire_statement_token1] = ACTIONS(2565),
    [aux_sym_enum_statement_token1] = ACTIONS(2565),
    [aux_sym_file_position_statement_token1] = ACTIONS(2565),
    [aux_sym_file_position_statement_token2] = ACTIONS(2565),
    [aux_sym_file_position_statement_token3] = ACTIONS(2565),
    [aux_sym_file_position_statement_token4] = ACTIONS(2565),
    [aux_sym_logical_expression_token5] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [aux_sym_boolean_literal_token1] = ACTIONS(2567),
    [aux_sym_boolean_literal_token2] = ACTIONS(2567),
    [aux_sym_null_literal_token1] = ACTIONS(2565),
    [aux_sym_identifier_token1] = ACTIONS(2565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2567),
    [sym__float_literal] = ACTIONS(2567),
    [sym__boz_literal] = ACTIONS(2567),
    [sym__string_literal] = ACTIONS(2567),
    [sym__string_literal_kind] = ACTIONS(2567),
  },
  [744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2553),
    [aux_sym_preproc_def_token1] = ACTIONS(2553),
    [aux_sym_preproc_if_token1] = ACTIONS(2553),
    [aux_sym_preproc_if_token2] = ACTIONS(2553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2553),
    [sym_preproc_directive] = ACTIONS(2553),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2553),
    [aux_sym_end_program_statement_token1] = ACTIONS(2553),
    [aux_sym_end_program_statement_token2] = ACTIONS(2553),
    [aux_sym_module_statement_token1] = ACTIONS(2553),
    [aux_sym_submodule_statement_token1] = ACTIONS(2553),
    [aux_sym_interface_statement_token1] = ACTIONS(2553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2553),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2553),
    [aux_sym_function_statement_token1] = ACTIONS(2553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2553),
    [aux_sym_contains_statement_token1] = ACTIONS(2553),
    [aux_sym_use_statement_token1] = ACTIONS(2553),
    [aux_sym_use_statement_token2] = ACTIONS(2553),
    [aux_sym_implicit_statement_token1] = ACTIONS(2553),
    [aux_sym_implicit_statement_token3] = ACTIONS(2553),
    [aux_sym_implicit_statement_token4] = ACTIONS(2553),
    [aux_sym_save_statement_token1] = ACTIONS(2553),
    [aux_sym_private_statement_token1] = ACTIONS(2553),
    [aux_sym_public_statement_token1] = ACTIONS(2553),
    [aux_sym_namelist_statement_token1] = ACTIONS(2553),
    [aux_sym_common_statement_token1] = ACTIONS(2553),
    [aux_sym_import_statement_token1] = ACTIONS(2553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2553),
    [aux_sym_variable_attributes_token1] = ACTIONS(2553),
    [aux_sym_variable_attributes_token2] = ACTIONS(2553),
    [aux_sym_variable_attributes_token3] = ACTIONS(2553),
    [aux_sym_variable_attributes_token4] = ACTIONS(2553),
    [aux_sym_variable_attributes_token5] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2553),
    [aux_sym_derived_type_token1] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2553),
    [aux_sym_stop_statement_token1] = ACTIONS(2553),
    [aux_sym_stop_statement_token2] = ACTIONS(2553),
    [aux_sym_subroutine_call_token1] = ACTIONS(2553),
    [aux_sym_keyword_statement_token1] = ACTIONS(2553),
    [aux_sym_keyword_statement_token2] = ACTIONS(2553),
    [aux_sym_keyword_statement_token3] = ACTIONS(2553),
    [aux_sym_keyword_statement_token4] = ACTIONS(2553),
    [aux_sym_keyword_statement_token6] = ACTIONS(2553),
    [aux_sym_keyword_statement_token7] = ACTIONS(2553),
    [aux_sym_include_statement_token1] = ACTIONS(2553),
    [aux_sym_data_statement_token1] = ACTIONS(2553),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2553),
    [aux_sym_end_if_statement_token1] = ACTIONS(2553),
    [aux_sym_elseif_clause_token2] = ACTIONS(2553),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2553),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2553),
    [aux_sym_select_case_statement_token1] = ACTIONS(2553),
    [aux_sym_select_case_statement_token3] = ACTIONS(2553),
    [aux_sym_select_type_statement_token1] = ACTIONS(2553),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2553),
    [aux_sym_block_construct_token1] = ACTIONS(2553),
    [aux_sym_associate_statement_token1] = ACTIONS(2553),
    [aux_sym_format_statement_token1] = ACTIONS(2553),
    [aux_sym_print_statement_token1] = ACTIONS(2553),
    [aux_sym_open_statement_token1] = ACTIONS(2553),
    [aux_sym_close_statement_token1] = ACTIONS(2553),
    [aux_sym_inquire_statement_token1] = ACTIONS(2553),
    [aux_sym_enum_statement_token1] = ACTIONS(2553),
    [aux_sym_file_position_statement_token1] = ACTIONS(2553),
    [aux_sym_file_position_statement_token2] = ACTIONS(2553),
    [aux_sym_file_position_statement_token3] = ACTIONS(2553),
    [aux_sym_file_position_statement_token4] = ACTIONS(2553),
    [aux_sym_logical_expression_token5] = ACTIONS(2555),
    [anon_sym_DOT] = ACTIONS(2553),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [aux_sym_boolean_literal_token1] = ACTIONS(2555),
    [aux_sym_boolean_literal_token2] = ACTIONS(2555),
    [aux_sym_null_literal_token1] = ACTIONS(2553),
    [aux_sym_identifier_token1] = ACTIONS(2553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2555),
    [sym__float_literal] = ACTIONS(2555),
    [sym__boz_literal] = ACTIONS(2555),
    [sym__string_literal] = ACTIONS(2555),
    [sym__string_literal_kind] = ACTIONS(2555),
  },
  [745] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2409),
    [aux_sym_preproc_def_token1] = ACTIONS(2409),
    [aux_sym_preproc_if_token1] = ACTIONS(2409),
    [aux_sym_preproc_if_token2] = ACTIONS(2409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2409),
    [sym_preproc_directive] = ACTIONS(2409),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2409),
    [aux_sym_end_program_statement_token1] = ACTIONS(2409),
    [aux_sym_end_program_statement_token2] = ACTIONS(2409),
    [aux_sym_module_statement_token1] = ACTIONS(2409),
    [aux_sym_submodule_statement_token1] = ACTIONS(2409),
    [aux_sym_interface_statement_token1] = ACTIONS(2409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2409),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2409),
    [aux_sym_function_statement_token1] = ACTIONS(2409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2409),
    [aux_sym_contains_statement_token1] = ACTIONS(2409),
    [aux_sym_use_statement_token1] = ACTIONS(2409),
    [aux_sym_use_statement_token2] = ACTIONS(2409),
    [aux_sym_implicit_statement_token1] = ACTIONS(2409),
    [aux_sym_implicit_statement_token3] = ACTIONS(2409),
    [aux_sym_implicit_statement_token4] = ACTIONS(2409),
    [aux_sym_save_statement_token1] = ACTIONS(2409),
    [aux_sym_private_statement_token1] = ACTIONS(2409),
    [aux_sym_public_statement_token1] = ACTIONS(2409),
    [aux_sym_namelist_statement_token1] = ACTIONS(2409),
    [aux_sym_common_statement_token1] = ACTIONS(2409),
    [aux_sym_import_statement_token1] = ACTIONS(2409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2409),
    [aux_sym_variable_attributes_token1] = ACTIONS(2409),
    [aux_sym_variable_attributes_token2] = ACTIONS(2409),
    [aux_sym_variable_attributes_token3] = ACTIONS(2409),
    [aux_sym_variable_attributes_token4] = ACTIONS(2409),
    [aux_sym_variable_attributes_token5] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2409),
    [aux_sym_derived_type_token1] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2409),
    [aux_sym_stop_statement_token1] = ACTIONS(2409),
    [aux_sym_stop_statement_token2] = ACTIONS(2409),
    [aux_sym_subroutine_call_token1] = ACTIONS(2409),
    [aux_sym_keyword_statement_token1] = ACTIONS(2409),
    [aux_sym_keyword_statement_token2] = ACTIONS(2409),
    [aux_sym_keyword_statement_token3] = ACTIONS(2409),
    [aux_sym_keyword_statement_token4] = ACTIONS(2409),
    [aux_sym_keyword_statement_token6] = ACTIONS(2409),
    [aux_sym_keyword_statement_token7] = ACTIONS(2409),
    [aux_sym_include_statement_token1] = ACTIONS(2409),
    [aux_sym_data_statement_token1] = ACTIONS(2409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2409),
    [aux_sym_end_if_statement_token1] = ACTIONS(2409),
    [aux_sym_elseif_clause_token2] = ACTIONS(2409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2409),
    [aux_sym_select_case_statement_token1] = ACTIONS(2409),
    [aux_sym_select_case_statement_token3] = ACTIONS(2409),
    [aux_sym_select_type_statement_token1] = ACTIONS(2409),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2409),
    [aux_sym_block_construct_token1] = ACTIONS(2409),
    [aux_sym_associate_statement_token1] = ACTIONS(2409),
    [aux_sym_format_statement_token1] = ACTIONS(2409),
    [aux_sym_print_statement_token1] = ACTIONS(2409),
    [aux_sym_open_statement_token1] = ACTIONS(2409),
    [aux_sym_close_statement_token1] = ACTIONS(2409),
    [aux_sym_inquire_statement_token1] = ACTIONS(2409),
    [aux_sym_enum_statement_token1] = ACTIONS(2409),
    [aux_sym_file_position_statement_token1] = ACTIONS(2409),
    [aux_sym_file_position_statement_token2] = ACTIONS(2409),
    [aux_sym_file_position_statement_token3] = ACTIONS(2409),
    [aux_sym_file_position_statement_token4] = ACTIONS(2409),
    [aux_sym_logical_expression_token5] = ACTIONS(2411),
    [anon_sym_DOT] = ACTIONS(2409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [aux_sym_boolean_literal_token1] = ACTIONS(2411),
    [aux_sym_boolean_literal_token2] = ACTIONS(2411),
    [aux_sym_null_literal_token1] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2411),
    [sym__float_literal] = ACTIONS(2411),
    [sym__boz_literal] = ACTIONS(2411),
    [sym__string_literal] = ACTIONS(2411),
    [sym__string_literal_kind] = ACTIONS(2411),
  },
  [746] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2541),
    [aux_sym_preproc_def_token1] = ACTIONS(2541),
    [aux_sym_preproc_if_token1] = ACTIONS(2541),
    [aux_sym_preproc_if_token2] = ACTIONS(2541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2541),
    [sym_preproc_directive] = ACTIONS(2541),
    [anon_sym_LPAREN2] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2541),
    [aux_sym_end_program_statement_token1] = ACTIONS(2541),
    [aux_sym_end_program_statement_token2] = ACTIONS(2541),
    [aux_sym_module_statement_token1] = ACTIONS(2541),
    [aux_sym_submodule_statement_token1] = ACTIONS(2541),
    [aux_sym_interface_statement_token1] = ACTIONS(2541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2541),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2541),
    [aux_sym_function_statement_token1] = ACTIONS(2541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2541),
    [aux_sym_contains_statement_token1] = ACTIONS(2541),
    [aux_sym_use_statement_token1] = ACTIONS(2541),
    [aux_sym_use_statement_token2] = ACTIONS(2541),
    [aux_sym_implicit_statement_token1] = ACTIONS(2541),
    [aux_sym_implicit_statement_token3] = ACTIONS(2541),
    [aux_sym_implicit_statement_token4] = ACTIONS(2541),
    [aux_sym_save_statement_token1] = ACTIONS(2541),
    [aux_sym_private_statement_token1] = ACTIONS(2541),
    [aux_sym_public_statement_token1] = ACTIONS(2541),
    [aux_sym_namelist_statement_token1] = ACTIONS(2541),
    [aux_sym_common_statement_token1] = ACTIONS(2541),
    [aux_sym_import_statement_token1] = ACTIONS(2541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2541),
    [aux_sym_variable_attributes_token1] = ACTIONS(2541),
    [aux_sym_variable_attributes_token2] = ACTIONS(2541),
    [aux_sym_variable_attributes_token3] = ACTIONS(2541),
    [aux_sym_variable_attributes_token4] = ACTIONS(2541),
    [aux_sym_variable_attributes_token5] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2541),
    [aux_sym_derived_type_token1] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2541),
    [aux_sym_stop_statement_token1] = ACTIONS(2541),
    [aux_sym_stop_statement_token2] = ACTIONS(2541),
    [aux_sym_subroutine_call_token1] = ACTIONS(2541),
    [aux_sym_keyword_statement_token1] = ACTIONS(2541),
    [aux_sym_keyword_statement_token2] = ACTIONS(2541),
    [aux_sym_keyword_statement_token3] = ACTIONS(2541),
    [aux_sym_keyword_statement_token4] = ACTIONS(2541),
    [aux_sym_keyword_statement_token6] = ACTIONS(2541),
    [aux_sym_keyword_statement_token7] = ACTIONS(2541),
    [aux_sym_include_statement_token1] = ACTIONS(2541),
    [aux_sym_data_statement_token1] = ACTIONS(2541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2541),
    [aux_sym_end_if_statement_token1] = ACTIONS(2541),
    [aux_sym_elseif_clause_token2] = ACTIONS(2541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2541),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2541),
    [aux_sym_select_case_statement_token1] = ACTIONS(2541),
    [aux_sym_select_case_statement_token3] = ACTIONS(2541),
    [aux_sym_select_type_statement_token1] = ACTIONS(2541),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2541),
    [aux_sym_block_construct_token1] = ACTIONS(2541),
    [aux_sym_associate_statement_token1] = ACTIONS(2541),
    [aux_sym_format_statement_token1] = ACTIONS(2541),
    [aux_sym_print_statement_token1] = ACTIONS(2541),
    [aux_sym_open_statement_token1] = ACTIONS(2541),
    [aux_sym_close_statement_token1] = ACTIONS(2541),
    [aux_sym_inquire_statement_token1] = ACTIONS(2541),
    [aux_sym_enum_statement_token1] = ACTIONS(2541),
    [aux_sym_file_position_statement_token1] = ACTIONS(2541),
    [aux_sym_file_position_statement_token2] = ACTIONS(2541),
    [aux_sym_file_position_statement_token3] = ACTIONS(2541),
    [aux_sym_file_position_statement_token4] = ACTIONS(2541),
    [aux_sym_logical_expression_token5] = ACTIONS(2543),
    [anon_sym_DOT] = ACTIONS(2541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [aux_sym_boolean_literal_token1] = ACTIONS(2543),
    [aux_sym_boolean_literal_token2] = ACTIONS(2543),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_identifier_token1] = ACTIONS(2541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2543),
    [sym__float_literal] = ACTIONS(2543),
    [sym__boz_literal] = ACTIONS(2543),
    [sym__string_literal] = ACTIONS(2543),
    [sym__string_literal_kind] = ACTIONS(2543),
  },
  [747] = {
    [sym__statements] = STATE(5146),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5146),
    [sym_assignment_statement] = STATE(5146),
    [sym_pointer_association_statement] = STATE(5146),
    [sym_subroutine_call] = STATE(5146),
    [sym_keyword_statement] = STATE(5146),
    [sym_include_statement] = STATE(5146),
    [sym_do_loop_statement] = STATE(5146),
    [sym_do_label_statement] = STATE(5146),
    [sym_end_do_label_statement] = STATE(5146),
    [sym_if_statement] = STATE(5146),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5146),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5146),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5146),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5146),
    [sym_select_type_statement] = STATE(5146),
    [sym_select_rank_statement] = STATE(5146),
    [sym_block_construct] = STATE(5146),
    [sym_associate_statement] = STATE(5146),
    [sym_format_statement] = STATE(5147),
    [sym_read_statement] = STATE(5146),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5146),
    [sym_open_statement] = STATE(5146),
    [sym_close_statement] = STATE(5146),
    [sym_write_statement] = STATE(5146),
    [sym_inquire_statement] = STATE(5146),
    [sym_file_position_statement] = STATE(5146),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2415),
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2413),
    [aux_sym_end_program_statement_token1] = ACTIONS(2413),
    [aux_sym_end_program_statement_token2] = ACTIONS(2413),
    [aux_sym_module_statement_token1] = ACTIONS(2413),
    [aux_sym_submodule_statement_token1] = ACTIONS(2413),
    [aux_sym_interface_statement_token1] = ACTIONS(2413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2413),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2413),
    [aux_sym_function_statement_token1] = ACTIONS(2413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2413),
    [aux_sym_contains_statement_token1] = ACTIONS(2413),
    [aux_sym_use_statement_token1] = ACTIONS(2413),
    [aux_sym_use_statement_token2] = ACTIONS(2413),
    [aux_sym_implicit_statement_token1] = ACTIONS(2413),
    [aux_sym_implicit_statement_token3] = ACTIONS(2413),
    [aux_sym_implicit_statement_token4] = ACTIONS(2413),
    [aux_sym_save_statement_token1] = ACTIONS(2413),
    [aux_sym_private_statement_token1] = ACTIONS(2413),
    [aux_sym_public_statement_token1] = ACTIONS(2413),
    [aux_sym_namelist_statement_token1] = ACTIONS(2413),
    [aux_sym_common_statement_token1] = ACTIONS(2413),
    [aux_sym_import_statement_token1] = ACTIONS(2413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2413),
    [aux_sym_variable_attributes_token1] = ACTIONS(2413),
    [aux_sym_variable_attributes_token2] = ACTIONS(2413),
    [aux_sym_variable_attributes_token3] = ACTIONS(2413),
    [aux_sym_variable_attributes_token4] = ACTIONS(2413),
    [aux_sym_variable_attributes_token5] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2413),
    [aux_sym_derived_type_token1] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2413),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2413),
    [aux_sym_stop_statement_token1] = ACTIONS(2413),
    [aux_sym_stop_statement_token2] = ACTIONS(2413),
    [aux_sym_subroutine_call_token1] = ACTIONS(2413),
    [aux_sym_keyword_statement_token1] = ACTIONS(2413),
    [aux_sym_keyword_statement_token2] = ACTIONS(2413),
    [aux_sym_keyword_statement_token3] = ACTIONS(2413),
    [aux_sym_keyword_statement_token4] = ACTIONS(2413),
    [aux_sym_keyword_statement_token6] = ACTIONS(2413),
    [aux_sym_keyword_statement_token7] = ACTIONS(2413),
    [aux_sym_include_statement_token1] = ACTIONS(2413),
    [aux_sym_data_statement_token1] = ACTIONS(2413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2413),
    [aux_sym_end_if_statement_token1] = ACTIONS(2413),
    [aux_sym_elseif_clause_token2] = ACTIONS(2413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2413),
    [aux_sym_select_case_statement_token1] = ACTIONS(2413),
    [aux_sym_select_case_statement_token3] = ACTIONS(2413),
    [aux_sym_select_type_statement_token1] = ACTIONS(2413),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2413),
    [aux_sym_block_construct_token1] = ACTIONS(2413),
    [aux_sym_associate_statement_token1] = ACTIONS(2413),
    [aux_sym_format_statement_token1] = ACTIONS(2413),
    [aux_sym_print_statement_token1] = ACTIONS(2413),
    [aux_sym_open_statement_token1] = ACTIONS(2413),
    [aux_sym_close_statement_token1] = ACTIONS(2413),
    [aux_sym_inquire_statement_token1] = ACTIONS(2413),
    [aux_sym_enum_statement_token1] = ACTIONS(2413),
    [aux_sym_file_position_statement_token1] = ACTIONS(2413),
    [aux_sym_file_position_statement_token2] = ACTIONS(2413),
    [aux_sym_file_position_statement_token3] = ACTIONS(2413),
    [aux_sym_file_position_statement_token4] = ACTIONS(2413),
    [aux_sym_logical_expression_token5] = ACTIONS(2415),
    [anon_sym_DOT] = ACTIONS(2413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [aux_sym_boolean_literal_token1] = ACTIONS(2415),
    [aux_sym_boolean_literal_token2] = ACTIONS(2415),
    [aux_sym_null_literal_token1] = ACTIONS(2413),
    [aux_sym_identifier_token1] = ACTIONS(2413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2415),
    [sym__float_literal] = ACTIONS(2415),
    [sym__boz_literal] = ACTIONS(2415),
    [sym__string_literal] = ACTIONS(2415),
    [sym__string_literal_kind] = ACTIONS(2415),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2419),
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token2] = ACTIONS(2417),
    [aux_sym_module_statement_token1] = ACTIONS(2417),
    [aux_sym_submodule_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_function_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2417),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [750] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2493),
    [aux_sym_preproc_def_token1] = ACTIONS(2493),
    [aux_sym_preproc_if_token1] = ACTIONS(2493),
    [aux_sym_preproc_if_token2] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2493),
    [sym_preproc_directive] = ACTIONS(2493),
    [anon_sym_LPAREN2] = ACTIONS(2493),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2493),
    [aux_sym_end_program_statement_token1] = ACTIONS(2493),
    [aux_sym_end_program_statement_token2] = ACTIONS(2493),
    [aux_sym_module_statement_token1] = ACTIONS(2493),
    [aux_sym_submodule_statement_token1] = ACTIONS(2493),
    [aux_sym_interface_statement_token1] = ACTIONS(2493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2493),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2493),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2493),
    [aux_sym_function_statement_token1] = ACTIONS(2493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2493),
    [aux_sym_contains_statement_token1] = ACTIONS(2493),
    [aux_sym_use_statement_token1] = ACTIONS(2493),
    [aux_sym_use_statement_token2] = ACTIONS(2493),
    [aux_sym_implicit_statement_token1] = ACTIONS(2493),
    [aux_sym_implicit_statement_token3] = ACTIONS(2493),
    [aux_sym_implicit_statement_token4] = ACTIONS(2493),
    [aux_sym_save_statement_token1] = ACTIONS(2493),
    [aux_sym_private_statement_token1] = ACTIONS(2493),
    [aux_sym_public_statement_token1] = ACTIONS(2493),
    [aux_sym_namelist_statement_token1] = ACTIONS(2493),
    [aux_sym_common_statement_token1] = ACTIONS(2493),
    [aux_sym_import_statement_token1] = ACTIONS(2493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2493),
    [aux_sym_variable_attributes_token1] = ACTIONS(2493),
    [aux_sym_variable_attributes_token2] = ACTIONS(2493),
    [aux_sym_variable_attributes_token3] = ACTIONS(2493),
    [aux_sym_variable_attributes_token4] = ACTIONS(2493),
    [aux_sym_variable_attributes_token5] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2493),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2493),
    [aux_sym_derived_type_token1] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2493),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2493),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2493),
    [aux_sym_stop_statement_token1] = ACTIONS(2493),
    [aux_sym_stop_statement_token2] = ACTIONS(2493),
    [aux_sym_subroutine_call_token1] = ACTIONS(2493),
    [aux_sym_keyword_statement_token1] = ACTIONS(2493),
    [aux_sym_keyword_statement_token2] = ACTIONS(2493),
    [aux_sym_keyword_statement_token3] = ACTIONS(2493),
    [aux_sym_keyword_statement_token4] = ACTIONS(2493),
    [aux_sym_keyword_statement_token6] = ACTIONS(2493),
    [aux_sym_keyword_statement_token7] = ACTIONS(2493),
    [aux_sym_include_statement_token1] = ACTIONS(2493),
    [aux_sym_data_statement_token1] = ACTIONS(2493),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2493),
    [aux_sym_end_if_statement_token1] = ACTIONS(2493),
    [aux_sym_elseif_clause_token2] = ACTIONS(2493),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2493),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2493),
    [aux_sym_select_case_statement_token1] = ACTIONS(2493),
    [aux_sym_select_case_statement_token3] = ACTIONS(2493),
    [aux_sym_select_type_statement_token1] = ACTIONS(2493),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2493),
    [aux_sym_block_construct_token1] = ACTIONS(2493),
    [aux_sym_associate_statement_token1] = ACTIONS(2493),
    [aux_sym_format_statement_token1] = ACTIONS(2493),
    [aux_sym_print_statement_token1] = ACTIONS(2493),
    [aux_sym_open_statement_token1] = ACTIONS(2493),
    [aux_sym_close_statement_token1] = ACTIONS(2493),
    [aux_sym_inquire_statement_token1] = ACTIONS(2493),
    [aux_sym_enum_statement_token1] = ACTIONS(2493),
    [aux_sym_file_position_statement_token1] = ACTIONS(2493),
    [aux_sym_file_position_statement_token2] = ACTIONS(2493),
    [aux_sym_file_position_statement_token3] = ACTIONS(2493),
    [aux_sym_file_position_statement_token4] = ACTIONS(2493),
    [aux_sym_logical_expression_token5] = ACTIONS(2495),
    [anon_sym_DOT] = ACTIONS(2493),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2495),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [aux_sym_boolean_literal_token1] = ACTIONS(2495),
    [aux_sym_boolean_literal_token2] = ACTIONS(2495),
    [aux_sym_null_literal_token1] = ACTIONS(2493),
    [aux_sym_identifier_token1] = ACTIONS(2493),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2495),
    [sym__float_literal] = ACTIONS(2495),
    [sym__boz_literal] = ACTIONS(2495),
    [sym__string_literal] = ACTIONS(2495),
    [sym__string_literal_kind] = ACTIONS(2495),
  },
  [751] = {
    [sym__statements] = STATE(6145),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(6145),
    [sym_assignment_statement] = STATE(6145),
    [sym_pointer_association_statement] = STATE(6145),
    [sym_subroutine_call] = STATE(6145),
    [sym_keyword_statement] = STATE(6145),
    [sym_include_statement] = STATE(6145),
    [sym_do_loop_statement] = STATE(6145),
    [sym_do_label_statement] = STATE(6145),
    [sym_end_do_label_statement] = STATE(6145),
    [sym_if_statement] = STATE(6145),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(6145),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(6145),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(6145),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(6145),
    [sym_select_type_statement] = STATE(6145),
    [sym_select_rank_statement] = STATE(6145),
    [sym_block_construct] = STATE(6145),
    [sym_associate_statement] = STATE(6145),
    [sym_format_statement] = STATE(5338),
    [sym_read_statement] = STATE(6145),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(6145),
    [sym_open_statement] = STATE(6145),
    [sym_close_statement] = STATE(6145),
    [sym_write_statement] = STATE(6145),
    [sym_inquire_statement] = STATE(6145),
    [sym_file_position_statement] = STATE(6145),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2465),
    [aux_sym_preproc_def_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token1] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2465),
    [sym_preproc_directive] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2465),
    [aux_sym_end_program_statement_token1] = ACTIONS(2465),
    [aux_sym_end_program_statement_token2] = ACTIONS(2465),
    [aux_sym_module_statement_token1] = ACTIONS(2465),
    [aux_sym_submodule_statement_token1] = ACTIONS(2465),
    [aux_sym_interface_statement_token1] = ACTIONS(2465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2465),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2465),
    [aux_sym_function_statement_token1] = ACTIONS(2465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2465),
    [aux_sym_contains_statement_token1] = ACTIONS(2465),
    [aux_sym_use_statement_token1] = ACTIONS(2465),
    [aux_sym_use_statement_token2] = ACTIONS(2465),
    [aux_sym_implicit_statement_token1] = ACTIONS(2465),
    [aux_sym_implicit_statement_token3] = ACTIONS(2465),
    [aux_sym_implicit_statement_token4] = ACTIONS(2465),
    [aux_sym_save_statement_token1] = ACTIONS(2465),
    [aux_sym_private_statement_token1] = ACTIONS(2465),
    [aux_sym_public_statement_token1] = ACTIONS(2465),
    [aux_sym_namelist_statement_token1] = ACTIONS(2465),
    [aux_sym_common_statement_token1] = ACTIONS(2465),
    [aux_sym_import_statement_token1] = ACTIONS(2465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2465),
    [aux_sym_variable_attributes_token1] = ACTIONS(2465),
    [aux_sym_variable_attributes_token2] = ACTIONS(2465),
    [aux_sym_variable_attributes_token3] = ACTIONS(2465),
    [aux_sym_variable_attributes_token4] = ACTIONS(2465),
    [aux_sym_variable_attributes_token5] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2465),
    [aux_sym_derived_type_token1] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2465),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2465),
    [aux_sym_stop_statement_token1] = ACTIONS(2465),
    [aux_sym_stop_statement_token2] = ACTIONS(2465),
    [aux_sym_subroutine_call_token1] = ACTIONS(2465),
    [aux_sym_keyword_statement_token1] = ACTIONS(2465),
    [aux_sym_keyword_statement_token2] = ACTIONS(2465),
    [aux_sym_keyword_statement_token3] = ACTIONS(2465),
    [aux_sym_keyword_statement_token4] = ACTIONS(2465),
    [aux_sym_keyword_statement_token6] = ACTIONS(2465),
    [aux_sym_keyword_statement_token7] = ACTIONS(2465),
    [aux_sym_include_statement_token1] = ACTIONS(2465),
    [aux_sym_data_statement_token1] = ACTIONS(2465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2465),
    [aux_sym_end_if_statement_token1] = ACTIONS(2465),
    [aux_sym_elseif_clause_token2] = ACTIONS(2465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2465),
    [aux_sym_select_case_statement_token1] = ACTIONS(2465),
    [aux_sym_select_case_statement_token3] = ACTIONS(2465),
    [aux_sym_select_type_statement_token1] = ACTIONS(2465),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2465),
    [aux_sym_block_construct_token1] = ACTIONS(2465),
    [aux_sym_associate_statement_token1] = ACTIONS(2465),
    [aux_sym_format_statement_token1] = ACTIONS(2465),
    [aux_sym_print_statement_token1] = ACTIONS(2465),
    [aux_sym_open_statement_token1] = ACTIONS(2465),
    [aux_sym_close_statement_token1] = ACTIONS(2465),
    [aux_sym_inquire_statement_token1] = ACTIONS(2465),
    [aux_sym_enum_statement_token1] = ACTIONS(2465),
    [aux_sym_file_position_statement_token1] = ACTIONS(2465),
    [aux_sym_file_position_statement_token2] = ACTIONS(2465),
    [aux_sym_file_position_statement_token3] = ACTIONS(2465),
    [aux_sym_file_position_statement_token4] = ACTIONS(2465),
    [aux_sym_logical_expression_token5] = ACTIONS(2467),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [aux_sym_boolean_literal_token1] = ACTIONS(2467),
    [aux_sym_boolean_literal_token2] = ACTIONS(2467),
    [aux_sym_null_literal_token1] = ACTIONS(2465),
    [aux_sym_identifier_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2467),
    [sym__float_literal] = ACTIONS(2467),
    [sym__boz_literal] = ACTIONS(2467),
    [sym__string_literal] = ACTIONS(2467),
    [sym__string_literal_kind] = ACTIONS(2467),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2423),
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token2] = ACTIONS(2421),
    [aux_sym_module_statement_token1] = ACTIONS(2421),
    [aux_sym_submodule_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_function_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2421),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [754] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token2] = ACTIONS(2461),
    [aux_sym_module_statement_token1] = ACTIONS(2461),
    [aux_sym_submodule_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_function_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2461),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [755] = {
    [sym__statements] = STATE(5337),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5337),
    [sym_assignment_statement] = STATE(5337),
    [sym_pointer_association_statement] = STATE(5337),
    [sym_subroutine_call] = STATE(5337),
    [sym_keyword_statement] = STATE(5337),
    [sym_include_statement] = STATE(5337),
    [sym_do_loop_statement] = STATE(5337),
    [sym_end_do_loop_statement] = STATE(6134),
    [sym_do_label_statement] = STATE(5337),
    [sym_end_do_label_statement] = STATE(5337),
    [sym_if_statement] = STATE(5337),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5337),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5337),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5337),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5337),
    [sym_select_type_statement] = STATE(5337),
    [sym_select_rank_statement] = STATE(5337),
    [sym_block_construct] = STATE(5337),
    [sym_associate_statement] = STATE(5337),
    [sym_format_statement] = STATE(5337),
    [sym_read_statement] = STATE(5337),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5337),
    [sym_open_statement] = STATE(5337),
    [sym_close_statement] = STATE(5337),
    [sym_write_statement] = STATE(5337),
    [sym_inquire_statement] = STATE(5337),
    [sym_file_position_statement] = STATE(5337),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2837),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [756] = {
    [sym__statements] = STATE(5261),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5261),
    [sym_assignment_statement] = STATE(5261),
    [sym_pointer_association_statement] = STATE(5261),
    [sym_subroutine_call] = STATE(5261),
    [sym_keyword_statement] = STATE(5261),
    [sym_include_statement] = STATE(5261),
    [sym_do_loop_statement] = STATE(5261),
    [sym_do_label_statement] = STATE(5261),
    [sym_end_do_label_statement] = STATE(5261),
    [sym_if_statement] = STATE(5261),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5261),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5261),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5261),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5261),
    [sym_select_type_statement] = STATE(5261),
    [sym_select_rank_statement] = STATE(5261),
    [sym_block_construct] = STATE(5261),
    [sym_associate_statement] = STATE(5261),
    [sym_format_statement] = STATE(5150),
    [sym_read_statement] = STATE(5261),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5261),
    [sym_open_statement] = STATE(5261),
    [sym_close_statement] = STATE(5261),
    [sym_write_statement] = STATE(5261),
    [sym_inquire_statement] = STATE(5261),
    [sym_file_position_statement] = STATE(5261),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2505),
    [aux_sym_end_program_statement_token1] = ACTIONS(2505),
    [aux_sym_end_program_statement_token2] = ACTIONS(2505),
    [aux_sym_module_statement_token1] = ACTIONS(2505),
    [aux_sym_submodule_statement_token1] = ACTIONS(2505),
    [aux_sym_interface_statement_token1] = ACTIONS(2505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2505),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2505),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2505),
    [aux_sym_function_statement_token1] = ACTIONS(2505),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2505),
    [aux_sym_contains_statement_token1] = ACTIONS(2505),
    [aux_sym_use_statement_token1] = ACTIONS(2505),
    [aux_sym_use_statement_token2] = ACTIONS(2505),
    [aux_sym_implicit_statement_token1] = ACTIONS(2505),
    [aux_sym_implicit_statement_token3] = ACTIONS(2505),
    [aux_sym_implicit_statement_token4] = ACTIONS(2505),
    [aux_sym_save_statement_token1] = ACTIONS(2505),
    [aux_sym_private_statement_token1] = ACTIONS(2505),
    [aux_sym_public_statement_token1] = ACTIONS(2505),
    [aux_sym_namelist_statement_token1] = ACTIONS(2505),
    [aux_sym_common_statement_token1] = ACTIONS(2505),
    [aux_sym_import_statement_token1] = ACTIONS(2505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2505),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2505),
    [aux_sym_variable_attributes_token1] = ACTIONS(2505),
    [aux_sym_variable_attributes_token2] = ACTIONS(2505),
    [aux_sym_variable_attributes_token3] = ACTIONS(2505),
    [aux_sym_variable_attributes_token4] = ACTIONS(2505),
    [aux_sym_variable_attributes_token5] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2505),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2505),
    [aux_sym_derived_type_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2505),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2505),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2505),
    [aux_sym_stop_statement_token1] = ACTIONS(2505),
    [aux_sym_stop_statement_token2] = ACTIONS(2505),
    [aux_sym_subroutine_call_token1] = ACTIONS(2505),
    [aux_sym_keyword_statement_token1] = ACTIONS(2505),
    [aux_sym_keyword_statement_token2] = ACTIONS(2505),
    [aux_sym_keyword_statement_token3] = ACTIONS(2505),
    [aux_sym_keyword_statement_token4] = ACTIONS(2505),
    [aux_sym_keyword_statement_token6] = ACTIONS(2505),
    [aux_sym_keyword_statement_token7] = ACTIONS(2505),
    [aux_sym_include_statement_token1] = ACTIONS(2505),
    [aux_sym_data_statement_token1] = ACTIONS(2505),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2505),
    [aux_sym_end_if_statement_token1] = ACTIONS(2505),
    [aux_sym_elseif_clause_token2] = ACTIONS(2505),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2505),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2505),
    [aux_sym_select_case_statement_token1] = ACTIONS(2505),
    [aux_sym_select_case_statement_token3] = ACTIONS(2505),
    [aux_sym_select_type_statement_token1] = ACTIONS(2505),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2505),
    [aux_sym_block_construct_token1] = ACTIONS(2505),
    [aux_sym_associate_statement_token1] = ACTIONS(2505),
    [aux_sym_format_statement_token1] = ACTIONS(2505),
    [aux_sym_print_statement_token1] = ACTIONS(2505),
    [aux_sym_open_statement_token1] = ACTIONS(2505),
    [aux_sym_close_statement_token1] = ACTIONS(2505),
    [aux_sym_inquire_statement_token1] = ACTIONS(2505),
    [aux_sym_enum_statement_token1] = ACTIONS(2505),
    [aux_sym_file_position_statement_token1] = ACTIONS(2505),
    [aux_sym_file_position_statement_token2] = ACTIONS(2505),
    [aux_sym_file_position_statement_token3] = ACTIONS(2505),
    [aux_sym_file_position_statement_token4] = ACTIONS(2505),
    [aux_sym_logical_expression_token5] = ACTIONS(2507),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [aux_sym_boolean_literal_token1] = ACTIONS(2507),
    [aux_sym_boolean_literal_token2] = ACTIONS(2507),
    [aux_sym_null_literal_token1] = ACTIONS(2505),
    [aux_sym_identifier_token1] = ACTIONS(2505),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2507),
    [sym__float_literal] = ACTIONS(2507),
    [sym__boz_literal] = ACTIONS(2507),
    [sym__string_literal] = ACTIONS(2507),
    [sym__string_literal_kind] = ACTIONS(2507),
  },
  [758] = {
    [sym__statements] = STATE(5666),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5666),
    [sym_assignment_statement] = STATE(5666),
    [sym_pointer_association_statement] = STATE(5666),
    [sym_subroutine_call] = STATE(5666),
    [sym_keyword_statement] = STATE(5666),
    [sym_include_statement] = STATE(5666),
    [sym_do_loop_statement] = STATE(5666),
    [sym_do_label_statement] = STATE(5666),
    [sym_end_do_label_statement] = STATE(5666),
    [sym_if_statement] = STATE(5666),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5666),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5666),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5666),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5666),
    [sym_select_type_statement] = STATE(5666),
    [sym_select_rank_statement] = STATE(5666),
    [sym_block_construct] = STATE(5666),
    [sym_associate_statement] = STATE(5666),
    [sym_format_statement] = STATE(5320),
    [sym_read_statement] = STATE(5666),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5666),
    [sym_open_statement] = STATE(5666),
    [sym_close_statement] = STATE(5666),
    [sym_write_statement] = STATE(5666),
    [sym_inquire_statement] = STATE(5666),
    [sym_file_position_statement] = STATE(5666),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_implicit_statement_token3] = ACTIONS(2803),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2567),
    [aux_sym_preproc_include_token1] = ACTIONS(2565),
    [aux_sym_preproc_def_token1] = ACTIONS(2565),
    [aux_sym_preproc_if_token1] = ACTIONS(2565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2565),
    [sym_preproc_directive] = ACTIONS(2565),
    [anon_sym_LPAREN2] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2567),
    [anon_sym_DASH] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2565),
    [aux_sym_end_program_statement_token1] = ACTIONS(2565),
    [aux_sym_end_program_statement_token2] = ACTIONS(2565),
    [aux_sym_module_statement_token1] = ACTIONS(2565),
    [aux_sym_submodule_statement_token1] = ACTIONS(2565),
    [aux_sym_interface_statement_token1] = ACTIONS(2565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2565),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2565),
    [aux_sym_function_statement_token1] = ACTIONS(2565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2565),
    [aux_sym_contains_statement_token1] = ACTIONS(2565),
    [aux_sym_use_statement_token1] = ACTIONS(2565),
    [aux_sym_use_statement_token2] = ACTIONS(2565),
    [aux_sym_implicit_statement_token1] = ACTIONS(2565),
    [aux_sym_implicit_statement_token3] = ACTIONS(2565),
    [aux_sym_implicit_statement_token4] = ACTIONS(2565),
    [aux_sym_save_statement_token1] = ACTIONS(2565),
    [aux_sym_private_statement_token1] = ACTIONS(2565),
    [aux_sym_public_statement_token1] = ACTIONS(2565),
    [aux_sym_namelist_statement_token1] = ACTIONS(2565),
    [aux_sym_common_statement_token1] = ACTIONS(2565),
    [aux_sym_import_statement_token1] = ACTIONS(2565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2565),
    [aux_sym_variable_attributes_token1] = ACTIONS(2565),
    [aux_sym_variable_attributes_token2] = ACTIONS(2565),
    [aux_sym_variable_attributes_token3] = ACTIONS(2565),
    [aux_sym_variable_attributes_token4] = ACTIONS(2565),
    [aux_sym_variable_attributes_token5] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2565),
    [aux_sym_derived_type_token1] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2565),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2565),
    [aux_sym_stop_statement_token1] = ACTIONS(2565),
    [aux_sym_stop_statement_token2] = ACTIONS(2565),
    [aux_sym_subroutine_call_token1] = ACTIONS(2565),
    [aux_sym_keyword_statement_token1] = ACTIONS(2565),
    [aux_sym_keyword_statement_token2] = ACTIONS(2565),
    [aux_sym_keyword_statement_token3] = ACTIONS(2565),
    [aux_sym_keyword_statement_token4] = ACTIONS(2565),
    [aux_sym_keyword_statement_token6] = ACTIONS(2565),
    [aux_sym_keyword_statement_token7] = ACTIONS(2565),
    [aux_sym_include_statement_token1] = ACTIONS(2565),
    [aux_sym_data_statement_token1] = ACTIONS(2565),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2565),
    [aux_sym_end_if_statement_token1] = ACTIONS(2565),
    [aux_sym_elseif_clause_token2] = ACTIONS(2565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2565),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2565),
    [aux_sym_select_case_statement_token1] = ACTIONS(2565),
    [aux_sym_select_case_statement_token3] = ACTIONS(2565),
    [aux_sym_select_type_statement_token1] = ACTIONS(2565),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2565),
    [aux_sym_block_construct_token1] = ACTIONS(2565),
    [aux_sym_associate_statement_token1] = ACTIONS(2565),
    [aux_sym_format_statement_token1] = ACTIONS(2565),
    [aux_sym_print_statement_token1] = ACTIONS(2565),
    [aux_sym_open_statement_token1] = ACTIONS(2565),
    [aux_sym_close_statement_token1] = ACTIONS(2565),
    [aux_sym_inquire_statement_token1] = ACTIONS(2565),
    [aux_sym_enum_statement_token1] = ACTIONS(2565),
    [aux_sym_file_position_statement_token1] = ACTIONS(2565),
    [aux_sym_file_position_statement_token2] = ACTIONS(2565),
    [aux_sym_file_position_statement_token3] = ACTIONS(2565),
    [aux_sym_file_position_statement_token4] = ACTIONS(2565),
    [aux_sym_logical_expression_token5] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [aux_sym_boolean_literal_token1] = ACTIONS(2567),
    [aux_sym_boolean_literal_token2] = ACTIONS(2567),
    [aux_sym_null_literal_token1] = ACTIONS(2565),
    [aux_sym_identifier_token1] = ACTIONS(2565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2567),
    [sym__float_literal] = ACTIONS(2567),
    [sym__boz_literal] = ACTIONS(2567),
    [sym__string_literal] = ACTIONS(2567),
    [sym__string_literal_kind] = ACTIONS(2567),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2555),
    [aux_sym_preproc_include_token1] = ACTIONS(2553),
    [aux_sym_preproc_def_token1] = ACTIONS(2553),
    [aux_sym_preproc_if_token1] = ACTIONS(2553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2553),
    [sym_preproc_directive] = ACTIONS(2553),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2553),
    [aux_sym_end_program_statement_token1] = ACTIONS(2553),
    [aux_sym_end_program_statement_token2] = ACTIONS(2553),
    [aux_sym_module_statement_token1] = ACTIONS(2553),
    [aux_sym_submodule_statement_token1] = ACTIONS(2553),
    [aux_sym_interface_statement_token1] = ACTIONS(2553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2553),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2553),
    [aux_sym_function_statement_token1] = ACTIONS(2553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2553),
    [aux_sym_contains_statement_token1] = ACTIONS(2553),
    [aux_sym_use_statement_token1] = ACTIONS(2553),
    [aux_sym_use_statement_token2] = ACTIONS(2553),
    [aux_sym_implicit_statement_token1] = ACTIONS(2553),
    [aux_sym_implicit_statement_token3] = ACTIONS(2553),
    [aux_sym_implicit_statement_token4] = ACTIONS(2553),
    [aux_sym_save_statement_token1] = ACTIONS(2553),
    [aux_sym_private_statement_token1] = ACTIONS(2553),
    [aux_sym_public_statement_token1] = ACTIONS(2553),
    [aux_sym_namelist_statement_token1] = ACTIONS(2553),
    [aux_sym_common_statement_token1] = ACTIONS(2553),
    [aux_sym_import_statement_token1] = ACTIONS(2553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2553),
    [aux_sym_variable_attributes_token1] = ACTIONS(2553),
    [aux_sym_variable_attributes_token2] = ACTIONS(2553),
    [aux_sym_variable_attributes_token3] = ACTIONS(2553),
    [aux_sym_variable_attributes_token4] = ACTIONS(2553),
    [aux_sym_variable_attributes_token5] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2553),
    [aux_sym_derived_type_token1] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2553),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2553),
    [aux_sym_stop_statement_token1] = ACTIONS(2553),
    [aux_sym_stop_statement_token2] = ACTIONS(2553),
    [aux_sym_subroutine_call_token1] = ACTIONS(2553),
    [aux_sym_keyword_statement_token1] = ACTIONS(2553),
    [aux_sym_keyword_statement_token2] = ACTIONS(2553),
    [aux_sym_keyword_statement_token3] = ACTIONS(2553),
    [aux_sym_keyword_statement_token4] = ACTIONS(2553),
    [aux_sym_keyword_statement_token6] = ACTIONS(2553),
    [aux_sym_keyword_statement_token7] = ACTIONS(2553),
    [aux_sym_include_statement_token1] = ACTIONS(2553),
    [aux_sym_data_statement_token1] = ACTIONS(2553),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2553),
    [aux_sym_end_if_statement_token1] = ACTIONS(2553),
    [aux_sym_elseif_clause_token2] = ACTIONS(2553),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2553),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2553),
    [aux_sym_select_case_statement_token1] = ACTIONS(2553),
    [aux_sym_select_case_statement_token3] = ACTIONS(2553),
    [aux_sym_select_type_statement_token1] = ACTIONS(2553),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2553),
    [aux_sym_block_construct_token1] = ACTIONS(2553),
    [aux_sym_associate_statement_token1] = ACTIONS(2553),
    [aux_sym_format_statement_token1] = ACTIONS(2553),
    [aux_sym_print_statement_token1] = ACTIONS(2553),
    [aux_sym_open_statement_token1] = ACTIONS(2553),
    [aux_sym_close_statement_token1] = ACTIONS(2553),
    [aux_sym_inquire_statement_token1] = ACTIONS(2553),
    [aux_sym_enum_statement_token1] = ACTIONS(2553),
    [aux_sym_file_position_statement_token1] = ACTIONS(2553),
    [aux_sym_file_position_statement_token2] = ACTIONS(2553),
    [aux_sym_file_position_statement_token3] = ACTIONS(2553),
    [aux_sym_file_position_statement_token4] = ACTIONS(2553),
    [aux_sym_logical_expression_token5] = ACTIONS(2555),
    [anon_sym_DOT] = ACTIONS(2553),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [aux_sym_boolean_literal_token1] = ACTIONS(2555),
    [aux_sym_boolean_literal_token2] = ACTIONS(2555),
    [aux_sym_null_literal_token1] = ACTIONS(2553),
    [aux_sym_identifier_token1] = ACTIONS(2553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2555),
    [sym__float_literal] = ACTIONS(2555),
    [sym__boz_literal] = ACTIONS(2555),
    [sym__string_literal] = ACTIONS(2555),
    [sym__string_literal_kind] = ACTIONS(2555),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(2435),
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token2] = ACTIONS(2433),
    [aux_sym_module_statement_token1] = ACTIONS(2433),
    [aux_sym_submodule_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_function_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2433),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [762] = {
    [sym__statements] = STATE(5337),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5337),
    [sym_assignment_statement] = STATE(5337),
    [sym_pointer_association_statement] = STATE(5337),
    [sym_subroutine_call] = STATE(5337),
    [sym_keyword_statement] = STATE(5337),
    [sym_include_statement] = STATE(5337),
    [sym_do_loop_statement] = STATE(5337),
    [sym_end_do_loop_statement] = STATE(5530),
    [sym_do_label_statement] = STATE(5337),
    [sym_end_do_label_statement] = STATE(5337),
    [sym_if_statement] = STATE(5337),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5337),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5337),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5337),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5337),
    [sym_select_type_statement] = STATE(5337),
    [sym_select_rank_statement] = STATE(5337),
    [sym_block_construct] = STATE(5337),
    [sym_associate_statement] = STATE(5337),
    [sym_format_statement] = STATE(5337),
    [sym_read_statement] = STATE(5337),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5337),
    [sym_open_statement] = STATE(5337),
    [sym_close_statement] = STATE(5337),
    [sym_write_statement] = STATE(5337),
    [sym_inquire_statement] = STATE(5337),
    [sym_file_position_statement] = STATE(5337),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2837),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2411),
    [aux_sym_preproc_include_token1] = ACTIONS(2409),
    [aux_sym_preproc_def_token1] = ACTIONS(2409),
    [aux_sym_preproc_if_token1] = ACTIONS(2409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2409),
    [sym_preproc_directive] = ACTIONS(2409),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_PLUS] = ACTIONS(2411),
    [anon_sym_DASH] = ACTIONS(2411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2409),
    [aux_sym_end_program_statement_token1] = ACTIONS(2409),
    [aux_sym_end_program_statement_token2] = ACTIONS(2409),
    [aux_sym_module_statement_token1] = ACTIONS(2409),
    [aux_sym_submodule_statement_token1] = ACTIONS(2409),
    [aux_sym_interface_statement_token1] = ACTIONS(2409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2409),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2409),
    [aux_sym_function_statement_token1] = ACTIONS(2409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2409),
    [aux_sym_contains_statement_token1] = ACTIONS(2409),
    [aux_sym_use_statement_token1] = ACTIONS(2409),
    [aux_sym_use_statement_token2] = ACTIONS(2409),
    [aux_sym_implicit_statement_token1] = ACTIONS(2409),
    [aux_sym_implicit_statement_token3] = ACTIONS(2409),
    [aux_sym_implicit_statement_token4] = ACTIONS(2409),
    [aux_sym_save_statement_token1] = ACTIONS(2409),
    [aux_sym_private_statement_token1] = ACTIONS(2409),
    [aux_sym_public_statement_token1] = ACTIONS(2409),
    [aux_sym_namelist_statement_token1] = ACTIONS(2409),
    [aux_sym_common_statement_token1] = ACTIONS(2409),
    [aux_sym_import_statement_token1] = ACTIONS(2409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2409),
    [aux_sym_variable_attributes_token1] = ACTIONS(2409),
    [aux_sym_variable_attributes_token2] = ACTIONS(2409),
    [aux_sym_variable_attributes_token3] = ACTIONS(2409),
    [aux_sym_variable_attributes_token4] = ACTIONS(2409),
    [aux_sym_variable_attributes_token5] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2409),
    [aux_sym_derived_type_token1] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2409),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2409),
    [aux_sym_stop_statement_token1] = ACTIONS(2409),
    [aux_sym_stop_statement_token2] = ACTIONS(2409),
    [aux_sym_subroutine_call_token1] = ACTIONS(2409),
    [aux_sym_keyword_statement_token1] = ACTIONS(2409),
    [aux_sym_keyword_statement_token2] = ACTIONS(2409),
    [aux_sym_keyword_statement_token3] = ACTIONS(2409),
    [aux_sym_keyword_statement_token4] = ACTIONS(2409),
    [aux_sym_keyword_statement_token6] = ACTIONS(2409),
    [aux_sym_keyword_statement_token7] = ACTIONS(2409),
    [aux_sym_include_statement_token1] = ACTIONS(2409),
    [aux_sym_data_statement_token1] = ACTIONS(2409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2409),
    [aux_sym_end_if_statement_token1] = ACTIONS(2409),
    [aux_sym_elseif_clause_token2] = ACTIONS(2409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2409),
    [aux_sym_select_case_statement_token1] = ACTIONS(2409),
    [aux_sym_select_case_statement_token3] = ACTIONS(2409),
    [aux_sym_select_type_statement_token1] = ACTIONS(2409),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2409),
    [aux_sym_block_construct_token1] = ACTIONS(2409),
    [aux_sym_associate_statement_token1] = ACTIONS(2409),
    [aux_sym_format_statement_token1] = ACTIONS(2409),
    [aux_sym_print_statement_token1] = ACTIONS(2409),
    [aux_sym_open_statement_token1] = ACTIONS(2409),
    [aux_sym_close_statement_token1] = ACTIONS(2409),
    [aux_sym_inquire_statement_token1] = ACTIONS(2409),
    [aux_sym_enum_statement_token1] = ACTIONS(2409),
    [aux_sym_file_position_statement_token1] = ACTIONS(2409),
    [aux_sym_file_position_statement_token2] = ACTIONS(2409),
    [aux_sym_file_position_statement_token3] = ACTIONS(2409),
    [aux_sym_file_position_statement_token4] = ACTIONS(2409),
    [aux_sym_logical_expression_token5] = ACTIONS(2411),
    [anon_sym_DOT] = ACTIONS(2409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2411),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [aux_sym_boolean_literal_token1] = ACTIONS(2411),
    [aux_sym_boolean_literal_token2] = ACTIONS(2411),
    [aux_sym_null_literal_token1] = ACTIONS(2409),
    [aux_sym_identifier_token1] = ACTIONS(2409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2411),
    [sym__float_literal] = ACTIONS(2411),
    [sym__boz_literal] = ACTIONS(2411),
    [sym__string_literal] = ACTIONS(2411),
    [sym__string_literal_kind] = ACTIONS(2411),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2491),
    [aux_sym_preproc_include_token1] = ACTIONS(2489),
    [aux_sym_preproc_def_token1] = ACTIONS(2489),
    [aux_sym_preproc_if_token1] = ACTIONS(2489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2489),
    [sym_preproc_directive] = ACTIONS(2489),
    [anon_sym_LPAREN2] = ACTIONS(2489),
    [anon_sym_PLUS] = ACTIONS(2491),
    [anon_sym_DASH] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2489),
    [aux_sym_end_program_statement_token1] = ACTIONS(2489),
    [aux_sym_end_program_statement_token2] = ACTIONS(2489),
    [aux_sym_module_statement_token1] = ACTIONS(2489),
    [aux_sym_submodule_statement_token1] = ACTIONS(2489),
    [aux_sym_interface_statement_token1] = ACTIONS(2489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2489),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2489),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2489),
    [aux_sym_function_statement_token1] = ACTIONS(2489),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2489),
    [aux_sym_contains_statement_token1] = ACTIONS(2489),
    [aux_sym_use_statement_token1] = ACTIONS(2489),
    [aux_sym_use_statement_token2] = ACTIONS(2489),
    [aux_sym_implicit_statement_token1] = ACTIONS(2489),
    [aux_sym_implicit_statement_token3] = ACTIONS(2489),
    [aux_sym_implicit_statement_token4] = ACTIONS(2489),
    [aux_sym_save_statement_token1] = ACTIONS(2489),
    [aux_sym_private_statement_token1] = ACTIONS(2489),
    [aux_sym_public_statement_token1] = ACTIONS(2489),
    [aux_sym_namelist_statement_token1] = ACTIONS(2489),
    [aux_sym_common_statement_token1] = ACTIONS(2489),
    [aux_sym_import_statement_token1] = ACTIONS(2489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2489),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2489),
    [aux_sym_variable_attributes_token1] = ACTIONS(2489),
    [aux_sym_variable_attributes_token2] = ACTIONS(2489),
    [aux_sym_variable_attributes_token3] = ACTIONS(2489),
    [aux_sym_variable_attributes_token4] = ACTIONS(2489),
    [aux_sym_variable_attributes_token5] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2489),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2489),
    [aux_sym_derived_type_token1] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2489),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2489),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2489),
    [aux_sym_stop_statement_token1] = ACTIONS(2489),
    [aux_sym_stop_statement_token2] = ACTIONS(2489),
    [aux_sym_subroutine_call_token1] = ACTIONS(2489),
    [aux_sym_keyword_statement_token1] = ACTIONS(2489),
    [aux_sym_keyword_statement_token2] = ACTIONS(2489),
    [aux_sym_keyword_statement_token3] = ACTIONS(2489),
    [aux_sym_keyword_statement_token4] = ACTIONS(2489),
    [aux_sym_keyword_statement_token6] = ACTIONS(2489),
    [aux_sym_keyword_statement_token7] = ACTIONS(2489),
    [aux_sym_include_statement_token1] = ACTIONS(2489),
    [aux_sym_data_statement_token1] = ACTIONS(2489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2489),
    [aux_sym_end_if_statement_token1] = ACTIONS(2489),
    [aux_sym_elseif_clause_token2] = ACTIONS(2489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2489),
    [aux_sym_select_case_statement_token1] = ACTIONS(2489),
    [aux_sym_select_case_statement_token3] = ACTIONS(2489),
    [aux_sym_select_type_statement_token1] = ACTIONS(2489),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2489),
    [aux_sym_block_construct_token1] = ACTIONS(2489),
    [aux_sym_associate_statement_token1] = ACTIONS(2489),
    [aux_sym_format_statement_token1] = ACTIONS(2489),
    [aux_sym_print_statement_token1] = ACTIONS(2489),
    [aux_sym_open_statement_token1] = ACTIONS(2489),
    [aux_sym_close_statement_token1] = ACTIONS(2489),
    [aux_sym_inquire_statement_token1] = ACTIONS(2489),
    [aux_sym_enum_statement_token1] = ACTIONS(2489),
    [aux_sym_file_position_statement_token1] = ACTIONS(2489),
    [aux_sym_file_position_statement_token2] = ACTIONS(2489),
    [aux_sym_file_position_statement_token3] = ACTIONS(2489),
    [aux_sym_file_position_statement_token4] = ACTIONS(2489),
    [aux_sym_logical_expression_token5] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [aux_sym_boolean_literal_token1] = ACTIONS(2491),
    [aux_sym_boolean_literal_token2] = ACTIONS(2491),
    [aux_sym_null_literal_token1] = ACTIONS(2489),
    [aux_sym_identifier_token1] = ACTIONS(2489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2491),
    [sym__float_literal] = ACTIONS(2491),
    [sym__boz_literal] = ACTIONS(2491),
    [sym__string_literal] = ACTIONS(2491),
    [sym__string_literal_kind] = ACTIONS(2491),
  },
  [765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token2] = ACTIONS(2453),
    [aux_sym_module_statement_token1] = ACTIONS(2453),
    [aux_sym_submodule_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_function_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2453),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2543),
    [aux_sym_preproc_include_token1] = ACTIONS(2541),
    [aux_sym_preproc_def_token1] = ACTIONS(2541),
    [aux_sym_preproc_if_token1] = ACTIONS(2541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2541),
    [sym_preproc_directive] = ACTIONS(2541),
    [anon_sym_LPAREN2] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2541),
    [aux_sym_end_program_statement_token1] = ACTIONS(2541),
    [aux_sym_end_program_statement_token2] = ACTIONS(2541),
    [aux_sym_module_statement_token1] = ACTIONS(2541),
    [aux_sym_submodule_statement_token1] = ACTIONS(2541),
    [aux_sym_interface_statement_token1] = ACTIONS(2541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2541),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2541),
    [aux_sym_function_statement_token1] = ACTIONS(2541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2541),
    [aux_sym_contains_statement_token1] = ACTIONS(2541),
    [aux_sym_use_statement_token1] = ACTIONS(2541),
    [aux_sym_use_statement_token2] = ACTIONS(2541),
    [aux_sym_implicit_statement_token1] = ACTIONS(2541),
    [aux_sym_implicit_statement_token3] = ACTIONS(2541),
    [aux_sym_implicit_statement_token4] = ACTIONS(2541),
    [aux_sym_save_statement_token1] = ACTIONS(2541),
    [aux_sym_private_statement_token1] = ACTIONS(2541),
    [aux_sym_public_statement_token1] = ACTIONS(2541),
    [aux_sym_namelist_statement_token1] = ACTIONS(2541),
    [aux_sym_common_statement_token1] = ACTIONS(2541),
    [aux_sym_import_statement_token1] = ACTIONS(2541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2541),
    [aux_sym_variable_attributes_token1] = ACTIONS(2541),
    [aux_sym_variable_attributes_token2] = ACTIONS(2541),
    [aux_sym_variable_attributes_token3] = ACTIONS(2541),
    [aux_sym_variable_attributes_token4] = ACTIONS(2541),
    [aux_sym_variable_attributes_token5] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2541),
    [aux_sym_derived_type_token1] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2541),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2541),
    [aux_sym_stop_statement_token1] = ACTIONS(2541),
    [aux_sym_stop_statement_token2] = ACTIONS(2541),
    [aux_sym_subroutine_call_token1] = ACTIONS(2541),
    [aux_sym_keyword_statement_token1] = ACTIONS(2541),
    [aux_sym_keyword_statement_token2] = ACTIONS(2541),
    [aux_sym_keyword_statement_token3] = ACTIONS(2541),
    [aux_sym_keyword_statement_token4] = ACTIONS(2541),
    [aux_sym_keyword_statement_token6] = ACTIONS(2541),
    [aux_sym_keyword_statement_token7] = ACTIONS(2541),
    [aux_sym_include_statement_token1] = ACTIONS(2541),
    [aux_sym_data_statement_token1] = ACTIONS(2541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2541),
    [aux_sym_end_if_statement_token1] = ACTIONS(2541),
    [aux_sym_elseif_clause_token2] = ACTIONS(2541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2541),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2541),
    [aux_sym_select_case_statement_token1] = ACTIONS(2541),
    [aux_sym_select_case_statement_token3] = ACTIONS(2541),
    [aux_sym_select_type_statement_token1] = ACTIONS(2541),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2541),
    [aux_sym_block_construct_token1] = ACTIONS(2541),
    [aux_sym_associate_statement_token1] = ACTIONS(2541),
    [aux_sym_format_statement_token1] = ACTIONS(2541),
    [aux_sym_print_statement_token1] = ACTIONS(2541),
    [aux_sym_open_statement_token1] = ACTIONS(2541),
    [aux_sym_close_statement_token1] = ACTIONS(2541),
    [aux_sym_inquire_statement_token1] = ACTIONS(2541),
    [aux_sym_enum_statement_token1] = ACTIONS(2541),
    [aux_sym_file_position_statement_token1] = ACTIONS(2541),
    [aux_sym_file_position_statement_token2] = ACTIONS(2541),
    [aux_sym_file_position_statement_token3] = ACTIONS(2541),
    [aux_sym_file_position_statement_token4] = ACTIONS(2541),
    [aux_sym_logical_expression_token5] = ACTIONS(2543),
    [anon_sym_DOT] = ACTIONS(2541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [aux_sym_boolean_literal_token1] = ACTIONS(2543),
    [aux_sym_boolean_literal_token2] = ACTIONS(2543),
    [aux_sym_null_literal_token1] = ACTIONS(2541),
    [aux_sym_identifier_token1] = ACTIONS(2541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2543),
    [sym__float_literal] = ACTIONS(2543),
    [sym__boz_literal] = ACTIONS(2543),
    [sym__string_literal] = ACTIONS(2543),
    [sym__string_literal_kind] = ACTIONS(2543),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(2475),
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token2] = ACTIONS(2473),
    [aux_sym_module_statement_token1] = ACTIONS(2473),
    [aux_sym_submodule_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_function_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2473),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2479),
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token2] = ACTIONS(2477),
    [aux_sym_module_statement_token1] = ACTIONS(2477),
    [aux_sym_submodule_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_function_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2477),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2535),
    [aux_sym_preproc_include_token1] = ACTIONS(2533),
    [aux_sym_preproc_def_token1] = ACTIONS(2533),
    [aux_sym_preproc_if_token1] = ACTIONS(2533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2533),
    [sym_preproc_directive] = ACTIONS(2533),
    [anon_sym_LPAREN2] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2533),
    [aux_sym_end_program_statement_token1] = ACTIONS(2533),
    [aux_sym_end_program_statement_token2] = ACTIONS(2533),
    [aux_sym_module_statement_token1] = ACTIONS(2533),
    [aux_sym_submodule_statement_token1] = ACTIONS(2533),
    [aux_sym_interface_statement_token1] = ACTIONS(2533),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2533),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2533),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2533),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2533),
    [aux_sym_function_statement_token1] = ACTIONS(2533),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2533),
    [aux_sym_contains_statement_token1] = ACTIONS(2533),
    [aux_sym_use_statement_token1] = ACTIONS(2533),
    [aux_sym_use_statement_token2] = ACTIONS(2533),
    [aux_sym_implicit_statement_token1] = ACTIONS(2533),
    [aux_sym_implicit_statement_token3] = ACTIONS(2533),
    [aux_sym_implicit_statement_token4] = ACTIONS(2533),
    [aux_sym_save_statement_token1] = ACTIONS(2533),
    [aux_sym_private_statement_token1] = ACTIONS(2533),
    [aux_sym_public_statement_token1] = ACTIONS(2533),
    [aux_sym_namelist_statement_token1] = ACTIONS(2533),
    [aux_sym_common_statement_token1] = ACTIONS(2533),
    [aux_sym_import_statement_token1] = ACTIONS(2533),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2533),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2533),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2533),
    [aux_sym_variable_attributes_token1] = ACTIONS(2533),
    [aux_sym_variable_attributes_token2] = ACTIONS(2533),
    [aux_sym_variable_attributes_token3] = ACTIONS(2533),
    [aux_sym_variable_attributes_token4] = ACTIONS(2533),
    [aux_sym_variable_attributes_token5] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2533),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2533),
    [aux_sym_derived_type_token1] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2533),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2533),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2533),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2533),
    [aux_sym_stop_statement_token1] = ACTIONS(2533),
    [aux_sym_stop_statement_token2] = ACTIONS(2533),
    [aux_sym_subroutine_call_token1] = ACTIONS(2533),
    [aux_sym_keyword_statement_token1] = ACTIONS(2533),
    [aux_sym_keyword_statement_token2] = ACTIONS(2533),
    [aux_sym_keyword_statement_token3] = ACTIONS(2533),
    [aux_sym_keyword_statement_token4] = ACTIONS(2533),
    [aux_sym_keyword_statement_token6] = ACTIONS(2533),
    [aux_sym_keyword_statement_token7] = ACTIONS(2533),
    [aux_sym_include_statement_token1] = ACTIONS(2533),
    [aux_sym_data_statement_token1] = ACTIONS(2533),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2533),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2533),
    [aux_sym_end_if_statement_token1] = ACTIONS(2533),
    [aux_sym_elseif_clause_token2] = ACTIONS(2533),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2533),
    [aux_sym_select_case_statement_token1] = ACTIONS(2533),
    [aux_sym_select_case_statement_token3] = ACTIONS(2533),
    [aux_sym_select_type_statement_token1] = ACTIONS(2533),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2533),
    [aux_sym_block_construct_token1] = ACTIONS(2533),
    [aux_sym_associate_statement_token1] = ACTIONS(2533),
    [aux_sym_format_statement_token1] = ACTIONS(2533),
    [aux_sym_print_statement_token1] = ACTIONS(2533),
    [aux_sym_open_statement_token1] = ACTIONS(2533),
    [aux_sym_close_statement_token1] = ACTIONS(2533),
    [aux_sym_inquire_statement_token1] = ACTIONS(2533),
    [aux_sym_enum_statement_token1] = ACTIONS(2533),
    [aux_sym_file_position_statement_token1] = ACTIONS(2533),
    [aux_sym_file_position_statement_token2] = ACTIONS(2533),
    [aux_sym_file_position_statement_token3] = ACTIONS(2533),
    [aux_sym_file_position_statement_token4] = ACTIONS(2533),
    [aux_sym_logical_expression_token5] = ACTIONS(2535),
    [anon_sym_DOT] = ACTIONS(2533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [aux_sym_boolean_literal_token1] = ACTIONS(2535),
    [aux_sym_boolean_literal_token2] = ACTIONS(2535),
    [aux_sym_null_literal_token1] = ACTIONS(2533),
    [aux_sym_identifier_token1] = ACTIONS(2533),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2535),
    [sym__float_literal] = ACTIONS(2535),
    [sym__boz_literal] = ACTIONS(2535),
    [sym__string_literal] = ACTIONS(2535),
    [sym__string_literal_kind] = ACTIONS(2535),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(2531),
    [aux_sym_preproc_include_token1] = ACTIONS(2529),
    [aux_sym_preproc_def_token1] = ACTIONS(2529),
    [aux_sym_preproc_if_token1] = ACTIONS(2529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2529),
    [sym_preproc_directive] = ACTIONS(2529),
    [anon_sym_LPAREN2] = ACTIONS(2529),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2529),
    [aux_sym_end_program_statement_token1] = ACTIONS(2529),
    [aux_sym_end_program_statement_token2] = ACTIONS(2529),
    [aux_sym_module_statement_token1] = ACTIONS(2529),
    [aux_sym_submodule_statement_token1] = ACTIONS(2529),
    [aux_sym_interface_statement_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2529),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2529),
    [aux_sym_function_statement_token1] = ACTIONS(2529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2529),
    [aux_sym_contains_statement_token1] = ACTIONS(2529),
    [aux_sym_use_statement_token1] = ACTIONS(2529),
    [aux_sym_use_statement_token2] = ACTIONS(2529),
    [aux_sym_implicit_statement_token1] = ACTIONS(2529),
    [aux_sym_implicit_statement_token3] = ACTIONS(2529),
    [aux_sym_implicit_statement_token4] = ACTIONS(2529),
    [aux_sym_save_statement_token1] = ACTIONS(2529),
    [aux_sym_private_statement_token1] = ACTIONS(2529),
    [aux_sym_public_statement_token1] = ACTIONS(2529),
    [aux_sym_namelist_statement_token1] = ACTIONS(2529),
    [aux_sym_common_statement_token1] = ACTIONS(2529),
    [aux_sym_import_statement_token1] = ACTIONS(2529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2529),
    [aux_sym_variable_attributes_token1] = ACTIONS(2529),
    [aux_sym_variable_attributes_token2] = ACTIONS(2529),
    [aux_sym_variable_attributes_token3] = ACTIONS(2529),
    [aux_sym_variable_attributes_token4] = ACTIONS(2529),
    [aux_sym_variable_attributes_token5] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2529),
    [aux_sym_derived_type_token1] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2529),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2529),
    [aux_sym_stop_statement_token1] = ACTIONS(2529),
    [aux_sym_stop_statement_token2] = ACTIONS(2529),
    [aux_sym_subroutine_call_token1] = ACTIONS(2529),
    [aux_sym_keyword_statement_token1] = ACTIONS(2529),
    [aux_sym_keyword_statement_token2] = ACTIONS(2529),
    [aux_sym_keyword_statement_token3] = ACTIONS(2529),
    [aux_sym_keyword_statement_token4] = ACTIONS(2529),
    [aux_sym_keyword_statement_token6] = ACTIONS(2529),
    [aux_sym_keyword_statement_token7] = ACTIONS(2529),
    [aux_sym_include_statement_token1] = ACTIONS(2529),
    [aux_sym_data_statement_token1] = ACTIONS(2529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2529),
    [aux_sym_end_if_statement_token1] = ACTIONS(2529),
    [aux_sym_elseif_clause_token2] = ACTIONS(2529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2529),
    [aux_sym_select_case_statement_token1] = ACTIONS(2529),
    [aux_sym_select_case_statement_token3] = ACTIONS(2529),
    [aux_sym_select_type_statement_token1] = ACTIONS(2529),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2529),
    [aux_sym_block_construct_token1] = ACTIONS(2529),
    [aux_sym_associate_statement_token1] = ACTIONS(2529),
    [aux_sym_format_statement_token1] = ACTIONS(2529),
    [aux_sym_print_statement_token1] = ACTIONS(2529),
    [aux_sym_open_statement_token1] = ACTIONS(2529),
    [aux_sym_close_statement_token1] = ACTIONS(2529),
    [aux_sym_inquire_statement_token1] = ACTIONS(2529),
    [aux_sym_enum_statement_token1] = ACTIONS(2529),
    [aux_sym_file_position_statement_token1] = ACTIONS(2529),
    [aux_sym_file_position_statement_token2] = ACTIONS(2529),
    [aux_sym_file_position_statement_token3] = ACTIONS(2529),
    [aux_sym_file_position_statement_token4] = ACTIONS(2529),
    [aux_sym_logical_expression_token5] = ACTIONS(2531),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [aux_sym_boolean_literal_token1] = ACTIONS(2531),
    [aux_sym_boolean_literal_token2] = ACTIONS(2531),
    [aux_sym_null_literal_token1] = ACTIONS(2529),
    [aux_sym_identifier_token1] = ACTIONS(2529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2531),
    [sym__float_literal] = ACTIONS(2531),
    [sym__boz_literal] = ACTIONS(2531),
    [sym__string_literal] = ACTIONS(2531),
    [sym__string_literal_kind] = ACTIONS(2531),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2527),
    [aux_sym_preproc_include_token1] = ACTIONS(2525),
    [aux_sym_preproc_def_token1] = ACTIONS(2525),
    [aux_sym_preproc_if_token1] = ACTIONS(2525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2525),
    [sym_preproc_directive] = ACTIONS(2525),
    [anon_sym_LPAREN2] = ACTIONS(2525),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2525),
    [aux_sym_end_program_statement_token1] = ACTIONS(2525),
    [aux_sym_end_program_statement_token2] = ACTIONS(2525),
    [aux_sym_module_statement_token1] = ACTIONS(2525),
    [aux_sym_submodule_statement_token1] = ACTIONS(2525),
    [aux_sym_interface_statement_token1] = ACTIONS(2525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2525),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2525),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2525),
    [aux_sym_function_statement_token1] = ACTIONS(2525),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2525),
    [aux_sym_contains_statement_token1] = ACTIONS(2525),
    [aux_sym_use_statement_token1] = ACTIONS(2525),
    [aux_sym_use_statement_token2] = ACTIONS(2525),
    [aux_sym_implicit_statement_token1] = ACTIONS(2525),
    [aux_sym_implicit_statement_token3] = ACTIONS(2525),
    [aux_sym_implicit_statement_token4] = ACTIONS(2525),
    [aux_sym_save_statement_token1] = ACTIONS(2525),
    [aux_sym_private_statement_token1] = ACTIONS(2525),
    [aux_sym_public_statement_token1] = ACTIONS(2525),
    [aux_sym_namelist_statement_token1] = ACTIONS(2525),
    [aux_sym_common_statement_token1] = ACTIONS(2525),
    [aux_sym_import_statement_token1] = ACTIONS(2525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2525),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2525),
    [aux_sym_variable_attributes_token1] = ACTIONS(2525),
    [aux_sym_variable_attributes_token2] = ACTIONS(2525),
    [aux_sym_variable_attributes_token3] = ACTIONS(2525),
    [aux_sym_variable_attributes_token4] = ACTIONS(2525),
    [aux_sym_variable_attributes_token5] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2525),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2525),
    [aux_sym_derived_type_token1] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2525),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2525),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2525),
    [aux_sym_stop_statement_token1] = ACTIONS(2525),
    [aux_sym_stop_statement_token2] = ACTIONS(2525),
    [aux_sym_subroutine_call_token1] = ACTIONS(2525),
    [aux_sym_keyword_statement_token1] = ACTIONS(2525),
    [aux_sym_keyword_statement_token2] = ACTIONS(2525),
    [aux_sym_keyword_statement_token3] = ACTIONS(2525),
    [aux_sym_keyword_statement_token4] = ACTIONS(2525),
    [aux_sym_keyword_statement_token6] = ACTIONS(2525),
    [aux_sym_keyword_statement_token7] = ACTIONS(2525),
    [aux_sym_include_statement_token1] = ACTIONS(2525),
    [aux_sym_data_statement_token1] = ACTIONS(2525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2525),
    [aux_sym_end_if_statement_token1] = ACTIONS(2525),
    [aux_sym_elseif_clause_token2] = ACTIONS(2525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2525),
    [aux_sym_select_case_statement_token1] = ACTIONS(2525),
    [aux_sym_select_case_statement_token3] = ACTIONS(2525),
    [aux_sym_select_type_statement_token1] = ACTIONS(2525),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2525),
    [aux_sym_block_construct_token1] = ACTIONS(2525),
    [aux_sym_associate_statement_token1] = ACTIONS(2525),
    [aux_sym_format_statement_token1] = ACTIONS(2525),
    [aux_sym_print_statement_token1] = ACTIONS(2525),
    [aux_sym_open_statement_token1] = ACTIONS(2525),
    [aux_sym_close_statement_token1] = ACTIONS(2525),
    [aux_sym_inquire_statement_token1] = ACTIONS(2525),
    [aux_sym_enum_statement_token1] = ACTIONS(2525),
    [aux_sym_file_position_statement_token1] = ACTIONS(2525),
    [aux_sym_file_position_statement_token2] = ACTIONS(2525),
    [aux_sym_file_position_statement_token3] = ACTIONS(2525),
    [aux_sym_file_position_statement_token4] = ACTIONS(2525),
    [aux_sym_logical_expression_token5] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(2525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [aux_sym_boolean_literal_token1] = ACTIONS(2527),
    [aux_sym_boolean_literal_token2] = ACTIONS(2527),
    [aux_sym_null_literal_token1] = ACTIONS(2525),
    [aux_sym_identifier_token1] = ACTIONS(2525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2527),
    [sym__float_literal] = ACTIONS(2527),
    [sym__boz_literal] = ACTIONS(2527),
    [sym__string_literal] = ACTIONS(2527),
    [sym__string_literal_kind] = ACTIONS(2527),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(2519),
    [aux_sym_preproc_include_token1] = ACTIONS(2517),
    [aux_sym_preproc_def_token1] = ACTIONS(2517),
    [aux_sym_preproc_if_token1] = ACTIONS(2517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2517),
    [sym_preproc_directive] = ACTIONS(2517),
    [anon_sym_LPAREN2] = ACTIONS(2517),
    [anon_sym_PLUS] = ACTIONS(2519),
    [anon_sym_DASH] = ACTIONS(2519),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2517),
    [aux_sym_end_program_statement_token1] = ACTIONS(2517),
    [aux_sym_end_program_statement_token2] = ACTIONS(2517),
    [aux_sym_module_statement_token1] = ACTIONS(2517),
    [aux_sym_submodule_statement_token1] = ACTIONS(2517),
    [aux_sym_interface_statement_token1] = ACTIONS(2517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2517),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2517),
    [aux_sym_function_statement_token1] = ACTIONS(2517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2517),
    [aux_sym_contains_statement_token1] = ACTIONS(2517),
    [aux_sym_use_statement_token1] = ACTIONS(2517),
    [aux_sym_use_statement_token2] = ACTIONS(2517),
    [aux_sym_implicit_statement_token1] = ACTIONS(2517),
    [aux_sym_implicit_statement_token3] = ACTIONS(2517),
    [aux_sym_implicit_statement_token4] = ACTIONS(2517),
    [aux_sym_save_statement_token1] = ACTIONS(2517),
    [aux_sym_private_statement_token1] = ACTIONS(2517),
    [aux_sym_public_statement_token1] = ACTIONS(2517),
    [aux_sym_namelist_statement_token1] = ACTIONS(2517),
    [aux_sym_common_statement_token1] = ACTIONS(2517),
    [aux_sym_import_statement_token1] = ACTIONS(2517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2517),
    [aux_sym_variable_attributes_token1] = ACTIONS(2517),
    [aux_sym_variable_attributes_token2] = ACTIONS(2517),
    [aux_sym_variable_attributes_token3] = ACTIONS(2517),
    [aux_sym_variable_attributes_token4] = ACTIONS(2517),
    [aux_sym_variable_attributes_token5] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2517),
    [aux_sym_derived_type_token1] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2517),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2517),
    [aux_sym_stop_statement_token1] = ACTIONS(2517),
    [aux_sym_stop_statement_token2] = ACTIONS(2517),
    [aux_sym_subroutine_call_token1] = ACTIONS(2517),
    [aux_sym_keyword_statement_token1] = ACTIONS(2517),
    [aux_sym_keyword_statement_token2] = ACTIONS(2517),
    [aux_sym_keyword_statement_token3] = ACTIONS(2517),
    [aux_sym_keyword_statement_token4] = ACTIONS(2517),
    [aux_sym_keyword_statement_token6] = ACTIONS(2517),
    [aux_sym_keyword_statement_token7] = ACTIONS(2517),
    [aux_sym_include_statement_token1] = ACTIONS(2517),
    [aux_sym_data_statement_token1] = ACTIONS(2517),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2517),
    [aux_sym_end_if_statement_token1] = ACTIONS(2517),
    [aux_sym_elseif_clause_token2] = ACTIONS(2517),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2517),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2517),
    [aux_sym_select_case_statement_token1] = ACTIONS(2517),
    [aux_sym_select_case_statement_token3] = ACTIONS(2517),
    [aux_sym_select_type_statement_token1] = ACTIONS(2517),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2517),
    [aux_sym_block_construct_token1] = ACTIONS(2517),
    [aux_sym_associate_statement_token1] = ACTIONS(2517),
    [aux_sym_format_statement_token1] = ACTIONS(2517),
    [aux_sym_print_statement_token1] = ACTIONS(2517),
    [aux_sym_open_statement_token1] = ACTIONS(2517),
    [aux_sym_close_statement_token1] = ACTIONS(2517),
    [aux_sym_inquire_statement_token1] = ACTIONS(2517),
    [aux_sym_enum_statement_token1] = ACTIONS(2517),
    [aux_sym_file_position_statement_token1] = ACTIONS(2517),
    [aux_sym_file_position_statement_token2] = ACTIONS(2517),
    [aux_sym_file_position_statement_token3] = ACTIONS(2517),
    [aux_sym_file_position_statement_token4] = ACTIONS(2517),
    [aux_sym_logical_expression_token5] = ACTIONS(2519),
    [anon_sym_DOT] = ACTIONS(2517),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [aux_sym_boolean_literal_token1] = ACTIONS(2519),
    [aux_sym_boolean_literal_token2] = ACTIONS(2519),
    [aux_sym_null_literal_token1] = ACTIONS(2517),
    [aux_sym_identifier_token1] = ACTIONS(2517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2519),
    [sym__float_literal] = ACTIONS(2519),
    [sym__boz_literal] = ACTIONS(2519),
    [sym__string_literal] = ACTIONS(2519),
    [sym__string_literal_kind] = ACTIONS(2519),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2515),
    [aux_sym_preproc_include_token1] = ACTIONS(2513),
    [aux_sym_preproc_def_token1] = ACTIONS(2513),
    [aux_sym_preproc_if_token1] = ACTIONS(2513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2513),
    [sym_preproc_directive] = ACTIONS(2513),
    [anon_sym_LPAREN2] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(2515),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2513),
    [aux_sym_end_program_statement_token1] = ACTIONS(2513),
    [aux_sym_end_program_statement_token2] = ACTIONS(2513),
    [aux_sym_module_statement_token1] = ACTIONS(2513),
    [aux_sym_submodule_statement_token1] = ACTIONS(2513),
    [aux_sym_interface_statement_token1] = ACTIONS(2513),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2513),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2513),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2513),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2513),
    [aux_sym_function_statement_token1] = ACTIONS(2513),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2513),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2513),
    [aux_sym_contains_statement_token1] = ACTIONS(2513),
    [aux_sym_use_statement_token1] = ACTIONS(2513),
    [aux_sym_use_statement_token2] = ACTIONS(2513),
    [aux_sym_implicit_statement_token1] = ACTIONS(2513),
    [aux_sym_implicit_statement_token3] = ACTIONS(2513),
    [aux_sym_implicit_statement_token4] = ACTIONS(2513),
    [aux_sym_save_statement_token1] = ACTIONS(2513),
    [aux_sym_private_statement_token1] = ACTIONS(2513),
    [aux_sym_public_statement_token1] = ACTIONS(2513),
    [aux_sym_namelist_statement_token1] = ACTIONS(2513),
    [aux_sym_common_statement_token1] = ACTIONS(2513),
    [aux_sym_import_statement_token1] = ACTIONS(2513),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2513),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2513),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2513),
    [aux_sym_variable_attributes_token1] = ACTIONS(2513),
    [aux_sym_variable_attributes_token2] = ACTIONS(2513),
    [aux_sym_variable_attributes_token3] = ACTIONS(2513),
    [aux_sym_variable_attributes_token4] = ACTIONS(2513),
    [aux_sym_variable_attributes_token5] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2513),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2513),
    [aux_sym_derived_type_token1] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2513),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2513),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2513),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2513),
    [aux_sym_stop_statement_token1] = ACTIONS(2513),
    [aux_sym_stop_statement_token2] = ACTIONS(2513),
    [aux_sym_subroutine_call_token1] = ACTIONS(2513),
    [aux_sym_keyword_statement_token1] = ACTIONS(2513),
    [aux_sym_keyword_statement_token2] = ACTIONS(2513),
    [aux_sym_keyword_statement_token3] = ACTIONS(2513),
    [aux_sym_keyword_statement_token4] = ACTIONS(2513),
    [aux_sym_keyword_statement_token6] = ACTIONS(2513),
    [aux_sym_keyword_statement_token7] = ACTIONS(2513),
    [aux_sym_include_statement_token1] = ACTIONS(2513),
    [aux_sym_data_statement_token1] = ACTIONS(2513),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2513),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2513),
    [aux_sym_end_if_statement_token1] = ACTIONS(2513),
    [aux_sym_elseif_clause_token2] = ACTIONS(2513),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2513),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2513),
    [aux_sym_select_case_statement_token1] = ACTIONS(2513),
    [aux_sym_select_case_statement_token3] = ACTIONS(2513),
    [aux_sym_select_type_statement_token1] = ACTIONS(2513),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2513),
    [aux_sym_block_construct_token1] = ACTIONS(2513),
    [aux_sym_associate_statement_token1] = ACTIONS(2513),
    [aux_sym_format_statement_token1] = ACTIONS(2513),
    [aux_sym_print_statement_token1] = ACTIONS(2513),
    [aux_sym_open_statement_token1] = ACTIONS(2513),
    [aux_sym_close_statement_token1] = ACTIONS(2513),
    [aux_sym_inquire_statement_token1] = ACTIONS(2513),
    [aux_sym_enum_statement_token1] = ACTIONS(2513),
    [aux_sym_file_position_statement_token1] = ACTIONS(2513),
    [aux_sym_file_position_statement_token2] = ACTIONS(2513),
    [aux_sym_file_position_statement_token3] = ACTIONS(2513),
    [aux_sym_file_position_statement_token4] = ACTIONS(2513),
    [aux_sym_logical_expression_token5] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(2513),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [aux_sym_boolean_literal_token1] = ACTIONS(2515),
    [aux_sym_boolean_literal_token2] = ACTIONS(2515),
    [aux_sym_null_literal_token1] = ACTIONS(2513),
    [aux_sym_identifier_token1] = ACTIONS(2513),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2515),
    [sym__float_literal] = ACTIONS(2515),
    [sym__boz_literal] = ACTIONS(2515),
    [sym__string_literal] = ACTIONS(2515),
    [sym__string_literal_kind] = ACTIONS(2515),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [aux_sym_preproc_include_token1] = ACTIONS(2509),
    [aux_sym_preproc_def_token1] = ACTIONS(2509),
    [aux_sym_preproc_if_token1] = ACTIONS(2509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2509),
    [sym_preproc_directive] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2511),
    [anon_sym_DASH] = ACTIONS(2511),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2509),
    [aux_sym_end_program_statement_token1] = ACTIONS(2509),
    [aux_sym_end_program_statement_token2] = ACTIONS(2509),
    [aux_sym_module_statement_token1] = ACTIONS(2509),
    [aux_sym_submodule_statement_token1] = ACTIONS(2509),
    [aux_sym_interface_statement_token1] = ACTIONS(2509),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2509),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2509),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2509),
    [aux_sym_function_statement_token1] = ACTIONS(2509),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2509),
    [aux_sym_contains_statement_token1] = ACTIONS(2509),
    [aux_sym_use_statement_token1] = ACTIONS(2509),
    [aux_sym_use_statement_token2] = ACTIONS(2509),
    [aux_sym_implicit_statement_token1] = ACTIONS(2509),
    [aux_sym_implicit_statement_token3] = ACTIONS(2509),
    [aux_sym_implicit_statement_token4] = ACTIONS(2509),
    [aux_sym_save_statement_token1] = ACTIONS(2509),
    [aux_sym_private_statement_token1] = ACTIONS(2509),
    [aux_sym_public_statement_token1] = ACTIONS(2509),
    [aux_sym_namelist_statement_token1] = ACTIONS(2509),
    [aux_sym_common_statement_token1] = ACTIONS(2509),
    [aux_sym_import_statement_token1] = ACTIONS(2509),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2509),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2509),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2509),
    [aux_sym_variable_attributes_token1] = ACTIONS(2509),
    [aux_sym_variable_attributes_token2] = ACTIONS(2509),
    [aux_sym_variable_attributes_token3] = ACTIONS(2509),
    [aux_sym_variable_attributes_token4] = ACTIONS(2509),
    [aux_sym_variable_attributes_token5] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2509),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2509),
    [aux_sym_derived_type_token1] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2509),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2509),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2509),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2509),
    [aux_sym_stop_statement_token1] = ACTIONS(2509),
    [aux_sym_stop_statement_token2] = ACTIONS(2509),
    [aux_sym_subroutine_call_token1] = ACTIONS(2509),
    [aux_sym_keyword_statement_token1] = ACTIONS(2509),
    [aux_sym_keyword_statement_token2] = ACTIONS(2509),
    [aux_sym_keyword_statement_token3] = ACTIONS(2509),
    [aux_sym_keyword_statement_token4] = ACTIONS(2509),
    [aux_sym_keyword_statement_token6] = ACTIONS(2509),
    [aux_sym_keyword_statement_token7] = ACTIONS(2509),
    [aux_sym_include_statement_token1] = ACTIONS(2509),
    [aux_sym_data_statement_token1] = ACTIONS(2509),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2509),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2509),
    [aux_sym_end_if_statement_token1] = ACTIONS(2509),
    [aux_sym_elseif_clause_token2] = ACTIONS(2509),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2509),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2509),
    [aux_sym_select_case_statement_token1] = ACTIONS(2509),
    [aux_sym_select_case_statement_token3] = ACTIONS(2509),
    [aux_sym_select_type_statement_token1] = ACTIONS(2509),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2509),
    [aux_sym_block_construct_token1] = ACTIONS(2509),
    [aux_sym_associate_statement_token1] = ACTIONS(2509),
    [aux_sym_format_statement_token1] = ACTIONS(2509),
    [aux_sym_print_statement_token1] = ACTIONS(2509),
    [aux_sym_open_statement_token1] = ACTIONS(2509),
    [aux_sym_close_statement_token1] = ACTIONS(2509),
    [aux_sym_inquire_statement_token1] = ACTIONS(2509),
    [aux_sym_enum_statement_token1] = ACTIONS(2509),
    [aux_sym_file_position_statement_token1] = ACTIONS(2509),
    [aux_sym_file_position_statement_token2] = ACTIONS(2509),
    [aux_sym_file_position_statement_token3] = ACTIONS(2509),
    [aux_sym_file_position_statement_token4] = ACTIONS(2509),
    [aux_sym_logical_expression_token5] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [aux_sym_boolean_literal_token1] = ACTIONS(2511),
    [aux_sym_boolean_literal_token2] = ACTIONS(2511),
    [aux_sym_null_literal_token1] = ACTIONS(2509),
    [aux_sym_identifier_token1] = ACTIONS(2509),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2511),
    [sym__float_literal] = ACTIONS(2511),
    [sym__boz_literal] = ACTIONS(2511),
    [sym__string_literal] = ACTIONS(2511),
    [sym__string_literal_kind] = ACTIONS(2511),
  },
  [775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token2] = ACTIONS(2441),
    [aux_sym_module_statement_token1] = ACTIONS(2441),
    [aux_sym_submodule_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_function_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2441),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [776] = {
    [sym__statements] = STATE(5500),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5500),
    [sym_assignment_statement] = STATE(5500),
    [sym_pointer_association_statement] = STATE(5500),
    [sym_subroutine_call] = STATE(5500),
    [sym_keyword_statement] = STATE(5500),
    [sym_include_statement] = STATE(5500),
    [sym_do_loop_statement] = STATE(5500),
    [sym_do_label_statement] = STATE(5500),
    [sym_end_do_label_statement] = STATE(5500),
    [sym_if_statement] = STATE(5500),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5500),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5500),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5500),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5500),
    [sym_select_type_statement] = STATE(5500),
    [sym_select_rank_statement] = STATE(5500),
    [sym_block_construct] = STATE(5500),
    [sym_associate_statement] = STATE(5500),
    [sym_format_statement] = STATE(5500),
    [sym_read_statement] = STATE(5500),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5500),
    [sym_open_statement] = STATE(5500),
    [sym_close_statement] = STATE(5500),
    [sym_write_statement] = STATE(5500),
    [sym_inquire_statement] = STATE(5500),
    [sym_file_position_statement] = STATE(5500),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [777] = {
    [sym__statements] = STATE(5319),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5319),
    [sym_assignment_statement] = STATE(5319),
    [sym_pointer_association_statement] = STATE(5319),
    [sym_subroutine_call] = STATE(5319),
    [sym_keyword_statement] = STATE(5319),
    [sym_include_statement] = STATE(5319),
    [sym_do_loop_statement] = STATE(5319),
    [sym_do_label_statement] = STATE(5319),
    [sym_end_do_label_statement] = STATE(5319),
    [sym_if_statement] = STATE(5319),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5319),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5319),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5319),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5319),
    [sym_select_type_statement] = STATE(5319),
    [sym_select_rank_statement] = STATE(5319),
    [sym_block_construct] = STATE(5319),
    [sym_associate_statement] = STATE(5319),
    [sym_format_statement] = STATE(5319),
    [sym_read_statement] = STATE(5319),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5319),
    [sym_open_statement] = STATE(5319),
    [sym_close_statement] = STATE(5319),
    [sym_write_statement] = STATE(5319),
    [sym_inquire_statement] = STATE(5319),
    [sym_file_position_statement] = STATE(5319),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [778] = {
    [sym__statements] = STATE(5261),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5261),
    [sym_assignment_statement] = STATE(5261),
    [sym_pointer_association_statement] = STATE(5261),
    [sym_subroutine_call] = STATE(5261),
    [sym_keyword_statement] = STATE(5261),
    [sym_include_statement] = STATE(5261),
    [sym_do_loop_statement] = STATE(5261),
    [sym_do_label_statement] = STATE(5261),
    [sym_end_do_label_statement] = STATE(5261),
    [sym_if_statement] = STATE(5261),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5261),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5261),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5261),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5261),
    [sym_select_type_statement] = STATE(5261),
    [sym_select_rank_statement] = STATE(5261),
    [sym_block_construct] = STATE(5261),
    [sym_associate_statement] = STATE(5261),
    [sym_format_statement] = STATE(5261),
    [sym_read_statement] = STATE(5261),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5261),
    [sym_open_statement] = STATE(5261),
    [sym_close_statement] = STATE(5261),
    [sym_write_statement] = STATE(5261),
    [sym_inquire_statement] = STATE(5261),
    [sym_file_position_statement] = STATE(5261),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [779] = {
    [sym__statements] = STATE(5587),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5587),
    [sym_assignment_statement] = STATE(5587),
    [sym_pointer_association_statement] = STATE(5587),
    [sym_subroutine_call] = STATE(5587),
    [sym_keyword_statement] = STATE(5587),
    [sym_include_statement] = STATE(5587),
    [sym_do_loop_statement] = STATE(5587),
    [sym_do_label_statement] = STATE(5587),
    [sym_end_do_label_statement] = STATE(5587),
    [sym_if_statement] = STATE(5587),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5587),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5587),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5587),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5587),
    [sym_select_type_statement] = STATE(5587),
    [sym_select_rank_statement] = STATE(5587),
    [sym_block_construct] = STATE(5587),
    [sym_associate_statement] = STATE(5587),
    [sym_format_statement] = STATE(5587),
    [sym_read_statement] = STATE(5587),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5587),
    [sym_open_statement] = STATE(5587),
    [sym_close_statement] = STATE(5587),
    [sym_write_statement] = STATE(5587),
    [sym_inquire_statement] = STATE(5587),
    [sym_file_position_statement] = STATE(5587),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [780] = {
    [sym__statements] = STATE(5380),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5380),
    [sym_assignment_statement] = STATE(5380),
    [sym_pointer_association_statement] = STATE(5380),
    [sym_subroutine_call] = STATE(5380),
    [sym_keyword_statement] = STATE(5380),
    [sym_include_statement] = STATE(5380),
    [sym_do_loop_statement] = STATE(5380),
    [sym_do_label_statement] = STATE(5380),
    [sym_end_do_label_statement] = STATE(5380),
    [sym_if_statement] = STATE(5380),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5380),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5380),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5380),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5380),
    [sym_select_type_statement] = STATE(5380),
    [sym_select_rank_statement] = STATE(5380),
    [sym_block_construct] = STATE(5380),
    [sym_associate_statement] = STATE(5380),
    [sym_format_statement] = STATE(5380),
    [sym_read_statement] = STATE(5380),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5380),
    [sym_open_statement] = STATE(5380),
    [sym_close_statement] = STATE(5380),
    [sym_write_statement] = STATE(5380),
    [sym_inquire_statement] = STATE(5380),
    [sym_file_position_statement] = STATE(5380),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [781] = {
    [sym__statements] = STATE(5409),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5409),
    [sym_assignment_statement] = STATE(5409),
    [sym_pointer_association_statement] = STATE(5409),
    [sym_subroutine_call] = STATE(5409),
    [sym_keyword_statement] = STATE(5409),
    [sym_include_statement] = STATE(5409),
    [sym_do_loop_statement] = STATE(5409),
    [sym_do_label_statement] = STATE(5409),
    [sym_end_do_label_statement] = STATE(5409),
    [sym_if_statement] = STATE(5409),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5409),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5409),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5409),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5409),
    [sym_select_type_statement] = STATE(5409),
    [sym_select_rank_statement] = STATE(5409),
    [sym_block_construct] = STATE(5409),
    [sym_associate_statement] = STATE(5409),
    [sym_format_statement] = STATE(5409),
    [sym_read_statement] = STATE(5409),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5409),
    [sym_open_statement] = STATE(5409),
    [sym_close_statement] = STATE(5409),
    [sym_write_statement] = STATE(5409),
    [sym_inquire_statement] = STATE(5409),
    [sym_file_position_statement] = STATE(5409),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
    [sym__end_of_statement] = ACTIONS(2847),
  },
  [782] = {
    [sym__statements] = STATE(5692),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5692),
    [sym_assignment_statement] = STATE(5692),
    [sym_pointer_association_statement] = STATE(5692),
    [sym_subroutine_call] = STATE(5692),
    [sym_keyword_statement] = STATE(5692),
    [sym_include_statement] = STATE(5692),
    [sym_do_loop_statement] = STATE(5692),
    [sym_do_label_statement] = STATE(5692),
    [sym_end_do_label_statement] = STATE(5692),
    [sym_if_statement] = STATE(5692),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5692),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5692),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5692),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5692),
    [sym_select_type_statement] = STATE(5692),
    [sym_select_rank_statement] = STATE(5692),
    [sym_block_construct] = STATE(5692),
    [sym_associate_statement] = STATE(5692),
    [sym_format_statement] = STATE(5692),
    [sym_read_statement] = STATE(5692),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5692),
    [sym_open_statement] = STATE(5692),
    [sym_close_statement] = STATE(5692),
    [sym_write_statement] = STATE(5692),
    [sym_inquire_statement] = STATE(5692),
    [sym_file_position_statement] = STATE(5692),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [783] = {
    [sym__statements] = STATE(5187),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5187),
    [sym_assignment_statement] = STATE(5187),
    [sym_pointer_association_statement] = STATE(5187),
    [sym_subroutine_call] = STATE(5187),
    [sym_keyword_statement] = STATE(5187),
    [sym_include_statement] = STATE(5187),
    [sym_do_loop_statement] = STATE(5187),
    [sym_do_label_statement] = STATE(5187),
    [sym_end_do_label_statement] = STATE(5187),
    [sym_if_statement] = STATE(5187),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5187),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5187),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5187),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5187),
    [sym_select_type_statement] = STATE(5187),
    [sym_select_rank_statement] = STATE(5187),
    [sym_block_construct] = STATE(5187),
    [sym_associate_statement] = STATE(5187),
    [sym_format_statement] = STATE(5187),
    [sym_read_statement] = STATE(5187),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5187),
    [sym_open_statement] = STATE(5187),
    [sym_close_statement] = STATE(5187),
    [sym_write_statement] = STATE(5187),
    [sym_inquire_statement] = STATE(5187),
    [sym_file_position_statement] = STATE(5187),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [784] = {
    [sym__statements] = STATE(5440),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5440),
    [sym_assignment_statement] = STATE(5440),
    [sym_pointer_association_statement] = STATE(5440),
    [sym_subroutine_call] = STATE(5440),
    [sym_keyword_statement] = STATE(5440),
    [sym_include_statement] = STATE(5440),
    [sym_do_loop_statement] = STATE(5440),
    [sym_do_label_statement] = STATE(5440),
    [sym_end_do_label_statement] = STATE(5440),
    [sym_if_statement] = STATE(5440),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5440),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5440),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5440),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5440),
    [sym_select_type_statement] = STATE(5440),
    [sym_select_rank_statement] = STATE(5440),
    [sym_block_construct] = STATE(5440),
    [sym_associate_statement] = STATE(5440),
    [sym_format_statement] = STATE(5440),
    [sym_read_statement] = STATE(5440),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5440),
    [sym_open_statement] = STATE(5440),
    [sym_close_statement] = STATE(5440),
    [sym_write_statement] = STATE(5440),
    [sym_inquire_statement] = STATE(5440),
    [sym_file_position_statement] = STATE(5440),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [785] = {
    [sym__statements] = STATE(5557),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5557),
    [sym_assignment_statement] = STATE(5557),
    [sym_pointer_association_statement] = STATE(5557),
    [sym_subroutine_call] = STATE(5557),
    [sym_keyword_statement] = STATE(5557),
    [sym_include_statement] = STATE(5557),
    [sym_do_loop_statement] = STATE(5557),
    [sym_do_label_statement] = STATE(5557),
    [sym_end_do_label_statement] = STATE(5557),
    [sym_if_statement] = STATE(5557),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5557),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5557),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5557),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5557),
    [sym_select_type_statement] = STATE(5557),
    [sym_select_rank_statement] = STATE(5557),
    [sym_block_construct] = STATE(5557),
    [sym_associate_statement] = STATE(5557),
    [sym_format_statement] = STATE(5557),
    [sym_read_statement] = STATE(5557),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5557),
    [sym_open_statement] = STATE(5557),
    [sym_close_statement] = STATE(5557),
    [sym_write_statement] = STATE(5557),
    [sym_inquire_statement] = STATE(5557),
    [sym_file_position_statement] = STATE(5557),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [786] = {
    [sym__statements] = STATE(5588),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5588),
    [sym_assignment_statement] = STATE(5588),
    [sym_pointer_association_statement] = STATE(5588),
    [sym_subroutine_call] = STATE(5588),
    [sym_keyword_statement] = STATE(5588),
    [sym_include_statement] = STATE(5588),
    [sym_do_loop_statement] = STATE(5588),
    [sym_do_label_statement] = STATE(5588),
    [sym_end_do_label_statement] = STATE(5588),
    [sym_if_statement] = STATE(5588),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5588),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5588),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5588),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5588),
    [sym_select_type_statement] = STATE(5588),
    [sym_select_rank_statement] = STATE(5588),
    [sym_block_construct] = STATE(5588),
    [sym_associate_statement] = STATE(5588),
    [sym_format_statement] = STATE(5588),
    [sym_read_statement] = STATE(5588),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5588),
    [sym_open_statement] = STATE(5588),
    [sym_close_statement] = STATE(5588),
    [sym_write_statement] = STATE(5588),
    [sym_inquire_statement] = STATE(5588),
    [sym_file_position_statement] = STATE(5588),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [787] = {
    [sym__statements] = STATE(5146),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5146),
    [sym_assignment_statement] = STATE(5146),
    [sym_pointer_association_statement] = STATE(5146),
    [sym_subroutine_call] = STATE(5146),
    [sym_keyword_statement] = STATE(5146),
    [sym_include_statement] = STATE(5146),
    [sym_do_loop_statement] = STATE(5146),
    [sym_do_label_statement] = STATE(5146),
    [sym_end_do_label_statement] = STATE(5146),
    [sym_if_statement] = STATE(5146),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5146),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5146),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5146),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5146),
    [sym_select_type_statement] = STATE(5146),
    [sym_select_rank_statement] = STATE(5146),
    [sym_block_construct] = STATE(5146),
    [sym_associate_statement] = STATE(5146),
    [sym_format_statement] = STATE(5146),
    [sym_read_statement] = STATE(5146),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5146),
    [sym_open_statement] = STATE(5146),
    [sym_close_statement] = STATE(5146),
    [sym_write_statement] = STATE(5146),
    [sym_inquire_statement] = STATE(5146),
    [sym_file_position_statement] = STATE(5146),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [788] = {
    [sym__statements] = STATE(5174),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5174),
    [sym_assignment_statement] = STATE(5174),
    [sym_pointer_association_statement] = STATE(5174),
    [sym_subroutine_call] = STATE(5174),
    [sym_keyword_statement] = STATE(5174),
    [sym_include_statement] = STATE(5174),
    [sym_do_loop_statement] = STATE(5174),
    [sym_do_label_statement] = STATE(5174),
    [sym_end_do_label_statement] = STATE(5174),
    [sym_if_statement] = STATE(5174),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5174),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5174),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5174),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5174),
    [sym_select_type_statement] = STATE(5174),
    [sym_select_rank_statement] = STATE(5174),
    [sym_block_construct] = STATE(5174),
    [sym_associate_statement] = STATE(5174),
    [sym_format_statement] = STATE(5174),
    [sym_read_statement] = STATE(5174),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5174),
    [sym_open_statement] = STATE(5174),
    [sym_close_statement] = STATE(5174),
    [sym_write_statement] = STATE(5174),
    [sym_inquire_statement] = STATE(5174),
    [sym_file_position_statement] = STATE(5174),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [789] = {
    [sym__statements] = STATE(5233),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5233),
    [sym_assignment_statement] = STATE(5233),
    [sym_pointer_association_statement] = STATE(5233),
    [sym_subroutine_call] = STATE(5233),
    [sym_keyword_statement] = STATE(5233),
    [sym_include_statement] = STATE(5233),
    [sym_do_loop_statement] = STATE(5233),
    [sym_do_label_statement] = STATE(5233),
    [sym_end_do_label_statement] = STATE(5233),
    [sym_if_statement] = STATE(5233),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5233),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5233),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5233),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5233),
    [sym_select_type_statement] = STATE(5233),
    [sym_select_rank_statement] = STATE(5233),
    [sym_block_construct] = STATE(5233),
    [sym_associate_statement] = STATE(5233),
    [sym_format_statement] = STATE(5233),
    [sym_read_statement] = STATE(5233),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5233),
    [sym_open_statement] = STATE(5233),
    [sym_close_statement] = STATE(5233),
    [sym_write_statement] = STATE(5233),
    [sym_inquire_statement] = STATE(5233),
    [sym_file_position_statement] = STATE(5233),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [790] = {
    [sym__statements] = STATE(5297),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5297),
    [sym_assignment_statement] = STATE(5297),
    [sym_pointer_association_statement] = STATE(5297),
    [sym_subroutine_call] = STATE(5297),
    [sym_keyword_statement] = STATE(5297),
    [sym_include_statement] = STATE(5297),
    [sym_do_loop_statement] = STATE(5297),
    [sym_do_label_statement] = STATE(5297),
    [sym_end_do_label_statement] = STATE(5297),
    [sym_if_statement] = STATE(5297),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5297),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5297),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5297),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5297),
    [sym_select_type_statement] = STATE(5297),
    [sym_select_rank_statement] = STATE(5297),
    [sym_block_construct] = STATE(5297),
    [sym_associate_statement] = STATE(5297),
    [sym_format_statement] = STATE(5297),
    [sym_read_statement] = STATE(5297),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5297),
    [sym_open_statement] = STATE(5297),
    [sym_close_statement] = STATE(5297),
    [sym_write_statement] = STATE(5297),
    [sym_inquire_statement] = STATE(5297),
    [sym_file_position_statement] = STATE(5297),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
    [sym__end_of_statement] = ACTIONS(2849),
  },
  [791] = {
    [sym__statements] = STATE(6145),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(6145),
    [sym_assignment_statement] = STATE(6145),
    [sym_pointer_association_statement] = STATE(6145),
    [sym_subroutine_call] = STATE(6145),
    [sym_keyword_statement] = STATE(6145),
    [sym_include_statement] = STATE(6145),
    [sym_do_loop_statement] = STATE(6145),
    [sym_do_label_statement] = STATE(6145),
    [sym_end_do_label_statement] = STATE(6145),
    [sym_if_statement] = STATE(6145),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(6145),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(6145),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(6145),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(6145),
    [sym_select_type_statement] = STATE(6145),
    [sym_select_rank_statement] = STATE(6145),
    [sym_block_construct] = STATE(6145),
    [sym_associate_statement] = STATE(6145),
    [sym_format_statement] = STATE(6145),
    [sym_read_statement] = STATE(6145),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(6145),
    [sym_open_statement] = STATE(6145),
    [sym_close_statement] = STATE(6145),
    [sym_write_statement] = STATE(6145),
    [sym_inquire_statement] = STATE(6145),
    [sym_file_position_statement] = STATE(6145),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [792] = {
    [sym__statements] = STATE(5287),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5287),
    [sym_assignment_statement] = STATE(5287),
    [sym_pointer_association_statement] = STATE(5287),
    [sym_subroutine_call] = STATE(5287),
    [sym_keyword_statement] = STATE(5287),
    [sym_include_statement] = STATE(5287),
    [sym_do_loop_statement] = STATE(5287),
    [sym_do_label_statement] = STATE(5287),
    [sym_end_do_label_statement] = STATE(5287),
    [sym_if_statement] = STATE(5287),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5287),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5287),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5287),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5287),
    [sym_select_type_statement] = STATE(5287),
    [sym_select_rank_statement] = STATE(5287),
    [sym_block_construct] = STATE(5287),
    [sym_associate_statement] = STATE(5287),
    [sym_format_statement] = STATE(5287),
    [sym_read_statement] = STATE(5287),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5287),
    [sym_open_statement] = STATE(5287),
    [sym_close_statement] = STATE(5287),
    [sym_write_statement] = STATE(5287),
    [sym_inquire_statement] = STATE(5287),
    [sym_file_position_statement] = STATE(5287),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [793] = {
    [sym__statements] = STATE(5666),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5666),
    [sym_assignment_statement] = STATE(5666),
    [sym_pointer_association_statement] = STATE(5666),
    [sym_subroutine_call] = STATE(5666),
    [sym_keyword_statement] = STATE(5666),
    [sym_include_statement] = STATE(5666),
    [sym_do_loop_statement] = STATE(5666),
    [sym_do_label_statement] = STATE(5666),
    [sym_end_do_label_statement] = STATE(5666),
    [sym_if_statement] = STATE(5666),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5666),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5666),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5666),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5666),
    [sym_select_type_statement] = STATE(5666),
    [sym_select_rank_statement] = STATE(5666),
    [sym_block_construct] = STATE(5666),
    [sym_associate_statement] = STATE(5666),
    [sym_format_statement] = STATE(5666),
    [sym_read_statement] = STATE(5666),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5666),
    [sym_open_statement] = STATE(5666),
    [sym_close_statement] = STATE(5666),
    [sym_write_statement] = STATE(5666),
    [sym_inquire_statement] = STATE(5666),
    [sym_file_position_statement] = STATE(5666),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [794] = {
    [sym__statements] = STATE(5608),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5608),
    [sym_assignment_statement] = STATE(5608),
    [sym_pointer_association_statement] = STATE(5608),
    [sym_subroutine_call] = STATE(5608),
    [sym_keyword_statement] = STATE(5608),
    [sym_include_statement] = STATE(5608),
    [sym_do_loop_statement] = STATE(5608),
    [sym_do_label_statement] = STATE(5608),
    [sym_end_do_label_statement] = STATE(5608),
    [sym_if_statement] = STATE(5608),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5608),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5608),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5608),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5608),
    [sym_select_type_statement] = STATE(5608),
    [sym_select_rank_statement] = STATE(5608),
    [sym_block_construct] = STATE(5608),
    [sym_associate_statement] = STATE(5608),
    [sym_format_statement] = STATE(5608),
    [sym_read_statement] = STATE(5608),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5608),
    [sym_open_statement] = STATE(5608),
    [sym_close_statement] = STATE(5608),
    [sym_write_statement] = STATE(5608),
    [sym_inquire_statement] = STATE(5608),
    [sym_file_position_statement] = STATE(5608),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [795] = {
    [sym__statements] = STATE(5337),
    [sym_statement_label] = STATE(5053),
    [sym_stop_statement] = STATE(5337),
    [sym_assignment_statement] = STATE(5337),
    [sym_pointer_association_statement] = STATE(5337),
    [sym_subroutine_call] = STATE(5337),
    [sym_keyword_statement] = STATE(5337),
    [sym_include_statement] = STATE(5337),
    [sym_do_loop_statement] = STATE(5337),
    [sym_do_label_statement] = STATE(5337),
    [sym_end_do_label_statement] = STATE(5337),
    [sym_if_statement] = STATE(5337),
    [sym__inline_if_statement] = STATE(5098),
    [sym_arithmetic_if_statement] = STATE(5337),
    [sym__block_if_statement] = STATE(5098),
    [sym_where_statement] = STATE(5337),
    [sym__inline_where_statement] = STATE(5096),
    [sym__block_where_statement] = STATE(5096),
    [sym_forall_statement] = STATE(5337),
    [sym__forall_control_expression] = STATE(790),
    [sym__inline_forall_statement] = STATE(5093),
    [sym__block_forall_statement] = STATE(5093),
    [sym_select_case_statement] = STATE(5337),
    [sym_select_type_statement] = STATE(5337),
    [sym_select_rank_statement] = STATE(5337),
    [sym_block_construct] = STATE(5337),
    [sym_associate_statement] = STATE(5337),
    [sym_format_statement] = STATE(5337),
    [sym_read_statement] = STATE(5337),
    [sym__simple_read_statement] = STATE(5082),
    [sym__parameterized_read_statement] = STATE(5082),
    [sym_print_statement] = STATE(5337),
    [sym_open_statement] = STATE(5337),
    [sym_close_statement] = STATE(5337),
    [sym_write_statement] = STATE(5337),
    [sym_inquire_statement] = STATE(5337),
    [sym_file_position_statement] = STATE(5337),
    [sym__expression] = STATE(2586),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3101),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_block_label_start_expression] = STATE(3937),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(93),
    [aux_sym_stop_statement_token2] = ACTIONS(95),
    [aux_sym_subroutine_call_token1] = ACTIONS(97),
    [aux_sym_keyword_statement_token1] = ACTIONS(99),
    [aux_sym_keyword_statement_token2] = ACTIONS(101),
    [aux_sym_keyword_statement_token3] = ACTIONS(101),
    [aux_sym_keyword_statement_token4] = ACTIONS(103),
    [aux_sym_keyword_statement_token6] = ACTIONS(105),
    [aux_sym_keyword_statement_token7] = ACTIONS(99),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym_do_loop_statement_token1] = ACTIONS(111),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(113),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(119),
    [aux_sym_select_case_statement_token1] = ACTIONS(121),
    [aux_sym_select_case_statement_token3] = ACTIONS(123),
    [aux_sym_select_type_statement_token1] = ACTIONS(125),
    [aux_sym_select_rank_statement_token2] = ACTIONS(127),
    [aux_sym_block_construct_token1] = ACTIONS(129),
    [aux_sym_associate_statement_token1] = ACTIONS(131),
    [aux_sym_format_statement_token1] = ACTIONS(133),
    [aux_sym_print_statement_token1] = ACTIONS(135),
    [aux_sym_open_statement_token1] = ACTIONS(137),
    [aux_sym_close_statement_token1] = ACTIONS(139),
    [aux_sym_inquire_statement_token1] = ACTIONS(141),
    [aux_sym_file_position_statement_token1] = ACTIONS(145),
    [aux_sym_file_position_statement_token2] = ACTIONS(145),
    [aux_sym_file_position_statement_token3] = ACTIONS(145),
    [aux_sym_file_position_statement_token4] = ACTIONS(147),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2699),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [796] = {
    [sym_preproc_include] = STATE(796),
    [sym_preproc_def] = STATE(796),
    [sym_preproc_function_def] = STATE(796),
    [sym_preproc_call] = STATE(796),
    [sym_preproc_if_in_module] = STATE(796),
    [sym_preproc_ifdef_in_module] = STATE(796),
    [sym_interface] = STATE(796),
    [sym_interface_statement] = STATE(2201),
    [sym__specification_part] = STATE(796),
    [sym_use_statement] = STATE(5279),
    [sym_implicit_statement] = STATE(5279),
    [sym_save_statement] = STATE(5279),
    [sym_private_statement] = STATE(796),
    [sym_public_statement] = STATE(796),
    [sym_namelist_statement] = STATE(5279),
    [sym_common_statement] = STATE(5279),
    [sym_import_statement] = STATE(5279),
    [sym_derived_type_definition] = STATE(796),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2343),
    [sym_variable_declaration] = STATE(5279),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5279),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5279),
    [sym_equivalence_statement] = STATE(5279),
    [sym_statement_label] = STATE(4424),
    [sym_include_statement] = STATE(5279),
    [sym_data_statement] = STATE(5279),
    [sym_enum] = STATE(796),
    [sym_enum_statement] = STATE(4144),
    [sym_statement_function] = STATE(5279),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(796),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2851),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2866),
    [aux_sym_end_module_statement_token1] = ACTIONS(2869),
    [aux_sym_interface_statement_token1] = ACTIONS(2871),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2874),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2874),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2877),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2880),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2883),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token1] = ACTIONS(2886),
    [aux_sym_use_statement_token2] = ACTIONS(2883),
    [aux_sym_implicit_statement_token1] = ACTIONS(2889),
    [aux_sym_implicit_statement_token3] = ACTIONS(2892),
    [aux_sym_implicit_statement_token4] = ACTIONS(2883),
    [aux_sym_save_statement_token1] = ACTIONS(2895),
    [aux_sym_private_statement_token1] = ACTIONS(2898),
    [aux_sym_public_statement_token1] = ACTIONS(2901),
    [aux_sym_namelist_statement_token1] = ACTIONS(2904),
    [aux_sym_common_statement_token1] = ACTIONS(2907),
    [aux_sym_import_statement_token1] = ACTIONS(2910),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2883),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2913),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2883),
    [aux_sym_variable_attributes_token1] = ACTIONS(2883),
    [aux_sym_variable_attributes_token2] = ACTIONS(2883),
    [aux_sym_variable_attributes_token3] = ACTIONS(2883),
    [aux_sym_variable_attributes_token4] = ACTIONS(2883),
    [aux_sym_variable_attributes_token5] = ACTIONS(2883),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2916),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2916),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2922),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2925),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2919),
    [aux_sym_derived_type_token1] = ACTIONS(2928),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2934),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2940),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2940),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2883),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2943),
    [aux_sym_stop_statement_token1] = ACTIONS(2874),
    [aux_sym_stop_statement_token2] = ACTIONS(2874),
    [aux_sym_keyword_statement_token2] = ACTIONS(2874),
    [aux_sym_keyword_statement_token3] = ACTIONS(2874),
    [aux_sym_include_statement_token1] = ACTIONS(2946),
    [aux_sym_data_statement_token1] = ACTIONS(2949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2874),
    [aux_sym_end_if_statement_token1] = ACTIONS(2874),
    [aux_sym_elseif_clause_token2] = ACTIONS(2874),
    [aux_sym_select_case_statement_token1] = ACTIONS(2952),
    [aux_sym_block_construct_token1] = ACTIONS(2874),
    [aux_sym_format_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2874),
    [aux_sym_enum_statement_token1] = ACTIONS(2955),
    [aux_sym_null_literal_token1] = ACTIONS(2874),
    [aux_sym_identifier_token1] = ACTIONS(2874),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2958),
  },
  [797] = {
    [sym_preproc_include] = STATE(797),
    [sym_preproc_def] = STATE(797),
    [sym_preproc_function_def] = STATE(797),
    [sym_preproc_call] = STATE(797),
    [sym_preproc_if_in_module] = STATE(797),
    [sym_preproc_ifdef_in_module] = STATE(797),
    [sym_interface] = STATE(797),
    [sym_interface_statement] = STATE(2215),
    [sym__specification_part] = STATE(797),
    [sym_use_statement] = STATE(5209),
    [sym_implicit_statement] = STATE(5209),
    [sym_save_statement] = STATE(5209),
    [sym_private_statement] = STATE(797),
    [sym_public_statement] = STATE(797),
    [sym_namelist_statement] = STATE(5209),
    [sym_common_statement] = STATE(5209),
    [sym_import_statement] = STATE(5209),
    [sym_derived_type_definition] = STATE(797),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2337),
    [sym_variable_declaration] = STATE(5209),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5209),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5209),
    [sym_equivalence_statement] = STATE(5209),
    [sym_statement_label] = STATE(4769),
    [sym_include_statement] = STATE(5209),
    [sym_data_statement] = STATE(5209),
    [sym_enum] = STATE(797),
    [sym_enum_statement] = STATE(4169),
    [sym_statement_function] = STATE(5209),
    [sym_identifier] = STATE(5064),
    [aux_sym_module_repeat1] = STATE(797),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2970),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2866),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2869),
    [aux_sym_interface_statement_token1] = ACTIONS(2871),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2874),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2874),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2877),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2880),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2883),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token1] = ACTIONS(2886),
    [aux_sym_use_statement_token2] = ACTIONS(2883),
    [aux_sym_implicit_statement_token1] = ACTIONS(2889),
    [aux_sym_implicit_statement_token3] = ACTIONS(2892),
    [aux_sym_implicit_statement_token4] = ACTIONS(2883),
    [aux_sym_save_statement_token1] = ACTIONS(2895),
    [aux_sym_private_statement_token1] = ACTIONS(2976),
    [aux_sym_public_statement_token1] = ACTIONS(2979),
    [aux_sym_namelist_statement_token1] = ACTIONS(2904),
    [aux_sym_common_statement_token1] = ACTIONS(2907),
    [aux_sym_import_statement_token1] = ACTIONS(2910),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2883),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2913),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2883),
    [aux_sym_variable_attributes_token1] = ACTIONS(2883),
    [aux_sym_variable_attributes_token2] = ACTIONS(2883),
    [aux_sym_variable_attributes_token3] = ACTIONS(2883),
    [aux_sym_variable_attributes_token4] = ACTIONS(2883),
    [aux_sym_variable_attributes_token5] = ACTIONS(2883),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2916),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2916),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2922),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2925),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2919),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2919),
    [aux_sym_derived_type_token1] = ACTIONS(2928),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2934),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2883),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2940),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2940),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2883),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2943),
    [aux_sym_stop_statement_token1] = ACTIONS(2874),
    [aux_sym_stop_statement_token2] = ACTIONS(2874),
    [aux_sym_keyword_statement_token2] = ACTIONS(2874),
    [aux_sym_keyword_statement_token3] = ACTIONS(2874),
    [aux_sym_include_statement_token1] = ACTIONS(2946),
    [aux_sym_data_statement_token1] = ACTIONS(2949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2874),
    [aux_sym_end_if_statement_token1] = ACTIONS(2874),
    [aux_sym_elseif_clause_token2] = ACTIONS(2874),
    [aux_sym_select_case_statement_token1] = ACTIONS(2952),
    [aux_sym_block_construct_token1] = ACTIONS(2874),
    [aux_sym_format_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2874),
    [aux_sym_enum_statement_token1] = ACTIONS(2955),
    [aux_sym_null_literal_token1] = ACTIONS(2874),
    [aux_sym_identifier_token1] = ACTIONS(2874),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2958),
  },
  [798] = {
    [sym_preproc_include] = STATE(798),
    [sym_preproc_def] = STATE(798),
    [sym_preproc_function_def] = STATE(798),
    [sym_preproc_call] = STATE(798),
    [sym_interface] = STATE(798),
    [sym_interface_statement] = STATE(2225),
    [sym__specification_part] = STATE(798),
    [sym_use_statement] = STATE(5362),
    [sym_implicit_statement] = STATE(5362),
    [sym_save_statement] = STATE(5362),
    [sym_private_statement] = STATE(798),
    [sym_public_statement] = STATE(798),
    [sym_namelist_statement] = STATE(5362),
    [sym_common_statement] = STATE(5362),
    [sym_import_statement] = STATE(5362),
    [sym_derived_type_definition] = STATE(798),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2340),
    [sym_variable_declaration] = STATE(5362),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5362),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5362),
    [sym_equivalence_statement] = STATE(5362),
    [sym_statement_label] = STATE(4667),
    [sym_include_statement] = STATE(5362),
    [sym_data_statement] = STATE(5362),
    [sym_enum] = STATE(798),
    [sym_enum_statement] = STATE(4164),
    [sym_statement_function] = STATE(5362),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(2982),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(1124),
    [aux_sym_preproc_else_token1] = ACTIONS(1124),
    [aux_sym_preproc_elif_token1] = ACTIONS(1124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1131),
    [aux_sym_interface_statement_token1] = ACTIONS(1134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1137),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1146),
    [aux_sym_contains_statement_token1] = ACTIONS(1124),
    [aux_sym_use_statement_token1] = ACTIONS(1149),
    [aux_sym_use_statement_token2] = ACTIONS(1146),
    [aux_sym_implicit_statement_token1] = ACTIONS(1152),
    [aux_sym_implicit_statement_token3] = ACTIONS(1155),
    [aux_sym_implicit_statement_token4] = ACTIONS(1146),
    [aux_sym_save_statement_token1] = ACTIONS(1158),
    [aux_sym_private_statement_token1] = ACTIONS(2991),
    [aux_sym_public_statement_token1] = ACTIONS(2994),
    [aux_sym_namelist_statement_token1] = ACTIONS(1167),
    [aux_sym_common_statement_token1] = ACTIONS(1170),
    [aux_sym_import_statement_token1] = ACTIONS(1173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1146),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1146),
    [aux_sym_variable_attributes_token1] = ACTIONS(1146),
    [aux_sym_variable_attributes_token2] = ACTIONS(1146),
    [aux_sym_variable_attributes_token3] = ACTIONS(1146),
    [aux_sym_variable_attributes_token4] = ACTIONS(1146),
    [aux_sym_variable_attributes_token5] = ACTIONS(1146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1185),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1182),
    [aux_sym_derived_type_token1] = ACTIONS(1191),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1194),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1197),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1206),
    [aux_sym_stop_statement_token1] = ACTIONS(1137),
    [aux_sym_stop_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token3] = ACTIONS(1137),
    [aux_sym_include_statement_token1] = ACTIONS(1209),
    [aux_sym_data_statement_token1] = ACTIONS(1212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1137),
    [aux_sym_end_if_statement_token1] = ACTIONS(1137),
    [aux_sym_elseif_clause_token2] = ACTIONS(1137),
    [aux_sym_select_case_statement_token1] = ACTIONS(1215),
    [aux_sym_block_construct_token1] = ACTIONS(1137),
    [aux_sym_format_statement_token1] = ACTIONS(1137),
    [aux_sym_inquire_statement_token1] = ACTIONS(1137),
    [aux_sym_enum_statement_token1] = ACTIONS(1218),
    [aux_sym_null_literal_token1] = ACTIONS(1137),
    [aux_sym_identifier_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1221),
  },
  [799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_end_program_statement_token2] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [800] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_end_program_statement_token2] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_end_program_statement_token2] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_end_program_statement_token2] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [803] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_end_program_statement_token2] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_end_program_statement_token2] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3021),
    [aux_sym_preproc_elif_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_end_program_statement_token2] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [806] = {
    [sym_preproc_include] = STATE(820),
    [sym_preproc_def] = STATE(820),
    [sym_preproc_function_def] = STATE(820),
    [sym_preproc_call] = STATE(820),
    [sym_interface] = STATE(820),
    [sym_interface_statement] = STATE(2227),
    [sym_internal_procedures] = STATE(5838),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(820),
    [sym_use_statement] = STATE(5482),
    [sym_implicit_statement] = STATE(5482),
    [sym_save_statement] = STATE(5482),
    [sym_private_statement] = STATE(820),
    [sym_public_statement] = STATE(820),
    [sym_namelist_statement] = STATE(5482),
    [sym_common_statement] = STATE(5482),
    [sym_import_statement] = STATE(5482),
    [sym_derived_type_definition] = STATE(820),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2338),
    [sym_variable_declaration] = STATE(5482),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5482),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5482),
    [sym_equivalence_statement] = STATE(5482),
    [sym_statement_label] = STATE(4299),
    [sym_include_statement] = STATE(5482),
    [sym_data_statement] = STATE(5482),
    [sym_enum] = STATE(820),
    [sym_enum_statement] = STATE(4171),
    [sym_statement_function] = STATE(5482),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(820),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3031),
    [sym_preproc_comment] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(3035),
    [aux_sym_public_statement_token1] = ACTIONS(3037),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token2] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [aux_sym_preproc_else_token1] = ACTIONS(3039),
    [aux_sym_preproc_elif_token1] = ACTIONS(3039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_end_program_statement_token2] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [aux_sym_preproc_else_token1] = ACTIONS(3043),
    [aux_sym_preproc_elif_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_end_program_statement_token2] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_end_program_statement_token2] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_end_program_statement_token2] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [aux_sym_preproc_else_token1] = ACTIONS(3055),
    [aux_sym_preproc_elif_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_end_program_statement_token2] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [aux_sym_preproc_else_token1] = ACTIONS(3059),
    [aux_sym_preproc_elif_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_end_program_statement_token2] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3063),
    [aux_sym_preproc_def_token1] = ACTIONS(3063),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [aux_sym_preproc_else_token1] = ACTIONS(3068),
    [aux_sym_preproc_elif_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3063),
    [anon_sym_LPAREN2] = ACTIONS(3063),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3063),
    [aux_sym_end_program_statement_token2] = ACTIONS(3066),
    [aux_sym_interface_statement_token1] = ACTIONS(3063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3063),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3063),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3063),
    [aux_sym_contains_statement_token1] = ACTIONS(3063),
    [aux_sym_use_statement_token1] = ACTIONS(3063),
    [aux_sym_use_statement_token2] = ACTIONS(3063),
    [aux_sym_implicit_statement_token1] = ACTIONS(3063),
    [aux_sym_implicit_statement_token3] = ACTIONS(3063),
    [aux_sym_implicit_statement_token4] = ACTIONS(3063),
    [aux_sym_save_statement_token1] = ACTIONS(3063),
    [aux_sym_private_statement_token1] = ACTIONS(3063),
    [aux_sym_public_statement_token1] = ACTIONS(3063),
    [aux_sym_namelist_statement_token1] = ACTIONS(3063),
    [aux_sym_common_statement_token1] = ACTIONS(3063),
    [aux_sym_import_statement_token1] = ACTIONS(3063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3063),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3063),
    [aux_sym_variable_attributes_token1] = ACTIONS(3063),
    [aux_sym_variable_attributes_token2] = ACTIONS(3063),
    [aux_sym_variable_attributes_token3] = ACTIONS(3063),
    [aux_sym_variable_attributes_token4] = ACTIONS(3063),
    [aux_sym_variable_attributes_token5] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3063),
    [aux_sym_derived_type_token1] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3063),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3063),
    [aux_sym_stop_statement_token1] = ACTIONS(3063),
    [aux_sym_stop_statement_token2] = ACTIONS(3063),
    [aux_sym_subroutine_call_token1] = ACTIONS(3063),
    [aux_sym_keyword_statement_token1] = ACTIONS(3063),
    [aux_sym_keyword_statement_token2] = ACTIONS(3063),
    [aux_sym_keyword_statement_token3] = ACTIONS(3063),
    [aux_sym_keyword_statement_token4] = ACTIONS(3063),
    [aux_sym_keyword_statement_token6] = ACTIONS(3063),
    [aux_sym_keyword_statement_token7] = ACTIONS(3063),
    [aux_sym_include_statement_token1] = ACTIONS(3063),
    [aux_sym_data_statement_token1] = ACTIONS(3063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3063),
    [aux_sym_end_if_statement_token1] = ACTIONS(3063),
    [aux_sym_elseif_clause_token2] = ACTIONS(3063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3063),
    [aux_sym_select_case_statement_token1] = ACTIONS(3063),
    [aux_sym_select_case_statement_token3] = ACTIONS(3063),
    [aux_sym_select_type_statement_token1] = ACTIONS(3063),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3063),
    [aux_sym_block_construct_token1] = ACTIONS(3063),
    [aux_sym_associate_statement_token1] = ACTIONS(3063),
    [aux_sym_format_statement_token1] = ACTIONS(3063),
    [aux_sym_print_statement_token1] = ACTIONS(3063),
    [aux_sym_open_statement_token1] = ACTIONS(3063),
    [aux_sym_close_statement_token1] = ACTIONS(3063),
    [aux_sym_inquire_statement_token1] = ACTIONS(3063),
    [aux_sym_enum_statement_token1] = ACTIONS(3063),
    [aux_sym_file_position_statement_token1] = ACTIONS(3063),
    [aux_sym_file_position_statement_token2] = ACTIONS(3063),
    [aux_sym_file_position_statement_token3] = ACTIONS(3063),
    [aux_sym_file_position_statement_token4] = ACTIONS(3063),
    [aux_sym_logical_expression_token5] = ACTIONS(3070),
    [anon_sym_DOT] = ACTIONS(3063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [aux_sym_boolean_literal_token1] = ACTIONS(3070),
    [aux_sym_boolean_literal_token2] = ACTIONS(3070),
    [aux_sym_null_literal_token1] = ACTIONS(3063),
    [aux_sym_identifier_token1] = ACTIONS(3063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3070),
    [sym__float_literal] = ACTIONS(3070),
    [sym__boz_literal] = ACTIONS(3070),
    [sym__string_literal] = ACTIONS(3070),
    [sym__string_literal_kind] = ACTIONS(3070),
  },
  [814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_end_program_statement_token2] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_end_program_statement_token2] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_end_program_statement_token2] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_end_program_statement_token2] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_end_program_statement_token2] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [aux_sym_preproc_else_token1] = ACTIONS(3093),
    [aux_sym_preproc_elif_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_end_program_statement_token2] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [820] = {
    [sym_preproc_include] = STATE(823),
    [sym_preproc_def] = STATE(823),
    [sym_preproc_function_def] = STATE(823),
    [sym_preproc_call] = STATE(823),
    [sym_interface] = STATE(823),
    [sym_interface_statement] = STATE(2227),
    [sym_internal_procedures] = STATE(5977),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(823),
    [sym_use_statement] = STATE(5482),
    [sym_implicit_statement] = STATE(5482),
    [sym_save_statement] = STATE(5482),
    [sym_private_statement] = STATE(823),
    [sym_public_statement] = STATE(823),
    [sym_namelist_statement] = STATE(5482),
    [sym_common_statement] = STATE(5482),
    [sym_import_statement] = STATE(5482),
    [sym_derived_type_definition] = STATE(823),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2338),
    [sym_variable_declaration] = STATE(5482),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5482),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5482),
    [sym_equivalence_statement] = STATE(5482),
    [sym_statement_label] = STATE(4299),
    [sym_include_statement] = STATE(5482),
    [sym_data_statement] = STATE(5482),
    [sym_enum] = STATE(823),
    [sym_enum_statement] = STATE(4171),
    [sym_statement_function] = STATE(5482),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(823),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(3035),
    [aux_sym_public_statement_token1] = ACTIONS(3037),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [821] = {
    [sym_preproc_include] = STATE(822),
    [sym_preproc_def] = STATE(822),
    [sym_preproc_function_def] = STATE(822),
    [sym_preproc_call] = STATE(822),
    [sym_interface] = STATE(822),
    [sym_interface_statement] = STATE(2227),
    [sym_internal_procedures] = STATE(5977),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(822),
    [sym_use_statement] = STATE(5482),
    [sym_implicit_statement] = STATE(5482),
    [sym_save_statement] = STATE(5482),
    [sym_private_statement] = STATE(822),
    [sym_public_statement] = STATE(822),
    [sym_namelist_statement] = STATE(5482),
    [sym_common_statement] = STATE(5482),
    [sym_import_statement] = STATE(5482),
    [sym_derived_type_definition] = STATE(822),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2338),
    [sym_variable_declaration] = STATE(5482),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5482),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5482),
    [sym_equivalence_statement] = STATE(5482),
    [sym_statement_label] = STATE(4299),
    [sym_include_statement] = STATE(5482),
    [sym_data_statement] = STATE(5482),
    [sym_enum] = STATE(822),
    [sym_enum_statement] = STATE(4171),
    [sym_statement_function] = STATE(5482),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(822),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(3035),
    [aux_sym_public_statement_token1] = ACTIONS(3037),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [822] = {
    [sym_preproc_include] = STATE(823),
    [sym_preproc_def] = STATE(823),
    [sym_preproc_function_def] = STATE(823),
    [sym_preproc_call] = STATE(823),
    [sym_interface] = STATE(823),
    [sym_interface_statement] = STATE(2227),
    [sym_internal_procedures] = STATE(6153),
    [sym_contains_statement] = STATE(5899),
    [sym__specification_part] = STATE(823),
    [sym_use_statement] = STATE(5482),
    [sym_implicit_statement] = STATE(5482),
    [sym_save_statement] = STATE(5482),
    [sym_private_statement] = STATE(823),
    [sym_public_statement] = STATE(823),
    [sym_namelist_statement] = STATE(5482),
    [sym_common_statement] = STATE(5482),
    [sym_import_statement] = STATE(5482),
    [sym_derived_type_definition] = STATE(823),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2338),
    [sym_variable_declaration] = STATE(5482),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5482),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5482),
    [sym_equivalence_statement] = STATE(5482),
    [sym_statement_label] = STATE(4299),
    [sym_include_statement] = STATE(5482),
    [sym_data_statement] = STATE(5482),
    [sym_enum] = STATE(823),
    [sym_enum_statement] = STATE(4171),
    [sym_statement_function] = STATE(5482),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(823),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3027),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_procedure_attributes_token1] = ACTIONS(617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(47),
    [aux_sym_contains_statement_token1] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(47),
    [aux_sym_implicit_statement_token1] = ACTIONS(53),
    [aux_sym_implicit_statement_token3] = ACTIONS(619),
    [aux_sym_implicit_statement_token4] = ACTIONS(47),
    [aux_sym_save_statement_token1] = ACTIONS(57),
    [aux_sym_private_statement_token1] = ACTIONS(3035),
    [aux_sym_public_statement_token1] = ACTIONS(3037),
    [aux_sym_namelist_statement_token1] = ACTIONS(63),
    [aux_sym_common_statement_token1] = ACTIONS(65),
    [aux_sym_import_statement_token1] = ACTIONS(67),
    [aux_sym_derived_type_definition_token1] = ACTIONS(47),
    [aux_sym_abstract_specifier_token1] = ACTIONS(69),
    [aux_sym_procedure_attribute_token6] = ACTIONS(47),
    [aux_sym_variable_attributes_token1] = ACTIONS(47),
    [aux_sym_variable_attributes_token2] = ACTIONS(47),
    [aux_sym_variable_attributes_token3] = ACTIONS(47),
    [aux_sym_variable_attributes_token4] = ACTIONS(47),
    [aux_sym_variable_attributes_token5] = ACTIONS(47),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token2] = ACTIONS(627),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2669),
    [aux_sym__intrinsic_type_token4] = ACTIONS(629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(627),
    [aux_sym__intrinsic_type_token7] = ACTIONS(627),
    [aux_sym__intrinsic_type_token8] = ACTIONS(631),
    [aux_sym__intrinsic_type_token9] = ACTIONS(627),
    [aux_sym__intrinsic_type_token10] = ACTIONS(627),
    [aux_sym_derived_type_token1] = ACTIONS(633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(47),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(47),
    [aux_sym_equivalence_statement_token1] = ACTIONS(91),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_include_statement_token1] = ACTIONS(107),
    [aux_sym_data_statement_token1] = ACTIONS(2671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_enum_statement_token1] = ACTIONS(143),
    [aux_sym_null_literal_token1] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2675),
  },
  [823] = {
    [sym_preproc_include] = STATE(823),
    [sym_preproc_def] = STATE(823),
    [sym_preproc_function_def] = STATE(823),
    [sym_preproc_call] = STATE(823),
    [sym_interface] = STATE(823),
    [sym_interface_statement] = STATE(2227),
    [sym__specification_part] = STATE(823),
    [sym_use_statement] = STATE(5482),
    [sym_implicit_statement] = STATE(5482),
    [sym_save_statement] = STATE(5482),
    [sym_private_statement] = STATE(823),
    [sym_public_statement] = STATE(823),
    [sym_namelist_statement] = STATE(5482),
    [sym_common_statement] = STATE(5482),
    [sym_import_statement] = STATE(5482),
    [sym_derived_type_definition] = STATE(823),
    [sym_abstract_specifier] = STATE(5166),
    [sym_derived_type_statement] = STATE(2338),
    [sym_variable_declaration] = STATE(5482),
    [sym_procedure_declaration] = STATE(2656),
    [sym_variable_modification] = STATE(5482),
    [sym_variable_attributes] = STATE(2081),
    [sym__intrinsic_type] = STATE(2859),
    [sym_intrinsic_type] = STATE(2656),
    [sym_derived_type] = STATE(2656),
    [sym__standalone_type_qualifier] = STATE(2167),
    [sym_parameter_statement] = STATE(5482),
    [sym_equivalence_statement] = STATE(5482),
    [sym_statement_label] = STATE(4299),
    [sym_include_statement] = STATE(5482),
    [sym_data_statement] = STATE(5482),
    [sym_enum] = STATE(823),
    [sym_enum_statement] = STATE(4171),
    [sym_statement_function] = STATE(5482),
    [sym_identifier] = STATE(5064),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(823),
    [aux_sym_variable_modification_repeat1] = STATE(2081),
    [aux_sym_preproc_include_token1] = ACTIONS(3101),
    [aux_sym_preproc_def_token1] = ACTIONS(3104),
    [aux_sym_preproc_if_token2] = ACTIONS(1124),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1131),
    [aux_sym_interface_statement_token1] = ACTIONS(1134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1137),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1143),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1146),
    [aux_sym_contains_statement_token1] = ACTIONS(1124),
    [aux_sym_use_statement_token1] = ACTIONS(1149),
    [aux_sym_use_statement_token2] = ACTIONS(1146),
    [aux_sym_implicit_statement_token1] = ACTIONS(1152),
    [aux_sym_implicit_statement_token3] = ACTIONS(1155),
    [aux_sym_implicit_statement_token4] = ACTIONS(1146),
    [aux_sym_save_statement_token1] = ACTIONS(1158),
    [aux_sym_private_statement_token1] = ACTIONS(3110),
    [aux_sym_public_statement_token1] = ACTIONS(3113),
    [aux_sym_namelist_statement_token1] = ACTIONS(1167),
    [aux_sym_common_statement_token1] = ACTIONS(1170),
    [aux_sym_import_statement_token1] = ACTIONS(1173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1146),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1146),
    [aux_sym_variable_attributes_token1] = ACTIONS(1146),
    [aux_sym_variable_attributes_token2] = ACTIONS(1146),
    [aux_sym_variable_attributes_token3] = ACTIONS(1146),
    [aux_sym_variable_attributes_token4] = ACTIONS(1146),
    [aux_sym_variable_attributes_token5] = ACTIONS(1146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1179),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1185),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1182),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1182),
    [aux_sym_derived_type_token1] = ACTIONS(1191),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1194),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1197),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1206),
    [aux_sym_stop_statement_token1] = ACTIONS(1137),
    [aux_sym_stop_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token2] = ACTIONS(1137),
    [aux_sym_keyword_statement_token3] = ACTIONS(1137),
    [aux_sym_include_statement_token1] = ACTIONS(1209),
    [aux_sym_data_statement_token1] = ACTIONS(1212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1137),
    [aux_sym_end_if_statement_token1] = ACTIONS(1137),
    [aux_sym_elseif_clause_token2] = ACTIONS(1137),
    [aux_sym_select_case_statement_token1] = ACTIONS(1215),
    [aux_sym_block_construct_token1] = ACTIONS(1137),
    [aux_sym_format_statement_token1] = ACTIONS(1137),
    [aux_sym_inquire_statement_token1] = ACTIONS(1137),
    [aux_sym_enum_statement_token1] = ACTIONS(1218),
    [aux_sym_null_literal_token1] = ACTIONS(1137),
    [aux_sym_identifier_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1221),
  },
  [824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token2] = ACTIONS(2301),
    [aux_sym_preproc_else_token1] = ACTIONS(2301),
    [aux_sym_preproc_elif_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [sym_preproc_comment] = ACTIONS(2303),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_interface_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token2] = ACTIONS(2301),
    [aux_sym_implicit_statement_token1] = ACTIONS(2301),
    [aux_sym_implicit_statement_token3] = ACTIONS(2301),
    [aux_sym_implicit_statement_token4] = ACTIONS(2301),
    [aux_sym_save_statement_token1] = ACTIONS(2301),
    [aux_sym_private_statement_token1] = ACTIONS(2301),
    [aux_sym_public_statement_token1] = ACTIONS(2301),
    [aux_sym_namelist_statement_token1] = ACTIONS(2301),
    [aux_sym_common_statement_token1] = ACTIONS(2301),
    [aux_sym_import_statement_token1] = ACTIONS(2301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2301),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2301),
    [aux_sym_variable_attributes_token1] = ACTIONS(2301),
    [aux_sym_variable_attributes_token2] = ACTIONS(2301),
    [aux_sym_variable_attributes_token3] = ACTIONS(2301),
    [aux_sym_variable_attributes_token4] = ACTIONS(2301),
    [aux_sym_variable_attributes_token5] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2301),
    [aux_sym_derived_type_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2301),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_subroutine_call_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_keyword_statement_token4] = ACTIONS(2301),
    [aux_sym_keyword_statement_token6] = ACTIONS(2301),
    [aux_sym_keyword_statement_token7] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token3] = ACTIONS(2301),
    [aux_sym_select_type_statement_token1] = ACTIONS(2301),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_associate_statement_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_print_statement_token1] = ACTIONS(2301),
    [aux_sym_open_statement_token1] = ACTIONS(2301),
    [aux_sym_close_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_enum_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token2] = ACTIONS(2301),
    [aux_sym_file_position_statement_token3] = ACTIONS(2301),
    [aux_sym_file_position_statement_token4] = ACTIONS(2301),
    [aux_sym_logical_expression_token5] = ACTIONS(2303),
    [anon_sym_DOT] = ACTIONS(2301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(2303),
    [aux_sym_boolean_literal_token1] = ACTIONS(2303),
    [aux_sym_boolean_literal_token2] = ACTIONS(2303),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
    [sym__float_literal] = ACTIONS(2303),
    [sym__boz_literal] = ACTIONS(2303),
    [sym__string_literal] = ACTIONS(2303),
    [sym__string_literal_kind] = ACTIONS(2303),
  },
  [825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token2] = ACTIONS(2389),
    [aux_sym_preproc_else_token1] = ACTIONS(2389),
    [aux_sym_preproc_elif_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [anon_sym_LPAREN2] = ACTIONS(2389),
    [sym_preproc_comment] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_interface_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token2] = ACTIONS(2389),
    [aux_sym_implicit_statement_token1] = ACTIONS(2389),
    [aux_sym_implicit_statement_token3] = ACTIONS(2389),
    [aux_sym_implicit_statement_token4] = ACTIONS(2389),
    [aux_sym_save_statement_token1] = ACTIONS(2389),
    [aux_sym_private_statement_token1] = ACTIONS(2389),
    [aux_sym_public_statement_token1] = ACTIONS(2389),
    [aux_sym_namelist_statement_token1] = ACTIONS(2389),
    [aux_sym_common_statement_token1] = ACTIONS(2389),
    [aux_sym_import_statement_token1] = ACTIONS(2389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2389),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2389),
    [aux_sym_variable_attributes_token1] = ACTIONS(2389),
    [aux_sym_variable_attributes_token2] = ACTIONS(2389),
    [aux_sym_variable_attributes_token3] = ACTIONS(2389),
    [aux_sym_variable_attributes_token4] = ACTIONS(2389),
    [aux_sym_variable_attributes_token5] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2389),
    [aux_sym_derived_type_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2389),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_subroutine_call_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_keyword_statement_token4] = ACTIONS(2389),
    [aux_sym_keyword_statement_token6] = ACTIONS(2389),
    [aux_sym_keyword_statement_token7] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token3] = ACTIONS(2389),
    [aux_sym_select_type_statement_token1] = ACTIONS(2389),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_associate_statement_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_print_statement_token1] = ACTIONS(2389),
    [aux_sym_open_statement_token1] = ACTIONS(2389),
    [aux_sym_close_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_enum_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token2] = ACTIONS(2389),
    [aux_sym_file_position_statement_token3] = ACTIONS(2389),
    [aux_sym_file_position_statement_token4] = ACTIONS(2389),
    [aux_sym_logical_expression_token5] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [aux_sym_boolean_literal_token1] = ACTIONS(2391),
    [aux_sym_boolean_literal_token2] = ACTIONS(2391),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
    [sym__float_literal] = ACTIONS(2391),
    [sym__boz_literal] = ACTIONS(2391),
    [sym__string_literal] = ACTIONS(2391),
    [sym__string_literal_kind] = ACTIONS(2391),
  },
  [826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token2] = ACTIONS(2385),
    [aux_sym_preproc_else_token1] = ACTIONS(2385),
    [aux_sym_preproc_elif_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [anon_sym_LPAREN2] = ACTIONS(2385),
    [sym_preproc_comment] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_interface_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token2] = ACTIONS(2385),
    [aux_sym_implicit_statement_token1] = ACTIONS(2385),
    [aux_sym_implicit_statement_token3] = ACTIONS(2385),
    [aux_sym_implicit_statement_token4] = ACTIONS(2385),
    [aux_sym_save_statement_token1] = ACTIONS(2385),
    [aux_sym_private_statement_token1] = ACTIONS(2385),
    [aux_sym_public_statement_token1] = ACTIONS(2385),
    [aux_sym_namelist_statement_token1] = ACTIONS(2385),
    [aux_sym_common_statement_token1] = ACTIONS(2385),
    [aux_sym_import_statement_token1] = ACTIONS(2385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2385),
    [aux_sym_variable_attributes_token1] = ACTIONS(2385),
    [aux_sym_variable_attributes_token2] = ACTIONS(2385),
    [aux_sym_variable_attributes_token3] = ACTIONS(2385),
    [aux_sym_variable_attributes_token4] = ACTIONS(2385),
    [aux_sym_variable_attributes_token5] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2385),
    [aux_sym_derived_type_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_subroutine_call_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_keyword_statement_token4] = ACTIONS(2385),
    [aux_sym_keyword_statement_token6] = ACTIONS(2385),
    [aux_sym_keyword_statement_token7] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token3] = ACTIONS(2385),
    [aux_sym_select_type_statement_token1] = ACTIONS(2385),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_associate_statement_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_print_statement_token1] = ACTIONS(2385),
    [aux_sym_open_statement_token1] = ACTIONS(2385),
    [aux_sym_close_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_enum_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token2] = ACTIONS(2385),
    [aux_sym_file_position_statement_token3] = ACTIONS(2385),
    [aux_sym_file_position_statement_token4] = ACTIONS(2385),
    [aux_sym_logical_expression_token5] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [aux_sym_boolean_literal_token1] = ACTIONS(2387),
    [aux_sym_boolean_literal_token2] = ACTIONS(2387),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
    [sym__float_literal] = ACTIONS(2387),
    [sym__boz_literal] = ACTIONS(2387),
    [sym__string_literal] = ACTIONS(2387),
    [sym__string_literal_kind] = ACTIONS(2387),
  },
  [827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token2] = ACTIONS(2351),
    [aux_sym_preproc_else_token1] = ACTIONS(2351),
    [aux_sym_preproc_elif_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2351),
    [sym_preproc_comment] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token2] = ACTIONS(2351),
    [aux_sym_implicit_statement_token1] = ACTIONS(2351),
    [aux_sym_implicit_statement_token3] = ACTIONS(2351),
    [aux_sym_implicit_statement_token4] = ACTIONS(2351),
    [aux_sym_save_statement_token1] = ACTIONS(2351),
    [aux_sym_private_statement_token1] = ACTIONS(2351),
    [aux_sym_public_statement_token1] = ACTIONS(2351),
    [aux_sym_namelist_statement_token1] = ACTIONS(2351),
    [aux_sym_common_statement_token1] = ACTIONS(2351),
    [aux_sym_import_statement_token1] = ACTIONS(2351),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2351),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2351),
    [aux_sym_variable_attributes_token1] = ACTIONS(2351),
    [aux_sym_variable_attributes_token2] = ACTIONS(2351),
    [aux_sym_variable_attributes_token3] = ACTIONS(2351),
    [aux_sym_variable_attributes_token4] = ACTIONS(2351),
    [aux_sym_variable_attributes_token5] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2351),
    [aux_sym_derived_type_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2351),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_subroutine_call_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_keyword_statement_token4] = ACTIONS(2351),
    [aux_sym_keyword_statement_token6] = ACTIONS(2351),
    [aux_sym_keyword_statement_token7] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2351),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token3] = ACTIONS(2351),
    [aux_sym_select_type_statement_token1] = ACTIONS(2351),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_associate_statement_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_print_statement_token1] = ACTIONS(2351),
    [aux_sym_open_statement_token1] = ACTIONS(2351),
    [aux_sym_close_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_enum_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token2] = ACTIONS(2351),
    [aux_sym_file_position_statement_token3] = ACTIONS(2351),
    [aux_sym_file_position_statement_token4] = ACTIONS(2351),
    [aux_sym_logical_expression_token5] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_boolean_literal_token1] = ACTIONS(2353),
    [aux_sym_boolean_literal_token2] = ACTIONS(2353),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
    [sym__float_literal] = ACTIONS(2353),
    [sym__boz_literal] = ACTIONS(2353),
    [sym__string_literal] = ACTIONS(2353),
    [sym__string_literal_kind] = ACTIONS(2353),
  },
  [828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_end_program_statement_token2] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_end_program_statement_token2] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_end_program_statement_token2] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [831] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_end_function_statement_token1] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [sym_preproc_comment] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3132),
    [aux_sym_interface_statement_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3132),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3132),
    [aux_sym_contains_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token2] = ACTIONS(3132),
    [aux_sym_implicit_statement_token1] = ACTIONS(3132),
    [aux_sym_implicit_statement_token3] = ACTIONS(3132),
    [aux_sym_implicit_statement_token4] = ACTIONS(3132),
    [aux_sym_save_statement_token1] = ACTIONS(3132),
    [aux_sym_private_statement_token1] = ACTIONS(3132),
    [aux_sym_public_statement_token1] = ACTIONS(3132),
    [aux_sym_namelist_statement_token1] = ACTIONS(3132),
    [aux_sym_common_statement_token1] = ACTIONS(3132),
    [aux_sym_import_statement_token1] = ACTIONS(3132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3132),
    [aux_sym_variable_attributes_token1] = ACTIONS(3132),
    [aux_sym_variable_attributes_token2] = ACTIONS(3132),
    [aux_sym_variable_attributes_token3] = ACTIONS(3132),
    [aux_sym_variable_attributes_token4] = ACTIONS(3132),
    [aux_sym_variable_attributes_token5] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3132),
    [aux_sym_derived_type_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token2] = ACTIONS(3132),
    [aux_sym_subroutine_call_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token2] = ACTIONS(3132),
    [aux_sym_keyword_statement_token3] = ACTIONS(3132),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_keyword_statement_token6] = ACTIONS(3132),
    [aux_sym_keyword_statement_token7] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3132),
    [aux_sym_data_statement_token1] = ACTIONS(3132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3132),
    [aux_sym_end_if_statement_token1] = ACTIONS(3132),
    [aux_sym_elseif_clause_token2] = ACTIONS(3132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token3] = ACTIONS(3132),
    [aux_sym_select_type_statement_token1] = ACTIONS(3132),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3132),
    [aux_sym_block_construct_token1] = ACTIONS(3132),
    [aux_sym_associate_statement_token1] = ACTIONS(3132),
    [aux_sym_format_statement_token1] = ACTIONS(3132),
    [aux_sym_print_statement_token1] = ACTIONS(3132),
    [aux_sym_open_statement_token1] = ACTIONS(3132),
    [aux_sym_close_statement_token1] = ACTIONS(3132),
    [aux_sym_inquire_statement_token1] = ACTIONS(3132),
    [aux_sym_enum_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token2] = ACTIONS(3132),
    [aux_sym_file_position_statement_token3] = ACTIONS(3132),
    [aux_sym_file_position_statement_token4] = ACTIONS(3132),
    [aux_sym_logical_expression_token5] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [aux_sym_boolean_literal_token1] = ACTIONS(3136),
    [aux_sym_boolean_literal_token2] = ACTIONS(3136),
    [aux_sym_null_literal_token1] = ACTIONS(3132),
    [aux_sym_identifier_token1] = ACTIONS(3132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3136),
    [sym__float_literal] = ACTIONS(3136),
    [sym__boz_literal] = ACTIONS(3136),
    [sym__string_literal] = ACTIONS(3136),
    [sym__string_literal_kind] = ACTIONS(3136),
  },
  [835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [sym_preproc_comment] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3138),
    [aux_sym_interface_statement_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3138),
    [aux_sym_end_function_statement_token1] = ACTIONS(3138),
    [aux_sym_contains_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token2] = ACTIONS(3138),
    [aux_sym_implicit_statement_token1] = ACTIONS(3138),
    [aux_sym_implicit_statement_token3] = ACTIONS(3138),
    [aux_sym_implicit_statement_token4] = ACTIONS(3138),
    [aux_sym_save_statement_token1] = ACTIONS(3138),
    [aux_sym_private_statement_token1] = ACTIONS(3138),
    [aux_sym_public_statement_token1] = ACTIONS(3138),
    [aux_sym_namelist_statement_token1] = ACTIONS(3138),
    [aux_sym_common_statement_token1] = ACTIONS(3138),
    [aux_sym_import_statement_token1] = ACTIONS(3138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3138),
    [aux_sym_variable_attributes_token1] = ACTIONS(3138),
    [aux_sym_variable_attributes_token2] = ACTIONS(3138),
    [aux_sym_variable_attributes_token3] = ACTIONS(3138),
    [aux_sym_variable_attributes_token4] = ACTIONS(3138),
    [aux_sym_variable_attributes_token5] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3138),
    [aux_sym_derived_type_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token2] = ACTIONS(3138),
    [aux_sym_subroutine_call_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token2] = ACTIONS(3138),
    [aux_sym_keyword_statement_token3] = ACTIONS(3138),
    [aux_sym_keyword_statement_token4] = ACTIONS(3138),
    [aux_sym_keyword_statement_token6] = ACTIONS(3138),
    [aux_sym_keyword_statement_token7] = ACTIONS(3138),
    [aux_sym_include_statement_token1] = ACTIONS(3138),
    [aux_sym_data_statement_token1] = ACTIONS(3138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3138),
    [aux_sym_end_if_statement_token1] = ACTIONS(3138),
    [aux_sym_elseif_clause_token2] = ACTIONS(3138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token3] = ACTIONS(3138),
    [aux_sym_select_type_statement_token1] = ACTIONS(3138),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3138),
    [aux_sym_block_construct_token1] = ACTIONS(3138),
    [aux_sym_associate_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3138),
    [aux_sym_print_statement_token1] = ACTIONS(3138),
    [aux_sym_open_statement_token1] = ACTIONS(3138),
    [aux_sym_close_statement_token1] = ACTIONS(3138),
    [aux_sym_inquire_statement_token1] = ACTIONS(3138),
    [aux_sym_enum_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token2] = ACTIONS(3138),
    [aux_sym_file_position_statement_token3] = ACTIONS(3138),
    [aux_sym_file_position_statement_token4] = ACTIONS(3138),
    [aux_sym_logical_expression_token5] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [aux_sym_boolean_literal_token1] = ACTIONS(3142),
    [aux_sym_boolean_literal_token2] = ACTIONS(3142),
    [aux_sym_null_literal_token1] = ACTIONS(3138),
    [aux_sym_identifier_token1] = ACTIONS(3138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3142),
    [sym__float_literal] = ACTIONS(3142),
    [sym__boz_literal] = ACTIONS(3142),
    [sym__string_literal] = ACTIONS(3142),
    [sym__string_literal_kind] = ACTIONS(3142),
  },
  [836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_end_function_statement_token1] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token2] = ACTIONS(2469),
    [aux_sym_preproc_else_token1] = ACTIONS(2469),
    [aux_sym_preproc_elif_token1] = ACTIONS(2469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3021),
    [aux_sym_preproc_elif_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_end_function_statement_token1] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_end_function_statement_token1] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_end_function_statement_token1] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token2] = ACTIONS(2473),
    [aux_sym_preproc_else_token1] = ACTIONS(2473),
    [aux_sym_preproc_elif_token1] = ACTIONS(2473),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token2] = ACTIONS(2477),
    [aux_sym_preproc_else_token1] = ACTIONS(2477),
    [aux_sym_preproc_elif_token1] = ACTIONS(2477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_else_token1] = ACTIONS(3043),
    [aux_sym_preproc_elif_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [sym_preproc_comment] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3154),
    [aux_sym_interface_statement_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3154),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3154),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3154),
    [aux_sym_contains_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token2] = ACTIONS(3154),
    [aux_sym_implicit_statement_token1] = ACTIONS(3154),
    [aux_sym_implicit_statement_token3] = ACTIONS(3154),
    [aux_sym_implicit_statement_token4] = ACTIONS(3154),
    [aux_sym_save_statement_token1] = ACTIONS(3154),
    [aux_sym_private_statement_token1] = ACTIONS(3154),
    [aux_sym_public_statement_token1] = ACTIONS(3154),
    [aux_sym_namelist_statement_token1] = ACTIONS(3154),
    [aux_sym_common_statement_token1] = ACTIONS(3154),
    [aux_sym_import_statement_token1] = ACTIONS(3154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3154),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3154),
    [aux_sym_variable_attributes_token1] = ACTIONS(3154),
    [aux_sym_variable_attributes_token2] = ACTIONS(3154),
    [aux_sym_variable_attributes_token3] = ACTIONS(3154),
    [aux_sym_variable_attributes_token4] = ACTIONS(3154),
    [aux_sym_variable_attributes_token5] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3154),
    [aux_sym_derived_type_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3154),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token2] = ACTIONS(3154),
    [aux_sym_subroutine_call_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token2] = ACTIONS(3154),
    [aux_sym_keyword_statement_token3] = ACTIONS(3154),
    [aux_sym_keyword_statement_token4] = ACTIONS(3154),
    [aux_sym_keyword_statement_token6] = ACTIONS(3154),
    [aux_sym_keyword_statement_token7] = ACTIONS(3154),
    [aux_sym_include_statement_token1] = ACTIONS(3154),
    [aux_sym_data_statement_token1] = ACTIONS(3154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3154),
    [aux_sym_end_if_statement_token1] = ACTIONS(3154),
    [aux_sym_elseif_clause_token2] = ACTIONS(3154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token3] = ACTIONS(3154),
    [aux_sym_select_type_statement_token1] = ACTIONS(3154),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3154),
    [aux_sym_block_construct_token1] = ACTIONS(3154),
    [aux_sym_associate_statement_token1] = ACTIONS(3154),
    [aux_sym_format_statement_token1] = ACTIONS(3154),
    [aux_sym_print_statement_token1] = ACTIONS(3154),
    [aux_sym_open_statement_token1] = ACTIONS(3154),
    [aux_sym_close_statement_token1] = ACTIONS(3154),
    [aux_sym_inquire_statement_token1] = ACTIONS(3154),
    [aux_sym_enum_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token2] = ACTIONS(3154),
    [aux_sym_file_position_statement_token3] = ACTIONS(3154),
    [aux_sym_file_position_statement_token4] = ACTIONS(3154),
    [aux_sym_logical_expression_token5] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [aux_sym_boolean_literal_token1] = ACTIONS(3158),
    [aux_sym_boolean_literal_token2] = ACTIONS(3158),
    [aux_sym_null_literal_token1] = ACTIONS(3154),
    [aux_sym_identifier_token1] = ACTIONS(3154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3158),
    [sym__float_literal] = ACTIONS(3158),
    [sym__boz_literal] = ACTIONS(3158),
    [sym__string_literal] = ACTIONS(3158),
    [sym__string_literal_kind] = ACTIONS(3158),
  },
  [849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [sym_preproc_comment] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [sym_preproc_comment] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3166),
    [aux_sym_interface_statement_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3166),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3166),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3166),
    [aux_sym_contains_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token2] = ACTIONS(3166),
    [aux_sym_implicit_statement_token1] = ACTIONS(3166),
    [aux_sym_implicit_statement_token3] = ACTIONS(3166),
    [aux_sym_implicit_statement_token4] = ACTIONS(3166),
    [aux_sym_save_statement_token1] = ACTIONS(3166),
    [aux_sym_private_statement_token1] = ACTIONS(3166),
    [aux_sym_public_statement_token1] = ACTIONS(3166),
    [aux_sym_namelist_statement_token1] = ACTIONS(3166),
    [aux_sym_common_statement_token1] = ACTIONS(3166),
    [aux_sym_import_statement_token1] = ACTIONS(3166),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3166),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3166),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3166),
    [aux_sym_variable_attributes_token1] = ACTIONS(3166),
    [aux_sym_variable_attributes_token2] = ACTIONS(3166),
    [aux_sym_variable_attributes_token3] = ACTIONS(3166),
    [aux_sym_variable_attributes_token4] = ACTIONS(3166),
    [aux_sym_variable_attributes_token5] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3166),
    [aux_sym_derived_type_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3166),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token2] = ACTIONS(3166),
    [aux_sym_subroutine_call_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token2] = ACTIONS(3166),
    [aux_sym_keyword_statement_token3] = ACTIONS(3166),
    [aux_sym_keyword_statement_token4] = ACTIONS(3166),
    [aux_sym_keyword_statement_token6] = ACTIONS(3166),
    [aux_sym_keyword_statement_token7] = ACTIONS(3166),
    [aux_sym_include_statement_token1] = ACTIONS(3166),
    [aux_sym_data_statement_token1] = ACTIONS(3166),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3166),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3166),
    [aux_sym_end_if_statement_token1] = ACTIONS(3166),
    [aux_sym_elseif_clause_token2] = ACTIONS(3166),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3166),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token3] = ACTIONS(3166),
    [aux_sym_select_type_statement_token1] = ACTIONS(3166),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3166),
    [aux_sym_block_construct_token1] = ACTIONS(3166),
    [aux_sym_associate_statement_token1] = ACTIONS(3166),
    [aux_sym_format_statement_token1] = ACTIONS(3166),
    [aux_sym_print_statement_token1] = ACTIONS(3166),
    [aux_sym_open_statement_token1] = ACTIONS(3166),
    [aux_sym_close_statement_token1] = ACTIONS(3166),
    [aux_sym_inquire_statement_token1] = ACTIONS(3166),
    [aux_sym_enum_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token2] = ACTIONS(3166),
    [aux_sym_file_position_statement_token3] = ACTIONS(3166),
    [aux_sym_file_position_statement_token4] = ACTIONS(3166),
    [aux_sym_logical_expression_token5] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [aux_sym_boolean_literal_token1] = ACTIONS(3170),
    [aux_sym_boolean_literal_token2] = ACTIONS(3170),
    [aux_sym_null_literal_token1] = ACTIONS(3166),
    [aux_sym_identifier_token1] = ACTIONS(3166),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3170),
    [sym__float_literal] = ACTIONS(3170),
    [sym__boz_literal] = ACTIONS(3170),
    [sym__string_literal] = ACTIONS(3170),
    [sym__string_literal_kind] = ACTIONS(3170),
  },
  [851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_end_function_statement_token1] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_end_function_statement_token1] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token2] = ACTIONS(2481),
    [aux_sym_preproc_else_token1] = ACTIONS(2481),
    [aux_sym_preproc_elif_token1] = ACTIONS(2481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [sym_preproc_comment] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3176),
    [aux_sym_interface_statement_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3176),
    [aux_sym_end_function_statement_token1] = ACTIONS(3176),
    [aux_sym_contains_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token2] = ACTIONS(3176),
    [aux_sym_implicit_statement_token1] = ACTIONS(3176),
    [aux_sym_implicit_statement_token3] = ACTIONS(3176),
    [aux_sym_implicit_statement_token4] = ACTIONS(3176),
    [aux_sym_save_statement_token1] = ACTIONS(3176),
    [aux_sym_private_statement_token1] = ACTIONS(3176),
    [aux_sym_public_statement_token1] = ACTIONS(3176),
    [aux_sym_namelist_statement_token1] = ACTIONS(3176),
    [aux_sym_common_statement_token1] = ACTIONS(3176),
    [aux_sym_import_statement_token1] = ACTIONS(3176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3176),
    [aux_sym_variable_attributes_token1] = ACTIONS(3176),
    [aux_sym_variable_attributes_token2] = ACTIONS(3176),
    [aux_sym_variable_attributes_token3] = ACTIONS(3176),
    [aux_sym_variable_attributes_token4] = ACTIONS(3176),
    [aux_sym_variable_attributes_token5] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3176),
    [aux_sym_derived_type_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token2] = ACTIONS(3176),
    [aux_sym_subroutine_call_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token2] = ACTIONS(3176),
    [aux_sym_keyword_statement_token3] = ACTIONS(3176),
    [aux_sym_keyword_statement_token4] = ACTIONS(3176),
    [aux_sym_keyword_statement_token6] = ACTIONS(3176),
    [aux_sym_keyword_statement_token7] = ACTIONS(3176),
    [aux_sym_include_statement_token1] = ACTIONS(3176),
    [aux_sym_data_statement_token1] = ACTIONS(3176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3176),
    [aux_sym_end_if_statement_token1] = ACTIONS(3176),
    [aux_sym_elseif_clause_token2] = ACTIONS(3176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token3] = ACTIONS(3176),
    [aux_sym_select_type_statement_token1] = ACTIONS(3176),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3176),
    [aux_sym_block_construct_token1] = ACTIONS(3176),
    [aux_sym_associate_statement_token1] = ACTIONS(3176),
    [aux_sym_format_statement_token1] = ACTIONS(3176),
    [aux_sym_print_statement_token1] = ACTIONS(3176),
    [aux_sym_open_statement_token1] = ACTIONS(3176),
    [aux_sym_close_statement_token1] = ACTIONS(3176),
    [aux_sym_inquire_statement_token1] = ACTIONS(3176),
    [aux_sym_enum_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token2] = ACTIONS(3176),
    [aux_sym_file_position_statement_token3] = ACTIONS(3176),
    [aux_sym_file_position_statement_token4] = ACTIONS(3176),
    [aux_sym_logical_expression_token5] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [aux_sym_boolean_literal_token1] = ACTIONS(3180),
    [aux_sym_boolean_literal_token2] = ACTIONS(3180),
    [aux_sym_null_literal_token1] = ACTIONS(3176),
    [aux_sym_identifier_token1] = ACTIONS(3176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3180),
    [sym__float_literal] = ACTIONS(3180),
    [sym__boz_literal] = ACTIONS(3180),
    [sym__string_literal] = ACTIONS(3180),
    [sym__string_literal_kind] = ACTIONS(3180),
  },
  [855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_end_function_statement_token1] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token2] = ACTIONS(2485),
    [aux_sym_preproc_else_token1] = ACTIONS(2485),
    [aux_sym_preproc_elif_token1] = ACTIONS(2485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [sym_preproc_comment] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3184),
    [aux_sym_end_program_statement_token2] = ACTIONS(3184),
    [aux_sym_interface_statement_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3184),
    [aux_sym_contains_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token2] = ACTIONS(3184),
    [aux_sym_implicit_statement_token1] = ACTIONS(3184),
    [aux_sym_implicit_statement_token3] = ACTIONS(3184),
    [aux_sym_implicit_statement_token4] = ACTIONS(3184),
    [aux_sym_save_statement_token1] = ACTIONS(3184),
    [aux_sym_private_statement_token1] = ACTIONS(3184),
    [aux_sym_public_statement_token1] = ACTIONS(3184),
    [aux_sym_namelist_statement_token1] = ACTIONS(3184),
    [aux_sym_common_statement_token1] = ACTIONS(3184),
    [aux_sym_import_statement_token1] = ACTIONS(3184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3184),
    [aux_sym_variable_attributes_token1] = ACTIONS(3184),
    [aux_sym_variable_attributes_token2] = ACTIONS(3184),
    [aux_sym_variable_attributes_token3] = ACTIONS(3184),
    [aux_sym_variable_attributes_token4] = ACTIONS(3184),
    [aux_sym_variable_attributes_token5] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3184),
    [aux_sym_derived_type_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token2] = ACTIONS(3184),
    [aux_sym_subroutine_call_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token2] = ACTIONS(3184),
    [aux_sym_keyword_statement_token3] = ACTIONS(3184),
    [aux_sym_keyword_statement_token4] = ACTIONS(3184),
    [aux_sym_keyword_statement_token6] = ACTIONS(3184),
    [aux_sym_keyword_statement_token7] = ACTIONS(3184),
    [aux_sym_include_statement_token1] = ACTIONS(3184),
    [aux_sym_data_statement_token1] = ACTIONS(3184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3184),
    [aux_sym_end_if_statement_token1] = ACTIONS(3184),
    [aux_sym_elseif_clause_token2] = ACTIONS(3184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token3] = ACTIONS(3184),
    [aux_sym_select_type_statement_token1] = ACTIONS(3184),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3184),
    [aux_sym_block_construct_token1] = ACTIONS(3184),
    [aux_sym_associate_statement_token1] = ACTIONS(3184),
    [aux_sym_format_statement_token1] = ACTIONS(3184),
    [aux_sym_print_statement_token1] = ACTIONS(3184),
    [aux_sym_open_statement_token1] = ACTIONS(3184),
    [aux_sym_close_statement_token1] = ACTIONS(3184),
    [aux_sym_inquire_statement_token1] = ACTIONS(3184),
    [aux_sym_enum_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token2] = ACTIONS(3184),
    [aux_sym_file_position_statement_token3] = ACTIONS(3184),
    [aux_sym_file_position_statement_token4] = ACTIONS(3184),
    [aux_sym_logical_expression_token5] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [aux_sym_boolean_literal_token1] = ACTIONS(3188),
    [aux_sym_boolean_literal_token2] = ACTIONS(3188),
    [aux_sym_null_literal_token1] = ACTIONS(3184),
    [aux_sym_identifier_token1] = ACTIONS(3184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3188),
    [sym__float_literal] = ACTIONS(3188),
    [sym__boz_literal] = ACTIONS(3188),
    [sym__string_literal] = ACTIONS(3188),
    [sym__string_literal_kind] = ACTIONS(3188),
  },
  [859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [sym_preproc_comment] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3190),
    [aux_sym_interface_statement_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3190),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3190),
    [aux_sym_end_function_statement_token1] = ACTIONS(3190),
    [aux_sym_contains_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token2] = ACTIONS(3190),
    [aux_sym_implicit_statement_token1] = ACTIONS(3190),
    [aux_sym_implicit_statement_token3] = ACTIONS(3190),
    [aux_sym_implicit_statement_token4] = ACTIONS(3190),
    [aux_sym_save_statement_token1] = ACTIONS(3190),
    [aux_sym_private_statement_token1] = ACTIONS(3190),
    [aux_sym_public_statement_token1] = ACTIONS(3190),
    [aux_sym_namelist_statement_token1] = ACTIONS(3190),
    [aux_sym_common_statement_token1] = ACTIONS(3190),
    [aux_sym_import_statement_token1] = ACTIONS(3190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3190),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3190),
    [aux_sym_variable_attributes_token1] = ACTIONS(3190),
    [aux_sym_variable_attributes_token2] = ACTIONS(3190),
    [aux_sym_variable_attributes_token3] = ACTIONS(3190),
    [aux_sym_variable_attributes_token4] = ACTIONS(3190),
    [aux_sym_variable_attributes_token5] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3190),
    [aux_sym_derived_type_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3190),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token2] = ACTIONS(3190),
    [aux_sym_subroutine_call_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token2] = ACTIONS(3190),
    [aux_sym_keyword_statement_token3] = ACTIONS(3190),
    [aux_sym_keyword_statement_token4] = ACTIONS(3190),
    [aux_sym_keyword_statement_token6] = ACTIONS(3190),
    [aux_sym_keyword_statement_token7] = ACTIONS(3190),
    [aux_sym_include_statement_token1] = ACTIONS(3190),
    [aux_sym_data_statement_token1] = ACTIONS(3190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3190),
    [aux_sym_end_if_statement_token1] = ACTIONS(3190),
    [aux_sym_elseif_clause_token2] = ACTIONS(3190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token3] = ACTIONS(3190),
    [aux_sym_select_type_statement_token1] = ACTIONS(3190),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3190),
    [aux_sym_block_construct_token1] = ACTIONS(3190),
    [aux_sym_associate_statement_token1] = ACTIONS(3190),
    [aux_sym_format_statement_token1] = ACTIONS(3190),
    [aux_sym_print_statement_token1] = ACTIONS(3190),
    [aux_sym_open_statement_token1] = ACTIONS(3190),
    [aux_sym_close_statement_token1] = ACTIONS(3190),
    [aux_sym_inquire_statement_token1] = ACTIONS(3190),
    [aux_sym_enum_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token2] = ACTIONS(3190),
    [aux_sym_file_position_statement_token3] = ACTIONS(3190),
    [aux_sym_file_position_statement_token4] = ACTIONS(3190),
    [aux_sym_logical_expression_token5] = ACTIONS(3194),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [aux_sym_boolean_literal_token1] = ACTIONS(3194),
    [aux_sym_boolean_literal_token2] = ACTIONS(3194),
    [aux_sym_null_literal_token1] = ACTIONS(3190),
    [aux_sym_identifier_token1] = ACTIONS(3190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3194),
    [sym__float_literal] = ACTIONS(3194),
    [sym__boz_literal] = ACTIONS(3194),
    [sym__string_literal] = ACTIONS(3194),
    [sym__string_literal_kind] = ACTIONS(3194),
  },
  [861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_end_function_statement_token1] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [sym_preproc_comment] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [sym_preproc_comment] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3204),
    [aux_sym_interface_statement_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3204),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3204),
    [aux_sym_contains_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token2] = ACTIONS(3204),
    [aux_sym_implicit_statement_token1] = ACTIONS(3204),
    [aux_sym_implicit_statement_token3] = ACTIONS(3204),
    [aux_sym_implicit_statement_token4] = ACTIONS(3204),
    [aux_sym_save_statement_token1] = ACTIONS(3204),
    [aux_sym_private_statement_token1] = ACTIONS(3204),
    [aux_sym_public_statement_token1] = ACTIONS(3204),
    [aux_sym_namelist_statement_token1] = ACTIONS(3204),
    [aux_sym_common_statement_token1] = ACTIONS(3204),
    [aux_sym_import_statement_token1] = ACTIONS(3204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3204),
    [aux_sym_variable_attributes_token1] = ACTIONS(3204),
    [aux_sym_variable_attributes_token2] = ACTIONS(3204),
    [aux_sym_variable_attributes_token3] = ACTIONS(3204),
    [aux_sym_variable_attributes_token4] = ACTIONS(3204),
    [aux_sym_variable_attributes_token5] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3204),
    [aux_sym_derived_type_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token2] = ACTIONS(3204),
    [aux_sym_subroutine_call_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token2] = ACTIONS(3204),
    [aux_sym_keyword_statement_token3] = ACTIONS(3204),
    [aux_sym_keyword_statement_token4] = ACTIONS(3204),
    [aux_sym_keyword_statement_token6] = ACTIONS(3204),
    [aux_sym_keyword_statement_token7] = ACTIONS(3204),
    [aux_sym_include_statement_token1] = ACTIONS(3204),
    [aux_sym_data_statement_token1] = ACTIONS(3204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3204),
    [aux_sym_end_if_statement_token1] = ACTIONS(3204),
    [aux_sym_elseif_clause_token2] = ACTIONS(3204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token3] = ACTIONS(3204),
    [aux_sym_select_type_statement_token1] = ACTIONS(3204),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3204),
    [aux_sym_block_construct_token1] = ACTIONS(3204),
    [aux_sym_associate_statement_token1] = ACTIONS(3204),
    [aux_sym_format_statement_token1] = ACTIONS(3204),
    [aux_sym_print_statement_token1] = ACTIONS(3204),
    [aux_sym_open_statement_token1] = ACTIONS(3204),
    [aux_sym_close_statement_token1] = ACTIONS(3204),
    [aux_sym_inquire_statement_token1] = ACTIONS(3204),
    [aux_sym_enum_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token2] = ACTIONS(3204),
    [aux_sym_file_position_statement_token3] = ACTIONS(3204),
    [aux_sym_file_position_statement_token4] = ACTIONS(3204),
    [aux_sym_logical_expression_token5] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [aux_sym_boolean_literal_token1] = ACTIONS(3208),
    [aux_sym_boolean_literal_token2] = ACTIONS(3208),
    [aux_sym_null_literal_token1] = ACTIONS(3204),
    [aux_sym_identifier_token1] = ACTIONS(3204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3208),
    [sym__float_literal] = ACTIONS(3208),
    [sym__boz_literal] = ACTIONS(3208),
    [sym__string_literal] = ACTIONS(3208),
    [sym__string_literal_kind] = ACTIONS(3208),
  },
  [864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_end_function_statement_token1] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [sym_preproc_comment] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3184),
    [aux_sym_interface_statement_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3184),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3184),
    [aux_sym_contains_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token2] = ACTIONS(3184),
    [aux_sym_implicit_statement_token1] = ACTIONS(3184),
    [aux_sym_implicit_statement_token3] = ACTIONS(3184),
    [aux_sym_implicit_statement_token4] = ACTIONS(3184),
    [aux_sym_save_statement_token1] = ACTIONS(3184),
    [aux_sym_private_statement_token1] = ACTIONS(3184),
    [aux_sym_public_statement_token1] = ACTIONS(3184),
    [aux_sym_namelist_statement_token1] = ACTIONS(3184),
    [aux_sym_common_statement_token1] = ACTIONS(3184),
    [aux_sym_import_statement_token1] = ACTIONS(3184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3184),
    [aux_sym_variable_attributes_token1] = ACTIONS(3184),
    [aux_sym_variable_attributes_token2] = ACTIONS(3184),
    [aux_sym_variable_attributes_token3] = ACTIONS(3184),
    [aux_sym_variable_attributes_token4] = ACTIONS(3184),
    [aux_sym_variable_attributes_token5] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3184),
    [aux_sym_derived_type_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token2] = ACTIONS(3184),
    [aux_sym_subroutine_call_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token2] = ACTIONS(3184),
    [aux_sym_keyword_statement_token3] = ACTIONS(3184),
    [aux_sym_keyword_statement_token4] = ACTIONS(3184),
    [aux_sym_keyword_statement_token6] = ACTIONS(3184),
    [aux_sym_keyword_statement_token7] = ACTIONS(3184),
    [aux_sym_include_statement_token1] = ACTIONS(3184),
    [aux_sym_data_statement_token1] = ACTIONS(3184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3184),
    [aux_sym_end_if_statement_token1] = ACTIONS(3184),
    [aux_sym_elseif_clause_token2] = ACTIONS(3184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token3] = ACTIONS(3184),
    [aux_sym_select_type_statement_token1] = ACTIONS(3184),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3184),
    [aux_sym_block_construct_token1] = ACTIONS(3184),
    [aux_sym_associate_statement_token1] = ACTIONS(3184),
    [aux_sym_format_statement_token1] = ACTIONS(3184),
    [aux_sym_print_statement_token1] = ACTIONS(3184),
    [aux_sym_open_statement_token1] = ACTIONS(3184),
    [aux_sym_close_statement_token1] = ACTIONS(3184),
    [aux_sym_inquire_statement_token1] = ACTIONS(3184),
    [aux_sym_enum_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token2] = ACTIONS(3184),
    [aux_sym_file_position_statement_token3] = ACTIONS(3184),
    [aux_sym_file_position_statement_token4] = ACTIONS(3184),
    [aux_sym_logical_expression_token5] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [aux_sym_boolean_literal_token1] = ACTIONS(3188),
    [aux_sym_boolean_literal_token2] = ACTIONS(3188),
    [aux_sym_null_literal_token1] = ACTIONS(3184),
    [aux_sym_identifier_token1] = ACTIONS(3184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3188),
    [sym__float_literal] = ACTIONS(3188),
    [sym__boz_literal] = ACTIONS(3188),
    [sym__string_literal] = ACTIONS(3188),
    [sym__string_literal_kind] = ACTIONS(3188),
  },
  [867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_end_program_statement_token2] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [sym_preproc_comment] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3132),
    [aux_sym_end_program_statement_token2] = ACTIONS(3132),
    [aux_sym_interface_statement_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3132),
    [aux_sym_contains_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token2] = ACTIONS(3132),
    [aux_sym_implicit_statement_token1] = ACTIONS(3132),
    [aux_sym_implicit_statement_token3] = ACTIONS(3132),
    [aux_sym_implicit_statement_token4] = ACTIONS(3132),
    [aux_sym_save_statement_token1] = ACTIONS(3132),
    [aux_sym_private_statement_token1] = ACTIONS(3132),
    [aux_sym_public_statement_token1] = ACTIONS(3132),
    [aux_sym_namelist_statement_token1] = ACTIONS(3132),
    [aux_sym_common_statement_token1] = ACTIONS(3132),
    [aux_sym_import_statement_token1] = ACTIONS(3132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3132),
    [aux_sym_variable_attributes_token1] = ACTIONS(3132),
    [aux_sym_variable_attributes_token2] = ACTIONS(3132),
    [aux_sym_variable_attributes_token3] = ACTIONS(3132),
    [aux_sym_variable_attributes_token4] = ACTIONS(3132),
    [aux_sym_variable_attributes_token5] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3132),
    [aux_sym_derived_type_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token2] = ACTIONS(3132),
    [aux_sym_subroutine_call_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token2] = ACTIONS(3132),
    [aux_sym_keyword_statement_token3] = ACTIONS(3132),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_keyword_statement_token6] = ACTIONS(3132),
    [aux_sym_keyword_statement_token7] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3132),
    [aux_sym_data_statement_token1] = ACTIONS(3132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3132),
    [aux_sym_end_if_statement_token1] = ACTIONS(3132),
    [aux_sym_elseif_clause_token2] = ACTIONS(3132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token3] = ACTIONS(3132),
    [aux_sym_select_type_statement_token1] = ACTIONS(3132),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3132),
    [aux_sym_block_construct_token1] = ACTIONS(3132),
    [aux_sym_associate_statement_token1] = ACTIONS(3132),
    [aux_sym_format_statement_token1] = ACTIONS(3132),
    [aux_sym_print_statement_token1] = ACTIONS(3132),
    [aux_sym_open_statement_token1] = ACTIONS(3132),
    [aux_sym_close_statement_token1] = ACTIONS(3132),
    [aux_sym_inquire_statement_token1] = ACTIONS(3132),
    [aux_sym_enum_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token2] = ACTIONS(3132),
    [aux_sym_file_position_statement_token3] = ACTIONS(3132),
    [aux_sym_file_position_statement_token4] = ACTIONS(3132),
    [aux_sym_logical_expression_token5] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [aux_sym_boolean_literal_token1] = ACTIONS(3136),
    [aux_sym_boolean_literal_token2] = ACTIONS(3136),
    [aux_sym_null_literal_token1] = ACTIONS(3132),
    [aux_sym_identifier_token1] = ACTIONS(3132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3136),
    [sym__float_literal] = ACTIONS(3136),
    [sym__boz_literal] = ACTIONS(3136),
    [sym__string_literal] = ACTIONS(3136),
    [sym__string_literal_kind] = ACTIONS(3136),
  },
  [869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_else_token1] = ACTIONS(2497),
    [aux_sym_preproc_elif_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_else_token1] = ACTIONS(3055),
    [aux_sym_preproc_elif_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3063),
    [aux_sym_preproc_def_token1] = ACTIONS(3063),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3063),
    [anon_sym_LPAREN2] = ACTIONS(3063),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3063),
    [aux_sym_end_program_statement_token2] = ACTIONS(3066),
    [aux_sym_interface_statement_token1] = ACTIONS(3063),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3063),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3063),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3063),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3063),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3063),
    [aux_sym_contains_statement_token1] = ACTIONS(3063),
    [aux_sym_use_statement_token1] = ACTIONS(3063),
    [aux_sym_use_statement_token2] = ACTIONS(3063),
    [aux_sym_implicit_statement_token1] = ACTIONS(3063),
    [aux_sym_implicit_statement_token3] = ACTIONS(3063),
    [aux_sym_implicit_statement_token4] = ACTIONS(3063),
    [aux_sym_save_statement_token1] = ACTIONS(3063),
    [aux_sym_private_statement_token1] = ACTIONS(3063),
    [aux_sym_public_statement_token1] = ACTIONS(3063),
    [aux_sym_namelist_statement_token1] = ACTIONS(3063),
    [aux_sym_common_statement_token1] = ACTIONS(3063),
    [aux_sym_import_statement_token1] = ACTIONS(3063),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3063),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3063),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3063),
    [aux_sym_variable_attributes_token1] = ACTIONS(3063),
    [aux_sym_variable_attributes_token2] = ACTIONS(3063),
    [aux_sym_variable_attributes_token3] = ACTIONS(3063),
    [aux_sym_variable_attributes_token4] = ACTIONS(3063),
    [aux_sym_variable_attributes_token5] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3063),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3063),
    [aux_sym_derived_type_token1] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3063),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3063),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3063),
    [aux_sym_stop_statement_token1] = ACTIONS(3063),
    [aux_sym_stop_statement_token2] = ACTIONS(3063),
    [aux_sym_subroutine_call_token1] = ACTIONS(3063),
    [aux_sym_keyword_statement_token1] = ACTIONS(3063),
    [aux_sym_keyword_statement_token2] = ACTIONS(3063),
    [aux_sym_keyword_statement_token3] = ACTIONS(3063),
    [aux_sym_keyword_statement_token4] = ACTIONS(3063),
    [aux_sym_keyword_statement_token6] = ACTIONS(3063),
    [aux_sym_keyword_statement_token7] = ACTIONS(3063),
    [aux_sym_include_statement_token1] = ACTIONS(3063),
    [aux_sym_data_statement_token1] = ACTIONS(3063),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3063),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3063),
    [aux_sym_end_if_statement_token1] = ACTIONS(3063),
    [aux_sym_elseif_clause_token2] = ACTIONS(3063),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3063),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3063),
    [aux_sym_select_case_statement_token1] = ACTIONS(3063),
    [aux_sym_select_case_statement_token3] = ACTIONS(3063),
    [aux_sym_select_type_statement_token1] = ACTIONS(3063),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3063),
    [aux_sym_block_construct_token1] = ACTIONS(3063),
    [aux_sym_associate_statement_token1] = ACTIONS(3063),
    [aux_sym_format_statement_token1] = ACTIONS(3063),
    [aux_sym_print_statement_token1] = ACTIONS(3063),
    [aux_sym_open_statement_token1] = ACTIONS(3063),
    [aux_sym_close_statement_token1] = ACTIONS(3063),
    [aux_sym_inquire_statement_token1] = ACTIONS(3063),
    [aux_sym_enum_statement_token1] = ACTIONS(3063),
    [aux_sym_file_position_statement_token1] = ACTIONS(3063),
    [aux_sym_file_position_statement_token2] = ACTIONS(3063),
    [aux_sym_file_position_statement_token3] = ACTIONS(3063),
    [aux_sym_file_position_statement_token4] = ACTIONS(3063),
    [aux_sym_logical_expression_token5] = ACTIONS(3070),
    [anon_sym_DOT] = ACTIONS(3063),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [aux_sym_boolean_literal_token1] = ACTIONS(3070),
    [aux_sym_boolean_literal_token2] = ACTIONS(3070),
    [aux_sym_null_literal_token1] = ACTIONS(3063),
    [aux_sym_identifier_token1] = ACTIONS(3063),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3070),
    [sym__float_literal] = ACTIONS(3070),
    [sym__boz_literal] = ACTIONS(3070),
    [sym__string_literal] = ACTIONS(3070),
    [sym__string_literal_kind] = ACTIONS(3070),
  },
  [873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_else_token1] = ACTIONS(3093),
    [aux_sym_preproc_elif_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3222),
    [aux_sym_preproc_if_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3222),
    [sym_preproc_directive] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [sym_preproc_comment] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3222),
    [aux_sym_interface_statement_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3222),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3222),
    [aux_sym_end_function_statement_token1] = ACTIONS(3222),
    [aux_sym_contains_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token2] = ACTIONS(3222),
    [aux_sym_implicit_statement_token1] = ACTIONS(3222),
    [aux_sym_implicit_statement_token3] = ACTIONS(3222),
    [aux_sym_implicit_statement_token4] = ACTIONS(3222),
    [aux_sym_save_statement_token1] = ACTIONS(3222),
    [aux_sym_private_statement_token1] = ACTIONS(3222),
    [aux_sym_public_statement_token1] = ACTIONS(3222),
    [aux_sym_namelist_statement_token1] = ACTIONS(3222),
    [aux_sym_common_statement_token1] = ACTIONS(3222),
    [aux_sym_import_statement_token1] = ACTIONS(3222),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3222),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3222),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3222),
    [aux_sym_variable_attributes_token1] = ACTIONS(3222),
    [aux_sym_variable_attributes_token2] = ACTIONS(3222),
    [aux_sym_variable_attributes_token3] = ACTIONS(3222),
    [aux_sym_variable_attributes_token4] = ACTIONS(3222),
    [aux_sym_variable_attributes_token5] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3222),
    [aux_sym_derived_type_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3222),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token2] = ACTIONS(3222),
    [aux_sym_subroutine_call_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token2] = ACTIONS(3222),
    [aux_sym_keyword_statement_token3] = ACTIONS(3222),
    [aux_sym_keyword_statement_token4] = ACTIONS(3222),
    [aux_sym_keyword_statement_token6] = ACTIONS(3222),
    [aux_sym_keyword_statement_token7] = ACTIONS(3222),
    [aux_sym_include_statement_token1] = ACTIONS(3222),
    [aux_sym_data_statement_token1] = ACTIONS(3222),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3222),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3222),
    [aux_sym_end_if_statement_token1] = ACTIONS(3222),
    [aux_sym_elseif_clause_token2] = ACTIONS(3222),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3222),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token3] = ACTIONS(3222),
    [aux_sym_select_type_statement_token1] = ACTIONS(3222),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3222),
    [aux_sym_block_construct_token1] = ACTIONS(3222),
    [aux_sym_associate_statement_token1] = ACTIONS(3222),
    [aux_sym_format_statement_token1] = ACTIONS(3222),
    [aux_sym_print_statement_token1] = ACTIONS(3222),
    [aux_sym_open_statement_token1] = ACTIONS(3222),
    [aux_sym_close_statement_token1] = ACTIONS(3222),
    [aux_sym_inquire_statement_token1] = ACTIONS(3222),
    [aux_sym_enum_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token2] = ACTIONS(3222),
    [aux_sym_file_position_statement_token3] = ACTIONS(3222),
    [aux_sym_file_position_statement_token4] = ACTIONS(3222),
    [aux_sym_logical_expression_token5] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [aux_sym_boolean_literal_token1] = ACTIONS(3226),
    [aux_sym_boolean_literal_token2] = ACTIONS(3226),
    [aux_sym_null_literal_token1] = ACTIONS(3222),
    [aux_sym_identifier_token1] = ACTIONS(3222),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3226),
    [sym__float_literal] = ACTIONS(3226),
    [sym__boz_literal] = ACTIONS(3226),
    [sym__string_literal] = ACTIONS(3226),
    [sym__string_literal_kind] = ACTIONS(3226),
  },
  [876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_end_program_statement_token2] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_end_program_statement_token2] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_end_function_statement_token1] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_else_token1] = ACTIONS(3059),
    [aux_sym_preproc_elif_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [sym_preproc_comment] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3230),
    [aux_sym_interface_statement_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3230),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3230),
    [aux_sym_end_function_statement_token1] = ACTIONS(3230),
    [aux_sym_contains_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token2] = ACTIONS(3230),
    [aux_sym_implicit_statement_token1] = ACTIONS(3230),
    [aux_sym_implicit_statement_token3] = ACTIONS(3230),
    [aux_sym_implicit_statement_token4] = ACTIONS(3230),
    [aux_sym_save_statement_token1] = ACTIONS(3230),
    [aux_sym_private_statement_token1] = ACTIONS(3230),
    [aux_sym_public_statement_token1] = ACTIONS(3230),
    [aux_sym_namelist_statement_token1] = ACTIONS(3230),
    [aux_sym_common_statement_token1] = ACTIONS(3230),
    [aux_sym_import_statement_token1] = ACTIONS(3230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3230),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3230),
    [aux_sym_variable_attributes_token1] = ACTIONS(3230),
    [aux_sym_variable_attributes_token2] = ACTIONS(3230),
    [aux_sym_variable_attributes_token3] = ACTIONS(3230),
    [aux_sym_variable_attributes_token4] = ACTIONS(3230),
    [aux_sym_variable_attributes_token5] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3230),
    [aux_sym_derived_type_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3230),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token2] = ACTIONS(3230),
    [aux_sym_subroutine_call_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token2] = ACTIONS(3230),
    [aux_sym_keyword_statement_token3] = ACTIONS(3230),
    [aux_sym_keyword_statement_token4] = ACTIONS(3230),
    [aux_sym_keyword_statement_token6] = ACTIONS(3230),
    [aux_sym_keyword_statement_token7] = ACTIONS(3230),
    [aux_sym_include_statement_token1] = ACTIONS(3230),
    [aux_sym_data_statement_token1] = ACTIONS(3230),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3230),
    [aux_sym_end_if_statement_token1] = ACTIONS(3230),
    [aux_sym_elseif_clause_token2] = ACTIONS(3230),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3230),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token3] = ACTIONS(3230),
    [aux_sym_select_type_statement_token1] = ACTIONS(3230),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3230),
    [aux_sym_block_construct_token1] = ACTIONS(3230),
    [aux_sym_associate_statement_token1] = ACTIONS(3230),
    [aux_sym_format_statement_token1] = ACTIONS(3230),
    [aux_sym_print_statement_token1] = ACTIONS(3230),
    [aux_sym_open_statement_token1] = ACTIONS(3230),
    [aux_sym_close_statement_token1] = ACTIONS(3230),
    [aux_sym_inquire_statement_token1] = ACTIONS(3230),
    [aux_sym_enum_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token2] = ACTIONS(3230),
    [aux_sym_file_position_statement_token3] = ACTIONS(3230),
    [aux_sym_file_position_statement_token4] = ACTIONS(3230),
    [aux_sym_logical_expression_token5] = ACTIONS(3234),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [aux_sym_boolean_literal_token1] = ACTIONS(3234),
    [aux_sym_boolean_literal_token2] = ACTIONS(3234),
    [aux_sym_null_literal_token1] = ACTIONS(3230),
    [aux_sym_identifier_token1] = ACTIONS(3230),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3234),
    [sym__float_literal] = ACTIONS(3234),
    [sym__boz_literal] = ACTIONS(3234),
    [sym__string_literal] = ACTIONS(3234),
    [sym__string_literal_kind] = ACTIONS(3234),
  },
  [882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_end_function_statement_token1] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3238),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_end_program_statement_token2] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_end_program_statement_token2] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [sym_preproc_comment] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3184),
    [aux_sym_interface_statement_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3184),
    [aux_sym_end_function_statement_token1] = ACTIONS(3184),
    [aux_sym_contains_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token2] = ACTIONS(3184),
    [aux_sym_implicit_statement_token1] = ACTIONS(3184),
    [aux_sym_implicit_statement_token3] = ACTIONS(3184),
    [aux_sym_implicit_statement_token4] = ACTIONS(3184),
    [aux_sym_save_statement_token1] = ACTIONS(3184),
    [aux_sym_private_statement_token1] = ACTIONS(3184),
    [aux_sym_public_statement_token1] = ACTIONS(3184),
    [aux_sym_namelist_statement_token1] = ACTIONS(3184),
    [aux_sym_common_statement_token1] = ACTIONS(3184),
    [aux_sym_import_statement_token1] = ACTIONS(3184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3184),
    [aux_sym_variable_attributes_token1] = ACTIONS(3184),
    [aux_sym_variable_attributes_token2] = ACTIONS(3184),
    [aux_sym_variable_attributes_token3] = ACTIONS(3184),
    [aux_sym_variable_attributes_token4] = ACTIONS(3184),
    [aux_sym_variable_attributes_token5] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3184),
    [aux_sym_derived_type_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token2] = ACTIONS(3184),
    [aux_sym_subroutine_call_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token2] = ACTIONS(3184),
    [aux_sym_keyword_statement_token3] = ACTIONS(3184),
    [aux_sym_keyword_statement_token4] = ACTIONS(3184),
    [aux_sym_keyword_statement_token6] = ACTIONS(3184),
    [aux_sym_keyword_statement_token7] = ACTIONS(3184),
    [aux_sym_include_statement_token1] = ACTIONS(3184),
    [aux_sym_data_statement_token1] = ACTIONS(3184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3184),
    [aux_sym_end_if_statement_token1] = ACTIONS(3184),
    [aux_sym_elseif_clause_token2] = ACTIONS(3184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token3] = ACTIONS(3184),
    [aux_sym_select_type_statement_token1] = ACTIONS(3184),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3184),
    [aux_sym_block_construct_token1] = ACTIONS(3184),
    [aux_sym_associate_statement_token1] = ACTIONS(3184),
    [aux_sym_format_statement_token1] = ACTIONS(3184),
    [aux_sym_print_statement_token1] = ACTIONS(3184),
    [aux_sym_open_statement_token1] = ACTIONS(3184),
    [aux_sym_close_statement_token1] = ACTIONS(3184),
    [aux_sym_inquire_statement_token1] = ACTIONS(3184),
    [aux_sym_enum_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token2] = ACTIONS(3184),
    [aux_sym_file_position_statement_token3] = ACTIONS(3184),
    [aux_sym_file_position_statement_token4] = ACTIONS(3184),
    [aux_sym_logical_expression_token5] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [aux_sym_boolean_literal_token1] = ACTIONS(3188),
    [aux_sym_boolean_literal_token2] = ACTIONS(3188),
    [aux_sym_null_literal_token1] = ACTIONS(3184),
    [aux_sym_identifier_token1] = ACTIONS(3184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3188),
    [sym__float_literal] = ACTIONS(3188),
    [sym__boz_literal] = ACTIONS(3188),
    [sym__string_literal] = ACTIONS(3188),
    [sym__string_literal_kind] = ACTIONS(3188),
  },
  [890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_end_function_statement_token1] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_end_function_statement_token1] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [sym_preproc_comment] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3204),
    [aux_sym_interface_statement_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3204),
    [aux_sym_end_function_statement_token1] = ACTIONS(3204),
    [aux_sym_contains_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token2] = ACTIONS(3204),
    [aux_sym_implicit_statement_token1] = ACTIONS(3204),
    [aux_sym_implicit_statement_token3] = ACTIONS(3204),
    [aux_sym_implicit_statement_token4] = ACTIONS(3204),
    [aux_sym_save_statement_token1] = ACTIONS(3204),
    [aux_sym_private_statement_token1] = ACTIONS(3204),
    [aux_sym_public_statement_token1] = ACTIONS(3204),
    [aux_sym_namelist_statement_token1] = ACTIONS(3204),
    [aux_sym_common_statement_token1] = ACTIONS(3204),
    [aux_sym_import_statement_token1] = ACTIONS(3204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3204),
    [aux_sym_variable_attributes_token1] = ACTIONS(3204),
    [aux_sym_variable_attributes_token2] = ACTIONS(3204),
    [aux_sym_variable_attributes_token3] = ACTIONS(3204),
    [aux_sym_variable_attributes_token4] = ACTIONS(3204),
    [aux_sym_variable_attributes_token5] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3204),
    [aux_sym_derived_type_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token2] = ACTIONS(3204),
    [aux_sym_subroutine_call_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token2] = ACTIONS(3204),
    [aux_sym_keyword_statement_token3] = ACTIONS(3204),
    [aux_sym_keyword_statement_token4] = ACTIONS(3204),
    [aux_sym_keyword_statement_token6] = ACTIONS(3204),
    [aux_sym_keyword_statement_token7] = ACTIONS(3204),
    [aux_sym_include_statement_token1] = ACTIONS(3204),
    [aux_sym_data_statement_token1] = ACTIONS(3204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3204),
    [aux_sym_end_if_statement_token1] = ACTIONS(3204),
    [aux_sym_elseif_clause_token2] = ACTIONS(3204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token3] = ACTIONS(3204),
    [aux_sym_select_type_statement_token1] = ACTIONS(3204),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3204),
    [aux_sym_block_construct_token1] = ACTIONS(3204),
    [aux_sym_associate_statement_token1] = ACTIONS(3204),
    [aux_sym_format_statement_token1] = ACTIONS(3204),
    [aux_sym_print_statement_token1] = ACTIONS(3204),
    [aux_sym_open_statement_token1] = ACTIONS(3204),
    [aux_sym_close_statement_token1] = ACTIONS(3204),
    [aux_sym_inquire_statement_token1] = ACTIONS(3204),
    [aux_sym_enum_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token2] = ACTIONS(3204),
    [aux_sym_file_position_statement_token3] = ACTIONS(3204),
    [aux_sym_file_position_statement_token4] = ACTIONS(3204),
    [aux_sym_logical_expression_token5] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [aux_sym_boolean_literal_token1] = ACTIONS(3208),
    [aux_sym_boolean_literal_token2] = ACTIONS(3208),
    [aux_sym_null_literal_token1] = ACTIONS(3204),
    [aux_sym_identifier_token1] = ACTIONS(3204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3208),
    [sym__float_literal] = ACTIONS(3208),
    [sym__boz_literal] = ACTIONS(3208),
    [sym__string_literal] = ACTIONS(3208),
    [sym__string_literal_kind] = ACTIONS(3208),
  },
  [895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [sym_preproc_comment] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_end_function_statement_token1] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [aux_sym_preproc_else_token1] = ACTIONS(2417),
    [aux_sym_preproc_elif_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [aux_sym_preproc_else_token1] = ACTIONS(2433),
    [aux_sym_preproc_elif_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_end_function_statement_token1] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3222),
    [aux_sym_preproc_if_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3222),
    [sym_preproc_directive] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [sym_preproc_comment] = ACTIONS(3258),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3222),
    [aux_sym_end_program_statement_token2] = ACTIONS(3222),
    [aux_sym_interface_statement_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3222),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3222),
    [aux_sym_contains_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token2] = ACTIONS(3222),
    [aux_sym_implicit_statement_token1] = ACTIONS(3222),
    [aux_sym_implicit_statement_token3] = ACTIONS(3222),
    [aux_sym_implicit_statement_token4] = ACTIONS(3222),
    [aux_sym_save_statement_token1] = ACTIONS(3222),
    [aux_sym_private_statement_token1] = ACTIONS(3222),
    [aux_sym_public_statement_token1] = ACTIONS(3222),
    [aux_sym_namelist_statement_token1] = ACTIONS(3222),
    [aux_sym_common_statement_token1] = ACTIONS(3222),
    [aux_sym_import_statement_token1] = ACTIONS(3222),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3222),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3222),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3222),
    [aux_sym_variable_attributes_token1] = ACTIONS(3222),
    [aux_sym_variable_attributes_token2] = ACTIONS(3222),
    [aux_sym_variable_attributes_token3] = ACTIONS(3222),
    [aux_sym_variable_attributes_token4] = ACTIONS(3222),
    [aux_sym_variable_attributes_token5] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3222),
    [aux_sym_derived_type_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3222),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token2] = ACTIONS(3222),
    [aux_sym_subroutine_call_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token2] = ACTIONS(3222),
    [aux_sym_keyword_statement_token3] = ACTIONS(3222),
    [aux_sym_keyword_statement_token4] = ACTIONS(3222),
    [aux_sym_keyword_statement_token6] = ACTIONS(3222),
    [aux_sym_keyword_statement_token7] = ACTIONS(3222),
    [aux_sym_include_statement_token1] = ACTIONS(3222),
    [aux_sym_data_statement_token1] = ACTIONS(3222),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3222),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3222),
    [aux_sym_end_if_statement_token1] = ACTIONS(3222),
    [aux_sym_elseif_clause_token2] = ACTIONS(3222),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3222),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token3] = ACTIONS(3222),
    [aux_sym_select_type_statement_token1] = ACTIONS(3222),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3222),
    [aux_sym_block_construct_token1] = ACTIONS(3222),
    [aux_sym_associate_statement_token1] = ACTIONS(3222),
    [aux_sym_format_statement_token1] = ACTIONS(3222),
    [aux_sym_print_statement_token1] = ACTIONS(3222),
    [aux_sym_open_statement_token1] = ACTIONS(3222),
    [aux_sym_close_statement_token1] = ACTIONS(3222),
    [aux_sym_inquire_statement_token1] = ACTIONS(3222),
    [aux_sym_enum_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token2] = ACTIONS(3222),
    [aux_sym_file_position_statement_token3] = ACTIONS(3222),
    [aux_sym_file_position_statement_token4] = ACTIONS(3222),
    [aux_sym_logical_expression_token5] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [aux_sym_boolean_literal_token1] = ACTIONS(3226),
    [aux_sym_boolean_literal_token2] = ACTIONS(3226),
    [aux_sym_null_literal_token1] = ACTIONS(3222),
    [aux_sym_identifier_token1] = ACTIONS(3222),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3226),
    [sym__float_literal] = ACTIONS(3226),
    [sym__boz_literal] = ACTIONS(3226),
    [sym__string_literal] = ACTIONS(3226),
    [sym__string_literal_kind] = ACTIONS(3226),
  },
  [902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token2] = ACTIONS(3039),
    [aux_sym_preproc_else_token1] = ACTIONS(3039),
    [aux_sym_preproc_elif_token1] = ACTIONS(3039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_end_program_statement_token2] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_end_program_statement_token2] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_end_program_statement_token2] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [aux_sym_preproc_else_token1] = ACTIONS(2421),
    [aux_sym_preproc_elif_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [sym_preproc_comment] = ACTIONS(3262),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3166),
    [aux_sym_interface_statement_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3166),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3166),
    [aux_sym_end_function_statement_token1] = ACTIONS(3166),
    [aux_sym_contains_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token2] = ACTIONS(3166),
    [aux_sym_implicit_statement_token1] = ACTIONS(3166),
    [aux_sym_implicit_statement_token3] = ACTIONS(3166),
    [aux_sym_implicit_statement_token4] = ACTIONS(3166),
    [aux_sym_save_statement_token1] = ACTIONS(3166),
    [aux_sym_private_statement_token1] = ACTIONS(3166),
    [aux_sym_public_statement_token1] = ACTIONS(3166),
    [aux_sym_namelist_statement_token1] = ACTIONS(3166),
    [aux_sym_common_statement_token1] = ACTIONS(3166),
    [aux_sym_import_statement_token1] = ACTIONS(3166),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3166),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3166),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3166),
    [aux_sym_variable_attributes_token1] = ACTIONS(3166),
    [aux_sym_variable_attributes_token2] = ACTIONS(3166),
    [aux_sym_variable_attributes_token3] = ACTIONS(3166),
    [aux_sym_variable_attributes_token4] = ACTIONS(3166),
    [aux_sym_variable_attributes_token5] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3166),
    [aux_sym_derived_type_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3166),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token2] = ACTIONS(3166),
    [aux_sym_subroutine_call_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token2] = ACTIONS(3166),
    [aux_sym_keyword_statement_token3] = ACTIONS(3166),
    [aux_sym_keyword_statement_token4] = ACTIONS(3166),
    [aux_sym_keyword_statement_token6] = ACTIONS(3166),
    [aux_sym_keyword_statement_token7] = ACTIONS(3166),
    [aux_sym_include_statement_token1] = ACTIONS(3166),
    [aux_sym_data_statement_token1] = ACTIONS(3166),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3166),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3166),
    [aux_sym_end_if_statement_token1] = ACTIONS(3166),
    [aux_sym_elseif_clause_token2] = ACTIONS(3166),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3166),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token3] = ACTIONS(3166),
    [aux_sym_select_type_statement_token1] = ACTIONS(3166),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3166),
    [aux_sym_block_construct_token1] = ACTIONS(3166),
    [aux_sym_associate_statement_token1] = ACTIONS(3166),
    [aux_sym_format_statement_token1] = ACTIONS(3166),
    [aux_sym_print_statement_token1] = ACTIONS(3166),
    [aux_sym_open_statement_token1] = ACTIONS(3166),
    [aux_sym_close_statement_token1] = ACTIONS(3166),
    [aux_sym_inquire_statement_token1] = ACTIONS(3166),
    [aux_sym_enum_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token2] = ACTIONS(3166),
    [aux_sym_file_position_statement_token3] = ACTIONS(3166),
    [aux_sym_file_position_statement_token4] = ACTIONS(3166),
    [aux_sym_logical_expression_token5] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [aux_sym_boolean_literal_token1] = ACTIONS(3170),
    [aux_sym_boolean_literal_token2] = ACTIONS(3170),
    [aux_sym_null_literal_token1] = ACTIONS(3166),
    [aux_sym_identifier_token1] = ACTIONS(3166),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3170),
    [sym__float_literal] = ACTIONS(3170),
    [sym__boz_literal] = ACTIONS(3170),
    [sym__string_literal] = ACTIONS(3170),
    [sym__string_literal_kind] = ACTIONS(3170),
  },
  [909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [sym_preproc_comment] = ACTIONS(3266),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_end_function_statement_token1] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_end_program_statement_token2] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [sym_preproc_comment] = ACTIONS(3270),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3190),
    [aux_sym_end_program_statement_token2] = ACTIONS(3190),
    [aux_sym_interface_statement_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3190),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3190),
    [aux_sym_contains_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token2] = ACTIONS(3190),
    [aux_sym_implicit_statement_token1] = ACTIONS(3190),
    [aux_sym_implicit_statement_token3] = ACTIONS(3190),
    [aux_sym_implicit_statement_token4] = ACTIONS(3190),
    [aux_sym_save_statement_token1] = ACTIONS(3190),
    [aux_sym_private_statement_token1] = ACTIONS(3190),
    [aux_sym_public_statement_token1] = ACTIONS(3190),
    [aux_sym_namelist_statement_token1] = ACTIONS(3190),
    [aux_sym_common_statement_token1] = ACTIONS(3190),
    [aux_sym_import_statement_token1] = ACTIONS(3190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3190),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3190),
    [aux_sym_variable_attributes_token1] = ACTIONS(3190),
    [aux_sym_variable_attributes_token2] = ACTIONS(3190),
    [aux_sym_variable_attributes_token3] = ACTIONS(3190),
    [aux_sym_variable_attributes_token4] = ACTIONS(3190),
    [aux_sym_variable_attributes_token5] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3190),
    [aux_sym_derived_type_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3190),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token2] = ACTIONS(3190),
    [aux_sym_subroutine_call_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token2] = ACTIONS(3190),
    [aux_sym_keyword_statement_token3] = ACTIONS(3190),
    [aux_sym_keyword_statement_token4] = ACTIONS(3190),
    [aux_sym_keyword_statement_token6] = ACTIONS(3190),
    [aux_sym_keyword_statement_token7] = ACTIONS(3190),
    [aux_sym_include_statement_token1] = ACTIONS(3190),
    [aux_sym_data_statement_token1] = ACTIONS(3190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3190),
    [aux_sym_end_if_statement_token1] = ACTIONS(3190),
    [aux_sym_elseif_clause_token2] = ACTIONS(3190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token3] = ACTIONS(3190),
    [aux_sym_select_type_statement_token1] = ACTIONS(3190),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3190),
    [aux_sym_block_construct_token1] = ACTIONS(3190),
    [aux_sym_associate_statement_token1] = ACTIONS(3190),
    [aux_sym_format_statement_token1] = ACTIONS(3190),
    [aux_sym_print_statement_token1] = ACTIONS(3190),
    [aux_sym_open_statement_token1] = ACTIONS(3190),
    [aux_sym_close_statement_token1] = ACTIONS(3190),
    [aux_sym_inquire_statement_token1] = ACTIONS(3190),
    [aux_sym_enum_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token2] = ACTIONS(3190),
    [aux_sym_file_position_statement_token3] = ACTIONS(3190),
    [aux_sym_file_position_statement_token4] = ACTIONS(3190),
    [aux_sym_logical_expression_token5] = ACTIONS(3194),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [aux_sym_boolean_literal_token1] = ACTIONS(3194),
    [aux_sym_boolean_literal_token2] = ACTIONS(3194),
    [aux_sym_null_literal_token1] = ACTIONS(3190),
    [aux_sym_identifier_token1] = ACTIONS(3190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3194),
    [sym__float_literal] = ACTIONS(3194),
    [sym__boz_literal] = ACTIONS(3194),
    [sym__string_literal] = ACTIONS(3194),
    [sym__string_literal_kind] = ACTIONS(3194),
  },
  [913] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [914] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [aux_sym_preproc_else_token1] = ACTIONS(2457),
    [aux_sym_preproc_elif_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [sym_preproc_comment] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3154),
    [aux_sym_interface_statement_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3154),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3154),
    [aux_sym_end_function_statement_token1] = ACTIONS(3154),
    [aux_sym_contains_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token2] = ACTIONS(3154),
    [aux_sym_implicit_statement_token1] = ACTIONS(3154),
    [aux_sym_implicit_statement_token3] = ACTIONS(3154),
    [aux_sym_implicit_statement_token4] = ACTIONS(3154),
    [aux_sym_save_statement_token1] = ACTIONS(3154),
    [aux_sym_private_statement_token1] = ACTIONS(3154),
    [aux_sym_public_statement_token1] = ACTIONS(3154),
    [aux_sym_namelist_statement_token1] = ACTIONS(3154),
    [aux_sym_common_statement_token1] = ACTIONS(3154),
    [aux_sym_import_statement_token1] = ACTIONS(3154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3154),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3154),
    [aux_sym_variable_attributes_token1] = ACTIONS(3154),
    [aux_sym_variable_attributes_token2] = ACTIONS(3154),
    [aux_sym_variable_attributes_token3] = ACTIONS(3154),
    [aux_sym_variable_attributes_token4] = ACTIONS(3154),
    [aux_sym_variable_attributes_token5] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3154),
    [aux_sym_derived_type_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3154),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token2] = ACTIONS(3154),
    [aux_sym_subroutine_call_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token2] = ACTIONS(3154),
    [aux_sym_keyword_statement_token3] = ACTIONS(3154),
    [aux_sym_keyword_statement_token4] = ACTIONS(3154),
    [aux_sym_keyword_statement_token6] = ACTIONS(3154),
    [aux_sym_keyword_statement_token7] = ACTIONS(3154),
    [aux_sym_include_statement_token1] = ACTIONS(3154),
    [aux_sym_data_statement_token1] = ACTIONS(3154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3154),
    [aux_sym_end_if_statement_token1] = ACTIONS(3154),
    [aux_sym_elseif_clause_token2] = ACTIONS(3154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token3] = ACTIONS(3154),
    [aux_sym_select_type_statement_token1] = ACTIONS(3154),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3154),
    [aux_sym_block_construct_token1] = ACTIONS(3154),
    [aux_sym_associate_statement_token1] = ACTIONS(3154),
    [aux_sym_format_statement_token1] = ACTIONS(3154),
    [aux_sym_print_statement_token1] = ACTIONS(3154),
    [aux_sym_open_statement_token1] = ACTIONS(3154),
    [aux_sym_close_statement_token1] = ACTIONS(3154),
    [aux_sym_inquire_statement_token1] = ACTIONS(3154),
    [aux_sym_enum_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token2] = ACTIONS(3154),
    [aux_sym_file_position_statement_token3] = ACTIONS(3154),
    [aux_sym_file_position_statement_token4] = ACTIONS(3154),
    [aux_sym_logical_expression_token5] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [aux_sym_boolean_literal_token1] = ACTIONS(3158),
    [aux_sym_boolean_literal_token2] = ACTIONS(3158),
    [aux_sym_null_literal_token1] = ACTIONS(3154),
    [aux_sym_identifier_token1] = ACTIONS(3154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3158),
    [sym__float_literal] = ACTIONS(3158),
    [sym__boz_literal] = ACTIONS(3158),
    [sym__string_literal] = ACTIONS(3158),
    [sym__string_literal_kind] = ACTIONS(3158),
  },
  [917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [sym_preproc_comment] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3166),
    [aux_sym_end_program_statement_token2] = ACTIONS(3166),
    [aux_sym_interface_statement_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3166),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3166),
    [aux_sym_contains_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token2] = ACTIONS(3166),
    [aux_sym_implicit_statement_token1] = ACTIONS(3166),
    [aux_sym_implicit_statement_token3] = ACTIONS(3166),
    [aux_sym_implicit_statement_token4] = ACTIONS(3166),
    [aux_sym_save_statement_token1] = ACTIONS(3166),
    [aux_sym_private_statement_token1] = ACTIONS(3166),
    [aux_sym_public_statement_token1] = ACTIONS(3166),
    [aux_sym_namelist_statement_token1] = ACTIONS(3166),
    [aux_sym_common_statement_token1] = ACTIONS(3166),
    [aux_sym_import_statement_token1] = ACTIONS(3166),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3166),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3166),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3166),
    [aux_sym_variable_attributes_token1] = ACTIONS(3166),
    [aux_sym_variable_attributes_token2] = ACTIONS(3166),
    [aux_sym_variable_attributes_token3] = ACTIONS(3166),
    [aux_sym_variable_attributes_token4] = ACTIONS(3166),
    [aux_sym_variable_attributes_token5] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3166),
    [aux_sym_derived_type_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3166),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token2] = ACTIONS(3166),
    [aux_sym_subroutine_call_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token2] = ACTIONS(3166),
    [aux_sym_keyword_statement_token3] = ACTIONS(3166),
    [aux_sym_keyword_statement_token4] = ACTIONS(3166),
    [aux_sym_keyword_statement_token6] = ACTIONS(3166),
    [aux_sym_keyword_statement_token7] = ACTIONS(3166),
    [aux_sym_include_statement_token1] = ACTIONS(3166),
    [aux_sym_data_statement_token1] = ACTIONS(3166),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3166),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3166),
    [aux_sym_end_if_statement_token1] = ACTIONS(3166),
    [aux_sym_elseif_clause_token2] = ACTIONS(3166),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3166),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token3] = ACTIONS(3166),
    [aux_sym_select_type_statement_token1] = ACTIONS(3166),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3166),
    [aux_sym_block_construct_token1] = ACTIONS(3166),
    [aux_sym_associate_statement_token1] = ACTIONS(3166),
    [aux_sym_format_statement_token1] = ACTIONS(3166),
    [aux_sym_print_statement_token1] = ACTIONS(3166),
    [aux_sym_open_statement_token1] = ACTIONS(3166),
    [aux_sym_close_statement_token1] = ACTIONS(3166),
    [aux_sym_inquire_statement_token1] = ACTIONS(3166),
    [aux_sym_enum_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token2] = ACTIONS(3166),
    [aux_sym_file_position_statement_token3] = ACTIONS(3166),
    [aux_sym_file_position_statement_token4] = ACTIONS(3166),
    [aux_sym_logical_expression_token5] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [aux_sym_boolean_literal_token1] = ACTIONS(3170),
    [aux_sym_boolean_literal_token2] = ACTIONS(3170),
    [aux_sym_null_literal_token1] = ACTIONS(3166),
    [aux_sym_identifier_token1] = ACTIONS(3166),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3170),
    [sym__float_literal] = ACTIONS(3170),
    [sym__boz_literal] = ACTIONS(3170),
    [sym__string_literal] = ACTIONS(3170),
    [sym__string_literal_kind] = ACTIONS(3170),
  },
  [922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [sym_preproc_comment] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3230),
    [aux_sym_interface_statement_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3230),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3230),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3230),
    [aux_sym_contains_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token2] = ACTIONS(3230),
    [aux_sym_implicit_statement_token1] = ACTIONS(3230),
    [aux_sym_implicit_statement_token3] = ACTIONS(3230),
    [aux_sym_implicit_statement_token4] = ACTIONS(3230),
    [aux_sym_save_statement_token1] = ACTIONS(3230),
    [aux_sym_private_statement_token1] = ACTIONS(3230),
    [aux_sym_public_statement_token1] = ACTIONS(3230),
    [aux_sym_namelist_statement_token1] = ACTIONS(3230),
    [aux_sym_common_statement_token1] = ACTIONS(3230),
    [aux_sym_import_statement_token1] = ACTIONS(3230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3230),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3230),
    [aux_sym_variable_attributes_token1] = ACTIONS(3230),
    [aux_sym_variable_attributes_token2] = ACTIONS(3230),
    [aux_sym_variable_attributes_token3] = ACTIONS(3230),
    [aux_sym_variable_attributes_token4] = ACTIONS(3230),
    [aux_sym_variable_attributes_token5] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3230),
    [aux_sym_derived_type_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3230),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token2] = ACTIONS(3230),
    [aux_sym_subroutine_call_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token2] = ACTIONS(3230),
    [aux_sym_keyword_statement_token3] = ACTIONS(3230),
    [aux_sym_keyword_statement_token4] = ACTIONS(3230),
    [aux_sym_keyword_statement_token6] = ACTIONS(3230),
    [aux_sym_keyword_statement_token7] = ACTIONS(3230),
    [aux_sym_include_statement_token1] = ACTIONS(3230),
    [aux_sym_data_statement_token1] = ACTIONS(3230),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3230),
    [aux_sym_end_if_statement_token1] = ACTIONS(3230),
    [aux_sym_elseif_clause_token2] = ACTIONS(3230),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3230),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token3] = ACTIONS(3230),
    [aux_sym_select_type_statement_token1] = ACTIONS(3230),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3230),
    [aux_sym_block_construct_token1] = ACTIONS(3230),
    [aux_sym_associate_statement_token1] = ACTIONS(3230),
    [aux_sym_format_statement_token1] = ACTIONS(3230),
    [aux_sym_print_statement_token1] = ACTIONS(3230),
    [aux_sym_open_statement_token1] = ACTIONS(3230),
    [aux_sym_close_statement_token1] = ACTIONS(3230),
    [aux_sym_inquire_statement_token1] = ACTIONS(3230),
    [aux_sym_enum_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token2] = ACTIONS(3230),
    [aux_sym_file_position_statement_token3] = ACTIONS(3230),
    [aux_sym_file_position_statement_token4] = ACTIONS(3230),
    [aux_sym_logical_expression_token5] = ACTIONS(3234),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [aux_sym_boolean_literal_token1] = ACTIONS(3234),
    [aux_sym_boolean_literal_token2] = ACTIONS(3234),
    [aux_sym_null_literal_token1] = ACTIONS(3230),
    [aux_sym_identifier_token1] = ACTIONS(3230),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3234),
    [sym__float_literal] = ACTIONS(3234),
    [sym__boz_literal] = ACTIONS(3234),
    [sym__string_literal] = ACTIONS(3234),
    [sym__string_literal_kind] = ACTIONS(3234),
  },
  [923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_end_program_statement_token2] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [sym_preproc_comment] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3176),
    [aux_sym_end_program_statement_token2] = ACTIONS(3176),
    [aux_sym_interface_statement_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3176),
    [aux_sym_contains_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token2] = ACTIONS(3176),
    [aux_sym_implicit_statement_token1] = ACTIONS(3176),
    [aux_sym_implicit_statement_token3] = ACTIONS(3176),
    [aux_sym_implicit_statement_token4] = ACTIONS(3176),
    [aux_sym_save_statement_token1] = ACTIONS(3176),
    [aux_sym_private_statement_token1] = ACTIONS(3176),
    [aux_sym_public_statement_token1] = ACTIONS(3176),
    [aux_sym_namelist_statement_token1] = ACTIONS(3176),
    [aux_sym_common_statement_token1] = ACTIONS(3176),
    [aux_sym_import_statement_token1] = ACTIONS(3176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3176),
    [aux_sym_variable_attributes_token1] = ACTIONS(3176),
    [aux_sym_variable_attributes_token2] = ACTIONS(3176),
    [aux_sym_variable_attributes_token3] = ACTIONS(3176),
    [aux_sym_variable_attributes_token4] = ACTIONS(3176),
    [aux_sym_variable_attributes_token5] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3176),
    [aux_sym_derived_type_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token2] = ACTIONS(3176),
    [aux_sym_subroutine_call_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token2] = ACTIONS(3176),
    [aux_sym_keyword_statement_token3] = ACTIONS(3176),
    [aux_sym_keyword_statement_token4] = ACTIONS(3176),
    [aux_sym_keyword_statement_token6] = ACTIONS(3176),
    [aux_sym_keyword_statement_token7] = ACTIONS(3176),
    [aux_sym_include_statement_token1] = ACTIONS(3176),
    [aux_sym_data_statement_token1] = ACTIONS(3176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3176),
    [aux_sym_end_if_statement_token1] = ACTIONS(3176),
    [aux_sym_elseif_clause_token2] = ACTIONS(3176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token3] = ACTIONS(3176),
    [aux_sym_select_type_statement_token1] = ACTIONS(3176),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3176),
    [aux_sym_block_construct_token1] = ACTIONS(3176),
    [aux_sym_associate_statement_token1] = ACTIONS(3176),
    [aux_sym_format_statement_token1] = ACTIONS(3176),
    [aux_sym_print_statement_token1] = ACTIONS(3176),
    [aux_sym_open_statement_token1] = ACTIONS(3176),
    [aux_sym_close_statement_token1] = ACTIONS(3176),
    [aux_sym_inquire_statement_token1] = ACTIONS(3176),
    [aux_sym_enum_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token2] = ACTIONS(3176),
    [aux_sym_file_position_statement_token3] = ACTIONS(3176),
    [aux_sym_file_position_statement_token4] = ACTIONS(3176),
    [aux_sym_logical_expression_token5] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [aux_sym_boolean_literal_token1] = ACTIONS(3180),
    [aux_sym_boolean_literal_token2] = ACTIONS(3180),
    [aux_sym_null_literal_token1] = ACTIONS(3176),
    [aux_sym_identifier_token1] = ACTIONS(3176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3180),
    [sym__float_literal] = ACTIONS(3180),
    [sym__boz_literal] = ACTIONS(3180),
    [sym__string_literal] = ACTIONS(3180),
    [sym__string_literal_kind] = ACTIONS(3180),
  },
  [928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_end_program_statement_token2] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_end_program_statement_token2] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_end_program_statement_token2] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_end_program_statement_token2] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [sym_preproc_comment] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3138),
    [aux_sym_interface_statement_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3138),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3138),
    [aux_sym_contains_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token2] = ACTIONS(3138),
    [aux_sym_implicit_statement_token1] = ACTIONS(3138),
    [aux_sym_implicit_statement_token3] = ACTIONS(3138),
    [aux_sym_implicit_statement_token4] = ACTIONS(3138),
    [aux_sym_save_statement_token1] = ACTIONS(3138),
    [aux_sym_private_statement_token1] = ACTIONS(3138),
    [aux_sym_public_statement_token1] = ACTIONS(3138),
    [aux_sym_namelist_statement_token1] = ACTIONS(3138),
    [aux_sym_common_statement_token1] = ACTIONS(3138),
    [aux_sym_import_statement_token1] = ACTIONS(3138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3138),
    [aux_sym_variable_attributes_token1] = ACTIONS(3138),
    [aux_sym_variable_attributes_token2] = ACTIONS(3138),
    [aux_sym_variable_attributes_token3] = ACTIONS(3138),
    [aux_sym_variable_attributes_token4] = ACTIONS(3138),
    [aux_sym_variable_attributes_token5] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3138),
    [aux_sym_derived_type_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token2] = ACTIONS(3138),
    [aux_sym_subroutine_call_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token2] = ACTIONS(3138),
    [aux_sym_keyword_statement_token3] = ACTIONS(3138),
    [aux_sym_keyword_statement_token4] = ACTIONS(3138),
    [aux_sym_keyword_statement_token6] = ACTIONS(3138),
    [aux_sym_keyword_statement_token7] = ACTIONS(3138),
    [aux_sym_include_statement_token1] = ACTIONS(3138),
    [aux_sym_data_statement_token1] = ACTIONS(3138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3138),
    [aux_sym_end_if_statement_token1] = ACTIONS(3138),
    [aux_sym_elseif_clause_token2] = ACTIONS(3138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token3] = ACTIONS(3138),
    [aux_sym_select_type_statement_token1] = ACTIONS(3138),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3138),
    [aux_sym_block_construct_token1] = ACTIONS(3138),
    [aux_sym_associate_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3138),
    [aux_sym_print_statement_token1] = ACTIONS(3138),
    [aux_sym_open_statement_token1] = ACTIONS(3138),
    [aux_sym_close_statement_token1] = ACTIONS(3138),
    [aux_sym_inquire_statement_token1] = ACTIONS(3138),
    [aux_sym_enum_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token2] = ACTIONS(3138),
    [aux_sym_file_position_statement_token3] = ACTIONS(3138),
    [aux_sym_file_position_statement_token4] = ACTIONS(3138),
    [aux_sym_logical_expression_token5] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [aux_sym_boolean_literal_token1] = ACTIONS(3142),
    [aux_sym_boolean_literal_token2] = ACTIONS(3142),
    [aux_sym_null_literal_token1] = ACTIONS(3138),
    [aux_sym_identifier_token1] = ACTIONS(3138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3142),
    [sym__float_literal] = ACTIONS(3142),
    [sym__boz_literal] = ACTIONS(3142),
    [sym__string_literal] = ACTIONS(3142),
    [sym__string_literal_kind] = ACTIONS(3142),
  },
  [933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [sym_preproc_comment] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3132),
    [aux_sym_interface_statement_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3132),
    [aux_sym_end_function_statement_token1] = ACTIONS(3132),
    [aux_sym_contains_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token2] = ACTIONS(3132),
    [aux_sym_implicit_statement_token1] = ACTIONS(3132),
    [aux_sym_implicit_statement_token3] = ACTIONS(3132),
    [aux_sym_implicit_statement_token4] = ACTIONS(3132),
    [aux_sym_save_statement_token1] = ACTIONS(3132),
    [aux_sym_private_statement_token1] = ACTIONS(3132),
    [aux_sym_public_statement_token1] = ACTIONS(3132),
    [aux_sym_namelist_statement_token1] = ACTIONS(3132),
    [aux_sym_common_statement_token1] = ACTIONS(3132),
    [aux_sym_import_statement_token1] = ACTIONS(3132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3132),
    [aux_sym_variable_attributes_token1] = ACTIONS(3132),
    [aux_sym_variable_attributes_token2] = ACTIONS(3132),
    [aux_sym_variable_attributes_token3] = ACTIONS(3132),
    [aux_sym_variable_attributes_token4] = ACTIONS(3132),
    [aux_sym_variable_attributes_token5] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3132),
    [aux_sym_derived_type_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token2] = ACTIONS(3132),
    [aux_sym_subroutine_call_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token2] = ACTIONS(3132),
    [aux_sym_keyword_statement_token3] = ACTIONS(3132),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_keyword_statement_token6] = ACTIONS(3132),
    [aux_sym_keyword_statement_token7] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3132),
    [aux_sym_data_statement_token1] = ACTIONS(3132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3132),
    [aux_sym_end_if_statement_token1] = ACTIONS(3132),
    [aux_sym_elseif_clause_token2] = ACTIONS(3132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token3] = ACTIONS(3132),
    [aux_sym_select_type_statement_token1] = ACTIONS(3132),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3132),
    [aux_sym_block_construct_token1] = ACTIONS(3132),
    [aux_sym_associate_statement_token1] = ACTIONS(3132),
    [aux_sym_format_statement_token1] = ACTIONS(3132),
    [aux_sym_print_statement_token1] = ACTIONS(3132),
    [aux_sym_open_statement_token1] = ACTIONS(3132),
    [aux_sym_close_statement_token1] = ACTIONS(3132),
    [aux_sym_inquire_statement_token1] = ACTIONS(3132),
    [aux_sym_enum_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token2] = ACTIONS(3132),
    [aux_sym_file_position_statement_token3] = ACTIONS(3132),
    [aux_sym_file_position_statement_token4] = ACTIONS(3132),
    [aux_sym_logical_expression_token5] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [aux_sym_boolean_literal_token1] = ACTIONS(3136),
    [aux_sym_boolean_literal_token2] = ACTIONS(3136),
    [aux_sym_null_literal_token1] = ACTIONS(3132),
    [aux_sym_identifier_token1] = ACTIONS(3132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3136),
    [sym__float_literal] = ACTIONS(3136),
    [sym__boz_literal] = ACTIONS(3136),
    [sym__string_literal] = ACTIONS(3136),
    [sym__string_literal_kind] = ACTIONS(3136),
  },
  [935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [sym_preproc_comment] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_end_program_statement_token2] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [sym_preproc_comment] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3204),
    [aux_sym_end_program_statement_token2] = ACTIONS(3204),
    [aux_sym_interface_statement_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3204),
    [aux_sym_contains_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token2] = ACTIONS(3204),
    [aux_sym_implicit_statement_token1] = ACTIONS(3204),
    [aux_sym_implicit_statement_token3] = ACTIONS(3204),
    [aux_sym_implicit_statement_token4] = ACTIONS(3204),
    [aux_sym_save_statement_token1] = ACTIONS(3204),
    [aux_sym_private_statement_token1] = ACTIONS(3204),
    [aux_sym_public_statement_token1] = ACTIONS(3204),
    [aux_sym_namelist_statement_token1] = ACTIONS(3204),
    [aux_sym_common_statement_token1] = ACTIONS(3204),
    [aux_sym_import_statement_token1] = ACTIONS(3204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3204),
    [aux_sym_variable_attributes_token1] = ACTIONS(3204),
    [aux_sym_variable_attributes_token2] = ACTIONS(3204),
    [aux_sym_variable_attributes_token3] = ACTIONS(3204),
    [aux_sym_variable_attributes_token4] = ACTIONS(3204),
    [aux_sym_variable_attributes_token5] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3204),
    [aux_sym_derived_type_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token2] = ACTIONS(3204),
    [aux_sym_subroutine_call_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token2] = ACTIONS(3204),
    [aux_sym_keyword_statement_token3] = ACTIONS(3204),
    [aux_sym_keyword_statement_token4] = ACTIONS(3204),
    [aux_sym_keyword_statement_token6] = ACTIONS(3204),
    [aux_sym_keyword_statement_token7] = ACTIONS(3204),
    [aux_sym_include_statement_token1] = ACTIONS(3204),
    [aux_sym_data_statement_token1] = ACTIONS(3204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3204),
    [aux_sym_end_if_statement_token1] = ACTIONS(3204),
    [aux_sym_elseif_clause_token2] = ACTIONS(3204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token3] = ACTIONS(3204),
    [aux_sym_select_type_statement_token1] = ACTIONS(3204),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3204),
    [aux_sym_block_construct_token1] = ACTIONS(3204),
    [aux_sym_associate_statement_token1] = ACTIONS(3204),
    [aux_sym_format_statement_token1] = ACTIONS(3204),
    [aux_sym_print_statement_token1] = ACTIONS(3204),
    [aux_sym_open_statement_token1] = ACTIONS(3204),
    [aux_sym_close_statement_token1] = ACTIONS(3204),
    [aux_sym_inquire_statement_token1] = ACTIONS(3204),
    [aux_sym_enum_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token2] = ACTIONS(3204),
    [aux_sym_file_position_statement_token3] = ACTIONS(3204),
    [aux_sym_file_position_statement_token4] = ACTIONS(3204),
    [aux_sym_logical_expression_token5] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [aux_sym_boolean_literal_token1] = ACTIONS(3208),
    [aux_sym_boolean_literal_token2] = ACTIONS(3208),
    [aux_sym_null_literal_token1] = ACTIONS(3204),
    [aux_sym_identifier_token1] = ACTIONS(3204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3208),
    [sym__float_literal] = ACTIONS(3208),
    [sym__boz_literal] = ACTIONS(3208),
    [sym__string_literal] = ACTIONS(3208),
    [sym__string_literal_kind] = ACTIONS(3208),
  },
  [939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [sym_preproc_comment] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3230),
    [aux_sym_end_program_statement_token2] = ACTIONS(3230),
    [aux_sym_interface_statement_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3230),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3230),
    [aux_sym_contains_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token2] = ACTIONS(3230),
    [aux_sym_implicit_statement_token1] = ACTIONS(3230),
    [aux_sym_implicit_statement_token3] = ACTIONS(3230),
    [aux_sym_implicit_statement_token4] = ACTIONS(3230),
    [aux_sym_save_statement_token1] = ACTIONS(3230),
    [aux_sym_private_statement_token1] = ACTIONS(3230),
    [aux_sym_public_statement_token1] = ACTIONS(3230),
    [aux_sym_namelist_statement_token1] = ACTIONS(3230),
    [aux_sym_common_statement_token1] = ACTIONS(3230),
    [aux_sym_import_statement_token1] = ACTIONS(3230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3230),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3230),
    [aux_sym_variable_attributes_token1] = ACTIONS(3230),
    [aux_sym_variable_attributes_token2] = ACTIONS(3230),
    [aux_sym_variable_attributes_token3] = ACTIONS(3230),
    [aux_sym_variable_attributes_token4] = ACTIONS(3230),
    [aux_sym_variable_attributes_token5] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3230),
    [aux_sym_derived_type_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3230),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token2] = ACTIONS(3230),
    [aux_sym_subroutine_call_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token2] = ACTIONS(3230),
    [aux_sym_keyword_statement_token3] = ACTIONS(3230),
    [aux_sym_keyword_statement_token4] = ACTIONS(3230),
    [aux_sym_keyword_statement_token6] = ACTIONS(3230),
    [aux_sym_keyword_statement_token7] = ACTIONS(3230),
    [aux_sym_include_statement_token1] = ACTIONS(3230),
    [aux_sym_data_statement_token1] = ACTIONS(3230),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3230),
    [aux_sym_end_if_statement_token1] = ACTIONS(3230),
    [aux_sym_elseif_clause_token2] = ACTIONS(3230),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3230),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token3] = ACTIONS(3230),
    [aux_sym_select_type_statement_token1] = ACTIONS(3230),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3230),
    [aux_sym_block_construct_token1] = ACTIONS(3230),
    [aux_sym_associate_statement_token1] = ACTIONS(3230),
    [aux_sym_format_statement_token1] = ACTIONS(3230),
    [aux_sym_print_statement_token1] = ACTIONS(3230),
    [aux_sym_open_statement_token1] = ACTIONS(3230),
    [aux_sym_close_statement_token1] = ACTIONS(3230),
    [aux_sym_inquire_statement_token1] = ACTIONS(3230),
    [aux_sym_enum_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token2] = ACTIONS(3230),
    [aux_sym_file_position_statement_token3] = ACTIONS(3230),
    [aux_sym_file_position_statement_token4] = ACTIONS(3230),
    [aux_sym_logical_expression_token5] = ACTIONS(3234),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [aux_sym_boolean_literal_token1] = ACTIONS(3234),
    [aux_sym_boolean_literal_token2] = ACTIONS(3234),
    [aux_sym_null_literal_token1] = ACTIONS(3230),
    [aux_sym_identifier_token1] = ACTIONS(3230),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3234),
    [sym__float_literal] = ACTIONS(3234),
    [sym__boz_literal] = ACTIONS(3234),
    [sym__string_literal] = ACTIONS(3234),
    [sym__string_literal_kind] = ACTIONS(3234),
  },
  [940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_end_program_statement_token2] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_end_program_statement_token2] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3314),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3222),
    [aux_sym_preproc_if_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3222),
    [sym_preproc_directive] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [sym_preproc_comment] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3222),
    [aux_sym_interface_statement_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3222),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3222),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3222),
    [aux_sym_contains_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token2] = ACTIONS(3222),
    [aux_sym_implicit_statement_token1] = ACTIONS(3222),
    [aux_sym_implicit_statement_token3] = ACTIONS(3222),
    [aux_sym_implicit_statement_token4] = ACTIONS(3222),
    [aux_sym_save_statement_token1] = ACTIONS(3222),
    [aux_sym_private_statement_token1] = ACTIONS(3222),
    [aux_sym_public_statement_token1] = ACTIONS(3222),
    [aux_sym_namelist_statement_token1] = ACTIONS(3222),
    [aux_sym_common_statement_token1] = ACTIONS(3222),
    [aux_sym_import_statement_token1] = ACTIONS(3222),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3222),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3222),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3222),
    [aux_sym_variable_attributes_token1] = ACTIONS(3222),
    [aux_sym_variable_attributes_token2] = ACTIONS(3222),
    [aux_sym_variable_attributes_token3] = ACTIONS(3222),
    [aux_sym_variable_attributes_token4] = ACTIONS(3222),
    [aux_sym_variable_attributes_token5] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3222),
    [aux_sym_derived_type_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3222),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token2] = ACTIONS(3222),
    [aux_sym_subroutine_call_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token2] = ACTIONS(3222),
    [aux_sym_keyword_statement_token3] = ACTIONS(3222),
    [aux_sym_keyword_statement_token4] = ACTIONS(3222),
    [aux_sym_keyword_statement_token6] = ACTIONS(3222),
    [aux_sym_keyword_statement_token7] = ACTIONS(3222),
    [aux_sym_include_statement_token1] = ACTIONS(3222),
    [aux_sym_data_statement_token1] = ACTIONS(3222),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3222),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3222),
    [aux_sym_end_if_statement_token1] = ACTIONS(3222),
    [aux_sym_elseif_clause_token2] = ACTIONS(3222),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3222),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token3] = ACTIONS(3222),
    [aux_sym_select_type_statement_token1] = ACTIONS(3222),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3222),
    [aux_sym_block_construct_token1] = ACTIONS(3222),
    [aux_sym_associate_statement_token1] = ACTIONS(3222),
    [aux_sym_format_statement_token1] = ACTIONS(3222),
    [aux_sym_print_statement_token1] = ACTIONS(3222),
    [aux_sym_open_statement_token1] = ACTIONS(3222),
    [aux_sym_close_statement_token1] = ACTIONS(3222),
    [aux_sym_inquire_statement_token1] = ACTIONS(3222),
    [aux_sym_enum_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token2] = ACTIONS(3222),
    [aux_sym_file_position_statement_token3] = ACTIONS(3222),
    [aux_sym_file_position_statement_token4] = ACTIONS(3222),
    [aux_sym_logical_expression_token5] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [aux_sym_boolean_literal_token1] = ACTIONS(3226),
    [aux_sym_boolean_literal_token2] = ACTIONS(3226),
    [aux_sym_null_literal_token1] = ACTIONS(3222),
    [aux_sym_identifier_token1] = ACTIONS(3222),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3226),
    [sym__float_literal] = ACTIONS(3226),
    [sym__boz_literal] = ACTIONS(3226),
    [sym__string_literal] = ACTIONS(3226),
    [sym__string_literal_kind] = ACTIONS(3226),
  },
  [945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_end_function_statement_token1] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_end_program_statement_token2] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [aux_sym_preproc_else_token1] = ACTIONS(2461),
    [aux_sym_preproc_elif_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [sym_preproc_comment] = ACTIONS(3322),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3132),
    [aux_sym_interface_statement_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3132),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3132),
    [aux_sym_contains_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token1] = ACTIONS(3132),
    [aux_sym_use_statement_token2] = ACTIONS(3132),
    [aux_sym_implicit_statement_token1] = ACTIONS(3132),
    [aux_sym_implicit_statement_token3] = ACTIONS(3132),
    [aux_sym_implicit_statement_token4] = ACTIONS(3132),
    [aux_sym_save_statement_token1] = ACTIONS(3132),
    [aux_sym_private_statement_token1] = ACTIONS(3132),
    [aux_sym_public_statement_token1] = ACTIONS(3132),
    [aux_sym_namelist_statement_token1] = ACTIONS(3132),
    [aux_sym_common_statement_token1] = ACTIONS(3132),
    [aux_sym_import_statement_token1] = ACTIONS(3132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3132),
    [aux_sym_variable_attributes_token1] = ACTIONS(3132),
    [aux_sym_variable_attributes_token2] = ACTIONS(3132),
    [aux_sym_variable_attributes_token3] = ACTIONS(3132),
    [aux_sym_variable_attributes_token4] = ACTIONS(3132),
    [aux_sym_variable_attributes_token5] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3132),
    [aux_sym_derived_type_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token1] = ACTIONS(3132),
    [aux_sym_stop_statement_token2] = ACTIONS(3132),
    [aux_sym_subroutine_call_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token1] = ACTIONS(3132),
    [aux_sym_keyword_statement_token2] = ACTIONS(3132),
    [aux_sym_keyword_statement_token3] = ACTIONS(3132),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_keyword_statement_token6] = ACTIONS(3132),
    [aux_sym_keyword_statement_token7] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3132),
    [aux_sym_data_statement_token1] = ACTIONS(3132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3132),
    [aux_sym_end_if_statement_token1] = ACTIONS(3132),
    [aux_sym_elseif_clause_token2] = ACTIONS(3132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token1] = ACTIONS(3132),
    [aux_sym_select_case_statement_token3] = ACTIONS(3132),
    [aux_sym_select_type_statement_token1] = ACTIONS(3132),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3132),
    [aux_sym_block_construct_token1] = ACTIONS(3132),
    [aux_sym_associate_statement_token1] = ACTIONS(3132),
    [aux_sym_format_statement_token1] = ACTIONS(3132),
    [aux_sym_print_statement_token1] = ACTIONS(3132),
    [aux_sym_open_statement_token1] = ACTIONS(3132),
    [aux_sym_close_statement_token1] = ACTIONS(3132),
    [aux_sym_inquire_statement_token1] = ACTIONS(3132),
    [aux_sym_enum_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token1] = ACTIONS(3132),
    [aux_sym_file_position_statement_token2] = ACTIONS(3132),
    [aux_sym_file_position_statement_token3] = ACTIONS(3132),
    [aux_sym_file_position_statement_token4] = ACTIONS(3132),
    [aux_sym_logical_expression_token5] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [aux_sym_boolean_literal_token1] = ACTIONS(3136),
    [aux_sym_boolean_literal_token2] = ACTIONS(3136),
    [aux_sym_null_literal_token1] = ACTIONS(3132),
    [aux_sym_identifier_token1] = ACTIONS(3132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3136),
    [sym__float_literal] = ACTIONS(3136),
    [sym__boz_literal] = ACTIONS(3136),
    [sym__string_literal] = ACTIONS(3136),
    [sym__string_literal_kind] = ACTIONS(3136),
  },
  [950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [sym_preproc_comment] = ACTIONS(3326),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3190),
    [aux_sym_interface_statement_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3190),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3190),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3190),
    [aux_sym_contains_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token2] = ACTIONS(3190),
    [aux_sym_implicit_statement_token1] = ACTIONS(3190),
    [aux_sym_implicit_statement_token3] = ACTIONS(3190),
    [aux_sym_implicit_statement_token4] = ACTIONS(3190),
    [aux_sym_save_statement_token1] = ACTIONS(3190),
    [aux_sym_private_statement_token1] = ACTIONS(3190),
    [aux_sym_public_statement_token1] = ACTIONS(3190),
    [aux_sym_namelist_statement_token1] = ACTIONS(3190),
    [aux_sym_common_statement_token1] = ACTIONS(3190),
    [aux_sym_import_statement_token1] = ACTIONS(3190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3190),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3190),
    [aux_sym_variable_attributes_token1] = ACTIONS(3190),
    [aux_sym_variable_attributes_token2] = ACTIONS(3190),
    [aux_sym_variable_attributes_token3] = ACTIONS(3190),
    [aux_sym_variable_attributes_token4] = ACTIONS(3190),
    [aux_sym_variable_attributes_token5] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3190),
    [aux_sym_derived_type_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3190),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token2] = ACTIONS(3190),
    [aux_sym_subroutine_call_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token2] = ACTIONS(3190),
    [aux_sym_keyword_statement_token3] = ACTIONS(3190),
    [aux_sym_keyword_statement_token4] = ACTIONS(3190),
    [aux_sym_keyword_statement_token6] = ACTIONS(3190),
    [aux_sym_keyword_statement_token7] = ACTIONS(3190),
    [aux_sym_include_statement_token1] = ACTIONS(3190),
    [aux_sym_data_statement_token1] = ACTIONS(3190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3190),
    [aux_sym_end_if_statement_token1] = ACTIONS(3190),
    [aux_sym_elseif_clause_token2] = ACTIONS(3190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token3] = ACTIONS(3190),
    [aux_sym_select_type_statement_token1] = ACTIONS(3190),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3190),
    [aux_sym_block_construct_token1] = ACTIONS(3190),
    [aux_sym_associate_statement_token1] = ACTIONS(3190),
    [aux_sym_format_statement_token1] = ACTIONS(3190),
    [aux_sym_print_statement_token1] = ACTIONS(3190),
    [aux_sym_open_statement_token1] = ACTIONS(3190),
    [aux_sym_close_statement_token1] = ACTIONS(3190),
    [aux_sym_inquire_statement_token1] = ACTIONS(3190),
    [aux_sym_enum_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token2] = ACTIONS(3190),
    [aux_sym_file_position_statement_token3] = ACTIONS(3190),
    [aux_sym_file_position_statement_token4] = ACTIONS(3190),
    [aux_sym_logical_expression_token5] = ACTIONS(3194),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [aux_sym_boolean_literal_token1] = ACTIONS(3194),
    [aux_sym_boolean_literal_token2] = ACTIONS(3194),
    [aux_sym_null_literal_token1] = ACTIONS(3190),
    [aux_sym_identifier_token1] = ACTIONS(3190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3194),
    [sym__float_literal] = ACTIONS(3194),
    [sym__boz_literal] = ACTIONS(3194),
    [sym__string_literal] = ACTIONS(3194),
    [sym__string_literal_kind] = ACTIONS(3194),
  },
  [952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [sym_preproc_comment] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3154),
    [aux_sym_interface_statement_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3154),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3154),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3154),
    [aux_sym_contains_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token2] = ACTIONS(3154),
    [aux_sym_implicit_statement_token1] = ACTIONS(3154),
    [aux_sym_implicit_statement_token3] = ACTIONS(3154),
    [aux_sym_implicit_statement_token4] = ACTIONS(3154),
    [aux_sym_save_statement_token1] = ACTIONS(3154),
    [aux_sym_private_statement_token1] = ACTIONS(3154),
    [aux_sym_public_statement_token1] = ACTIONS(3154),
    [aux_sym_namelist_statement_token1] = ACTIONS(3154),
    [aux_sym_common_statement_token1] = ACTIONS(3154),
    [aux_sym_import_statement_token1] = ACTIONS(3154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3154),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3154),
    [aux_sym_variable_attributes_token1] = ACTIONS(3154),
    [aux_sym_variable_attributes_token2] = ACTIONS(3154),
    [aux_sym_variable_attributes_token3] = ACTIONS(3154),
    [aux_sym_variable_attributes_token4] = ACTIONS(3154),
    [aux_sym_variable_attributes_token5] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3154),
    [aux_sym_derived_type_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3154),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token2] = ACTIONS(3154),
    [aux_sym_subroutine_call_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token2] = ACTIONS(3154),
    [aux_sym_keyword_statement_token3] = ACTIONS(3154),
    [aux_sym_keyword_statement_token4] = ACTIONS(3154),
    [aux_sym_keyword_statement_token6] = ACTIONS(3154),
    [aux_sym_keyword_statement_token7] = ACTIONS(3154),
    [aux_sym_include_statement_token1] = ACTIONS(3154),
    [aux_sym_data_statement_token1] = ACTIONS(3154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3154),
    [aux_sym_end_if_statement_token1] = ACTIONS(3154),
    [aux_sym_elseif_clause_token2] = ACTIONS(3154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token3] = ACTIONS(3154),
    [aux_sym_select_type_statement_token1] = ACTIONS(3154),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3154),
    [aux_sym_block_construct_token1] = ACTIONS(3154),
    [aux_sym_associate_statement_token1] = ACTIONS(3154),
    [aux_sym_format_statement_token1] = ACTIONS(3154),
    [aux_sym_print_statement_token1] = ACTIONS(3154),
    [aux_sym_open_statement_token1] = ACTIONS(3154),
    [aux_sym_close_statement_token1] = ACTIONS(3154),
    [aux_sym_inquire_statement_token1] = ACTIONS(3154),
    [aux_sym_enum_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token2] = ACTIONS(3154),
    [aux_sym_file_position_statement_token3] = ACTIONS(3154),
    [aux_sym_file_position_statement_token4] = ACTIONS(3154),
    [aux_sym_logical_expression_token5] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [aux_sym_boolean_literal_token1] = ACTIONS(3158),
    [aux_sym_boolean_literal_token2] = ACTIONS(3158),
    [aux_sym_null_literal_token1] = ACTIONS(3154),
    [aux_sym_identifier_token1] = ACTIONS(3154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3158),
    [sym__float_literal] = ACTIONS(3158),
    [sym__boz_literal] = ACTIONS(3158),
    [sym__string_literal] = ACTIONS(3158),
    [sym__string_literal_kind] = ACTIONS(3158),
  },
  [953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_end_program_statement_token2] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3330),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [sym_preproc_comment] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [sym_preproc_comment] = ACTIONS(3334),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_end_program_statement_token2] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [sym_preproc_comment] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3166),
    [aux_sym_interface_statement_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3166),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3166),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3166),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3166),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3166),
    [aux_sym_contains_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token1] = ACTIONS(3166),
    [aux_sym_use_statement_token2] = ACTIONS(3166),
    [aux_sym_implicit_statement_token1] = ACTIONS(3166),
    [aux_sym_implicit_statement_token3] = ACTIONS(3166),
    [aux_sym_implicit_statement_token4] = ACTIONS(3166),
    [aux_sym_save_statement_token1] = ACTIONS(3166),
    [aux_sym_private_statement_token1] = ACTIONS(3166),
    [aux_sym_public_statement_token1] = ACTIONS(3166),
    [aux_sym_namelist_statement_token1] = ACTIONS(3166),
    [aux_sym_common_statement_token1] = ACTIONS(3166),
    [aux_sym_import_statement_token1] = ACTIONS(3166),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3166),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3166),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3166),
    [aux_sym_variable_attributes_token1] = ACTIONS(3166),
    [aux_sym_variable_attributes_token2] = ACTIONS(3166),
    [aux_sym_variable_attributes_token3] = ACTIONS(3166),
    [aux_sym_variable_attributes_token4] = ACTIONS(3166),
    [aux_sym_variable_attributes_token5] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3166),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3166),
    [aux_sym_derived_type_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3166),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3166),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token1] = ACTIONS(3166),
    [aux_sym_stop_statement_token2] = ACTIONS(3166),
    [aux_sym_subroutine_call_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token1] = ACTIONS(3166),
    [aux_sym_keyword_statement_token2] = ACTIONS(3166),
    [aux_sym_keyword_statement_token3] = ACTIONS(3166),
    [aux_sym_keyword_statement_token4] = ACTIONS(3166),
    [aux_sym_keyword_statement_token6] = ACTIONS(3166),
    [aux_sym_keyword_statement_token7] = ACTIONS(3166),
    [aux_sym_include_statement_token1] = ACTIONS(3166),
    [aux_sym_data_statement_token1] = ACTIONS(3166),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3166),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3166),
    [aux_sym_end_if_statement_token1] = ACTIONS(3166),
    [aux_sym_elseif_clause_token2] = ACTIONS(3166),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3166),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token1] = ACTIONS(3166),
    [aux_sym_select_case_statement_token3] = ACTIONS(3166),
    [aux_sym_select_type_statement_token1] = ACTIONS(3166),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3166),
    [aux_sym_block_construct_token1] = ACTIONS(3166),
    [aux_sym_associate_statement_token1] = ACTIONS(3166),
    [aux_sym_format_statement_token1] = ACTIONS(3166),
    [aux_sym_print_statement_token1] = ACTIONS(3166),
    [aux_sym_open_statement_token1] = ACTIONS(3166),
    [aux_sym_close_statement_token1] = ACTIONS(3166),
    [aux_sym_inquire_statement_token1] = ACTIONS(3166),
    [aux_sym_enum_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token1] = ACTIONS(3166),
    [aux_sym_file_position_statement_token2] = ACTIONS(3166),
    [aux_sym_file_position_statement_token3] = ACTIONS(3166),
    [aux_sym_file_position_statement_token4] = ACTIONS(3166),
    [aux_sym_logical_expression_token5] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [aux_sym_boolean_literal_token1] = ACTIONS(3170),
    [aux_sym_boolean_literal_token2] = ACTIONS(3170),
    [aux_sym_null_literal_token1] = ACTIONS(3166),
    [aux_sym_identifier_token1] = ACTIONS(3166),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3170),
    [sym__float_literal] = ACTIONS(3170),
    [sym__boz_literal] = ACTIONS(3170),
    [sym__string_literal] = ACTIONS(3170),
    [sym__string_literal_kind] = ACTIONS(3170),
  },
  [958] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_end_program_statement_token2] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [sym_preproc_comment] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [sym_preproc_comment] = ACTIONS(3342),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3204),
    [aux_sym_interface_statement_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3204),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3204),
    [aux_sym_contains_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token1] = ACTIONS(3204),
    [aux_sym_use_statement_token2] = ACTIONS(3204),
    [aux_sym_implicit_statement_token1] = ACTIONS(3204),
    [aux_sym_implicit_statement_token3] = ACTIONS(3204),
    [aux_sym_implicit_statement_token4] = ACTIONS(3204),
    [aux_sym_save_statement_token1] = ACTIONS(3204),
    [aux_sym_private_statement_token1] = ACTIONS(3204),
    [aux_sym_public_statement_token1] = ACTIONS(3204),
    [aux_sym_namelist_statement_token1] = ACTIONS(3204),
    [aux_sym_common_statement_token1] = ACTIONS(3204),
    [aux_sym_import_statement_token1] = ACTIONS(3204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3204),
    [aux_sym_variable_attributes_token1] = ACTIONS(3204),
    [aux_sym_variable_attributes_token2] = ACTIONS(3204),
    [aux_sym_variable_attributes_token3] = ACTIONS(3204),
    [aux_sym_variable_attributes_token4] = ACTIONS(3204),
    [aux_sym_variable_attributes_token5] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3204),
    [aux_sym_derived_type_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token1] = ACTIONS(3204),
    [aux_sym_stop_statement_token2] = ACTIONS(3204),
    [aux_sym_subroutine_call_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token1] = ACTIONS(3204),
    [aux_sym_keyword_statement_token2] = ACTIONS(3204),
    [aux_sym_keyword_statement_token3] = ACTIONS(3204),
    [aux_sym_keyword_statement_token4] = ACTIONS(3204),
    [aux_sym_keyword_statement_token6] = ACTIONS(3204),
    [aux_sym_keyword_statement_token7] = ACTIONS(3204),
    [aux_sym_include_statement_token1] = ACTIONS(3204),
    [aux_sym_data_statement_token1] = ACTIONS(3204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3204),
    [aux_sym_end_if_statement_token1] = ACTIONS(3204),
    [aux_sym_elseif_clause_token2] = ACTIONS(3204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token1] = ACTIONS(3204),
    [aux_sym_select_case_statement_token3] = ACTIONS(3204),
    [aux_sym_select_type_statement_token1] = ACTIONS(3204),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3204),
    [aux_sym_block_construct_token1] = ACTIONS(3204),
    [aux_sym_associate_statement_token1] = ACTIONS(3204),
    [aux_sym_format_statement_token1] = ACTIONS(3204),
    [aux_sym_print_statement_token1] = ACTIONS(3204),
    [aux_sym_open_statement_token1] = ACTIONS(3204),
    [aux_sym_close_statement_token1] = ACTIONS(3204),
    [aux_sym_inquire_statement_token1] = ACTIONS(3204),
    [aux_sym_enum_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token1] = ACTIONS(3204),
    [aux_sym_file_position_statement_token2] = ACTIONS(3204),
    [aux_sym_file_position_statement_token3] = ACTIONS(3204),
    [aux_sym_file_position_statement_token4] = ACTIONS(3204),
    [aux_sym_logical_expression_token5] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [aux_sym_boolean_literal_token1] = ACTIONS(3208),
    [aux_sym_boolean_literal_token2] = ACTIONS(3208),
    [aux_sym_null_literal_token1] = ACTIONS(3204),
    [aux_sym_identifier_token1] = ACTIONS(3204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3208),
    [sym__float_literal] = ACTIONS(3208),
    [sym__boz_literal] = ACTIONS(3208),
    [sym__string_literal] = ACTIONS(3208),
    [sym__string_literal_kind] = ACTIONS(3208),
  },
  [961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [sym_preproc_comment] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [sym_preproc_comment] = ACTIONS(3346),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3184),
    [aux_sym_interface_statement_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3184),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3184),
    [aux_sym_contains_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token1] = ACTIONS(3184),
    [aux_sym_use_statement_token2] = ACTIONS(3184),
    [aux_sym_implicit_statement_token1] = ACTIONS(3184),
    [aux_sym_implicit_statement_token3] = ACTIONS(3184),
    [aux_sym_implicit_statement_token4] = ACTIONS(3184),
    [aux_sym_save_statement_token1] = ACTIONS(3184),
    [aux_sym_private_statement_token1] = ACTIONS(3184),
    [aux_sym_public_statement_token1] = ACTIONS(3184),
    [aux_sym_namelist_statement_token1] = ACTIONS(3184),
    [aux_sym_common_statement_token1] = ACTIONS(3184),
    [aux_sym_import_statement_token1] = ACTIONS(3184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3184),
    [aux_sym_variable_attributes_token1] = ACTIONS(3184),
    [aux_sym_variable_attributes_token2] = ACTIONS(3184),
    [aux_sym_variable_attributes_token3] = ACTIONS(3184),
    [aux_sym_variable_attributes_token4] = ACTIONS(3184),
    [aux_sym_variable_attributes_token5] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3184),
    [aux_sym_derived_type_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token1] = ACTIONS(3184),
    [aux_sym_stop_statement_token2] = ACTIONS(3184),
    [aux_sym_subroutine_call_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token1] = ACTIONS(3184),
    [aux_sym_keyword_statement_token2] = ACTIONS(3184),
    [aux_sym_keyword_statement_token3] = ACTIONS(3184),
    [aux_sym_keyword_statement_token4] = ACTIONS(3184),
    [aux_sym_keyword_statement_token6] = ACTIONS(3184),
    [aux_sym_keyword_statement_token7] = ACTIONS(3184),
    [aux_sym_include_statement_token1] = ACTIONS(3184),
    [aux_sym_data_statement_token1] = ACTIONS(3184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3184),
    [aux_sym_end_if_statement_token1] = ACTIONS(3184),
    [aux_sym_elseif_clause_token2] = ACTIONS(3184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token1] = ACTIONS(3184),
    [aux_sym_select_case_statement_token3] = ACTIONS(3184),
    [aux_sym_select_type_statement_token1] = ACTIONS(3184),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3184),
    [aux_sym_block_construct_token1] = ACTIONS(3184),
    [aux_sym_associate_statement_token1] = ACTIONS(3184),
    [aux_sym_format_statement_token1] = ACTIONS(3184),
    [aux_sym_print_statement_token1] = ACTIONS(3184),
    [aux_sym_open_statement_token1] = ACTIONS(3184),
    [aux_sym_close_statement_token1] = ACTIONS(3184),
    [aux_sym_inquire_statement_token1] = ACTIONS(3184),
    [aux_sym_enum_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token1] = ACTIONS(3184),
    [aux_sym_file_position_statement_token2] = ACTIONS(3184),
    [aux_sym_file_position_statement_token3] = ACTIONS(3184),
    [aux_sym_file_position_statement_token4] = ACTIONS(3184),
    [aux_sym_logical_expression_token5] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [aux_sym_boolean_literal_token1] = ACTIONS(3188),
    [aux_sym_boolean_literal_token2] = ACTIONS(3188),
    [aux_sym_null_literal_token1] = ACTIONS(3184),
    [aux_sym_identifier_token1] = ACTIONS(3184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3188),
    [sym__float_literal] = ACTIONS(3188),
    [sym__boz_literal] = ACTIONS(3188),
    [sym__string_literal] = ACTIONS(3188),
    [sym__string_literal_kind] = ACTIONS(3188),
  },
  [964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_end_program_statement_token2] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token2] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_end_program_statement_token2] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [aux_sym_preproc_else_token1] = ACTIONS(2441),
    [aux_sym_preproc_elif_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [sym_preproc_comment] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [sym_preproc_comment] = ACTIONS(3350),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3230),
    [aux_sym_interface_statement_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3230),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3230),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3230),
    [aux_sym_contains_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token1] = ACTIONS(3230),
    [aux_sym_use_statement_token2] = ACTIONS(3230),
    [aux_sym_implicit_statement_token1] = ACTIONS(3230),
    [aux_sym_implicit_statement_token3] = ACTIONS(3230),
    [aux_sym_implicit_statement_token4] = ACTIONS(3230),
    [aux_sym_save_statement_token1] = ACTIONS(3230),
    [aux_sym_private_statement_token1] = ACTIONS(3230),
    [aux_sym_public_statement_token1] = ACTIONS(3230),
    [aux_sym_namelist_statement_token1] = ACTIONS(3230),
    [aux_sym_common_statement_token1] = ACTIONS(3230),
    [aux_sym_import_statement_token1] = ACTIONS(3230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3230),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3230),
    [aux_sym_variable_attributes_token1] = ACTIONS(3230),
    [aux_sym_variable_attributes_token2] = ACTIONS(3230),
    [aux_sym_variable_attributes_token3] = ACTIONS(3230),
    [aux_sym_variable_attributes_token4] = ACTIONS(3230),
    [aux_sym_variable_attributes_token5] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3230),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3230),
    [aux_sym_derived_type_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3230),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token1] = ACTIONS(3230),
    [aux_sym_stop_statement_token2] = ACTIONS(3230),
    [aux_sym_subroutine_call_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token1] = ACTIONS(3230),
    [aux_sym_keyword_statement_token2] = ACTIONS(3230),
    [aux_sym_keyword_statement_token3] = ACTIONS(3230),
    [aux_sym_keyword_statement_token4] = ACTIONS(3230),
    [aux_sym_keyword_statement_token6] = ACTIONS(3230),
    [aux_sym_keyword_statement_token7] = ACTIONS(3230),
    [aux_sym_include_statement_token1] = ACTIONS(3230),
    [aux_sym_data_statement_token1] = ACTIONS(3230),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3230),
    [aux_sym_end_if_statement_token1] = ACTIONS(3230),
    [aux_sym_elseif_clause_token2] = ACTIONS(3230),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3230),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token1] = ACTIONS(3230),
    [aux_sym_select_case_statement_token3] = ACTIONS(3230),
    [aux_sym_select_type_statement_token1] = ACTIONS(3230),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3230),
    [aux_sym_block_construct_token1] = ACTIONS(3230),
    [aux_sym_associate_statement_token1] = ACTIONS(3230),
    [aux_sym_format_statement_token1] = ACTIONS(3230),
    [aux_sym_print_statement_token1] = ACTIONS(3230),
    [aux_sym_open_statement_token1] = ACTIONS(3230),
    [aux_sym_close_statement_token1] = ACTIONS(3230),
    [aux_sym_inquire_statement_token1] = ACTIONS(3230),
    [aux_sym_enum_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token1] = ACTIONS(3230),
    [aux_sym_file_position_statement_token2] = ACTIONS(3230),
    [aux_sym_file_position_statement_token3] = ACTIONS(3230),
    [aux_sym_file_position_statement_token4] = ACTIONS(3230),
    [aux_sym_logical_expression_token5] = ACTIONS(3234),
    [anon_sym_DOT] = ACTIONS(3230),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [aux_sym_boolean_literal_token1] = ACTIONS(3234),
    [aux_sym_boolean_literal_token2] = ACTIONS(3234),
    [aux_sym_null_literal_token1] = ACTIONS(3230),
    [aux_sym_identifier_token1] = ACTIONS(3230),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3234),
    [sym__float_literal] = ACTIONS(3234),
    [sym__boz_literal] = ACTIONS(3234),
    [sym__string_literal] = ACTIONS(3234),
    [sym__string_literal_kind] = ACTIONS(3234),
  },
  [969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [sym_preproc_comment] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3222),
    [aux_sym_preproc_if_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3222),
    [sym_preproc_directive] = ACTIONS(3222),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [sym_preproc_comment] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3222),
    [aux_sym_interface_statement_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3222),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3222),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3222),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3222),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3222),
    [aux_sym_contains_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token1] = ACTIONS(3222),
    [aux_sym_use_statement_token2] = ACTIONS(3222),
    [aux_sym_implicit_statement_token1] = ACTIONS(3222),
    [aux_sym_implicit_statement_token3] = ACTIONS(3222),
    [aux_sym_implicit_statement_token4] = ACTIONS(3222),
    [aux_sym_save_statement_token1] = ACTIONS(3222),
    [aux_sym_private_statement_token1] = ACTIONS(3222),
    [aux_sym_public_statement_token1] = ACTIONS(3222),
    [aux_sym_namelist_statement_token1] = ACTIONS(3222),
    [aux_sym_common_statement_token1] = ACTIONS(3222),
    [aux_sym_import_statement_token1] = ACTIONS(3222),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3222),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3222),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3222),
    [aux_sym_variable_attributes_token1] = ACTIONS(3222),
    [aux_sym_variable_attributes_token2] = ACTIONS(3222),
    [aux_sym_variable_attributes_token3] = ACTIONS(3222),
    [aux_sym_variable_attributes_token4] = ACTIONS(3222),
    [aux_sym_variable_attributes_token5] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3222),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3222),
    [aux_sym_derived_type_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3222),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3222),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token1] = ACTIONS(3222),
    [aux_sym_stop_statement_token2] = ACTIONS(3222),
    [aux_sym_subroutine_call_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token1] = ACTIONS(3222),
    [aux_sym_keyword_statement_token2] = ACTIONS(3222),
    [aux_sym_keyword_statement_token3] = ACTIONS(3222),
    [aux_sym_keyword_statement_token4] = ACTIONS(3222),
    [aux_sym_keyword_statement_token6] = ACTIONS(3222),
    [aux_sym_keyword_statement_token7] = ACTIONS(3222),
    [aux_sym_include_statement_token1] = ACTIONS(3222),
    [aux_sym_data_statement_token1] = ACTIONS(3222),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3222),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3222),
    [aux_sym_end_if_statement_token1] = ACTIONS(3222),
    [aux_sym_elseif_clause_token2] = ACTIONS(3222),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3222),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token1] = ACTIONS(3222),
    [aux_sym_select_case_statement_token3] = ACTIONS(3222),
    [aux_sym_select_type_statement_token1] = ACTIONS(3222),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3222),
    [aux_sym_block_construct_token1] = ACTIONS(3222),
    [aux_sym_associate_statement_token1] = ACTIONS(3222),
    [aux_sym_format_statement_token1] = ACTIONS(3222),
    [aux_sym_print_statement_token1] = ACTIONS(3222),
    [aux_sym_open_statement_token1] = ACTIONS(3222),
    [aux_sym_close_statement_token1] = ACTIONS(3222),
    [aux_sym_inquire_statement_token1] = ACTIONS(3222),
    [aux_sym_enum_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token1] = ACTIONS(3222),
    [aux_sym_file_position_statement_token2] = ACTIONS(3222),
    [aux_sym_file_position_statement_token3] = ACTIONS(3222),
    [aux_sym_file_position_statement_token4] = ACTIONS(3222),
    [aux_sym_logical_expression_token5] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [aux_sym_boolean_literal_token1] = ACTIONS(3226),
    [aux_sym_boolean_literal_token2] = ACTIONS(3226),
    [aux_sym_null_literal_token1] = ACTIONS(3222),
    [aux_sym_identifier_token1] = ACTIONS(3222),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3226),
    [sym__float_literal] = ACTIONS(3226),
    [sym__boz_literal] = ACTIONS(3226),
    [sym__string_literal] = ACTIONS(3226),
    [sym__string_literal_kind] = ACTIONS(3226),
  },
  [971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_end_program_statement_token2] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2343),
    [aux_sym_preproc_def_token1] = ACTIONS(2343),
    [aux_sym_preproc_if_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2343),
    [sym_preproc_directive] = ACTIONS(2343),
    [anon_sym_LPAREN2] = ACTIONS(2343),
    [sym_preproc_comment] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2343),
    [aux_sym_interface_statement_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2343),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2343),
    [aux_sym_contains_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token1] = ACTIONS(2343),
    [aux_sym_use_statement_token2] = ACTIONS(2343),
    [aux_sym_implicit_statement_token1] = ACTIONS(2343),
    [aux_sym_implicit_statement_token3] = ACTIONS(2343),
    [aux_sym_implicit_statement_token4] = ACTIONS(2343),
    [aux_sym_save_statement_token1] = ACTIONS(2343),
    [aux_sym_private_statement_token1] = ACTIONS(2343),
    [aux_sym_public_statement_token1] = ACTIONS(2343),
    [aux_sym_namelist_statement_token1] = ACTIONS(2343),
    [aux_sym_common_statement_token1] = ACTIONS(2343),
    [aux_sym_import_statement_token1] = ACTIONS(2343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2343),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2343),
    [aux_sym_variable_attributes_token1] = ACTIONS(2343),
    [aux_sym_variable_attributes_token2] = ACTIONS(2343),
    [aux_sym_variable_attributes_token3] = ACTIONS(2343),
    [aux_sym_variable_attributes_token4] = ACTIONS(2343),
    [aux_sym_variable_attributes_token5] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2343),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2343),
    [aux_sym_derived_type_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2343),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token1] = ACTIONS(2343),
    [aux_sym_stop_statement_token2] = ACTIONS(2343),
    [aux_sym_subroutine_call_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token1] = ACTIONS(2343),
    [aux_sym_keyword_statement_token2] = ACTIONS(2343),
    [aux_sym_keyword_statement_token3] = ACTIONS(2343),
    [aux_sym_keyword_statement_token4] = ACTIONS(2343),
    [aux_sym_keyword_statement_token6] = ACTIONS(2343),
    [aux_sym_keyword_statement_token7] = ACTIONS(2343),
    [aux_sym_include_statement_token1] = ACTIONS(2343),
    [aux_sym_data_statement_token1] = ACTIONS(2343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2343),
    [aux_sym_end_if_statement_token1] = ACTIONS(2343),
    [aux_sym_elseif_clause_token2] = ACTIONS(2343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token1] = ACTIONS(2343),
    [aux_sym_select_case_statement_token3] = ACTIONS(2343),
    [aux_sym_select_type_statement_token1] = ACTIONS(2343),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2343),
    [aux_sym_block_construct_token1] = ACTIONS(2343),
    [aux_sym_associate_statement_token1] = ACTIONS(2343),
    [aux_sym_format_statement_token1] = ACTIONS(2343),
    [aux_sym_print_statement_token1] = ACTIONS(2343),
    [aux_sym_open_statement_token1] = ACTIONS(2343),
    [aux_sym_close_statement_token1] = ACTIONS(2343),
    [aux_sym_inquire_statement_token1] = ACTIONS(2343),
    [aux_sym_enum_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token1] = ACTIONS(2343),
    [aux_sym_file_position_statement_token2] = ACTIONS(2343),
    [aux_sym_file_position_statement_token3] = ACTIONS(2343),
    [aux_sym_file_position_statement_token4] = ACTIONS(2343),
    [aux_sym_logical_expression_token5] = ACTIONS(2349),
    [anon_sym_DOT] = ACTIONS(2343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [aux_sym_boolean_literal_token1] = ACTIONS(2349),
    [aux_sym_boolean_literal_token2] = ACTIONS(2349),
    [aux_sym_null_literal_token1] = ACTIONS(2343),
    [aux_sym_identifier_token1] = ACTIONS(2343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2349),
    [sym__float_literal] = ACTIONS(2349),
    [sym__boz_literal] = ACTIONS(2349),
    [sym__string_literal] = ACTIONS(2349),
    [sym__string_literal_kind] = ACTIONS(2349),
  },
  [973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [sym_preproc_comment] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [sym_preproc_comment] = ACTIONS(3360),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3190),
    [aux_sym_interface_statement_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3190),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3190),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3190),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3190),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3190),
    [aux_sym_contains_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token1] = ACTIONS(3190),
    [aux_sym_use_statement_token2] = ACTIONS(3190),
    [aux_sym_implicit_statement_token1] = ACTIONS(3190),
    [aux_sym_implicit_statement_token3] = ACTIONS(3190),
    [aux_sym_implicit_statement_token4] = ACTIONS(3190),
    [aux_sym_save_statement_token1] = ACTIONS(3190),
    [aux_sym_private_statement_token1] = ACTIONS(3190),
    [aux_sym_public_statement_token1] = ACTIONS(3190),
    [aux_sym_namelist_statement_token1] = ACTIONS(3190),
    [aux_sym_common_statement_token1] = ACTIONS(3190),
    [aux_sym_import_statement_token1] = ACTIONS(3190),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3190),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3190),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3190),
    [aux_sym_variable_attributes_token1] = ACTIONS(3190),
    [aux_sym_variable_attributes_token2] = ACTIONS(3190),
    [aux_sym_variable_attributes_token3] = ACTIONS(3190),
    [aux_sym_variable_attributes_token4] = ACTIONS(3190),
    [aux_sym_variable_attributes_token5] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3190),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3190),
    [aux_sym_derived_type_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3190),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3190),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token1] = ACTIONS(3190),
    [aux_sym_stop_statement_token2] = ACTIONS(3190),
    [aux_sym_subroutine_call_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token1] = ACTIONS(3190),
    [aux_sym_keyword_statement_token2] = ACTIONS(3190),
    [aux_sym_keyword_statement_token3] = ACTIONS(3190),
    [aux_sym_keyword_statement_token4] = ACTIONS(3190),
    [aux_sym_keyword_statement_token6] = ACTIONS(3190),
    [aux_sym_keyword_statement_token7] = ACTIONS(3190),
    [aux_sym_include_statement_token1] = ACTIONS(3190),
    [aux_sym_data_statement_token1] = ACTIONS(3190),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3190),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3190),
    [aux_sym_end_if_statement_token1] = ACTIONS(3190),
    [aux_sym_elseif_clause_token2] = ACTIONS(3190),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3190),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token1] = ACTIONS(3190),
    [aux_sym_select_case_statement_token3] = ACTIONS(3190),
    [aux_sym_select_type_statement_token1] = ACTIONS(3190),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3190),
    [aux_sym_block_construct_token1] = ACTIONS(3190),
    [aux_sym_associate_statement_token1] = ACTIONS(3190),
    [aux_sym_format_statement_token1] = ACTIONS(3190),
    [aux_sym_print_statement_token1] = ACTIONS(3190),
    [aux_sym_open_statement_token1] = ACTIONS(3190),
    [aux_sym_close_statement_token1] = ACTIONS(3190),
    [aux_sym_inquire_statement_token1] = ACTIONS(3190),
    [aux_sym_enum_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token1] = ACTIONS(3190),
    [aux_sym_file_position_statement_token2] = ACTIONS(3190),
    [aux_sym_file_position_statement_token3] = ACTIONS(3190),
    [aux_sym_file_position_statement_token4] = ACTIONS(3190),
    [aux_sym_logical_expression_token5] = ACTIONS(3194),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [aux_sym_boolean_literal_token1] = ACTIONS(3194),
    [aux_sym_boolean_literal_token2] = ACTIONS(3194),
    [aux_sym_null_literal_token1] = ACTIONS(3190),
    [aux_sym_identifier_token1] = ACTIONS(3190),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3194),
    [sym__float_literal] = ACTIONS(3194),
    [sym__boz_literal] = ACTIONS(3194),
    [sym__string_literal] = ACTIONS(3194),
    [sym__string_literal_kind] = ACTIONS(3194),
  },
  [975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3362),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [sym_preproc_comment] = ACTIONS(3364),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [sym_preproc_comment] = ACTIONS(3366),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3154),
    [aux_sym_end_program_statement_token2] = ACTIONS(3154),
    [aux_sym_interface_statement_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3154),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3154),
    [aux_sym_contains_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token1] = ACTIONS(3154),
    [aux_sym_use_statement_token2] = ACTIONS(3154),
    [aux_sym_implicit_statement_token1] = ACTIONS(3154),
    [aux_sym_implicit_statement_token3] = ACTIONS(3154),
    [aux_sym_implicit_statement_token4] = ACTIONS(3154),
    [aux_sym_save_statement_token1] = ACTIONS(3154),
    [aux_sym_private_statement_token1] = ACTIONS(3154),
    [aux_sym_public_statement_token1] = ACTIONS(3154),
    [aux_sym_namelist_statement_token1] = ACTIONS(3154),
    [aux_sym_common_statement_token1] = ACTIONS(3154),
    [aux_sym_import_statement_token1] = ACTIONS(3154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3154),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3154),
    [aux_sym_variable_attributes_token1] = ACTIONS(3154),
    [aux_sym_variable_attributes_token2] = ACTIONS(3154),
    [aux_sym_variable_attributes_token3] = ACTIONS(3154),
    [aux_sym_variable_attributes_token4] = ACTIONS(3154),
    [aux_sym_variable_attributes_token5] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3154),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3154),
    [aux_sym_derived_type_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3154),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token1] = ACTIONS(3154),
    [aux_sym_stop_statement_token2] = ACTIONS(3154),
    [aux_sym_subroutine_call_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token1] = ACTIONS(3154),
    [aux_sym_keyword_statement_token2] = ACTIONS(3154),
    [aux_sym_keyword_statement_token3] = ACTIONS(3154),
    [aux_sym_keyword_statement_token4] = ACTIONS(3154),
    [aux_sym_keyword_statement_token6] = ACTIONS(3154),
    [aux_sym_keyword_statement_token7] = ACTIONS(3154),
    [aux_sym_include_statement_token1] = ACTIONS(3154),
    [aux_sym_data_statement_token1] = ACTIONS(3154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3154),
    [aux_sym_end_if_statement_token1] = ACTIONS(3154),
    [aux_sym_elseif_clause_token2] = ACTIONS(3154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token1] = ACTIONS(3154),
    [aux_sym_select_case_statement_token3] = ACTIONS(3154),
    [aux_sym_select_type_statement_token1] = ACTIONS(3154),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3154),
    [aux_sym_block_construct_token1] = ACTIONS(3154),
    [aux_sym_associate_statement_token1] = ACTIONS(3154),
    [aux_sym_format_statement_token1] = ACTIONS(3154),
    [aux_sym_print_statement_token1] = ACTIONS(3154),
    [aux_sym_open_statement_token1] = ACTIONS(3154),
    [aux_sym_close_statement_token1] = ACTIONS(3154),
    [aux_sym_inquire_statement_token1] = ACTIONS(3154),
    [aux_sym_enum_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token1] = ACTIONS(3154),
    [aux_sym_file_position_statement_token2] = ACTIONS(3154),
    [aux_sym_file_position_statement_token3] = ACTIONS(3154),
    [aux_sym_file_position_statement_token4] = ACTIONS(3154),
    [aux_sym_logical_expression_token5] = ACTIONS(3158),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [aux_sym_boolean_literal_token1] = ACTIONS(3158),
    [aux_sym_boolean_literal_token2] = ACTIONS(3158),
    [aux_sym_null_literal_token1] = ACTIONS(3154),
    [aux_sym_identifier_token1] = ACTIONS(3154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3158),
    [sym__float_literal] = ACTIONS(3158),
    [sym__boz_literal] = ACTIONS(3158),
    [sym__string_literal] = ACTIONS(3158),
    [sym__string_literal_kind] = ACTIONS(3158),
  },
  [978] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [sym_preproc_comment] = ACTIONS(3368),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3176),
    [aux_sym_interface_statement_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3176),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3176),
    [aux_sym_contains_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token2] = ACTIONS(3176),
    [aux_sym_implicit_statement_token1] = ACTIONS(3176),
    [aux_sym_implicit_statement_token3] = ACTIONS(3176),
    [aux_sym_implicit_statement_token4] = ACTIONS(3176),
    [aux_sym_save_statement_token1] = ACTIONS(3176),
    [aux_sym_private_statement_token1] = ACTIONS(3176),
    [aux_sym_public_statement_token1] = ACTIONS(3176),
    [aux_sym_namelist_statement_token1] = ACTIONS(3176),
    [aux_sym_common_statement_token1] = ACTIONS(3176),
    [aux_sym_import_statement_token1] = ACTIONS(3176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3176),
    [aux_sym_variable_attributes_token1] = ACTIONS(3176),
    [aux_sym_variable_attributes_token2] = ACTIONS(3176),
    [aux_sym_variable_attributes_token3] = ACTIONS(3176),
    [aux_sym_variable_attributes_token4] = ACTIONS(3176),
    [aux_sym_variable_attributes_token5] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3176),
    [aux_sym_derived_type_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token2] = ACTIONS(3176),
    [aux_sym_subroutine_call_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token2] = ACTIONS(3176),
    [aux_sym_keyword_statement_token3] = ACTIONS(3176),
    [aux_sym_keyword_statement_token4] = ACTIONS(3176),
    [aux_sym_keyword_statement_token6] = ACTIONS(3176),
    [aux_sym_keyword_statement_token7] = ACTIONS(3176),
    [aux_sym_include_statement_token1] = ACTIONS(3176),
    [aux_sym_data_statement_token1] = ACTIONS(3176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3176),
    [aux_sym_end_if_statement_token1] = ACTIONS(3176),
    [aux_sym_elseif_clause_token2] = ACTIONS(3176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token3] = ACTIONS(3176),
    [aux_sym_select_type_statement_token1] = ACTIONS(3176),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3176),
    [aux_sym_block_construct_token1] = ACTIONS(3176),
    [aux_sym_associate_statement_token1] = ACTIONS(3176),
    [aux_sym_format_statement_token1] = ACTIONS(3176),
    [aux_sym_print_statement_token1] = ACTIONS(3176),
    [aux_sym_open_statement_token1] = ACTIONS(3176),
    [aux_sym_close_statement_token1] = ACTIONS(3176),
    [aux_sym_inquire_statement_token1] = ACTIONS(3176),
    [aux_sym_enum_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token2] = ACTIONS(3176),
    [aux_sym_file_position_statement_token3] = ACTIONS(3176),
    [aux_sym_file_position_statement_token4] = ACTIONS(3176),
    [aux_sym_logical_expression_token5] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [aux_sym_boolean_literal_token1] = ACTIONS(3180),
    [aux_sym_boolean_literal_token2] = ACTIONS(3180),
    [aux_sym_null_literal_token1] = ACTIONS(3176),
    [aux_sym_identifier_token1] = ACTIONS(3176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3180),
    [sym__float_literal] = ACTIONS(3180),
    [sym__boz_literal] = ACTIONS(3180),
    [sym__string_literal] = ACTIONS(3180),
    [sym__string_literal_kind] = ACTIONS(3180),
  },
  [979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [sym_preproc_comment] = ACTIONS(3370),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3138),
    [aux_sym_end_program_statement_token2] = ACTIONS(3138),
    [aux_sym_interface_statement_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3138),
    [aux_sym_contains_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token2] = ACTIONS(3138),
    [aux_sym_implicit_statement_token1] = ACTIONS(3138),
    [aux_sym_implicit_statement_token3] = ACTIONS(3138),
    [aux_sym_implicit_statement_token4] = ACTIONS(3138),
    [aux_sym_save_statement_token1] = ACTIONS(3138),
    [aux_sym_private_statement_token1] = ACTIONS(3138),
    [aux_sym_public_statement_token1] = ACTIONS(3138),
    [aux_sym_namelist_statement_token1] = ACTIONS(3138),
    [aux_sym_common_statement_token1] = ACTIONS(3138),
    [aux_sym_import_statement_token1] = ACTIONS(3138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3138),
    [aux_sym_variable_attributes_token1] = ACTIONS(3138),
    [aux_sym_variable_attributes_token2] = ACTIONS(3138),
    [aux_sym_variable_attributes_token3] = ACTIONS(3138),
    [aux_sym_variable_attributes_token4] = ACTIONS(3138),
    [aux_sym_variable_attributes_token5] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3138),
    [aux_sym_derived_type_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token2] = ACTIONS(3138),
    [aux_sym_subroutine_call_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token2] = ACTIONS(3138),
    [aux_sym_keyword_statement_token3] = ACTIONS(3138),
    [aux_sym_keyword_statement_token4] = ACTIONS(3138),
    [aux_sym_keyword_statement_token6] = ACTIONS(3138),
    [aux_sym_keyword_statement_token7] = ACTIONS(3138),
    [aux_sym_include_statement_token1] = ACTIONS(3138),
    [aux_sym_data_statement_token1] = ACTIONS(3138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3138),
    [aux_sym_end_if_statement_token1] = ACTIONS(3138),
    [aux_sym_elseif_clause_token2] = ACTIONS(3138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token3] = ACTIONS(3138),
    [aux_sym_select_type_statement_token1] = ACTIONS(3138),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3138),
    [aux_sym_block_construct_token1] = ACTIONS(3138),
    [aux_sym_associate_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3138),
    [aux_sym_print_statement_token1] = ACTIONS(3138),
    [aux_sym_open_statement_token1] = ACTIONS(3138),
    [aux_sym_close_statement_token1] = ACTIONS(3138),
    [aux_sym_inquire_statement_token1] = ACTIONS(3138),
    [aux_sym_enum_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token2] = ACTIONS(3138),
    [aux_sym_file_position_statement_token3] = ACTIONS(3138),
    [aux_sym_file_position_statement_token4] = ACTIONS(3138),
    [aux_sym_logical_expression_token5] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [aux_sym_boolean_literal_token1] = ACTIONS(3142),
    [aux_sym_boolean_literal_token2] = ACTIONS(3142),
    [aux_sym_null_literal_token1] = ACTIONS(3138),
    [aux_sym_identifier_token1] = ACTIONS(3138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3142),
    [sym__float_literal] = ACTIONS(3142),
    [sym__boz_literal] = ACTIONS(3142),
    [sym__string_literal] = ACTIONS(3142),
    [sym__string_literal_kind] = ACTIONS(3142),
  },
  [980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2329),
    [aux_sym_preproc_def_token1] = ACTIONS(2329),
    [aux_sym_preproc_if_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2329),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(2329),
    [sym_preproc_comment] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2329),
    [aux_sym_interface_statement_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2329),
    [aux_sym_contains_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token1] = ACTIONS(2329),
    [aux_sym_use_statement_token2] = ACTIONS(2329),
    [aux_sym_implicit_statement_token1] = ACTIONS(2329),
    [aux_sym_implicit_statement_token3] = ACTIONS(2329),
    [aux_sym_implicit_statement_token4] = ACTIONS(2329),
    [aux_sym_save_statement_token1] = ACTIONS(2329),
    [aux_sym_private_statement_token1] = ACTIONS(2329),
    [aux_sym_public_statement_token1] = ACTIONS(2329),
    [aux_sym_namelist_statement_token1] = ACTIONS(2329),
    [aux_sym_common_statement_token1] = ACTIONS(2329),
    [aux_sym_import_statement_token1] = ACTIONS(2329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2329),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2329),
    [aux_sym_variable_attributes_token1] = ACTIONS(2329),
    [aux_sym_variable_attributes_token2] = ACTIONS(2329),
    [aux_sym_variable_attributes_token3] = ACTIONS(2329),
    [aux_sym_variable_attributes_token4] = ACTIONS(2329),
    [aux_sym_variable_attributes_token5] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2329),
    [aux_sym_derived_type_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2329),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token1] = ACTIONS(2329),
    [aux_sym_stop_statement_token2] = ACTIONS(2329),
    [aux_sym_subroutine_call_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token1] = ACTIONS(2329),
    [aux_sym_keyword_statement_token2] = ACTIONS(2329),
    [aux_sym_keyword_statement_token3] = ACTIONS(2329),
    [aux_sym_keyword_statement_token4] = ACTIONS(2329),
    [aux_sym_keyword_statement_token6] = ACTIONS(2329),
    [aux_sym_keyword_statement_token7] = ACTIONS(2329),
    [aux_sym_include_statement_token1] = ACTIONS(2329),
    [aux_sym_data_statement_token1] = ACTIONS(2329),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2329),
    [aux_sym_end_if_statement_token1] = ACTIONS(2329),
    [aux_sym_elseif_clause_token2] = ACTIONS(2329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2329),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token1] = ACTIONS(2329),
    [aux_sym_select_case_statement_token3] = ACTIONS(2329),
    [aux_sym_select_type_statement_token1] = ACTIONS(2329),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2329),
    [aux_sym_block_construct_token1] = ACTIONS(2329),
    [aux_sym_associate_statement_token1] = ACTIONS(2329),
    [aux_sym_format_statement_token1] = ACTIONS(2329),
    [aux_sym_print_statement_token1] = ACTIONS(2329),
    [aux_sym_open_statement_token1] = ACTIONS(2329),
    [aux_sym_close_statement_token1] = ACTIONS(2329),
    [aux_sym_inquire_statement_token1] = ACTIONS(2329),
    [aux_sym_enum_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token1] = ACTIONS(2329),
    [aux_sym_file_position_statement_token2] = ACTIONS(2329),
    [aux_sym_file_position_statement_token3] = ACTIONS(2329),
    [aux_sym_file_position_statement_token4] = ACTIONS(2329),
    [aux_sym_logical_expression_token5] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2329),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [aux_sym_boolean_literal_token1] = ACTIONS(2335),
    [aux_sym_boolean_literal_token2] = ACTIONS(2335),
    [aux_sym_null_literal_token1] = ACTIONS(2329),
    [aux_sym_identifier_token1] = ACTIONS(2329),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2335),
    [sym__float_literal] = ACTIONS(2335),
    [sym__boz_literal] = ACTIONS(2335),
    [sym__string_literal] = ACTIONS(2335),
    [sym__string_literal_kind] = ACTIONS(2335),
  },
  [981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [sym_preproc_comment] = ACTIONS(3374),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [982] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [sym_preproc_comment] = ACTIONS(3376),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3138),
    [aux_sym_interface_statement_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3138),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3138),
    [aux_sym_contains_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token1] = ACTIONS(3138),
    [aux_sym_use_statement_token2] = ACTIONS(3138),
    [aux_sym_implicit_statement_token1] = ACTIONS(3138),
    [aux_sym_implicit_statement_token3] = ACTIONS(3138),
    [aux_sym_implicit_statement_token4] = ACTIONS(3138),
    [aux_sym_save_statement_token1] = ACTIONS(3138),
    [aux_sym_private_statement_token1] = ACTIONS(3138),
    [aux_sym_public_statement_token1] = ACTIONS(3138),
    [aux_sym_namelist_statement_token1] = ACTIONS(3138),
    [aux_sym_common_statement_token1] = ACTIONS(3138),
    [aux_sym_import_statement_token1] = ACTIONS(3138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3138),
    [aux_sym_variable_attributes_token1] = ACTIONS(3138),
    [aux_sym_variable_attributes_token2] = ACTIONS(3138),
    [aux_sym_variable_attributes_token3] = ACTIONS(3138),
    [aux_sym_variable_attributes_token4] = ACTIONS(3138),
    [aux_sym_variable_attributes_token5] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3138),
    [aux_sym_derived_type_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token1] = ACTIONS(3138),
    [aux_sym_stop_statement_token2] = ACTIONS(3138),
    [aux_sym_subroutine_call_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token1] = ACTIONS(3138),
    [aux_sym_keyword_statement_token2] = ACTIONS(3138),
    [aux_sym_keyword_statement_token3] = ACTIONS(3138),
    [aux_sym_keyword_statement_token4] = ACTIONS(3138),
    [aux_sym_keyword_statement_token6] = ACTIONS(3138),
    [aux_sym_keyword_statement_token7] = ACTIONS(3138),
    [aux_sym_include_statement_token1] = ACTIONS(3138),
    [aux_sym_data_statement_token1] = ACTIONS(3138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3138),
    [aux_sym_end_if_statement_token1] = ACTIONS(3138),
    [aux_sym_elseif_clause_token2] = ACTIONS(3138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_select_case_statement_token3] = ACTIONS(3138),
    [aux_sym_select_type_statement_token1] = ACTIONS(3138),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3138),
    [aux_sym_block_construct_token1] = ACTIONS(3138),
    [aux_sym_associate_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3138),
    [aux_sym_print_statement_token1] = ACTIONS(3138),
    [aux_sym_open_statement_token1] = ACTIONS(3138),
    [aux_sym_close_statement_token1] = ACTIONS(3138),
    [aux_sym_inquire_statement_token1] = ACTIONS(3138),
    [aux_sym_enum_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token1] = ACTIONS(3138),
    [aux_sym_file_position_statement_token2] = ACTIONS(3138),
    [aux_sym_file_position_statement_token3] = ACTIONS(3138),
    [aux_sym_file_position_statement_token4] = ACTIONS(3138),
    [aux_sym_logical_expression_token5] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [aux_sym_boolean_literal_token1] = ACTIONS(3142),
    [aux_sym_boolean_literal_token2] = ACTIONS(3142),
    [aux_sym_null_literal_token1] = ACTIONS(3138),
    [aux_sym_identifier_token1] = ACTIONS(3138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3142),
    [sym__float_literal] = ACTIONS(3142),
    [sym__boz_literal] = ACTIONS(3142),
    [sym__string_literal] = ACTIONS(3142),
    [sym__string_literal_kind] = ACTIONS(3142),
  },
  [983] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [sym_preproc_comment] = ACTIONS(3378),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3176),
    [aux_sym_interface_statement_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3176),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3176),
    [aux_sym_contains_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token1] = ACTIONS(3176),
    [aux_sym_use_statement_token2] = ACTIONS(3176),
    [aux_sym_implicit_statement_token1] = ACTIONS(3176),
    [aux_sym_implicit_statement_token3] = ACTIONS(3176),
    [aux_sym_implicit_statement_token4] = ACTIONS(3176),
    [aux_sym_save_statement_token1] = ACTIONS(3176),
    [aux_sym_private_statement_token1] = ACTIONS(3176),
    [aux_sym_public_statement_token1] = ACTIONS(3176),
    [aux_sym_namelist_statement_token1] = ACTIONS(3176),
    [aux_sym_common_statement_token1] = ACTIONS(3176),
    [aux_sym_import_statement_token1] = ACTIONS(3176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3176),
    [aux_sym_variable_attributes_token1] = ACTIONS(3176),
    [aux_sym_variable_attributes_token2] = ACTIONS(3176),
    [aux_sym_variable_attributes_token3] = ACTIONS(3176),
    [aux_sym_variable_attributes_token4] = ACTIONS(3176),
    [aux_sym_variable_attributes_token5] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3176),
    [aux_sym_derived_type_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token1] = ACTIONS(3176),
    [aux_sym_stop_statement_token2] = ACTIONS(3176),
    [aux_sym_subroutine_call_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token1] = ACTIONS(3176),
    [aux_sym_keyword_statement_token2] = ACTIONS(3176),
    [aux_sym_keyword_statement_token3] = ACTIONS(3176),
    [aux_sym_keyword_statement_token4] = ACTIONS(3176),
    [aux_sym_keyword_statement_token6] = ACTIONS(3176),
    [aux_sym_keyword_statement_token7] = ACTIONS(3176),
    [aux_sym_include_statement_token1] = ACTIONS(3176),
    [aux_sym_data_statement_token1] = ACTIONS(3176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3176),
    [aux_sym_end_if_statement_token1] = ACTIONS(3176),
    [aux_sym_elseif_clause_token2] = ACTIONS(3176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token1] = ACTIONS(3176),
    [aux_sym_select_case_statement_token3] = ACTIONS(3176),
    [aux_sym_select_type_statement_token1] = ACTIONS(3176),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3176),
    [aux_sym_block_construct_token1] = ACTIONS(3176),
    [aux_sym_associate_statement_token1] = ACTIONS(3176),
    [aux_sym_format_statement_token1] = ACTIONS(3176),
    [aux_sym_print_statement_token1] = ACTIONS(3176),
    [aux_sym_open_statement_token1] = ACTIONS(3176),
    [aux_sym_close_statement_token1] = ACTIONS(3176),
    [aux_sym_inquire_statement_token1] = ACTIONS(3176),
    [aux_sym_enum_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token1] = ACTIONS(3176),
    [aux_sym_file_position_statement_token2] = ACTIONS(3176),
    [aux_sym_file_position_statement_token3] = ACTIONS(3176),
    [aux_sym_file_position_statement_token4] = ACTIONS(3176),
    [aux_sym_logical_expression_token5] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [aux_sym_boolean_literal_token1] = ACTIONS(3180),
    [aux_sym_boolean_literal_token2] = ACTIONS(3180),
    [aux_sym_null_literal_token1] = ACTIONS(3176),
    [aux_sym_identifier_token1] = ACTIONS(3176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3180),
    [sym__float_literal] = ACTIONS(3180),
    [sym__boz_literal] = ACTIONS(3180),
    [sym__string_literal] = ACTIONS(3180),
    [sym__string_literal_kind] = ACTIONS(3180),
  },
  [984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3380),
    [aux_sym_preproc_def_token1] = ACTIONS(3380),
    [aux_sym_preproc_if_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3380),
    [sym_preproc_directive] = ACTIONS(3380),
    [anon_sym_LPAREN2] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3380),
    [aux_sym_interface_statement_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3380),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3380),
    [aux_sym_contains_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token2] = ACTIONS(3380),
    [aux_sym_implicit_statement_token1] = ACTIONS(3380),
    [aux_sym_implicit_statement_token3] = ACTIONS(3380),
    [aux_sym_implicit_statement_token4] = ACTIONS(3380),
    [aux_sym_save_statement_token1] = ACTIONS(3380),
    [aux_sym_private_statement_token1] = ACTIONS(3380),
    [aux_sym_public_statement_token1] = ACTIONS(3380),
    [aux_sym_namelist_statement_token1] = ACTIONS(3380),
    [aux_sym_common_statement_token1] = ACTIONS(3380),
    [aux_sym_import_statement_token1] = ACTIONS(3380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3380),
    [aux_sym_variable_attributes_token1] = ACTIONS(3380),
    [aux_sym_variable_attributes_token2] = ACTIONS(3380),
    [aux_sym_variable_attributes_token3] = ACTIONS(3380),
    [aux_sym_variable_attributes_token4] = ACTIONS(3380),
    [aux_sym_variable_attributes_token5] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3380),
    [aux_sym_derived_type_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token2] = ACTIONS(3380),
    [aux_sym_subroutine_call_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token2] = ACTIONS(3380),
    [aux_sym_keyword_statement_token3] = ACTIONS(3380),
    [aux_sym_keyword_statement_token4] = ACTIONS(3380),
    [aux_sym_keyword_statement_token6] = ACTIONS(3380),
    [aux_sym_keyword_statement_token7] = ACTIONS(3380),
    [aux_sym_include_statement_token1] = ACTIONS(3380),
    [aux_sym_data_statement_token1] = ACTIONS(3380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3380),
    [aux_sym_end_if_statement_token1] = ACTIONS(3380),
    [aux_sym_elseif_clause_token2] = ACTIONS(3380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token3] = ACTIONS(3380),
    [aux_sym_select_type_statement_token1] = ACTIONS(3380),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3380),
    [aux_sym_block_construct_token1] = ACTIONS(3380),
    [aux_sym_associate_statement_token1] = ACTIONS(3380),
    [aux_sym_format_statement_token1] = ACTIONS(3380),
    [aux_sym_print_statement_token1] = ACTIONS(3380),
    [aux_sym_open_statement_token1] = ACTIONS(3380),
    [aux_sym_close_statement_token1] = ACTIONS(3380),
    [aux_sym_inquire_statement_token1] = ACTIONS(3380),
    [aux_sym_enum_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token2] = ACTIONS(3380),
    [aux_sym_file_position_statement_token3] = ACTIONS(3380),
    [aux_sym_file_position_statement_token4] = ACTIONS(3380),
    [aux_sym_logical_expression_token5] = ACTIONS(3382),
    [anon_sym_DOT] = ACTIONS(3380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3382),
    [aux_sym_boolean_literal_token1] = ACTIONS(3382),
    [aux_sym_boolean_literal_token2] = ACTIONS(3382),
    [aux_sym_null_literal_token1] = ACTIONS(3380),
    [aux_sym_identifier_token1] = ACTIONS(3380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3382),
    [sym__float_literal] = ACTIONS(3382),
    [sym__boz_literal] = ACTIONS(3382),
    [sym__string_literal] = ACTIONS(3382),
    [sym__string_literal_kind] = ACTIONS(3382),
  },
  [985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_end_program_statement_token2] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [986] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_end_function_statement_token1] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [989] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3384),
    [aux_sym_preproc_def_token1] = ACTIONS(3384),
    [aux_sym_preproc_if_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3384),
    [sym_preproc_directive] = ACTIONS(3384),
    [anon_sym_LPAREN2] = ACTIONS(3384),
    [anon_sym_PLUS] = ACTIONS(3386),
    [anon_sym_DASH] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3384),
    [aux_sym_interface_statement_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3384),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3384),
    [aux_sym_contains_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token2] = ACTIONS(3384),
    [aux_sym_implicit_statement_token1] = ACTIONS(3384),
    [aux_sym_implicit_statement_token3] = ACTIONS(3384),
    [aux_sym_implicit_statement_token4] = ACTIONS(3384),
    [aux_sym_save_statement_token1] = ACTIONS(3384),
    [aux_sym_private_statement_token1] = ACTIONS(3384),
    [aux_sym_public_statement_token1] = ACTIONS(3384),
    [aux_sym_namelist_statement_token1] = ACTIONS(3384),
    [aux_sym_common_statement_token1] = ACTIONS(3384),
    [aux_sym_import_statement_token1] = ACTIONS(3384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3384),
    [aux_sym_variable_attributes_token1] = ACTIONS(3384),
    [aux_sym_variable_attributes_token2] = ACTIONS(3384),
    [aux_sym_variable_attributes_token3] = ACTIONS(3384),
    [aux_sym_variable_attributes_token4] = ACTIONS(3384),
    [aux_sym_variable_attributes_token5] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3384),
    [aux_sym_derived_type_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token2] = ACTIONS(3384),
    [aux_sym_subroutine_call_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token2] = ACTIONS(3384),
    [aux_sym_keyword_statement_token3] = ACTIONS(3384),
    [aux_sym_keyword_statement_token4] = ACTIONS(3384),
    [aux_sym_keyword_statement_token6] = ACTIONS(3384),
    [aux_sym_keyword_statement_token7] = ACTIONS(3384),
    [aux_sym_include_statement_token1] = ACTIONS(3384),
    [aux_sym_data_statement_token1] = ACTIONS(3384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3384),
    [aux_sym_end_if_statement_token1] = ACTIONS(3384),
    [aux_sym_elseif_clause_token2] = ACTIONS(3384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token3] = ACTIONS(3384),
    [aux_sym_select_type_statement_token1] = ACTIONS(3384),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3384),
    [aux_sym_block_construct_token1] = ACTIONS(3384),
    [aux_sym_associate_statement_token1] = ACTIONS(3384),
    [aux_sym_format_statement_token1] = ACTIONS(3384),
    [aux_sym_print_statement_token1] = ACTIONS(3384),
    [aux_sym_open_statement_token1] = ACTIONS(3384),
    [aux_sym_close_statement_token1] = ACTIONS(3384),
    [aux_sym_inquire_statement_token1] = ACTIONS(3384),
    [aux_sym_enum_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token2] = ACTIONS(3384),
    [aux_sym_file_position_statement_token3] = ACTIONS(3384),
    [aux_sym_file_position_statement_token4] = ACTIONS(3384),
    [aux_sym_logical_expression_token5] = ACTIONS(3386),
    [anon_sym_DOT] = ACTIONS(3384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3386),
    [anon_sym_LBRACK] = ACTIONS(3386),
    [aux_sym_boolean_literal_token1] = ACTIONS(3386),
    [aux_sym_boolean_literal_token2] = ACTIONS(3386),
    [aux_sym_null_literal_token1] = ACTIONS(3384),
    [aux_sym_identifier_token1] = ACTIONS(3384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3386),
    [sym__float_literal] = ACTIONS(3386),
    [sym__boz_literal] = ACTIONS(3386),
    [sym__string_literal] = ACTIONS(3386),
    [sym__string_literal_kind] = ACTIONS(3386),
  },
  [990] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_end_function_statement_token1] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3388),
    [aux_sym_preproc_def_token1] = ACTIONS(3388),
    [aux_sym_preproc_if_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3388),
    [sym_preproc_directive] = ACTIONS(3388),
    [anon_sym_LPAREN2] = ACTIONS(3388),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3388),
    [aux_sym_interface_statement_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3388),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3388),
    [aux_sym_contains_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token2] = ACTIONS(3388),
    [aux_sym_implicit_statement_token1] = ACTIONS(3388),
    [aux_sym_implicit_statement_token3] = ACTIONS(3388),
    [aux_sym_implicit_statement_token4] = ACTIONS(3388),
    [aux_sym_save_statement_token1] = ACTIONS(3388),
    [aux_sym_private_statement_token1] = ACTIONS(3388),
    [aux_sym_public_statement_token1] = ACTIONS(3388),
    [aux_sym_namelist_statement_token1] = ACTIONS(3388),
    [aux_sym_common_statement_token1] = ACTIONS(3388),
    [aux_sym_import_statement_token1] = ACTIONS(3388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3388),
    [aux_sym_variable_attributes_token1] = ACTIONS(3388),
    [aux_sym_variable_attributes_token2] = ACTIONS(3388),
    [aux_sym_variable_attributes_token3] = ACTIONS(3388),
    [aux_sym_variable_attributes_token4] = ACTIONS(3388),
    [aux_sym_variable_attributes_token5] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3388),
    [aux_sym_derived_type_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token2] = ACTIONS(3388),
    [aux_sym_subroutine_call_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token2] = ACTIONS(3388),
    [aux_sym_keyword_statement_token3] = ACTIONS(3388),
    [aux_sym_keyword_statement_token4] = ACTIONS(3388),
    [aux_sym_keyword_statement_token6] = ACTIONS(3388),
    [aux_sym_keyword_statement_token7] = ACTIONS(3388),
    [aux_sym_include_statement_token1] = ACTIONS(3388),
    [aux_sym_data_statement_token1] = ACTIONS(3388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3388),
    [aux_sym_end_if_statement_token1] = ACTIONS(3388),
    [aux_sym_elseif_clause_token2] = ACTIONS(3388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3388),
    [aux_sym_select_type_statement_token1] = ACTIONS(3388),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3388),
    [aux_sym_block_construct_token1] = ACTIONS(3388),
    [aux_sym_associate_statement_token1] = ACTIONS(3388),
    [aux_sym_format_statement_token1] = ACTIONS(3388),
    [aux_sym_print_statement_token1] = ACTIONS(3388),
    [aux_sym_open_statement_token1] = ACTIONS(3388),
    [aux_sym_close_statement_token1] = ACTIONS(3388),
    [aux_sym_inquire_statement_token1] = ACTIONS(3388),
    [aux_sym_enum_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token2] = ACTIONS(3388),
    [aux_sym_file_position_statement_token3] = ACTIONS(3388),
    [aux_sym_file_position_statement_token4] = ACTIONS(3388),
    [aux_sym_logical_expression_token5] = ACTIONS(3390),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3390),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [aux_sym_boolean_literal_token1] = ACTIONS(3390),
    [aux_sym_boolean_literal_token2] = ACTIONS(3390),
    [aux_sym_null_literal_token1] = ACTIONS(3388),
    [aux_sym_identifier_token1] = ACTIONS(3388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3390),
    [sym__float_literal] = ACTIONS(3390),
    [sym__boz_literal] = ACTIONS(3390),
    [sym__string_literal] = ACTIONS(3390),
    [sym__string_literal_kind] = ACTIONS(3390),
  },
  [994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3392),
    [aux_sym_preproc_def_token1] = ACTIONS(3392),
    [aux_sym_preproc_if_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3392),
    [sym_preproc_directive] = ACTIONS(3392),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3392),
    [aux_sym_interface_statement_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3392),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3392),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token2] = ACTIONS(3392),
    [aux_sym_implicit_statement_token1] = ACTIONS(3392),
    [aux_sym_implicit_statement_token3] = ACTIONS(3392),
    [aux_sym_implicit_statement_token4] = ACTIONS(3392),
    [aux_sym_save_statement_token1] = ACTIONS(3392),
    [aux_sym_private_statement_token1] = ACTIONS(3392),
    [aux_sym_public_statement_token1] = ACTIONS(3392),
    [aux_sym_namelist_statement_token1] = ACTIONS(3392),
    [aux_sym_common_statement_token1] = ACTIONS(3392),
    [aux_sym_import_statement_token1] = ACTIONS(3392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3392),
    [aux_sym_variable_attributes_token1] = ACTIONS(3392),
    [aux_sym_variable_attributes_token2] = ACTIONS(3392),
    [aux_sym_variable_attributes_token3] = ACTIONS(3392),
    [aux_sym_variable_attributes_token4] = ACTIONS(3392),
    [aux_sym_variable_attributes_token5] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3392),
    [aux_sym_derived_type_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token2] = ACTIONS(3392),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3392),
    [aux_sym_keyword_statement_token3] = ACTIONS(3392),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3392),
    [aux_sym_data_statement_token1] = ACTIONS(3392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3392),
    [aux_sym_end_if_statement_token1] = ACTIONS(3392),
    [aux_sym_elseif_clause_token2] = ACTIONS(3392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3392),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3392),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3392),
    [aux_sym_enum_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3392),
    [aux_sym_identifier_token1] = ACTIONS(3392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3394),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token2] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_end_program_statement_token2] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [1007] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_end_function_statement_token1] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [1008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [1009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3396),
    [aux_sym_preproc_def_token1] = ACTIONS(3396),
    [aux_sym_preproc_if_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3396),
    [sym_preproc_directive] = ACTIONS(3396),
    [anon_sym_LPAREN2] = ACTIONS(3396),
    [anon_sym_PLUS] = ACTIONS(3398),
    [anon_sym_DASH] = ACTIONS(3398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3396),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3396),
    [aux_sym_contains_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token2] = ACTIONS(3396),
    [aux_sym_implicit_statement_token1] = ACTIONS(3396),
    [aux_sym_implicit_statement_token3] = ACTIONS(3396),
    [aux_sym_implicit_statement_token4] = ACTIONS(3396),
    [aux_sym_save_statement_token1] = ACTIONS(3396),
    [aux_sym_private_statement_token1] = ACTIONS(3396),
    [aux_sym_public_statement_token1] = ACTIONS(3396),
    [aux_sym_namelist_statement_token1] = ACTIONS(3396),
    [aux_sym_common_statement_token1] = ACTIONS(3396),
    [aux_sym_import_statement_token1] = ACTIONS(3396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3396),
    [aux_sym_variable_attributes_token1] = ACTIONS(3396),
    [aux_sym_variable_attributes_token2] = ACTIONS(3396),
    [aux_sym_variable_attributes_token3] = ACTIONS(3396),
    [aux_sym_variable_attributes_token4] = ACTIONS(3396),
    [aux_sym_variable_attributes_token5] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3396),
    [aux_sym_derived_type_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token2] = ACTIONS(3396),
    [aux_sym_subroutine_call_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token2] = ACTIONS(3396),
    [aux_sym_keyword_statement_token3] = ACTIONS(3396),
    [aux_sym_keyword_statement_token4] = ACTIONS(3396),
    [aux_sym_keyword_statement_token6] = ACTIONS(3396),
    [aux_sym_keyword_statement_token7] = ACTIONS(3396),
    [aux_sym_include_statement_token1] = ACTIONS(3396),
    [aux_sym_data_statement_token1] = ACTIONS(3396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3396),
    [aux_sym_end_if_statement_token1] = ACTIONS(3396),
    [aux_sym_elseif_clause_token2] = ACTIONS(3396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token3] = ACTIONS(3396),
    [aux_sym_select_type_statement_token1] = ACTIONS(3396),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3396),
    [aux_sym_block_construct_token1] = ACTIONS(3396),
    [aux_sym_associate_statement_token1] = ACTIONS(3396),
    [aux_sym_format_statement_token1] = ACTIONS(3396),
    [aux_sym_print_statement_token1] = ACTIONS(3396),
    [aux_sym_open_statement_token1] = ACTIONS(3396),
    [aux_sym_close_statement_token1] = ACTIONS(3396),
    [aux_sym_inquire_statement_token1] = ACTIONS(3396),
    [aux_sym_enum_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token2] = ACTIONS(3396),
    [aux_sym_file_position_statement_token3] = ACTIONS(3396),
    [aux_sym_file_position_statement_token4] = ACTIONS(3396),
    [aux_sym_logical_expression_token5] = ACTIONS(3398),
    [anon_sym_DOT] = ACTIONS(3396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3398),
    [aux_sym_boolean_literal_token1] = ACTIONS(3398),
    [aux_sym_boolean_literal_token2] = ACTIONS(3398),
    [aux_sym_null_literal_token1] = ACTIONS(3396),
    [aux_sym_identifier_token1] = ACTIONS(3396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3398),
    [sym__float_literal] = ACTIONS(3398),
    [sym__boz_literal] = ACTIONS(3398),
    [sym__string_literal] = ACTIONS(3398),
    [sym__string_literal_kind] = ACTIONS(3398),
  },
  [1010] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_end_function_statement_token1] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [1011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_end_function_statement_token1] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [1012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3400),
    [aux_sym_preproc_def_token1] = ACTIONS(3400),
    [aux_sym_preproc_if_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3400),
    [sym_preproc_directive] = ACTIONS(3400),
    [anon_sym_LPAREN2] = ACTIONS(3400),
    [anon_sym_PLUS] = ACTIONS(3402),
    [anon_sym_DASH] = ACTIONS(3402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3400),
    [aux_sym_interface_statement_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3400),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3400),
    [aux_sym_contains_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token2] = ACTIONS(3400),
    [aux_sym_implicit_statement_token1] = ACTIONS(3400),
    [aux_sym_implicit_statement_token3] = ACTIONS(3400),
    [aux_sym_implicit_statement_token4] = ACTIONS(3400),
    [aux_sym_save_statement_token1] = ACTIONS(3400),
    [aux_sym_private_statement_token1] = ACTIONS(3400),
    [aux_sym_public_statement_token1] = ACTIONS(3400),
    [aux_sym_namelist_statement_token1] = ACTIONS(3400),
    [aux_sym_common_statement_token1] = ACTIONS(3400),
    [aux_sym_import_statement_token1] = ACTIONS(3400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3400),
    [aux_sym_variable_attributes_token1] = ACTIONS(3400),
    [aux_sym_variable_attributes_token2] = ACTIONS(3400),
    [aux_sym_variable_attributes_token3] = ACTIONS(3400),
    [aux_sym_variable_attributes_token4] = ACTIONS(3400),
    [aux_sym_variable_attributes_token5] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3400),
    [aux_sym_derived_type_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token2] = ACTIONS(3400),
    [aux_sym_subroutine_call_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token2] = ACTIONS(3400),
    [aux_sym_keyword_statement_token3] = ACTIONS(3400),
    [aux_sym_keyword_statement_token4] = ACTIONS(3400),
    [aux_sym_keyword_statement_token6] = ACTIONS(3400),
    [aux_sym_keyword_statement_token7] = ACTIONS(3400),
    [aux_sym_include_statement_token1] = ACTIONS(3400),
    [aux_sym_data_statement_token1] = ACTIONS(3400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3400),
    [aux_sym_end_if_statement_token1] = ACTIONS(3400),
    [aux_sym_elseif_clause_token2] = ACTIONS(3400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token3] = ACTIONS(3400),
    [aux_sym_select_type_statement_token1] = ACTIONS(3400),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3400),
    [aux_sym_block_construct_token1] = ACTIONS(3400),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3400),
    [aux_sym_print_statement_token1] = ACTIONS(3400),
    [aux_sym_open_statement_token1] = ACTIONS(3400),
    [aux_sym_close_statement_token1] = ACTIONS(3400),
    [aux_sym_inquire_statement_token1] = ACTIONS(3400),
    [aux_sym_enum_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token2] = ACTIONS(3400),
    [aux_sym_file_position_statement_token3] = ACTIONS(3400),
    [aux_sym_file_position_statement_token4] = ACTIONS(3400),
    [aux_sym_logical_expression_token5] = ACTIONS(3402),
    [anon_sym_DOT] = ACTIONS(3400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3402),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [aux_sym_boolean_literal_token1] = ACTIONS(3402),
    [aux_sym_boolean_literal_token2] = ACTIONS(3402),
    [aux_sym_null_literal_token1] = ACTIONS(3400),
    [aux_sym_identifier_token1] = ACTIONS(3400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3402),
    [sym__float_literal] = ACTIONS(3402),
    [sym__boz_literal] = ACTIONS(3402),
    [sym__string_literal] = ACTIONS(3402),
    [sym__string_literal_kind] = ACTIONS(3402),
  },
  [1013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_end_function_statement_token1] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [1014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token2] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_program_statement_token2] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [1017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_program_statement_token2] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [1019] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [1020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [1021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [1022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_end_function_statement_token1] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [1023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token2] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3404),
    [aux_sym_preproc_def_token1] = ACTIONS(3404),
    [aux_sym_preproc_if_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3404),
    [sym_preproc_directive] = ACTIONS(3404),
    [anon_sym_LPAREN2] = ACTIONS(3404),
    [anon_sym_PLUS] = ACTIONS(3406),
    [anon_sym_DASH] = ACTIONS(3406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3404),
    [aux_sym_end_program_statement_token2] = ACTIONS(3404),
    [aux_sym_interface_statement_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3404),
    [aux_sym_contains_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token2] = ACTIONS(3404),
    [aux_sym_implicit_statement_token1] = ACTIONS(3404),
    [aux_sym_implicit_statement_token3] = ACTIONS(3404),
    [aux_sym_implicit_statement_token4] = ACTIONS(3404),
    [aux_sym_save_statement_token1] = ACTIONS(3404),
    [aux_sym_private_statement_token1] = ACTIONS(3404),
    [aux_sym_public_statement_token1] = ACTIONS(3404),
    [aux_sym_namelist_statement_token1] = ACTIONS(3404),
    [aux_sym_common_statement_token1] = ACTIONS(3404),
    [aux_sym_import_statement_token1] = ACTIONS(3404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3404),
    [aux_sym_variable_attributes_token1] = ACTIONS(3404),
    [aux_sym_variable_attributes_token2] = ACTIONS(3404),
    [aux_sym_variable_attributes_token3] = ACTIONS(3404),
    [aux_sym_variable_attributes_token4] = ACTIONS(3404),
    [aux_sym_variable_attributes_token5] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3404),
    [aux_sym_derived_type_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token2] = ACTIONS(3404),
    [aux_sym_subroutine_call_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token2] = ACTIONS(3404),
    [aux_sym_keyword_statement_token3] = ACTIONS(3404),
    [aux_sym_keyword_statement_token4] = ACTIONS(3404),
    [aux_sym_keyword_statement_token6] = ACTIONS(3404),
    [aux_sym_keyword_statement_token7] = ACTIONS(3404),
    [aux_sym_include_statement_token1] = ACTIONS(3404),
    [aux_sym_data_statement_token1] = ACTIONS(3404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3404),
    [aux_sym_end_if_statement_token1] = ACTIONS(3404),
    [aux_sym_elseif_clause_token2] = ACTIONS(3404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token3] = ACTIONS(3404),
    [aux_sym_select_type_statement_token1] = ACTIONS(3404),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3404),
    [aux_sym_block_construct_token1] = ACTIONS(3404),
    [aux_sym_associate_statement_token1] = ACTIONS(3404),
    [aux_sym_format_statement_token1] = ACTIONS(3404),
    [aux_sym_print_statement_token1] = ACTIONS(3404),
    [aux_sym_open_statement_token1] = ACTIONS(3404),
    [aux_sym_close_statement_token1] = ACTIONS(3404),
    [aux_sym_inquire_statement_token1] = ACTIONS(3404),
    [aux_sym_enum_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token2] = ACTIONS(3404),
    [aux_sym_file_position_statement_token3] = ACTIONS(3404),
    [aux_sym_file_position_statement_token4] = ACTIONS(3404),
    [aux_sym_logical_expression_token5] = ACTIONS(3406),
    [anon_sym_DOT] = ACTIONS(3404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3406),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [aux_sym_boolean_literal_token1] = ACTIONS(3406),
    [aux_sym_boolean_literal_token2] = ACTIONS(3406),
    [aux_sym_null_literal_token1] = ACTIONS(3404),
    [aux_sym_identifier_token1] = ACTIONS(3404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3406),
    [sym__float_literal] = ACTIONS(3406),
    [sym__boz_literal] = ACTIONS(3406),
    [sym__string_literal] = ACTIONS(3406),
    [sym__string_literal_kind] = ACTIONS(3406),
  },
  [1025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [1026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_end_function_statement_token1] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [1027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_end_function_statement_token1] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [1028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3408),
    [aux_sym_preproc_def_token1] = ACTIONS(3408),
    [aux_sym_preproc_if_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3408),
    [sym_preproc_directive] = ACTIONS(3408),
    [anon_sym_LPAREN2] = ACTIONS(3408),
    [anon_sym_PLUS] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(3410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3408),
    [aux_sym_interface_statement_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3408),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3408),
    [aux_sym_contains_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token2] = ACTIONS(3408),
    [aux_sym_implicit_statement_token1] = ACTIONS(3408),
    [aux_sym_implicit_statement_token3] = ACTIONS(3408),
    [aux_sym_implicit_statement_token4] = ACTIONS(3408),
    [aux_sym_save_statement_token1] = ACTIONS(3408),
    [aux_sym_private_statement_token1] = ACTIONS(3408),
    [aux_sym_public_statement_token1] = ACTIONS(3408),
    [aux_sym_namelist_statement_token1] = ACTIONS(3408),
    [aux_sym_common_statement_token1] = ACTIONS(3408),
    [aux_sym_import_statement_token1] = ACTIONS(3408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3408),
    [aux_sym_variable_attributes_token1] = ACTIONS(3408),
    [aux_sym_variable_attributes_token2] = ACTIONS(3408),
    [aux_sym_variable_attributes_token3] = ACTIONS(3408),
    [aux_sym_variable_attributes_token4] = ACTIONS(3408),
    [aux_sym_variable_attributes_token5] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3408),
    [aux_sym_derived_type_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token2] = ACTIONS(3408),
    [aux_sym_subroutine_call_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token2] = ACTIONS(3408),
    [aux_sym_keyword_statement_token3] = ACTIONS(3408),
    [aux_sym_keyword_statement_token4] = ACTIONS(3408),
    [aux_sym_keyword_statement_token6] = ACTIONS(3408),
    [aux_sym_keyword_statement_token7] = ACTIONS(3408),
    [aux_sym_include_statement_token1] = ACTIONS(3408),
    [aux_sym_data_statement_token1] = ACTIONS(3408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3408),
    [aux_sym_end_if_statement_token1] = ACTIONS(3408),
    [aux_sym_elseif_clause_token2] = ACTIONS(3408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token3] = ACTIONS(3408),
    [aux_sym_select_type_statement_token1] = ACTIONS(3408),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3408),
    [aux_sym_block_construct_token1] = ACTIONS(3408),
    [aux_sym_associate_statement_token1] = ACTIONS(3408),
    [aux_sym_format_statement_token1] = ACTIONS(3408),
    [aux_sym_print_statement_token1] = ACTIONS(3408),
    [aux_sym_open_statement_token1] = ACTIONS(3408),
    [aux_sym_close_statement_token1] = ACTIONS(3408),
    [aux_sym_inquire_statement_token1] = ACTIONS(3408),
    [aux_sym_enum_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token2] = ACTIONS(3408),
    [aux_sym_file_position_statement_token3] = ACTIONS(3408),
    [aux_sym_file_position_statement_token4] = ACTIONS(3408),
    [aux_sym_logical_expression_token5] = ACTIONS(3410),
    [anon_sym_DOT] = ACTIONS(3408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3410),
    [anon_sym_LBRACK] = ACTIONS(3410),
    [aux_sym_boolean_literal_token1] = ACTIONS(3410),
    [aux_sym_boolean_literal_token2] = ACTIONS(3410),
    [aux_sym_null_literal_token1] = ACTIONS(3408),
    [aux_sym_identifier_token1] = ACTIONS(3408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3410),
    [sym__float_literal] = ACTIONS(3410),
    [sym__boz_literal] = ACTIONS(3410),
    [sym__string_literal] = ACTIONS(3410),
    [sym__string_literal_kind] = ACTIONS(3410),
  },
  [1029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_end_function_statement_token1] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [1030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [1031] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3412),
    [aux_sym_preproc_def_token1] = ACTIONS(3412),
    [aux_sym_preproc_if_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3412),
    [sym_preproc_directive] = ACTIONS(3412),
    [anon_sym_LPAREN2] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(3414),
    [anon_sym_DASH] = ACTIONS(3414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3412),
    [aux_sym_interface_statement_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3412),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3412),
    [aux_sym_contains_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token2] = ACTIONS(3412),
    [aux_sym_implicit_statement_token1] = ACTIONS(3412),
    [aux_sym_implicit_statement_token3] = ACTIONS(3412),
    [aux_sym_implicit_statement_token4] = ACTIONS(3412),
    [aux_sym_save_statement_token1] = ACTIONS(3412),
    [aux_sym_private_statement_token1] = ACTIONS(3412),
    [aux_sym_public_statement_token1] = ACTIONS(3412),
    [aux_sym_namelist_statement_token1] = ACTIONS(3412),
    [aux_sym_common_statement_token1] = ACTIONS(3412),
    [aux_sym_import_statement_token1] = ACTIONS(3412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3412),
    [aux_sym_variable_attributes_token1] = ACTIONS(3412),
    [aux_sym_variable_attributes_token2] = ACTIONS(3412),
    [aux_sym_variable_attributes_token3] = ACTIONS(3412),
    [aux_sym_variable_attributes_token4] = ACTIONS(3412),
    [aux_sym_variable_attributes_token5] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3412),
    [aux_sym_derived_type_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token2] = ACTIONS(3412),
    [aux_sym_subroutine_call_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token2] = ACTIONS(3412),
    [aux_sym_keyword_statement_token3] = ACTIONS(3412),
    [aux_sym_keyword_statement_token4] = ACTIONS(3412),
    [aux_sym_keyword_statement_token6] = ACTIONS(3412),
    [aux_sym_keyword_statement_token7] = ACTIONS(3412),
    [aux_sym_include_statement_token1] = ACTIONS(3412),
    [aux_sym_data_statement_token1] = ACTIONS(3412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3412),
    [aux_sym_end_if_statement_token1] = ACTIONS(3412),
    [aux_sym_elseif_clause_token2] = ACTIONS(3412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token3] = ACTIONS(3412),
    [aux_sym_select_type_statement_token1] = ACTIONS(3412),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3412),
    [aux_sym_block_construct_token1] = ACTIONS(3412),
    [aux_sym_associate_statement_token1] = ACTIONS(3412),
    [aux_sym_format_statement_token1] = ACTIONS(3412),
    [aux_sym_print_statement_token1] = ACTIONS(3412),
    [aux_sym_open_statement_token1] = ACTIONS(3412),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3412),
    [aux_sym_enum_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token2] = ACTIONS(3412),
    [aux_sym_file_position_statement_token3] = ACTIONS(3412),
    [aux_sym_file_position_statement_token4] = ACTIONS(3412),
    [aux_sym_logical_expression_token5] = ACTIONS(3414),
    [anon_sym_DOT] = ACTIONS(3412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(3414),
    [aux_sym_boolean_literal_token1] = ACTIONS(3414),
    [aux_sym_boolean_literal_token2] = ACTIONS(3414),
    [aux_sym_null_literal_token1] = ACTIONS(3412),
    [aux_sym_identifier_token1] = ACTIONS(3412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3414),
    [sym__float_literal] = ACTIONS(3414),
    [sym__boz_literal] = ACTIONS(3414),
    [sym__string_literal] = ACTIONS(3414),
    [sym__string_literal_kind] = ACTIONS(3414),
  },
  [1032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_end_function_statement_token1] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [1033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token2] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1034] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3416),
    [aux_sym_preproc_def_token1] = ACTIONS(3416),
    [aux_sym_preproc_if_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3416),
    [sym_preproc_directive] = ACTIONS(3416),
    [anon_sym_LPAREN2] = ACTIONS(3416),
    [anon_sym_PLUS] = ACTIONS(3418),
    [anon_sym_DASH] = ACTIONS(3418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3416),
    [aux_sym_interface_statement_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3416),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3416),
    [aux_sym_contains_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token2] = ACTIONS(3416),
    [aux_sym_implicit_statement_token1] = ACTIONS(3416),
    [aux_sym_implicit_statement_token3] = ACTIONS(3416),
    [aux_sym_implicit_statement_token4] = ACTIONS(3416),
    [aux_sym_save_statement_token1] = ACTIONS(3416),
    [aux_sym_private_statement_token1] = ACTIONS(3416),
    [aux_sym_public_statement_token1] = ACTIONS(3416),
    [aux_sym_namelist_statement_token1] = ACTIONS(3416),
    [aux_sym_common_statement_token1] = ACTIONS(3416),
    [aux_sym_import_statement_token1] = ACTIONS(3416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3416),
    [aux_sym_variable_attributes_token1] = ACTIONS(3416),
    [aux_sym_variable_attributes_token2] = ACTIONS(3416),
    [aux_sym_variable_attributes_token3] = ACTIONS(3416),
    [aux_sym_variable_attributes_token4] = ACTIONS(3416),
    [aux_sym_variable_attributes_token5] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3416),
    [aux_sym_derived_type_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token2] = ACTIONS(3416),
    [aux_sym_subroutine_call_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token2] = ACTIONS(3416),
    [aux_sym_keyword_statement_token3] = ACTIONS(3416),
    [aux_sym_keyword_statement_token4] = ACTIONS(3416),
    [aux_sym_keyword_statement_token6] = ACTIONS(3416),
    [aux_sym_keyword_statement_token7] = ACTIONS(3416),
    [aux_sym_include_statement_token1] = ACTIONS(3416),
    [aux_sym_data_statement_token1] = ACTIONS(3416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3416),
    [aux_sym_end_if_statement_token1] = ACTIONS(3416),
    [aux_sym_elseif_clause_token2] = ACTIONS(3416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token3] = ACTIONS(3416),
    [aux_sym_select_type_statement_token1] = ACTIONS(3416),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3416),
    [aux_sym_block_construct_token1] = ACTIONS(3416),
    [aux_sym_associate_statement_token1] = ACTIONS(3416),
    [aux_sym_format_statement_token1] = ACTIONS(3416),
    [aux_sym_print_statement_token1] = ACTIONS(3416),
    [aux_sym_open_statement_token1] = ACTIONS(3416),
    [aux_sym_close_statement_token1] = ACTIONS(3416),
    [aux_sym_inquire_statement_token1] = ACTIONS(3416),
    [aux_sym_enum_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token2] = ACTIONS(3416),
    [aux_sym_file_position_statement_token3] = ACTIONS(3416),
    [aux_sym_file_position_statement_token4] = ACTIONS(3416),
    [aux_sym_logical_expression_token5] = ACTIONS(3418),
    [anon_sym_DOT] = ACTIONS(3416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3418),
    [anon_sym_LBRACK] = ACTIONS(3418),
    [aux_sym_boolean_literal_token1] = ACTIONS(3418),
    [aux_sym_boolean_literal_token2] = ACTIONS(3418),
    [aux_sym_null_literal_token1] = ACTIONS(3416),
    [aux_sym_identifier_token1] = ACTIONS(3416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3418),
    [sym__float_literal] = ACTIONS(3418),
    [sym__boz_literal] = ACTIONS(3418),
    [sym__string_literal] = ACTIONS(3418),
    [sym__string_literal_kind] = ACTIONS(3418),
  },
  [1035] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_end_program_statement_token2] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [1036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3420),
    [aux_sym_preproc_def_token1] = ACTIONS(3420),
    [aux_sym_preproc_if_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3420),
    [sym_preproc_directive] = ACTIONS(3420),
    [anon_sym_LPAREN2] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3422),
    [anon_sym_DASH] = ACTIONS(3422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3420),
    [aux_sym_interface_statement_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3420),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3420),
    [aux_sym_contains_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token2] = ACTIONS(3420),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3420),
    [aux_sym_implicit_statement_token4] = ACTIONS(3420),
    [aux_sym_save_statement_token1] = ACTIONS(3420),
    [aux_sym_private_statement_token1] = ACTIONS(3420),
    [aux_sym_public_statement_token1] = ACTIONS(3420),
    [aux_sym_namelist_statement_token1] = ACTIONS(3420),
    [aux_sym_common_statement_token1] = ACTIONS(3420),
    [aux_sym_import_statement_token1] = ACTIONS(3420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3420),
    [aux_sym_variable_attributes_token1] = ACTIONS(3420),
    [aux_sym_variable_attributes_token2] = ACTIONS(3420),
    [aux_sym_variable_attributes_token3] = ACTIONS(3420),
    [aux_sym_variable_attributes_token4] = ACTIONS(3420),
    [aux_sym_variable_attributes_token5] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3420),
    [aux_sym_derived_type_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token2] = ACTIONS(3420),
    [aux_sym_subroutine_call_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token2] = ACTIONS(3420),
    [aux_sym_keyword_statement_token3] = ACTIONS(3420),
    [aux_sym_keyword_statement_token4] = ACTIONS(3420),
    [aux_sym_keyword_statement_token6] = ACTIONS(3420),
    [aux_sym_keyword_statement_token7] = ACTIONS(3420),
    [aux_sym_include_statement_token1] = ACTIONS(3420),
    [aux_sym_data_statement_token1] = ACTIONS(3420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3420),
    [aux_sym_end_if_statement_token1] = ACTIONS(3420),
    [aux_sym_elseif_clause_token2] = ACTIONS(3420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token3] = ACTIONS(3420),
    [aux_sym_select_type_statement_token1] = ACTIONS(3420),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3420),
    [aux_sym_block_construct_token1] = ACTIONS(3420),
    [aux_sym_associate_statement_token1] = ACTIONS(3420),
    [aux_sym_format_statement_token1] = ACTIONS(3420),
    [aux_sym_print_statement_token1] = ACTIONS(3420),
    [aux_sym_open_statement_token1] = ACTIONS(3420),
    [aux_sym_close_statement_token1] = ACTIONS(3420),
    [aux_sym_inquire_statement_token1] = ACTIONS(3420),
    [aux_sym_enum_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token2] = ACTIONS(3420),
    [aux_sym_file_position_statement_token3] = ACTIONS(3420),
    [aux_sym_file_position_statement_token4] = ACTIONS(3420),
    [aux_sym_logical_expression_token5] = ACTIONS(3422),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3422),
    [aux_sym_boolean_literal_token1] = ACTIONS(3422),
    [aux_sym_boolean_literal_token2] = ACTIONS(3422),
    [aux_sym_null_literal_token1] = ACTIONS(3420),
    [aux_sym_identifier_token1] = ACTIONS(3420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3422),
    [sym__float_literal] = ACTIONS(3422),
    [sym__boz_literal] = ACTIONS(3422),
    [sym__string_literal] = ACTIONS(3422),
    [sym__string_literal_kind] = ACTIONS(3422),
  },
  [1037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_end_program_statement_token2] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [1038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_end_program_statement_token2] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [1039] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3404),
    [aux_sym_preproc_def_token1] = ACTIONS(3404),
    [aux_sym_preproc_if_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3404),
    [sym_preproc_directive] = ACTIONS(3404),
    [anon_sym_LPAREN2] = ACTIONS(3404),
    [anon_sym_PLUS] = ACTIONS(3406),
    [anon_sym_DASH] = ACTIONS(3406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3404),
    [aux_sym_interface_statement_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3404),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3404),
    [aux_sym_contains_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token2] = ACTIONS(3404),
    [aux_sym_implicit_statement_token1] = ACTIONS(3404),
    [aux_sym_implicit_statement_token3] = ACTIONS(3404),
    [aux_sym_implicit_statement_token4] = ACTIONS(3404),
    [aux_sym_save_statement_token1] = ACTIONS(3404),
    [aux_sym_private_statement_token1] = ACTIONS(3404),
    [aux_sym_public_statement_token1] = ACTIONS(3404),
    [aux_sym_namelist_statement_token1] = ACTIONS(3404),
    [aux_sym_common_statement_token1] = ACTIONS(3404),
    [aux_sym_import_statement_token1] = ACTIONS(3404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3404),
    [aux_sym_variable_attributes_token1] = ACTIONS(3404),
    [aux_sym_variable_attributes_token2] = ACTIONS(3404),
    [aux_sym_variable_attributes_token3] = ACTIONS(3404),
    [aux_sym_variable_attributes_token4] = ACTIONS(3404),
    [aux_sym_variable_attributes_token5] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3404),
    [aux_sym_derived_type_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token2] = ACTIONS(3404),
    [aux_sym_subroutine_call_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token2] = ACTIONS(3404),
    [aux_sym_keyword_statement_token3] = ACTIONS(3404),
    [aux_sym_keyword_statement_token4] = ACTIONS(3404),
    [aux_sym_keyword_statement_token6] = ACTIONS(3404),
    [aux_sym_keyword_statement_token7] = ACTIONS(3404),
    [aux_sym_include_statement_token1] = ACTIONS(3404),
    [aux_sym_data_statement_token1] = ACTIONS(3404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3404),
    [aux_sym_end_if_statement_token1] = ACTIONS(3404),
    [aux_sym_elseif_clause_token2] = ACTIONS(3404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token3] = ACTIONS(3404),
    [aux_sym_select_type_statement_token1] = ACTIONS(3404),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3404),
    [aux_sym_block_construct_token1] = ACTIONS(3404),
    [aux_sym_associate_statement_token1] = ACTIONS(3404),
    [aux_sym_format_statement_token1] = ACTIONS(3404),
    [aux_sym_print_statement_token1] = ACTIONS(3404),
    [aux_sym_open_statement_token1] = ACTIONS(3404),
    [aux_sym_close_statement_token1] = ACTIONS(3404),
    [aux_sym_inquire_statement_token1] = ACTIONS(3404),
    [aux_sym_enum_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token2] = ACTIONS(3404),
    [aux_sym_file_position_statement_token3] = ACTIONS(3404),
    [aux_sym_file_position_statement_token4] = ACTIONS(3404),
    [aux_sym_logical_expression_token5] = ACTIONS(3406),
    [anon_sym_DOT] = ACTIONS(3404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3406),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [aux_sym_boolean_literal_token1] = ACTIONS(3406),
    [aux_sym_boolean_literal_token2] = ACTIONS(3406),
    [aux_sym_null_literal_token1] = ACTIONS(3404),
    [aux_sym_identifier_token1] = ACTIONS(3404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3406),
    [sym__float_literal] = ACTIONS(3406),
    [sym__boz_literal] = ACTIONS(3406),
    [sym__string_literal] = ACTIONS(3406),
    [sym__string_literal_kind] = ACTIONS(3406),
  },
  [1040] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [1041] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_end_program_statement_token2] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [1042] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [1043] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3396),
    [aux_sym_preproc_def_token1] = ACTIONS(3396),
    [aux_sym_preproc_if_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3396),
    [sym_preproc_directive] = ACTIONS(3396),
    [anon_sym_LPAREN2] = ACTIONS(3396),
    [anon_sym_PLUS] = ACTIONS(3398),
    [anon_sym_DASH] = ACTIONS(3398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3396),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3396),
    [aux_sym_contains_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token2] = ACTIONS(3396),
    [aux_sym_implicit_statement_token1] = ACTIONS(3396),
    [aux_sym_implicit_statement_token3] = ACTIONS(3396),
    [aux_sym_implicit_statement_token4] = ACTIONS(3396),
    [aux_sym_save_statement_token1] = ACTIONS(3396),
    [aux_sym_private_statement_token1] = ACTIONS(3396),
    [aux_sym_public_statement_token1] = ACTIONS(3396),
    [aux_sym_namelist_statement_token1] = ACTIONS(3396),
    [aux_sym_common_statement_token1] = ACTIONS(3396),
    [aux_sym_import_statement_token1] = ACTIONS(3396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3396),
    [aux_sym_variable_attributes_token1] = ACTIONS(3396),
    [aux_sym_variable_attributes_token2] = ACTIONS(3396),
    [aux_sym_variable_attributes_token3] = ACTIONS(3396),
    [aux_sym_variable_attributes_token4] = ACTIONS(3396),
    [aux_sym_variable_attributes_token5] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3396),
    [aux_sym_derived_type_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token2] = ACTIONS(3396),
    [aux_sym_subroutine_call_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token2] = ACTIONS(3396),
    [aux_sym_keyword_statement_token3] = ACTIONS(3396),
    [aux_sym_keyword_statement_token4] = ACTIONS(3396),
    [aux_sym_keyword_statement_token6] = ACTIONS(3396),
    [aux_sym_keyword_statement_token7] = ACTIONS(3396),
    [aux_sym_include_statement_token1] = ACTIONS(3396),
    [aux_sym_data_statement_token1] = ACTIONS(3396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3396),
    [aux_sym_end_if_statement_token1] = ACTIONS(3396),
    [aux_sym_elseif_clause_token2] = ACTIONS(3396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token3] = ACTIONS(3396),
    [aux_sym_select_type_statement_token1] = ACTIONS(3396),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3396),
    [aux_sym_block_construct_token1] = ACTIONS(3396),
    [aux_sym_associate_statement_token1] = ACTIONS(3396),
    [aux_sym_format_statement_token1] = ACTIONS(3396),
    [aux_sym_print_statement_token1] = ACTIONS(3396),
    [aux_sym_open_statement_token1] = ACTIONS(3396),
    [aux_sym_close_statement_token1] = ACTIONS(3396),
    [aux_sym_inquire_statement_token1] = ACTIONS(3396),
    [aux_sym_enum_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token2] = ACTIONS(3396),
    [aux_sym_file_position_statement_token3] = ACTIONS(3396),
    [aux_sym_file_position_statement_token4] = ACTIONS(3396),
    [aux_sym_logical_expression_token5] = ACTIONS(3398),
    [anon_sym_DOT] = ACTIONS(3396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3398),
    [aux_sym_boolean_literal_token1] = ACTIONS(3398),
    [aux_sym_boolean_literal_token2] = ACTIONS(3398),
    [aux_sym_null_literal_token1] = ACTIONS(3396),
    [aux_sym_identifier_token1] = ACTIONS(3396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3398),
    [sym__float_literal] = ACTIONS(3398),
    [sym__boz_literal] = ACTIONS(3398),
    [sym__string_literal] = ACTIONS(3398),
    [sym__string_literal_kind] = ACTIONS(3398),
  },
  [1044] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1045] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [1046] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3424),
    [aux_sym_preproc_def_token1] = ACTIONS(3424),
    [aux_sym_preproc_if_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3424),
    [sym_preproc_directive] = ACTIONS(3424),
    [anon_sym_LPAREN2] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3424),
    [aux_sym_interface_statement_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3424),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3424),
    [aux_sym_contains_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token2] = ACTIONS(3424),
    [aux_sym_implicit_statement_token1] = ACTIONS(3424),
    [aux_sym_implicit_statement_token3] = ACTIONS(3424),
    [aux_sym_implicit_statement_token4] = ACTIONS(3424),
    [aux_sym_save_statement_token1] = ACTIONS(3424),
    [aux_sym_private_statement_token1] = ACTIONS(3424),
    [aux_sym_public_statement_token1] = ACTIONS(3424),
    [aux_sym_namelist_statement_token1] = ACTIONS(3424),
    [aux_sym_common_statement_token1] = ACTIONS(3424),
    [aux_sym_import_statement_token1] = ACTIONS(3424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3424),
    [aux_sym_variable_attributes_token1] = ACTIONS(3424),
    [aux_sym_variable_attributes_token2] = ACTIONS(3424),
    [aux_sym_variable_attributes_token3] = ACTIONS(3424),
    [aux_sym_variable_attributes_token4] = ACTIONS(3424),
    [aux_sym_variable_attributes_token5] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3424),
    [aux_sym_derived_type_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token2] = ACTIONS(3424),
    [aux_sym_subroutine_call_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token2] = ACTIONS(3424),
    [aux_sym_keyword_statement_token3] = ACTIONS(3424),
    [aux_sym_keyword_statement_token4] = ACTIONS(3424),
    [aux_sym_keyword_statement_token6] = ACTIONS(3424),
    [aux_sym_keyword_statement_token7] = ACTIONS(3424),
    [aux_sym_include_statement_token1] = ACTIONS(3424),
    [aux_sym_data_statement_token1] = ACTIONS(3424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3424),
    [aux_sym_end_if_statement_token1] = ACTIONS(3424),
    [aux_sym_elseif_clause_token2] = ACTIONS(3424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token3] = ACTIONS(3424),
    [aux_sym_select_type_statement_token1] = ACTIONS(3424),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3424),
    [aux_sym_block_construct_token1] = ACTIONS(3424),
    [aux_sym_associate_statement_token1] = ACTIONS(3424),
    [aux_sym_format_statement_token1] = ACTIONS(3424),
    [aux_sym_print_statement_token1] = ACTIONS(3424),
    [aux_sym_open_statement_token1] = ACTIONS(3424),
    [aux_sym_close_statement_token1] = ACTIONS(3424),
    [aux_sym_inquire_statement_token1] = ACTIONS(3424),
    [aux_sym_enum_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token2] = ACTIONS(3424),
    [aux_sym_file_position_statement_token3] = ACTIONS(3424),
    [aux_sym_file_position_statement_token4] = ACTIONS(3424),
    [aux_sym_logical_expression_token5] = ACTIONS(3426),
    [anon_sym_DOT] = ACTIONS(3424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(3426),
    [aux_sym_boolean_literal_token1] = ACTIONS(3426),
    [aux_sym_boolean_literal_token2] = ACTIONS(3426),
    [aux_sym_null_literal_token1] = ACTIONS(3424),
    [aux_sym_identifier_token1] = ACTIONS(3424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3426),
    [sym__float_literal] = ACTIONS(3426),
    [sym__boz_literal] = ACTIONS(3426),
    [sym__string_literal] = ACTIONS(3426),
    [sym__string_literal_kind] = ACTIONS(3426),
  },
  [1047] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [1048] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [1049] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [1050] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3408),
    [aux_sym_preproc_def_token1] = ACTIONS(3408),
    [aux_sym_preproc_if_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3408),
    [sym_preproc_directive] = ACTIONS(3408),
    [anon_sym_LPAREN2] = ACTIONS(3408),
    [anon_sym_PLUS] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(3410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3408),
    [aux_sym_interface_statement_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3408),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3408),
    [aux_sym_contains_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token2] = ACTIONS(3408),
    [aux_sym_implicit_statement_token1] = ACTIONS(3408),
    [aux_sym_implicit_statement_token3] = ACTIONS(3408),
    [aux_sym_implicit_statement_token4] = ACTIONS(3408),
    [aux_sym_save_statement_token1] = ACTIONS(3408),
    [aux_sym_private_statement_token1] = ACTIONS(3408),
    [aux_sym_public_statement_token1] = ACTIONS(3408),
    [aux_sym_namelist_statement_token1] = ACTIONS(3408),
    [aux_sym_common_statement_token1] = ACTIONS(3408),
    [aux_sym_import_statement_token1] = ACTIONS(3408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3408),
    [aux_sym_variable_attributes_token1] = ACTIONS(3408),
    [aux_sym_variable_attributes_token2] = ACTIONS(3408),
    [aux_sym_variable_attributes_token3] = ACTIONS(3408),
    [aux_sym_variable_attributes_token4] = ACTIONS(3408),
    [aux_sym_variable_attributes_token5] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3408),
    [aux_sym_derived_type_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token2] = ACTIONS(3408),
    [aux_sym_subroutine_call_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token2] = ACTIONS(3408),
    [aux_sym_keyword_statement_token3] = ACTIONS(3408),
    [aux_sym_keyword_statement_token4] = ACTIONS(3408),
    [aux_sym_keyword_statement_token6] = ACTIONS(3408),
    [aux_sym_keyword_statement_token7] = ACTIONS(3408),
    [aux_sym_include_statement_token1] = ACTIONS(3408),
    [aux_sym_data_statement_token1] = ACTIONS(3408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3408),
    [aux_sym_end_if_statement_token1] = ACTIONS(3408),
    [aux_sym_elseif_clause_token2] = ACTIONS(3408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token3] = ACTIONS(3408),
    [aux_sym_select_type_statement_token1] = ACTIONS(3408),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3408),
    [aux_sym_block_construct_token1] = ACTIONS(3408),
    [aux_sym_associate_statement_token1] = ACTIONS(3408),
    [aux_sym_format_statement_token1] = ACTIONS(3408),
    [aux_sym_print_statement_token1] = ACTIONS(3408),
    [aux_sym_open_statement_token1] = ACTIONS(3408),
    [aux_sym_close_statement_token1] = ACTIONS(3408),
    [aux_sym_inquire_statement_token1] = ACTIONS(3408),
    [aux_sym_enum_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token2] = ACTIONS(3408),
    [aux_sym_file_position_statement_token3] = ACTIONS(3408),
    [aux_sym_file_position_statement_token4] = ACTIONS(3408),
    [aux_sym_logical_expression_token5] = ACTIONS(3410),
    [anon_sym_DOT] = ACTIONS(3408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3410),
    [anon_sym_LBRACK] = ACTIONS(3410),
    [aux_sym_boolean_literal_token1] = ACTIONS(3410),
    [aux_sym_boolean_literal_token2] = ACTIONS(3410),
    [aux_sym_null_literal_token1] = ACTIONS(3408),
    [aux_sym_identifier_token1] = ACTIONS(3408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3410),
    [sym__float_literal] = ACTIONS(3410),
    [sym__boz_literal] = ACTIONS(3410),
    [sym__string_literal] = ACTIONS(3410),
    [sym__string_literal_kind] = ACTIONS(3410),
  },
  [1051] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [1052] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_program_statement_token2] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [1053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [1054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3388),
    [aux_sym_preproc_def_token1] = ACTIONS(3388),
    [aux_sym_preproc_if_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3388),
    [sym_preproc_directive] = ACTIONS(3388),
    [anon_sym_LPAREN2] = ACTIONS(3388),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3388),
    [aux_sym_interface_statement_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3388),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3388),
    [aux_sym_contains_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token2] = ACTIONS(3388),
    [aux_sym_implicit_statement_token1] = ACTIONS(3388),
    [aux_sym_implicit_statement_token3] = ACTIONS(3388),
    [aux_sym_implicit_statement_token4] = ACTIONS(3388),
    [aux_sym_save_statement_token1] = ACTIONS(3388),
    [aux_sym_private_statement_token1] = ACTIONS(3388),
    [aux_sym_public_statement_token1] = ACTIONS(3388),
    [aux_sym_namelist_statement_token1] = ACTIONS(3388),
    [aux_sym_common_statement_token1] = ACTIONS(3388),
    [aux_sym_import_statement_token1] = ACTIONS(3388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3388),
    [aux_sym_variable_attributes_token1] = ACTIONS(3388),
    [aux_sym_variable_attributes_token2] = ACTIONS(3388),
    [aux_sym_variable_attributes_token3] = ACTIONS(3388),
    [aux_sym_variable_attributes_token4] = ACTIONS(3388),
    [aux_sym_variable_attributes_token5] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3388),
    [aux_sym_derived_type_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token2] = ACTIONS(3388),
    [aux_sym_subroutine_call_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token2] = ACTIONS(3388),
    [aux_sym_keyword_statement_token3] = ACTIONS(3388),
    [aux_sym_keyword_statement_token4] = ACTIONS(3388),
    [aux_sym_keyword_statement_token6] = ACTIONS(3388),
    [aux_sym_keyword_statement_token7] = ACTIONS(3388),
    [aux_sym_include_statement_token1] = ACTIONS(3388),
    [aux_sym_data_statement_token1] = ACTIONS(3388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3388),
    [aux_sym_end_if_statement_token1] = ACTIONS(3388),
    [aux_sym_elseif_clause_token2] = ACTIONS(3388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3388),
    [aux_sym_select_type_statement_token1] = ACTIONS(3388),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3388),
    [aux_sym_block_construct_token1] = ACTIONS(3388),
    [aux_sym_associate_statement_token1] = ACTIONS(3388),
    [aux_sym_format_statement_token1] = ACTIONS(3388),
    [aux_sym_print_statement_token1] = ACTIONS(3388),
    [aux_sym_open_statement_token1] = ACTIONS(3388),
    [aux_sym_close_statement_token1] = ACTIONS(3388),
    [aux_sym_inquire_statement_token1] = ACTIONS(3388),
    [aux_sym_enum_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token2] = ACTIONS(3388),
    [aux_sym_file_position_statement_token3] = ACTIONS(3388),
    [aux_sym_file_position_statement_token4] = ACTIONS(3388),
    [aux_sym_logical_expression_token5] = ACTIONS(3390),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3390),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [aux_sym_boolean_literal_token1] = ACTIONS(3390),
    [aux_sym_boolean_literal_token2] = ACTIONS(3390),
    [aux_sym_null_literal_token1] = ACTIONS(3388),
    [aux_sym_identifier_token1] = ACTIONS(3388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3390),
    [sym__float_literal] = ACTIONS(3390),
    [sym__boz_literal] = ACTIONS(3390),
    [sym__string_literal] = ACTIONS(3390),
    [sym__string_literal_kind] = ACTIONS(3390),
  },
  [1055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [1056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_end_function_statement_token1] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3420),
    [aux_sym_preproc_def_token1] = ACTIONS(3420),
    [aux_sym_preproc_if_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3420),
    [sym_preproc_directive] = ACTIONS(3420),
    [anon_sym_LPAREN2] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3422),
    [anon_sym_DASH] = ACTIONS(3422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3420),
    [aux_sym_end_program_statement_token2] = ACTIONS(3420),
    [aux_sym_interface_statement_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3420),
    [aux_sym_contains_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token2] = ACTIONS(3420),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3420),
    [aux_sym_implicit_statement_token4] = ACTIONS(3420),
    [aux_sym_save_statement_token1] = ACTIONS(3420),
    [aux_sym_private_statement_token1] = ACTIONS(3420),
    [aux_sym_public_statement_token1] = ACTIONS(3420),
    [aux_sym_namelist_statement_token1] = ACTIONS(3420),
    [aux_sym_common_statement_token1] = ACTIONS(3420),
    [aux_sym_import_statement_token1] = ACTIONS(3420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3420),
    [aux_sym_variable_attributes_token1] = ACTIONS(3420),
    [aux_sym_variable_attributes_token2] = ACTIONS(3420),
    [aux_sym_variable_attributes_token3] = ACTIONS(3420),
    [aux_sym_variable_attributes_token4] = ACTIONS(3420),
    [aux_sym_variable_attributes_token5] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3420),
    [aux_sym_derived_type_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token2] = ACTIONS(3420),
    [aux_sym_subroutine_call_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token2] = ACTIONS(3420),
    [aux_sym_keyword_statement_token3] = ACTIONS(3420),
    [aux_sym_keyword_statement_token4] = ACTIONS(3420),
    [aux_sym_keyword_statement_token6] = ACTIONS(3420),
    [aux_sym_keyword_statement_token7] = ACTIONS(3420),
    [aux_sym_include_statement_token1] = ACTIONS(3420),
    [aux_sym_data_statement_token1] = ACTIONS(3420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3420),
    [aux_sym_end_if_statement_token1] = ACTIONS(3420),
    [aux_sym_elseif_clause_token2] = ACTIONS(3420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token3] = ACTIONS(3420),
    [aux_sym_select_type_statement_token1] = ACTIONS(3420),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3420),
    [aux_sym_block_construct_token1] = ACTIONS(3420),
    [aux_sym_associate_statement_token1] = ACTIONS(3420),
    [aux_sym_format_statement_token1] = ACTIONS(3420),
    [aux_sym_print_statement_token1] = ACTIONS(3420),
    [aux_sym_open_statement_token1] = ACTIONS(3420),
    [aux_sym_close_statement_token1] = ACTIONS(3420),
    [aux_sym_inquire_statement_token1] = ACTIONS(3420),
    [aux_sym_enum_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token2] = ACTIONS(3420),
    [aux_sym_file_position_statement_token3] = ACTIONS(3420),
    [aux_sym_file_position_statement_token4] = ACTIONS(3420),
    [aux_sym_logical_expression_token5] = ACTIONS(3422),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3422),
    [aux_sym_boolean_literal_token1] = ACTIONS(3422),
    [aux_sym_boolean_literal_token2] = ACTIONS(3422),
    [aux_sym_null_literal_token1] = ACTIONS(3420),
    [aux_sym_identifier_token1] = ACTIONS(3420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3422),
    [sym__float_literal] = ACTIONS(3422),
    [sym__boz_literal] = ACTIONS(3422),
    [sym__string_literal] = ACTIONS(3422),
    [sym__string_literal_kind] = ACTIONS(3422),
  },
  [1058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [1059] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [1060] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_end_program_statement_token2] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [1061] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_program_statement_token2] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [1062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3380),
    [aux_sym_preproc_def_token1] = ACTIONS(3380),
    [aux_sym_preproc_if_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3380),
    [sym_preproc_directive] = ACTIONS(3380),
    [anon_sym_LPAREN2] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3380),
    [aux_sym_interface_statement_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3380),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3380),
    [aux_sym_contains_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token2] = ACTIONS(3380),
    [aux_sym_implicit_statement_token1] = ACTIONS(3380),
    [aux_sym_implicit_statement_token3] = ACTIONS(3380),
    [aux_sym_implicit_statement_token4] = ACTIONS(3380),
    [aux_sym_save_statement_token1] = ACTIONS(3380),
    [aux_sym_private_statement_token1] = ACTIONS(3380),
    [aux_sym_public_statement_token1] = ACTIONS(3380),
    [aux_sym_namelist_statement_token1] = ACTIONS(3380),
    [aux_sym_common_statement_token1] = ACTIONS(3380),
    [aux_sym_import_statement_token1] = ACTIONS(3380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3380),
    [aux_sym_variable_attributes_token1] = ACTIONS(3380),
    [aux_sym_variable_attributes_token2] = ACTIONS(3380),
    [aux_sym_variable_attributes_token3] = ACTIONS(3380),
    [aux_sym_variable_attributes_token4] = ACTIONS(3380),
    [aux_sym_variable_attributes_token5] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3380),
    [aux_sym_derived_type_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token2] = ACTIONS(3380),
    [aux_sym_subroutine_call_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token2] = ACTIONS(3380),
    [aux_sym_keyword_statement_token3] = ACTIONS(3380),
    [aux_sym_keyword_statement_token4] = ACTIONS(3380),
    [aux_sym_keyword_statement_token6] = ACTIONS(3380),
    [aux_sym_keyword_statement_token7] = ACTIONS(3380),
    [aux_sym_include_statement_token1] = ACTIONS(3380),
    [aux_sym_data_statement_token1] = ACTIONS(3380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3380),
    [aux_sym_end_if_statement_token1] = ACTIONS(3380),
    [aux_sym_elseif_clause_token2] = ACTIONS(3380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token3] = ACTIONS(3380),
    [aux_sym_select_type_statement_token1] = ACTIONS(3380),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3380),
    [aux_sym_block_construct_token1] = ACTIONS(3380),
    [aux_sym_associate_statement_token1] = ACTIONS(3380),
    [aux_sym_format_statement_token1] = ACTIONS(3380),
    [aux_sym_print_statement_token1] = ACTIONS(3380),
    [aux_sym_open_statement_token1] = ACTIONS(3380),
    [aux_sym_close_statement_token1] = ACTIONS(3380),
    [aux_sym_inquire_statement_token1] = ACTIONS(3380),
    [aux_sym_enum_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token2] = ACTIONS(3380),
    [aux_sym_file_position_statement_token3] = ACTIONS(3380),
    [aux_sym_file_position_statement_token4] = ACTIONS(3380),
    [aux_sym_logical_expression_token5] = ACTIONS(3382),
    [anon_sym_DOT] = ACTIONS(3380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3382),
    [aux_sym_boolean_literal_token1] = ACTIONS(3382),
    [aux_sym_boolean_literal_token2] = ACTIONS(3382),
    [aux_sym_null_literal_token1] = ACTIONS(3380),
    [aux_sym_identifier_token1] = ACTIONS(3380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3382),
    [sym__float_literal] = ACTIONS(3382),
    [sym__boz_literal] = ACTIONS(3382),
    [sym__string_literal] = ACTIONS(3382),
    [sym__string_literal_kind] = ACTIONS(3382),
  },
  [1063] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [1064] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_end_program_statement_token2] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [1065] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [1066] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [1067] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3392),
    [aux_sym_preproc_def_token1] = ACTIONS(3392),
    [aux_sym_preproc_if_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3392),
    [sym_preproc_directive] = ACTIONS(3392),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3392),
    [aux_sym_end_program_statement_token2] = ACTIONS(3392),
    [aux_sym_interface_statement_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3392),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token2] = ACTIONS(3392),
    [aux_sym_implicit_statement_token1] = ACTIONS(3392),
    [aux_sym_implicit_statement_token3] = ACTIONS(3392),
    [aux_sym_implicit_statement_token4] = ACTIONS(3392),
    [aux_sym_save_statement_token1] = ACTIONS(3392),
    [aux_sym_private_statement_token1] = ACTIONS(3392),
    [aux_sym_public_statement_token1] = ACTIONS(3392),
    [aux_sym_namelist_statement_token1] = ACTIONS(3392),
    [aux_sym_common_statement_token1] = ACTIONS(3392),
    [aux_sym_import_statement_token1] = ACTIONS(3392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3392),
    [aux_sym_variable_attributes_token1] = ACTIONS(3392),
    [aux_sym_variable_attributes_token2] = ACTIONS(3392),
    [aux_sym_variable_attributes_token3] = ACTIONS(3392),
    [aux_sym_variable_attributes_token4] = ACTIONS(3392),
    [aux_sym_variable_attributes_token5] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3392),
    [aux_sym_derived_type_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token2] = ACTIONS(3392),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3392),
    [aux_sym_keyword_statement_token3] = ACTIONS(3392),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3392),
    [aux_sym_data_statement_token1] = ACTIONS(3392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3392),
    [aux_sym_end_if_statement_token1] = ACTIONS(3392),
    [aux_sym_elseif_clause_token2] = ACTIONS(3392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3392),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3392),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3392),
    [aux_sym_enum_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3392),
    [aux_sym_identifier_token1] = ACTIONS(3392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3394),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [1068] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_end_program_statement_token2] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [1069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3408),
    [aux_sym_preproc_def_token1] = ACTIONS(3408),
    [aux_sym_preproc_if_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3408),
    [sym_preproc_directive] = ACTIONS(3408),
    [anon_sym_LPAREN2] = ACTIONS(3408),
    [anon_sym_PLUS] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(3410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3408),
    [aux_sym_interface_statement_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3408),
    [aux_sym_end_function_statement_token1] = ACTIONS(3408),
    [aux_sym_contains_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token2] = ACTIONS(3408),
    [aux_sym_implicit_statement_token1] = ACTIONS(3408),
    [aux_sym_implicit_statement_token3] = ACTIONS(3408),
    [aux_sym_implicit_statement_token4] = ACTIONS(3408),
    [aux_sym_save_statement_token1] = ACTIONS(3408),
    [aux_sym_private_statement_token1] = ACTIONS(3408),
    [aux_sym_public_statement_token1] = ACTIONS(3408),
    [aux_sym_namelist_statement_token1] = ACTIONS(3408),
    [aux_sym_common_statement_token1] = ACTIONS(3408),
    [aux_sym_import_statement_token1] = ACTIONS(3408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3408),
    [aux_sym_variable_attributes_token1] = ACTIONS(3408),
    [aux_sym_variable_attributes_token2] = ACTIONS(3408),
    [aux_sym_variable_attributes_token3] = ACTIONS(3408),
    [aux_sym_variable_attributes_token4] = ACTIONS(3408),
    [aux_sym_variable_attributes_token5] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3408),
    [aux_sym_derived_type_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token2] = ACTIONS(3408),
    [aux_sym_subroutine_call_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token2] = ACTIONS(3408),
    [aux_sym_keyword_statement_token3] = ACTIONS(3408),
    [aux_sym_keyword_statement_token4] = ACTIONS(3408),
    [aux_sym_keyword_statement_token6] = ACTIONS(3408),
    [aux_sym_keyword_statement_token7] = ACTIONS(3408),
    [aux_sym_include_statement_token1] = ACTIONS(3408),
    [aux_sym_data_statement_token1] = ACTIONS(3408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3408),
    [aux_sym_end_if_statement_token1] = ACTIONS(3408),
    [aux_sym_elseif_clause_token2] = ACTIONS(3408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token3] = ACTIONS(3408),
    [aux_sym_select_type_statement_token1] = ACTIONS(3408),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3408),
    [aux_sym_block_construct_token1] = ACTIONS(3408),
    [aux_sym_associate_statement_token1] = ACTIONS(3408),
    [aux_sym_format_statement_token1] = ACTIONS(3408),
    [aux_sym_print_statement_token1] = ACTIONS(3408),
    [aux_sym_open_statement_token1] = ACTIONS(3408),
    [aux_sym_close_statement_token1] = ACTIONS(3408),
    [aux_sym_inquire_statement_token1] = ACTIONS(3408),
    [aux_sym_enum_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token2] = ACTIONS(3408),
    [aux_sym_file_position_statement_token3] = ACTIONS(3408),
    [aux_sym_file_position_statement_token4] = ACTIONS(3408),
    [aux_sym_logical_expression_token5] = ACTIONS(3410),
    [anon_sym_DOT] = ACTIONS(3408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3410),
    [anon_sym_LBRACK] = ACTIONS(3410),
    [aux_sym_boolean_literal_token1] = ACTIONS(3410),
    [aux_sym_boolean_literal_token2] = ACTIONS(3410),
    [aux_sym_null_literal_token1] = ACTIONS(3408),
    [aux_sym_identifier_token1] = ACTIONS(3408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3410),
    [sym__float_literal] = ACTIONS(3410),
    [sym__boz_literal] = ACTIONS(3410),
    [sym__string_literal] = ACTIONS(3410),
    [sym__string_literal_kind] = ACTIONS(3410),
  },
  [1070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [1071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_end_program_statement_token2] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [1072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3416),
    [aux_sym_preproc_def_token1] = ACTIONS(3416),
    [aux_sym_preproc_if_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3416),
    [sym_preproc_directive] = ACTIONS(3416),
    [anon_sym_LPAREN2] = ACTIONS(3416),
    [anon_sym_PLUS] = ACTIONS(3418),
    [anon_sym_DASH] = ACTIONS(3418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3416),
    [aux_sym_end_program_statement_token2] = ACTIONS(3416),
    [aux_sym_interface_statement_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3416),
    [aux_sym_contains_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token2] = ACTIONS(3416),
    [aux_sym_implicit_statement_token1] = ACTIONS(3416),
    [aux_sym_implicit_statement_token3] = ACTIONS(3416),
    [aux_sym_implicit_statement_token4] = ACTIONS(3416),
    [aux_sym_save_statement_token1] = ACTIONS(3416),
    [aux_sym_private_statement_token1] = ACTIONS(3416),
    [aux_sym_public_statement_token1] = ACTIONS(3416),
    [aux_sym_namelist_statement_token1] = ACTIONS(3416),
    [aux_sym_common_statement_token1] = ACTIONS(3416),
    [aux_sym_import_statement_token1] = ACTIONS(3416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3416),
    [aux_sym_variable_attributes_token1] = ACTIONS(3416),
    [aux_sym_variable_attributes_token2] = ACTIONS(3416),
    [aux_sym_variable_attributes_token3] = ACTIONS(3416),
    [aux_sym_variable_attributes_token4] = ACTIONS(3416),
    [aux_sym_variable_attributes_token5] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3416),
    [aux_sym_derived_type_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token2] = ACTIONS(3416),
    [aux_sym_subroutine_call_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token2] = ACTIONS(3416),
    [aux_sym_keyword_statement_token3] = ACTIONS(3416),
    [aux_sym_keyword_statement_token4] = ACTIONS(3416),
    [aux_sym_keyword_statement_token6] = ACTIONS(3416),
    [aux_sym_keyword_statement_token7] = ACTIONS(3416),
    [aux_sym_include_statement_token1] = ACTIONS(3416),
    [aux_sym_data_statement_token1] = ACTIONS(3416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3416),
    [aux_sym_end_if_statement_token1] = ACTIONS(3416),
    [aux_sym_elseif_clause_token2] = ACTIONS(3416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token3] = ACTIONS(3416),
    [aux_sym_select_type_statement_token1] = ACTIONS(3416),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3416),
    [aux_sym_block_construct_token1] = ACTIONS(3416),
    [aux_sym_associate_statement_token1] = ACTIONS(3416),
    [aux_sym_format_statement_token1] = ACTIONS(3416),
    [aux_sym_print_statement_token1] = ACTIONS(3416),
    [aux_sym_open_statement_token1] = ACTIONS(3416),
    [aux_sym_close_statement_token1] = ACTIONS(3416),
    [aux_sym_inquire_statement_token1] = ACTIONS(3416),
    [aux_sym_enum_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token2] = ACTIONS(3416),
    [aux_sym_file_position_statement_token3] = ACTIONS(3416),
    [aux_sym_file_position_statement_token4] = ACTIONS(3416),
    [aux_sym_logical_expression_token5] = ACTIONS(3418),
    [anon_sym_DOT] = ACTIONS(3416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3418),
    [anon_sym_LBRACK] = ACTIONS(3418),
    [aux_sym_boolean_literal_token1] = ACTIONS(3418),
    [aux_sym_boolean_literal_token2] = ACTIONS(3418),
    [aux_sym_null_literal_token1] = ACTIONS(3416),
    [aux_sym_identifier_token1] = ACTIONS(3416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3418),
    [sym__float_literal] = ACTIONS(3418),
    [sym__boz_literal] = ACTIONS(3418),
    [sym__string_literal] = ACTIONS(3418),
    [sym__string_literal_kind] = ACTIONS(3418),
  },
  [1073] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token2] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_end_function_statement_token1] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [1075] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_end_function_statement_token1] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [1076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_end_program_statement_token2] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [1077] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [1078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_end_function_statement_token1] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [1079] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_end_function_statement_token1] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [1080] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3384),
    [aux_sym_preproc_def_token1] = ACTIONS(3384),
    [aux_sym_preproc_if_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3384),
    [sym_preproc_directive] = ACTIONS(3384),
    [anon_sym_LPAREN2] = ACTIONS(3384),
    [anon_sym_PLUS] = ACTIONS(3386),
    [anon_sym_DASH] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3384),
    [aux_sym_end_program_statement_token2] = ACTIONS(3384),
    [aux_sym_interface_statement_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3384),
    [aux_sym_contains_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token2] = ACTIONS(3384),
    [aux_sym_implicit_statement_token1] = ACTIONS(3384),
    [aux_sym_implicit_statement_token3] = ACTIONS(3384),
    [aux_sym_implicit_statement_token4] = ACTIONS(3384),
    [aux_sym_save_statement_token1] = ACTIONS(3384),
    [aux_sym_private_statement_token1] = ACTIONS(3384),
    [aux_sym_public_statement_token1] = ACTIONS(3384),
    [aux_sym_namelist_statement_token1] = ACTIONS(3384),
    [aux_sym_common_statement_token1] = ACTIONS(3384),
    [aux_sym_import_statement_token1] = ACTIONS(3384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3384),
    [aux_sym_variable_attributes_token1] = ACTIONS(3384),
    [aux_sym_variable_attributes_token2] = ACTIONS(3384),
    [aux_sym_variable_attributes_token3] = ACTIONS(3384),
    [aux_sym_variable_attributes_token4] = ACTIONS(3384),
    [aux_sym_variable_attributes_token5] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3384),
    [aux_sym_derived_type_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token2] = ACTIONS(3384),
    [aux_sym_subroutine_call_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token2] = ACTIONS(3384),
    [aux_sym_keyword_statement_token3] = ACTIONS(3384),
    [aux_sym_keyword_statement_token4] = ACTIONS(3384),
    [aux_sym_keyword_statement_token6] = ACTIONS(3384),
    [aux_sym_keyword_statement_token7] = ACTIONS(3384),
    [aux_sym_include_statement_token1] = ACTIONS(3384),
    [aux_sym_data_statement_token1] = ACTIONS(3384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3384),
    [aux_sym_end_if_statement_token1] = ACTIONS(3384),
    [aux_sym_elseif_clause_token2] = ACTIONS(3384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token3] = ACTIONS(3384),
    [aux_sym_select_type_statement_token1] = ACTIONS(3384),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3384),
    [aux_sym_block_construct_token1] = ACTIONS(3384),
    [aux_sym_associate_statement_token1] = ACTIONS(3384),
    [aux_sym_format_statement_token1] = ACTIONS(3384),
    [aux_sym_print_statement_token1] = ACTIONS(3384),
    [aux_sym_open_statement_token1] = ACTIONS(3384),
    [aux_sym_close_statement_token1] = ACTIONS(3384),
    [aux_sym_inquire_statement_token1] = ACTIONS(3384),
    [aux_sym_enum_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token2] = ACTIONS(3384),
    [aux_sym_file_position_statement_token3] = ACTIONS(3384),
    [aux_sym_file_position_statement_token4] = ACTIONS(3384),
    [aux_sym_logical_expression_token5] = ACTIONS(3386),
    [anon_sym_DOT] = ACTIONS(3384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3386),
    [anon_sym_LBRACK] = ACTIONS(3386),
    [aux_sym_boolean_literal_token1] = ACTIONS(3386),
    [aux_sym_boolean_literal_token2] = ACTIONS(3386),
    [aux_sym_null_literal_token1] = ACTIONS(3384),
    [aux_sym_identifier_token1] = ACTIONS(3384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3386),
    [sym__float_literal] = ACTIONS(3386),
    [sym__boz_literal] = ACTIONS(3386),
    [sym__string_literal] = ACTIONS(3386),
    [sym__string_literal_kind] = ACTIONS(3386),
  },
  [1081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [1083] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3380),
    [aux_sym_preproc_def_token1] = ACTIONS(3380),
    [aux_sym_preproc_if_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3380),
    [sym_preproc_directive] = ACTIONS(3380),
    [anon_sym_LPAREN2] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3380),
    [aux_sym_interface_statement_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3380),
    [aux_sym_end_function_statement_token1] = ACTIONS(3380),
    [aux_sym_contains_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token2] = ACTIONS(3380),
    [aux_sym_implicit_statement_token1] = ACTIONS(3380),
    [aux_sym_implicit_statement_token3] = ACTIONS(3380),
    [aux_sym_implicit_statement_token4] = ACTIONS(3380),
    [aux_sym_save_statement_token1] = ACTIONS(3380),
    [aux_sym_private_statement_token1] = ACTIONS(3380),
    [aux_sym_public_statement_token1] = ACTIONS(3380),
    [aux_sym_namelist_statement_token1] = ACTIONS(3380),
    [aux_sym_common_statement_token1] = ACTIONS(3380),
    [aux_sym_import_statement_token1] = ACTIONS(3380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3380),
    [aux_sym_variable_attributes_token1] = ACTIONS(3380),
    [aux_sym_variable_attributes_token2] = ACTIONS(3380),
    [aux_sym_variable_attributes_token3] = ACTIONS(3380),
    [aux_sym_variable_attributes_token4] = ACTIONS(3380),
    [aux_sym_variable_attributes_token5] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3380),
    [aux_sym_derived_type_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token2] = ACTIONS(3380),
    [aux_sym_subroutine_call_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token2] = ACTIONS(3380),
    [aux_sym_keyword_statement_token3] = ACTIONS(3380),
    [aux_sym_keyword_statement_token4] = ACTIONS(3380),
    [aux_sym_keyword_statement_token6] = ACTIONS(3380),
    [aux_sym_keyword_statement_token7] = ACTIONS(3380),
    [aux_sym_include_statement_token1] = ACTIONS(3380),
    [aux_sym_data_statement_token1] = ACTIONS(3380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3380),
    [aux_sym_end_if_statement_token1] = ACTIONS(3380),
    [aux_sym_elseif_clause_token2] = ACTIONS(3380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token3] = ACTIONS(3380),
    [aux_sym_select_type_statement_token1] = ACTIONS(3380),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3380),
    [aux_sym_block_construct_token1] = ACTIONS(3380),
    [aux_sym_associate_statement_token1] = ACTIONS(3380),
    [aux_sym_format_statement_token1] = ACTIONS(3380),
    [aux_sym_print_statement_token1] = ACTIONS(3380),
    [aux_sym_open_statement_token1] = ACTIONS(3380),
    [aux_sym_close_statement_token1] = ACTIONS(3380),
    [aux_sym_inquire_statement_token1] = ACTIONS(3380),
    [aux_sym_enum_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token2] = ACTIONS(3380),
    [aux_sym_file_position_statement_token3] = ACTIONS(3380),
    [aux_sym_file_position_statement_token4] = ACTIONS(3380),
    [aux_sym_logical_expression_token5] = ACTIONS(3382),
    [anon_sym_DOT] = ACTIONS(3380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3382),
    [aux_sym_boolean_literal_token1] = ACTIONS(3382),
    [aux_sym_boolean_literal_token2] = ACTIONS(3382),
    [aux_sym_null_literal_token1] = ACTIONS(3380),
    [aux_sym_identifier_token1] = ACTIONS(3380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3382),
    [sym__float_literal] = ACTIONS(3382),
    [sym__boz_literal] = ACTIONS(3382),
    [sym__string_literal] = ACTIONS(3382),
    [sym__string_literal_kind] = ACTIONS(3382),
  },
  [1084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [1085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3424),
    [aux_sym_preproc_def_token1] = ACTIONS(3424),
    [aux_sym_preproc_if_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3424),
    [sym_preproc_directive] = ACTIONS(3424),
    [anon_sym_LPAREN2] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3424),
    [aux_sym_interface_statement_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3424),
    [aux_sym_end_function_statement_token1] = ACTIONS(3424),
    [aux_sym_contains_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token2] = ACTIONS(3424),
    [aux_sym_implicit_statement_token1] = ACTIONS(3424),
    [aux_sym_implicit_statement_token3] = ACTIONS(3424),
    [aux_sym_implicit_statement_token4] = ACTIONS(3424),
    [aux_sym_save_statement_token1] = ACTIONS(3424),
    [aux_sym_private_statement_token1] = ACTIONS(3424),
    [aux_sym_public_statement_token1] = ACTIONS(3424),
    [aux_sym_namelist_statement_token1] = ACTIONS(3424),
    [aux_sym_common_statement_token1] = ACTIONS(3424),
    [aux_sym_import_statement_token1] = ACTIONS(3424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3424),
    [aux_sym_variable_attributes_token1] = ACTIONS(3424),
    [aux_sym_variable_attributes_token2] = ACTIONS(3424),
    [aux_sym_variable_attributes_token3] = ACTIONS(3424),
    [aux_sym_variable_attributes_token4] = ACTIONS(3424),
    [aux_sym_variable_attributes_token5] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3424),
    [aux_sym_derived_type_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token2] = ACTIONS(3424),
    [aux_sym_subroutine_call_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token2] = ACTIONS(3424),
    [aux_sym_keyword_statement_token3] = ACTIONS(3424),
    [aux_sym_keyword_statement_token4] = ACTIONS(3424),
    [aux_sym_keyword_statement_token6] = ACTIONS(3424),
    [aux_sym_keyword_statement_token7] = ACTIONS(3424),
    [aux_sym_include_statement_token1] = ACTIONS(3424),
    [aux_sym_data_statement_token1] = ACTIONS(3424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3424),
    [aux_sym_end_if_statement_token1] = ACTIONS(3424),
    [aux_sym_elseif_clause_token2] = ACTIONS(3424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token3] = ACTIONS(3424),
    [aux_sym_select_type_statement_token1] = ACTIONS(3424),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3424),
    [aux_sym_block_construct_token1] = ACTIONS(3424),
    [aux_sym_associate_statement_token1] = ACTIONS(3424),
    [aux_sym_format_statement_token1] = ACTIONS(3424),
    [aux_sym_print_statement_token1] = ACTIONS(3424),
    [aux_sym_open_statement_token1] = ACTIONS(3424),
    [aux_sym_close_statement_token1] = ACTIONS(3424),
    [aux_sym_inquire_statement_token1] = ACTIONS(3424),
    [aux_sym_enum_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token2] = ACTIONS(3424),
    [aux_sym_file_position_statement_token3] = ACTIONS(3424),
    [aux_sym_file_position_statement_token4] = ACTIONS(3424),
    [aux_sym_logical_expression_token5] = ACTIONS(3426),
    [anon_sym_DOT] = ACTIONS(3424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(3426),
    [aux_sym_boolean_literal_token1] = ACTIONS(3426),
    [aux_sym_boolean_literal_token2] = ACTIONS(3426),
    [aux_sym_null_literal_token1] = ACTIONS(3424),
    [aux_sym_identifier_token1] = ACTIONS(3424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3426),
    [sym__float_literal] = ACTIONS(3426),
    [sym__boz_literal] = ACTIONS(3426),
    [sym__string_literal] = ACTIONS(3426),
    [sym__string_literal_kind] = ACTIONS(3426),
  },
  [1086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3416),
    [aux_sym_preproc_def_token1] = ACTIONS(3416),
    [aux_sym_preproc_if_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3416),
    [sym_preproc_directive] = ACTIONS(3416),
    [anon_sym_LPAREN2] = ACTIONS(3416),
    [anon_sym_PLUS] = ACTIONS(3418),
    [anon_sym_DASH] = ACTIONS(3418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3416),
    [aux_sym_interface_statement_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3416),
    [aux_sym_end_function_statement_token1] = ACTIONS(3416),
    [aux_sym_contains_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token2] = ACTIONS(3416),
    [aux_sym_implicit_statement_token1] = ACTIONS(3416),
    [aux_sym_implicit_statement_token3] = ACTIONS(3416),
    [aux_sym_implicit_statement_token4] = ACTIONS(3416),
    [aux_sym_save_statement_token1] = ACTIONS(3416),
    [aux_sym_private_statement_token1] = ACTIONS(3416),
    [aux_sym_public_statement_token1] = ACTIONS(3416),
    [aux_sym_namelist_statement_token1] = ACTIONS(3416),
    [aux_sym_common_statement_token1] = ACTIONS(3416),
    [aux_sym_import_statement_token1] = ACTIONS(3416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3416),
    [aux_sym_variable_attributes_token1] = ACTIONS(3416),
    [aux_sym_variable_attributes_token2] = ACTIONS(3416),
    [aux_sym_variable_attributes_token3] = ACTIONS(3416),
    [aux_sym_variable_attributes_token4] = ACTIONS(3416),
    [aux_sym_variable_attributes_token5] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3416),
    [aux_sym_derived_type_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token2] = ACTIONS(3416),
    [aux_sym_subroutine_call_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token2] = ACTIONS(3416),
    [aux_sym_keyword_statement_token3] = ACTIONS(3416),
    [aux_sym_keyword_statement_token4] = ACTIONS(3416),
    [aux_sym_keyword_statement_token6] = ACTIONS(3416),
    [aux_sym_keyword_statement_token7] = ACTIONS(3416),
    [aux_sym_include_statement_token1] = ACTIONS(3416),
    [aux_sym_data_statement_token1] = ACTIONS(3416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3416),
    [aux_sym_end_if_statement_token1] = ACTIONS(3416),
    [aux_sym_elseif_clause_token2] = ACTIONS(3416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token3] = ACTIONS(3416),
    [aux_sym_select_type_statement_token1] = ACTIONS(3416),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3416),
    [aux_sym_block_construct_token1] = ACTIONS(3416),
    [aux_sym_associate_statement_token1] = ACTIONS(3416),
    [aux_sym_format_statement_token1] = ACTIONS(3416),
    [aux_sym_print_statement_token1] = ACTIONS(3416),
    [aux_sym_open_statement_token1] = ACTIONS(3416),
    [aux_sym_close_statement_token1] = ACTIONS(3416),
    [aux_sym_inquire_statement_token1] = ACTIONS(3416),
    [aux_sym_enum_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token2] = ACTIONS(3416),
    [aux_sym_file_position_statement_token3] = ACTIONS(3416),
    [aux_sym_file_position_statement_token4] = ACTIONS(3416),
    [aux_sym_logical_expression_token5] = ACTIONS(3418),
    [anon_sym_DOT] = ACTIONS(3416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3418),
    [anon_sym_LBRACK] = ACTIONS(3418),
    [aux_sym_boolean_literal_token1] = ACTIONS(3418),
    [aux_sym_boolean_literal_token2] = ACTIONS(3418),
    [aux_sym_null_literal_token1] = ACTIONS(3416),
    [aux_sym_identifier_token1] = ACTIONS(3416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3418),
    [sym__float_literal] = ACTIONS(3418),
    [sym__boz_literal] = ACTIONS(3418),
    [sym__string_literal] = ACTIONS(3418),
    [sym__string_literal_kind] = ACTIONS(3418),
  },
  [1087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3384),
    [aux_sym_preproc_def_token1] = ACTIONS(3384),
    [aux_sym_preproc_if_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3384),
    [sym_preproc_directive] = ACTIONS(3384),
    [anon_sym_LPAREN2] = ACTIONS(3384),
    [anon_sym_PLUS] = ACTIONS(3386),
    [anon_sym_DASH] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3384),
    [aux_sym_interface_statement_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3384),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3384),
    [aux_sym_contains_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token2] = ACTIONS(3384),
    [aux_sym_implicit_statement_token1] = ACTIONS(3384),
    [aux_sym_implicit_statement_token3] = ACTIONS(3384),
    [aux_sym_implicit_statement_token4] = ACTIONS(3384),
    [aux_sym_save_statement_token1] = ACTIONS(3384),
    [aux_sym_private_statement_token1] = ACTIONS(3384),
    [aux_sym_public_statement_token1] = ACTIONS(3384),
    [aux_sym_namelist_statement_token1] = ACTIONS(3384),
    [aux_sym_common_statement_token1] = ACTIONS(3384),
    [aux_sym_import_statement_token1] = ACTIONS(3384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3384),
    [aux_sym_variable_attributes_token1] = ACTIONS(3384),
    [aux_sym_variable_attributes_token2] = ACTIONS(3384),
    [aux_sym_variable_attributes_token3] = ACTIONS(3384),
    [aux_sym_variable_attributes_token4] = ACTIONS(3384),
    [aux_sym_variable_attributes_token5] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3384),
    [aux_sym_derived_type_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token2] = ACTIONS(3384),
    [aux_sym_subroutine_call_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token2] = ACTIONS(3384),
    [aux_sym_keyword_statement_token3] = ACTIONS(3384),
    [aux_sym_keyword_statement_token4] = ACTIONS(3384),
    [aux_sym_keyword_statement_token6] = ACTIONS(3384),
    [aux_sym_keyword_statement_token7] = ACTIONS(3384),
    [aux_sym_include_statement_token1] = ACTIONS(3384),
    [aux_sym_data_statement_token1] = ACTIONS(3384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3384),
    [aux_sym_end_if_statement_token1] = ACTIONS(3384),
    [aux_sym_elseif_clause_token2] = ACTIONS(3384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token3] = ACTIONS(3384),
    [aux_sym_select_type_statement_token1] = ACTIONS(3384),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3384),
    [aux_sym_block_construct_token1] = ACTIONS(3384),
    [aux_sym_associate_statement_token1] = ACTIONS(3384),
    [aux_sym_format_statement_token1] = ACTIONS(3384),
    [aux_sym_print_statement_token1] = ACTIONS(3384),
    [aux_sym_open_statement_token1] = ACTIONS(3384),
    [aux_sym_close_statement_token1] = ACTIONS(3384),
    [aux_sym_inquire_statement_token1] = ACTIONS(3384),
    [aux_sym_enum_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token2] = ACTIONS(3384),
    [aux_sym_file_position_statement_token3] = ACTIONS(3384),
    [aux_sym_file_position_statement_token4] = ACTIONS(3384),
    [aux_sym_logical_expression_token5] = ACTIONS(3386),
    [anon_sym_DOT] = ACTIONS(3384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3386),
    [anon_sym_LBRACK] = ACTIONS(3386),
    [aux_sym_boolean_literal_token1] = ACTIONS(3386),
    [aux_sym_boolean_literal_token2] = ACTIONS(3386),
    [aux_sym_null_literal_token1] = ACTIONS(3384),
    [aux_sym_identifier_token1] = ACTIONS(3384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3386),
    [sym__float_literal] = ACTIONS(3386),
    [sym__boz_literal] = ACTIONS(3386),
    [sym__string_literal] = ACTIONS(3386),
    [sym__string_literal_kind] = ACTIONS(3386),
  },
  [1088] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_end_function_statement_token1] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3424),
    [aux_sym_preproc_def_token1] = ACTIONS(3424),
    [aux_sym_preproc_if_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3424),
    [sym_preproc_directive] = ACTIONS(3424),
    [anon_sym_LPAREN2] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3424),
    [aux_sym_interface_statement_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3424),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3424),
    [aux_sym_contains_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token2] = ACTIONS(3424),
    [aux_sym_implicit_statement_token1] = ACTIONS(3424),
    [aux_sym_implicit_statement_token3] = ACTIONS(3424),
    [aux_sym_implicit_statement_token4] = ACTIONS(3424),
    [aux_sym_save_statement_token1] = ACTIONS(3424),
    [aux_sym_private_statement_token1] = ACTIONS(3424),
    [aux_sym_public_statement_token1] = ACTIONS(3424),
    [aux_sym_namelist_statement_token1] = ACTIONS(3424),
    [aux_sym_common_statement_token1] = ACTIONS(3424),
    [aux_sym_import_statement_token1] = ACTIONS(3424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3424),
    [aux_sym_variable_attributes_token1] = ACTIONS(3424),
    [aux_sym_variable_attributes_token2] = ACTIONS(3424),
    [aux_sym_variable_attributes_token3] = ACTIONS(3424),
    [aux_sym_variable_attributes_token4] = ACTIONS(3424),
    [aux_sym_variable_attributes_token5] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3424),
    [aux_sym_derived_type_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token2] = ACTIONS(3424),
    [aux_sym_subroutine_call_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token2] = ACTIONS(3424),
    [aux_sym_keyword_statement_token3] = ACTIONS(3424),
    [aux_sym_keyword_statement_token4] = ACTIONS(3424),
    [aux_sym_keyword_statement_token6] = ACTIONS(3424),
    [aux_sym_keyword_statement_token7] = ACTIONS(3424),
    [aux_sym_include_statement_token1] = ACTIONS(3424),
    [aux_sym_data_statement_token1] = ACTIONS(3424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3424),
    [aux_sym_end_if_statement_token1] = ACTIONS(3424),
    [aux_sym_elseif_clause_token2] = ACTIONS(3424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token3] = ACTIONS(3424),
    [aux_sym_select_type_statement_token1] = ACTIONS(3424),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3424),
    [aux_sym_block_construct_token1] = ACTIONS(3424),
    [aux_sym_associate_statement_token1] = ACTIONS(3424),
    [aux_sym_format_statement_token1] = ACTIONS(3424),
    [aux_sym_print_statement_token1] = ACTIONS(3424),
    [aux_sym_open_statement_token1] = ACTIONS(3424),
    [aux_sym_close_statement_token1] = ACTIONS(3424),
    [aux_sym_inquire_statement_token1] = ACTIONS(3424),
    [aux_sym_enum_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token2] = ACTIONS(3424),
    [aux_sym_file_position_statement_token3] = ACTIONS(3424),
    [aux_sym_file_position_statement_token4] = ACTIONS(3424),
    [aux_sym_logical_expression_token5] = ACTIONS(3426),
    [anon_sym_DOT] = ACTIONS(3424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(3426),
    [aux_sym_boolean_literal_token1] = ACTIONS(3426),
    [aux_sym_boolean_literal_token2] = ACTIONS(3426),
    [aux_sym_null_literal_token1] = ACTIONS(3424),
    [aux_sym_identifier_token1] = ACTIONS(3424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3426),
    [sym__float_literal] = ACTIONS(3426),
    [sym__boz_literal] = ACTIONS(3426),
    [sym__string_literal] = ACTIONS(3426),
    [sym__string_literal_kind] = ACTIONS(3426),
  },
  [1090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [1092] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [1093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3380),
    [aux_sym_preproc_def_token1] = ACTIONS(3380),
    [aux_sym_preproc_if_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3380),
    [sym_preproc_directive] = ACTIONS(3380),
    [anon_sym_LPAREN2] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3382),
    [anon_sym_DASH] = ACTIONS(3382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3380),
    [aux_sym_end_program_statement_token2] = ACTIONS(3380),
    [aux_sym_interface_statement_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3380),
    [aux_sym_contains_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token1] = ACTIONS(3380),
    [aux_sym_use_statement_token2] = ACTIONS(3380),
    [aux_sym_implicit_statement_token1] = ACTIONS(3380),
    [aux_sym_implicit_statement_token3] = ACTIONS(3380),
    [aux_sym_implicit_statement_token4] = ACTIONS(3380),
    [aux_sym_save_statement_token1] = ACTIONS(3380),
    [aux_sym_private_statement_token1] = ACTIONS(3380),
    [aux_sym_public_statement_token1] = ACTIONS(3380),
    [aux_sym_namelist_statement_token1] = ACTIONS(3380),
    [aux_sym_common_statement_token1] = ACTIONS(3380),
    [aux_sym_import_statement_token1] = ACTIONS(3380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3380),
    [aux_sym_variable_attributes_token1] = ACTIONS(3380),
    [aux_sym_variable_attributes_token2] = ACTIONS(3380),
    [aux_sym_variable_attributes_token3] = ACTIONS(3380),
    [aux_sym_variable_attributes_token4] = ACTIONS(3380),
    [aux_sym_variable_attributes_token5] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3380),
    [aux_sym_derived_type_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token1] = ACTIONS(3380),
    [aux_sym_stop_statement_token2] = ACTIONS(3380),
    [aux_sym_subroutine_call_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token1] = ACTIONS(3380),
    [aux_sym_keyword_statement_token2] = ACTIONS(3380),
    [aux_sym_keyword_statement_token3] = ACTIONS(3380),
    [aux_sym_keyword_statement_token4] = ACTIONS(3380),
    [aux_sym_keyword_statement_token6] = ACTIONS(3380),
    [aux_sym_keyword_statement_token7] = ACTIONS(3380),
    [aux_sym_include_statement_token1] = ACTIONS(3380),
    [aux_sym_data_statement_token1] = ACTIONS(3380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3380),
    [aux_sym_end_if_statement_token1] = ACTIONS(3380),
    [aux_sym_elseif_clause_token2] = ACTIONS(3380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token1] = ACTIONS(3380),
    [aux_sym_select_case_statement_token3] = ACTIONS(3380),
    [aux_sym_select_type_statement_token1] = ACTIONS(3380),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3380),
    [aux_sym_block_construct_token1] = ACTIONS(3380),
    [aux_sym_associate_statement_token1] = ACTIONS(3380),
    [aux_sym_format_statement_token1] = ACTIONS(3380),
    [aux_sym_print_statement_token1] = ACTIONS(3380),
    [aux_sym_open_statement_token1] = ACTIONS(3380),
    [aux_sym_close_statement_token1] = ACTIONS(3380),
    [aux_sym_inquire_statement_token1] = ACTIONS(3380),
    [aux_sym_enum_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token1] = ACTIONS(3380),
    [aux_sym_file_position_statement_token2] = ACTIONS(3380),
    [aux_sym_file_position_statement_token3] = ACTIONS(3380),
    [aux_sym_file_position_statement_token4] = ACTIONS(3380),
    [aux_sym_logical_expression_token5] = ACTIONS(3382),
    [anon_sym_DOT] = ACTIONS(3380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3382),
    [anon_sym_LBRACK] = ACTIONS(3382),
    [aux_sym_boolean_literal_token1] = ACTIONS(3382),
    [aux_sym_boolean_literal_token2] = ACTIONS(3382),
    [aux_sym_null_literal_token1] = ACTIONS(3380),
    [aux_sym_identifier_token1] = ACTIONS(3380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3382),
    [sym__float_literal] = ACTIONS(3382),
    [sym__boz_literal] = ACTIONS(3382),
    [sym__string_literal] = ACTIONS(3382),
    [sym__string_literal_kind] = ACTIONS(3382),
  },
  [1094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [1095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3408),
    [aux_sym_preproc_def_token1] = ACTIONS(3408),
    [aux_sym_preproc_if_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3408),
    [sym_preproc_directive] = ACTIONS(3408),
    [anon_sym_LPAREN2] = ACTIONS(3408),
    [anon_sym_PLUS] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(3410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3408),
    [aux_sym_end_program_statement_token2] = ACTIONS(3408),
    [aux_sym_interface_statement_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3408),
    [aux_sym_contains_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token1] = ACTIONS(3408),
    [aux_sym_use_statement_token2] = ACTIONS(3408),
    [aux_sym_implicit_statement_token1] = ACTIONS(3408),
    [aux_sym_implicit_statement_token3] = ACTIONS(3408),
    [aux_sym_implicit_statement_token4] = ACTIONS(3408),
    [aux_sym_save_statement_token1] = ACTIONS(3408),
    [aux_sym_private_statement_token1] = ACTIONS(3408),
    [aux_sym_public_statement_token1] = ACTIONS(3408),
    [aux_sym_namelist_statement_token1] = ACTIONS(3408),
    [aux_sym_common_statement_token1] = ACTIONS(3408),
    [aux_sym_import_statement_token1] = ACTIONS(3408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3408),
    [aux_sym_variable_attributes_token1] = ACTIONS(3408),
    [aux_sym_variable_attributes_token2] = ACTIONS(3408),
    [aux_sym_variable_attributes_token3] = ACTIONS(3408),
    [aux_sym_variable_attributes_token4] = ACTIONS(3408),
    [aux_sym_variable_attributes_token5] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3408),
    [aux_sym_derived_type_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token1] = ACTIONS(3408),
    [aux_sym_stop_statement_token2] = ACTIONS(3408),
    [aux_sym_subroutine_call_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token1] = ACTIONS(3408),
    [aux_sym_keyword_statement_token2] = ACTIONS(3408),
    [aux_sym_keyword_statement_token3] = ACTIONS(3408),
    [aux_sym_keyword_statement_token4] = ACTIONS(3408),
    [aux_sym_keyword_statement_token6] = ACTIONS(3408),
    [aux_sym_keyword_statement_token7] = ACTIONS(3408),
    [aux_sym_include_statement_token1] = ACTIONS(3408),
    [aux_sym_data_statement_token1] = ACTIONS(3408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3408),
    [aux_sym_end_if_statement_token1] = ACTIONS(3408),
    [aux_sym_elseif_clause_token2] = ACTIONS(3408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token1] = ACTIONS(3408),
    [aux_sym_select_case_statement_token3] = ACTIONS(3408),
    [aux_sym_select_type_statement_token1] = ACTIONS(3408),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3408),
    [aux_sym_block_construct_token1] = ACTIONS(3408),
    [aux_sym_associate_statement_token1] = ACTIONS(3408),
    [aux_sym_format_statement_token1] = ACTIONS(3408),
    [aux_sym_print_statement_token1] = ACTIONS(3408),
    [aux_sym_open_statement_token1] = ACTIONS(3408),
    [aux_sym_close_statement_token1] = ACTIONS(3408),
    [aux_sym_inquire_statement_token1] = ACTIONS(3408),
    [aux_sym_enum_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token1] = ACTIONS(3408),
    [aux_sym_file_position_statement_token2] = ACTIONS(3408),
    [aux_sym_file_position_statement_token3] = ACTIONS(3408),
    [aux_sym_file_position_statement_token4] = ACTIONS(3408),
    [aux_sym_logical_expression_token5] = ACTIONS(3410),
    [anon_sym_DOT] = ACTIONS(3408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3410),
    [anon_sym_LBRACK] = ACTIONS(3410),
    [aux_sym_boolean_literal_token1] = ACTIONS(3410),
    [aux_sym_boolean_literal_token2] = ACTIONS(3410),
    [aux_sym_null_literal_token1] = ACTIONS(3408),
    [aux_sym_identifier_token1] = ACTIONS(3408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3410),
    [sym__float_literal] = ACTIONS(3410),
    [sym__boz_literal] = ACTIONS(3410),
    [sym__string_literal] = ACTIONS(3410),
    [sym__string_literal_kind] = ACTIONS(3410),
  },
  [1096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [1097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_end_function_statement_token1] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [1098] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_end_function_statement_token1] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [1099] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3416),
    [aux_sym_preproc_def_token1] = ACTIONS(3416),
    [aux_sym_preproc_if_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3416),
    [sym_preproc_directive] = ACTIONS(3416),
    [anon_sym_LPAREN2] = ACTIONS(3416),
    [anon_sym_PLUS] = ACTIONS(3418),
    [anon_sym_DASH] = ACTIONS(3418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3416),
    [aux_sym_interface_statement_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3416),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3416),
    [aux_sym_contains_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token1] = ACTIONS(3416),
    [aux_sym_use_statement_token2] = ACTIONS(3416),
    [aux_sym_implicit_statement_token1] = ACTIONS(3416),
    [aux_sym_implicit_statement_token3] = ACTIONS(3416),
    [aux_sym_implicit_statement_token4] = ACTIONS(3416),
    [aux_sym_save_statement_token1] = ACTIONS(3416),
    [aux_sym_private_statement_token1] = ACTIONS(3416),
    [aux_sym_public_statement_token1] = ACTIONS(3416),
    [aux_sym_namelist_statement_token1] = ACTIONS(3416),
    [aux_sym_common_statement_token1] = ACTIONS(3416),
    [aux_sym_import_statement_token1] = ACTIONS(3416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3416),
    [aux_sym_variable_attributes_token1] = ACTIONS(3416),
    [aux_sym_variable_attributes_token2] = ACTIONS(3416),
    [aux_sym_variable_attributes_token3] = ACTIONS(3416),
    [aux_sym_variable_attributes_token4] = ACTIONS(3416),
    [aux_sym_variable_attributes_token5] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3416),
    [aux_sym_derived_type_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token1] = ACTIONS(3416),
    [aux_sym_stop_statement_token2] = ACTIONS(3416),
    [aux_sym_subroutine_call_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token1] = ACTIONS(3416),
    [aux_sym_keyword_statement_token2] = ACTIONS(3416),
    [aux_sym_keyword_statement_token3] = ACTIONS(3416),
    [aux_sym_keyword_statement_token4] = ACTIONS(3416),
    [aux_sym_keyword_statement_token6] = ACTIONS(3416),
    [aux_sym_keyword_statement_token7] = ACTIONS(3416),
    [aux_sym_include_statement_token1] = ACTIONS(3416),
    [aux_sym_data_statement_token1] = ACTIONS(3416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3416),
    [aux_sym_end_if_statement_token1] = ACTIONS(3416),
    [aux_sym_elseif_clause_token2] = ACTIONS(3416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token1] = ACTIONS(3416),
    [aux_sym_select_case_statement_token3] = ACTIONS(3416),
    [aux_sym_select_type_statement_token1] = ACTIONS(3416),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3416),
    [aux_sym_block_construct_token1] = ACTIONS(3416),
    [aux_sym_associate_statement_token1] = ACTIONS(3416),
    [aux_sym_format_statement_token1] = ACTIONS(3416),
    [aux_sym_print_statement_token1] = ACTIONS(3416),
    [aux_sym_open_statement_token1] = ACTIONS(3416),
    [aux_sym_close_statement_token1] = ACTIONS(3416),
    [aux_sym_inquire_statement_token1] = ACTIONS(3416),
    [aux_sym_enum_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token1] = ACTIONS(3416),
    [aux_sym_file_position_statement_token2] = ACTIONS(3416),
    [aux_sym_file_position_statement_token3] = ACTIONS(3416),
    [aux_sym_file_position_statement_token4] = ACTIONS(3416),
    [aux_sym_logical_expression_token5] = ACTIONS(3418),
    [anon_sym_DOT] = ACTIONS(3416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3418),
    [anon_sym_LBRACK] = ACTIONS(3418),
    [aux_sym_boolean_literal_token1] = ACTIONS(3418),
    [aux_sym_boolean_literal_token2] = ACTIONS(3418),
    [aux_sym_null_literal_token1] = ACTIONS(3416),
    [aux_sym_identifier_token1] = ACTIONS(3416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3418),
    [sym__float_literal] = ACTIONS(3418),
    [sym__boz_literal] = ACTIONS(3418),
    [sym__string_literal] = ACTIONS(3418),
    [sym__string_literal_kind] = ACTIONS(3418),
  },
  [1100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [1101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [1102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_end_function_statement_token1] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [1103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_end_function_statement_token1] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [1105] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [1106] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_end_program_statement_token2] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [1107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3400),
    [aux_sym_preproc_def_token1] = ACTIONS(3400),
    [aux_sym_preproc_if_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3400),
    [sym_preproc_directive] = ACTIONS(3400),
    [anon_sym_LPAREN2] = ACTIONS(3400),
    [anon_sym_PLUS] = ACTIONS(3402),
    [anon_sym_DASH] = ACTIONS(3402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3400),
    [aux_sym_end_program_statement_token2] = ACTIONS(3400),
    [aux_sym_interface_statement_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3400),
    [aux_sym_contains_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token2] = ACTIONS(3400),
    [aux_sym_implicit_statement_token1] = ACTIONS(3400),
    [aux_sym_implicit_statement_token3] = ACTIONS(3400),
    [aux_sym_implicit_statement_token4] = ACTIONS(3400),
    [aux_sym_save_statement_token1] = ACTIONS(3400),
    [aux_sym_private_statement_token1] = ACTIONS(3400),
    [aux_sym_public_statement_token1] = ACTIONS(3400),
    [aux_sym_namelist_statement_token1] = ACTIONS(3400),
    [aux_sym_common_statement_token1] = ACTIONS(3400),
    [aux_sym_import_statement_token1] = ACTIONS(3400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3400),
    [aux_sym_variable_attributes_token1] = ACTIONS(3400),
    [aux_sym_variable_attributes_token2] = ACTIONS(3400),
    [aux_sym_variable_attributes_token3] = ACTIONS(3400),
    [aux_sym_variable_attributes_token4] = ACTIONS(3400),
    [aux_sym_variable_attributes_token5] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3400),
    [aux_sym_derived_type_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token2] = ACTIONS(3400),
    [aux_sym_subroutine_call_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token2] = ACTIONS(3400),
    [aux_sym_keyword_statement_token3] = ACTIONS(3400),
    [aux_sym_keyword_statement_token4] = ACTIONS(3400),
    [aux_sym_keyword_statement_token6] = ACTIONS(3400),
    [aux_sym_keyword_statement_token7] = ACTIONS(3400),
    [aux_sym_include_statement_token1] = ACTIONS(3400),
    [aux_sym_data_statement_token1] = ACTIONS(3400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3400),
    [aux_sym_end_if_statement_token1] = ACTIONS(3400),
    [aux_sym_elseif_clause_token2] = ACTIONS(3400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token3] = ACTIONS(3400),
    [aux_sym_select_type_statement_token1] = ACTIONS(3400),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3400),
    [aux_sym_block_construct_token1] = ACTIONS(3400),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3400),
    [aux_sym_print_statement_token1] = ACTIONS(3400),
    [aux_sym_open_statement_token1] = ACTIONS(3400),
    [aux_sym_close_statement_token1] = ACTIONS(3400),
    [aux_sym_inquire_statement_token1] = ACTIONS(3400),
    [aux_sym_enum_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token2] = ACTIONS(3400),
    [aux_sym_file_position_statement_token3] = ACTIONS(3400),
    [aux_sym_file_position_statement_token4] = ACTIONS(3400),
    [aux_sym_logical_expression_token5] = ACTIONS(3402),
    [anon_sym_DOT] = ACTIONS(3400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3402),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [aux_sym_boolean_literal_token1] = ACTIONS(3402),
    [aux_sym_boolean_literal_token2] = ACTIONS(3402),
    [aux_sym_null_literal_token1] = ACTIONS(3400),
    [aux_sym_identifier_token1] = ACTIONS(3400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3402),
    [sym__float_literal] = ACTIONS(3402),
    [sym__boz_literal] = ACTIONS(3402),
    [sym__string_literal] = ACTIONS(3402),
    [sym__string_literal_kind] = ACTIONS(3402),
  },
  [1108] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_end_program_statement_token2] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [1109] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_end_function_statement_token1] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [1110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [1111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_end_function_statement_token1] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [1112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [1113] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3428),
    [aux_sym_preproc_def_token1] = ACTIONS(3428),
    [aux_sym_preproc_if_token1] = ACTIONS(3428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3428),
    [sym_preproc_directive] = ACTIONS(3428),
    [anon_sym_LPAREN2] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3430),
    [anon_sym_DASH] = ACTIONS(3430),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3428),
    [aux_sym_end_program_statement_token2] = ACTIONS(3428),
    [aux_sym_interface_statement_token1] = ACTIONS(3428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3428),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3428),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3428),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3428),
    [aux_sym_contains_statement_token1] = ACTIONS(3428),
    [aux_sym_use_statement_token1] = ACTIONS(3428),
    [aux_sym_use_statement_token2] = ACTIONS(3428),
    [aux_sym_implicit_statement_token1] = ACTIONS(3428),
    [aux_sym_implicit_statement_token3] = ACTIONS(3428),
    [aux_sym_implicit_statement_token4] = ACTIONS(3428),
    [aux_sym_save_statement_token1] = ACTIONS(3428),
    [aux_sym_private_statement_token1] = ACTIONS(3428),
    [aux_sym_public_statement_token1] = ACTIONS(3428),
    [aux_sym_namelist_statement_token1] = ACTIONS(3428),
    [aux_sym_common_statement_token1] = ACTIONS(3428),
    [aux_sym_import_statement_token1] = ACTIONS(3428),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3428),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3428),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3428),
    [aux_sym_variable_attributes_token1] = ACTIONS(3428),
    [aux_sym_variable_attributes_token2] = ACTIONS(3428),
    [aux_sym_variable_attributes_token3] = ACTIONS(3428),
    [aux_sym_variable_attributes_token4] = ACTIONS(3428),
    [aux_sym_variable_attributes_token5] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3428),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3428),
    [aux_sym_derived_type_token1] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3428),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3428),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3428),
    [aux_sym_stop_statement_token1] = ACTIONS(3428),
    [aux_sym_stop_statement_token2] = ACTIONS(3428),
    [aux_sym_subroutine_call_token1] = ACTIONS(3428),
    [aux_sym_keyword_statement_token1] = ACTIONS(3428),
    [aux_sym_keyword_statement_token2] = ACTIONS(3428),
    [aux_sym_keyword_statement_token3] = ACTIONS(3428),
    [aux_sym_keyword_statement_token4] = ACTIONS(3428),
    [aux_sym_keyword_statement_token6] = ACTIONS(3428),
    [aux_sym_keyword_statement_token7] = ACTIONS(3428),
    [aux_sym_include_statement_token1] = ACTIONS(3428),
    [aux_sym_data_statement_token1] = ACTIONS(3428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3428),
    [aux_sym_end_if_statement_token1] = ACTIONS(3428),
    [aux_sym_elseif_clause_token2] = ACTIONS(3428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3428),
    [aux_sym_select_case_statement_token1] = ACTIONS(3428),
    [aux_sym_select_case_statement_token3] = ACTIONS(3428),
    [aux_sym_select_type_statement_token1] = ACTIONS(3428),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3428),
    [aux_sym_block_construct_token1] = ACTIONS(3428),
    [aux_sym_associate_statement_token1] = ACTIONS(3428),
    [aux_sym_format_statement_token1] = ACTIONS(3428),
    [aux_sym_print_statement_token1] = ACTIONS(3428),
    [aux_sym_open_statement_token1] = ACTIONS(3428),
    [aux_sym_close_statement_token1] = ACTIONS(3428),
    [aux_sym_inquire_statement_token1] = ACTIONS(3428),
    [aux_sym_enum_statement_token1] = ACTIONS(3428),
    [aux_sym_file_position_statement_token1] = ACTIONS(3428),
    [aux_sym_file_position_statement_token2] = ACTIONS(3428),
    [aux_sym_file_position_statement_token3] = ACTIONS(3428),
    [aux_sym_file_position_statement_token4] = ACTIONS(3428),
    [aux_sym_logical_expression_token5] = ACTIONS(3430),
    [anon_sym_DOT] = ACTIONS(3428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3430),
    [anon_sym_LBRACK] = ACTIONS(3430),
    [aux_sym_boolean_literal_token1] = ACTIONS(3430),
    [aux_sym_boolean_literal_token2] = ACTIONS(3430),
    [aux_sym_null_literal_token1] = ACTIONS(3428),
    [aux_sym_identifier_token1] = ACTIONS(3428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3430),
    [sym__float_literal] = ACTIONS(3430),
    [sym__boz_literal] = ACTIONS(3430),
    [sym__string_literal] = ACTIONS(3430),
    [sym__string_literal_kind] = ACTIONS(3430),
  },
  [1114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token2] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3432),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3432),
    [sym_preproc_directive] = ACTIONS(3432),
    [anon_sym_LPAREN2] = ACTIONS(3432),
    [anon_sym_PLUS] = ACTIONS(3434),
    [anon_sym_DASH] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3432),
    [aux_sym_end_program_statement_token2] = ACTIONS(3432),
    [aux_sym_interface_statement_token1] = ACTIONS(3432),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3432),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3432),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3432),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3432),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3432),
    [aux_sym_contains_statement_token1] = ACTIONS(3432),
    [aux_sym_use_statement_token1] = ACTIONS(3432),
    [aux_sym_use_statement_token2] = ACTIONS(3432),
    [aux_sym_implicit_statement_token1] = ACTIONS(3432),
    [aux_sym_implicit_statement_token3] = ACTIONS(3432),
    [aux_sym_implicit_statement_token4] = ACTIONS(3432),
    [aux_sym_save_statement_token1] = ACTIONS(3432),
    [aux_sym_private_statement_token1] = ACTIONS(3432),
    [aux_sym_public_statement_token1] = ACTIONS(3432),
    [aux_sym_namelist_statement_token1] = ACTIONS(3432),
    [aux_sym_common_statement_token1] = ACTIONS(3432),
    [aux_sym_import_statement_token1] = ACTIONS(3432),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3432),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3432),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3432),
    [aux_sym_variable_attributes_token1] = ACTIONS(3432),
    [aux_sym_variable_attributes_token2] = ACTIONS(3432),
    [aux_sym_variable_attributes_token3] = ACTIONS(3432),
    [aux_sym_variable_attributes_token4] = ACTIONS(3432),
    [aux_sym_variable_attributes_token5] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3432),
    [aux_sym_derived_type_token1] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3432),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3432),
    [aux_sym_stop_statement_token1] = ACTIONS(3432),
    [aux_sym_stop_statement_token2] = ACTIONS(3432),
    [aux_sym_subroutine_call_token1] = ACTIONS(3432),
    [aux_sym_keyword_statement_token1] = ACTIONS(3432),
    [aux_sym_keyword_statement_token2] = ACTIONS(3432),
    [aux_sym_keyword_statement_token3] = ACTIONS(3432),
    [aux_sym_keyword_statement_token4] = ACTIONS(3432),
    [aux_sym_keyword_statement_token6] = ACTIONS(3432),
    [aux_sym_keyword_statement_token7] = ACTIONS(3432),
    [aux_sym_include_statement_token1] = ACTIONS(3432),
    [aux_sym_data_statement_token1] = ACTIONS(3432),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3432),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3432),
    [aux_sym_end_if_statement_token1] = ACTIONS(3432),
    [aux_sym_elseif_clause_token2] = ACTIONS(3432),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3432),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3432),
    [aux_sym_select_case_statement_token1] = ACTIONS(3432),
    [aux_sym_select_case_statement_token3] = ACTIONS(3432),
    [aux_sym_select_type_statement_token1] = ACTIONS(3432),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3432),
    [aux_sym_block_construct_token1] = ACTIONS(3432),
    [aux_sym_associate_statement_token1] = ACTIONS(3432),
    [aux_sym_format_statement_token1] = ACTIONS(3432),
    [aux_sym_print_statement_token1] = ACTIONS(3432),
    [aux_sym_open_statement_token1] = ACTIONS(3432),
    [aux_sym_close_statement_token1] = ACTIONS(3432),
    [aux_sym_inquire_statement_token1] = ACTIONS(3432),
    [aux_sym_enum_statement_token1] = ACTIONS(3432),
    [aux_sym_file_position_statement_token1] = ACTIONS(3432),
    [aux_sym_file_position_statement_token2] = ACTIONS(3432),
    [aux_sym_file_position_statement_token3] = ACTIONS(3432),
    [aux_sym_file_position_statement_token4] = ACTIONS(3432),
    [aux_sym_logical_expression_token5] = ACTIONS(3434),
    [anon_sym_DOT] = ACTIONS(3432),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3434),
    [anon_sym_LBRACK] = ACTIONS(3434),
    [aux_sym_boolean_literal_token1] = ACTIONS(3434),
    [aux_sym_boolean_literal_token2] = ACTIONS(3434),
    [aux_sym_null_literal_token1] = ACTIONS(3432),
    [aux_sym_identifier_token1] = ACTIONS(3432),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3434),
    [sym__float_literal] = ACTIONS(3434),
    [sym__boz_literal] = ACTIONS(3434),
    [sym__string_literal] = ACTIONS(3434),
    [sym__string_literal_kind] = ACTIONS(3434),
  },
  [1116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token2] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3404),
    [aux_sym_preproc_def_token1] = ACTIONS(3404),
    [aux_sym_preproc_if_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3404),
    [sym_preproc_directive] = ACTIONS(3404),
    [anon_sym_LPAREN2] = ACTIONS(3404),
    [anon_sym_PLUS] = ACTIONS(3406),
    [anon_sym_DASH] = ACTIONS(3406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3404),
    [aux_sym_interface_statement_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3404),
    [aux_sym_end_function_statement_token1] = ACTIONS(3404),
    [aux_sym_contains_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token2] = ACTIONS(3404),
    [aux_sym_implicit_statement_token1] = ACTIONS(3404),
    [aux_sym_implicit_statement_token3] = ACTIONS(3404),
    [aux_sym_implicit_statement_token4] = ACTIONS(3404),
    [aux_sym_save_statement_token1] = ACTIONS(3404),
    [aux_sym_private_statement_token1] = ACTIONS(3404),
    [aux_sym_public_statement_token1] = ACTIONS(3404),
    [aux_sym_namelist_statement_token1] = ACTIONS(3404),
    [aux_sym_common_statement_token1] = ACTIONS(3404),
    [aux_sym_import_statement_token1] = ACTIONS(3404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3404),
    [aux_sym_variable_attributes_token1] = ACTIONS(3404),
    [aux_sym_variable_attributes_token2] = ACTIONS(3404),
    [aux_sym_variable_attributes_token3] = ACTIONS(3404),
    [aux_sym_variable_attributes_token4] = ACTIONS(3404),
    [aux_sym_variable_attributes_token5] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3404),
    [aux_sym_derived_type_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token2] = ACTIONS(3404),
    [aux_sym_subroutine_call_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token2] = ACTIONS(3404),
    [aux_sym_keyword_statement_token3] = ACTIONS(3404),
    [aux_sym_keyword_statement_token4] = ACTIONS(3404),
    [aux_sym_keyword_statement_token6] = ACTIONS(3404),
    [aux_sym_keyword_statement_token7] = ACTIONS(3404),
    [aux_sym_include_statement_token1] = ACTIONS(3404),
    [aux_sym_data_statement_token1] = ACTIONS(3404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3404),
    [aux_sym_end_if_statement_token1] = ACTIONS(3404),
    [aux_sym_elseif_clause_token2] = ACTIONS(3404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token3] = ACTIONS(3404),
    [aux_sym_select_type_statement_token1] = ACTIONS(3404),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3404),
    [aux_sym_block_construct_token1] = ACTIONS(3404),
    [aux_sym_associate_statement_token1] = ACTIONS(3404),
    [aux_sym_format_statement_token1] = ACTIONS(3404),
    [aux_sym_print_statement_token1] = ACTIONS(3404),
    [aux_sym_open_statement_token1] = ACTIONS(3404),
    [aux_sym_close_statement_token1] = ACTIONS(3404),
    [aux_sym_inquire_statement_token1] = ACTIONS(3404),
    [aux_sym_enum_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token2] = ACTIONS(3404),
    [aux_sym_file_position_statement_token3] = ACTIONS(3404),
    [aux_sym_file_position_statement_token4] = ACTIONS(3404),
    [aux_sym_logical_expression_token5] = ACTIONS(3406),
    [anon_sym_DOT] = ACTIONS(3404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3406),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [aux_sym_boolean_literal_token1] = ACTIONS(3406),
    [aux_sym_boolean_literal_token2] = ACTIONS(3406),
    [aux_sym_null_literal_token1] = ACTIONS(3404),
    [aux_sym_identifier_token1] = ACTIONS(3404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3406),
    [sym__float_literal] = ACTIONS(3406),
    [sym__boz_literal] = ACTIONS(3406),
    [sym__string_literal] = ACTIONS(3406),
    [sym__string_literal_kind] = ACTIONS(3406),
  },
  [1118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_end_program_statement_token2] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [1119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [1120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [1124] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_program_statement_token2] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [1125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3420),
    [aux_sym_preproc_def_token1] = ACTIONS(3420),
    [aux_sym_preproc_if_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3420),
    [sym_preproc_directive] = ACTIONS(3420),
    [anon_sym_LPAREN2] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3422),
    [anon_sym_DASH] = ACTIONS(3422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3420),
    [aux_sym_interface_statement_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3420),
    [aux_sym_end_function_statement_token1] = ACTIONS(3420),
    [aux_sym_contains_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token2] = ACTIONS(3420),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3420),
    [aux_sym_implicit_statement_token4] = ACTIONS(3420),
    [aux_sym_save_statement_token1] = ACTIONS(3420),
    [aux_sym_private_statement_token1] = ACTIONS(3420),
    [aux_sym_public_statement_token1] = ACTIONS(3420),
    [aux_sym_namelist_statement_token1] = ACTIONS(3420),
    [aux_sym_common_statement_token1] = ACTIONS(3420),
    [aux_sym_import_statement_token1] = ACTIONS(3420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3420),
    [aux_sym_variable_attributes_token1] = ACTIONS(3420),
    [aux_sym_variable_attributes_token2] = ACTIONS(3420),
    [aux_sym_variable_attributes_token3] = ACTIONS(3420),
    [aux_sym_variable_attributes_token4] = ACTIONS(3420),
    [aux_sym_variable_attributes_token5] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3420),
    [aux_sym_derived_type_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token2] = ACTIONS(3420),
    [aux_sym_subroutine_call_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token2] = ACTIONS(3420),
    [aux_sym_keyword_statement_token3] = ACTIONS(3420),
    [aux_sym_keyword_statement_token4] = ACTIONS(3420),
    [aux_sym_keyword_statement_token6] = ACTIONS(3420),
    [aux_sym_keyword_statement_token7] = ACTIONS(3420),
    [aux_sym_include_statement_token1] = ACTIONS(3420),
    [aux_sym_data_statement_token1] = ACTIONS(3420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3420),
    [aux_sym_end_if_statement_token1] = ACTIONS(3420),
    [aux_sym_elseif_clause_token2] = ACTIONS(3420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token3] = ACTIONS(3420),
    [aux_sym_select_type_statement_token1] = ACTIONS(3420),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3420),
    [aux_sym_block_construct_token1] = ACTIONS(3420),
    [aux_sym_associate_statement_token1] = ACTIONS(3420),
    [aux_sym_format_statement_token1] = ACTIONS(3420),
    [aux_sym_print_statement_token1] = ACTIONS(3420),
    [aux_sym_open_statement_token1] = ACTIONS(3420),
    [aux_sym_close_statement_token1] = ACTIONS(3420),
    [aux_sym_inquire_statement_token1] = ACTIONS(3420),
    [aux_sym_enum_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token2] = ACTIONS(3420),
    [aux_sym_file_position_statement_token3] = ACTIONS(3420),
    [aux_sym_file_position_statement_token4] = ACTIONS(3420),
    [aux_sym_logical_expression_token5] = ACTIONS(3422),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3422),
    [aux_sym_boolean_literal_token1] = ACTIONS(3422),
    [aux_sym_boolean_literal_token2] = ACTIONS(3422),
    [aux_sym_null_literal_token1] = ACTIONS(3420),
    [aux_sym_identifier_token1] = ACTIONS(3420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3422),
    [sym__float_literal] = ACTIONS(3422),
    [sym__boz_literal] = ACTIONS(3422),
    [sym__string_literal] = ACTIONS(3422),
    [sym__string_literal_kind] = ACTIONS(3422),
  },
  [1126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1127] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_program_statement_token2] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [1128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [1130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_end_function_statement_token1] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [1131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3396),
    [aux_sym_preproc_def_token1] = ACTIONS(3396),
    [aux_sym_preproc_if_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3396),
    [sym_preproc_directive] = ACTIONS(3396),
    [anon_sym_LPAREN2] = ACTIONS(3396),
    [anon_sym_PLUS] = ACTIONS(3398),
    [anon_sym_DASH] = ACTIONS(3398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_end_program_statement_token2] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3396),
    [aux_sym_contains_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token2] = ACTIONS(3396),
    [aux_sym_implicit_statement_token1] = ACTIONS(3396),
    [aux_sym_implicit_statement_token3] = ACTIONS(3396),
    [aux_sym_implicit_statement_token4] = ACTIONS(3396),
    [aux_sym_save_statement_token1] = ACTIONS(3396),
    [aux_sym_private_statement_token1] = ACTIONS(3396),
    [aux_sym_public_statement_token1] = ACTIONS(3396),
    [aux_sym_namelist_statement_token1] = ACTIONS(3396),
    [aux_sym_common_statement_token1] = ACTIONS(3396),
    [aux_sym_import_statement_token1] = ACTIONS(3396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3396),
    [aux_sym_variable_attributes_token1] = ACTIONS(3396),
    [aux_sym_variable_attributes_token2] = ACTIONS(3396),
    [aux_sym_variable_attributes_token3] = ACTIONS(3396),
    [aux_sym_variable_attributes_token4] = ACTIONS(3396),
    [aux_sym_variable_attributes_token5] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3396),
    [aux_sym_derived_type_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token2] = ACTIONS(3396),
    [aux_sym_subroutine_call_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token2] = ACTIONS(3396),
    [aux_sym_keyword_statement_token3] = ACTIONS(3396),
    [aux_sym_keyword_statement_token4] = ACTIONS(3396),
    [aux_sym_keyword_statement_token6] = ACTIONS(3396),
    [aux_sym_keyword_statement_token7] = ACTIONS(3396),
    [aux_sym_include_statement_token1] = ACTIONS(3396),
    [aux_sym_data_statement_token1] = ACTIONS(3396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3396),
    [aux_sym_end_if_statement_token1] = ACTIONS(3396),
    [aux_sym_elseif_clause_token2] = ACTIONS(3396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token3] = ACTIONS(3396),
    [aux_sym_select_type_statement_token1] = ACTIONS(3396),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3396),
    [aux_sym_block_construct_token1] = ACTIONS(3396),
    [aux_sym_associate_statement_token1] = ACTIONS(3396),
    [aux_sym_format_statement_token1] = ACTIONS(3396),
    [aux_sym_print_statement_token1] = ACTIONS(3396),
    [aux_sym_open_statement_token1] = ACTIONS(3396),
    [aux_sym_close_statement_token1] = ACTIONS(3396),
    [aux_sym_inquire_statement_token1] = ACTIONS(3396),
    [aux_sym_enum_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token2] = ACTIONS(3396),
    [aux_sym_file_position_statement_token3] = ACTIONS(3396),
    [aux_sym_file_position_statement_token4] = ACTIONS(3396),
    [aux_sym_logical_expression_token5] = ACTIONS(3398),
    [anon_sym_DOT] = ACTIONS(3396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3398),
    [aux_sym_boolean_literal_token1] = ACTIONS(3398),
    [aux_sym_boolean_literal_token2] = ACTIONS(3398),
    [aux_sym_null_literal_token1] = ACTIONS(3396),
    [aux_sym_identifier_token1] = ACTIONS(3396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3398),
    [sym__float_literal] = ACTIONS(3398),
    [sym__boz_literal] = ACTIONS(3398),
    [sym__string_literal] = ACTIONS(3398),
    [sym__string_literal_kind] = ACTIONS(3398),
  },
  [1133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_end_program_statement_token2] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [1135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_end_function_statement_token1] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [1136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [1137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3400),
    [aux_sym_preproc_def_token1] = ACTIONS(3400),
    [aux_sym_preproc_if_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3400),
    [sym_preproc_directive] = ACTIONS(3400),
    [anon_sym_LPAREN2] = ACTIONS(3400),
    [anon_sym_PLUS] = ACTIONS(3402),
    [anon_sym_DASH] = ACTIONS(3402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3400),
    [aux_sym_interface_statement_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3400),
    [aux_sym_end_function_statement_token1] = ACTIONS(3400),
    [aux_sym_contains_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token2] = ACTIONS(3400),
    [aux_sym_implicit_statement_token1] = ACTIONS(3400),
    [aux_sym_implicit_statement_token3] = ACTIONS(3400),
    [aux_sym_implicit_statement_token4] = ACTIONS(3400),
    [aux_sym_save_statement_token1] = ACTIONS(3400),
    [aux_sym_private_statement_token1] = ACTIONS(3400),
    [aux_sym_public_statement_token1] = ACTIONS(3400),
    [aux_sym_namelist_statement_token1] = ACTIONS(3400),
    [aux_sym_common_statement_token1] = ACTIONS(3400),
    [aux_sym_import_statement_token1] = ACTIONS(3400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3400),
    [aux_sym_variable_attributes_token1] = ACTIONS(3400),
    [aux_sym_variable_attributes_token2] = ACTIONS(3400),
    [aux_sym_variable_attributes_token3] = ACTIONS(3400),
    [aux_sym_variable_attributes_token4] = ACTIONS(3400),
    [aux_sym_variable_attributes_token5] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3400),
    [aux_sym_derived_type_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token2] = ACTIONS(3400),
    [aux_sym_subroutine_call_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token2] = ACTIONS(3400),
    [aux_sym_keyword_statement_token3] = ACTIONS(3400),
    [aux_sym_keyword_statement_token4] = ACTIONS(3400),
    [aux_sym_keyword_statement_token6] = ACTIONS(3400),
    [aux_sym_keyword_statement_token7] = ACTIONS(3400),
    [aux_sym_include_statement_token1] = ACTIONS(3400),
    [aux_sym_data_statement_token1] = ACTIONS(3400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3400),
    [aux_sym_end_if_statement_token1] = ACTIONS(3400),
    [aux_sym_elseif_clause_token2] = ACTIONS(3400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token3] = ACTIONS(3400),
    [aux_sym_select_type_statement_token1] = ACTIONS(3400),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3400),
    [aux_sym_block_construct_token1] = ACTIONS(3400),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3400),
    [aux_sym_print_statement_token1] = ACTIONS(3400),
    [aux_sym_open_statement_token1] = ACTIONS(3400),
    [aux_sym_close_statement_token1] = ACTIONS(3400),
    [aux_sym_inquire_statement_token1] = ACTIONS(3400),
    [aux_sym_enum_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token2] = ACTIONS(3400),
    [aux_sym_file_position_statement_token3] = ACTIONS(3400),
    [aux_sym_file_position_statement_token4] = ACTIONS(3400),
    [aux_sym_logical_expression_token5] = ACTIONS(3402),
    [anon_sym_DOT] = ACTIONS(3400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3402),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [aux_sym_boolean_literal_token1] = ACTIONS(3402),
    [aux_sym_boolean_literal_token2] = ACTIONS(3402),
    [aux_sym_null_literal_token1] = ACTIONS(3400),
    [aux_sym_identifier_token1] = ACTIONS(3400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3402),
    [sym__float_literal] = ACTIONS(3402),
    [sym__boz_literal] = ACTIONS(3402),
    [sym__string_literal] = ACTIONS(3402),
    [sym__string_literal_kind] = ACTIONS(3402),
  },
  [1138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3424),
    [aux_sym_preproc_def_token1] = ACTIONS(3424),
    [aux_sym_preproc_if_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3424),
    [sym_preproc_directive] = ACTIONS(3424),
    [anon_sym_LPAREN2] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3424),
    [aux_sym_end_program_statement_token2] = ACTIONS(3424),
    [aux_sym_interface_statement_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3424),
    [aux_sym_contains_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token1] = ACTIONS(3424),
    [aux_sym_use_statement_token2] = ACTIONS(3424),
    [aux_sym_implicit_statement_token1] = ACTIONS(3424),
    [aux_sym_implicit_statement_token3] = ACTIONS(3424),
    [aux_sym_implicit_statement_token4] = ACTIONS(3424),
    [aux_sym_save_statement_token1] = ACTIONS(3424),
    [aux_sym_private_statement_token1] = ACTIONS(3424),
    [aux_sym_public_statement_token1] = ACTIONS(3424),
    [aux_sym_namelist_statement_token1] = ACTIONS(3424),
    [aux_sym_common_statement_token1] = ACTIONS(3424),
    [aux_sym_import_statement_token1] = ACTIONS(3424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3424),
    [aux_sym_variable_attributes_token1] = ACTIONS(3424),
    [aux_sym_variable_attributes_token2] = ACTIONS(3424),
    [aux_sym_variable_attributes_token3] = ACTIONS(3424),
    [aux_sym_variable_attributes_token4] = ACTIONS(3424),
    [aux_sym_variable_attributes_token5] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3424),
    [aux_sym_derived_type_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token1] = ACTIONS(3424),
    [aux_sym_stop_statement_token2] = ACTIONS(3424),
    [aux_sym_subroutine_call_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token1] = ACTIONS(3424),
    [aux_sym_keyword_statement_token2] = ACTIONS(3424),
    [aux_sym_keyword_statement_token3] = ACTIONS(3424),
    [aux_sym_keyword_statement_token4] = ACTIONS(3424),
    [aux_sym_keyword_statement_token6] = ACTIONS(3424),
    [aux_sym_keyword_statement_token7] = ACTIONS(3424),
    [aux_sym_include_statement_token1] = ACTIONS(3424),
    [aux_sym_data_statement_token1] = ACTIONS(3424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3424),
    [aux_sym_end_if_statement_token1] = ACTIONS(3424),
    [aux_sym_elseif_clause_token2] = ACTIONS(3424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token1] = ACTIONS(3424),
    [aux_sym_select_case_statement_token3] = ACTIONS(3424),
    [aux_sym_select_type_statement_token1] = ACTIONS(3424),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3424),
    [aux_sym_block_construct_token1] = ACTIONS(3424),
    [aux_sym_associate_statement_token1] = ACTIONS(3424),
    [aux_sym_format_statement_token1] = ACTIONS(3424),
    [aux_sym_print_statement_token1] = ACTIONS(3424),
    [aux_sym_open_statement_token1] = ACTIONS(3424),
    [aux_sym_close_statement_token1] = ACTIONS(3424),
    [aux_sym_inquire_statement_token1] = ACTIONS(3424),
    [aux_sym_enum_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token1] = ACTIONS(3424),
    [aux_sym_file_position_statement_token2] = ACTIONS(3424),
    [aux_sym_file_position_statement_token3] = ACTIONS(3424),
    [aux_sym_file_position_statement_token4] = ACTIONS(3424),
    [aux_sym_logical_expression_token5] = ACTIONS(3426),
    [anon_sym_DOT] = ACTIONS(3424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(3426),
    [aux_sym_boolean_literal_token1] = ACTIONS(3426),
    [aux_sym_boolean_literal_token2] = ACTIONS(3426),
    [aux_sym_null_literal_token1] = ACTIONS(3424),
    [aux_sym_identifier_token1] = ACTIONS(3424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3426),
    [sym__float_literal] = ACTIONS(3426),
    [sym__boz_literal] = ACTIONS(3426),
    [sym__string_literal] = ACTIONS(3426),
    [sym__string_literal_kind] = ACTIONS(3426),
  },
  [1139] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [1140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [1141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [1142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_end_function_statement_token1] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_end_function_statement_token1] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [1144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3388),
    [aux_sym_preproc_def_token1] = ACTIONS(3388),
    [aux_sym_preproc_if_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3388),
    [sym_preproc_directive] = ACTIONS(3388),
    [anon_sym_LPAREN2] = ACTIONS(3388),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3388),
    [aux_sym_end_program_statement_token2] = ACTIONS(3388),
    [aux_sym_interface_statement_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3388),
    [aux_sym_contains_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token2] = ACTIONS(3388),
    [aux_sym_implicit_statement_token1] = ACTIONS(3388),
    [aux_sym_implicit_statement_token3] = ACTIONS(3388),
    [aux_sym_implicit_statement_token4] = ACTIONS(3388),
    [aux_sym_save_statement_token1] = ACTIONS(3388),
    [aux_sym_private_statement_token1] = ACTIONS(3388),
    [aux_sym_public_statement_token1] = ACTIONS(3388),
    [aux_sym_namelist_statement_token1] = ACTIONS(3388),
    [aux_sym_common_statement_token1] = ACTIONS(3388),
    [aux_sym_import_statement_token1] = ACTIONS(3388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3388),
    [aux_sym_variable_attributes_token1] = ACTIONS(3388),
    [aux_sym_variable_attributes_token2] = ACTIONS(3388),
    [aux_sym_variable_attributes_token3] = ACTIONS(3388),
    [aux_sym_variable_attributes_token4] = ACTIONS(3388),
    [aux_sym_variable_attributes_token5] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3388),
    [aux_sym_derived_type_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token2] = ACTIONS(3388),
    [aux_sym_subroutine_call_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token2] = ACTIONS(3388),
    [aux_sym_keyword_statement_token3] = ACTIONS(3388),
    [aux_sym_keyword_statement_token4] = ACTIONS(3388),
    [aux_sym_keyword_statement_token6] = ACTIONS(3388),
    [aux_sym_keyword_statement_token7] = ACTIONS(3388),
    [aux_sym_include_statement_token1] = ACTIONS(3388),
    [aux_sym_data_statement_token1] = ACTIONS(3388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3388),
    [aux_sym_end_if_statement_token1] = ACTIONS(3388),
    [aux_sym_elseif_clause_token2] = ACTIONS(3388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3388),
    [aux_sym_select_type_statement_token1] = ACTIONS(3388),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3388),
    [aux_sym_block_construct_token1] = ACTIONS(3388),
    [aux_sym_associate_statement_token1] = ACTIONS(3388),
    [aux_sym_format_statement_token1] = ACTIONS(3388),
    [aux_sym_print_statement_token1] = ACTIONS(3388),
    [aux_sym_open_statement_token1] = ACTIONS(3388),
    [aux_sym_close_statement_token1] = ACTIONS(3388),
    [aux_sym_inquire_statement_token1] = ACTIONS(3388),
    [aux_sym_enum_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token2] = ACTIONS(3388),
    [aux_sym_file_position_statement_token3] = ACTIONS(3388),
    [aux_sym_file_position_statement_token4] = ACTIONS(3388),
    [aux_sym_logical_expression_token5] = ACTIONS(3390),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3390),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [aux_sym_boolean_literal_token1] = ACTIONS(3390),
    [aux_sym_boolean_literal_token2] = ACTIONS(3390),
    [aux_sym_null_literal_token1] = ACTIONS(3388),
    [aux_sym_identifier_token1] = ACTIONS(3388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3390),
    [sym__float_literal] = ACTIONS(3390),
    [sym__boz_literal] = ACTIONS(3390),
    [sym__string_literal] = ACTIONS(3390),
    [sym__string_literal_kind] = ACTIONS(3390),
  },
  [1146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_end_function_statement_token1] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [1147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_end_program_statement_token2] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [1148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_end_program_statement_token2] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [1149] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1151] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_end_function_statement_token1] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [1152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_end_function_statement_token1] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [1154] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_end_function_statement_token1] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_end_function_statement_token1] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [1156] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_end_program_statement_token2] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [1157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3392),
    [aux_sym_preproc_def_token1] = ACTIONS(3392),
    [aux_sym_preproc_if_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3392),
    [sym_preproc_directive] = ACTIONS(3392),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3392),
    [aux_sym_interface_statement_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3392),
    [aux_sym_end_function_statement_token1] = ACTIONS(3392),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token2] = ACTIONS(3392),
    [aux_sym_implicit_statement_token1] = ACTIONS(3392),
    [aux_sym_implicit_statement_token3] = ACTIONS(3392),
    [aux_sym_implicit_statement_token4] = ACTIONS(3392),
    [aux_sym_save_statement_token1] = ACTIONS(3392),
    [aux_sym_private_statement_token1] = ACTIONS(3392),
    [aux_sym_public_statement_token1] = ACTIONS(3392),
    [aux_sym_namelist_statement_token1] = ACTIONS(3392),
    [aux_sym_common_statement_token1] = ACTIONS(3392),
    [aux_sym_import_statement_token1] = ACTIONS(3392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3392),
    [aux_sym_variable_attributes_token1] = ACTIONS(3392),
    [aux_sym_variable_attributes_token2] = ACTIONS(3392),
    [aux_sym_variable_attributes_token3] = ACTIONS(3392),
    [aux_sym_variable_attributes_token4] = ACTIONS(3392),
    [aux_sym_variable_attributes_token5] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3392),
    [aux_sym_derived_type_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token2] = ACTIONS(3392),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3392),
    [aux_sym_keyword_statement_token3] = ACTIONS(3392),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3392),
    [aux_sym_data_statement_token1] = ACTIONS(3392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3392),
    [aux_sym_end_if_statement_token1] = ACTIONS(3392),
    [aux_sym_elseif_clause_token2] = ACTIONS(3392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3392),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3392),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3392),
    [aux_sym_enum_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3392),
    [aux_sym_identifier_token1] = ACTIONS(3392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3394),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [1158] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [1159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_end_function_statement_token1] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [1160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [1161] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [1162] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_end_function_statement_token1] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1163] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_end_program_statement_token2] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3412),
    [aux_sym_preproc_def_token1] = ACTIONS(3412),
    [aux_sym_preproc_if_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3412),
    [sym_preproc_directive] = ACTIONS(3412),
    [anon_sym_LPAREN2] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(3414),
    [anon_sym_DASH] = ACTIONS(3414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3412),
    [aux_sym_interface_statement_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3412),
    [aux_sym_end_function_statement_token1] = ACTIONS(3412),
    [aux_sym_contains_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token2] = ACTIONS(3412),
    [aux_sym_implicit_statement_token1] = ACTIONS(3412),
    [aux_sym_implicit_statement_token3] = ACTIONS(3412),
    [aux_sym_implicit_statement_token4] = ACTIONS(3412),
    [aux_sym_save_statement_token1] = ACTIONS(3412),
    [aux_sym_private_statement_token1] = ACTIONS(3412),
    [aux_sym_public_statement_token1] = ACTIONS(3412),
    [aux_sym_namelist_statement_token1] = ACTIONS(3412),
    [aux_sym_common_statement_token1] = ACTIONS(3412),
    [aux_sym_import_statement_token1] = ACTIONS(3412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3412),
    [aux_sym_variable_attributes_token1] = ACTIONS(3412),
    [aux_sym_variable_attributes_token2] = ACTIONS(3412),
    [aux_sym_variable_attributes_token3] = ACTIONS(3412),
    [aux_sym_variable_attributes_token4] = ACTIONS(3412),
    [aux_sym_variable_attributes_token5] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3412),
    [aux_sym_derived_type_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token2] = ACTIONS(3412),
    [aux_sym_subroutine_call_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token2] = ACTIONS(3412),
    [aux_sym_keyword_statement_token3] = ACTIONS(3412),
    [aux_sym_keyword_statement_token4] = ACTIONS(3412),
    [aux_sym_keyword_statement_token6] = ACTIONS(3412),
    [aux_sym_keyword_statement_token7] = ACTIONS(3412),
    [aux_sym_include_statement_token1] = ACTIONS(3412),
    [aux_sym_data_statement_token1] = ACTIONS(3412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3412),
    [aux_sym_end_if_statement_token1] = ACTIONS(3412),
    [aux_sym_elseif_clause_token2] = ACTIONS(3412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token3] = ACTIONS(3412),
    [aux_sym_select_type_statement_token1] = ACTIONS(3412),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3412),
    [aux_sym_block_construct_token1] = ACTIONS(3412),
    [aux_sym_associate_statement_token1] = ACTIONS(3412),
    [aux_sym_format_statement_token1] = ACTIONS(3412),
    [aux_sym_print_statement_token1] = ACTIONS(3412),
    [aux_sym_open_statement_token1] = ACTIONS(3412),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3412),
    [aux_sym_enum_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token2] = ACTIONS(3412),
    [aux_sym_file_position_statement_token3] = ACTIONS(3412),
    [aux_sym_file_position_statement_token4] = ACTIONS(3412),
    [aux_sym_logical_expression_token5] = ACTIONS(3414),
    [anon_sym_DOT] = ACTIONS(3412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(3414),
    [aux_sym_boolean_literal_token1] = ACTIONS(3414),
    [aux_sym_boolean_literal_token2] = ACTIONS(3414),
    [aux_sym_null_literal_token1] = ACTIONS(3412),
    [aux_sym_identifier_token1] = ACTIONS(3412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3414),
    [sym__float_literal] = ACTIONS(3414),
    [sym__boz_literal] = ACTIONS(3414),
    [sym__string_literal] = ACTIONS(3414),
    [sym__string_literal_kind] = ACTIONS(3414),
  },
  [1165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1166] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1167] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3412),
    [aux_sym_preproc_def_token1] = ACTIONS(3412),
    [aux_sym_preproc_if_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3412),
    [sym_preproc_directive] = ACTIONS(3412),
    [anon_sym_LPAREN2] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(3414),
    [anon_sym_DASH] = ACTIONS(3414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3412),
    [aux_sym_interface_statement_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3412),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3412),
    [aux_sym_contains_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token2] = ACTIONS(3412),
    [aux_sym_implicit_statement_token1] = ACTIONS(3412),
    [aux_sym_implicit_statement_token3] = ACTIONS(3412),
    [aux_sym_implicit_statement_token4] = ACTIONS(3412),
    [aux_sym_save_statement_token1] = ACTIONS(3412),
    [aux_sym_private_statement_token1] = ACTIONS(3412),
    [aux_sym_public_statement_token1] = ACTIONS(3412),
    [aux_sym_namelist_statement_token1] = ACTIONS(3412),
    [aux_sym_common_statement_token1] = ACTIONS(3412),
    [aux_sym_import_statement_token1] = ACTIONS(3412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3412),
    [aux_sym_variable_attributes_token1] = ACTIONS(3412),
    [aux_sym_variable_attributes_token2] = ACTIONS(3412),
    [aux_sym_variable_attributes_token3] = ACTIONS(3412),
    [aux_sym_variable_attributes_token4] = ACTIONS(3412),
    [aux_sym_variable_attributes_token5] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3412),
    [aux_sym_derived_type_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token2] = ACTIONS(3412),
    [aux_sym_subroutine_call_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token2] = ACTIONS(3412),
    [aux_sym_keyword_statement_token3] = ACTIONS(3412),
    [aux_sym_keyword_statement_token4] = ACTIONS(3412),
    [aux_sym_keyword_statement_token6] = ACTIONS(3412),
    [aux_sym_keyword_statement_token7] = ACTIONS(3412),
    [aux_sym_include_statement_token1] = ACTIONS(3412),
    [aux_sym_data_statement_token1] = ACTIONS(3412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3412),
    [aux_sym_end_if_statement_token1] = ACTIONS(3412),
    [aux_sym_elseif_clause_token2] = ACTIONS(3412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token3] = ACTIONS(3412),
    [aux_sym_select_type_statement_token1] = ACTIONS(3412),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3412),
    [aux_sym_block_construct_token1] = ACTIONS(3412),
    [aux_sym_associate_statement_token1] = ACTIONS(3412),
    [aux_sym_format_statement_token1] = ACTIONS(3412),
    [aux_sym_print_statement_token1] = ACTIONS(3412),
    [aux_sym_open_statement_token1] = ACTIONS(3412),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3412),
    [aux_sym_enum_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token2] = ACTIONS(3412),
    [aux_sym_file_position_statement_token3] = ACTIONS(3412),
    [aux_sym_file_position_statement_token4] = ACTIONS(3412),
    [aux_sym_logical_expression_token5] = ACTIONS(3414),
    [anon_sym_DOT] = ACTIONS(3412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(3414),
    [aux_sym_boolean_literal_token1] = ACTIONS(3414),
    [aux_sym_boolean_literal_token2] = ACTIONS(3414),
    [aux_sym_null_literal_token1] = ACTIONS(3412),
    [aux_sym_identifier_token1] = ACTIONS(3412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3414),
    [sym__float_literal] = ACTIONS(3414),
    [sym__boz_literal] = ACTIONS(3414),
    [sym__string_literal] = ACTIONS(3414),
    [sym__string_literal_kind] = ACTIONS(3414),
  },
  [1168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [1169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3412),
    [aux_sym_preproc_def_token1] = ACTIONS(3412),
    [aux_sym_preproc_if_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3412),
    [sym_preproc_directive] = ACTIONS(3412),
    [anon_sym_LPAREN2] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(3414),
    [anon_sym_DASH] = ACTIONS(3414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3412),
    [aux_sym_end_program_statement_token2] = ACTIONS(3412),
    [aux_sym_interface_statement_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3412),
    [aux_sym_contains_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token1] = ACTIONS(3412),
    [aux_sym_use_statement_token2] = ACTIONS(3412),
    [aux_sym_implicit_statement_token1] = ACTIONS(3412),
    [aux_sym_implicit_statement_token3] = ACTIONS(3412),
    [aux_sym_implicit_statement_token4] = ACTIONS(3412),
    [aux_sym_save_statement_token1] = ACTIONS(3412),
    [aux_sym_private_statement_token1] = ACTIONS(3412),
    [aux_sym_public_statement_token1] = ACTIONS(3412),
    [aux_sym_namelist_statement_token1] = ACTIONS(3412),
    [aux_sym_common_statement_token1] = ACTIONS(3412),
    [aux_sym_import_statement_token1] = ACTIONS(3412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3412),
    [aux_sym_variable_attributes_token1] = ACTIONS(3412),
    [aux_sym_variable_attributes_token2] = ACTIONS(3412),
    [aux_sym_variable_attributes_token3] = ACTIONS(3412),
    [aux_sym_variable_attributes_token4] = ACTIONS(3412),
    [aux_sym_variable_attributes_token5] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3412),
    [aux_sym_derived_type_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token1] = ACTIONS(3412),
    [aux_sym_stop_statement_token2] = ACTIONS(3412),
    [aux_sym_subroutine_call_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token1] = ACTIONS(3412),
    [aux_sym_keyword_statement_token2] = ACTIONS(3412),
    [aux_sym_keyword_statement_token3] = ACTIONS(3412),
    [aux_sym_keyword_statement_token4] = ACTIONS(3412),
    [aux_sym_keyword_statement_token6] = ACTIONS(3412),
    [aux_sym_keyword_statement_token7] = ACTIONS(3412),
    [aux_sym_include_statement_token1] = ACTIONS(3412),
    [aux_sym_data_statement_token1] = ACTIONS(3412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3412),
    [aux_sym_end_if_statement_token1] = ACTIONS(3412),
    [aux_sym_elseif_clause_token2] = ACTIONS(3412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token1] = ACTIONS(3412),
    [aux_sym_select_case_statement_token3] = ACTIONS(3412),
    [aux_sym_select_type_statement_token1] = ACTIONS(3412),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3412),
    [aux_sym_block_construct_token1] = ACTIONS(3412),
    [aux_sym_associate_statement_token1] = ACTIONS(3412),
    [aux_sym_format_statement_token1] = ACTIONS(3412),
    [aux_sym_print_statement_token1] = ACTIONS(3412),
    [aux_sym_open_statement_token1] = ACTIONS(3412),
    [aux_sym_close_statement_token1] = ACTIONS(3412),
    [aux_sym_inquire_statement_token1] = ACTIONS(3412),
    [aux_sym_enum_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token1] = ACTIONS(3412),
    [aux_sym_file_position_statement_token2] = ACTIONS(3412),
    [aux_sym_file_position_statement_token3] = ACTIONS(3412),
    [aux_sym_file_position_statement_token4] = ACTIONS(3412),
    [aux_sym_logical_expression_token5] = ACTIONS(3414),
    [anon_sym_DOT] = ACTIONS(3412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3414),
    [anon_sym_LBRACK] = ACTIONS(3414),
    [aux_sym_boolean_literal_token1] = ACTIONS(3414),
    [aux_sym_boolean_literal_token2] = ACTIONS(3414),
    [aux_sym_null_literal_token1] = ACTIONS(3412),
    [aux_sym_identifier_token1] = ACTIONS(3412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3414),
    [sym__float_literal] = ACTIONS(3414),
    [sym__boz_literal] = ACTIONS(3414),
    [sym__string_literal] = ACTIONS(3414),
    [sym__string_literal_kind] = ACTIONS(3414),
  },
  [1170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3404),
    [aux_sym_preproc_def_token1] = ACTIONS(3404),
    [aux_sym_preproc_if_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3404),
    [sym_preproc_directive] = ACTIONS(3404),
    [anon_sym_LPAREN2] = ACTIONS(3404),
    [anon_sym_PLUS] = ACTIONS(3406),
    [anon_sym_DASH] = ACTIONS(3406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3404),
    [aux_sym_interface_statement_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3404),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3404),
    [aux_sym_contains_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token1] = ACTIONS(3404),
    [aux_sym_use_statement_token2] = ACTIONS(3404),
    [aux_sym_implicit_statement_token1] = ACTIONS(3404),
    [aux_sym_implicit_statement_token3] = ACTIONS(3404),
    [aux_sym_implicit_statement_token4] = ACTIONS(3404),
    [aux_sym_save_statement_token1] = ACTIONS(3404),
    [aux_sym_private_statement_token1] = ACTIONS(3404),
    [aux_sym_public_statement_token1] = ACTIONS(3404),
    [aux_sym_namelist_statement_token1] = ACTIONS(3404),
    [aux_sym_common_statement_token1] = ACTIONS(3404),
    [aux_sym_import_statement_token1] = ACTIONS(3404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3404),
    [aux_sym_variable_attributes_token1] = ACTIONS(3404),
    [aux_sym_variable_attributes_token2] = ACTIONS(3404),
    [aux_sym_variable_attributes_token3] = ACTIONS(3404),
    [aux_sym_variable_attributes_token4] = ACTIONS(3404),
    [aux_sym_variable_attributes_token5] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3404),
    [aux_sym_derived_type_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token1] = ACTIONS(3404),
    [aux_sym_stop_statement_token2] = ACTIONS(3404),
    [aux_sym_subroutine_call_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token1] = ACTIONS(3404),
    [aux_sym_keyword_statement_token2] = ACTIONS(3404),
    [aux_sym_keyword_statement_token3] = ACTIONS(3404),
    [aux_sym_keyword_statement_token4] = ACTIONS(3404),
    [aux_sym_keyword_statement_token6] = ACTIONS(3404),
    [aux_sym_keyword_statement_token7] = ACTIONS(3404),
    [aux_sym_include_statement_token1] = ACTIONS(3404),
    [aux_sym_data_statement_token1] = ACTIONS(3404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3404),
    [aux_sym_end_if_statement_token1] = ACTIONS(3404),
    [aux_sym_elseif_clause_token2] = ACTIONS(3404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token1] = ACTIONS(3404),
    [aux_sym_select_case_statement_token3] = ACTIONS(3404),
    [aux_sym_select_type_statement_token1] = ACTIONS(3404),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3404),
    [aux_sym_block_construct_token1] = ACTIONS(3404),
    [aux_sym_associate_statement_token1] = ACTIONS(3404),
    [aux_sym_format_statement_token1] = ACTIONS(3404),
    [aux_sym_print_statement_token1] = ACTIONS(3404),
    [aux_sym_open_statement_token1] = ACTIONS(3404),
    [aux_sym_close_statement_token1] = ACTIONS(3404),
    [aux_sym_inquire_statement_token1] = ACTIONS(3404),
    [aux_sym_enum_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token1] = ACTIONS(3404),
    [aux_sym_file_position_statement_token2] = ACTIONS(3404),
    [aux_sym_file_position_statement_token3] = ACTIONS(3404),
    [aux_sym_file_position_statement_token4] = ACTIONS(3404),
    [aux_sym_logical_expression_token5] = ACTIONS(3406),
    [anon_sym_DOT] = ACTIONS(3404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3406),
    [anon_sym_LBRACK] = ACTIONS(3406),
    [aux_sym_boolean_literal_token1] = ACTIONS(3406),
    [aux_sym_boolean_literal_token2] = ACTIONS(3406),
    [aux_sym_null_literal_token1] = ACTIONS(3404),
    [aux_sym_identifier_token1] = ACTIONS(3404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3406),
    [sym__float_literal] = ACTIONS(3406),
    [sym__boz_literal] = ACTIONS(3406),
    [sym__string_literal] = ACTIONS(3406),
    [sym__string_literal_kind] = ACTIONS(3406),
  },
  [1171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [1172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [1173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [1174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_end_function_statement_token1] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_end_function_statement_token1] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [1176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_end_function_statement_token1] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [1177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [1178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3420),
    [aux_sym_preproc_def_token1] = ACTIONS(3420),
    [aux_sym_preproc_if_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3420),
    [sym_preproc_directive] = ACTIONS(3420),
    [anon_sym_LPAREN2] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3422),
    [anon_sym_DASH] = ACTIONS(3422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3420),
    [aux_sym_interface_statement_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3420),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3420),
    [aux_sym_contains_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token1] = ACTIONS(3420),
    [aux_sym_use_statement_token2] = ACTIONS(3420),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3420),
    [aux_sym_implicit_statement_token4] = ACTIONS(3420),
    [aux_sym_save_statement_token1] = ACTIONS(3420),
    [aux_sym_private_statement_token1] = ACTIONS(3420),
    [aux_sym_public_statement_token1] = ACTIONS(3420),
    [aux_sym_namelist_statement_token1] = ACTIONS(3420),
    [aux_sym_common_statement_token1] = ACTIONS(3420),
    [aux_sym_import_statement_token1] = ACTIONS(3420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3420),
    [aux_sym_variable_attributes_token1] = ACTIONS(3420),
    [aux_sym_variable_attributes_token2] = ACTIONS(3420),
    [aux_sym_variable_attributes_token3] = ACTIONS(3420),
    [aux_sym_variable_attributes_token4] = ACTIONS(3420),
    [aux_sym_variable_attributes_token5] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3420),
    [aux_sym_derived_type_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token1] = ACTIONS(3420),
    [aux_sym_stop_statement_token2] = ACTIONS(3420),
    [aux_sym_subroutine_call_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token1] = ACTIONS(3420),
    [aux_sym_keyword_statement_token2] = ACTIONS(3420),
    [aux_sym_keyword_statement_token3] = ACTIONS(3420),
    [aux_sym_keyword_statement_token4] = ACTIONS(3420),
    [aux_sym_keyword_statement_token6] = ACTIONS(3420),
    [aux_sym_keyword_statement_token7] = ACTIONS(3420),
    [aux_sym_include_statement_token1] = ACTIONS(3420),
    [aux_sym_data_statement_token1] = ACTIONS(3420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3420),
    [aux_sym_end_if_statement_token1] = ACTIONS(3420),
    [aux_sym_elseif_clause_token2] = ACTIONS(3420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token1] = ACTIONS(3420),
    [aux_sym_select_case_statement_token3] = ACTIONS(3420),
    [aux_sym_select_type_statement_token1] = ACTIONS(3420),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3420),
    [aux_sym_block_construct_token1] = ACTIONS(3420),
    [aux_sym_associate_statement_token1] = ACTIONS(3420),
    [aux_sym_format_statement_token1] = ACTIONS(3420),
    [aux_sym_print_statement_token1] = ACTIONS(3420),
    [aux_sym_open_statement_token1] = ACTIONS(3420),
    [aux_sym_close_statement_token1] = ACTIONS(3420),
    [aux_sym_inquire_statement_token1] = ACTIONS(3420),
    [aux_sym_enum_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token1] = ACTIONS(3420),
    [aux_sym_file_position_statement_token2] = ACTIONS(3420),
    [aux_sym_file_position_statement_token3] = ACTIONS(3420),
    [aux_sym_file_position_statement_token4] = ACTIONS(3420),
    [aux_sym_logical_expression_token5] = ACTIONS(3422),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3422),
    [aux_sym_boolean_literal_token1] = ACTIONS(3422),
    [aux_sym_boolean_literal_token2] = ACTIONS(3422),
    [aux_sym_null_literal_token1] = ACTIONS(3420),
    [aux_sym_identifier_token1] = ACTIONS(3420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3422),
    [sym__float_literal] = ACTIONS(3422),
    [sym__boz_literal] = ACTIONS(3422),
    [sym__string_literal] = ACTIONS(3422),
    [sym__string_literal_kind] = ACTIONS(3422),
  },
  [1179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_end_function_statement_token1] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [1180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3384),
    [aux_sym_preproc_def_token1] = ACTIONS(3384),
    [aux_sym_preproc_if_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3384),
    [sym_preproc_directive] = ACTIONS(3384),
    [anon_sym_LPAREN2] = ACTIONS(3384),
    [anon_sym_PLUS] = ACTIONS(3386),
    [anon_sym_DASH] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3384),
    [aux_sym_interface_statement_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3384),
    [aux_sym_end_function_statement_token1] = ACTIONS(3384),
    [aux_sym_contains_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token1] = ACTIONS(3384),
    [aux_sym_use_statement_token2] = ACTIONS(3384),
    [aux_sym_implicit_statement_token1] = ACTIONS(3384),
    [aux_sym_implicit_statement_token3] = ACTIONS(3384),
    [aux_sym_implicit_statement_token4] = ACTIONS(3384),
    [aux_sym_save_statement_token1] = ACTIONS(3384),
    [aux_sym_private_statement_token1] = ACTIONS(3384),
    [aux_sym_public_statement_token1] = ACTIONS(3384),
    [aux_sym_namelist_statement_token1] = ACTIONS(3384),
    [aux_sym_common_statement_token1] = ACTIONS(3384),
    [aux_sym_import_statement_token1] = ACTIONS(3384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3384),
    [aux_sym_variable_attributes_token1] = ACTIONS(3384),
    [aux_sym_variable_attributes_token2] = ACTIONS(3384),
    [aux_sym_variable_attributes_token3] = ACTIONS(3384),
    [aux_sym_variable_attributes_token4] = ACTIONS(3384),
    [aux_sym_variable_attributes_token5] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3384),
    [aux_sym_derived_type_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token1] = ACTIONS(3384),
    [aux_sym_stop_statement_token2] = ACTIONS(3384),
    [aux_sym_subroutine_call_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token1] = ACTIONS(3384),
    [aux_sym_keyword_statement_token2] = ACTIONS(3384),
    [aux_sym_keyword_statement_token3] = ACTIONS(3384),
    [aux_sym_keyword_statement_token4] = ACTIONS(3384),
    [aux_sym_keyword_statement_token6] = ACTIONS(3384),
    [aux_sym_keyword_statement_token7] = ACTIONS(3384),
    [aux_sym_include_statement_token1] = ACTIONS(3384),
    [aux_sym_data_statement_token1] = ACTIONS(3384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3384),
    [aux_sym_end_if_statement_token1] = ACTIONS(3384),
    [aux_sym_elseif_clause_token2] = ACTIONS(3384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token1] = ACTIONS(3384),
    [aux_sym_select_case_statement_token3] = ACTIONS(3384),
    [aux_sym_select_type_statement_token1] = ACTIONS(3384),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3384),
    [aux_sym_block_construct_token1] = ACTIONS(3384),
    [aux_sym_associate_statement_token1] = ACTIONS(3384),
    [aux_sym_format_statement_token1] = ACTIONS(3384),
    [aux_sym_print_statement_token1] = ACTIONS(3384),
    [aux_sym_open_statement_token1] = ACTIONS(3384),
    [aux_sym_close_statement_token1] = ACTIONS(3384),
    [aux_sym_inquire_statement_token1] = ACTIONS(3384),
    [aux_sym_enum_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token1] = ACTIONS(3384),
    [aux_sym_file_position_statement_token2] = ACTIONS(3384),
    [aux_sym_file_position_statement_token3] = ACTIONS(3384),
    [aux_sym_file_position_statement_token4] = ACTIONS(3384),
    [aux_sym_logical_expression_token5] = ACTIONS(3386),
    [anon_sym_DOT] = ACTIONS(3384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3386),
    [anon_sym_LBRACK] = ACTIONS(3386),
    [aux_sym_boolean_literal_token1] = ACTIONS(3386),
    [aux_sym_boolean_literal_token2] = ACTIONS(3386),
    [aux_sym_null_literal_token1] = ACTIONS(3384),
    [aux_sym_identifier_token1] = ACTIONS(3384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3386),
    [sym__float_literal] = ACTIONS(3386),
    [sym__boz_literal] = ACTIONS(3386),
    [sym__string_literal] = ACTIONS(3386),
    [sym__string_literal_kind] = ACTIONS(3386),
  },
  [1181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_end_function_statement_token1] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [1182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_end_function_statement_token1] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [1183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [1185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [1186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_end_program_statement_token2] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token2] = ACTIONS(2351),
    [aux_sym_implicit_statement_token1] = ACTIONS(2351),
    [aux_sym_implicit_statement_token3] = ACTIONS(2351),
    [aux_sym_implicit_statement_token4] = ACTIONS(2351),
    [aux_sym_save_statement_token1] = ACTIONS(2351),
    [aux_sym_private_statement_token1] = ACTIONS(2351),
    [aux_sym_public_statement_token1] = ACTIONS(2351),
    [aux_sym_namelist_statement_token1] = ACTIONS(2351),
    [aux_sym_common_statement_token1] = ACTIONS(2351),
    [aux_sym_import_statement_token1] = ACTIONS(2351),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2351),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2351),
    [aux_sym_variable_attributes_token1] = ACTIONS(2351),
    [aux_sym_variable_attributes_token2] = ACTIONS(2351),
    [aux_sym_variable_attributes_token3] = ACTIONS(2351),
    [aux_sym_variable_attributes_token4] = ACTIONS(2351),
    [aux_sym_variable_attributes_token5] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2351),
    [aux_sym_derived_type_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2351),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_subroutine_call_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_keyword_statement_token4] = ACTIONS(2351),
    [aux_sym_keyword_statement_token6] = ACTIONS(2351),
    [aux_sym_keyword_statement_token7] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2351),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token3] = ACTIONS(2351),
    [aux_sym_select_type_statement_token1] = ACTIONS(2351),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_associate_statement_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_print_statement_token1] = ACTIONS(2351),
    [aux_sym_open_statement_token1] = ACTIONS(2351),
    [aux_sym_close_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_enum_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token2] = ACTIONS(2351),
    [aux_sym_file_position_statement_token3] = ACTIONS(2351),
    [aux_sym_file_position_statement_token4] = ACTIONS(2351),
    [aux_sym_logical_expression_token5] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_boolean_literal_token1] = ACTIONS(2353),
    [aux_sym_boolean_literal_token2] = ACTIONS(2353),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
    [sym__float_literal] = ACTIONS(2353),
    [sym__boz_literal] = ACTIONS(2353),
    [sym__string_literal] = ACTIONS(2353),
    [sym__string_literal_kind] = ACTIONS(2353),
  },
  [1187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [anon_sym_LPAREN2] = ACTIONS(2385),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_end_program_statement_token2] = ACTIONS(2385),
    [aux_sym_interface_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token2] = ACTIONS(2385),
    [aux_sym_implicit_statement_token1] = ACTIONS(2385),
    [aux_sym_implicit_statement_token3] = ACTIONS(2385),
    [aux_sym_implicit_statement_token4] = ACTIONS(2385),
    [aux_sym_save_statement_token1] = ACTIONS(2385),
    [aux_sym_private_statement_token1] = ACTIONS(2385),
    [aux_sym_public_statement_token1] = ACTIONS(2385),
    [aux_sym_namelist_statement_token1] = ACTIONS(2385),
    [aux_sym_common_statement_token1] = ACTIONS(2385),
    [aux_sym_import_statement_token1] = ACTIONS(2385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2385),
    [aux_sym_variable_attributes_token1] = ACTIONS(2385),
    [aux_sym_variable_attributes_token2] = ACTIONS(2385),
    [aux_sym_variable_attributes_token3] = ACTIONS(2385),
    [aux_sym_variable_attributes_token4] = ACTIONS(2385),
    [aux_sym_variable_attributes_token5] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2385),
    [aux_sym_derived_type_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_subroutine_call_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_keyword_statement_token4] = ACTIONS(2385),
    [aux_sym_keyword_statement_token6] = ACTIONS(2385),
    [aux_sym_keyword_statement_token7] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token3] = ACTIONS(2385),
    [aux_sym_select_type_statement_token1] = ACTIONS(2385),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_associate_statement_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_print_statement_token1] = ACTIONS(2385),
    [aux_sym_open_statement_token1] = ACTIONS(2385),
    [aux_sym_close_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_enum_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token2] = ACTIONS(2385),
    [aux_sym_file_position_statement_token3] = ACTIONS(2385),
    [aux_sym_file_position_statement_token4] = ACTIONS(2385),
    [aux_sym_logical_expression_token5] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [aux_sym_boolean_literal_token1] = ACTIONS(2387),
    [aux_sym_boolean_literal_token2] = ACTIONS(2387),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
    [sym__float_literal] = ACTIONS(2387),
    [sym__boz_literal] = ACTIONS(2387),
    [sym__string_literal] = ACTIONS(2387),
    [sym__string_literal_kind] = ACTIONS(2387),
  },
  [1188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2605),
    [aux_sym_preproc_def_token1] = ACTIONS(2605),
    [aux_sym_preproc_if_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2605),
    [sym_preproc_directive] = ACTIONS(2605),
    [anon_sym_LPAREN2] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2607),
    [anon_sym_DASH] = ACTIONS(2607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2605),
    [aux_sym_interface_statement_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2605),
    [aux_sym_end_function_statement_token1] = ACTIONS(2605),
    [aux_sym_contains_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token1] = ACTIONS(2605),
    [aux_sym_use_statement_token2] = ACTIONS(2605),
    [aux_sym_implicit_statement_token1] = ACTIONS(2605),
    [aux_sym_implicit_statement_token3] = ACTIONS(2605),
    [aux_sym_implicit_statement_token4] = ACTIONS(2605),
    [aux_sym_save_statement_token1] = ACTIONS(2605),
    [aux_sym_private_statement_token1] = ACTIONS(2605),
    [aux_sym_public_statement_token1] = ACTIONS(2605),
    [aux_sym_namelist_statement_token1] = ACTIONS(2605),
    [aux_sym_common_statement_token1] = ACTIONS(2605),
    [aux_sym_import_statement_token1] = ACTIONS(2605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2605),
    [aux_sym_variable_attributes_token1] = ACTIONS(2605),
    [aux_sym_variable_attributes_token2] = ACTIONS(2605),
    [aux_sym_variable_attributes_token3] = ACTIONS(2605),
    [aux_sym_variable_attributes_token4] = ACTIONS(2605),
    [aux_sym_variable_attributes_token5] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2605),
    [aux_sym_derived_type_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token1] = ACTIONS(2605),
    [aux_sym_stop_statement_token2] = ACTIONS(2605),
    [aux_sym_subroutine_call_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token1] = ACTIONS(2605),
    [aux_sym_keyword_statement_token2] = ACTIONS(2605),
    [aux_sym_keyword_statement_token3] = ACTIONS(2605),
    [aux_sym_keyword_statement_token4] = ACTIONS(2605),
    [aux_sym_keyword_statement_token6] = ACTIONS(2605),
    [aux_sym_keyword_statement_token7] = ACTIONS(2605),
    [aux_sym_include_statement_token1] = ACTIONS(2605),
    [aux_sym_data_statement_token1] = ACTIONS(2605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2605),
    [aux_sym_end_if_statement_token1] = ACTIONS(2605),
    [aux_sym_elseif_clause_token2] = ACTIONS(2605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token1] = ACTIONS(2605),
    [aux_sym_select_case_statement_token3] = ACTIONS(2605),
    [aux_sym_select_type_statement_token1] = ACTIONS(2605),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2605),
    [aux_sym_block_construct_token1] = ACTIONS(2605),
    [aux_sym_associate_statement_token1] = ACTIONS(2605),
    [aux_sym_format_statement_token1] = ACTIONS(2605),
    [aux_sym_print_statement_token1] = ACTIONS(2605),
    [aux_sym_open_statement_token1] = ACTIONS(2605),
    [aux_sym_close_statement_token1] = ACTIONS(2605),
    [aux_sym_inquire_statement_token1] = ACTIONS(2605),
    [aux_sym_enum_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token1] = ACTIONS(2605),
    [aux_sym_file_position_statement_token2] = ACTIONS(2605),
    [aux_sym_file_position_statement_token3] = ACTIONS(2605),
    [aux_sym_file_position_statement_token4] = ACTIONS(2605),
    [aux_sym_logical_expression_token5] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [aux_sym_boolean_literal_token1] = ACTIONS(2607),
    [aux_sym_boolean_literal_token2] = ACTIONS(2607),
    [aux_sym_null_literal_token1] = ACTIONS(2605),
    [aux_sym_identifier_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2607),
    [sym__float_literal] = ACTIONS(2607),
    [sym__boz_literal] = ACTIONS(2607),
    [sym__string_literal] = ACTIONS(2607),
    [sym__string_literal_kind] = ACTIONS(2607),
  },
  [1189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3388),
    [aux_sym_preproc_def_token1] = ACTIONS(3388),
    [aux_sym_preproc_if_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3388),
    [sym_preproc_directive] = ACTIONS(3388),
    [anon_sym_LPAREN2] = ACTIONS(3388),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3388),
    [aux_sym_interface_statement_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3388),
    [aux_sym_end_function_statement_token1] = ACTIONS(3388),
    [aux_sym_contains_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token1] = ACTIONS(3388),
    [aux_sym_use_statement_token2] = ACTIONS(3388),
    [aux_sym_implicit_statement_token1] = ACTIONS(3388),
    [aux_sym_implicit_statement_token3] = ACTIONS(3388),
    [aux_sym_implicit_statement_token4] = ACTIONS(3388),
    [aux_sym_save_statement_token1] = ACTIONS(3388),
    [aux_sym_private_statement_token1] = ACTIONS(3388),
    [aux_sym_public_statement_token1] = ACTIONS(3388),
    [aux_sym_namelist_statement_token1] = ACTIONS(3388),
    [aux_sym_common_statement_token1] = ACTIONS(3388),
    [aux_sym_import_statement_token1] = ACTIONS(3388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3388),
    [aux_sym_variable_attributes_token1] = ACTIONS(3388),
    [aux_sym_variable_attributes_token2] = ACTIONS(3388),
    [aux_sym_variable_attributes_token3] = ACTIONS(3388),
    [aux_sym_variable_attributes_token4] = ACTIONS(3388),
    [aux_sym_variable_attributes_token5] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3388),
    [aux_sym_derived_type_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token1] = ACTIONS(3388),
    [aux_sym_stop_statement_token2] = ACTIONS(3388),
    [aux_sym_subroutine_call_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token1] = ACTIONS(3388),
    [aux_sym_keyword_statement_token2] = ACTIONS(3388),
    [aux_sym_keyword_statement_token3] = ACTIONS(3388),
    [aux_sym_keyword_statement_token4] = ACTIONS(3388),
    [aux_sym_keyword_statement_token6] = ACTIONS(3388),
    [aux_sym_keyword_statement_token7] = ACTIONS(3388),
    [aux_sym_include_statement_token1] = ACTIONS(3388),
    [aux_sym_data_statement_token1] = ACTIONS(3388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3388),
    [aux_sym_end_if_statement_token1] = ACTIONS(3388),
    [aux_sym_elseif_clause_token2] = ACTIONS(3388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token1] = ACTIONS(3388),
    [aux_sym_select_case_statement_token3] = ACTIONS(3388),
    [aux_sym_select_type_statement_token1] = ACTIONS(3388),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3388),
    [aux_sym_block_construct_token1] = ACTIONS(3388),
    [aux_sym_associate_statement_token1] = ACTIONS(3388),
    [aux_sym_format_statement_token1] = ACTIONS(3388),
    [aux_sym_print_statement_token1] = ACTIONS(3388),
    [aux_sym_open_statement_token1] = ACTIONS(3388),
    [aux_sym_close_statement_token1] = ACTIONS(3388),
    [aux_sym_inquire_statement_token1] = ACTIONS(3388),
    [aux_sym_enum_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token1] = ACTIONS(3388),
    [aux_sym_file_position_statement_token2] = ACTIONS(3388),
    [aux_sym_file_position_statement_token3] = ACTIONS(3388),
    [aux_sym_file_position_statement_token4] = ACTIONS(3388),
    [aux_sym_logical_expression_token5] = ACTIONS(3390),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3390),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [aux_sym_boolean_literal_token1] = ACTIONS(3390),
    [aux_sym_boolean_literal_token2] = ACTIONS(3390),
    [aux_sym_null_literal_token1] = ACTIONS(3388),
    [aux_sym_identifier_token1] = ACTIONS(3388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3390),
    [sym__float_literal] = ACTIONS(3390),
    [sym__boz_literal] = ACTIONS(3390),
    [sym__string_literal] = ACTIONS(3390),
    [sym__string_literal_kind] = ACTIONS(3390),
  },
  [1190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [anon_sym_LPAREN2] = ACTIONS(2389),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_end_program_statement_token2] = ACTIONS(2389),
    [aux_sym_interface_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token2] = ACTIONS(2389),
    [aux_sym_implicit_statement_token1] = ACTIONS(2389),
    [aux_sym_implicit_statement_token3] = ACTIONS(2389),
    [aux_sym_implicit_statement_token4] = ACTIONS(2389),
    [aux_sym_save_statement_token1] = ACTIONS(2389),
    [aux_sym_private_statement_token1] = ACTIONS(2389),
    [aux_sym_public_statement_token1] = ACTIONS(2389),
    [aux_sym_namelist_statement_token1] = ACTIONS(2389),
    [aux_sym_common_statement_token1] = ACTIONS(2389),
    [aux_sym_import_statement_token1] = ACTIONS(2389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2389),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2389),
    [aux_sym_variable_attributes_token1] = ACTIONS(2389),
    [aux_sym_variable_attributes_token2] = ACTIONS(2389),
    [aux_sym_variable_attributes_token3] = ACTIONS(2389),
    [aux_sym_variable_attributes_token4] = ACTIONS(2389),
    [aux_sym_variable_attributes_token5] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2389),
    [aux_sym_derived_type_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2389),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_subroutine_call_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_keyword_statement_token4] = ACTIONS(2389),
    [aux_sym_keyword_statement_token6] = ACTIONS(2389),
    [aux_sym_keyword_statement_token7] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token3] = ACTIONS(2389),
    [aux_sym_select_type_statement_token1] = ACTIONS(2389),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_associate_statement_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_print_statement_token1] = ACTIONS(2389),
    [aux_sym_open_statement_token1] = ACTIONS(2389),
    [aux_sym_close_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_enum_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token2] = ACTIONS(2389),
    [aux_sym_file_position_statement_token3] = ACTIONS(2389),
    [aux_sym_file_position_statement_token4] = ACTIONS(2389),
    [aux_sym_logical_expression_token5] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [aux_sym_boolean_literal_token1] = ACTIONS(2391),
    [aux_sym_boolean_literal_token2] = ACTIONS(2391),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
    [sym__float_literal] = ACTIONS(2391),
    [sym__boz_literal] = ACTIONS(2391),
    [sym__string_literal] = ACTIONS(2391),
    [sym__string_literal_kind] = ACTIONS(2391),
  },
  [1191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [1192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_end_function_statement_token1] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_end_program_statement_token2] = ACTIONS(2301),
    [aux_sym_interface_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token2] = ACTIONS(2301),
    [aux_sym_implicit_statement_token1] = ACTIONS(2301),
    [aux_sym_implicit_statement_token3] = ACTIONS(2301),
    [aux_sym_implicit_statement_token4] = ACTIONS(2301),
    [aux_sym_save_statement_token1] = ACTIONS(2301),
    [aux_sym_private_statement_token1] = ACTIONS(2301),
    [aux_sym_public_statement_token1] = ACTIONS(2301),
    [aux_sym_namelist_statement_token1] = ACTIONS(2301),
    [aux_sym_common_statement_token1] = ACTIONS(2301),
    [aux_sym_import_statement_token1] = ACTIONS(2301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2301),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2301),
    [aux_sym_variable_attributes_token1] = ACTIONS(2301),
    [aux_sym_variable_attributes_token2] = ACTIONS(2301),
    [aux_sym_variable_attributes_token3] = ACTIONS(2301),
    [aux_sym_variable_attributes_token4] = ACTIONS(2301),
    [aux_sym_variable_attributes_token5] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2301),
    [aux_sym_derived_type_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2301),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_subroutine_call_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_keyword_statement_token4] = ACTIONS(2301),
    [aux_sym_keyword_statement_token6] = ACTIONS(2301),
    [aux_sym_keyword_statement_token7] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token3] = ACTIONS(2301),
    [aux_sym_select_type_statement_token1] = ACTIONS(2301),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_associate_statement_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_print_statement_token1] = ACTIONS(2301),
    [aux_sym_open_statement_token1] = ACTIONS(2301),
    [aux_sym_close_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_enum_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token2] = ACTIONS(2301),
    [aux_sym_file_position_statement_token3] = ACTIONS(2301),
    [aux_sym_file_position_statement_token4] = ACTIONS(2301),
    [aux_sym_logical_expression_token5] = ACTIONS(2303),
    [anon_sym_DOT] = ACTIONS(2301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(2303),
    [aux_sym_boolean_literal_token1] = ACTIONS(2303),
    [aux_sym_boolean_literal_token2] = ACTIONS(2303),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
    [sym__float_literal] = ACTIONS(2303),
    [sym__boz_literal] = ACTIONS(2303),
    [sym__string_literal] = ACTIONS(2303),
    [sym__string_literal_kind] = ACTIONS(2303),
  },
  [1194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3160),
    [aux_sym_interface_statement_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3160),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3160),
    [aux_sym_contains_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token1] = ACTIONS(3160),
    [aux_sym_use_statement_token2] = ACTIONS(3160),
    [aux_sym_implicit_statement_token1] = ACTIONS(3160),
    [aux_sym_implicit_statement_token3] = ACTIONS(3160),
    [aux_sym_implicit_statement_token4] = ACTIONS(3160),
    [aux_sym_save_statement_token1] = ACTIONS(3160),
    [aux_sym_private_statement_token1] = ACTIONS(3160),
    [aux_sym_public_statement_token1] = ACTIONS(3160),
    [aux_sym_namelist_statement_token1] = ACTIONS(3160),
    [aux_sym_common_statement_token1] = ACTIONS(3160),
    [aux_sym_import_statement_token1] = ACTIONS(3160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3160),
    [aux_sym_variable_attributes_token1] = ACTIONS(3160),
    [aux_sym_variable_attributes_token2] = ACTIONS(3160),
    [aux_sym_variable_attributes_token3] = ACTIONS(3160),
    [aux_sym_variable_attributes_token4] = ACTIONS(3160),
    [aux_sym_variable_attributes_token5] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3160),
    [aux_sym_derived_type_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token1] = ACTIONS(3160),
    [aux_sym_stop_statement_token2] = ACTIONS(3160),
    [aux_sym_subroutine_call_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token1] = ACTIONS(3160),
    [aux_sym_keyword_statement_token2] = ACTIONS(3160),
    [aux_sym_keyword_statement_token3] = ACTIONS(3160),
    [aux_sym_keyword_statement_token4] = ACTIONS(3160),
    [aux_sym_keyword_statement_token6] = ACTIONS(3160),
    [aux_sym_keyword_statement_token7] = ACTIONS(3160),
    [aux_sym_include_statement_token1] = ACTIONS(3160),
    [aux_sym_data_statement_token1] = ACTIONS(3160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3160),
    [aux_sym_end_if_statement_token1] = ACTIONS(3160),
    [aux_sym_elseif_clause_token2] = ACTIONS(3160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token1] = ACTIONS(3160),
    [aux_sym_select_case_statement_token3] = ACTIONS(3160),
    [aux_sym_select_type_statement_token1] = ACTIONS(3160),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3160),
    [aux_sym_block_construct_token1] = ACTIONS(3160),
    [aux_sym_associate_statement_token1] = ACTIONS(3160),
    [aux_sym_format_statement_token1] = ACTIONS(3160),
    [aux_sym_print_statement_token1] = ACTIONS(3160),
    [aux_sym_open_statement_token1] = ACTIONS(3160),
    [aux_sym_close_statement_token1] = ACTIONS(3160),
    [aux_sym_inquire_statement_token1] = ACTIONS(3160),
    [aux_sym_enum_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token1] = ACTIONS(3160),
    [aux_sym_file_position_statement_token2] = ACTIONS(3160),
    [aux_sym_file_position_statement_token3] = ACTIONS(3160),
    [aux_sym_file_position_statement_token4] = ACTIONS(3160),
    [aux_sym_logical_expression_token5] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [aux_sym_boolean_literal_token1] = ACTIONS(3164),
    [aux_sym_boolean_literal_token2] = ACTIONS(3164),
    [aux_sym_null_literal_token1] = ACTIONS(3160),
    [aux_sym_identifier_token1] = ACTIONS(3160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3164),
    [sym__float_literal] = ACTIONS(3164),
    [sym__boz_literal] = ACTIONS(3164),
    [sym__string_literal] = ACTIONS(3164),
    [sym__string_literal_kind] = ACTIONS(3164),
  },
  [1195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3400),
    [aux_sym_preproc_def_token1] = ACTIONS(3400),
    [aux_sym_preproc_if_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3400),
    [sym_preproc_directive] = ACTIONS(3400),
    [anon_sym_LPAREN2] = ACTIONS(3400),
    [anon_sym_PLUS] = ACTIONS(3402),
    [anon_sym_DASH] = ACTIONS(3402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3400),
    [aux_sym_interface_statement_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3400),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3400),
    [aux_sym_contains_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token1] = ACTIONS(3400),
    [aux_sym_use_statement_token2] = ACTIONS(3400),
    [aux_sym_implicit_statement_token1] = ACTIONS(3400),
    [aux_sym_implicit_statement_token3] = ACTIONS(3400),
    [aux_sym_implicit_statement_token4] = ACTIONS(3400),
    [aux_sym_save_statement_token1] = ACTIONS(3400),
    [aux_sym_private_statement_token1] = ACTIONS(3400),
    [aux_sym_public_statement_token1] = ACTIONS(3400),
    [aux_sym_namelist_statement_token1] = ACTIONS(3400),
    [aux_sym_common_statement_token1] = ACTIONS(3400),
    [aux_sym_import_statement_token1] = ACTIONS(3400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3400),
    [aux_sym_variable_attributes_token1] = ACTIONS(3400),
    [aux_sym_variable_attributes_token2] = ACTIONS(3400),
    [aux_sym_variable_attributes_token3] = ACTIONS(3400),
    [aux_sym_variable_attributes_token4] = ACTIONS(3400),
    [aux_sym_variable_attributes_token5] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3400),
    [aux_sym_derived_type_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token1] = ACTIONS(3400),
    [aux_sym_stop_statement_token2] = ACTIONS(3400),
    [aux_sym_subroutine_call_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token1] = ACTIONS(3400),
    [aux_sym_keyword_statement_token2] = ACTIONS(3400),
    [aux_sym_keyword_statement_token3] = ACTIONS(3400),
    [aux_sym_keyword_statement_token4] = ACTIONS(3400),
    [aux_sym_keyword_statement_token6] = ACTIONS(3400),
    [aux_sym_keyword_statement_token7] = ACTIONS(3400),
    [aux_sym_include_statement_token1] = ACTIONS(3400),
    [aux_sym_data_statement_token1] = ACTIONS(3400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3400),
    [aux_sym_end_if_statement_token1] = ACTIONS(3400),
    [aux_sym_elseif_clause_token2] = ACTIONS(3400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token1] = ACTIONS(3400),
    [aux_sym_select_case_statement_token3] = ACTIONS(3400),
    [aux_sym_select_type_statement_token1] = ACTIONS(3400),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3400),
    [aux_sym_block_construct_token1] = ACTIONS(3400),
    [aux_sym_associate_statement_token1] = ACTIONS(3400),
    [aux_sym_format_statement_token1] = ACTIONS(3400),
    [aux_sym_print_statement_token1] = ACTIONS(3400),
    [aux_sym_open_statement_token1] = ACTIONS(3400),
    [aux_sym_close_statement_token1] = ACTIONS(3400),
    [aux_sym_inquire_statement_token1] = ACTIONS(3400),
    [aux_sym_enum_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token1] = ACTIONS(3400),
    [aux_sym_file_position_statement_token2] = ACTIONS(3400),
    [aux_sym_file_position_statement_token3] = ACTIONS(3400),
    [aux_sym_file_position_statement_token4] = ACTIONS(3400),
    [aux_sym_logical_expression_token5] = ACTIONS(3402),
    [anon_sym_DOT] = ACTIONS(3400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3402),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [aux_sym_boolean_literal_token1] = ACTIONS(3402),
    [aux_sym_boolean_literal_token2] = ACTIONS(3402),
    [aux_sym_null_literal_token1] = ACTIONS(3400),
    [aux_sym_identifier_token1] = ACTIONS(3400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3402),
    [sym__float_literal] = ACTIONS(3402),
    [sym__boz_literal] = ACTIONS(3402),
    [sym__string_literal] = ACTIONS(3402),
    [sym__string_literal_kind] = ACTIONS(3402),
  },
  [1196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3124),
    [aux_sym_interface_statement_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3124),
    [aux_sym_contains_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token1] = ACTIONS(3124),
    [aux_sym_use_statement_token2] = ACTIONS(3124),
    [aux_sym_implicit_statement_token1] = ACTIONS(3124),
    [aux_sym_implicit_statement_token3] = ACTIONS(3124),
    [aux_sym_implicit_statement_token4] = ACTIONS(3124),
    [aux_sym_save_statement_token1] = ACTIONS(3124),
    [aux_sym_private_statement_token1] = ACTIONS(3124),
    [aux_sym_public_statement_token1] = ACTIONS(3124),
    [aux_sym_namelist_statement_token1] = ACTIONS(3124),
    [aux_sym_common_statement_token1] = ACTIONS(3124),
    [aux_sym_import_statement_token1] = ACTIONS(3124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3124),
    [aux_sym_variable_attributes_token1] = ACTIONS(3124),
    [aux_sym_variable_attributes_token2] = ACTIONS(3124),
    [aux_sym_variable_attributes_token3] = ACTIONS(3124),
    [aux_sym_variable_attributes_token4] = ACTIONS(3124),
    [aux_sym_variable_attributes_token5] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3124),
    [aux_sym_derived_type_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token1] = ACTIONS(3124),
    [aux_sym_stop_statement_token2] = ACTIONS(3124),
    [aux_sym_subroutine_call_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token1] = ACTIONS(3124),
    [aux_sym_keyword_statement_token2] = ACTIONS(3124),
    [aux_sym_keyword_statement_token3] = ACTIONS(3124),
    [aux_sym_keyword_statement_token4] = ACTIONS(3124),
    [aux_sym_keyword_statement_token6] = ACTIONS(3124),
    [aux_sym_keyword_statement_token7] = ACTIONS(3124),
    [aux_sym_include_statement_token1] = ACTIONS(3124),
    [aux_sym_data_statement_token1] = ACTIONS(3124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3124),
    [aux_sym_end_if_statement_token1] = ACTIONS(3124),
    [aux_sym_elseif_clause_token2] = ACTIONS(3124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token1] = ACTIONS(3124),
    [aux_sym_select_case_statement_token3] = ACTIONS(3124),
    [aux_sym_select_type_statement_token1] = ACTIONS(3124),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3124),
    [aux_sym_block_construct_token1] = ACTIONS(3124),
    [aux_sym_associate_statement_token1] = ACTIONS(3124),
    [aux_sym_format_statement_token1] = ACTIONS(3124),
    [aux_sym_print_statement_token1] = ACTIONS(3124),
    [aux_sym_open_statement_token1] = ACTIONS(3124),
    [aux_sym_close_statement_token1] = ACTIONS(3124),
    [aux_sym_inquire_statement_token1] = ACTIONS(3124),
    [aux_sym_enum_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token1] = ACTIONS(3124),
    [aux_sym_file_position_statement_token2] = ACTIONS(3124),
    [aux_sym_file_position_statement_token3] = ACTIONS(3124),
    [aux_sym_file_position_statement_token4] = ACTIONS(3124),
    [aux_sym_logical_expression_token5] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [aux_sym_boolean_literal_token1] = ACTIONS(3128),
    [aux_sym_boolean_literal_token2] = ACTIONS(3128),
    [aux_sym_null_literal_token1] = ACTIONS(3124),
    [aux_sym_identifier_token1] = ACTIONS(3124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3128),
    [sym__float_literal] = ACTIONS(3128),
    [sym__boz_literal] = ACTIONS(3128),
    [sym__string_literal] = ACTIONS(3128),
    [sym__string_literal_kind] = ACTIONS(3128),
  },
  [1197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_end_program_statement_token2] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [1198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_end_program_statement_token2] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [1199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_end_program_statement_token2] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [1200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_end_program_statement_token2] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [1201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [1202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [1203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_end_program_statement_token2] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [1204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3392),
    [aux_sym_preproc_def_token1] = ACTIONS(3392),
    [aux_sym_preproc_if_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3392),
    [sym_preproc_directive] = ACTIONS(3392),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3392),
    [aux_sym_interface_statement_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3392),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3392),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token2] = ACTIONS(3392),
    [aux_sym_implicit_statement_token1] = ACTIONS(3392),
    [aux_sym_implicit_statement_token3] = ACTIONS(3392),
    [aux_sym_implicit_statement_token4] = ACTIONS(3392),
    [aux_sym_save_statement_token1] = ACTIONS(3392),
    [aux_sym_private_statement_token1] = ACTIONS(3392),
    [aux_sym_public_statement_token1] = ACTIONS(3392),
    [aux_sym_namelist_statement_token1] = ACTIONS(3392),
    [aux_sym_common_statement_token1] = ACTIONS(3392),
    [aux_sym_import_statement_token1] = ACTIONS(3392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3392),
    [aux_sym_variable_attributes_token1] = ACTIONS(3392),
    [aux_sym_variable_attributes_token2] = ACTIONS(3392),
    [aux_sym_variable_attributes_token3] = ACTIONS(3392),
    [aux_sym_variable_attributes_token4] = ACTIONS(3392),
    [aux_sym_variable_attributes_token5] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3392),
    [aux_sym_derived_type_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token1] = ACTIONS(3392),
    [aux_sym_stop_statement_token2] = ACTIONS(3392),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3392),
    [aux_sym_keyword_statement_token3] = ACTIONS(3392),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3392),
    [aux_sym_data_statement_token1] = ACTIONS(3392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3392),
    [aux_sym_end_if_statement_token1] = ACTIONS(3392),
    [aux_sym_elseif_clause_token2] = ACTIONS(3392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3392),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3392),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3392),
    [aux_sym_enum_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3392),
    [aux_sym_identifier_token1] = ACTIONS(3392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3394),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [1205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3198),
    [aux_sym_interface_statement_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3198),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3198),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3198),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3198),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3198),
    [aux_sym_contains_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token1] = ACTIONS(3198),
    [aux_sym_use_statement_token2] = ACTIONS(3198),
    [aux_sym_implicit_statement_token1] = ACTIONS(3198),
    [aux_sym_implicit_statement_token3] = ACTIONS(3198),
    [aux_sym_implicit_statement_token4] = ACTIONS(3198),
    [aux_sym_save_statement_token1] = ACTIONS(3198),
    [aux_sym_private_statement_token1] = ACTIONS(3198),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3198),
    [aux_sym_common_statement_token1] = ACTIONS(3198),
    [aux_sym_import_statement_token1] = ACTIONS(3198),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3198),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3198),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3198),
    [aux_sym_variable_attributes_token1] = ACTIONS(3198),
    [aux_sym_variable_attributes_token2] = ACTIONS(3198),
    [aux_sym_variable_attributes_token3] = ACTIONS(3198),
    [aux_sym_variable_attributes_token4] = ACTIONS(3198),
    [aux_sym_variable_attributes_token5] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3198),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3198),
    [aux_sym_derived_type_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3198),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3198),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token1] = ACTIONS(3198),
    [aux_sym_stop_statement_token2] = ACTIONS(3198),
    [aux_sym_subroutine_call_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token1] = ACTIONS(3198),
    [aux_sym_keyword_statement_token2] = ACTIONS(3198),
    [aux_sym_keyword_statement_token3] = ACTIONS(3198),
    [aux_sym_keyword_statement_token4] = ACTIONS(3198),
    [aux_sym_keyword_statement_token6] = ACTIONS(3198),
    [aux_sym_keyword_statement_token7] = ACTIONS(3198),
    [aux_sym_include_statement_token1] = ACTIONS(3198),
    [aux_sym_data_statement_token1] = ACTIONS(3198),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3198),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3198),
    [aux_sym_end_if_statement_token1] = ACTIONS(3198),
    [aux_sym_elseif_clause_token2] = ACTIONS(3198),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3198),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token1] = ACTIONS(3198),
    [aux_sym_select_case_statement_token3] = ACTIONS(3198),
    [aux_sym_select_type_statement_token1] = ACTIONS(3198),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3198),
    [aux_sym_block_construct_token1] = ACTIONS(3198),
    [aux_sym_associate_statement_token1] = ACTIONS(3198),
    [aux_sym_format_statement_token1] = ACTIONS(3198),
    [aux_sym_print_statement_token1] = ACTIONS(3198),
    [aux_sym_open_statement_token1] = ACTIONS(3198),
    [aux_sym_close_statement_token1] = ACTIONS(3198),
    [aux_sym_inquire_statement_token1] = ACTIONS(3198),
    [aux_sym_enum_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token1] = ACTIONS(3198),
    [aux_sym_file_position_statement_token2] = ACTIONS(3198),
    [aux_sym_file_position_statement_token3] = ACTIONS(3198),
    [aux_sym_file_position_statement_token4] = ACTIONS(3198),
    [aux_sym_logical_expression_token5] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [aux_sym_boolean_literal_token1] = ACTIONS(3202),
    [aux_sym_boolean_literal_token2] = ACTIONS(3202),
    [aux_sym_null_literal_token1] = ACTIONS(3198),
    [aux_sym_identifier_token1] = ACTIONS(3198),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3202),
    [sym__float_literal] = ACTIONS(3202),
    [sym__boz_literal] = ACTIONS(3202),
    [sym__string_literal] = ACTIONS(3202),
    [sym__string_literal_kind] = ACTIONS(3202),
  },
  [1206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2337),
    [aux_sym_preproc_def_token1] = ACTIONS(2337),
    [aux_sym_preproc_if_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2337),
    [sym_preproc_directive] = ACTIONS(2337),
    [anon_sym_LPAREN2] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2337),
    [aux_sym_interface_statement_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2337),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2337),
    [aux_sym_end_function_statement_token1] = ACTIONS(2337),
    [aux_sym_contains_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token1] = ACTIONS(2337),
    [aux_sym_use_statement_token2] = ACTIONS(2337),
    [aux_sym_implicit_statement_token1] = ACTIONS(2337),
    [aux_sym_implicit_statement_token3] = ACTIONS(2337),
    [aux_sym_implicit_statement_token4] = ACTIONS(2337),
    [aux_sym_save_statement_token1] = ACTIONS(2337),
    [aux_sym_private_statement_token1] = ACTIONS(2337),
    [aux_sym_public_statement_token1] = ACTIONS(2337),
    [aux_sym_namelist_statement_token1] = ACTIONS(2337),
    [aux_sym_common_statement_token1] = ACTIONS(2337),
    [aux_sym_import_statement_token1] = ACTIONS(2337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2337),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2337),
    [aux_sym_variable_attributes_token1] = ACTIONS(2337),
    [aux_sym_variable_attributes_token2] = ACTIONS(2337),
    [aux_sym_variable_attributes_token3] = ACTIONS(2337),
    [aux_sym_variable_attributes_token4] = ACTIONS(2337),
    [aux_sym_variable_attributes_token5] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2337),
    [aux_sym_derived_type_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2337),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(2337),
    [aux_sym_stop_statement_token2] = ACTIONS(2337),
    [aux_sym_subroutine_call_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token1] = ACTIONS(2337),
    [aux_sym_keyword_statement_token2] = ACTIONS(2337),
    [aux_sym_keyword_statement_token3] = ACTIONS(2337),
    [aux_sym_keyword_statement_token4] = ACTIONS(2337),
    [aux_sym_keyword_statement_token6] = ACTIONS(2337),
    [aux_sym_keyword_statement_token7] = ACTIONS(2337),
    [aux_sym_include_statement_token1] = ACTIONS(2337),
    [aux_sym_data_statement_token1] = ACTIONS(2337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2337),
    [aux_sym_end_if_statement_token1] = ACTIONS(2337),
    [aux_sym_elseif_clause_token2] = ACTIONS(2337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token1] = ACTIONS(2337),
    [aux_sym_select_case_statement_token3] = ACTIONS(2337),
    [aux_sym_select_type_statement_token1] = ACTIONS(2337),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2337),
    [aux_sym_block_construct_token1] = ACTIONS(2337),
    [aux_sym_associate_statement_token1] = ACTIONS(2337),
    [aux_sym_format_statement_token1] = ACTIONS(2337),
    [aux_sym_print_statement_token1] = ACTIONS(2337),
    [aux_sym_open_statement_token1] = ACTIONS(2337),
    [aux_sym_close_statement_token1] = ACTIONS(2337),
    [aux_sym_inquire_statement_token1] = ACTIONS(2337),
    [aux_sym_enum_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token1] = ACTIONS(2337),
    [aux_sym_file_position_statement_token2] = ACTIONS(2337),
    [aux_sym_file_position_statement_token3] = ACTIONS(2337),
    [aux_sym_file_position_statement_token4] = ACTIONS(2337),
    [aux_sym_logical_expression_token5] = ACTIONS(2341),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [aux_sym_boolean_literal_token1] = ACTIONS(2341),
    [aux_sym_boolean_literal_token2] = ACTIONS(2341),
    [aux_sym_null_literal_token1] = ACTIONS(2337),
    [aux_sym_identifier_token1] = ACTIONS(2337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2341),
    [sym__float_literal] = ACTIONS(2341),
    [sym__boz_literal] = ACTIONS(2341),
    [sym__string_literal] = ACTIONS(2341),
    [sym__string_literal_kind] = ACTIONS(2341),
  },
  [1207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_end_program_statement_token2] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [1208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3118),
    [aux_sym_interface_statement_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3118),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3118),
    [aux_sym_contains_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token1] = ACTIONS(3118),
    [aux_sym_use_statement_token2] = ACTIONS(3118),
    [aux_sym_implicit_statement_token1] = ACTIONS(3118),
    [aux_sym_implicit_statement_token3] = ACTIONS(3118),
    [aux_sym_implicit_statement_token4] = ACTIONS(3118),
    [aux_sym_save_statement_token1] = ACTIONS(3118),
    [aux_sym_private_statement_token1] = ACTIONS(3118),
    [aux_sym_public_statement_token1] = ACTIONS(3118),
    [aux_sym_namelist_statement_token1] = ACTIONS(3118),
    [aux_sym_common_statement_token1] = ACTIONS(3118),
    [aux_sym_import_statement_token1] = ACTIONS(3118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3118),
    [aux_sym_variable_attributes_token1] = ACTIONS(3118),
    [aux_sym_variable_attributes_token2] = ACTIONS(3118),
    [aux_sym_variable_attributes_token3] = ACTIONS(3118),
    [aux_sym_variable_attributes_token4] = ACTIONS(3118),
    [aux_sym_variable_attributes_token5] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3118),
    [aux_sym_derived_type_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token1] = ACTIONS(3118),
    [aux_sym_stop_statement_token2] = ACTIONS(3118),
    [aux_sym_subroutine_call_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token1] = ACTIONS(3118),
    [aux_sym_keyword_statement_token2] = ACTIONS(3118),
    [aux_sym_keyword_statement_token3] = ACTIONS(3118),
    [aux_sym_keyword_statement_token4] = ACTIONS(3118),
    [aux_sym_keyword_statement_token6] = ACTIONS(3118),
    [aux_sym_keyword_statement_token7] = ACTIONS(3118),
    [aux_sym_include_statement_token1] = ACTIONS(3118),
    [aux_sym_data_statement_token1] = ACTIONS(3118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3118),
    [aux_sym_end_if_statement_token1] = ACTIONS(3118),
    [aux_sym_elseif_clause_token2] = ACTIONS(3118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token1] = ACTIONS(3118),
    [aux_sym_select_case_statement_token3] = ACTIONS(3118),
    [aux_sym_select_type_statement_token1] = ACTIONS(3118),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3118),
    [aux_sym_block_construct_token1] = ACTIONS(3118),
    [aux_sym_associate_statement_token1] = ACTIONS(3118),
    [aux_sym_format_statement_token1] = ACTIONS(3118),
    [aux_sym_print_statement_token1] = ACTIONS(3118),
    [aux_sym_open_statement_token1] = ACTIONS(3118),
    [aux_sym_close_statement_token1] = ACTIONS(3118),
    [aux_sym_inquire_statement_token1] = ACTIONS(3118),
    [aux_sym_enum_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token1] = ACTIONS(3118),
    [aux_sym_file_position_statement_token2] = ACTIONS(3118),
    [aux_sym_file_position_statement_token3] = ACTIONS(3118),
    [aux_sym_file_position_statement_token4] = ACTIONS(3118),
    [aux_sym_logical_expression_token5] = ACTIONS(3122),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [aux_sym_boolean_literal_token1] = ACTIONS(3122),
    [aux_sym_boolean_literal_token2] = ACTIONS(3122),
    [aux_sym_null_literal_token1] = ACTIONS(3118),
    [aux_sym_identifier_token1] = ACTIONS(3118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3122),
    [sym__float_literal] = ACTIONS(3122),
    [sym__boz_literal] = ACTIONS(3122),
    [sym__string_literal] = ACTIONS(3122),
    [sym__string_literal_kind] = ACTIONS(3122),
  },
  [1209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [1210] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_end_function_statement_token1] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_end_function_statement_token1] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2373),
    [aux_sym_preproc_def_token1] = ACTIONS(2373),
    [aux_sym_preproc_if_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2373),
    [sym_preproc_directive] = ACTIONS(2373),
    [anon_sym_LPAREN2] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2377),
    [anon_sym_DASH] = ACTIONS(2377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2373),
    [aux_sym_end_program_statement_token2] = ACTIONS(2373),
    [aux_sym_interface_statement_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2373),
    [aux_sym_contains_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token1] = ACTIONS(2373),
    [aux_sym_use_statement_token2] = ACTIONS(2373),
    [aux_sym_implicit_statement_token1] = ACTIONS(2373),
    [aux_sym_implicit_statement_token3] = ACTIONS(2373),
    [aux_sym_implicit_statement_token4] = ACTIONS(2373),
    [aux_sym_save_statement_token1] = ACTIONS(2373),
    [aux_sym_private_statement_token1] = ACTIONS(2373),
    [aux_sym_public_statement_token1] = ACTIONS(2373),
    [aux_sym_namelist_statement_token1] = ACTIONS(2373),
    [aux_sym_common_statement_token1] = ACTIONS(2373),
    [aux_sym_import_statement_token1] = ACTIONS(2373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2373),
    [aux_sym_variable_attributes_token1] = ACTIONS(2373),
    [aux_sym_variable_attributes_token2] = ACTIONS(2373),
    [aux_sym_variable_attributes_token3] = ACTIONS(2373),
    [aux_sym_variable_attributes_token4] = ACTIONS(2373),
    [aux_sym_variable_attributes_token5] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2373),
    [aux_sym_derived_type_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token1] = ACTIONS(2373),
    [aux_sym_stop_statement_token2] = ACTIONS(2373),
    [aux_sym_subroutine_call_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token1] = ACTIONS(2373),
    [aux_sym_keyword_statement_token2] = ACTIONS(2373),
    [aux_sym_keyword_statement_token3] = ACTIONS(2373),
    [aux_sym_keyword_statement_token4] = ACTIONS(2373),
    [aux_sym_keyword_statement_token6] = ACTIONS(2373),
    [aux_sym_keyword_statement_token7] = ACTIONS(2373),
    [aux_sym_include_statement_token1] = ACTIONS(2373),
    [aux_sym_data_statement_token1] = ACTIONS(2373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2373),
    [aux_sym_end_if_statement_token1] = ACTIONS(2373),
    [aux_sym_elseif_clause_token2] = ACTIONS(2373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token1] = ACTIONS(2373),
    [aux_sym_select_case_statement_token3] = ACTIONS(2373),
    [aux_sym_select_type_statement_token1] = ACTIONS(2373),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2373),
    [aux_sym_block_construct_token1] = ACTIONS(2373),
    [aux_sym_associate_statement_token1] = ACTIONS(2373),
    [aux_sym_format_statement_token1] = ACTIONS(2373),
    [aux_sym_print_statement_token1] = ACTIONS(2373),
    [aux_sym_open_statement_token1] = ACTIONS(2373),
    [aux_sym_close_statement_token1] = ACTIONS(2373),
    [aux_sym_inquire_statement_token1] = ACTIONS(2373),
    [aux_sym_enum_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token1] = ACTIONS(2373),
    [aux_sym_file_position_statement_token2] = ACTIONS(2373),
    [aux_sym_file_position_statement_token3] = ACTIONS(2373),
    [aux_sym_file_position_statement_token4] = ACTIONS(2373),
    [aux_sym_logical_expression_token5] = ACTIONS(2377),
    [anon_sym_DOT] = ACTIONS(2373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [aux_sym_boolean_literal_token1] = ACTIONS(2377),
    [aux_sym_boolean_literal_token2] = ACTIONS(2377),
    [aux_sym_null_literal_token1] = ACTIONS(2373),
    [aux_sym_identifier_token1] = ACTIONS(2373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2377),
    [sym__float_literal] = ACTIONS(2377),
    [sym__boz_literal] = ACTIONS(2377),
    [sym__string_literal] = ACTIONS(2377),
    [sym__string_literal_kind] = ACTIONS(2377),
  },
  [1213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [1214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2561),
    [aux_sym_preproc_def_token1] = ACTIONS(2561),
    [aux_sym_preproc_if_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2561),
    [sym_preproc_directive] = ACTIONS(2561),
    [anon_sym_LPAREN2] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2561),
    [aux_sym_interface_statement_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2561),
    [aux_sym_end_function_statement_token1] = ACTIONS(2561),
    [aux_sym_contains_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token1] = ACTIONS(2561),
    [aux_sym_use_statement_token2] = ACTIONS(2561),
    [aux_sym_implicit_statement_token1] = ACTIONS(2561),
    [aux_sym_implicit_statement_token3] = ACTIONS(2561),
    [aux_sym_implicit_statement_token4] = ACTIONS(2561),
    [aux_sym_save_statement_token1] = ACTIONS(2561),
    [aux_sym_private_statement_token1] = ACTIONS(2561),
    [aux_sym_public_statement_token1] = ACTIONS(2561),
    [aux_sym_namelist_statement_token1] = ACTIONS(2561),
    [aux_sym_common_statement_token1] = ACTIONS(2561),
    [aux_sym_import_statement_token1] = ACTIONS(2561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2561),
    [aux_sym_variable_attributes_token1] = ACTIONS(2561),
    [aux_sym_variable_attributes_token2] = ACTIONS(2561),
    [aux_sym_variable_attributes_token3] = ACTIONS(2561),
    [aux_sym_variable_attributes_token4] = ACTIONS(2561),
    [aux_sym_variable_attributes_token5] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2561),
    [aux_sym_derived_type_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token1] = ACTIONS(2561),
    [aux_sym_stop_statement_token2] = ACTIONS(2561),
    [aux_sym_subroutine_call_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token1] = ACTIONS(2561),
    [aux_sym_keyword_statement_token2] = ACTIONS(2561),
    [aux_sym_keyword_statement_token3] = ACTIONS(2561),
    [aux_sym_keyword_statement_token4] = ACTIONS(2561),
    [aux_sym_keyword_statement_token6] = ACTIONS(2561),
    [aux_sym_keyword_statement_token7] = ACTIONS(2561),
    [aux_sym_include_statement_token1] = ACTIONS(2561),
    [aux_sym_data_statement_token1] = ACTIONS(2561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2561),
    [aux_sym_end_if_statement_token1] = ACTIONS(2561),
    [aux_sym_elseif_clause_token2] = ACTIONS(2561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token1] = ACTIONS(2561),
    [aux_sym_select_case_statement_token3] = ACTIONS(2561),
    [aux_sym_select_type_statement_token1] = ACTIONS(2561),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2561),
    [aux_sym_block_construct_token1] = ACTIONS(2561),
    [aux_sym_associate_statement_token1] = ACTIONS(2561),
    [aux_sym_format_statement_token1] = ACTIONS(2561),
    [aux_sym_print_statement_token1] = ACTIONS(2561),
    [aux_sym_open_statement_token1] = ACTIONS(2561),
    [aux_sym_close_statement_token1] = ACTIONS(2561),
    [aux_sym_inquire_statement_token1] = ACTIONS(2561),
    [aux_sym_enum_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token1] = ACTIONS(2561),
    [aux_sym_file_position_statement_token2] = ACTIONS(2561),
    [aux_sym_file_position_statement_token3] = ACTIONS(2561),
    [aux_sym_file_position_statement_token4] = ACTIONS(2561),
    [aux_sym_logical_expression_token5] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(2561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [aux_sym_boolean_literal_token1] = ACTIONS(2563),
    [aux_sym_boolean_literal_token2] = ACTIONS(2563),
    [aux_sym_null_literal_token1] = ACTIONS(2561),
    [aux_sym_identifier_token1] = ACTIONS(2561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2563),
    [sym__float_literal] = ACTIONS(2563),
    [sym__boz_literal] = ACTIONS(2563),
    [sym__string_literal] = ACTIONS(2563),
    [sym__string_literal_kind] = ACTIONS(2563),
  },
  [1215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3396),
    [aux_sym_preproc_def_token1] = ACTIONS(3396),
    [aux_sym_preproc_if_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3396),
    [sym_preproc_directive] = ACTIONS(3396),
    [anon_sym_LPAREN2] = ACTIONS(3396),
    [anon_sym_PLUS] = ACTIONS(3398),
    [anon_sym_DASH] = ACTIONS(3398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3396),
    [aux_sym_end_function_statement_token1] = ACTIONS(3396),
    [aux_sym_contains_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token1] = ACTIONS(3396),
    [aux_sym_use_statement_token2] = ACTIONS(3396),
    [aux_sym_implicit_statement_token1] = ACTIONS(3396),
    [aux_sym_implicit_statement_token3] = ACTIONS(3396),
    [aux_sym_implicit_statement_token4] = ACTIONS(3396),
    [aux_sym_save_statement_token1] = ACTIONS(3396),
    [aux_sym_private_statement_token1] = ACTIONS(3396),
    [aux_sym_public_statement_token1] = ACTIONS(3396),
    [aux_sym_namelist_statement_token1] = ACTIONS(3396),
    [aux_sym_common_statement_token1] = ACTIONS(3396),
    [aux_sym_import_statement_token1] = ACTIONS(3396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3396),
    [aux_sym_variable_attributes_token1] = ACTIONS(3396),
    [aux_sym_variable_attributes_token2] = ACTIONS(3396),
    [aux_sym_variable_attributes_token3] = ACTIONS(3396),
    [aux_sym_variable_attributes_token4] = ACTIONS(3396),
    [aux_sym_variable_attributes_token5] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3396),
    [aux_sym_derived_type_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token1] = ACTIONS(3396),
    [aux_sym_stop_statement_token2] = ACTIONS(3396),
    [aux_sym_subroutine_call_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token1] = ACTIONS(3396),
    [aux_sym_keyword_statement_token2] = ACTIONS(3396),
    [aux_sym_keyword_statement_token3] = ACTIONS(3396),
    [aux_sym_keyword_statement_token4] = ACTIONS(3396),
    [aux_sym_keyword_statement_token6] = ACTIONS(3396),
    [aux_sym_keyword_statement_token7] = ACTIONS(3396),
    [aux_sym_include_statement_token1] = ACTIONS(3396),
    [aux_sym_data_statement_token1] = ACTIONS(3396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3396),
    [aux_sym_end_if_statement_token1] = ACTIONS(3396),
    [aux_sym_elseif_clause_token2] = ACTIONS(3396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token1] = ACTIONS(3396),
    [aux_sym_select_case_statement_token3] = ACTIONS(3396),
    [aux_sym_select_type_statement_token1] = ACTIONS(3396),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3396),
    [aux_sym_block_construct_token1] = ACTIONS(3396),
    [aux_sym_associate_statement_token1] = ACTIONS(3396),
    [aux_sym_format_statement_token1] = ACTIONS(3396),
    [aux_sym_print_statement_token1] = ACTIONS(3396),
    [aux_sym_open_statement_token1] = ACTIONS(3396),
    [aux_sym_close_statement_token1] = ACTIONS(3396),
    [aux_sym_inquire_statement_token1] = ACTIONS(3396),
    [aux_sym_enum_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token1] = ACTIONS(3396),
    [aux_sym_file_position_statement_token2] = ACTIONS(3396),
    [aux_sym_file_position_statement_token3] = ACTIONS(3396),
    [aux_sym_file_position_statement_token4] = ACTIONS(3396),
    [aux_sym_logical_expression_token5] = ACTIONS(3398),
    [anon_sym_DOT] = ACTIONS(3396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3398),
    [aux_sym_boolean_literal_token1] = ACTIONS(3398),
    [aux_sym_boolean_literal_token2] = ACTIONS(3398),
    [aux_sym_null_literal_token1] = ACTIONS(3396),
    [aux_sym_identifier_token1] = ACTIONS(3396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3398),
    [sym__float_literal] = ACTIONS(3398),
    [sym__boz_literal] = ACTIONS(3398),
    [sym__string_literal] = ACTIONS(3398),
    [sym__string_literal_kind] = ACTIONS(3398),
  },
  [1216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_end_function_statement_token1] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_end_program_statement_token2] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [1218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [1219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [1220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_end_function_statement_token1] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [1222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [1224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [1225] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [1226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [1227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [1228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [1229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [1231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [1232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [1233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [1234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [1235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [1237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [1240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [1241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [1242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [1243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [1244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [1245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [1246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [1248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [1249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [1251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [1252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [1253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [1254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_subroutine_call_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token1] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_keyword_statement_token4] = ACTIONS(3059),
    [aux_sym_keyword_statement_token6] = ACTIONS(3059),
    [aux_sym_keyword_statement_token7] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3059),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_select_case_statement_token3] = ACTIONS(3059),
    [aux_sym_select_type_statement_token1] = ACTIONS(3059),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3059),
    [aux_sym_associate_statement_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_print_statement_token1] = ACTIONS(3059),
    [aux_sym_open_statement_token1] = ACTIONS(3059),
    [aux_sym_close_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token1] = ACTIONS(3059),
    [aux_sym_file_position_statement_token2] = ACTIONS(3059),
    [aux_sym_file_position_statement_token3] = ACTIONS(3059),
    [aux_sym_file_position_statement_token4] = ACTIONS(3059),
    [aux_sym_logical_expression_token5] = ACTIONS(3061),
    [anon_sym_DOT] = ACTIONS(3059),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [aux_sym_boolean_literal_token1] = ACTIONS(3061),
    [aux_sym_boolean_literal_token2] = ACTIONS(3061),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
    [sym__float_literal] = ACTIONS(3061),
    [sym__boz_literal] = ACTIONS(3061),
    [sym__string_literal] = ACTIONS(3061),
    [sym__string_literal_kind] = ACTIONS(3061),
  },
  [1255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_subroutine_call_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token1] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_keyword_statement_token4] = ACTIONS(3081),
    [aux_sym_keyword_statement_token6] = ACTIONS(3081),
    [aux_sym_keyword_statement_token7] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3081),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_select_case_statement_token3] = ACTIONS(3081),
    [aux_sym_select_type_statement_token1] = ACTIONS(3081),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3081),
    [aux_sym_associate_statement_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_print_statement_token1] = ACTIONS(3081),
    [aux_sym_open_statement_token1] = ACTIONS(3081),
    [aux_sym_close_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token1] = ACTIONS(3081),
    [aux_sym_file_position_statement_token2] = ACTIONS(3081),
    [aux_sym_file_position_statement_token3] = ACTIONS(3081),
    [aux_sym_file_position_statement_token4] = ACTIONS(3081),
    [aux_sym_logical_expression_token5] = ACTIONS(3083),
    [anon_sym_DOT] = ACTIONS(3081),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3083),
    [anon_sym_LBRACK] = ACTIONS(3083),
    [aux_sym_boolean_literal_token1] = ACTIONS(3083),
    [aux_sym_boolean_literal_token2] = ACTIONS(3083),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
    [sym__float_literal] = ACTIONS(3083),
    [sym__boz_literal] = ACTIONS(3083),
    [sym__string_literal] = ACTIONS(3083),
    [sym__string_literal_kind] = ACTIONS(3083),
  },
  [1256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_subroutine_call_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token1] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_keyword_statement_token4] = ACTIONS(3039),
    [aux_sym_keyword_statement_token6] = ACTIONS(3039),
    [aux_sym_keyword_statement_token7] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3039),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_select_case_statement_token3] = ACTIONS(3039),
    [aux_sym_select_type_statement_token1] = ACTIONS(3039),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3039),
    [aux_sym_associate_statement_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_print_statement_token1] = ACTIONS(3039),
    [aux_sym_open_statement_token1] = ACTIONS(3039),
    [aux_sym_close_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token1] = ACTIONS(3039),
    [aux_sym_file_position_statement_token2] = ACTIONS(3039),
    [aux_sym_file_position_statement_token3] = ACTIONS(3039),
    [aux_sym_file_position_statement_token4] = ACTIONS(3039),
    [aux_sym_logical_expression_token5] = ACTIONS(3041),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [aux_sym_boolean_literal_token1] = ACTIONS(3041),
    [aux_sym_boolean_literal_token2] = ACTIONS(3041),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
    [sym__float_literal] = ACTIONS(3041),
    [sym__boz_literal] = ACTIONS(3041),
    [sym__string_literal] = ACTIONS(3041),
    [sym__string_literal_kind] = ACTIONS(3041),
  },
  [1257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_LPAREN2] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_subroutine_call_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token1] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_keyword_statement_token4] = ACTIONS(2469),
    [aux_sym_keyword_statement_token6] = ACTIONS(2469),
    [aux_sym_keyword_statement_token7] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_select_case_statement_token3] = ACTIONS(2469),
    [aux_sym_select_type_statement_token1] = ACTIONS(2469),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2469),
    [aux_sym_associate_statement_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_print_statement_token1] = ACTIONS(2469),
    [aux_sym_open_statement_token1] = ACTIONS(2469),
    [aux_sym_close_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token1] = ACTIONS(2469),
    [aux_sym_file_position_statement_token2] = ACTIONS(2469),
    [aux_sym_file_position_statement_token3] = ACTIONS(2469),
    [aux_sym_file_position_statement_token4] = ACTIONS(2469),
    [aux_sym_logical_expression_token5] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [aux_sym_boolean_literal_token1] = ACTIONS(2471),
    [aux_sym_boolean_literal_token2] = ACTIONS(2471),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
    [sym__float_literal] = ACTIONS(2471),
    [sym__boz_literal] = ACTIONS(2471),
    [sym__string_literal] = ACTIONS(2471),
    [sym__string_literal_kind] = ACTIONS(2471),
  },
  [1258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_subroutine_call_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token1] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_keyword_statement_token4] = ACTIONS(3073),
    [aux_sym_keyword_statement_token6] = ACTIONS(3073),
    [aux_sym_keyword_statement_token7] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3073),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_select_case_statement_token3] = ACTIONS(3073),
    [aux_sym_select_type_statement_token1] = ACTIONS(3073),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3073),
    [aux_sym_associate_statement_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_print_statement_token1] = ACTIONS(3073),
    [aux_sym_open_statement_token1] = ACTIONS(3073),
    [aux_sym_close_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token1] = ACTIONS(3073),
    [aux_sym_file_position_statement_token2] = ACTIONS(3073),
    [aux_sym_file_position_statement_token3] = ACTIONS(3073),
    [aux_sym_file_position_statement_token4] = ACTIONS(3073),
    [aux_sym_logical_expression_token5] = ACTIONS(3075),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(3075),
    [aux_sym_boolean_literal_token1] = ACTIONS(3075),
    [aux_sym_boolean_literal_token2] = ACTIONS(3075),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
    [sym__float_literal] = ACTIONS(3075),
    [sym__boz_literal] = ACTIONS(3075),
    [sym__string_literal] = ACTIONS(3075),
    [sym__string_literal_kind] = ACTIONS(3075),
  },
  [1259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_subroutine_call_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token1] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_keyword_statement_token4] = ACTIONS(3005),
    [aux_sym_keyword_statement_token6] = ACTIONS(3005),
    [aux_sym_keyword_statement_token7] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3005),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_select_case_statement_token3] = ACTIONS(3005),
    [aux_sym_select_type_statement_token1] = ACTIONS(3005),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3005),
    [aux_sym_associate_statement_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_print_statement_token1] = ACTIONS(3005),
    [aux_sym_open_statement_token1] = ACTIONS(3005),
    [aux_sym_close_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token1] = ACTIONS(3005),
    [aux_sym_file_position_statement_token2] = ACTIONS(3005),
    [aux_sym_file_position_statement_token3] = ACTIONS(3005),
    [aux_sym_file_position_statement_token4] = ACTIONS(3005),
    [aux_sym_logical_expression_token5] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [aux_sym_boolean_literal_token1] = ACTIONS(3007),
    [aux_sym_boolean_literal_token2] = ACTIONS(3007),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
    [sym__float_literal] = ACTIONS(3007),
    [sym__boz_literal] = ACTIONS(3007),
    [sym__string_literal] = ACTIONS(3007),
    [sym__string_literal_kind] = ACTIONS(3007),
  },
  [1261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_subroutine_call_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token1] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_keyword_statement_token4] = ACTIONS(3009),
    [aux_sym_keyword_statement_token6] = ACTIONS(3009),
    [aux_sym_keyword_statement_token7] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3009),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_select_case_statement_token3] = ACTIONS(3009),
    [aux_sym_select_type_statement_token1] = ACTIONS(3009),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3009),
    [aux_sym_associate_statement_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_print_statement_token1] = ACTIONS(3009),
    [aux_sym_open_statement_token1] = ACTIONS(3009),
    [aux_sym_close_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token1] = ACTIONS(3009),
    [aux_sym_file_position_statement_token2] = ACTIONS(3009),
    [aux_sym_file_position_statement_token3] = ACTIONS(3009),
    [aux_sym_file_position_statement_token4] = ACTIONS(3009),
    [aux_sym_logical_expression_token5] = ACTIONS(3011),
    [anon_sym_DOT] = ACTIONS(3009),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [aux_sym_boolean_literal_token1] = ACTIONS(3011),
    [aux_sym_boolean_literal_token2] = ACTIONS(3011),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
    [sym__float_literal] = ACTIONS(3011),
    [sym__boz_literal] = ACTIONS(3011),
    [sym__string_literal] = ACTIONS(3011),
    [sym__string_literal_kind] = ACTIONS(3011),
  },
  [1262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_LPAREN2] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_subroutine_call_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token1] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_keyword_statement_token4] = ACTIONS(2485),
    [aux_sym_keyword_statement_token6] = ACTIONS(2485),
    [aux_sym_keyword_statement_token7] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_select_case_statement_token3] = ACTIONS(2485),
    [aux_sym_select_type_statement_token1] = ACTIONS(2485),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2485),
    [aux_sym_associate_statement_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_print_statement_token1] = ACTIONS(2485),
    [aux_sym_open_statement_token1] = ACTIONS(2485),
    [aux_sym_close_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token1] = ACTIONS(2485),
    [aux_sym_file_position_statement_token2] = ACTIONS(2485),
    [aux_sym_file_position_statement_token3] = ACTIONS(2485),
    [aux_sym_file_position_statement_token4] = ACTIONS(2485),
    [aux_sym_logical_expression_token5] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [aux_sym_boolean_literal_token1] = ACTIONS(2487),
    [aux_sym_boolean_literal_token2] = ACTIONS(2487),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
    [sym__float_literal] = ACTIONS(2487),
    [sym__boz_literal] = ACTIONS(2487),
    [sym__string_literal] = ACTIONS(2487),
    [sym__string_literal_kind] = ACTIONS(2487),
  },
  [1263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_subroutine_call_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token1] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_keyword_statement_token4] = ACTIONS(3089),
    [aux_sym_keyword_statement_token6] = ACTIONS(3089),
    [aux_sym_keyword_statement_token7] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3089),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_select_case_statement_token3] = ACTIONS(3089),
    [aux_sym_select_type_statement_token1] = ACTIONS(3089),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3089),
    [aux_sym_associate_statement_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_print_statement_token1] = ACTIONS(3089),
    [aux_sym_open_statement_token1] = ACTIONS(3089),
    [aux_sym_close_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token1] = ACTIONS(3089),
    [aux_sym_file_position_statement_token2] = ACTIONS(3089),
    [aux_sym_file_position_statement_token3] = ACTIONS(3089),
    [aux_sym_file_position_statement_token4] = ACTIONS(3089),
    [aux_sym_logical_expression_token5] = ACTIONS(3091),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(3091),
    [aux_sym_boolean_literal_token1] = ACTIONS(3091),
    [aux_sym_boolean_literal_token2] = ACTIONS(3091),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
    [sym__float_literal] = ACTIONS(3091),
    [sym__boz_literal] = ACTIONS(3091),
    [sym__string_literal] = ACTIONS(3091),
    [sym__string_literal_kind] = ACTIONS(3091),
  },
  [1264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_subroutine_call_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token1] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_keyword_statement_token4] = ACTIONS(3021),
    [aux_sym_keyword_statement_token6] = ACTIONS(3021),
    [aux_sym_keyword_statement_token7] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3021),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_select_case_statement_token3] = ACTIONS(3021),
    [aux_sym_select_type_statement_token1] = ACTIONS(3021),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3021),
    [aux_sym_associate_statement_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_print_statement_token1] = ACTIONS(3021),
    [aux_sym_open_statement_token1] = ACTIONS(3021),
    [aux_sym_close_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token1] = ACTIONS(3021),
    [aux_sym_file_position_statement_token2] = ACTIONS(3021),
    [aux_sym_file_position_statement_token3] = ACTIONS(3021),
    [aux_sym_file_position_statement_token4] = ACTIONS(3021),
    [aux_sym_logical_expression_token5] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3021),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [aux_sym_boolean_literal_token1] = ACTIONS(3023),
    [aux_sym_boolean_literal_token2] = ACTIONS(3023),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
    [sym__float_literal] = ACTIONS(3023),
    [sym__boz_literal] = ACTIONS(3023),
    [sym__string_literal] = ACTIONS(3023),
    [sym__string_literal_kind] = ACTIONS(3023),
  },
  [1267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_subroutine_call_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token1] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_keyword_statement_token4] = ACTIONS(3047),
    [aux_sym_keyword_statement_token6] = ACTIONS(3047),
    [aux_sym_keyword_statement_token7] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3047),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_select_case_statement_token3] = ACTIONS(3047),
    [aux_sym_select_type_statement_token1] = ACTIONS(3047),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3047),
    [aux_sym_associate_statement_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_print_statement_token1] = ACTIONS(3047),
    [aux_sym_open_statement_token1] = ACTIONS(3047),
    [aux_sym_close_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token1] = ACTIONS(3047),
    [aux_sym_file_position_statement_token2] = ACTIONS(3047),
    [aux_sym_file_position_statement_token3] = ACTIONS(3047),
    [aux_sym_file_position_statement_token4] = ACTIONS(3047),
    [aux_sym_logical_expression_token5] = ACTIONS(3049),
    [anon_sym_DOT] = ACTIONS(3047),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [aux_sym_boolean_literal_token1] = ACTIONS(3049),
    [aux_sym_boolean_literal_token2] = ACTIONS(3049),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
    [sym__float_literal] = ACTIONS(3049),
    [sym__boz_literal] = ACTIONS(3049),
    [sym__string_literal] = ACTIONS(3049),
    [sym__string_literal_kind] = ACTIONS(3049),
  },
  [1269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_subroutine_call_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token1] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_keyword_statement_token4] = ACTIONS(3043),
    [aux_sym_keyword_statement_token6] = ACTIONS(3043),
    [aux_sym_keyword_statement_token7] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3043),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_select_case_statement_token3] = ACTIONS(3043),
    [aux_sym_select_type_statement_token1] = ACTIONS(3043),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3043),
    [aux_sym_associate_statement_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_print_statement_token1] = ACTIONS(3043),
    [aux_sym_open_statement_token1] = ACTIONS(3043),
    [aux_sym_close_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token1] = ACTIONS(3043),
    [aux_sym_file_position_statement_token2] = ACTIONS(3043),
    [aux_sym_file_position_statement_token3] = ACTIONS(3043),
    [aux_sym_file_position_statement_token4] = ACTIONS(3043),
    [aux_sym_logical_expression_token5] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [aux_sym_boolean_literal_token1] = ACTIONS(3045),
    [aux_sym_boolean_literal_token2] = ACTIONS(3045),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
    [sym__float_literal] = ACTIONS(3045),
    [sym__boz_literal] = ACTIONS(3045),
    [sym__string_literal] = ACTIONS(3045),
    [sym__string_literal_kind] = ACTIONS(3045),
  },
  [1270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_LPAREN2] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_subroutine_call_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token1] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_keyword_statement_token4] = ACTIONS(2473),
    [aux_sym_keyword_statement_token6] = ACTIONS(2473),
    [aux_sym_keyword_statement_token7] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_select_case_statement_token3] = ACTIONS(2473),
    [aux_sym_select_type_statement_token1] = ACTIONS(2473),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2473),
    [aux_sym_associate_statement_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_print_statement_token1] = ACTIONS(2473),
    [aux_sym_open_statement_token1] = ACTIONS(2473),
    [aux_sym_close_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token1] = ACTIONS(2473),
    [aux_sym_file_position_statement_token2] = ACTIONS(2473),
    [aux_sym_file_position_statement_token3] = ACTIONS(2473),
    [aux_sym_file_position_statement_token4] = ACTIONS(2473),
    [aux_sym_logical_expression_token5] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [aux_sym_boolean_literal_token1] = ACTIONS(2475),
    [aux_sym_boolean_literal_token2] = ACTIONS(2475),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
    [sym__float_literal] = ACTIONS(2475),
    [sym__boz_literal] = ACTIONS(2475),
    [sym__string_literal] = ACTIONS(2475),
    [sym__string_literal_kind] = ACTIONS(2475),
  },
  [1271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_subroutine_call_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token1] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_keyword_statement_token4] = ACTIONS(3017),
    [aux_sym_keyword_statement_token6] = ACTIONS(3017),
    [aux_sym_keyword_statement_token7] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_select_case_statement_token3] = ACTIONS(3017),
    [aux_sym_select_type_statement_token1] = ACTIONS(3017),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3017),
    [aux_sym_associate_statement_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_print_statement_token1] = ACTIONS(3017),
    [aux_sym_open_statement_token1] = ACTIONS(3017),
    [aux_sym_close_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token1] = ACTIONS(3017),
    [aux_sym_file_position_statement_token2] = ACTIONS(3017),
    [aux_sym_file_position_statement_token3] = ACTIONS(3017),
    [aux_sym_file_position_statement_token4] = ACTIONS(3017),
    [aux_sym_logical_expression_token5] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [aux_sym_boolean_literal_token1] = ACTIONS(3019),
    [aux_sym_boolean_literal_token2] = ACTIONS(3019),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
    [sym__float_literal] = ACTIONS(3019),
    [sym__boz_literal] = ACTIONS(3019),
    [sym__string_literal] = ACTIONS(3019),
    [sym__string_literal_kind] = ACTIONS(3019),
  },
  [1272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_LPAREN2] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_subroutine_call_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token1] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_keyword_statement_token4] = ACTIONS(2497),
    [aux_sym_keyword_statement_token6] = ACTIONS(2497),
    [aux_sym_keyword_statement_token7] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_select_case_statement_token3] = ACTIONS(2497),
    [aux_sym_select_type_statement_token1] = ACTIONS(2497),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2497),
    [aux_sym_associate_statement_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_print_statement_token1] = ACTIONS(2497),
    [aux_sym_open_statement_token1] = ACTIONS(2497),
    [aux_sym_close_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token1] = ACTIONS(2497),
    [aux_sym_file_position_statement_token2] = ACTIONS(2497),
    [aux_sym_file_position_statement_token3] = ACTIONS(2497),
    [aux_sym_file_position_statement_token4] = ACTIONS(2497),
    [aux_sym_logical_expression_token5] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [aux_sym_boolean_literal_token1] = ACTIONS(2499),
    [aux_sym_boolean_literal_token2] = ACTIONS(2499),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
    [sym__float_literal] = ACTIONS(2499),
    [sym__boz_literal] = ACTIONS(2499),
    [sym__string_literal] = ACTIONS(2499),
    [sym__string_literal_kind] = ACTIONS(2499),
  },
  [1273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_subroutine_call_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token1] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_keyword_statement_token4] = ACTIONS(3077),
    [aux_sym_keyword_statement_token6] = ACTIONS(3077),
    [aux_sym_keyword_statement_token7] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3077),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_select_case_statement_token3] = ACTIONS(3077),
    [aux_sym_select_type_statement_token1] = ACTIONS(3077),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3077),
    [aux_sym_associate_statement_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_print_statement_token1] = ACTIONS(3077),
    [aux_sym_open_statement_token1] = ACTIONS(3077),
    [aux_sym_close_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token1] = ACTIONS(3077),
    [aux_sym_file_position_statement_token2] = ACTIONS(3077),
    [aux_sym_file_position_statement_token3] = ACTIONS(3077),
    [aux_sym_file_position_statement_token4] = ACTIONS(3077),
    [aux_sym_logical_expression_token5] = ACTIONS(3079),
    [anon_sym_DOT] = ACTIONS(3077),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3079),
    [anon_sym_LBRACK] = ACTIONS(3079),
    [aux_sym_boolean_literal_token1] = ACTIONS(3079),
    [aux_sym_boolean_literal_token2] = ACTIONS(3079),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
    [sym__float_literal] = ACTIONS(3079),
    [sym__boz_literal] = ACTIONS(3079),
    [sym__string_literal] = ACTIONS(3079),
    [sym__string_literal_kind] = ACTIONS(3079),
  },
  [1274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_LPAREN2] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_subroutine_call_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token1] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_keyword_statement_token4] = ACTIONS(2477),
    [aux_sym_keyword_statement_token6] = ACTIONS(2477),
    [aux_sym_keyword_statement_token7] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_select_case_statement_token3] = ACTIONS(2477),
    [aux_sym_select_type_statement_token1] = ACTIONS(2477),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2477),
    [aux_sym_associate_statement_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_print_statement_token1] = ACTIONS(2477),
    [aux_sym_open_statement_token1] = ACTIONS(2477),
    [aux_sym_close_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token1] = ACTIONS(2477),
    [aux_sym_file_position_statement_token2] = ACTIONS(2477),
    [aux_sym_file_position_statement_token3] = ACTIONS(2477),
    [aux_sym_file_position_statement_token4] = ACTIONS(2477),
    [aux_sym_logical_expression_token5] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [aux_sym_boolean_literal_token1] = ACTIONS(2479),
    [aux_sym_boolean_literal_token2] = ACTIONS(2479),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
    [sym__float_literal] = ACTIONS(2479),
    [sym__boz_literal] = ACTIONS(2479),
    [sym__string_literal] = ACTIONS(2479),
    [sym__string_literal_kind] = ACTIONS(2479),
  },
  [1276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_subroutine_call_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token1] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_keyword_statement_token4] = ACTIONS(3055),
    [aux_sym_keyword_statement_token6] = ACTIONS(3055),
    [aux_sym_keyword_statement_token7] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3055),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_select_case_statement_token3] = ACTIONS(3055),
    [aux_sym_select_type_statement_token1] = ACTIONS(3055),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3055),
    [aux_sym_associate_statement_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_print_statement_token1] = ACTIONS(3055),
    [aux_sym_open_statement_token1] = ACTIONS(3055),
    [aux_sym_close_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token1] = ACTIONS(3055),
    [aux_sym_file_position_statement_token2] = ACTIONS(3055),
    [aux_sym_file_position_statement_token3] = ACTIONS(3055),
    [aux_sym_file_position_statement_token4] = ACTIONS(3055),
    [aux_sym_logical_expression_token5] = ACTIONS(3057),
    [anon_sym_DOT] = ACTIONS(3055),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(3057),
    [aux_sym_boolean_literal_token1] = ACTIONS(3057),
    [aux_sym_boolean_literal_token2] = ACTIONS(3057),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
    [sym__float_literal] = ACTIONS(3057),
    [sym__boz_literal] = ACTIONS(3057),
    [sym__string_literal] = ACTIONS(3057),
    [sym__string_literal_kind] = ACTIONS(3057),
  },
  [1277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_subroutine_call_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token1] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_keyword_statement_token4] = ACTIONS(3001),
    [aux_sym_keyword_statement_token6] = ACTIONS(3001),
    [aux_sym_keyword_statement_token7] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_select_case_statement_token3] = ACTIONS(3001),
    [aux_sym_select_type_statement_token1] = ACTIONS(3001),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3001),
    [aux_sym_associate_statement_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_print_statement_token1] = ACTIONS(3001),
    [aux_sym_open_statement_token1] = ACTIONS(3001),
    [aux_sym_close_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token1] = ACTIONS(3001),
    [aux_sym_file_position_statement_token2] = ACTIONS(3001),
    [aux_sym_file_position_statement_token3] = ACTIONS(3001),
    [aux_sym_file_position_statement_token4] = ACTIONS(3001),
    [aux_sym_logical_expression_token5] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [aux_sym_boolean_literal_token1] = ACTIONS(3003),
    [aux_sym_boolean_literal_token2] = ACTIONS(3003),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3003),
    [sym__boz_literal] = ACTIONS(3003),
    [sym__string_literal] = ACTIONS(3003),
    [sym__string_literal_kind] = ACTIONS(3003),
  },
  [1278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_subroutine_call_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token1] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_keyword_statement_token4] = ACTIONS(3051),
    [aux_sym_keyword_statement_token6] = ACTIONS(3051),
    [aux_sym_keyword_statement_token7] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3051),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_select_case_statement_token3] = ACTIONS(3051),
    [aux_sym_select_type_statement_token1] = ACTIONS(3051),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3051),
    [aux_sym_associate_statement_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_print_statement_token1] = ACTIONS(3051),
    [aux_sym_open_statement_token1] = ACTIONS(3051),
    [aux_sym_close_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token1] = ACTIONS(3051),
    [aux_sym_file_position_statement_token2] = ACTIONS(3051),
    [aux_sym_file_position_statement_token3] = ACTIONS(3051),
    [aux_sym_file_position_statement_token4] = ACTIONS(3051),
    [aux_sym_logical_expression_token5] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3051),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [aux_sym_boolean_literal_token1] = ACTIONS(3053),
    [aux_sym_boolean_literal_token2] = ACTIONS(3053),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
    [sym__float_literal] = ACTIONS(3053),
    [sym__boz_literal] = ACTIONS(3053),
    [sym__string_literal] = ACTIONS(3053),
    [sym__string_literal_kind] = ACTIONS(3053),
  },
  [1279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_subroutine_call_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token1] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_keyword_statement_token4] = ACTIONS(3085),
    [aux_sym_keyword_statement_token6] = ACTIONS(3085),
    [aux_sym_keyword_statement_token7] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3085),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_select_case_statement_token3] = ACTIONS(3085),
    [aux_sym_select_type_statement_token1] = ACTIONS(3085),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3085),
    [aux_sym_associate_statement_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_print_statement_token1] = ACTIONS(3085),
    [aux_sym_open_statement_token1] = ACTIONS(3085),
    [aux_sym_close_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token1] = ACTIONS(3085),
    [aux_sym_file_position_statement_token2] = ACTIONS(3085),
    [aux_sym_file_position_statement_token3] = ACTIONS(3085),
    [aux_sym_file_position_statement_token4] = ACTIONS(3085),
    [aux_sym_logical_expression_token5] = ACTIONS(3087),
    [anon_sym_DOT] = ACTIONS(3085),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3087),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [aux_sym_boolean_literal_token1] = ACTIONS(3087),
    [aux_sym_boolean_literal_token2] = ACTIONS(3087),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
    [sym__float_literal] = ACTIONS(3087),
    [sym__boz_literal] = ACTIONS(3087),
    [sym__string_literal] = ACTIONS(3087),
    [sym__string_literal_kind] = ACTIONS(3087),
  },
  [1280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_subroutine_call_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token1] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_keyword_statement_token4] = ACTIONS(2997),
    [aux_sym_keyword_statement_token6] = ACTIONS(2997),
    [aux_sym_keyword_statement_token7] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_select_case_statement_token3] = ACTIONS(2997),
    [aux_sym_select_type_statement_token1] = ACTIONS(2997),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2997),
    [aux_sym_associate_statement_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_print_statement_token1] = ACTIONS(2997),
    [aux_sym_open_statement_token1] = ACTIONS(2997),
    [aux_sym_close_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token1] = ACTIONS(2997),
    [aux_sym_file_position_statement_token2] = ACTIONS(2997),
    [aux_sym_file_position_statement_token3] = ACTIONS(2997),
    [aux_sym_file_position_statement_token4] = ACTIONS(2997),
    [aux_sym_logical_expression_token5] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [aux_sym_boolean_literal_token1] = ACTIONS(2999),
    [aux_sym_boolean_literal_token2] = ACTIONS(2999),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
    [sym__float_literal] = ACTIONS(2999),
    [sym__boz_literal] = ACTIONS(2999),
    [sym__string_literal] = ACTIONS(2999),
    [sym__string_literal_kind] = ACTIONS(2999),
  },
  [1281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_LPAREN2] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_subroutine_call_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token1] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_keyword_statement_token4] = ACTIONS(2481),
    [aux_sym_keyword_statement_token6] = ACTIONS(2481),
    [aux_sym_keyword_statement_token7] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_select_case_statement_token3] = ACTIONS(2481),
    [aux_sym_select_type_statement_token1] = ACTIONS(2481),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2481),
    [aux_sym_associate_statement_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_print_statement_token1] = ACTIONS(2481),
    [aux_sym_open_statement_token1] = ACTIONS(2481),
    [aux_sym_close_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token1] = ACTIONS(2481),
    [aux_sym_file_position_statement_token2] = ACTIONS(2481),
    [aux_sym_file_position_statement_token3] = ACTIONS(2481),
    [aux_sym_file_position_statement_token4] = ACTIONS(2481),
    [aux_sym_logical_expression_token5] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [aux_sym_boolean_literal_token1] = ACTIONS(2483),
    [aux_sym_boolean_literal_token2] = ACTIONS(2483),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
    [sym__float_literal] = ACTIONS(2483),
    [sym__boz_literal] = ACTIONS(2483),
    [sym__string_literal] = ACTIONS(2483),
    [sym__string_literal_kind] = ACTIONS(2483),
  },
  [1283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_subroutine_call_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token1] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_keyword_statement_token4] = ACTIONS(3013),
    [aux_sym_keyword_statement_token6] = ACTIONS(3013),
    [aux_sym_keyword_statement_token7] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3013),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_select_case_statement_token3] = ACTIONS(3013),
    [aux_sym_select_type_statement_token1] = ACTIONS(3013),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3013),
    [aux_sym_associate_statement_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_print_statement_token1] = ACTIONS(3013),
    [aux_sym_open_statement_token1] = ACTIONS(3013),
    [aux_sym_close_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token1] = ACTIONS(3013),
    [aux_sym_file_position_statement_token2] = ACTIONS(3013),
    [aux_sym_file_position_statement_token3] = ACTIONS(3013),
    [aux_sym_file_position_statement_token4] = ACTIONS(3013),
    [aux_sym_logical_expression_token5] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3013),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [aux_sym_boolean_literal_token1] = ACTIONS(3015),
    [aux_sym_boolean_literal_token2] = ACTIONS(3015),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
    [sym__float_literal] = ACTIONS(3015),
    [sym__boz_literal] = ACTIONS(3015),
    [sym__string_literal] = ACTIONS(3015),
    [sym__string_literal_kind] = ACTIONS(3015),
  },
  [1285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_LPAREN2] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_subroutine_call_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token1] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_keyword_statement_token4] = ACTIONS(3093),
    [aux_sym_keyword_statement_token6] = ACTIONS(3093),
    [aux_sym_keyword_statement_token7] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3093),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_select_case_statement_token3] = ACTIONS(3093),
    [aux_sym_select_type_statement_token1] = ACTIONS(3093),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3093),
    [aux_sym_associate_statement_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_print_statement_token1] = ACTIONS(3093),
    [aux_sym_open_statement_token1] = ACTIONS(3093),
    [aux_sym_close_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token1] = ACTIONS(3093),
    [aux_sym_file_position_statement_token2] = ACTIONS(3093),
    [aux_sym_file_position_statement_token3] = ACTIONS(3093),
    [aux_sym_file_position_statement_token4] = ACTIONS(3093),
    [aux_sym_logical_expression_token5] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(3093),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [aux_sym_boolean_literal_token1] = ACTIONS(3095),
    [aux_sym_boolean_literal_token2] = ACTIONS(3095),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
    [sym__float_literal] = ACTIONS(3095),
    [sym__boz_literal] = ACTIONS(3095),
    [sym__string_literal] = ACTIONS(3095),
    [sym__string_literal_kind] = ACTIONS(3095),
  },
  [1286] = {
    [sym_statement_label] = STATE(4877),
    [sym_statement_label_reference] = STATE(4876),
    [sym__io_arguments] = STATE(1816),
    [sym_format_identifier] = STATE(5004),
    [sym__io_expressions] = STATE(4876),
    [sym__expression] = STATE(2712),
    [sym_parenthesized_expression] = STATE(3209),
    [sym_derived_type_member_expression] = STATE(3209),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(3209),
    [sym_math_expression] = STATE(3209),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3209),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(3209),
    [sym_identifier] = STATE(3209),
    [anon_sym_LPAREN2] = ACTIONS(3436),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(3438),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2353),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(3440),
    [anon_sym_COLON] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3442),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3442),
    [anon_sym_EQ_GT] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3442),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3442),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3444),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3442),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3442),
    [aux_sym_stop_statement_token1] = ACTIONS(3442),
    [aux_sym_stop_statement_token2] = ACTIONS(3442),
    [aux_sym_keyword_statement_token2] = ACTIONS(3442),
    [aux_sym_keyword_statement_token3] = ACTIONS(3442),
    [aux_sym_data_statement_token1] = ACTIONS(3442),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3442),
    [aux_sym_end_if_statement_token1] = ACTIONS(3442),
    [aux_sym_elseif_clause_token2] = ACTIONS(3442),
    [aux_sym_select_case_statement_token1] = ACTIONS(3446),
    [aux_sym_block_construct_token1] = ACTIONS(3442),
    [aux_sym_format_statement_token1] = ACTIONS(3442),
    [aux_sym_inquire_statement_token1] = ACTIONS(3442),
    [aux_sym_logical_expression_token1] = ACTIONS(2353),
    [aux_sym_logical_expression_token2] = ACTIONS(2353),
    [aux_sym_logical_expression_token3] = ACTIONS(2353),
    [aux_sym_logical_expression_token4] = ACTIONS(2353),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [aux_sym_relational_expression_token1] = ACTIONS(2353),
    [aux_sym_relational_expression_token2] = ACTIONS(2353),
    [aux_sym_relational_expression_token3] = ACTIONS(2353),
    [aux_sym_relational_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token5] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [aux_sym_relational_expression_token6] = ACTIONS(2353),
    [anon_sym_SLASH_SLASH] = ACTIONS(2353),
    [anon_sym_STAR_STAR] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(3448),
    [aux_sym_identifier_token1] = ACTIONS(3442),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3450),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(3452),
    [sym__string_literal_kind] = ACTIONS(3454),
  },
  [1287] = {
    [sym__kind] = STATE(2116),
    [anon_sym_LPAREN2] = ACTIONS(3456),
    [anon_sym_PLUS] = ACTIONS(3458),
    [anon_sym_DASH] = ACTIONS(3458),
    [anon_sym_STAR] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_PERCENT] = ACTIONS(3462),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3462),
    [anon_sym_GT] = ACTIONS(3460),
    [anon_sym_GT_EQ] = ACTIONS(3462),
    [anon_sym_LT_EQ] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3460),
    [aux_sym_end_program_statement_token1] = ACTIONS(3456),
    [anon_sym_EQ] = ACTIONS(3460),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3456),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3456),
    [anon_sym_EQ_GT] = ACTIONS(3462),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3456),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3456),
    [aux_sym_stop_statement_token1] = ACTIONS(3456),
    [aux_sym_stop_statement_token2] = ACTIONS(3456),
    [aux_sym_subroutine_call_token1] = ACTIONS(3456),
    [aux_sym_keyword_statement_token1] = ACTIONS(3456),
    [aux_sym_keyword_statement_token2] = ACTIONS(3456),
    [aux_sym_keyword_statement_token3] = ACTIONS(3456),
    [aux_sym_keyword_statement_token4] = ACTIONS(3456),
    [aux_sym_keyword_statement_token6] = ACTIONS(3456),
    [aux_sym_keyword_statement_token7] = ACTIONS(3456),
    [aux_sym_include_statement_token1] = ACTIONS(3456),
    [aux_sym_data_statement_token1] = ACTIONS(3456),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3456),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3456),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3456),
    [aux_sym_end_if_statement_token1] = ACTIONS(3456),
    [aux_sym_elseif_clause_token2] = ACTIONS(3456),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3456),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3456),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3456),
    [aux_sym_select_case_statement_token1] = ACTIONS(3456),
    [aux_sym_select_case_statement_token3] = ACTIONS(3456),
    [aux_sym_select_type_statement_token1] = ACTIONS(3456),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3456),
    [aux_sym_block_construct_token1] = ACTIONS(3456),
    [aux_sym_associate_statement_token1] = ACTIONS(3456),
    [aux_sym_format_statement_token1] = ACTIONS(3456),
    [aux_sym_print_statement_token1] = ACTIONS(3456),
    [aux_sym_open_statement_token1] = ACTIONS(3456),
    [aux_sym_close_statement_token1] = ACTIONS(3456),
    [aux_sym_inquire_statement_token1] = ACTIONS(3456),
    [aux_sym_file_position_statement_token1] = ACTIONS(3456),
    [aux_sym_file_position_statement_token2] = ACTIONS(3456),
    [aux_sym_file_position_statement_token3] = ACTIONS(3456),
    [aux_sym_file_position_statement_token4] = ACTIONS(3456),
    [aux_sym_logical_expression_token1] = ACTIONS(3462),
    [aux_sym_logical_expression_token2] = ACTIONS(3462),
    [aux_sym_logical_expression_token3] = ACTIONS(3462),
    [aux_sym_logical_expression_token4] = ACTIONS(3462),
    [aux_sym_logical_expression_token5] = ACTIONS(3458),
    [aux_sym_relational_expression_token1] = ACTIONS(3462),
    [aux_sym_relational_expression_token2] = ACTIONS(3462),
    [aux_sym_relational_expression_token3] = ACTIONS(3462),
    [aux_sym_relational_expression_token4] = ACTIONS(3462),
    [aux_sym_relational_expression_token5] = ACTIONS(3462),
    [anon_sym_SLASH_EQ] = ACTIONS(3462),
    [aux_sym_relational_expression_token6] = ACTIONS(3462),
    [anon_sym_SLASH_SLASH] = ACTIONS(3462),
    [anon_sym_STAR_STAR] = ACTIONS(3462),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(3458),
    [aux_sym_boolean_literal_token1] = ACTIONS(3458),
    [aux_sym_boolean_literal_token2] = ACTIONS(3458),
    [anon_sym__] = ACTIONS(3464),
    [aux_sym_null_literal_token1] = ACTIONS(3456),
    [aux_sym_identifier_token1] = ACTIONS(3456),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3458),
    [sym__float_literal] = ACTIONS(3458),
    [sym__boz_literal] = ACTIONS(3458),
    [sym__string_literal] = ACTIONS(3458),
    [sym__string_literal_kind] = ACTIONS(3458),
  },
  [1288] = {
    [sym__kind] = STATE(2116),
    [anon_sym_LPAREN2] = ACTIONS(3456),
    [anon_sym_PLUS] = ACTIONS(3458),
    [anon_sym_DASH] = ACTIONS(3458),
    [anon_sym_STAR] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_PERCENT] = ACTIONS(3462),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3462),
    [anon_sym_GT] = ACTIONS(3460),
    [anon_sym_GT_EQ] = ACTIONS(3462),
    [anon_sym_LT_EQ] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3460),
    [aux_sym_end_program_statement_token1] = ACTIONS(3456),
    [anon_sym_EQ] = ACTIONS(3460),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3456),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3456),
    [anon_sym_EQ_GT] = ACTIONS(3462),
    [aux_sym_implicit_statement_token3] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3456),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3456),
    [aux_sym_stop_statement_token1] = ACTIONS(3456),
    [aux_sym_stop_statement_token2] = ACTIONS(3456),
    [aux_sym_subroutine_call_token1] = ACTIONS(3456),
    [aux_sym_keyword_statement_token1] = ACTIONS(3456),
    [aux_sym_keyword_statement_token2] = ACTIONS(3456),
    [aux_sym_keyword_statement_token3] = ACTIONS(3456),
    [aux_sym_keyword_statement_token4] = ACTIONS(3456),
    [aux_sym_keyword_statement_token6] = ACTIONS(3456),
    [aux_sym_keyword_statement_token7] = ACTIONS(3456),
    [aux_sym_include_statement_token1] = ACTIONS(3456),
    [aux_sym_data_statement_token1] = ACTIONS(3456),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3456),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3456),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3456),
    [aux_sym_end_if_statement_token1] = ACTIONS(3456),
    [aux_sym_elseif_clause_token2] = ACTIONS(3456),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3456),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3456),
    [aux_sym_select_case_statement_token1] = ACTIONS(3456),
    [aux_sym_select_case_statement_token3] = ACTIONS(3456),
    [aux_sym_select_type_statement_token1] = ACTIONS(3456),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3456),
    [aux_sym_block_construct_token1] = ACTIONS(3456),
    [aux_sym_associate_statement_token1] = ACTIONS(3456),
    [aux_sym_format_statement_token1] = ACTIONS(3456),
    [aux_sym_print_statement_token1] = ACTIONS(3456),
    [aux_sym_open_statement_token1] = ACTIONS(3456),
    [aux_sym_close_statement_token1] = ACTIONS(3456),
    [aux_sym_inquire_statement_token1] = ACTIONS(3456),
    [aux_sym_file_position_statement_token1] = ACTIONS(3456),
    [aux_sym_file_position_statement_token2] = ACTIONS(3456),
    [aux_sym_file_position_statement_token3] = ACTIONS(3456),
    [aux_sym_file_position_statement_token4] = ACTIONS(3456),
    [aux_sym_logical_expression_token1] = ACTIONS(3462),
    [aux_sym_logical_expression_token2] = ACTIONS(3462),
    [aux_sym_logical_expression_token3] = ACTIONS(3462),
    [aux_sym_logical_expression_token4] = ACTIONS(3462),
    [aux_sym_logical_expression_token5] = ACTIONS(3458),
    [aux_sym_relational_expression_token1] = ACTIONS(3462),
    [aux_sym_relational_expression_token2] = ACTIONS(3462),
    [aux_sym_relational_expression_token3] = ACTIONS(3462),
    [aux_sym_relational_expression_token4] = ACTIONS(3462),
    [aux_sym_relational_expression_token5] = ACTIONS(3462),
    [anon_sym_SLASH_EQ] = ACTIONS(3462),
    [aux_sym_relational_expression_token6] = ACTIONS(3462),
    [anon_sym_SLASH_SLASH] = ACTIONS(3462),
    [anon_sym_STAR_STAR] = ACTIONS(3462),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(3458),
    [aux_sym_boolean_literal_token1] = ACTIONS(3458),
    [aux_sym_boolean_literal_token2] = ACTIONS(3458),
    [anon_sym__] = ACTIONS(3464),
    [aux_sym_null_literal_token1] = ACTIONS(3456),
    [aux_sym_identifier_token1] = ACTIONS(3456),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3458),
    [sym__float_literal] = ACTIONS(3458),
    [sym__boz_literal] = ACTIONS(3458),
    [sym__string_literal] = ACTIONS(3458),
    [sym__string_literal_kind] = ACTIONS(3458),
  },
  [1289] = {
    [sym__kind] = STATE(2116),
    [anon_sym_LPAREN2] = ACTIONS(3456),
    [anon_sym_PLUS] = ACTIONS(3458),
    [anon_sym_DASH] = ACTIONS(3458),
    [anon_sym_STAR] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_PERCENT] = ACTIONS(3462),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3462),
    [anon_sym_GT] = ACTIONS(3460),
    [anon_sym_GT_EQ] = ACTIONS(3462),
    [anon_sym_LT_EQ] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3460),
    [aux_sym_end_program_statement_token1] = ACTIONS(3456),
    [anon_sym_EQ] = ACTIONS(3460),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3456),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3456),
    [anon_sym_EQ_GT] = ACTIONS(3462),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3456),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3456),
    [aux_sym_stop_statement_token1] = ACTIONS(3456),
    [aux_sym_stop_statement_token2] = ACTIONS(3456),
    [aux_sym_subroutine_call_token1] = ACTIONS(3456),
    [aux_sym_keyword_statement_token1] = ACTIONS(3456),
    [aux_sym_keyword_statement_token2] = ACTIONS(3456),
    [aux_sym_keyword_statement_token3] = ACTIONS(3456),
    [aux_sym_keyword_statement_token4] = ACTIONS(3456),
    [aux_sym_keyword_statement_token6] = ACTIONS(3456),
    [aux_sym_keyword_statement_token7] = ACTIONS(3456),
    [aux_sym_include_statement_token1] = ACTIONS(3456),
    [aux_sym_data_statement_token1] = ACTIONS(3456),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3456),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3456),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3456),
    [aux_sym_end_if_statement_token1] = ACTIONS(3456),
    [aux_sym_elseif_clause_token2] = ACTIONS(3456),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3456),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3456),
    [aux_sym_select_case_statement_token1] = ACTIONS(3456),
    [aux_sym_select_case_statement_token3] = ACTIONS(3456),
    [aux_sym_select_type_statement_token1] = ACTIONS(3456),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3456),
    [aux_sym_block_construct_token1] = ACTIONS(3456),
    [aux_sym_associate_statement_token1] = ACTIONS(3456),
    [aux_sym_format_statement_token1] = ACTIONS(3456),
    [aux_sym_print_statement_token1] = ACTIONS(3456),
    [aux_sym_open_statement_token1] = ACTIONS(3456),
    [aux_sym_close_statement_token1] = ACTIONS(3456),
    [aux_sym_inquire_statement_token1] = ACTIONS(3456),
    [aux_sym_file_position_statement_token1] = ACTIONS(3456),
    [aux_sym_file_position_statement_token2] = ACTIONS(3456),
    [aux_sym_file_position_statement_token3] = ACTIONS(3456),
    [aux_sym_file_position_statement_token4] = ACTIONS(3456),
    [aux_sym_logical_expression_token1] = ACTIONS(3462),
    [aux_sym_logical_expression_token2] = ACTIONS(3462),
    [aux_sym_logical_expression_token3] = ACTIONS(3462),
    [aux_sym_logical_expression_token4] = ACTIONS(3462),
    [aux_sym_logical_expression_token5] = ACTIONS(3458),
    [aux_sym_relational_expression_token1] = ACTIONS(3462),
    [aux_sym_relational_expression_token2] = ACTIONS(3462),
    [aux_sym_relational_expression_token3] = ACTIONS(3462),
    [aux_sym_relational_expression_token4] = ACTIONS(3462),
    [aux_sym_relational_expression_token5] = ACTIONS(3462),
    [anon_sym_SLASH_EQ] = ACTIONS(3462),
    [aux_sym_relational_expression_token6] = ACTIONS(3462),
    [anon_sym_SLASH_SLASH] = ACTIONS(3462),
    [anon_sym_STAR_STAR] = ACTIONS(3462),
    [anon_sym_DOT] = ACTIONS(3456),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(3458),
    [aux_sym_boolean_literal_token1] = ACTIONS(3458),
    [aux_sym_boolean_literal_token2] = ACTIONS(3458),
    [anon_sym__] = ACTIONS(3464),
    [aux_sym_null_literal_token1] = ACTIONS(3456),
    [aux_sym_identifier_token1] = ACTIONS(3456),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3458),
    [sym__float_literal] = ACTIONS(3458),
    [sym__boz_literal] = ACTIONS(3458),
    [sym__string_literal] = ACTIONS(3458),
    [sym__string_literal_kind] = ACTIONS(3458),
  },
  [1290] = {
    [sym__expression] = STATE(2585),
    [sym_parenthesized_expression] = STATE(2910),
    [sym_derived_type_member_expression] = STATE(2910),
    [sym_logical_expression] = STATE(2910),
    [sym_relational_expression] = STATE(2910),
    [sym_concatenation_expression] = STATE(2910),
    [sym_math_expression] = STATE(2910),
    [sym_unary_expression] = STATE(2910),
    [sym_user_defined_operator] = STATE(1941),
    [sym_call_expression] = STATE(2910),
    [sym_implied_do_loop_expression] = STATE(2910),
    [sym_array_literal] = STATE(2910),
    [sym__array_constructor_legacy] = STATE(2855),
    [sym__array_constructor_f2003] = STATE(2856),
    [sym_complex_literal] = STATE(2910),
    [sym_number_literal] = STATE(2910),
    [sym_boolean_literal] = STATE(2910),
    [sym_null_literal] = STATE(2910),
    [sym_string_literal] = STATE(2910),
    [sym_identifier] = STATE(2910),
    [anon_sym_COMMA] = ACTIONS(3466),
    [anon_sym_LPAREN2] = ACTIONS(3468),
    [anon_sym_PLUS] = ACTIONS(3471),
    [anon_sym_DASH] = ACTIONS(3471),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2353),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(3440),
    [anon_sym_COLON] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3442),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3442),
    [anon_sym_EQ_GT] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3442),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3442),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3444),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3442),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3442),
    [aux_sym_stop_statement_token1] = ACTIONS(3442),
    [aux_sym_stop_statement_token2] = ACTIONS(3442),
    [aux_sym_keyword_statement_token2] = ACTIONS(3442),
    [aux_sym_keyword_statement_token3] = ACTIONS(3442),
    [aux_sym_data_statement_token1] = ACTIONS(3442),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3442),
    [aux_sym_end_if_statement_token1] = ACTIONS(3442),
    [aux_sym_elseif_clause_token2] = ACTIONS(3442),
    [aux_sym_select_case_statement_token1] = ACTIONS(3446),
    [aux_sym_block_construct_token1] = ACTIONS(3442),
    [aux_sym_format_statement_token1] = ACTIONS(3442),
    [aux_sym_inquire_statement_token1] = ACTIONS(3442),
    [aux_sym_logical_expression_token1] = ACTIONS(2353),
    [aux_sym_logical_expression_token2] = ACTIONS(2353),
    [aux_sym_logical_expression_token3] = ACTIONS(2353),
    [aux_sym_logical_expression_token4] = ACTIONS(2353),
    [aux_sym_logical_expression_token5] = ACTIONS(3474),
    [aux_sym_relational_expression_token1] = ACTIONS(2353),
    [aux_sym_relational_expression_token2] = ACTIONS(2353),
    [aux_sym_relational_expression_token3] = ACTIONS(2353),
    [aux_sym_relational_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token5] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [aux_sym_relational_expression_token6] = ACTIONS(2353),
    [anon_sym_SLASH_SLASH] = ACTIONS(2353),
    [anon_sym_STAR_STAR] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(3476),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3481),
    [aux_sym_boolean_literal_token1] = ACTIONS(3483),
    [aux_sym_boolean_literal_token2] = ACTIONS(3483),
    [aux_sym_null_literal_token1] = ACTIONS(3485),
    [aux_sym_identifier_token1] = ACTIONS(3442),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3487),
    [sym__float_literal] = ACTIONS(3487),
    [sym__boz_literal] = ACTIONS(3487),
    [sym__string_literal] = ACTIONS(3452),
    [sym__string_literal_kind] = ACTIONS(3454),
    [sym__end_of_statement] = ACTIONS(3489),
  },
  [1291] = {
    [sym_data_set] = STATE(4635),
    [sym__expression] = STATE(2770),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(3115),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1966),
    [sym_call_expression] = STATE(3115),
    [sym_implied_do_loop_expression] = STATE(3115),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(3115),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2353),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [anon_sym_EQ_GT] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token1] = ACTIONS(2353),
    [aux_sym_logical_expression_token2] = ACTIONS(2353),
    [aux_sym_logical_expression_token3] = ACTIONS(2353),
    [aux_sym_logical_expression_token4] = ACTIONS(2353),
    [aux_sym_logical_expression_token5] = ACTIONS(149),
    [aux_sym_relational_expression_token1] = ACTIONS(2353),
    [aux_sym_relational_expression_token2] = ACTIONS(2353),
    [aux_sym_relational_expression_token3] = ACTIONS(2353),
    [aux_sym_relational_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token5] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [aux_sym_relational_expression_token6] = ACTIONS(2353),
    [anon_sym_SLASH_SLASH] = ACTIONS(2353),
    [anon_sym_STAR_STAR] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(163),
    [sym__float_literal] = ACTIONS(163),
    [sym__boz_literal] = ACTIONS(163),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1292] = {
    [anon_sym_COMMA] = ACTIONS(3491),
    [anon_sym_RPAREN] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_SLASH] = ACTIONS(3493),
    [anon_sym_PERCENT] = ACTIONS(3491),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3491),
    [anon_sym_GT] = ACTIONS(3493),
    [anon_sym_GT_EQ] = ACTIONS(3491),
    [anon_sym_LT_EQ] = ACTIONS(3491),
    [anon_sym_LT] = ACTIONS(3493),
    [aux_sym_end_program_statement_token1] = ACTIONS(3493),
    [anon_sym_EQ] = ACTIONS(3493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3493),
    [aux_sym_use_statement_token2] = ACTIONS(3493),
    [anon_sym_COLON_COLON] = ACTIONS(3491),
    [anon_sym_EQ_GT] = ACTIONS(3491),
    [aux_sym_implicit_statement_token4] = ACTIONS(3493),
    [aux_sym_save_statement_token1] = ACTIONS(3493),
    [aux_sym_private_statement_token1] = ACTIONS(3493),
    [aux_sym_public_statement_token1] = ACTIONS(3493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3493),
    [aux_sym_variable_attributes_token1] = ACTIONS(3493),
    [aux_sym_variable_attributes_token2] = ACTIONS(3493),
    [aux_sym_variable_attributes_token3] = ACTIONS(3493),
    [aux_sym_variable_attributes_token4] = ACTIONS(3493),
    [aux_sym_variable_attributes_token5] = ACTIONS(3493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3493),
    [aux_sym_stop_statement_token1] = ACTIONS(3493),
    [aux_sym_stop_statement_token2] = ACTIONS(3493),
    [anon_sym_GT_GT_GT] = ACTIONS(3491),
    [aux_sym_keyword_statement_token2] = ACTIONS(3493),
    [aux_sym_keyword_statement_token3] = ACTIONS(3493),
    [aux_sym_data_statement_token1] = ACTIONS(3493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3493),
    [aux_sym_end_if_statement_token1] = ACTIONS(3493),
    [aux_sym_elseif_clause_token2] = ACTIONS(3493),
    [aux_sym_select_case_statement_token1] = ACTIONS(3493),
    [aux_sym_block_construct_token1] = ACTIONS(3493),
    [aux_sym_format_statement_token1] = ACTIONS(3493),
    [aux_sym_inquire_statement_token1] = ACTIONS(3493),
    [aux_sym_logical_expression_token1] = ACTIONS(3491),
    [aux_sym_logical_expression_token2] = ACTIONS(3491),
    [aux_sym_logical_expression_token3] = ACTIONS(3491),
    [aux_sym_logical_expression_token4] = ACTIONS(3491),
    [aux_sym_relational_expression_token1] = ACTIONS(3491),
    [aux_sym_relational_expression_token2] = ACTIONS(3491),
    [aux_sym_relational_expression_token3] = ACTIONS(3491),
    [aux_sym_relational_expression_token4] = ACTIONS(3491),
    [aux_sym_relational_expression_token5] = ACTIONS(3491),
    [anon_sym_SLASH_EQ] = ACTIONS(3491),
    [aux_sym_relational_expression_token6] = ACTIONS(3491),
    [anon_sym_SLASH_SLASH] = ACTIONS(3491),
    [anon_sym_STAR_STAR] = ACTIONS(3491),
    [anon_sym_DOT] = ACTIONS(3493),
    [anon_sym_SLASH_RPAREN] = ACTIONS(3491),
    [anon_sym_RBRACK] = ACTIONS(3491),
    [aux_sym_null_literal_token1] = ACTIONS(3493),
    [aux_sym_identifier_token1] = ACTIONS(3493),
    [sym_comment] = ACTIONS(21),
  },
  [1293] = {
    [anon_sym_COMMA] = ACTIONS(3495),
    [anon_sym_RPAREN] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_SLASH] = ACTIONS(3497),
    [anon_sym_PERCENT] = ACTIONS(3495),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3495),
    [anon_sym_GT] = ACTIONS(3497),
    [anon_sym_GT_EQ] = ACTIONS(3495),
    [anon_sym_LT_EQ] = ACTIONS(3495),
    [anon_sym_LT] = ACTIONS(3497),
    [aux_sym_end_program_statement_token1] = ACTIONS(3497),
    [anon_sym_EQ] = ACTIONS(3497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3497),
    [aux_sym_use_statement_token2] = ACTIONS(3497),
    [anon_sym_COLON_COLON] = ACTIONS(3495),
    [anon_sym_EQ_GT] = ACTIONS(3495),
    [aux_sym_implicit_statement_token4] = ACTIONS(3497),
    [aux_sym_save_statement_token1] = ACTIONS(3497),
    [aux_sym_private_statement_token1] = ACTIONS(3497),
    [aux_sym_public_statement_token1] = ACTIONS(3497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3497),
    [aux_sym_variable_attributes_token1] = ACTIONS(3497),
    [aux_sym_variable_attributes_token2] = ACTIONS(3497),
    [aux_sym_variable_attributes_token3] = ACTIONS(3497),
    [aux_sym_variable_attributes_token4] = ACTIONS(3497),
    [aux_sym_variable_attributes_token5] = ACTIONS(3497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3497),
    [aux_sym_stop_statement_token1] = ACTIONS(3497),
    [aux_sym_stop_statement_token2] = ACTIONS(3497),
    [anon_sym_GT_GT_GT] = ACTIONS(3495),
    [aux_sym_keyword_statement_token2] = ACTIONS(3497),
    [aux_sym_keyword_statement_token3] = ACTIONS(3497),
    [aux_sym_data_statement_token1] = ACTIONS(3497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3497),
    [aux_sym_end_if_statement_token1] = ACTIONS(3497),
    [aux_sym_elseif_clause_token2] = ACTIONS(3497),
    [aux_sym_select_case_statement_token1] = ACTIONS(3497),
    [aux_sym_block_construct_token1] = ACTIONS(3497),
    [aux_sym_format_statement_token1] = ACTIONS(3497),
    [aux_sym_inquire_statement_token1] = ACTIONS(3497),
    [aux_sym_logical_expression_token1] = ACTIONS(3495),
    [aux_sym_logical_expression_token2] = ACTIONS(3495),
    [aux_sym_logical_expression_token3] = ACTIONS(3495),
    [aux_sym_logical_expression_token4] = ACTIONS(3495),
    [aux_sym_relational_expression_token1] = ACTIONS(3495),
    [aux_sym_relational_expression_token2] = ACTIONS(3495),
    [aux_sym_relational_expression_token3] = ACTIONS(3495),
    [aux_sym_relational_expression_token4] = ACTIONS(3495),
    [aux_sym_relational_expression_token5] = ACTIONS(3495),
    [anon_sym_SLASH_EQ] = ACTIONS(3495),
    [aux_sym_relational_expression_token6] = ACTIONS(3495),
    [anon_sym_SLASH_SLASH] = ACTIONS(3495),
    [anon_sym_STAR_STAR] = ACTIONS(3495),
    [anon_sym_DOT] = ACTIONS(3497),
    [anon_sym_SLASH_RPAREN] = ACTIONS(3495),
    [anon_sym_RBRACK] = ACTIONS(3495),
    [aux_sym_null_literal_token1] = ACTIONS(3497),
    [aux_sym_identifier_token1] = ACTIONS(3497),
    [sym_comment] = ACTIONS(21),
  },
  [1294] = {
    [anon_sym_COMMA] = ACTIONS(3499),
    [anon_sym_RPAREN] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_SLASH] = ACTIONS(3501),
    [anon_sym_PERCENT] = ACTIONS(3499),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3499),
    [anon_sym_GT] = ACTIONS(3501),
    [anon_sym_GT_EQ] = ACTIONS(3499),
    [anon_sym_LT_EQ] = ACTIONS(3499),
    [anon_sym_LT] = ACTIONS(3501),
    [aux_sym_end_program_statement_token1] = ACTIONS(3501),
    [anon_sym_EQ] = ACTIONS(3501),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3501),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3501),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3501),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3501),
    [aux_sym_use_statement_token2] = ACTIONS(3501),
    [anon_sym_COLON_COLON] = ACTIONS(3499),
    [anon_sym_EQ_GT] = ACTIONS(3499),
    [aux_sym_implicit_statement_token4] = ACTIONS(3501),
    [aux_sym_save_statement_token1] = ACTIONS(3501),
    [aux_sym_private_statement_token1] = ACTIONS(3501),
    [aux_sym_public_statement_token1] = ACTIONS(3501),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3501),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3501),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3501),
    [aux_sym_variable_attributes_token1] = ACTIONS(3501),
    [aux_sym_variable_attributes_token2] = ACTIONS(3501),
    [aux_sym_variable_attributes_token3] = ACTIONS(3501),
    [aux_sym_variable_attributes_token4] = ACTIONS(3501),
    [aux_sym_variable_attributes_token5] = ACTIONS(3501),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3501),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3501),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3501),
    [aux_sym_stop_statement_token1] = ACTIONS(3501),
    [aux_sym_stop_statement_token2] = ACTIONS(3501),
    [anon_sym_GT_GT_GT] = ACTIONS(3499),
    [aux_sym_keyword_statement_token2] = ACTIONS(3501),
    [aux_sym_keyword_statement_token3] = ACTIONS(3501),
    [aux_sym_data_statement_token1] = ACTIONS(3501),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3501),
    [aux_sym_end_if_statement_token1] = ACTIONS(3501),
    [aux_sym_elseif_clause_token2] = ACTIONS(3501),
    [aux_sym_select_case_statement_token1] = ACTIONS(3501),
    [aux_sym_block_construct_token1] = ACTIONS(3501),
    [aux_sym_format_statement_token1] = ACTIONS(3501),
    [aux_sym_inquire_statement_token1] = ACTIONS(3501),
    [aux_sym_logical_expression_token1] = ACTIONS(3499),
    [aux_sym_logical_expression_token2] = ACTIONS(3499),
    [aux_sym_logical_expression_token3] = ACTIONS(3499),
    [aux_sym_logical_expression_token4] = ACTIONS(3499),
    [aux_sym_relational_expression_token1] = ACTIONS(3499),
    [aux_sym_relational_expression_token2] = ACTIONS(3499),
    [aux_sym_relational_expression_token3] = ACTIONS(3499),
    [aux_sym_relational_expression_token4] = ACTIONS(3499),
    [aux_sym_relational_expression_token5] = ACTIONS(3499),
    [anon_sym_SLASH_EQ] = ACTIONS(3499),
    [aux_sym_relational_expression_token6] = ACTIONS(3499),
    [anon_sym_SLASH_SLASH] = ACTIONS(3499),
    [anon_sym_STAR_STAR] = ACTIONS(3499),
    [anon_sym_DOT] = ACTIONS(3501),
    [anon_sym_SLASH_RPAREN] = ACTIONS(3499),
    [anon_sym_RBRACK] = ACTIONS(3499),
    [aux_sym_null_literal_token1] = ACTIONS(3501),
    [aux_sym_identifier_token1] = ACTIONS(3501),
    [sym_comment] = ACTIONS(21),
  },
  [1295] = {
    [anon_sym_COMMA] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_SLASH] = ACTIONS(3505),
    [anon_sym_PERCENT] = ACTIONS(3503),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(3503),
    [anon_sym_GT] = ACTIONS(3505),
    [anon_sym_GT_EQ] = ACTIONS(3503),
    [anon_sym_LT_EQ] = ACTIONS(3503),
    [anon_sym_LT] = ACTIONS(3505),
    [aux_sym_end_program_statement_token1] = ACTIONS(3505),
    [anon_sym_EQ] = ACTIONS(3505),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3505),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3505),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3505),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3505),
    [aux_sym_use_statement_token2] = ACTIONS(3505),
    [anon_sym_COLON_COLON] = ACTIONS(3503),
    [anon_sym_EQ_GT] = ACTIONS(3503),
    [aux_sym_implicit_statement_token4] = ACTIONS(3505),
    [aux_sym_save_statement_token1] = ACTIONS(3505),
    [aux_sym_private_statement_token1] = ACTIONS(3505),
    [aux_sym_public_statement_token1] = ACTIONS(3505),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3505),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3505),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3505),
    [aux_sym_variable_attributes_token1] = ACTIONS(3505),
    [aux_sym_variable_attributes_token2] = ACTIONS(3505),
    [aux_sym_variable_attributes_token3] = ACTIONS(3505),
    [aux_sym_variable_attributes_token4] = ACTIONS(3505),
    [aux_sym_variable_attributes_token5] = ACTIONS(3505),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3505),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3505),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3505),
    [aux_sym_stop_statement_token1] = ACTIONS(3505),
    [aux_sym_stop_statement_token2] = ACTIONS(3505),
    [anon_sym_GT_GT_GT] = ACTIONS(3503),
    [aux_sym_keyword_statement_token2] = ACTIONS(3505),
    [aux_sym_keyword_statement_token3] = ACTIONS(3505),
    [aux_sym_data_statement_token1] = ACTIONS(3505),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3505),
    [aux_sym_end_if_statement_token1] = ACTIONS(3505),
    [aux_sym_elseif_clause_token2] = ACTIONS(3505),
    [aux_sym_select_case_statement_token1] = ACTIONS(3505),
    [aux_sym_block_construct_token1] = ACTIONS(3505),
    [aux_sym_format_statement_token1] = ACTIONS(3505),
    [aux_sym_inquire_statement_token1] = ACTIONS(3505),
    [aux_sym_logical_expression_token1] = ACTIONS(3503),
    [aux_sym_logical_expression_token2] = ACTIONS(3503),
    [aux_sym_logical_expression_token3] = ACTIONS(3503),
    [aux_sym_logical_expression_token4] = ACTIONS(3503),
    [aux_sym_relational_expression_token1] = ACTIONS(3503),
    [aux_sym_relational_expression_token2] = ACTIONS(3503),
    [aux_sym_relational_expression_token3] = ACTIONS(3503),
    [aux_sym_relational_expression_token4] = ACTIONS(3503),
    [aux_sym_relational_expression_token5] = ACTIONS(3503),
    [anon_sym_SLASH_EQ] = ACTIONS(3503),
    [aux_sym_relational_expression_token6] = ACTIONS(3503),
    [anon_sym_SLASH_SLASH] = ACTIONS(3503),
    [anon_sym_STAR_STAR] = ACTIONS(3503),
    [anon_sym_DOT] = ACTIONS(3505),
    [anon_sym_SLASH_RPAREN] = ACTIONS(3503),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [aux_sym_null_literal_token1] = ACTIONS(3505),
    [aux_sym_identifier_token1] = ACTIONS(3505),
    [sym_comment] = ACTIONS(21),
  },
  [1296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token2] = ACTIONS(2385),
    [aux_sym_preproc_else_token1] = ACTIONS(2385),
    [aux_sym_preproc_elif_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [sym_preproc_comment] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_interface_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token2] = ACTIONS(2385),
    [aux_sym_implicit_statement_token1] = ACTIONS(2385),
    [aux_sym_implicit_statement_token3] = ACTIONS(2385),
    [aux_sym_implicit_statement_token4] = ACTIONS(2385),
    [aux_sym_save_statement_token1] = ACTIONS(2385),
    [aux_sym_private_statement_token1] = ACTIONS(2385),
    [aux_sym_public_statement_token1] = ACTIONS(2385),
    [aux_sym_namelist_statement_token1] = ACTIONS(2385),
    [aux_sym_common_statement_token1] = ACTIONS(2385),
    [aux_sym_import_statement_token1] = ACTIONS(2385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2385),
    [aux_sym_variable_attributes_token1] = ACTIONS(2385),
    [aux_sym_variable_attributes_token2] = ACTIONS(2385),
    [aux_sym_variable_attributes_token3] = ACTIONS(2385),
    [aux_sym_variable_attributes_token4] = ACTIONS(2385),
    [aux_sym_variable_attributes_token5] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2385),
    [aux_sym_derived_type_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_enum_statement_token1] = ACTIONS(2385),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
  },
  [1297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token2] = ACTIONS(2351),
    [aux_sym_preproc_else_token1] = ACTIONS(2351),
    [aux_sym_preproc_elif_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [sym_preproc_comment] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token2] = ACTIONS(2351),
    [aux_sym_implicit_statement_token1] = ACTIONS(2351),
    [aux_sym_implicit_statement_token3] = ACTIONS(2351),
    [aux_sym_implicit_statement_token4] = ACTIONS(2351),
    [aux_sym_save_statement_token1] = ACTIONS(2351),
    [aux_sym_private_statement_token1] = ACTIONS(2351),
    [aux_sym_public_statement_token1] = ACTIONS(2351),
    [aux_sym_namelist_statement_token1] = ACTIONS(2351),
    [aux_sym_common_statement_token1] = ACTIONS(2351),
    [aux_sym_import_statement_token1] = ACTIONS(2351),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2351),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2351),
    [aux_sym_variable_attributes_token1] = ACTIONS(2351),
    [aux_sym_variable_attributes_token2] = ACTIONS(2351),
    [aux_sym_variable_attributes_token3] = ACTIONS(2351),
    [aux_sym_variable_attributes_token4] = ACTIONS(2351),
    [aux_sym_variable_attributes_token5] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2351),
    [aux_sym_derived_type_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2351),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_enum_statement_token1] = ACTIONS(2351),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
  },
  [1298] = {
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2353),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(3507),
    [anon_sym_COLON] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3507),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3507),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3507),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3507),
    [aux_sym_use_statement_token2] = ACTIONS(3507),
    [anon_sym_COLON_COLON] = ACTIONS(3509),
    [anon_sym_EQ_GT] = ACTIONS(2353),
    [aux_sym_implicit_statement_token4] = ACTIONS(3507),
    [aux_sym_save_statement_token1] = ACTIONS(3507),
    [aux_sym_private_statement_token1] = ACTIONS(3507),
    [aux_sym_public_statement_token1] = ACTIONS(3507),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3507),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3507),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3507),
    [aux_sym_variable_attributes_token1] = ACTIONS(3507),
    [aux_sym_variable_attributes_token2] = ACTIONS(3507),
    [aux_sym_variable_attributes_token3] = ACTIONS(3507),
    [aux_sym_variable_attributes_token4] = ACTIONS(3507),
    [aux_sym_variable_attributes_token5] = ACTIONS(3507),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3507),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3507),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3507),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3507),
    [aux_sym_stop_statement_token1] = ACTIONS(3507),
    [aux_sym_stop_statement_token2] = ACTIONS(3507),
    [aux_sym_keyword_statement_token2] = ACTIONS(3507),
    [aux_sym_keyword_statement_token3] = ACTIONS(3507),
    [aux_sym_data_statement_token1] = ACTIONS(3507),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3507),
    [aux_sym_end_if_statement_token1] = ACTIONS(3507),
    [aux_sym_elseif_clause_token2] = ACTIONS(3507),
    [aux_sym_select_case_statement_token1] = ACTIONS(3507),
    [aux_sym_block_construct_token1] = ACTIONS(3507),
    [aux_sym_format_statement_token1] = ACTIONS(3507),
    [aux_sym_inquire_statement_token1] = ACTIONS(3507),
    [aux_sym_logical_expression_token1] = ACTIONS(2353),
    [aux_sym_logical_expression_token2] = ACTIONS(2353),
    [aux_sym_logical_expression_token3] = ACTIONS(2353),
    [aux_sym_logical_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token1] = ACTIONS(2353),
    [aux_sym_relational_expression_token2] = ACTIONS(2353),
    [aux_sym_relational_expression_token3] = ACTIONS(2353),
    [aux_sym_relational_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token5] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [aux_sym_relational_expression_token6] = ACTIONS(2353),
    [anon_sym_SLASH_SLASH] = ACTIONS(2353),
    [anon_sym_STAR_STAR] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [aux_sym_null_literal_token1] = ACTIONS(3507),
    [aux_sym_identifier_token1] = ACTIONS(3507),
    [sym_comment] = ACTIONS(21),
  },
  [1299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token2] = ACTIONS(2301),
    [aux_sym_preproc_else_token1] = ACTIONS(2301),
    [aux_sym_preproc_elif_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [sym_preproc_comment] = ACTIONS(2303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_interface_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token2] = ACTIONS(2301),
    [aux_sym_implicit_statement_token1] = ACTIONS(2301),
    [aux_sym_implicit_statement_token3] = ACTIONS(2301),
    [aux_sym_implicit_statement_token4] = ACTIONS(2301),
    [aux_sym_save_statement_token1] = ACTIONS(2301),
    [aux_sym_private_statement_token1] = ACTIONS(2301),
    [aux_sym_public_statement_token1] = ACTIONS(2301),
    [aux_sym_namelist_statement_token1] = ACTIONS(2301),
    [aux_sym_common_statement_token1] = ACTIONS(2301),
    [aux_sym_import_statement_token1] = ACTIONS(2301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2301),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2301),
    [aux_sym_variable_attributes_token1] = ACTIONS(2301),
    [aux_sym_variable_attributes_token2] = ACTIONS(2301),
    [aux_sym_variable_attributes_token3] = ACTIONS(2301),
    [aux_sym_variable_attributes_token4] = ACTIONS(2301),
    [aux_sym_variable_attributes_token5] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2301),
    [aux_sym_derived_type_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2301),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_enum_statement_token1] = ACTIONS(2301),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
  },
  [1300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token2] = ACTIONS(2389),
    [aux_sym_preproc_else_token1] = ACTIONS(2389),
    [aux_sym_preproc_elif_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [sym_preproc_comment] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_interface_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token2] = ACTIONS(2389),
    [aux_sym_implicit_statement_token1] = ACTIONS(2389),
    [aux_sym_implicit_statement_token3] = ACTIONS(2389),
    [aux_sym_implicit_statement_token4] = ACTIONS(2389),
    [aux_sym_save_statement_token1] = ACTIONS(2389),
    [aux_sym_private_statement_token1] = ACTIONS(2389),
    [aux_sym_public_statement_token1] = ACTIONS(2389),
    [aux_sym_namelist_statement_token1] = ACTIONS(2389),
    [aux_sym_common_statement_token1] = ACTIONS(2389),
    [aux_sym_import_statement_token1] = ACTIONS(2389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2389),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2389),
    [aux_sym_variable_attributes_token1] = ACTIONS(2389),
    [aux_sym_variable_attributes_token2] = ACTIONS(2389),
    [aux_sym_variable_attributes_token3] = ACTIONS(2389),
    [aux_sym_variable_attributes_token4] = ACTIONS(2389),
    [aux_sym_variable_attributes_token5] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2389),
    [aux_sym_derived_type_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2389),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_enum_statement_token1] = ACTIONS(2389),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
  },
  [1301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [sym_preproc_comment] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3511),
    [aux_sym_end_module_statement_token1] = ACTIONS(3511),
    [aux_sym_interface_statement_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3511),
    [aux_sym_contains_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token2] = ACTIONS(3511),
    [aux_sym_implicit_statement_token1] = ACTIONS(3511),
    [aux_sym_implicit_statement_token3] = ACTIONS(3511),
    [aux_sym_implicit_statement_token4] = ACTIONS(3511),
    [aux_sym_save_statement_token1] = ACTIONS(3511),
    [aux_sym_private_statement_token1] = ACTIONS(3511),
    [aux_sym_public_statement_token1] = ACTIONS(3511),
    [aux_sym_namelist_statement_token1] = ACTIONS(3511),
    [aux_sym_common_statement_token1] = ACTIONS(3511),
    [aux_sym_import_statement_token1] = ACTIONS(3511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3511),
    [aux_sym_variable_attributes_token1] = ACTIONS(3511),
    [aux_sym_variable_attributes_token2] = ACTIONS(3511),
    [aux_sym_variable_attributes_token3] = ACTIONS(3511),
    [aux_sym_variable_attributes_token4] = ACTIONS(3511),
    [aux_sym_variable_attributes_token5] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3511),
    [aux_sym_derived_type_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token3] = ACTIONS(3511),
    [aux_sym_include_statement_token1] = ACTIONS(3511),
    [aux_sym_data_statement_token1] = ACTIONS(3511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3511),
    [aux_sym_end_if_statement_token1] = ACTIONS(3511),
    [aux_sym_elseif_clause_token2] = ACTIONS(3511),
    [aux_sym_select_case_statement_token1] = ACTIONS(3511),
    [aux_sym_block_construct_token1] = ACTIONS(3511),
    [aux_sym_format_statement_token1] = ACTIONS(3511),
    [aux_sym_inquire_statement_token1] = ACTIONS(3511),
    [aux_sym_enum_statement_token1] = ACTIONS(3511),
    [aux_sym_null_literal_token1] = ACTIONS(3511),
    [aux_sym_identifier_token1] = ACTIONS(3511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3515),
  },
  [1302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3517),
    [aux_sym_preproc_def_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [sym_preproc_directive] = ACTIONS(3517),
    [sym_preproc_comment] = ACTIONS(3519),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3517),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3517),
    [aux_sym_interface_statement_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3517),
    [aux_sym_contains_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token2] = ACTIONS(3517),
    [aux_sym_implicit_statement_token1] = ACTIONS(3517),
    [aux_sym_implicit_statement_token3] = ACTIONS(3517),
    [aux_sym_implicit_statement_token4] = ACTIONS(3517),
    [aux_sym_save_statement_token1] = ACTIONS(3517),
    [aux_sym_private_statement_token1] = ACTIONS(3517),
    [aux_sym_public_statement_token1] = ACTIONS(3517),
    [aux_sym_namelist_statement_token1] = ACTIONS(3517),
    [aux_sym_common_statement_token1] = ACTIONS(3517),
    [aux_sym_import_statement_token1] = ACTIONS(3517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3517),
    [aux_sym_variable_attributes_token1] = ACTIONS(3517),
    [aux_sym_variable_attributes_token2] = ACTIONS(3517),
    [aux_sym_variable_attributes_token3] = ACTIONS(3517),
    [aux_sym_variable_attributes_token4] = ACTIONS(3517),
    [aux_sym_variable_attributes_token5] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3517),
    [aux_sym_derived_type_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token3] = ACTIONS(3517),
    [aux_sym_include_statement_token1] = ACTIONS(3517),
    [aux_sym_data_statement_token1] = ACTIONS(3517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3517),
    [aux_sym_end_if_statement_token1] = ACTIONS(3517),
    [aux_sym_elseif_clause_token2] = ACTIONS(3517),
    [aux_sym_select_case_statement_token1] = ACTIONS(3517),
    [aux_sym_block_construct_token1] = ACTIONS(3517),
    [aux_sym_format_statement_token1] = ACTIONS(3517),
    [aux_sym_inquire_statement_token1] = ACTIONS(3517),
    [aux_sym_enum_statement_token1] = ACTIONS(3517),
    [aux_sym_null_literal_token1] = ACTIONS(3517),
    [aux_sym_identifier_token1] = ACTIONS(3517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3521),
  },
  [1303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3523),
    [aux_sym_preproc_def_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3523),
    [sym_preproc_directive] = ACTIONS(3523),
    [sym_preproc_comment] = ACTIONS(3525),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3523),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3523),
    [aux_sym_interface_statement_token1] = ACTIONS(3523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3523),
    [aux_sym_contains_statement_token1] = ACTIONS(3523),
    [aux_sym_use_statement_token1] = ACTIONS(3523),
    [aux_sym_use_statement_token2] = ACTIONS(3523),
    [aux_sym_implicit_statement_token1] = ACTIONS(3523),
    [aux_sym_implicit_statement_token3] = ACTIONS(3523),
    [aux_sym_implicit_statement_token4] = ACTIONS(3523),
    [aux_sym_save_statement_token1] = ACTIONS(3523),
    [aux_sym_private_statement_token1] = ACTIONS(3523),
    [aux_sym_public_statement_token1] = ACTIONS(3523),
    [aux_sym_namelist_statement_token1] = ACTIONS(3523),
    [aux_sym_common_statement_token1] = ACTIONS(3523),
    [aux_sym_import_statement_token1] = ACTIONS(3523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3523),
    [aux_sym_variable_attributes_token1] = ACTIONS(3523),
    [aux_sym_variable_attributes_token2] = ACTIONS(3523),
    [aux_sym_variable_attributes_token3] = ACTIONS(3523),
    [aux_sym_variable_attributes_token4] = ACTIONS(3523),
    [aux_sym_variable_attributes_token5] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3523),
    [aux_sym_derived_type_token1] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3523),
    [aux_sym_stop_statement_token1] = ACTIONS(3523),
    [aux_sym_stop_statement_token2] = ACTIONS(3523),
    [aux_sym_keyword_statement_token2] = ACTIONS(3523),
    [aux_sym_keyword_statement_token3] = ACTIONS(3523),
    [aux_sym_include_statement_token1] = ACTIONS(3523),
    [aux_sym_data_statement_token1] = ACTIONS(3523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3523),
    [aux_sym_end_if_statement_token1] = ACTIONS(3523),
    [aux_sym_elseif_clause_token2] = ACTIONS(3523),
    [aux_sym_select_case_statement_token1] = ACTIONS(3523),
    [aux_sym_block_construct_token1] = ACTIONS(3523),
    [aux_sym_format_statement_token1] = ACTIONS(3523),
    [aux_sym_inquire_statement_token1] = ACTIONS(3523),
    [aux_sym_enum_statement_token1] = ACTIONS(3523),
    [aux_sym_null_literal_token1] = ACTIONS(3523),
    [aux_sym_identifier_token1] = ACTIONS(3523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3527),
  },
  [1304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token2] = ACTIONS(2485),
    [aux_sym_preproc_else_token1] = ACTIONS(2485),
    [aux_sym_preproc_elif_token1] = ACTIONS(2485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
  },
  [1305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token2] = ACTIONS(2481),
    [aux_sym_preproc_else_token1] = ACTIONS(2481),
    [aux_sym_preproc_elif_token1] = ACTIONS(2481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
  },
  [1306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3529),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3529),
    [sym_preproc_directive] = ACTIONS(3529),
    [sym_preproc_comment] = ACTIONS(3531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3529),
    [aux_sym_end_module_statement_token1] = ACTIONS(3529),
    [aux_sym_interface_statement_token1] = ACTIONS(3529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3529),
    [aux_sym_contains_statement_token1] = ACTIONS(3529),
    [aux_sym_use_statement_token1] = ACTIONS(3529),
    [aux_sym_use_statement_token2] = ACTIONS(3529),
    [aux_sym_implicit_statement_token1] = ACTIONS(3529),
    [aux_sym_implicit_statement_token3] = ACTIONS(3529),
    [aux_sym_implicit_statement_token4] = ACTIONS(3529),
    [aux_sym_save_statement_token1] = ACTIONS(3529),
    [aux_sym_private_statement_token1] = ACTIONS(3529),
    [aux_sym_public_statement_token1] = ACTIONS(3529),
    [aux_sym_namelist_statement_token1] = ACTIONS(3529),
    [aux_sym_common_statement_token1] = ACTIONS(3529),
    [aux_sym_import_statement_token1] = ACTIONS(3529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3529),
    [aux_sym_variable_attributes_token1] = ACTIONS(3529),
    [aux_sym_variable_attributes_token2] = ACTIONS(3529),
    [aux_sym_variable_attributes_token3] = ACTIONS(3529),
    [aux_sym_variable_attributes_token4] = ACTIONS(3529),
    [aux_sym_variable_attributes_token5] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3529),
    [aux_sym_derived_type_token1] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3529),
    [aux_sym_stop_statement_token1] = ACTIONS(3529),
    [aux_sym_stop_statement_token2] = ACTIONS(3529),
    [aux_sym_keyword_statement_token2] = ACTIONS(3529),
    [aux_sym_keyword_statement_token3] = ACTIONS(3529),
    [aux_sym_include_statement_token1] = ACTIONS(3529),
    [aux_sym_data_statement_token1] = ACTIONS(3529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3529),
    [aux_sym_end_if_statement_token1] = ACTIONS(3529),
    [aux_sym_elseif_clause_token2] = ACTIONS(3529),
    [aux_sym_select_case_statement_token1] = ACTIONS(3529),
    [aux_sym_block_construct_token1] = ACTIONS(3529),
    [aux_sym_format_statement_token1] = ACTIONS(3529),
    [aux_sym_inquire_statement_token1] = ACTIONS(3529),
    [aux_sym_enum_statement_token1] = ACTIONS(3529),
    [aux_sym_null_literal_token1] = ACTIONS(3529),
    [aux_sym_identifier_token1] = ACTIONS(3529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3533),
  },
  [1307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3535),
    [aux_sym_preproc_def_token1] = ACTIONS(3535),
    [aux_sym_preproc_if_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3535),
    [sym_preproc_comment] = ACTIONS(3537),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3535),
    [aux_sym_end_module_statement_token1] = ACTIONS(3535),
    [aux_sym_interface_statement_token1] = ACTIONS(3535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3535),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3535),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3535),
    [aux_sym_contains_statement_token1] = ACTIONS(3535),
    [aux_sym_use_statement_token1] = ACTIONS(3535),
    [aux_sym_use_statement_token2] = ACTIONS(3535),
    [aux_sym_implicit_statement_token1] = ACTIONS(3535),
    [aux_sym_implicit_statement_token3] = ACTIONS(3535),
    [aux_sym_implicit_statement_token4] = ACTIONS(3535),
    [aux_sym_save_statement_token1] = ACTIONS(3535),
    [aux_sym_private_statement_token1] = ACTIONS(3535),
    [aux_sym_public_statement_token1] = ACTIONS(3535),
    [aux_sym_namelist_statement_token1] = ACTIONS(3535),
    [aux_sym_common_statement_token1] = ACTIONS(3535),
    [aux_sym_import_statement_token1] = ACTIONS(3535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3535),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3535),
    [aux_sym_variable_attributes_token1] = ACTIONS(3535),
    [aux_sym_variable_attributes_token2] = ACTIONS(3535),
    [aux_sym_variable_attributes_token3] = ACTIONS(3535),
    [aux_sym_variable_attributes_token4] = ACTIONS(3535),
    [aux_sym_variable_attributes_token5] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3535),
    [aux_sym_derived_type_token1] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3535),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3535),
    [aux_sym_stop_statement_token1] = ACTIONS(3535),
    [aux_sym_stop_statement_token2] = ACTIONS(3535),
    [aux_sym_keyword_statement_token2] = ACTIONS(3535),
    [aux_sym_keyword_statement_token3] = ACTIONS(3535),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_data_statement_token1] = ACTIONS(3535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3535),
    [aux_sym_end_if_statement_token1] = ACTIONS(3535),
    [aux_sym_elseif_clause_token2] = ACTIONS(3535),
    [aux_sym_select_case_statement_token1] = ACTIONS(3535),
    [aux_sym_block_construct_token1] = ACTIONS(3535),
    [aux_sym_format_statement_token1] = ACTIONS(3535),
    [aux_sym_inquire_statement_token1] = ACTIONS(3535),
    [aux_sym_enum_statement_token1] = ACTIONS(3535),
    [aux_sym_null_literal_token1] = ACTIONS(3535),
    [aux_sym_identifier_token1] = ACTIONS(3535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3539),
  },
  [1308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3541),
    [aux_sym_preproc_def_token1] = ACTIONS(3541),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3541),
    [sym_preproc_directive] = ACTIONS(3541),
    [sym_preproc_comment] = ACTIONS(3543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3541),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3541),
    [aux_sym_interface_statement_token1] = ACTIONS(3541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3541),
    [aux_sym_contains_statement_token1] = ACTIONS(3541),
    [aux_sym_use_statement_token1] = ACTIONS(3541),
    [aux_sym_use_statement_token2] = ACTIONS(3541),
    [aux_sym_implicit_statement_token1] = ACTIONS(3541),
    [aux_sym_implicit_statement_token3] = ACTIONS(3541),
    [aux_sym_implicit_statement_token4] = ACTIONS(3541),
    [aux_sym_save_statement_token1] = ACTIONS(3541),
    [aux_sym_private_statement_token1] = ACTIONS(3541),
    [aux_sym_public_statement_token1] = ACTIONS(3541),
    [aux_sym_namelist_statement_token1] = ACTIONS(3541),
    [aux_sym_common_statement_token1] = ACTIONS(3541),
    [aux_sym_import_statement_token1] = ACTIONS(3541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3541),
    [aux_sym_variable_attributes_token1] = ACTIONS(3541),
    [aux_sym_variable_attributes_token2] = ACTIONS(3541),
    [aux_sym_variable_attributes_token3] = ACTIONS(3541),
    [aux_sym_variable_attributes_token4] = ACTIONS(3541),
    [aux_sym_variable_attributes_token5] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3541),
    [aux_sym_derived_type_token1] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3541),
    [aux_sym_stop_statement_token1] = ACTIONS(3541),
    [aux_sym_stop_statement_token2] = ACTIONS(3541),
    [aux_sym_keyword_statement_token2] = ACTIONS(3541),
    [aux_sym_keyword_statement_token3] = ACTIONS(3541),
    [aux_sym_include_statement_token1] = ACTIONS(3541),
    [aux_sym_data_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3541),
    [aux_sym_end_if_statement_token1] = ACTIONS(3541),
    [aux_sym_elseif_clause_token2] = ACTIONS(3541),
    [aux_sym_select_case_statement_token1] = ACTIONS(3541),
    [aux_sym_block_construct_token1] = ACTIONS(3541),
    [aux_sym_format_statement_token1] = ACTIONS(3541),
    [aux_sym_inquire_statement_token1] = ACTIONS(3541),
    [aux_sym_enum_statement_token1] = ACTIONS(3541),
    [aux_sym_null_literal_token1] = ACTIONS(3541),
    [aux_sym_identifier_token1] = ACTIONS(3541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3545),
  },
  [1309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3547),
    [aux_sym_preproc_if_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3547),
    [sym_preproc_directive] = ACTIONS(3547),
    [sym_preproc_comment] = ACTIONS(3549),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3547),
    [aux_sym_interface_statement_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3547),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3547),
    [aux_sym_contains_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token2] = ACTIONS(3547),
    [aux_sym_implicit_statement_token1] = ACTIONS(3547),
    [aux_sym_implicit_statement_token3] = ACTIONS(3547),
    [aux_sym_implicit_statement_token4] = ACTIONS(3547),
    [aux_sym_save_statement_token1] = ACTIONS(3547),
    [aux_sym_private_statement_token1] = ACTIONS(3547),
    [aux_sym_public_statement_token1] = ACTIONS(3547),
    [aux_sym_namelist_statement_token1] = ACTIONS(3547),
    [aux_sym_common_statement_token1] = ACTIONS(3547),
    [aux_sym_import_statement_token1] = ACTIONS(3547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3547),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3547),
    [aux_sym_variable_attributes_token1] = ACTIONS(3547),
    [aux_sym_variable_attributes_token2] = ACTIONS(3547),
    [aux_sym_variable_attributes_token3] = ACTIONS(3547),
    [aux_sym_variable_attributes_token4] = ACTIONS(3547),
    [aux_sym_variable_attributes_token5] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3547),
    [aux_sym_derived_type_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3547),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token3] = ACTIONS(3547),
    [aux_sym_include_statement_token1] = ACTIONS(3547),
    [aux_sym_data_statement_token1] = ACTIONS(3547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3547),
    [aux_sym_end_if_statement_token1] = ACTIONS(3547),
    [aux_sym_elseif_clause_token2] = ACTIONS(3547),
    [aux_sym_select_case_statement_token1] = ACTIONS(3547),
    [aux_sym_block_construct_token1] = ACTIONS(3547),
    [aux_sym_format_statement_token1] = ACTIONS(3547),
    [aux_sym_inquire_statement_token1] = ACTIONS(3547),
    [aux_sym_enum_statement_token1] = ACTIONS(3547),
    [aux_sym_null_literal_token1] = ACTIONS(3547),
    [aux_sym_identifier_token1] = ACTIONS(3547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3551),
  },
  [1310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3553),
    [aux_sym_preproc_def_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3553),
    [sym_preproc_comment] = ACTIONS(3555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3553),
    [aux_sym_end_module_statement_token1] = ACTIONS(3553),
    [aux_sym_interface_statement_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3553),
    [aux_sym_contains_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token2] = ACTIONS(3553),
    [aux_sym_implicit_statement_token1] = ACTIONS(3553),
    [aux_sym_implicit_statement_token3] = ACTIONS(3553),
    [aux_sym_implicit_statement_token4] = ACTIONS(3553),
    [aux_sym_save_statement_token1] = ACTIONS(3553),
    [aux_sym_private_statement_token1] = ACTIONS(3553),
    [aux_sym_public_statement_token1] = ACTIONS(3553),
    [aux_sym_namelist_statement_token1] = ACTIONS(3553),
    [aux_sym_common_statement_token1] = ACTIONS(3553),
    [aux_sym_import_statement_token1] = ACTIONS(3553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3553),
    [aux_sym_variable_attributes_token1] = ACTIONS(3553),
    [aux_sym_variable_attributes_token2] = ACTIONS(3553),
    [aux_sym_variable_attributes_token3] = ACTIONS(3553),
    [aux_sym_variable_attributes_token4] = ACTIONS(3553),
    [aux_sym_variable_attributes_token5] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3553),
    [aux_sym_derived_type_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token3] = ACTIONS(3553),
    [aux_sym_include_statement_token1] = ACTIONS(3553),
    [aux_sym_data_statement_token1] = ACTIONS(3553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3553),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(3553),
    [aux_sym_select_case_statement_token1] = ACTIONS(3553),
    [aux_sym_block_construct_token1] = ACTIONS(3553),
    [aux_sym_format_statement_token1] = ACTIONS(3553),
    [aux_sym_inquire_statement_token1] = ACTIONS(3553),
    [aux_sym_enum_statement_token1] = ACTIONS(3553),
    [aux_sym_null_literal_token1] = ACTIONS(3553),
    [aux_sym_identifier_token1] = ACTIONS(3553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3557),
  },
  [1311] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3559),
    [aux_sym_preproc_def_token1] = ACTIONS(3559),
    [aux_sym_preproc_if_token1] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3559),
    [sym_preproc_directive] = ACTIONS(3559),
    [sym_preproc_comment] = ACTIONS(3561),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3559),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3559),
    [aux_sym_interface_statement_token1] = ACTIONS(3559),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3559),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3559),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3559),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3559),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3559),
    [aux_sym_contains_statement_token1] = ACTIONS(3559),
    [aux_sym_use_statement_token1] = ACTIONS(3559),
    [aux_sym_use_statement_token2] = ACTIONS(3559),
    [aux_sym_implicit_statement_token1] = ACTIONS(3559),
    [aux_sym_implicit_statement_token3] = ACTIONS(3559),
    [aux_sym_implicit_statement_token4] = ACTIONS(3559),
    [aux_sym_save_statement_token1] = ACTIONS(3559),
    [aux_sym_private_statement_token1] = ACTIONS(3559),
    [aux_sym_public_statement_token1] = ACTIONS(3559),
    [aux_sym_namelist_statement_token1] = ACTIONS(3559),
    [aux_sym_common_statement_token1] = ACTIONS(3559),
    [aux_sym_import_statement_token1] = ACTIONS(3559),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3559),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3559),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3559),
    [aux_sym_variable_attributes_token1] = ACTIONS(3559),
    [aux_sym_variable_attributes_token2] = ACTIONS(3559),
    [aux_sym_variable_attributes_token3] = ACTIONS(3559),
    [aux_sym_variable_attributes_token4] = ACTIONS(3559),
    [aux_sym_variable_attributes_token5] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3559),
    [aux_sym_derived_type_token1] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3559),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3559),
    [aux_sym_stop_statement_token1] = ACTIONS(3559),
    [aux_sym_stop_statement_token2] = ACTIONS(3559),
    [aux_sym_keyword_statement_token2] = ACTIONS(3559),
    [aux_sym_keyword_statement_token3] = ACTIONS(3559),
    [aux_sym_include_statement_token1] = ACTIONS(3559),
    [aux_sym_data_statement_token1] = ACTIONS(3559),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3559),
    [aux_sym_end_if_statement_token1] = ACTIONS(3559),
    [aux_sym_elseif_clause_token2] = ACTIONS(3559),
    [aux_sym_select_case_statement_token1] = ACTIONS(3559),
    [aux_sym_block_construct_token1] = ACTIONS(3559),
    [aux_sym_format_statement_token1] = ACTIONS(3559),
    [aux_sym_inquire_statement_token1] = ACTIONS(3559),
    [aux_sym_enum_statement_token1] = ACTIONS(3559),
    [aux_sym_null_literal_token1] = ACTIONS(3559),
    [aux_sym_identifier_token1] = ACTIONS(3559),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3563),
  },
  [1312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
  },
  [1313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3565),
    [aux_sym_preproc_def_token1] = ACTIONS(3565),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3565),
    [sym_preproc_directive] = ACTIONS(3565),
    [sym_preproc_comment] = ACTIONS(3567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3565),
    [aux_sym_end_module_statement_token1] = ACTIONS(3565),
    [aux_sym_interface_statement_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3565),
    [aux_sym_contains_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token2] = ACTIONS(3565),
    [aux_sym_implicit_statement_token1] = ACTIONS(3565),
    [aux_sym_implicit_statement_token3] = ACTIONS(3565),
    [aux_sym_implicit_statement_token4] = ACTIONS(3565),
    [aux_sym_save_statement_token1] = ACTIONS(3565),
    [aux_sym_private_statement_token1] = ACTIONS(3565),
    [aux_sym_public_statement_token1] = ACTIONS(3565),
    [aux_sym_namelist_statement_token1] = ACTIONS(3565),
    [aux_sym_common_statement_token1] = ACTIONS(3565),
    [aux_sym_import_statement_token1] = ACTIONS(3565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3565),
    [aux_sym_variable_attributes_token1] = ACTIONS(3565),
    [aux_sym_variable_attributes_token2] = ACTIONS(3565),
    [aux_sym_variable_attributes_token3] = ACTIONS(3565),
    [aux_sym_variable_attributes_token4] = ACTIONS(3565),
    [aux_sym_variable_attributes_token5] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3565),
    [aux_sym_derived_type_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token3] = ACTIONS(3565),
    [aux_sym_include_statement_token1] = ACTIONS(3565),
    [aux_sym_data_statement_token1] = ACTIONS(3565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3565),
    [aux_sym_end_if_statement_token1] = ACTIONS(3565),
    [aux_sym_elseif_clause_token2] = ACTIONS(3565),
    [aux_sym_select_case_statement_token1] = ACTIONS(3565),
    [aux_sym_block_construct_token1] = ACTIONS(3565),
    [aux_sym_format_statement_token1] = ACTIONS(3565),
    [aux_sym_inquire_statement_token1] = ACTIONS(3565),
    [aux_sym_enum_statement_token1] = ACTIONS(3565),
    [aux_sym_null_literal_token1] = ACTIONS(3565),
    [aux_sym_identifier_token1] = ACTIONS(3565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3569),
  },
  [1314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [aux_sym_preproc_else_token1] = ACTIONS(3043),
    [aux_sym_preproc_elif_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
  },
  [1315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3571),
    [aux_sym_preproc_def_token1] = ACTIONS(3571),
    [aux_sym_preproc_if_token1] = ACTIONS(3571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3571),
    [sym_preproc_directive] = ACTIONS(3571),
    [sym_preproc_comment] = ACTIONS(3573),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3571),
    [aux_sym_end_module_statement_token1] = ACTIONS(3571),
    [aux_sym_interface_statement_token1] = ACTIONS(3571),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3571),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3571),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3571),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3571),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3571),
    [aux_sym_contains_statement_token1] = ACTIONS(3571),
    [aux_sym_use_statement_token1] = ACTIONS(3571),
    [aux_sym_use_statement_token2] = ACTIONS(3571),
    [aux_sym_implicit_statement_token1] = ACTIONS(3571),
    [aux_sym_implicit_statement_token3] = ACTIONS(3571),
    [aux_sym_implicit_statement_token4] = ACTIONS(3571),
    [aux_sym_save_statement_token1] = ACTIONS(3571),
    [aux_sym_private_statement_token1] = ACTIONS(3571),
    [aux_sym_public_statement_token1] = ACTIONS(3571),
    [aux_sym_namelist_statement_token1] = ACTIONS(3571),
    [aux_sym_common_statement_token1] = ACTIONS(3571),
    [aux_sym_import_statement_token1] = ACTIONS(3571),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3571),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3571),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3571),
    [aux_sym_variable_attributes_token1] = ACTIONS(3571),
    [aux_sym_variable_attributes_token2] = ACTIONS(3571),
    [aux_sym_variable_attributes_token3] = ACTIONS(3571),
    [aux_sym_variable_attributes_token4] = ACTIONS(3571),
    [aux_sym_variable_attributes_token5] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3571),
    [aux_sym_derived_type_token1] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3571),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3571),
    [aux_sym_stop_statement_token1] = ACTIONS(3571),
    [aux_sym_stop_statement_token2] = ACTIONS(3571),
    [aux_sym_keyword_statement_token2] = ACTIONS(3571),
    [aux_sym_keyword_statement_token3] = ACTIONS(3571),
    [aux_sym_include_statement_token1] = ACTIONS(3571),
    [aux_sym_data_statement_token1] = ACTIONS(3571),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3571),
    [aux_sym_end_if_statement_token1] = ACTIONS(3571),
    [aux_sym_elseif_clause_token2] = ACTIONS(3571),
    [aux_sym_select_case_statement_token1] = ACTIONS(3571),
    [aux_sym_block_construct_token1] = ACTIONS(3571),
    [aux_sym_format_statement_token1] = ACTIONS(3571),
    [aux_sym_inquire_statement_token1] = ACTIONS(3571),
    [aux_sym_enum_statement_token1] = ACTIONS(3571),
    [aux_sym_null_literal_token1] = ACTIONS(3571),
    [aux_sym_identifier_token1] = ACTIONS(3571),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3575),
  },
  [1316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3523),
    [aux_sym_preproc_def_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3523),
    [sym_preproc_directive] = ACTIONS(3523),
    [sym_preproc_comment] = ACTIONS(3577),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3523),
    [aux_sym_end_module_statement_token1] = ACTIONS(3523),
    [aux_sym_interface_statement_token1] = ACTIONS(3523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3523),
    [aux_sym_contains_statement_token1] = ACTIONS(3523),
    [aux_sym_use_statement_token1] = ACTIONS(3523),
    [aux_sym_use_statement_token2] = ACTIONS(3523),
    [aux_sym_implicit_statement_token1] = ACTIONS(3523),
    [aux_sym_implicit_statement_token3] = ACTIONS(3523),
    [aux_sym_implicit_statement_token4] = ACTIONS(3523),
    [aux_sym_save_statement_token1] = ACTIONS(3523),
    [aux_sym_private_statement_token1] = ACTIONS(3523),
    [aux_sym_public_statement_token1] = ACTIONS(3523),
    [aux_sym_namelist_statement_token1] = ACTIONS(3523),
    [aux_sym_common_statement_token1] = ACTIONS(3523),
    [aux_sym_import_statement_token1] = ACTIONS(3523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3523),
    [aux_sym_variable_attributes_token1] = ACTIONS(3523),
    [aux_sym_variable_attributes_token2] = ACTIONS(3523),
    [aux_sym_variable_attributes_token3] = ACTIONS(3523),
    [aux_sym_variable_attributes_token4] = ACTIONS(3523),
    [aux_sym_variable_attributes_token5] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3523),
    [aux_sym_derived_type_token1] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3523),
    [aux_sym_stop_statement_token1] = ACTIONS(3523),
    [aux_sym_stop_statement_token2] = ACTIONS(3523),
    [aux_sym_keyword_statement_token2] = ACTIONS(3523),
    [aux_sym_keyword_statement_token3] = ACTIONS(3523),
    [aux_sym_include_statement_token1] = ACTIONS(3523),
    [aux_sym_data_statement_token1] = ACTIONS(3523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3523),
    [aux_sym_end_if_statement_token1] = ACTIONS(3523),
    [aux_sym_elseif_clause_token2] = ACTIONS(3523),
    [aux_sym_select_case_statement_token1] = ACTIONS(3523),
    [aux_sym_block_construct_token1] = ACTIONS(3523),
    [aux_sym_format_statement_token1] = ACTIONS(3523),
    [aux_sym_inquire_statement_token1] = ACTIONS(3523),
    [aux_sym_enum_statement_token1] = ACTIONS(3523),
    [aux_sym_null_literal_token1] = ACTIONS(3523),
    [aux_sym_identifier_token1] = ACTIONS(3523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3527),
  },
  [1317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token2] = ACTIONS(2477),
    [aux_sym_preproc_else_token1] = ACTIONS(2477),
    [aux_sym_preproc_elif_token1] = ACTIONS(2477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
  },
  [1318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token2] = ACTIONS(2473),
    [aux_sym_preproc_else_token1] = ACTIONS(2473),
    [aux_sym_preproc_elif_token1] = ACTIONS(2473),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
  },
  [1319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [aux_sym_preproc_else_token1] = ACTIONS(2461),
    [aux_sym_preproc_elif_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
  },
  [1320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
  },
  [1321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [aux_sym_preproc_else_token1] = ACTIONS(2441),
    [aux_sym_preproc_elif_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
  },
  [1322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3579),
    [aux_sym_preproc_def_token1] = ACTIONS(3579),
    [aux_sym_preproc_if_token1] = ACTIONS(3579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3579),
    [sym_preproc_directive] = ACTIONS(3579),
    [sym_preproc_comment] = ACTIONS(3581),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3579),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3579),
    [aux_sym_interface_statement_token1] = ACTIONS(3579),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3579),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3579),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3579),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3579),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3579),
    [aux_sym_contains_statement_token1] = ACTIONS(3579),
    [aux_sym_use_statement_token1] = ACTIONS(3579),
    [aux_sym_use_statement_token2] = ACTIONS(3579),
    [aux_sym_implicit_statement_token1] = ACTIONS(3579),
    [aux_sym_implicit_statement_token3] = ACTIONS(3579),
    [aux_sym_implicit_statement_token4] = ACTIONS(3579),
    [aux_sym_save_statement_token1] = ACTIONS(3579),
    [aux_sym_private_statement_token1] = ACTIONS(3579),
    [aux_sym_public_statement_token1] = ACTIONS(3579),
    [aux_sym_namelist_statement_token1] = ACTIONS(3579),
    [aux_sym_common_statement_token1] = ACTIONS(3579),
    [aux_sym_import_statement_token1] = ACTIONS(3579),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3579),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3579),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3579),
    [aux_sym_variable_attributes_token1] = ACTIONS(3579),
    [aux_sym_variable_attributes_token2] = ACTIONS(3579),
    [aux_sym_variable_attributes_token3] = ACTIONS(3579),
    [aux_sym_variable_attributes_token4] = ACTIONS(3579),
    [aux_sym_variable_attributes_token5] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3579),
    [aux_sym_derived_type_token1] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3579),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3579),
    [aux_sym_stop_statement_token1] = ACTIONS(3579),
    [aux_sym_stop_statement_token2] = ACTIONS(3579),
    [aux_sym_keyword_statement_token2] = ACTIONS(3579),
    [aux_sym_keyword_statement_token3] = ACTIONS(3579),
    [aux_sym_include_statement_token1] = ACTIONS(3579),
    [aux_sym_data_statement_token1] = ACTIONS(3579),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3579),
    [aux_sym_end_if_statement_token1] = ACTIONS(3579),
    [aux_sym_elseif_clause_token2] = ACTIONS(3579),
    [aux_sym_select_case_statement_token1] = ACTIONS(3579),
    [aux_sym_block_construct_token1] = ACTIONS(3579),
    [aux_sym_format_statement_token1] = ACTIONS(3579),
    [aux_sym_inquire_statement_token1] = ACTIONS(3579),
    [aux_sym_enum_statement_token1] = ACTIONS(3579),
    [aux_sym_null_literal_token1] = ACTIONS(3579),
    [aux_sym_identifier_token1] = ACTIONS(3579),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3583),
  },
  [1323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
  },
  [1324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3021),
    [aux_sym_preproc_elif_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
  },
  [1325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3541),
    [aux_sym_preproc_def_token1] = ACTIONS(3541),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3541),
    [sym_preproc_directive] = ACTIONS(3541),
    [sym_preproc_comment] = ACTIONS(3585),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3541),
    [aux_sym_end_module_statement_token1] = ACTIONS(3541),
    [aux_sym_interface_statement_token1] = ACTIONS(3541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3541),
    [aux_sym_contains_statement_token1] = ACTIONS(3541),
    [aux_sym_use_statement_token1] = ACTIONS(3541),
    [aux_sym_use_statement_token2] = ACTIONS(3541),
    [aux_sym_implicit_statement_token1] = ACTIONS(3541),
    [aux_sym_implicit_statement_token3] = ACTIONS(3541),
    [aux_sym_implicit_statement_token4] = ACTIONS(3541),
    [aux_sym_save_statement_token1] = ACTIONS(3541),
    [aux_sym_private_statement_token1] = ACTIONS(3541),
    [aux_sym_public_statement_token1] = ACTIONS(3541),
    [aux_sym_namelist_statement_token1] = ACTIONS(3541),
    [aux_sym_common_statement_token1] = ACTIONS(3541),
    [aux_sym_import_statement_token1] = ACTIONS(3541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3541),
    [aux_sym_variable_attributes_token1] = ACTIONS(3541),
    [aux_sym_variable_attributes_token2] = ACTIONS(3541),
    [aux_sym_variable_attributes_token3] = ACTIONS(3541),
    [aux_sym_variable_attributes_token4] = ACTIONS(3541),
    [aux_sym_variable_attributes_token5] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3541),
    [aux_sym_derived_type_token1] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3541),
    [aux_sym_stop_statement_token1] = ACTIONS(3541),
    [aux_sym_stop_statement_token2] = ACTIONS(3541),
    [aux_sym_keyword_statement_token2] = ACTIONS(3541),
    [aux_sym_keyword_statement_token3] = ACTIONS(3541),
    [aux_sym_include_statement_token1] = ACTIONS(3541),
    [aux_sym_data_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3541),
    [aux_sym_end_if_statement_token1] = ACTIONS(3541),
    [aux_sym_elseif_clause_token2] = ACTIONS(3541),
    [aux_sym_select_case_statement_token1] = ACTIONS(3541),
    [aux_sym_block_construct_token1] = ACTIONS(3541),
    [aux_sym_format_statement_token1] = ACTIONS(3541),
    [aux_sym_inquire_statement_token1] = ACTIONS(3541),
    [aux_sym_enum_statement_token1] = ACTIONS(3541),
    [aux_sym_null_literal_token1] = ACTIONS(3541),
    [aux_sym_identifier_token1] = ACTIONS(3541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3545),
  },
  [1326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token2] = ACTIONS(2469),
    [aux_sym_preproc_else_token1] = ACTIONS(2469),
    [aux_sym_preproc_elif_token1] = ACTIONS(2469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
  },
  [1327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3587),
    [aux_sym_preproc_def_token1] = ACTIONS(3587),
    [aux_sym_preproc_if_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3587),
    [sym_preproc_directive] = ACTIONS(3587),
    [sym_preproc_comment] = ACTIONS(3589),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3587),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3587),
    [aux_sym_interface_statement_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3587),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3587),
    [aux_sym_contains_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token2] = ACTIONS(3587),
    [aux_sym_implicit_statement_token1] = ACTIONS(3587),
    [aux_sym_implicit_statement_token3] = ACTIONS(3587),
    [aux_sym_implicit_statement_token4] = ACTIONS(3587),
    [aux_sym_save_statement_token1] = ACTIONS(3587),
    [aux_sym_private_statement_token1] = ACTIONS(3587),
    [aux_sym_public_statement_token1] = ACTIONS(3587),
    [aux_sym_namelist_statement_token1] = ACTIONS(3587),
    [aux_sym_common_statement_token1] = ACTIONS(3587),
    [aux_sym_import_statement_token1] = ACTIONS(3587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3587),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3587),
    [aux_sym_variable_attributes_token1] = ACTIONS(3587),
    [aux_sym_variable_attributes_token2] = ACTIONS(3587),
    [aux_sym_variable_attributes_token3] = ACTIONS(3587),
    [aux_sym_variable_attributes_token4] = ACTIONS(3587),
    [aux_sym_variable_attributes_token5] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3587),
    [aux_sym_derived_type_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3587),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token3] = ACTIONS(3587),
    [aux_sym_include_statement_token1] = ACTIONS(3587),
    [aux_sym_data_statement_token1] = ACTIONS(3587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3587),
    [aux_sym_end_if_statement_token1] = ACTIONS(3587),
    [aux_sym_elseif_clause_token2] = ACTIONS(3587),
    [aux_sym_select_case_statement_token1] = ACTIONS(3587),
    [aux_sym_block_construct_token1] = ACTIONS(3587),
    [aux_sym_format_statement_token1] = ACTIONS(3587),
    [aux_sym_inquire_statement_token1] = ACTIONS(3587),
    [aux_sym_enum_statement_token1] = ACTIONS(3587),
    [aux_sym_null_literal_token1] = ACTIONS(3587),
    [aux_sym_identifier_token1] = ACTIONS(3587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3591),
  },
  [1328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3571),
    [aux_sym_preproc_def_token1] = ACTIONS(3571),
    [aux_sym_preproc_if_token1] = ACTIONS(3571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3571),
    [sym_preproc_directive] = ACTIONS(3571),
    [sym_preproc_comment] = ACTIONS(3593),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3571),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3571),
    [aux_sym_interface_statement_token1] = ACTIONS(3571),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3571),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3571),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3571),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3571),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3571),
    [aux_sym_contains_statement_token1] = ACTIONS(3571),
    [aux_sym_use_statement_token1] = ACTIONS(3571),
    [aux_sym_use_statement_token2] = ACTIONS(3571),
    [aux_sym_implicit_statement_token1] = ACTIONS(3571),
    [aux_sym_implicit_statement_token3] = ACTIONS(3571),
    [aux_sym_implicit_statement_token4] = ACTIONS(3571),
    [aux_sym_save_statement_token1] = ACTIONS(3571),
    [aux_sym_private_statement_token1] = ACTIONS(3571),
    [aux_sym_public_statement_token1] = ACTIONS(3571),
    [aux_sym_namelist_statement_token1] = ACTIONS(3571),
    [aux_sym_common_statement_token1] = ACTIONS(3571),
    [aux_sym_import_statement_token1] = ACTIONS(3571),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3571),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3571),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3571),
    [aux_sym_variable_attributes_token1] = ACTIONS(3571),
    [aux_sym_variable_attributes_token2] = ACTIONS(3571),
    [aux_sym_variable_attributes_token3] = ACTIONS(3571),
    [aux_sym_variable_attributes_token4] = ACTIONS(3571),
    [aux_sym_variable_attributes_token5] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3571),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3571),
    [aux_sym_derived_type_token1] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3571),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3571),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3571),
    [aux_sym_stop_statement_token1] = ACTIONS(3571),
    [aux_sym_stop_statement_token2] = ACTIONS(3571),
    [aux_sym_keyword_statement_token2] = ACTIONS(3571),
    [aux_sym_keyword_statement_token3] = ACTIONS(3571),
    [aux_sym_include_statement_token1] = ACTIONS(3571),
    [aux_sym_data_statement_token1] = ACTIONS(3571),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3571),
    [aux_sym_end_if_statement_token1] = ACTIONS(3571),
    [aux_sym_elseif_clause_token2] = ACTIONS(3571),
    [aux_sym_select_case_statement_token1] = ACTIONS(3571),
    [aux_sym_block_construct_token1] = ACTIONS(3571),
    [aux_sym_format_statement_token1] = ACTIONS(3571),
    [aux_sym_inquire_statement_token1] = ACTIONS(3571),
    [aux_sym_enum_statement_token1] = ACTIONS(3571),
    [aux_sym_null_literal_token1] = ACTIONS(3571),
    [aux_sym_identifier_token1] = ACTIONS(3571),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3575),
  },
  [1329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3565),
    [aux_sym_preproc_def_token1] = ACTIONS(3565),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3565),
    [sym_preproc_directive] = ACTIONS(3565),
    [sym_preproc_comment] = ACTIONS(3595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3565),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3565),
    [aux_sym_interface_statement_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3565),
    [aux_sym_contains_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token2] = ACTIONS(3565),
    [aux_sym_implicit_statement_token1] = ACTIONS(3565),
    [aux_sym_implicit_statement_token3] = ACTIONS(3565),
    [aux_sym_implicit_statement_token4] = ACTIONS(3565),
    [aux_sym_save_statement_token1] = ACTIONS(3565),
    [aux_sym_private_statement_token1] = ACTIONS(3565),
    [aux_sym_public_statement_token1] = ACTIONS(3565),
    [aux_sym_namelist_statement_token1] = ACTIONS(3565),
    [aux_sym_common_statement_token1] = ACTIONS(3565),
    [aux_sym_import_statement_token1] = ACTIONS(3565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3565),
    [aux_sym_variable_attributes_token1] = ACTIONS(3565),
    [aux_sym_variable_attributes_token2] = ACTIONS(3565),
    [aux_sym_variable_attributes_token3] = ACTIONS(3565),
    [aux_sym_variable_attributes_token4] = ACTIONS(3565),
    [aux_sym_variable_attributes_token5] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3565),
    [aux_sym_derived_type_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token3] = ACTIONS(3565),
    [aux_sym_include_statement_token1] = ACTIONS(3565),
    [aux_sym_data_statement_token1] = ACTIONS(3565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3565),
    [aux_sym_end_if_statement_token1] = ACTIONS(3565),
    [aux_sym_elseif_clause_token2] = ACTIONS(3565),
    [aux_sym_select_case_statement_token1] = ACTIONS(3565),
    [aux_sym_block_construct_token1] = ACTIONS(3565),
    [aux_sym_format_statement_token1] = ACTIONS(3565),
    [aux_sym_inquire_statement_token1] = ACTIONS(3565),
    [aux_sym_enum_statement_token1] = ACTIONS(3565),
    [aux_sym_null_literal_token1] = ACTIONS(3565),
    [aux_sym_identifier_token1] = ACTIONS(3565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3569),
  },
  [1330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3587),
    [aux_sym_preproc_def_token1] = ACTIONS(3587),
    [aux_sym_preproc_if_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3587),
    [sym_preproc_directive] = ACTIONS(3587),
    [sym_preproc_comment] = ACTIONS(3597),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3587),
    [aux_sym_end_module_statement_token1] = ACTIONS(3587),
    [aux_sym_interface_statement_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3587),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3587),
    [aux_sym_contains_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token2] = ACTIONS(3587),
    [aux_sym_implicit_statement_token1] = ACTIONS(3587),
    [aux_sym_implicit_statement_token3] = ACTIONS(3587),
    [aux_sym_implicit_statement_token4] = ACTIONS(3587),
    [aux_sym_save_statement_token1] = ACTIONS(3587),
    [aux_sym_private_statement_token1] = ACTIONS(3587),
    [aux_sym_public_statement_token1] = ACTIONS(3587),
    [aux_sym_namelist_statement_token1] = ACTIONS(3587),
    [aux_sym_common_statement_token1] = ACTIONS(3587),
    [aux_sym_import_statement_token1] = ACTIONS(3587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3587),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3587),
    [aux_sym_variable_attributes_token1] = ACTIONS(3587),
    [aux_sym_variable_attributes_token2] = ACTIONS(3587),
    [aux_sym_variable_attributes_token3] = ACTIONS(3587),
    [aux_sym_variable_attributes_token4] = ACTIONS(3587),
    [aux_sym_variable_attributes_token5] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3587),
    [aux_sym_derived_type_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3587),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token3] = ACTIONS(3587),
    [aux_sym_include_statement_token1] = ACTIONS(3587),
    [aux_sym_data_statement_token1] = ACTIONS(3587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3587),
    [aux_sym_end_if_statement_token1] = ACTIONS(3587),
    [aux_sym_elseif_clause_token2] = ACTIONS(3587),
    [aux_sym_select_case_statement_token1] = ACTIONS(3587),
    [aux_sym_block_construct_token1] = ACTIONS(3587),
    [aux_sym_format_statement_token1] = ACTIONS(3587),
    [aux_sym_inquire_statement_token1] = ACTIONS(3587),
    [aux_sym_enum_statement_token1] = ACTIONS(3587),
    [aux_sym_null_literal_token1] = ACTIONS(3587),
    [aux_sym_identifier_token1] = ACTIONS(3587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3591),
  },
  [1331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [aux_sym_preproc_else_token1] = ACTIONS(2417),
    [aux_sym_preproc_elif_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
  },
  [1332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3579),
    [aux_sym_preproc_def_token1] = ACTIONS(3579),
    [aux_sym_preproc_if_token1] = ACTIONS(3579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3579),
    [sym_preproc_directive] = ACTIONS(3579),
    [sym_preproc_comment] = ACTIONS(3599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3579),
    [aux_sym_end_module_statement_token1] = ACTIONS(3579),
    [aux_sym_interface_statement_token1] = ACTIONS(3579),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3579),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3579),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3579),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3579),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3579),
    [aux_sym_contains_statement_token1] = ACTIONS(3579),
    [aux_sym_use_statement_token1] = ACTIONS(3579),
    [aux_sym_use_statement_token2] = ACTIONS(3579),
    [aux_sym_implicit_statement_token1] = ACTIONS(3579),
    [aux_sym_implicit_statement_token3] = ACTIONS(3579),
    [aux_sym_implicit_statement_token4] = ACTIONS(3579),
    [aux_sym_save_statement_token1] = ACTIONS(3579),
    [aux_sym_private_statement_token1] = ACTIONS(3579),
    [aux_sym_public_statement_token1] = ACTIONS(3579),
    [aux_sym_namelist_statement_token1] = ACTIONS(3579),
    [aux_sym_common_statement_token1] = ACTIONS(3579),
    [aux_sym_import_statement_token1] = ACTIONS(3579),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3579),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3579),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3579),
    [aux_sym_variable_attributes_token1] = ACTIONS(3579),
    [aux_sym_variable_attributes_token2] = ACTIONS(3579),
    [aux_sym_variable_attributes_token3] = ACTIONS(3579),
    [aux_sym_variable_attributes_token4] = ACTIONS(3579),
    [aux_sym_variable_attributes_token5] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3579),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3579),
    [aux_sym_derived_type_token1] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3579),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3579),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3579),
    [aux_sym_stop_statement_token1] = ACTIONS(3579),
    [aux_sym_stop_statement_token2] = ACTIONS(3579),
    [aux_sym_keyword_statement_token2] = ACTIONS(3579),
    [aux_sym_keyword_statement_token3] = ACTIONS(3579),
    [aux_sym_include_statement_token1] = ACTIONS(3579),
    [aux_sym_data_statement_token1] = ACTIONS(3579),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3579),
    [aux_sym_end_if_statement_token1] = ACTIONS(3579),
    [aux_sym_elseif_clause_token2] = ACTIONS(3579),
    [aux_sym_select_case_statement_token1] = ACTIONS(3579),
    [aux_sym_block_construct_token1] = ACTIONS(3579),
    [aux_sym_format_statement_token1] = ACTIONS(3579),
    [aux_sym_inquire_statement_token1] = ACTIONS(3579),
    [aux_sym_enum_statement_token1] = ACTIONS(3579),
    [aux_sym_null_literal_token1] = ACTIONS(3579),
    [aux_sym_identifier_token1] = ACTIONS(3579),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3583),
  },
  [1333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [aux_sym_preproc_else_token1] = ACTIONS(2433),
    [aux_sym_preproc_elif_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
  },
  [1334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3547),
    [aux_sym_preproc_if_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3547),
    [sym_preproc_directive] = ACTIONS(3547),
    [sym_preproc_comment] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [aux_sym_end_module_statement_token1] = ACTIONS(3547),
    [aux_sym_interface_statement_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3547),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3547),
    [aux_sym_contains_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token2] = ACTIONS(3547),
    [aux_sym_implicit_statement_token1] = ACTIONS(3547),
    [aux_sym_implicit_statement_token3] = ACTIONS(3547),
    [aux_sym_implicit_statement_token4] = ACTIONS(3547),
    [aux_sym_save_statement_token1] = ACTIONS(3547),
    [aux_sym_private_statement_token1] = ACTIONS(3547),
    [aux_sym_public_statement_token1] = ACTIONS(3547),
    [aux_sym_namelist_statement_token1] = ACTIONS(3547),
    [aux_sym_common_statement_token1] = ACTIONS(3547),
    [aux_sym_import_statement_token1] = ACTIONS(3547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3547),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3547),
    [aux_sym_variable_attributes_token1] = ACTIONS(3547),
    [aux_sym_variable_attributes_token2] = ACTIONS(3547),
    [aux_sym_variable_attributes_token3] = ACTIONS(3547),
    [aux_sym_variable_attributes_token4] = ACTIONS(3547),
    [aux_sym_variable_attributes_token5] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3547),
    [aux_sym_derived_type_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3547),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token3] = ACTIONS(3547),
    [aux_sym_include_statement_token1] = ACTIONS(3547),
    [aux_sym_data_statement_token1] = ACTIONS(3547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3547),
    [aux_sym_end_if_statement_token1] = ACTIONS(3547),
    [aux_sym_elseif_clause_token2] = ACTIONS(3547),
    [aux_sym_select_case_statement_token1] = ACTIONS(3547),
    [aux_sym_block_construct_token1] = ACTIONS(3547),
    [aux_sym_format_statement_token1] = ACTIONS(3547),
    [aux_sym_inquire_statement_token1] = ACTIONS(3547),
    [aux_sym_enum_statement_token1] = ACTIONS(3547),
    [aux_sym_null_literal_token1] = ACTIONS(3547),
    [aux_sym_identifier_token1] = ACTIONS(3547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3551),
  },
  [1335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [aux_sym_preproc_else_token1] = ACTIONS(2421),
    [aux_sym_preproc_elif_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
  },
  [1336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
  },
  [1337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
  },
  [1338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3559),
    [aux_sym_preproc_def_token1] = ACTIONS(3559),
    [aux_sym_preproc_if_token1] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3559),
    [sym_preproc_directive] = ACTIONS(3559),
    [sym_preproc_comment] = ACTIONS(3603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3559),
    [aux_sym_end_module_statement_token1] = ACTIONS(3559),
    [aux_sym_interface_statement_token1] = ACTIONS(3559),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3559),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3559),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3559),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3559),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3559),
    [aux_sym_contains_statement_token1] = ACTIONS(3559),
    [aux_sym_use_statement_token1] = ACTIONS(3559),
    [aux_sym_use_statement_token2] = ACTIONS(3559),
    [aux_sym_implicit_statement_token1] = ACTIONS(3559),
    [aux_sym_implicit_statement_token3] = ACTIONS(3559),
    [aux_sym_implicit_statement_token4] = ACTIONS(3559),
    [aux_sym_save_statement_token1] = ACTIONS(3559),
    [aux_sym_private_statement_token1] = ACTIONS(3559),
    [aux_sym_public_statement_token1] = ACTIONS(3559),
    [aux_sym_namelist_statement_token1] = ACTIONS(3559),
    [aux_sym_common_statement_token1] = ACTIONS(3559),
    [aux_sym_import_statement_token1] = ACTIONS(3559),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3559),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3559),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3559),
    [aux_sym_variable_attributes_token1] = ACTIONS(3559),
    [aux_sym_variable_attributes_token2] = ACTIONS(3559),
    [aux_sym_variable_attributes_token3] = ACTIONS(3559),
    [aux_sym_variable_attributes_token4] = ACTIONS(3559),
    [aux_sym_variable_attributes_token5] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3559),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3559),
    [aux_sym_derived_type_token1] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3559),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3559),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3559),
    [aux_sym_stop_statement_token1] = ACTIONS(3559),
    [aux_sym_stop_statement_token2] = ACTIONS(3559),
    [aux_sym_keyword_statement_token2] = ACTIONS(3559),
    [aux_sym_keyword_statement_token3] = ACTIONS(3559),
    [aux_sym_include_statement_token1] = ACTIONS(3559),
    [aux_sym_data_statement_token1] = ACTIONS(3559),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3559),
    [aux_sym_end_if_statement_token1] = ACTIONS(3559),
    [aux_sym_elseif_clause_token2] = ACTIONS(3559),
    [aux_sym_select_case_statement_token1] = ACTIONS(3559),
    [aux_sym_block_construct_token1] = ACTIONS(3559),
    [aux_sym_format_statement_token1] = ACTIONS(3559),
    [aux_sym_inquire_statement_token1] = ACTIONS(3559),
    [aux_sym_enum_statement_token1] = ACTIONS(3559),
    [aux_sym_null_literal_token1] = ACTIONS(3559),
    [aux_sym_identifier_token1] = ACTIONS(3559),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3563),
  },
  [1339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
  },
  [1340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3517),
    [aux_sym_preproc_def_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [sym_preproc_directive] = ACTIONS(3517),
    [sym_preproc_comment] = ACTIONS(3605),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3517),
    [aux_sym_end_module_statement_token1] = ACTIONS(3517),
    [aux_sym_interface_statement_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3517),
    [aux_sym_contains_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token2] = ACTIONS(3517),
    [aux_sym_implicit_statement_token1] = ACTIONS(3517),
    [aux_sym_implicit_statement_token3] = ACTIONS(3517),
    [aux_sym_implicit_statement_token4] = ACTIONS(3517),
    [aux_sym_save_statement_token1] = ACTIONS(3517),
    [aux_sym_private_statement_token1] = ACTIONS(3517),
    [aux_sym_public_statement_token1] = ACTIONS(3517),
    [aux_sym_namelist_statement_token1] = ACTIONS(3517),
    [aux_sym_common_statement_token1] = ACTIONS(3517),
    [aux_sym_import_statement_token1] = ACTIONS(3517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3517),
    [aux_sym_variable_attributes_token1] = ACTIONS(3517),
    [aux_sym_variable_attributes_token2] = ACTIONS(3517),
    [aux_sym_variable_attributes_token3] = ACTIONS(3517),
    [aux_sym_variable_attributes_token4] = ACTIONS(3517),
    [aux_sym_variable_attributes_token5] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3517),
    [aux_sym_derived_type_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token3] = ACTIONS(3517),
    [aux_sym_include_statement_token1] = ACTIONS(3517),
    [aux_sym_data_statement_token1] = ACTIONS(3517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3517),
    [aux_sym_end_if_statement_token1] = ACTIONS(3517),
    [aux_sym_elseif_clause_token2] = ACTIONS(3517),
    [aux_sym_select_case_statement_token1] = ACTIONS(3517),
    [aux_sym_block_construct_token1] = ACTIONS(3517),
    [aux_sym_format_statement_token1] = ACTIONS(3517),
    [aux_sym_inquire_statement_token1] = ACTIONS(3517),
    [aux_sym_enum_statement_token1] = ACTIONS(3517),
    [aux_sym_null_literal_token1] = ACTIONS(3517),
    [aux_sym_identifier_token1] = ACTIONS(3517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3521),
  },
  [1341] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3607),
    [aux_sym_preproc_def_token1] = ACTIONS(3607),
    [aux_sym_preproc_if_token1] = ACTIONS(3607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3607),
    [sym_preproc_directive] = ACTIONS(3607),
    [sym_preproc_comment] = ACTIONS(3609),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3607),
    [aux_sym_end_module_statement_token1] = ACTIONS(3607),
    [aux_sym_interface_statement_token1] = ACTIONS(3607),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3607),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3607),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3607),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3607),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3607),
    [aux_sym_contains_statement_token1] = ACTIONS(3607),
    [aux_sym_use_statement_token1] = ACTIONS(3607),
    [aux_sym_use_statement_token2] = ACTIONS(3607),
    [aux_sym_implicit_statement_token1] = ACTIONS(3607),
    [aux_sym_implicit_statement_token3] = ACTIONS(3607),
    [aux_sym_implicit_statement_token4] = ACTIONS(3607),
    [aux_sym_save_statement_token1] = ACTIONS(3607),
    [aux_sym_private_statement_token1] = ACTIONS(3607),
    [aux_sym_public_statement_token1] = ACTIONS(3607),
    [aux_sym_namelist_statement_token1] = ACTIONS(3607),
    [aux_sym_common_statement_token1] = ACTIONS(3607),
    [aux_sym_import_statement_token1] = ACTIONS(3607),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3607),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3607),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3607),
    [aux_sym_variable_attributes_token1] = ACTIONS(3607),
    [aux_sym_variable_attributes_token2] = ACTIONS(3607),
    [aux_sym_variable_attributes_token3] = ACTIONS(3607),
    [aux_sym_variable_attributes_token4] = ACTIONS(3607),
    [aux_sym_variable_attributes_token5] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3607),
    [aux_sym_derived_type_token1] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3607),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3607),
    [aux_sym_stop_statement_token1] = ACTIONS(3607),
    [aux_sym_stop_statement_token2] = ACTIONS(3607),
    [aux_sym_keyword_statement_token2] = ACTIONS(3607),
    [aux_sym_keyword_statement_token3] = ACTIONS(3607),
    [aux_sym_include_statement_token1] = ACTIONS(3607),
    [aux_sym_data_statement_token1] = ACTIONS(3607),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3607),
    [aux_sym_end_if_statement_token1] = ACTIONS(3607),
    [aux_sym_elseif_clause_token2] = ACTIONS(3607),
    [aux_sym_select_case_statement_token1] = ACTIONS(3607),
    [aux_sym_block_construct_token1] = ACTIONS(3607),
    [aux_sym_format_statement_token1] = ACTIONS(3607),
    [aux_sym_inquire_statement_token1] = ACTIONS(3607),
    [aux_sym_enum_statement_token1] = ACTIONS(3607),
    [aux_sym_null_literal_token1] = ACTIONS(3607),
    [aux_sym_identifier_token1] = ACTIONS(3607),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3611),
  },
  [1342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [aux_sym_preproc_else_token1] = ACTIONS(2457),
    [aux_sym_preproc_elif_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
  },
  [1343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [aux_sym_preproc_else_token1] = ACTIONS(2497),
    [aux_sym_preproc_elif_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
  },
  [1344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_else_token1] = ACTIONS(3059),
    [aux_sym_preproc_elif_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
  },
  [1345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
  },
  [1346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_else_token1] = ACTIONS(3055),
    [aux_sym_preproc_elif_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
  },
  [1347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3607),
    [aux_sym_preproc_def_token1] = ACTIONS(3607),
    [aux_sym_preproc_if_token1] = ACTIONS(3607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3607),
    [sym_preproc_directive] = ACTIONS(3607),
    [sym_preproc_comment] = ACTIONS(3613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3607),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3607),
    [aux_sym_interface_statement_token1] = ACTIONS(3607),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3607),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3607),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3607),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3607),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3607),
    [aux_sym_contains_statement_token1] = ACTIONS(3607),
    [aux_sym_use_statement_token1] = ACTIONS(3607),
    [aux_sym_use_statement_token2] = ACTIONS(3607),
    [aux_sym_implicit_statement_token1] = ACTIONS(3607),
    [aux_sym_implicit_statement_token3] = ACTIONS(3607),
    [aux_sym_implicit_statement_token4] = ACTIONS(3607),
    [aux_sym_save_statement_token1] = ACTIONS(3607),
    [aux_sym_private_statement_token1] = ACTIONS(3607),
    [aux_sym_public_statement_token1] = ACTIONS(3607),
    [aux_sym_namelist_statement_token1] = ACTIONS(3607),
    [aux_sym_common_statement_token1] = ACTIONS(3607),
    [aux_sym_import_statement_token1] = ACTIONS(3607),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3607),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3607),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3607),
    [aux_sym_variable_attributes_token1] = ACTIONS(3607),
    [aux_sym_variable_attributes_token2] = ACTIONS(3607),
    [aux_sym_variable_attributes_token3] = ACTIONS(3607),
    [aux_sym_variable_attributes_token4] = ACTIONS(3607),
    [aux_sym_variable_attributes_token5] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3607),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3607),
    [aux_sym_derived_type_token1] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3607),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3607),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3607),
    [aux_sym_stop_statement_token1] = ACTIONS(3607),
    [aux_sym_stop_statement_token2] = ACTIONS(3607),
    [aux_sym_keyword_statement_token2] = ACTIONS(3607),
    [aux_sym_keyword_statement_token3] = ACTIONS(3607),
    [aux_sym_include_statement_token1] = ACTIONS(3607),
    [aux_sym_data_statement_token1] = ACTIONS(3607),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3607),
    [aux_sym_end_if_statement_token1] = ACTIONS(3607),
    [aux_sym_elseif_clause_token2] = ACTIONS(3607),
    [aux_sym_select_case_statement_token1] = ACTIONS(3607),
    [aux_sym_block_construct_token1] = ACTIONS(3607),
    [aux_sym_format_statement_token1] = ACTIONS(3607),
    [aux_sym_inquire_statement_token1] = ACTIONS(3607),
    [aux_sym_enum_statement_token1] = ACTIONS(3607),
    [aux_sym_null_literal_token1] = ACTIONS(3607),
    [aux_sym_identifier_token1] = ACTIONS(3607),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3611),
  },
  [1348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
  },
  [1349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
  },
  [1350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
  },
  [1351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
  },
  [1352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3535),
    [aux_sym_preproc_def_token1] = ACTIONS(3535),
    [aux_sym_preproc_if_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3535),
    [sym_preproc_comment] = ACTIONS(3615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3535),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3535),
    [aux_sym_interface_statement_token1] = ACTIONS(3535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3535),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3535),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3535),
    [aux_sym_contains_statement_token1] = ACTIONS(3535),
    [aux_sym_use_statement_token1] = ACTIONS(3535),
    [aux_sym_use_statement_token2] = ACTIONS(3535),
    [aux_sym_implicit_statement_token1] = ACTIONS(3535),
    [aux_sym_implicit_statement_token3] = ACTIONS(3535),
    [aux_sym_implicit_statement_token4] = ACTIONS(3535),
    [aux_sym_save_statement_token1] = ACTIONS(3535),
    [aux_sym_private_statement_token1] = ACTIONS(3535),
    [aux_sym_public_statement_token1] = ACTIONS(3535),
    [aux_sym_namelist_statement_token1] = ACTIONS(3535),
    [aux_sym_common_statement_token1] = ACTIONS(3535),
    [aux_sym_import_statement_token1] = ACTIONS(3535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3535),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3535),
    [aux_sym_variable_attributes_token1] = ACTIONS(3535),
    [aux_sym_variable_attributes_token2] = ACTIONS(3535),
    [aux_sym_variable_attributes_token3] = ACTIONS(3535),
    [aux_sym_variable_attributes_token4] = ACTIONS(3535),
    [aux_sym_variable_attributes_token5] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3535),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3535),
    [aux_sym_derived_type_token1] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3535),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3535),
    [aux_sym_stop_statement_token1] = ACTIONS(3535),
    [aux_sym_stop_statement_token2] = ACTIONS(3535),
    [aux_sym_keyword_statement_token2] = ACTIONS(3535),
    [aux_sym_keyword_statement_token3] = ACTIONS(3535),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_data_statement_token1] = ACTIONS(3535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3535),
    [aux_sym_end_if_statement_token1] = ACTIONS(3535),
    [aux_sym_elseif_clause_token2] = ACTIONS(3535),
    [aux_sym_select_case_statement_token1] = ACTIONS(3535),
    [aux_sym_block_construct_token1] = ACTIONS(3535),
    [aux_sym_format_statement_token1] = ACTIONS(3535),
    [aux_sym_inquire_statement_token1] = ACTIONS(3535),
    [aux_sym_enum_statement_token1] = ACTIONS(3535),
    [aux_sym_null_literal_token1] = ACTIONS(3535),
    [aux_sym_identifier_token1] = ACTIONS(3535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3539),
  },
  [1353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
  },
  [1354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3553),
    [aux_sym_preproc_def_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3553),
    [sym_preproc_comment] = ACTIONS(3617),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3553),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3553),
    [aux_sym_interface_statement_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3553),
    [aux_sym_contains_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token2] = ACTIONS(3553),
    [aux_sym_implicit_statement_token1] = ACTIONS(3553),
    [aux_sym_implicit_statement_token3] = ACTIONS(3553),
    [aux_sym_implicit_statement_token4] = ACTIONS(3553),
    [aux_sym_save_statement_token1] = ACTIONS(3553),
    [aux_sym_private_statement_token1] = ACTIONS(3553),
    [aux_sym_public_statement_token1] = ACTIONS(3553),
    [aux_sym_namelist_statement_token1] = ACTIONS(3553),
    [aux_sym_common_statement_token1] = ACTIONS(3553),
    [aux_sym_import_statement_token1] = ACTIONS(3553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3553),
    [aux_sym_variable_attributes_token1] = ACTIONS(3553),
    [aux_sym_variable_attributes_token2] = ACTIONS(3553),
    [aux_sym_variable_attributes_token3] = ACTIONS(3553),
    [aux_sym_variable_attributes_token4] = ACTIONS(3553),
    [aux_sym_variable_attributes_token5] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3553),
    [aux_sym_derived_type_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token3] = ACTIONS(3553),
    [aux_sym_include_statement_token1] = ACTIONS(3553),
    [aux_sym_data_statement_token1] = ACTIONS(3553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3553),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(3553),
    [aux_sym_select_case_statement_token1] = ACTIONS(3553),
    [aux_sym_block_construct_token1] = ACTIONS(3553),
    [aux_sym_format_statement_token1] = ACTIONS(3553),
    [aux_sym_inquire_statement_token1] = ACTIONS(3553),
    [aux_sym_enum_statement_token1] = ACTIONS(3553),
    [aux_sym_null_literal_token1] = ACTIONS(3553),
    [aux_sym_identifier_token1] = ACTIONS(3553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3557),
  },
  [1355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_else_token1] = ACTIONS(3093),
    [aux_sym_preproc_elif_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
  },
  [1356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token2] = ACTIONS(3039),
    [aux_sym_preproc_else_token1] = ACTIONS(3039),
    [aux_sym_preproc_elif_token1] = ACTIONS(3039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
  },
  [1357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
  },
  [1358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3619),
    [aux_sym_preproc_def_token1] = ACTIONS(3619),
    [aux_sym_preproc_if_token1] = ACTIONS(3619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3619),
    [sym_preproc_directive] = ACTIONS(3619),
    [sym_preproc_comment] = ACTIONS(3621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3619),
    [aux_sym_end_module_statement_token1] = ACTIONS(3619),
    [aux_sym_interface_statement_token1] = ACTIONS(3619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3619),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3619),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3619),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3619),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3619),
    [aux_sym_contains_statement_token1] = ACTIONS(3619),
    [aux_sym_use_statement_token1] = ACTIONS(3619),
    [aux_sym_use_statement_token2] = ACTIONS(3619),
    [aux_sym_implicit_statement_token1] = ACTIONS(3619),
    [aux_sym_implicit_statement_token3] = ACTIONS(3619),
    [aux_sym_implicit_statement_token4] = ACTIONS(3619),
    [aux_sym_save_statement_token1] = ACTIONS(3619),
    [aux_sym_private_statement_token1] = ACTIONS(3619),
    [aux_sym_public_statement_token1] = ACTIONS(3619),
    [aux_sym_namelist_statement_token1] = ACTIONS(3619),
    [aux_sym_common_statement_token1] = ACTIONS(3619),
    [aux_sym_import_statement_token1] = ACTIONS(3619),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3619),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3619),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3619),
    [aux_sym_variable_attributes_token1] = ACTIONS(3619),
    [aux_sym_variable_attributes_token2] = ACTIONS(3619),
    [aux_sym_variable_attributes_token3] = ACTIONS(3619),
    [aux_sym_variable_attributes_token4] = ACTIONS(3619),
    [aux_sym_variable_attributes_token5] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3619),
    [aux_sym_derived_type_token1] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3619),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3619),
    [aux_sym_stop_statement_token1] = ACTIONS(3619),
    [aux_sym_stop_statement_token2] = ACTIONS(3619),
    [aux_sym_keyword_statement_token2] = ACTIONS(3619),
    [aux_sym_keyword_statement_token3] = ACTIONS(3619),
    [aux_sym_include_statement_token1] = ACTIONS(3619),
    [aux_sym_data_statement_token1] = ACTIONS(3619),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3619),
    [aux_sym_end_if_statement_token1] = ACTIONS(3619),
    [aux_sym_elseif_clause_token2] = ACTIONS(3619),
    [aux_sym_select_case_statement_token1] = ACTIONS(3619),
    [aux_sym_block_construct_token1] = ACTIONS(3619),
    [aux_sym_format_statement_token1] = ACTIONS(3619),
    [aux_sym_inquire_statement_token1] = ACTIONS(3619),
    [aux_sym_enum_statement_token1] = ACTIONS(3619),
    [aux_sym_null_literal_token1] = ACTIONS(3619),
    [aux_sym_identifier_token1] = ACTIONS(3619),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3623),
  },
  [1359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [sym_preproc_comment] = ACTIONS(3625),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3511),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3511),
    [aux_sym_interface_statement_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3511),
    [aux_sym_contains_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token2] = ACTIONS(3511),
    [aux_sym_implicit_statement_token1] = ACTIONS(3511),
    [aux_sym_implicit_statement_token3] = ACTIONS(3511),
    [aux_sym_implicit_statement_token4] = ACTIONS(3511),
    [aux_sym_save_statement_token1] = ACTIONS(3511),
    [aux_sym_private_statement_token1] = ACTIONS(3511),
    [aux_sym_public_statement_token1] = ACTIONS(3511),
    [aux_sym_namelist_statement_token1] = ACTIONS(3511),
    [aux_sym_common_statement_token1] = ACTIONS(3511),
    [aux_sym_import_statement_token1] = ACTIONS(3511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3511),
    [aux_sym_variable_attributes_token1] = ACTIONS(3511),
    [aux_sym_variable_attributes_token2] = ACTIONS(3511),
    [aux_sym_variable_attributes_token3] = ACTIONS(3511),
    [aux_sym_variable_attributes_token4] = ACTIONS(3511),
    [aux_sym_variable_attributes_token5] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3511),
    [aux_sym_derived_type_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token3] = ACTIONS(3511),
    [aux_sym_include_statement_token1] = ACTIONS(3511),
    [aux_sym_data_statement_token1] = ACTIONS(3511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3511),
    [aux_sym_end_if_statement_token1] = ACTIONS(3511),
    [aux_sym_elseif_clause_token2] = ACTIONS(3511),
    [aux_sym_select_case_statement_token1] = ACTIONS(3511),
    [aux_sym_block_construct_token1] = ACTIONS(3511),
    [aux_sym_format_statement_token1] = ACTIONS(3511),
    [aux_sym_inquire_statement_token1] = ACTIONS(3511),
    [aux_sym_enum_statement_token1] = ACTIONS(3511),
    [aux_sym_null_literal_token1] = ACTIONS(3511),
    [aux_sym_identifier_token1] = ACTIONS(3511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3515),
  },
  [1360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3529),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3529),
    [sym_preproc_directive] = ACTIONS(3529),
    [sym_preproc_comment] = ACTIONS(3627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3529),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3529),
    [aux_sym_interface_statement_token1] = ACTIONS(3529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3529),
    [aux_sym_contains_statement_token1] = ACTIONS(3529),
    [aux_sym_use_statement_token1] = ACTIONS(3529),
    [aux_sym_use_statement_token2] = ACTIONS(3529),
    [aux_sym_implicit_statement_token1] = ACTIONS(3529),
    [aux_sym_implicit_statement_token3] = ACTIONS(3529),
    [aux_sym_implicit_statement_token4] = ACTIONS(3529),
    [aux_sym_save_statement_token1] = ACTIONS(3529),
    [aux_sym_private_statement_token1] = ACTIONS(3529),
    [aux_sym_public_statement_token1] = ACTIONS(3529),
    [aux_sym_namelist_statement_token1] = ACTIONS(3529),
    [aux_sym_common_statement_token1] = ACTIONS(3529),
    [aux_sym_import_statement_token1] = ACTIONS(3529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3529),
    [aux_sym_variable_attributes_token1] = ACTIONS(3529),
    [aux_sym_variable_attributes_token2] = ACTIONS(3529),
    [aux_sym_variable_attributes_token3] = ACTIONS(3529),
    [aux_sym_variable_attributes_token4] = ACTIONS(3529),
    [aux_sym_variable_attributes_token5] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3529),
    [aux_sym_derived_type_token1] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3529),
    [aux_sym_stop_statement_token1] = ACTIONS(3529),
    [aux_sym_stop_statement_token2] = ACTIONS(3529),
    [aux_sym_keyword_statement_token2] = ACTIONS(3529),
    [aux_sym_keyword_statement_token3] = ACTIONS(3529),
    [aux_sym_include_statement_token1] = ACTIONS(3529),
    [aux_sym_data_statement_token1] = ACTIONS(3529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3529),
    [aux_sym_end_if_statement_token1] = ACTIONS(3529),
    [aux_sym_elseif_clause_token2] = ACTIONS(3529),
    [aux_sym_select_case_statement_token1] = ACTIONS(3529),
    [aux_sym_block_construct_token1] = ACTIONS(3529),
    [aux_sym_format_statement_token1] = ACTIONS(3529),
    [aux_sym_inquire_statement_token1] = ACTIONS(3529),
    [aux_sym_enum_statement_token1] = ACTIONS(3529),
    [aux_sym_null_literal_token1] = ACTIONS(3529),
    [aux_sym_identifier_token1] = ACTIONS(3529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3533),
  },
  [1361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3629),
    [aux_sym_preproc_def_token1] = ACTIONS(3629),
    [aux_sym_preproc_if_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3629),
    [sym_preproc_directive] = ACTIONS(3629),
    [sym_preproc_comment] = ACTIONS(3631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3629),
    [aux_sym_end_module_statement_token1] = ACTIONS(3629),
    [aux_sym_interface_statement_token1] = ACTIONS(3629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3629),
    [aux_sym_contains_statement_token1] = ACTIONS(3629),
    [aux_sym_use_statement_token1] = ACTIONS(3629),
    [aux_sym_use_statement_token2] = ACTIONS(3629),
    [aux_sym_implicit_statement_token1] = ACTIONS(3629),
    [aux_sym_implicit_statement_token3] = ACTIONS(3629),
    [aux_sym_implicit_statement_token4] = ACTIONS(3629),
    [aux_sym_save_statement_token1] = ACTIONS(3629),
    [aux_sym_private_statement_token1] = ACTIONS(3629),
    [aux_sym_public_statement_token1] = ACTIONS(3629),
    [aux_sym_namelist_statement_token1] = ACTIONS(3629),
    [aux_sym_common_statement_token1] = ACTIONS(3629),
    [aux_sym_import_statement_token1] = ACTIONS(3629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3629),
    [aux_sym_variable_attributes_token1] = ACTIONS(3629),
    [aux_sym_variable_attributes_token2] = ACTIONS(3629),
    [aux_sym_variable_attributes_token3] = ACTIONS(3629),
    [aux_sym_variable_attributes_token4] = ACTIONS(3629),
    [aux_sym_variable_attributes_token5] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3629),
    [aux_sym_derived_type_token1] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3629),
    [aux_sym_stop_statement_token1] = ACTIONS(3629),
    [aux_sym_stop_statement_token2] = ACTIONS(3629),
    [aux_sym_keyword_statement_token2] = ACTIONS(3629),
    [aux_sym_keyword_statement_token3] = ACTIONS(3629),
    [aux_sym_include_statement_token1] = ACTIONS(3629),
    [aux_sym_data_statement_token1] = ACTIONS(3629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3629),
    [aux_sym_end_if_statement_token1] = ACTIONS(3629),
    [aux_sym_elseif_clause_token2] = ACTIONS(3629),
    [aux_sym_select_case_statement_token1] = ACTIONS(3629),
    [aux_sym_block_construct_token1] = ACTIONS(3629),
    [aux_sym_format_statement_token1] = ACTIONS(3629),
    [aux_sym_inquire_statement_token1] = ACTIONS(3629),
    [aux_sym_enum_statement_token1] = ACTIONS(3629),
    [aux_sym_null_literal_token1] = ACTIONS(3629),
    [aux_sym_identifier_token1] = ACTIONS(3629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3633),
  },
  [1362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3629),
    [aux_sym_preproc_def_token1] = ACTIONS(3629),
    [aux_sym_preproc_if_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3629),
    [sym_preproc_directive] = ACTIONS(3629),
    [sym_preproc_comment] = ACTIONS(3635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3629),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3629),
    [aux_sym_interface_statement_token1] = ACTIONS(3629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3629),
    [aux_sym_contains_statement_token1] = ACTIONS(3629),
    [aux_sym_use_statement_token1] = ACTIONS(3629),
    [aux_sym_use_statement_token2] = ACTIONS(3629),
    [aux_sym_implicit_statement_token1] = ACTIONS(3629),
    [aux_sym_implicit_statement_token3] = ACTIONS(3629),
    [aux_sym_implicit_statement_token4] = ACTIONS(3629),
    [aux_sym_save_statement_token1] = ACTIONS(3629),
    [aux_sym_private_statement_token1] = ACTIONS(3629),
    [aux_sym_public_statement_token1] = ACTIONS(3629),
    [aux_sym_namelist_statement_token1] = ACTIONS(3629),
    [aux_sym_common_statement_token1] = ACTIONS(3629),
    [aux_sym_import_statement_token1] = ACTIONS(3629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3629),
    [aux_sym_variable_attributes_token1] = ACTIONS(3629),
    [aux_sym_variable_attributes_token2] = ACTIONS(3629),
    [aux_sym_variable_attributes_token3] = ACTIONS(3629),
    [aux_sym_variable_attributes_token4] = ACTIONS(3629),
    [aux_sym_variable_attributes_token5] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3629),
    [aux_sym_derived_type_token1] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3629),
    [aux_sym_stop_statement_token1] = ACTIONS(3629),
    [aux_sym_stop_statement_token2] = ACTIONS(3629),
    [aux_sym_keyword_statement_token2] = ACTIONS(3629),
    [aux_sym_keyword_statement_token3] = ACTIONS(3629),
    [aux_sym_include_statement_token1] = ACTIONS(3629),
    [aux_sym_data_statement_token1] = ACTIONS(3629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3629),
    [aux_sym_end_if_statement_token1] = ACTIONS(3629),
    [aux_sym_elseif_clause_token2] = ACTIONS(3629),
    [aux_sym_select_case_statement_token1] = ACTIONS(3629),
    [aux_sym_block_construct_token1] = ACTIONS(3629),
    [aux_sym_format_statement_token1] = ACTIONS(3629),
    [aux_sym_inquire_statement_token1] = ACTIONS(3629),
    [aux_sym_enum_statement_token1] = ACTIONS(3629),
    [aux_sym_null_literal_token1] = ACTIONS(3629),
    [aux_sym_identifier_token1] = ACTIONS(3629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3633),
  },
  [1363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3619),
    [aux_sym_preproc_def_token1] = ACTIONS(3619),
    [aux_sym_preproc_if_token1] = ACTIONS(3619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3619),
    [sym_preproc_directive] = ACTIONS(3619),
    [sym_preproc_comment] = ACTIONS(3637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3619),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3619),
    [aux_sym_interface_statement_token1] = ACTIONS(3619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3619),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3619),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3619),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3619),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3619),
    [aux_sym_contains_statement_token1] = ACTIONS(3619),
    [aux_sym_use_statement_token1] = ACTIONS(3619),
    [aux_sym_use_statement_token2] = ACTIONS(3619),
    [aux_sym_implicit_statement_token1] = ACTIONS(3619),
    [aux_sym_implicit_statement_token3] = ACTIONS(3619),
    [aux_sym_implicit_statement_token4] = ACTIONS(3619),
    [aux_sym_save_statement_token1] = ACTIONS(3619),
    [aux_sym_private_statement_token1] = ACTIONS(3619),
    [aux_sym_public_statement_token1] = ACTIONS(3619),
    [aux_sym_namelist_statement_token1] = ACTIONS(3619),
    [aux_sym_common_statement_token1] = ACTIONS(3619),
    [aux_sym_import_statement_token1] = ACTIONS(3619),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3619),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3619),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3619),
    [aux_sym_variable_attributes_token1] = ACTIONS(3619),
    [aux_sym_variable_attributes_token2] = ACTIONS(3619),
    [aux_sym_variable_attributes_token3] = ACTIONS(3619),
    [aux_sym_variable_attributes_token4] = ACTIONS(3619),
    [aux_sym_variable_attributes_token5] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3619),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3619),
    [aux_sym_derived_type_token1] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3619),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3619),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3619),
    [aux_sym_stop_statement_token1] = ACTIONS(3619),
    [aux_sym_stop_statement_token2] = ACTIONS(3619),
    [aux_sym_keyword_statement_token2] = ACTIONS(3619),
    [aux_sym_keyword_statement_token3] = ACTIONS(3619),
    [aux_sym_include_statement_token1] = ACTIONS(3619),
    [aux_sym_data_statement_token1] = ACTIONS(3619),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3619),
    [aux_sym_end_if_statement_token1] = ACTIONS(3619),
    [aux_sym_elseif_clause_token2] = ACTIONS(3619),
    [aux_sym_select_case_statement_token1] = ACTIONS(3619),
    [aux_sym_block_construct_token1] = ACTIONS(3619),
    [aux_sym_format_statement_token1] = ACTIONS(3619),
    [aux_sym_inquire_statement_token1] = ACTIONS(3619),
    [aux_sym_enum_statement_token1] = ACTIONS(3619),
    [aux_sym_null_literal_token1] = ACTIONS(3619),
    [aux_sym_identifier_token1] = ACTIONS(3619),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3623),
  },
  [1364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
  },
  [1365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3639),
    [aux_sym_preproc_def_token1] = ACTIONS(3639),
    [aux_sym_preproc_if_token1] = ACTIONS(3639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3639),
    [sym_preproc_directive] = ACTIONS(3639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3639),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3639),
    [aux_sym_interface_statement_token1] = ACTIONS(3639),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3639),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3639),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3639),
    [aux_sym_contains_statement_token1] = ACTIONS(3639),
    [aux_sym_use_statement_token1] = ACTIONS(3639),
    [aux_sym_use_statement_token2] = ACTIONS(3639),
    [aux_sym_implicit_statement_token1] = ACTIONS(3639),
    [aux_sym_implicit_statement_token3] = ACTIONS(3639),
    [aux_sym_implicit_statement_token4] = ACTIONS(3639),
    [aux_sym_save_statement_token1] = ACTIONS(3639),
    [aux_sym_private_statement_token1] = ACTIONS(3639),
    [aux_sym_public_statement_token1] = ACTIONS(3639),
    [aux_sym_namelist_statement_token1] = ACTIONS(3639),
    [aux_sym_common_statement_token1] = ACTIONS(3639),
    [aux_sym_import_statement_token1] = ACTIONS(3639),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3639),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3639),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3639),
    [aux_sym_variable_attributes_token1] = ACTIONS(3639),
    [aux_sym_variable_attributes_token2] = ACTIONS(3639),
    [aux_sym_variable_attributes_token3] = ACTIONS(3639),
    [aux_sym_variable_attributes_token4] = ACTIONS(3639),
    [aux_sym_variable_attributes_token5] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3639),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3639),
    [aux_sym_derived_type_token1] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3639),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3639),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3639),
    [aux_sym_stop_statement_token1] = ACTIONS(3639),
    [aux_sym_stop_statement_token2] = ACTIONS(3639),
    [aux_sym_keyword_statement_token2] = ACTIONS(3639),
    [aux_sym_keyword_statement_token3] = ACTIONS(3639),
    [aux_sym_include_statement_token1] = ACTIONS(3639),
    [aux_sym_data_statement_token1] = ACTIONS(3639),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3639),
    [aux_sym_end_if_statement_token1] = ACTIONS(3639),
    [aux_sym_elseif_clause_token2] = ACTIONS(3639),
    [aux_sym_select_case_statement_token1] = ACTIONS(3639),
    [aux_sym_block_construct_token1] = ACTIONS(3639),
    [aux_sym_format_statement_token1] = ACTIONS(3639),
    [aux_sym_inquire_statement_token1] = ACTIONS(3639),
    [aux_sym_enum_statement_token1] = ACTIONS(3639),
    [aux_sym_null_literal_token1] = ACTIONS(3639),
    [aux_sym_identifier_token1] = ACTIONS(3639),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3641),
  },
  [1366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_end_module_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
  },
  [1367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3643),
    [aux_sym_preproc_def_token1] = ACTIONS(3643),
    [aux_sym_preproc_if_token1] = ACTIONS(3643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3643),
    [sym_preproc_directive] = ACTIONS(3643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3643),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3643),
    [aux_sym_interface_statement_token1] = ACTIONS(3643),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3643),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3643),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3643),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3643),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3643),
    [aux_sym_contains_statement_token1] = ACTIONS(3643),
    [aux_sym_use_statement_token1] = ACTIONS(3643),
    [aux_sym_use_statement_token2] = ACTIONS(3643),
    [aux_sym_implicit_statement_token1] = ACTIONS(3643),
    [aux_sym_implicit_statement_token3] = ACTIONS(3643),
    [aux_sym_implicit_statement_token4] = ACTIONS(3643),
    [aux_sym_save_statement_token1] = ACTIONS(3643),
    [aux_sym_private_statement_token1] = ACTIONS(3643),
    [aux_sym_public_statement_token1] = ACTIONS(3643),
    [aux_sym_namelist_statement_token1] = ACTIONS(3643),
    [aux_sym_common_statement_token1] = ACTIONS(3643),
    [aux_sym_import_statement_token1] = ACTIONS(3643),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3643),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3643),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3643),
    [aux_sym_variable_attributes_token1] = ACTIONS(3643),
    [aux_sym_variable_attributes_token2] = ACTIONS(3643),
    [aux_sym_variable_attributes_token3] = ACTIONS(3643),
    [aux_sym_variable_attributes_token4] = ACTIONS(3643),
    [aux_sym_variable_attributes_token5] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3643),
    [aux_sym_derived_type_token1] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3643),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3643),
    [aux_sym_stop_statement_token1] = ACTIONS(3643),
    [aux_sym_stop_statement_token2] = ACTIONS(3643),
    [aux_sym_keyword_statement_token2] = ACTIONS(3643),
    [aux_sym_keyword_statement_token3] = ACTIONS(3643),
    [aux_sym_include_statement_token1] = ACTIONS(3643),
    [aux_sym_data_statement_token1] = ACTIONS(3643),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3643),
    [aux_sym_end_if_statement_token1] = ACTIONS(3643),
    [aux_sym_elseif_clause_token2] = ACTIONS(3643),
    [aux_sym_select_case_statement_token1] = ACTIONS(3643),
    [aux_sym_block_construct_token1] = ACTIONS(3643),
    [aux_sym_format_statement_token1] = ACTIONS(3643),
    [aux_sym_inquire_statement_token1] = ACTIONS(3643),
    [aux_sym_enum_statement_token1] = ACTIONS(3643),
    [aux_sym_null_literal_token1] = ACTIONS(3643),
    [aux_sym_identifier_token1] = ACTIONS(3643),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3645),
  },
  [1368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3553),
    [aux_sym_preproc_def_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3553),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3553),
    [aux_sym_end_module_statement_token1] = ACTIONS(3553),
    [aux_sym_interface_statement_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3553),
    [aux_sym_contains_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token2] = ACTIONS(3553),
    [aux_sym_implicit_statement_token1] = ACTIONS(3553),
    [aux_sym_implicit_statement_token3] = ACTIONS(3553),
    [aux_sym_implicit_statement_token4] = ACTIONS(3553),
    [aux_sym_save_statement_token1] = ACTIONS(3553),
    [aux_sym_private_statement_token1] = ACTIONS(3553),
    [aux_sym_public_statement_token1] = ACTIONS(3553),
    [aux_sym_namelist_statement_token1] = ACTIONS(3553),
    [aux_sym_common_statement_token1] = ACTIONS(3553),
    [aux_sym_import_statement_token1] = ACTIONS(3553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3553),
    [aux_sym_variable_attributes_token1] = ACTIONS(3553),
    [aux_sym_variable_attributes_token2] = ACTIONS(3553),
    [aux_sym_variable_attributes_token3] = ACTIONS(3553),
    [aux_sym_variable_attributes_token4] = ACTIONS(3553),
    [aux_sym_variable_attributes_token5] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3553),
    [aux_sym_derived_type_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token3] = ACTIONS(3553),
    [aux_sym_include_statement_token1] = ACTIONS(3553),
    [aux_sym_data_statement_token1] = ACTIONS(3553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3553),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(3553),
    [aux_sym_select_case_statement_token1] = ACTIONS(3553),
    [aux_sym_block_construct_token1] = ACTIONS(3553),
    [aux_sym_format_statement_token1] = ACTIONS(3553),
    [aux_sym_inquire_statement_token1] = ACTIONS(3553),
    [aux_sym_enum_statement_token1] = ACTIONS(3553),
    [aux_sym_null_literal_token1] = ACTIONS(3553),
    [aux_sym_identifier_token1] = ACTIONS(3553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3557),
  },
  [1369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3647),
    [aux_sym_preproc_def_token1] = ACTIONS(3647),
    [aux_sym_preproc_if_token1] = ACTIONS(3647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3647),
    [sym_preproc_directive] = ACTIONS(3647),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3647),
    [aux_sym_end_module_statement_token1] = ACTIONS(3647),
    [aux_sym_interface_statement_token1] = ACTIONS(3647),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3647),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3647),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3647),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3647),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3647),
    [aux_sym_contains_statement_token1] = ACTIONS(3647),
    [aux_sym_use_statement_token1] = ACTIONS(3647),
    [aux_sym_use_statement_token2] = ACTIONS(3647),
    [aux_sym_implicit_statement_token1] = ACTIONS(3647),
    [aux_sym_implicit_statement_token3] = ACTIONS(3647),
    [aux_sym_implicit_statement_token4] = ACTIONS(3647),
    [aux_sym_save_statement_token1] = ACTIONS(3647),
    [aux_sym_private_statement_token1] = ACTIONS(3647),
    [aux_sym_public_statement_token1] = ACTIONS(3647),
    [aux_sym_namelist_statement_token1] = ACTIONS(3647),
    [aux_sym_common_statement_token1] = ACTIONS(3647),
    [aux_sym_import_statement_token1] = ACTIONS(3647),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3647),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3647),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3647),
    [aux_sym_variable_attributes_token1] = ACTIONS(3647),
    [aux_sym_variable_attributes_token2] = ACTIONS(3647),
    [aux_sym_variable_attributes_token3] = ACTIONS(3647),
    [aux_sym_variable_attributes_token4] = ACTIONS(3647),
    [aux_sym_variable_attributes_token5] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3647),
    [aux_sym_derived_type_token1] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3647),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3647),
    [aux_sym_stop_statement_token1] = ACTIONS(3647),
    [aux_sym_stop_statement_token2] = ACTIONS(3647),
    [aux_sym_keyword_statement_token2] = ACTIONS(3647),
    [aux_sym_keyword_statement_token3] = ACTIONS(3647),
    [aux_sym_include_statement_token1] = ACTIONS(3647),
    [aux_sym_data_statement_token1] = ACTIONS(3647),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3647),
    [aux_sym_end_if_statement_token1] = ACTIONS(3647),
    [aux_sym_elseif_clause_token2] = ACTIONS(3647),
    [aux_sym_select_case_statement_token1] = ACTIONS(3647),
    [aux_sym_block_construct_token1] = ACTIONS(3647),
    [aux_sym_format_statement_token1] = ACTIONS(3647),
    [aux_sym_inquire_statement_token1] = ACTIONS(3647),
    [aux_sym_enum_statement_token1] = ACTIONS(3647),
    [aux_sym_null_literal_token1] = ACTIONS(3647),
    [aux_sym_identifier_token1] = ACTIONS(3647),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3649),
  },
  [1370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_end_module_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
  },
  [1371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_end_module_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
  },
  [1372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_end_module_statement_token1] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token2] = ACTIONS(2351),
    [aux_sym_implicit_statement_token1] = ACTIONS(2351),
    [aux_sym_implicit_statement_token3] = ACTIONS(2351),
    [aux_sym_implicit_statement_token4] = ACTIONS(2351),
    [aux_sym_save_statement_token1] = ACTIONS(2351),
    [aux_sym_private_statement_token1] = ACTIONS(2351),
    [aux_sym_public_statement_token1] = ACTIONS(2351),
    [aux_sym_namelist_statement_token1] = ACTIONS(2351),
    [aux_sym_common_statement_token1] = ACTIONS(2351),
    [aux_sym_import_statement_token1] = ACTIONS(2351),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2351),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2351),
    [aux_sym_variable_attributes_token1] = ACTIONS(2351),
    [aux_sym_variable_attributes_token2] = ACTIONS(2351),
    [aux_sym_variable_attributes_token3] = ACTIONS(2351),
    [aux_sym_variable_attributes_token4] = ACTIONS(2351),
    [aux_sym_variable_attributes_token5] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2351),
    [aux_sym_derived_type_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2351),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_enum_statement_token1] = ACTIONS(2351),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
  },
  [1373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_end_module_statement_token1] = ACTIONS(2385),
    [aux_sym_interface_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token2] = ACTIONS(2385),
    [aux_sym_implicit_statement_token1] = ACTIONS(2385),
    [aux_sym_implicit_statement_token3] = ACTIONS(2385),
    [aux_sym_implicit_statement_token4] = ACTIONS(2385),
    [aux_sym_save_statement_token1] = ACTIONS(2385),
    [aux_sym_private_statement_token1] = ACTIONS(2385),
    [aux_sym_public_statement_token1] = ACTIONS(2385),
    [aux_sym_namelist_statement_token1] = ACTIONS(2385),
    [aux_sym_common_statement_token1] = ACTIONS(2385),
    [aux_sym_import_statement_token1] = ACTIONS(2385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2385),
    [aux_sym_variable_attributes_token1] = ACTIONS(2385),
    [aux_sym_variable_attributes_token2] = ACTIONS(2385),
    [aux_sym_variable_attributes_token3] = ACTIONS(2385),
    [aux_sym_variable_attributes_token4] = ACTIONS(2385),
    [aux_sym_variable_attributes_token5] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2385),
    [aux_sym_derived_type_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_enum_statement_token1] = ACTIONS(2385),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
  },
  [1374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_module_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
  },
  [1375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_end_module_statement_token1] = ACTIONS(2389),
    [aux_sym_interface_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token2] = ACTIONS(2389),
    [aux_sym_implicit_statement_token1] = ACTIONS(2389),
    [aux_sym_implicit_statement_token3] = ACTIONS(2389),
    [aux_sym_implicit_statement_token4] = ACTIONS(2389),
    [aux_sym_save_statement_token1] = ACTIONS(2389),
    [aux_sym_private_statement_token1] = ACTIONS(2389),
    [aux_sym_public_statement_token1] = ACTIONS(2389),
    [aux_sym_namelist_statement_token1] = ACTIONS(2389),
    [aux_sym_common_statement_token1] = ACTIONS(2389),
    [aux_sym_import_statement_token1] = ACTIONS(2389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2389),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2389),
    [aux_sym_variable_attributes_token1] = ACTIONS(2389),
    [aux_sym_variable_attributes_token2] = ACTIONS(2389),
    [aux_sym_variable_attributes_token3] = ACTIONS(2389),
    [aux_sym_variable_attributes_token4] = ACTIONS(2389),
    [aux_sym_variable_attributes_token5] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2389),
    [aux_sym_derived_type_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2389),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_enum_statement_token1] = ACTIONS(2389),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
  },
  [1376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_end_module_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
  },
  [1377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_module_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
  },
  [1378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_end_module_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
  },
  [1379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_end_module_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
  },
  [1380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
  },
  [1381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3651),
    [aux_sym_preproc_def_token1] = ACTIONS(3651),
    [aux_sym_preproc_if_token1] = ACTIONS(3651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3651),
    [sym_preproc_directive] = ACTIONS(3651),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3651),
    [aux_sym_end_module_statement_token1] = ACTIONS(3651),
    [aux_sym_interface_statement_token1] = ACTIONS(3651),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3651),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3651),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3651),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3651),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3651),
    [aux_sym_contains_statement_token1] = ACTIONS(3651),
    [aux_sym_use_statement_token1] = ACTIONS(3651),
    [aux_sym_use_statement_token2] = ACTIONS(3651),
    [aux_sym_implicit_statement_token1] = ACTIONS(3651),
    [aux_sym_implicit_statement_token3] = ACTIONS(3651),
    [aux_sym_implicit_statement_token4] = ACTIONS(3651),
    [aux_sym_save_statement_token1] = ACTIONS(3651),
    [aux_sym_private_statement_token1] = ACTIONS(3651),
    [aux_sym_public_statement_token1] = ACTIONS(3651),
    [aux_sym_namelist_statement_token1] = ACTIONS(3651),
    [aux_sym_common_statement_token1] = ACTIONS(3651),
    [aux_sym_import_statement_token1] = ACTIONS(3651),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3651),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3651),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3651),
    [aux_sym_variable_attributes_token1] = ACTIONS(3651),
    [aux_sym_variable_attributes_token2] = ACTIONS(3651),
    [aux_sym_variable_attributes_token3] = ACTIONS(3651),
    [aux_sym_variable_attributes_token4] = ACTIONS(3651),
    [aux_sym_variable_attributes_token5] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3651),
    [aux_sym_derived_type_token1] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3651),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3651),
    [aux_sym_stop_statement_token1] = ACTIONS(3651),
    [aux_sym_stop_statement_token2] = ACTIONS(3651),
    [aux_sym_keyword_statement_token2] = ACTIONS(3651),
    [aux_sym_keyword_statement_token3] = ACTIONS(3651),
    [aux_sym_include_statement_token1] = ACTIONS(3651),
    [aux_sym_data_statement_token1] = ACTIONS(3651),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3651),
    [aux_sym_end_if_statement_token1] = ACTIONS(3651),
    [aux_sym_elseif_clause_token2] = ACTIONS(3651),
    [aux_sym_select_case_statement_token1] = ACTIONS(3651),
    [aux_sym_block_construct_token1] = ACTIONS(3651),
    [aux_sym_format_statement_token1] = ACTIONS(3651),
    [aux_sym_inquire_statement_token1] = ACTIONS(3651),
    [aux_sym_enum_statement_token1] = ACTIONS(3651),
    [aux_sym_null_literal_token1] = ACTIONS(3651),
    [aux_sym_identifier_token1] = ACTIONS(3651),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3653),
  },
  [1382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3655),
    [aux_sym_preproc_def_token1] = ACTIONS(3655),
    [aux_sym_preproc_if_token1] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3655),
    [sym_preproc_directive] = ACTIONS(3655),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3655),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3655),
    [aux_sym_interface_statement_token1] = ACTIONS(3655),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3655),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3655),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3655),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3655),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3655),
    [aux_sym_contains_statement_token1] = ACTIONS(3655),
    [aux_sym_use_statement_token1] = ACTIONS(3655),
    [aux_sym_use_statement_token2] = ACTIONS(3655),
    [aux_sym_implicit_statement_token1] = ACTIONS(3655),
    [aux_sym_implicit_statement_token3] = ACTIONS(3655),
    [aux_sym_implicit_statement_token4] = ACTIONS(3655),
    [aux_sym_save_statement_token1] = ACTIONS(3655),
    [aux_sym_private_statement_token1] = ACTIONS(3655),
    [aux_sym_public_statement_token1] = ACTIONS(3655),
    [aux_sym_namelist_statement_token1] = ACTIONS(3655),
    [aux_sym_common_statement_token1] = ACTIONS(3655),
    [aux_sym_import_statement_token1] = ACTIONS(3655),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3655),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3655),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3655),
    [aux_sym_variable_attributes_token1] = ACTIONS(3655),
    [aux_sym_variable_attributes_token2] = ACTIONS(3655),
    [aux_sym_variable_attributes_token3] = ACTIONS(3655),
    [aux_sym_variable_attributes_token4] = ACTIONS(3655),
    [aux_sym_variable_attributes_token5] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3655),
    [aux_sym_derived_type_token1] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3655),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3655),
    [aux_sym_stop_statement_token1] = ACTIONS(3655),
    [aux_sym_stop_statement_token2] = ACTIONS(3655),
    [aux_sym_keyword_statement_token2] = ACTIONS(3655),
    [aux_sym_keyword_statement_token3] = ACTIONS(3655),
    [aux_sym_include_statement_token1] = ACTIONS(3655),
    [aux_sym_data_statement_token1] = ACTIONS(3655),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3655),
    [aux_sym_end_if_statement_token1] = ACTIONS(3655),
    [aux_sym_elseif_clause_token2] = ACTIONS(3655),
    [aux_sym_select_case_statement_token1] = ACTIONS(3655),
    [aux_sym_block_construct_token1] = ACTIONS(3655),
    [aux_sym_format_statement_token1] = ACTIONS(3655),
    [aux_sym_inquire_statement_token1] = ACTIONS(3655),
    [aux_sym_enum_statement_token1] = ACTIONS(3655),
    [aux_sym_null_literal_token1] = ACTIONS(3655),
    [aux_sym_identifier_token1] = ACTIONS(3655),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3657),
  },
  [1383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
  },
  [1384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_end_module_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
  },
  [1385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3659),
    [aux_sym_preproc_def_token1] = ACTIONS(3659),
    [aux_sym_preproc_if_token1] = ACTIONS(3659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3659),
    [sym_preproc_directive] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3659),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3659),
    [aux_sym_interface_statement_token1] = ACTIONS(3659),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3659),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3659),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3659),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3659),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3659),
    [aux_sym_contains_statement_token1] = ACTIONS(3659),
    [aux_sym_use_statement_token1] = ACTIONS(3659),
    [aux_sym_use_statement_token2] = ACTIONS(3659),
    [aux_sym_implicit_statement_token1] = ACTIONS(3659),
    [aux_sym_implicit_statement_token3] = ACTIONS(3659),
    [aux_sym_implicit_statement_token4] = ACTIONS(3659),
    [aux_sym_save_statement_token1] = ACTIONS(3659),
    [aux_sym_private_statement_token1] = ACTIONS(3659),
    [aux_sym_public_statement_token1] = ACTIONS(3659),
    [aux_sym_namelist_statement_token1] = ACTIONS(3659),
    [aux_sym_common_statement_token1] = ACTIONS(3659),
    [aux_sym_import_statement_token1] = ACTIONS(3659),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3659),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3659),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3659),
    [aux_sym_variable_attributes_token1] = ACTIONS(3659),
    [aux_sym_variable_attributes_token2] = ACTIONS(3659),
    [aux_sym_variable_attributes_token3] = ACTIONS(3659),
    [aux_sym_variable_attributes_token4] = ACTIONS(3659),
    [aux_sym_variable_attributes_token5] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3659),
    [aux_sym_derived_type_token1] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3659),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3659),
    [aux_sym_stop_statement_token1] = ACTIONS(3659),
    [aux_sym_stop_statement_token2] = ACTIONS(3659),
    [aux_sym_keyword_statement_token2] = ACTIONS(3659),
    [aux_sym_keyword_statement_token3] = ACTIONS(3659),
    [aux_sym_include_statement_token1] = ACTIONS(3659),
    [aux_sym_data_statement_token1] = ACTIONS(3659),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3659),
    [aux_sym_end_if_statement_token1] = ACTIONS(3659),
    [aux_sym_elseif_clause_token2] = ACTIONS(3659),
    [aux_sym_select_case_statement_token1] = ACTIONS(3659),
    [aux_sym_block_construct_token1] = ACTIONS(3659),
    [aux_sym_format_statement_token1] = ACTIONS(3659),
    [aux_sym_inquire_statement_token1] = ACTIONS(3659),
    [aux_sym_enum_statement_token1] = ACTIONS(3659),
    [aux_sym_null_literal_token1] = ACTIONS(3659),
    [aux_sym_identifier_token1] = ACTIONS(3659),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3661),
  },
  [1386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
  },
  [1387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3647),
    [aux_sym_preproc_def_token1] = ACTIONS(3647),
    [aux_sym_preproc_if_token1] = ACTIONS(3647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3647),
    [sym_preproc_directive] = ACTIONS(3647),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3647),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3647),
    [aux_sym_interface_statement_token1] = ACTIONS(3647),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3647),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3647),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3647),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3647),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3647),
    [aux_sym_contains_statement_token1] = ACTIONS(3647),
    [aux_sym_use_statement_token1] = ACTIONS(3647),
    [aux_sym_use_statement_token2] = ACTIONS(3647),
    [aux_sym_implicit_statement_token1] = ACTIONS(3647),
    [aux_sym_implicit_statement_token3] = ACTIONS(3647),
    [aux_sym_implicit_statement_token4] = ACTIONS(3647),
    [aux_sym_save_statement_token1] = ACTIONS(3647),
    [aux_sym_private_statement_token1] = ACTIONS(3647),
    [aux_sym_public_statement_token1] = ACTIONS(3647),
    [aux_sym_namelist_statement_token1] = ACTIONS(3647),
    [aux_sym_common_statement_token1] = ACTIONS(3647),
    [aux_sym_import_statement_token1] = ACTIONS(3647),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3647),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3647),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3647),
    [aux_sym_variable_attributes_token1] = ACTIONS(3647),
    [aux_sym_variable_attributes_token2] = ACTIONS(3647),
    [aux_sym_variable_attributes_token3] = ACTIONS(3647),
    [aux_sym_variable_attributes_token4] = ACTIONS(3647),
    [aux_sym_variable_attributes_token5] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3647),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3647),
    [aux_sym_derived_type_token1] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3647),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3647),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3647),
    [aux_sym_stop_statement_token1] = ACTIONS(3647),
    [aux_sym_stop_statement_token2] = ACTIONS(3647),
    [aux_sym_keyword_statement_token2] = ACTIONS(3647),
    [aux_sym_keyword_statement_token3] = ACTIONS(3647),
    [aux_sym_include_statement_token1] = ACTIONS(3647),
    [aux_sym_data_statement_token1] = ACTIONS(3647),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3647),
    [aux_sym_end_if_statement_token1] = ACTIONS(3647),
    [aux_sym_elseif_clause_token2] = ACTIONS(3647),
    [aux_sym_select_case_statement_token1] = ACTIONS(3647),
    [aux_sym_block_construct_token1] = ACTIONS(3647),
    [aux_sym_format_statement_token1] = ACTIONS(3647),
    [aux_sym_inquire_statement_token1] = ACTIONS(3647),
    [aux_sym_enum_statement_token1] = ACTIONS(3647),
    [aux_sym_null_literal_token1] = ACTIONS(3647),
    [aux_sym_identifier_token1] = ACTIONS(3647),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3649),
  },
  [1388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3663),
    [aux_sym_preproc_def_token1] = ACTIONS(3663),
    [aux_sym_preproc_if_token1] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3663),
    [sym_preproc_directive] = ACTIONS(3663),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3663),
    [aux_sym_end_module_statement_token1] = ACTIONS(3663),
    [aux_sym_interface_statement_token1] = ACTIONS(3663),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3663),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3663),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3663),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3663),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3663),
    [aux_sym_contains_statement_token1] = ACTIONS(3663),
    [aux_sym_use_statement_token1] = ACTIONS(3663),
    [aux_sym_use_statement_token2] = ACTIONS(3663),
    [aux_sym_implicit_statement_token1] = ACTIONS(3663),
    [aux_sym_implicit_statement_token3] = ACTIONS(3663),
    [aux_sym_implicit_statement_token4] = ACTIONS(3663),
    [aux_sym_save_statement_token1] = ACTIONS(3663),
    [aux_sym_private_statement_token1] = ACTIONS(3663),
    [aux_sym_public_statement_token1] = ACTIONS(3663),
    [aux_sym_namelist_statement_token1] = ACTIONS(3663),
    [aux_sym_common_statement_token1] = ACTIONS(3663),
    [aux_sym_import_statement_token1] = ACTIONS(3663),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3663),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3663),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3663),
    [aux_sym_variable_attributes_token1] = ACTIONS(3663),
    [aux_sym_variable_attributes_token2] = ACTIONS(3663),
    [aux_sym_variable_attributes_token3] = ACTIONS(3663),
    [aux_sym_variable_attributes_token4] = ACTIONS(3663),
    [aux_sym_variable_attributes_token5] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3663),
    [aux_sym_derived_type_token1] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3663),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3663),
    [aux_sym_stop_statement_token1] = ACTIONS(3663),
    [aux_sym_stop_statement_token2] = ACTIONS(3663),
    [aux_sym_keyword_statement_token2] = ACTIONS(3663),
    [aux_sym_keyword_statement_token3] = ACTIONS(3663),
    [aux_sym_include_statement_token1] = ACTIONS(3663),
    [aux_sym_data_statement_token1] = ACTIONS(3663),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3663),
    [aux_sym_end_if_statement_token1] = ACTIONS(3663),
    [aux_sym_elseif_clause_token2] = ACTIONS(3663),
    [aux_sym_select_case_statement_token1] = ACTIONS(3663),
    [aux_sym_block_construct_token1] = ACTIONS(3663),
    [aux_sym_format_statement_token1] = ACTIONS(3663),
    [aux_sym_inquire_statement_token1] = ACTIONS(3663),
    [aux_sym_enum_statement_token1] = ACTIONS(3663),
    [aux_sym_null_literal_token1] = ACTIONS(3663),
    [aux_sym_identifier_token1] = ACTIONS(3663),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3665),
  },
  [1389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
  },
  [1390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_module_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
  },
  [1391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_module_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
  },
  [1392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_end_module_statement_token1] = ACTIONS(2301),
    [aux_sym_interface_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token2] = ACTIONS(2301),
    [aux_sym_implicit_statement_token1] = ACTIONS(2301),
    [aux_sym_implicit_statement_token3] = ACTIONS(2301),
    [aux_sym_implicit_statement_token4] = ACTIONS(2301),
    [aux_sym_save_statement_token1] = ACTIONS(2301),
    [aux_sym_private_statement_token1] = ACTIONS(2301),
    [aux_sym_public_statement_token1] = ACTIONS(2301),
    [aux_sym_namelist_statement_token1] = ACTIONS(2301),
    [aux_sym_common_statement_token1] = ACTIONS(2301),
    [aux_sym_import_statement_token1] = ACTIONS(2301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2301),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2301),
    [aux_sym_variable_attributes_token1] = ACTIONS(2301),
    [aux_sym_variable_attributes_token2] = ACTIONS(2301),
    [aux_sym_variable_attributes_token3] = ACTIONS(2301),
    [aux_sym_variable_attributes_token4] = ACTIONS(2301),
    [aux_sym_variable_attributes_token5] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2301),
    [aux_sym_derived_type_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2301),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_enum_statement_token1] = ACTIONS(2301),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
  },
  [1393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
  },
  [1394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3432),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3432),
    [sym_preproc_directive] = ACTIONS(3432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3432),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3432),
    [aux_sym_interface_statement_token1] = ACTIONS(3432),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3432),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3432),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3432),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3432),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3432),
    [aux_sym_contains_statement_token1] = ACTIONS(3432),
    [aux_sym_use_statement_token1] = ACTIONS(3432),
    [aux_sym_use_statement_token2] = ACTIONS(3432),
    [aux_sym_implicit_statement_token1] = ACTIONS(3432),
    [aux_sym_implicit_statement_token3] = ACTIONS(3432),
    [aux_sym_implicit_statement_token4] = ACTIONS(3432),
    [aux_sym_save_statement_token1] = ACTIONS(3432),
    [aux_sym_private_statement_token1] = ACTIONS(3432),
    [aux_sym_public_statement_token1] = ACTIONS(3432),
    [aux_sym_namelist_statement_token1] = ACTIONS(3432),
    [aux_sym_common_statement_token1] = ACTIONS(3432),
    [aux_sym_import_statement_token1] = ACTIONS(3432),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3432),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3432),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3432),
    [aux_sym_variable_attributes_token1] = ACTIONS(3432),
    [aux_sym_variable_attributes_token2] = ACTIONS(3432),
    [aux_sym_variable_attributes_token3] = ACTIONS(3432),
    [aux_sym_variable_attributes_token4] = ACTIONS(3432),
    [aux_sym_variable_attributes_token5] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3432),
    [aux_sym_derived_type_token1] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3432),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3432),
    [aux_sym_stop_statement_token1] = ACTIONS(3432),
    [aux_sym_stop_statement_token2] = ACTIONS(3432),
    [aux_sym_keyword_statement_token2] = ACTIONS(3432),
    [aux_sym_keyword_statement_token3] = ACTIONS(3432),
    [aux_sym_include_statement_token1] = ACTIONS(3432),
    [aux_sym_data_statement_token1] = ACTIONS(3432),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3432),
    [aux_sym_end_if_statement_token1] = ACTIONS(3432),
    [aux_sym_elseif_clause_token2] = ACTIONS(3432),
    [aux_sym_select_case_statement_token1] = ACTIONS(3432),
    [aux_sym_block_construct_token1] = ACTIONS(3432),
    [aux_sym_format_statement_token1] = ACTIONS(3432),
    [aux_sym_inquire_statement_token1] = ACTIONS(3432),
    [aux_sym_enum_statement_token1] = ACTIONS(3432),
    [aux_sym_null_literal_token1] = ACTIONS(3432),
    [aux_sym_identifier_token1] = ACTIONS(3432),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3434),
  },
  [1395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_end_module_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
  },
  [1396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_end_module_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
  },
  [1397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
  },
  [1398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_end_module_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
  },
  [1399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_end_module_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
  },
  [1400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_module_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
  },
  [1401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
  },
  [1402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3667),
    [aux_sym_preproc_def_token1] = ACTIONS(3667),
    [aux_sym_preproc_if_token1] = ACTIONS(3667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3667),
    [sym_preproc_directive] = ACTIONS(3667),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3667),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3667),
    [aux_sym_interface_statement_token1] = ACTIONS(3667),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3667),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3667),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3667),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3667),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3667),
    [aux_sym_contains_statement_token1] = ACTIONS(3667),
    [aux_sym_use_statement_token1] = ACTIONS(3667),
    [aux_sym_use_statement_token2] = ACTIONS(3667),
    [aux_sym_implicit_statement_token1] = ACTIONS(3667),
    [aux_sym_implicit_statement_token3] = ACTIONS(3667),
    [aux_sym_implicit_statement_token4] = ACTIONS(3667),
    [aux_sym_save_statement_token1] = ACTIONS(3667),
    [aux_sym_private_statement_token1] = ACTIONS(3667),
    [aux_sym_public_statement_token1] = ACTIONS(3667),
    [aux_sym_namelist_statement_token1] = ACTIONS(3667),
    [aux_sym_common_statement_token1] = ACTIONS(3667),
    [aux_sym_import_statement_token1] = ACTIONS(3667),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3667),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3667),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3667),
    [aux_sym_variable_attributes_token1] = ACTIONS(3667),
    [aux_sym_variable_attributes_token2] = ACTIONS(3667),
    [aux_sym_variable_attributes_token3] = ACTIONS(3667),
    [aux_sym_variable_attributes_token4] = ACTIONS(3667),
    [aux_sym_variable_attributes_token5] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3667),
    [aux_sym_derived_type_token1] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3667),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3667),
    [aux_sym_stop_statement_token1] = ACTIONS(3667),
    [aux_sym_stop_statement_token2] = ACTIONS(3667),
    [aux_sym_keyword_statement_token2] = ACTIONS(3667),
    [aux_sym_keyword_statement_token3] = ACTIONS(3667),
    [aux_sym_include_statement_token1] = ACTIONS(3667),
    [aux_sym_data_statement_token1] = ACTIONS(3667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3667),
    [aux_sym_end_if_statement_token1] = ACTIONS(3667),
    [aux_sym_elseif_clause_token2] = ACTIONS(3667),
    [aux_sym_select_case_statement_token1] = ACTIONS(3667),
    [aux_sym_block_construct_token1] = ACTIONS(3667),
    [aux_sym_format_statement_token1] = ACTIONS(3667),
    [aux_sym_inquire_statement_token1] = ACTIONS(3667),
    [aux_sym_enum_statement_token1] = ACTIONS(3667),
    [aux_sym_null_literal_token1] = ACTIONS(3667),
    [aux_sym_identifier_token1] = ACTIONS(3667),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3669),
  },
  [1403] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3671),
    [aux_sym_preproc_def_token1] = ACTIONS(3671),
    [aux_sym_preproc_if_token1] = ACTIONS(3671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3671),
    [sym_preproc_directive] = ACTIONS(3671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3671),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3671),
    [aux_sym_interface_statement_token1] = ACTIONS(3671),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3671),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3671),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3671),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3671),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3671),
    [aux_sym_contains_statement_token1] = ACTIONS(3671),
    [aux_sym_use_statement_token1] = ACTIONS(3671),
    [aux_sym_use_statement_token2] = ACTIONS(3671),
    [aux_sym_implicit_statement_token1] = ACTIONS(3671),
    [aux_sym_implicit_statement_token3] = ACTIONS(3671),
    [aux_sym_implicit_statement_token4] = ACTIONS(3671),
    [aux_sym_save_statement_token1] = ACTIONS(3671),
    [aux_sym_private_statement_token1] = ACTIONS(3671),
    [aux_sym_public_statement_token1] = ACTIONS(3671),
    [aux_sym_namelist_statement_token1] = ACTIONS(3671),
    [aux_sym_common_statement_token1] = ACTIONS(3671),
    [aux_sym_import_statement_token1] = ACTIONS(3671),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3671),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3671),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3671),
    [aux_sym_variable_attributes_token1] = ACTIONS(3671),
    [aux_sym_variable_attributes_token2] = ACTIONS(3671),
    [aux_sym_variable_attributes_token3] = ACTIONS(3671),
    [aux_sym_variable_attributes_token4] = ACTIONS(3671),
    [aux_sym_variable_attributes_token5] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3671),
    [aux_sym_derived_type_token1] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3671),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3671),
    [aux_sym_stop_statement_token1] = ACTIONS(3671),
    [aux_sym_stop_statement_token2] = ACTIONS(3671),
    [aux_sym_keyword_statement_token2] = ACTIONS(3671),
    [aux_sym_keyword_statement_token3] = ACTIONS(3671),
    [aux_sym_include_statement_token1] = ACTIONS(3671),
    [aux_sym_data_statement_token1] = ACTIONS(3671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3671),
    [aux_sym_end_if_statement_token1] = ACTIONS(3671),
    [aux_sym_elseif_clause_token2] = ACTIONS(3671),
    [aux_sym_select_case_statement_token1] = ACTIONS(3671),
    [aux_sym_block_construct_token1] = ACTIONS(3671),
    [aux_sym_format_statement_token1] = ACTIONS(3671),
    [aux_sym_inquire_statement_token1] = ACTIONS(3671),
    [aux_sym_enum_statement_token1] = ACTIONS(3671),
    [aux_sym_null_literal_token1] = ACTIONS(3671),
    [aux_sym_identifier_token1] = ACTIONS(3671),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3673),
  },
  [1404] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3675),
    [aux_sym_preproc_def_token1] = ACTIONS(3675),
    [aux_sym_preproc_if_token1] = ACTIONS(3675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3675),
    [sym_preproc_directive] = ACTIONS(3675),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3675),
    [aux_sym_end_module_statement_token1] = ACTIONS(3675),
    [aux_sym_interface_statement_token1] = ACTIONS(3675),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3675),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3675),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3675),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3675),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3675),
    [aux_sym_contains_statement_token1] = ACTIONS(3675),
    [aux_sym_use_statement_token1] = ACTIONS(3675),
    [aux_sym_use_statement_token2] = ACTIONS(3675),
    [aux_sym_implicit_statement_token1] = ACTIONS(3675),
    [aux_sym_implicit_statement_token3] = ACTIONS(3675),
    [aux_sym_implicit_statement_token4] = ACTIONS(3675),
    [aux_sym_save_statement_token1] = ACTIONS(3675),
    [aux_sym_private_statement_token1] = ACTIONS(3675),
    [aux_sym_public_statement_token1] = ACTIONS(3675),
    [aux_sym_namelist_statement_token1] = ACTIONS(3675),
    [aux_sym_common_statement_token1] = ACTIONS(3675),
    [aux_sym_import_statement_token1] = ACTIONS(3675),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3675),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3675),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3675),
    [aux_sym_variable_attributes_token1] = ACTIONS(3675),
    [aux_sym_variable_attributes_token2] = ACTIONS(3675),
    [aux_sym_variable_attributes_token3] = ACTIONS(3675),
    [aux_sym_variable_attributes_token4] = ACTIONS(3675),
    [aux_sym_variable_attributes_token5] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3675),
    [aux_sym_derived_type_token1] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3675),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3675),
    [aux_sym_stop_statement_token1] = ACTIONS(3675),
    [aux_sym_stop_statement_token2] = ACTIONS(3675),
    [aux_sym_keyword_statement_token2] = ACTIONS(3675),
    [aux_sym_keyword_statement_token3] = ACTIONS(3675),
    [aux_sym_include_statement_token1] = ACTIONS(3675),
    [aux_sym_data_statement_token1] = ACTIONS(3675),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3675),
    [aux_sym_end_if_statement_token1] = ACTIONS(3675),
    [aux_sym_elseif_clause_token2] = ACTIONS(3675),
    [aux_sym_select_case_statement_token1] = ACTIONS(3675),
    [aux_sym_block_construct_token1] = ACTIONS(3675),
    [aux_sym_format_statement_token1] = ACTIONS(3675),
    [aux_sym_inquire_statement_token1] = ACTIONS(3675),
    [aux_sym_enum_statement_token1] = ACTIONS(3675),
    [aux_sym_null_literal_token1] = ACTIONS(3675),
    [aux_sym_identifier_token1] = ACTIONS(3675),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3677),
  },
  [1405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3511),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3511),
    [aux_sym_interface_statement_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3511),
    [aux_sym_contains_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token2] = ACTIONS(3511),
    [aux_sym_implicit_statement_token1] = ACTIONS(3511),
    [aux_sym_implicit_statement_token3] = ACTIONS(3511),
    [aux_sym_implicit_statement_token4] = ACTIONS(3511),
    [aux_sym_save_statement_token1] = ACTIONS(3511),
    [aux_sym_private_statement_token1] = ACTIONS(3511),
    [aux_sym_public_statement_token1] = ACTIONS(3511),
    [aux_sym_namelist_statement_token1] = ACTIONS(3511),
    [aux_sym_common_statement_token1] = ACTIONS(3511),
    [aux_sym_import_statement_token1] = ACTIONS(3511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3511),
    [aux_sym_variable_attributes_token1] = ACTIONS(3511),
    [aux_sym_variable_attributes_token2] = ACTIONS(3511),
    [aux_sym_variable_attributes_token3] = ACTIONS(3511),
    [aux_sym_variable_attributes_token4] = ACTIONS(3511),
    [aux_sym_variable_attributes_token5] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3511),
    [aux_sym_derived_type_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token3] = ACTIONS(3511),
    [aux_sym_include_statement_token1] = ACTIONS(3511),
    [aux_sym_data_statement_token1] = ACTIONS(3511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3511),
    [aux_sym_end_if_statement_token1] = ACTIONS(3511),
    [aux_sym_elseif_clause_token2] = ACTIONS(3511),
    [aux_sym_select_case_statement_token1] = ACTIONS(3511),
    [aux_sym_block_construct_token1] = ACTIONS(3511),
    [aux_sym_format_statement_token1] = ACTIONS(3511),
    [aux_sym_inquire_statement_token1] = ACTIONS(3511),
    [aux_sym_enum_statement_token1] = ACTIONS(3511),
    [aux_sym_null_literal_token1] = ACTIONS(3511),
    [aux_sym_identifier_token1] = ACTIONS(3511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3515),
  },
  [1406] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3675),
    [aux_sym_preproc_def_token1] = ACTIONS(3675),
    [aux_sym_preproc_if_token1] = ACTIONS(3675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3675),
    [sym_preproc_directive] = ACTIONS(3675),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3675),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3675),
    [aux_sym_interface_statement_token1] = ACTIONS(3675),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3675),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3675),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3675),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3675),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3675),
    [aux_sym_contains_statement_token1] = ACTIONS(3675),
    [aux_sym_use_statement_token1] = ACTIONS(3675),
    [aux_sym_use_statement_token2] = ACTIONS(3675),
    [aux_sym_implicit_statement_token1] = ACTIONS(3675),
    [aux_sym_implicit_statement_token3] = ACTIONS(3675),
    [aux_sym_implicit_statement_token4] = ACTIONS(3675),
    [aux_sym_save_statement_token1] = ACTIONS(3675),
    [aux_sym_private_statement_token1] = ACTIONS(3675),
    [aux_sym_public_statement_token1] = ACTIONS(3675),
    [aux_sym_namelist_statement_token1] = ACTIONS(3675),
    [aux_sym_common_statement_token1] = ACTIONS(3675),
    [aux_sym_import_statement_token1] = ACTIONS(3675),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3675),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3675),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3675),
    [aux_sym_variable_attributes_token1] = ACTIONS(3675),
    [aux_sym_variable_attributes_token2] = ACTIONS(3675),
    [aux_sym_variable_attributes_token3] = ACTIONS(3675),
    [aux_sym_variable_attributes_token4] = ACTIONS(3675),
    [aux_sym_variable_attributes_token5] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3675),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3675),
    [aux_sym_derived_type_token1] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3675),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3675),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3675),
    [aux_sym_stop_statement_token1] = ACTIONS(3675),
    [aux_sym_stop_statement_token2] = ACTIONS(3675),
    [aux_sym_keyword_statement_token2] = ACTIONS(3675),
    [aux_sym_keyword_statement_token3] = ACTIONS(3675),
    [aux_sym_include_statement_token1] = ACTIONS(3675),
    [aux_sym_data_statement_token1] = ACTIONS(3675),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3675),
    [aux_sym_end_if_statement_token1] = ACTIONS(3675),
    [aux_sym_elseif_clause_token2] = ACTIONS(3675),
    [aux_sym_select_case_statement_token1] = ACTIONS(3675),
    [aux_sym_block_construct_token1] = ACTIONS(3675),
    [aux_sym_format_statement_token1] = ACTIONS(3675),
    [aux_sym_inquire_statement_token1] = ACTIONS(3675),
    [aux_sym_enum_statement_token1] = ACTIONS(3675),
    [aux_sym_null_literal_token1] = ACTIONS(3675),
    [aux_sym_identifier_token1] = ACTIONS(3675),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3677),
  },
  [1407] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_module_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
  },
  [1408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_module_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
  },
  [1409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
  },
  [1410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3511),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3511),
    [sym_preproc_directive] = ACTIONS(3511),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3511),
    [aux_sym_end_module_statement_token1] = ACTIONS(3511),
    [aux_sym_interface_statement_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3511),
    [aux_sym_contains_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token1] = ACTIONS(3511),
    [aux_sym_use_statement_token2] = ACTIONS(3511),
    [aux_sym_implicit_statement_token1] = ACTIONS(3511),
    [aux_sym_implicit_statement_token3] = ACTIONS(3511),
    [aux_sym_implicit_statement_token4] = ACTIONS(3511),
    [aux_sym_save_statement_token1] = ACTIONS(3511),
    [aux_sym_private_statement_token1] = ACTIONS(3511),
    [aux_sym_public_statement_token1] = ACTIONS(3511),
    [aux_sym_namelist_statement_token1] = ACTIONS(3511),
    [aux_sym_common_statement_token1] = ACTIONS(3511),
    [aux_sym_import_statement_token1] = ACTIONS(3511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3511),
    [aux_sym_variable_attributes_token1] = ACTIONS(3511),
    [aux_sym_variable_attributes_token2] = ACTIONS(3511),
    [aux_sym_variable_attributes_token3] = ACTIONS(3511),
    [aux_sym_variable_attributes_token4] = ACTIONS(3511),
    [aux_sym_variable_attributes_token5] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3511),
    [aux_sym_derived_type_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token1] = ACTIONS(3511),
    [aux_sym_stop_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token2] = ACTIONS(3511),
    [aux_sym_keyword_statement_token3] = ACTIONS(3511),
    [aux_sym_include_statement_token1] = ACTIONS(3511),
    [aux_sym_data_statement_token1] = ACTIONS(3511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3511),
    [aux_sym_end_if_statement_token1] = ACTIONS(3511),
    [aux_sym_elseif_clause_token2] = ACTIONS(3511),
    [aux_sym_select_case_statement_token1] = ACTIONS(3511),
    [aux_sym_block_construct_token1] = ACTIONS(3511),
    [aux_sym_format_statement_token1] = ACTIONS(3511),
    [aux_sym_inquire_statement_token1] = ACTIONS(3511),
    [aux_sym_enum_statement_token1] = ACTIONS(3511),
    [aux_sym_null_literal_token1] = ACTIONS(3511),
    [aux_sym_identifier_token1] = ACTIONS(3511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3515),
  },
  [1411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3655),
    [aux_sym_preproc_def_token1] = ACTIONS(3655),
    [aux_sym_preproc_if_token1] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3655),
    [sym_preproc_directive] = ACTIONS(3655),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3655),
    [aux_sym_end_module_statement_token1] = ACTIONS(3655),
    [aux_sym_interface_statement_token1] = ACTIONS(3655),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3655),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3655),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3655),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3655),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3655),
    [aux_sym_contains_statement_token1] = ACTIONS(3655),
    [aux_sym_use_statement_token1] = ACTIONS(3655),
    [aux_sym_use_statement_token2] = ACTIONS(3655),
    [aux_sym_implicit_statement_token1] = ACTIONS(3655),
    [aux_sym_implicit_statement_token3] = ACTIONS(3655),
    [aux_sym_implicit_statement_token4] = ACTIONS(3655),
    [aux_sym_save_statement_token1] = ACTIONS(3655),
    [aux_sym_private_statement_token1] = ACTIONS(3655),
    [aux_sym_public_statement_token1] = ACTIONS(3655),
    [aux_sym_namelist_statement_token1] = ACTIONS(3655),
    [aux_sym_common_statement_token1] = ACTIONS(3655),
    [aux_sym_import_statement_token1] = ACTIONS(3655),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3655),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3655),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3655),
    [aux_sym_variable_attributes_token1] = ACTIONS(3655),
    [aux_sym_variable_attributes_token2] = ACTIONS(3655),
    [aux_sym_variable_attributes_token3] = ACTIONS(3655),
    [aux_sym_variable_attributes_token4] = ACTIONS(3655),
    [aux_sym_variable_attributes_token5] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3655),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3655),
    [aux_sym_derived_type_token1] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3655),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3655),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3655),
    [aux_sym_stop_statement_token1] = ACTIONS(3655),
    [aux_sym_stop_statement_token2] = ACTIONS(3655),
    [aux_sym_keyword_statement_token2] = ACTIONS(3655),
    [aux_sym_keyword_statement_token3] = ACTIONS(3655),
    [aux_sym_include_statement_token1] = ACTIONS(3655),
    [aux_sym_data_statement_token1] = ACTIONS(3655),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3655),
    [aux_sym_end_if_statement_token1] = ACTIONS(3655),
    [aux_sym_elseif_clause_token2] = ACTIONS(3655),
    [aux_sym_select_case_statement_token1] = ACTIONS(3655),
    [aux_sym_block_construct_token1] = ACTIONS(3655),
    [aux_sym_format_statement_token1] = ACTIONS(3655),
    [aux_sym_inquire_statement_token1] = ACTIONS(3655),
    [aux_sym_enum_statement_token1] = ACTIONS(3655),
    [aux_sym_null_literal_token1] = ACTIONS(3655),
    [aux_sym_identifier_token1] = ACTIONS(3655),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3657),
  },
  [1412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
  },
  [1413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
  },
  [1414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_end_module_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
  },
  [1415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
  },
  [1416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
  },
  [1417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_end_module_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
  },
  [1418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
  },
  [1419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
  },
  [1420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_end_module_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
  },
  [1421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_module_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
  },
  [1422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3553),
    [aux_sym_preproc_def_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3553),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3553),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3553),
    [aux_sym_interface_statement_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3553),
    [aux_sym_contains_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token1] = ACTIONS(3553),
    [aux_sym_use_statement_token2] = ACTIONS(3553),
    [aux_sym_implicit_statement_token1] = ACTIONS(3553),
    [aux_sym_implicit_statement_token3] = ACTIONS(3553),
    [aux_sym_implicit_statement_token4] = ACTIONS(3553),
    [aux_sym_save_statement_token1] = ACTIONS(3553),
    [aux_sym_private_statement_token1] = ACTIONS(3553),
    [aux_sym_public_statement_token1] = ACTIONS(3553),
    [aux_sym_namelist_statement_token1] = ACTIONS(3553),
    [aux_sym_common_statement_token1] = ACTIONS(3553),
    [aux_sym_import_statement_token1] = ACTIONS(3553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3553),
    [aux_sym_variable_attributes_token1] = ACTIONS(3553),
    [aux_sym_variable_attributes_token2] = ACTIONS(3553),
    [aux_sym_variable_attributes_token3] = ACTIONS(3553),
    [aux_sym_variable_attributes_token4] = ACTIONS(3553),
    [aux_sym_variable_attributes_token5] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3553),
    [aux_sym_derived_type_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token1] = ACTIONS(3553),
    [aux_sym_stop_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token2] = ACTIONS(3553),
    [aux_sym_keyword_statement_token3] = ACTIONS(3553),
    [aux_sym_include_statement_token1] = ACTIONS(3553),
    [aux_sym_data_statement_token1] = ACTIONS(3553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3553),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(3553),
    [aux_sym_select_case_statement_token1] = ACTIONS(3553),
    [aux_sym_block_construct_token1] = ACTIONS(3553),
    [aux_sym_format_statement_token1] = ACTIONS(3553),
    [aux_sym_inquire_statement_token1] = ACTIONS(3553),
    [aux_sym_enum_statement_token1] = ACTIONS(3553),
    [aux_sym_null_literal_token1] = ACTIONS(3553),
    [aux_sym_identifier_token1] = ACTIONS(3553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3557),
  },
  [1423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3651),
    [aux_sym_preproc_def_token1] = ACTIONS(3651),
    [aux_sym_preproc_if_token1] = ACTIONS(3651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3651),
    [sym_preproc_directive] = ACTIONS(3651),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3651),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3651),
    [aux_sym_interface_statement_token1] = ACTIONS(3651),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3651),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3651),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3651),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3651),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3651),
    [aux_sym_contains_statement_token1] = ACTIONS(3651),
    [aux_sym_use_statement_token1] = ACTIONS(3651),
    [aux_sym_use_statement_token2] = ACTIONS(3651),
    [aux_sym_implicit_statement_token1] = ACTIONS(3651),
    [aux_sym_implicit_statement_token3] = ACTIONS(3651),
    [aux_sym_implicit_statement_token4] = ACTIONS(3651),
    [aux_sym_save_statement_token1] = ACTIONS(3651),
    [aux_sym_private_statement_token1] = ACTIONS(3651),
    [aux_sym_public_statement_token1] = ACTIONS(3651),
    [aux_sym_namelist_statement_token1] = ACTIONS(3651),
    [aux_sym_common_statement_token1] = ACTIONS(3651),
    [aux_sym_import_statement_token1] = ACTIONS(3651),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3651),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3651),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3651),
    [aux_sym_variable_attributes_token1] = ACTIONS(3651),
    [aux_sym_variable_attributes_token2] = ACTIONS(3651),
    [aux_sym_variable_attributes_token3] = ACTIONS(3651),
    [aux_sym_variable_attributes_token4] = ACTIONS(3651),
    [aux_sym_variable_attributes_token5] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3651),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3651),
    [aux_sym_derived_type_token1] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3651),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3651),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3651),
    [aux_sym_stop_statement_token1] = ACTIONS(3651),
    [aux_sym_stop_statement_token2] = ACTIONS(3651),
    [aux_sym_keyword_statement_token2] = ACTIONS(3651),
    [aux_sym_keyword_statement_token3] = ACTIONS(3651),
    [aux_sym_include_statement_token1] = ACTIONS(3651),
    [aux_sym_data_statement_token1] = ACTIONS(3651),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3651),
    [aux_sym_end_if_statement_token1] = ACTIONS(3651),
    [aux_sym_elseif_clause_token2] = ACTIONS(3651),
    [aux_sym_select_case_statement_token1] = ACTIONS(3651),
    [aux_sym_block_construct_token1] = ACTIONS(3651),
    [aux_sym_format_statement_token1] = ACTIONS(3651),
    [aux_sym_inquire_statement_token1] = ACTIONS(3651),
    [aux_sym_enum_statement_token1] = ACTIONS(3651),
    [aux_sym_null_literal_token1] = ACTIONS(3651),
    [aux_sym_identifier_token1] = ACTIONS(3651),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3653),
  },
  [1424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3517),
    [aux_sym_preproc_def_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [sym_preproc_directive] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3517),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3517),
    [aux_sym_interface_statement_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3517),
    [aux_sym_contains_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token2] = ACTIONS(3517),
    [aux_sym_implicit_statement_token1] = ACTIONS(3517),
    [aux_sym_implicit_statement_token3] = ACTIONS(3517),
    [aux_sym_implicit_statement_token4] = ACTIONS(3517),
    [aux_sym_save_statement_token1] = ACTIONS(3517),
    [aux_sym_private_statement_token1] = ACTIONS(3517),
    [aux_sym_public_statement_token1] = ACTIONS(3517),
    [aux_sym_namelist_statement_token1] = ACTIONS(3517),
    [aux_sym_common_statement_token1] = ACTIONS(3517),
    [aux_sym_import_statement_token1] = ACTIONS(3517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3517),
    [aux_sym_variable_attributes_token1] = ACTIONS(3517),
    [aux_sym_variable_attributes_token2] = ACTIONS(3517),
    [aux_sym_variable_attributes_token3] = ACTIONS(3517),
    [aux_sym_variable_attributes_token4] = ACTIONS(3517),
    [aux_sym_variable_attributes_token5] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3517),
    [aux_sym_derived_type_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token3] = ACTIONS(3517),
    [aux_sym_include_statement_token1] = ACTIONS(3517),
    [aux_sym_data_statement_token1] = ACTIONS(3517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3517),
    [aux_sym_end_if_statement_token1] = ACTIONS(3517),
    [aux_sym_elseif_clause_token2] = ACTIONS(3517),
    [aux_sym_select_case_statement_token1] = ACTIONS(3517),
    [aux_sym_block_construct_token1] = ACTIONS(3517),
    [aux_sym_format_statement_token1] = ACTIONS(3517),
    [aux_sym_inquire_statement_token1] = ACTIONS(3517),
    [aux_sym_enum_statement_token1] = ACTIONS(3517),
    [aux_sym_null_literal_token1] = ACTIONS(3517),
    [aux_sym_identifier_token1] = ACTIONS(3517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3521),
  },
  [1425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3663),
    [aux_sym_preproc_def_token1] = ACTIONS(3663),
    [aux_sym_preproc_if_token1] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3663),
    [sym_preproc_directive] = ACTIONS(3663),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3663),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3663),
    [aux_sym_interface_statement_token1] = ACTIONS(3663),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3663),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3663),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3663),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3663),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3663),
    [aux_sym_contains_statement_token1] = ACTIONS(3663),
    [aux_sym_use_statement_token1] = ACTIONS(3663),
    [aux_sym_use_statement_token2] = ACTIONS(3663),
    [aux_sym_implicit_statement_token1] = ACTIONS(3663),
    [aux_sym_implicit_statement_token3] = ACTIONS(3663),
    [aux_sym_implicit_statement_token4] = ACTIONS(3663),
    [aux_sym_save_statement_token1] = ACTIONS(3663),
    [aux_sym_private_statement_token1] = ACTIONS(3663),
    [aux_sym_public_statement_token1] = ACTIONS(3663),
    [aux_sym_namelist_statement_token1] = ACTIONS(3663),
    [aux_sym_common_statement_token1] = ACTIONS(3663),
    [aux_sym_import_statement_token1] = ACTIONS(3663),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3663),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3663),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3663),
    [aux_sym_variable_attributes_token1] = ACTIONS(3663),
    [aux_sym_variable_attributes_token2] = ACTIONS(3663),
    [aux_sym_variable_attributes_token3] = ACTIONS(3663),
    [aux_sym_variable_attributes_token4] = ACTIONS(3663),
    [aux_sym_variable_attributes_token5] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3663),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3663),
    [aux_sym_derived_type_token1] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3663),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3663),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3663),
    [aux_sym_stop_statement_token1] = ACTIONS(3663),
    [aux_sym_stop_statement_token2] = ACTIONS(3663),
    [aux_sym_keyword_statement_token2] = ACTIONS(3663),
    [aux_sym_keyword_statement_token3] = ACTIONS(3663),
    [aux_sym_include_statement_token1] = ACTIONS(3663),
    [aux_sym_data_statement_token1] = ACTIONS(3663),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3663),
    [aux_sym_end_if_statement_token1] = ACTIONS(3663),
    [aux_sym_elseif_clause_token2] = ACTIONS(3663),
    [aux_sym_select_case_statement_token1] = ACTIONS(3663),
    [aux_sym_block_construct_token1] = ACTIONS(3663),
    [aux_sym_format_statement_token1] = ACTIONS(3663),
    [aux_sym_inquire_statement_token1] = ACTIONS(3663),
    [aux_sym_enum_statement_token1] = ACTIONS(3663),
    [aux_sym_null_literal_token1] = ACTIONS(3663),
    [aux_sym_identifier_token1] = ACTIONS(3663),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3665),
  },
  [1426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_end_module_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
  },
  [1427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
  },
  [1428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
  },
  [1429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
  },
  [1430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3517),
    [aux_sym_preproc_def_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [sym_preproc_directive] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3517),
    [aux_sym_end_module_statement_token1] = ACTIONS(3517),
    [aux_sym_interface_statement_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3517),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3517),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3517),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3517),
    [aux_sym_contains_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token1] = ACTIONS(3517),
    [aux_sym_use_statement_token2] = ACTIONS(3517),
    [aux_sym_implicit_statement_token1] = ACTIONS(3517),
    [aux_sym_implicit_statement_token3] = ACTIONS(3517),
    [aux_sym_implicit_statement_token4] = ACTIONS(3517),
    [aux_sym_save_statement_token1] = ACTIONS(3517),
    [aux_sym_private_statement_token1] = ACTIONS(3517),
    [aux_sym_public_statement_token1] = ACTIONS(3517),
    [aux_sym_namelist_statement_token1] = ACTIONS(3517),
    [aux_sym_common_statement_token1] = ACTIONS(3517),
    [aux_sym_import_statement_token1] = ACTIONS(3517),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3517),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3517),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3517),
    [aux_sym_variable_attributes_token1] = ACTIONS(3517),
    [aux_sym_variable_attributes_token2] = ACTIONS(3517),
    [aux_sym_variable_attributes_token3] = ACTIONS(3517),
    [aux_sym_variable_attributes_token4] = ACTIONS(3517),
    [aux_sym_variable_attributes_token5] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3517),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3517),
    [aux_sym_derived_type_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3517),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3517),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token1] = ACTIONS(3517),
    [aux_sym_stop_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token2] = ACTIONS(3517),
    [aux_sym_keyword_statement_token3] = ACTIONS(3517),
    [aux_sym_include_statement_token1] = ACTIONS(3517),
    [aux_sym_data_statement_token1] = ACTIONS(3517),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3517),
    [aux_sym_end_if_statement_token1] = ACTIONS(3517),
    [aux_sym_elseif_clause_token2] = ACTIONS(3517),
    [aux_sym_select_case_statement_token1] = ACTIONS(3517),
    [aux_sym_block_construct_token1] = ACTIONS(3517),
    [aux_sym_format_statement_token1] = ACTIONS(3517),
    [aux_sym_inquire_statement_token1] = ACTIONS(3517),
    [aux_sym_enum_statement_token1] = ACTIONS(3517),
    [aux_sym_null_literal_token1] = ACTIONS(3517),
    [aux_sym_identifier_token1] = ACTIONS(3517),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3521),
  },
  [1431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
  },
  [1432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
  },
  [1433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3671),
    [aux_sym_preproc_def_token1] = ACTIONS(3671),
    [aux_sym_preproc_if_token1] = ACTIONS(3671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3671),
    [sym_preproc_directive] = ACTIONS(3671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3671),
    [aux_sym_end_module_statement_token1] = ACTIONS(3671),
    [aux_sym_interface_statement_token1] = ACTIONS(3671),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3671),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3671),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3671),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3671),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3671),
    [aux_sym_contains_statement_token1] = ACTIONS(3671),
    [aux_sym_use_statement_token1] = ACTIONS(3671),
    [aux_sym_use_statement_token2] = ACTIONS(3671),
    [aux_sym_implicit_statement_token1] = ACTIONS(3671),
    [aux_sym_implicit_statement_token3] = ACTIONS(3671),
    [aux_sym_implicit_statement_token4] = ACTIONS(3671),
    [aux_sym_save_statement_token1] = ACTIONS(3671),
    [aux_sym_private_statement_token1] = ACTIONS(3671),
    [aux_sym_public_statement_token1] = ACTIONS(3671),
    [aux_sym_namelist_statement_token1] = ACTIONS(3671),
    [aux_sym_common_statement_token1] = ACTIONS(3671),
    [aux_sym_import_statement_token1] = ACTIONS(3671),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3671),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3671),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3671),
    [aux_sym_variable_attributes_token1] = ACTIONS(3671),
    [aux_sym_variable_attributes_token2] = ACTIONS(3671),
    [aux_sym_variable_attributes_token3] = ACTIONS(3671),
    [aux_sym_variable_attributes_token4] = ACTIONS(3671),
    [aux_sym_variable_attributes_token5] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3671),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3671),
    [aux_sym_derived_type_token1] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3671),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3671),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3671),
    [aux_sym_stop_statement_token1] = ACTIONS(3671),
    [aux_sym_stop_statement_token2] = ACTIONS(3671),
    [aux_sym_keyword_statement_token2] = ACTIONS(3671),
    [aux_sym_keyword_statement_token3] = ACTIONS(3671),
    [aux_sym_include_statement_token1] = ACTIONS(3671),
    [aux_sym_data_statement_token1] = ACTIONS(3671),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3671),
    [aux_sym_end_if_statement_token1] = ACTIONS(3671),
    [aux_sym_elseif_clause_token2] = ACTIONS(3671),
    [aux_sym_select_case_statement_token1] = ACTIONS(3671),
    [aux_sym_block_construct_token1] = ACTIONS(3671),
    [aux_sym_format_statement_token1] = ACTIONS(3671),
    [aux_sym_inquire_statement_token1] = ACTIONS(3671),
    [aux_sym_enum_statement_token1] = ACTIONS(3671),
    [aux_sym_null_literal_token1] = ACTIONS(3671),
    [aux_sym_identifier_token1] = ACTIONS(3671),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3673),
  },
  [1434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
  },
  [1435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
  },
  [1436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3679),
    [aux_sym_preproc_def_token1] = ACTIONS(3679),
    [aux_sym_preproc_if_token1] = ACTIONS(3679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3679),
    [sym_preproc_directive] = ACTIONS(3679),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3679),
    [aux_sym_end_module_statement_token1] = ACTIONS(3679),
    [aux_sym_interface_statement_token1] = ACTIONS(3679),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3679),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3679),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3679),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3679),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3679),
    [aux_sym_contains_statement_token1] = ACTIONS(3679),
    [aux_sym_use_statement_token1] = ACTIONS(3679),
    [aux_sym_use_statement_token2] = ACTIONS(3679),
    [aux_sym_implicit_statement_token1] = ACTIONS(3679),
    [aux_sym_implicit_statement_token3] = ACTIONS(3679),
    [aux_sym_implicit_statement_token4] = ACTIONS(3679),
    [aux_sym_save_statement_token1] = ACTIONS(3679),
    [aux_sym_private_statement_token1] = ACTIONS(3679),
    [aux_sym_public_statement_token1] = ACTIONS(3679),
    [aux_sym_namelist_statement_token1] = ACTIONS(3679),
    [aux_sym_common_statement_token1] = ACTIONS(3679),
    [aux_sym_import_statement_token1] = ACTIONS(3679),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3679),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3679),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3679),
    [aux_sym_variable_attributes_token1] = ACTIONS(3679),
    [aux_sym_variable_attributes_token2] = ACTIONS(3679),
    [aux_sym_variable_attributes_token3] = ACTIONS(3679),
    [aux_sym_variable_attributes_token4] = ACTIONS(3679),
    [aux_sym_variable_attributes_token5] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3679),
    [aux_sym_derived_type_token1] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3679),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3679),
    [aux_sym_stop_statement_token1] = ACTIONS(3679),
    [aux_sym_stop_statement_token2] = ACTIONS(3679),
    [aux_sym_keyword_statement_token2] = ACTIONS(3679),
    [aux_sym_keyword_statement_token3] = ACTIONS(3679),
    [aux_sym_include_statement_token1] = ACTIONS(3679),
    [aux_sym_data_statement_token1] = ACTIONS(3679),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3679),
    [aux_sym_end_if_statement_token1] = ACTIONS(3679),
    [aux_sym_elseif_clause_token2] = ACTIONS(3679),
    [aux_sym_select_case_statement_token1] = ACTIONS(3679),
    [aux_sym_block_construct_token1] = ACTIONS(3679),
    [aux_sym_format_statement_token1] = ACTIONS(3679),
    [aux_sym_inquire_statement_token1] = ACTIONS(3679),
    [aux_sym_enum_statement_token1] = ACTIONS(3679),
    [aux_sym_null_literal_token1] = ACTIONS(3679),
    [aux_sym_identifier_token1] = ACTIONS(3679),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3681),
  },
  [1437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_end_module_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
  },
  [1438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
  },
  [1439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3587),
    [aux_sym_preproc_def_token1] = ACTIONS(3587),
    [aux_sym_preproc_if_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3587),
    [sym_preproc_directive] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3587),
    [aux_sym_end_module_statement_token1] = ACTIONS(3587),
    [aux_sym_interface_statement_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3587),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3587),
    [aux_sym_contains_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token2] = ACTIONS(3587),
    [aux_sym_implicit_statement_token1] = ACTIONS(3587),
    [aux_sym_implicit_statement_token3] = ACTIONS(3587),
    [aux_sym_implicit_statement_token4] = ACTIONS(3587),
    [aux_sym_save_statement_token1] = ACTIONS(3587),
    [aux_sym_private_statement_token1] = ACTIONS(3587),
    [aux_sym_public_statement_token1] = ACTIONS(3587),
    [aux_sym_namelist_statement_token1] = ACTIONS(3587),
    [aux_sym_common_statement_token1] = ACTIONS(3587),
    [aux_sym_import_statement_token1] = ACTIONS(3587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3587),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3587),
    [aux_sym_variable_attributes_token1] = ACTIONS(3587),
    [aux_sym_variable_attributes_token2] = ACTIONS(3587),
    [aux_sym_variable_attributes_token3] = ACTIONS(3587),
    [aux_sym_variable_attributes_token4] = ACTIONS(3587),
    [aux_sym_variable_attributes_token5] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3587),
    [aux_sym_derived_type_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3587),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token3] = ACTIONS(3587),
    [aux_sym_include_statement_token1] = ACTIONS(3587),
    [aux_sym_data_statement_token1] = ACTIONS(3587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3587),
    [aux_sym_end_if_statement_token1] = ACTIONS(3587),
    [aux_sym_elseif_clause_token2] = ACTIONS(3587),
    [aux_sym_select_case_statement_token1] = ACTIONS(3587),
    [aux_sym_block_construct_token1] = ACTIONS(3587),
    [aux_sym_format_statement_token1] = ACTIONS(3587),
    [aux_sym_inquire_statement_token1] = ACTIONS(3587),
    [aux_sym_enum_statement_token1] = ACTIONS(3587),
    [aux_sym_null_literal_token1] = ACTIONS(3587),
    [aux_sym_identifier_token1] = ACTIONS(3587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3591),
  },
  [1440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
  },
  [1441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
  },
  [1442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
  },
  [1443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_end_module_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
  },
  [1444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_end_module_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
  },
  [1445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_end_module_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
  },
  [1446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3667),
    [aux_sym_preproc_def_token1] = ACTIONS(3667),
    [aux_sym_preproc_if_token1] = ACTIONS(3667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3667),
    [sym_preproc_directive] = ACTIONS(3667),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3667),
    [aux_sym_end_module_statement_token1] = ACTIONS(3667),
    [aux_sym_interface_statement_token1] = ACTIONS(3667),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3667),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3667),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3667),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3667),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3667),
    [aux_sym_contains_statement_token1] = ACTIONS(3667),
    [aux_sym_use_statement_token1] = ACTIONS(3667),
    [aux_sym_use_statement_token2] = ACTIONS(3667),
    [aux_sym_implicit_statement_token1] = ACTIONS(3667),
    [aux_sym_implicit_statement_token3] = ACTIONS(3667),
    [aux_sym_implicit_statement_token4] = ACTIONS(3667),
    [aux_sym_save_statement_token1] = ACTIONS(3667),
    [aux_sym_private_statement_token1] = ACTIONS(3667),
    [aux_sym_public_statement_token1] = ACTIONS(3667),
    [aux_sym_namelist_statement_token1] = ACTIONS(3667),
    [aux_sym_common_statement_token1] = ACTIONS(3667),
    [aux_sym_import_statement_token1] = ACTIONS(3667),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3667),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3667),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3667),
    [aux_sym_variable_attributes_token1] = ACTIONS(3667),
    [aux_sym_variable_attributes_token2] = ACTIONS(3667),
    [aux_sym_variable_attributes_token3] = ACTIONS(3667),
    [aux_sym_variable_attributes_token4] = ACTIONS(3667),
    [aux_sym_variable_attributes_token5] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3667),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3667),
    [aux_sym_derived_type_token1] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3667),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3667),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3667),
    [aux_sym_stop_statement_token1] = ACTIONS(3667),
    [aux_sym_stop_statement_token2] = ACTIONS(3667),
    [aux_sym_keyword_statement_token2] = ACTIONS(3667),
    [aux_sym_keyword_statement_token3] = ACTIONS(3667),
    [aux_sym_include_statement_token1] = ACTIONS(3667),
    [aux_sym_data_statement_token1] = ACTIONS(3667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3667),
    [aux_sym_end_if_statement_token1] = ACTIONS(3667),
    [aux_sym_elseif_clause_token2] = ACTIONS(3667),
    [aux_sym_select_case_statement_token1] = ACTIONS(3667),
    [aux_sym_block_construct_token1] = ACTIONS(3667),
    [aux_sym_format_statement_token1] = ACTIONS(3667),
    [aux_sym_inquire_statement_token1] = ACTIONS(3667),
    [aux_sym_enum_statement_token1] = ACTIONS(3667),
    [aux_sym_null_literal_token1] = ACTIONS(3667),
    [aux_sym_identifier_token1] = ACTIONS(3667),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3669),
  },
  [1447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3679),
    [aux_sym_preproc_def_token1] = ACTIONS(3679),
    [aux_sym_preproc_if_token1] = ACTIONS(3679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3679),
    [sym_preproc_directive] = ACTIONS(3679),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3679),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3679),
    [aux_sym_interface_statement_token1] = ACTIONS(3679),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3679),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3679),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3679),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3679),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3679),
    [aux_sym_contains_statement_token1] = ACTIONS(3679),
    [aux_sym_use_statement_token1] = ACTIONS(3679),
    [aux_sym_use_statement_token2] = ACTIONS(3679),
    [aux_sym_implicit_statement_token1] = ACTIONS(3679),
    [aux_sym_implicit_statement_token3] = ACTIONS(3679),
    [aux_sym_implicit_statement_token4] = ACTIONS(3679),
    [aux_sym_save_statement_token1] = ACTIONS(3679),
    [aux_sym_private_statement_token1] = ACTIONS(3679),
    [aux_sym_public_statement_token1] = ACTIONS(3679),
    [aux_sym_namelist_statement_token1] = ACTIONS(3679),
    [aux_sym_common_statement_token1] = ACTIONS(3679),
    [aux_sym_import_statement_token1] = ACTIONS(3679),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3679),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3679),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3679),
    [aux_sym_variable_attributes_token1] = ACTIONS(3679),
    [aux_sym_variable_attributes_token2] = ACTIONS(3679),
    [aux_sym_variable_attributes_token3] = ACTIONS(3679),
    [aux_sym_variable_attributes_token4] = ACTIONS(3679),
    [aux_sym_variable_attributes_token5] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3679),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3679),
    [aux_sym_derived_type_token1] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3679),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3679),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3679),
    [aux_sym_stop_statement_token1] = ACTIONS(3679),
    [aux_sym_stop_statement_token2] = ACTIONS(3679),
    [aux_sym_keyword_statement_token2] = ACTIONS(3679),
    [aux_sym_keyword_statement_token3] = ACTIONS(3679),
    [aux_sym_include_statement_token1] = ACTIONS(3679),
    [aux_sym_data_statement_token1] = ACTIONS(3679),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3679),
    [aux_sym_end_if_statement_token1] = ACTIONS(3679),
    [aux_sym_elseif_clause_token2] = ACTIONS(3679),
    [aux_sym_select_case_statement_token1] = ACTIONS(3679),
    [aux_sym_block_construct_token1] = ACTIONS(3679),
    [aux_sym_format_statement_token1] = ACTIONS(3679),
    [aux_sym_inquire_statement_token1] = ACTIONS(3679),
    [aux_sym_enum_statement_token1] = ACTIONS(3679),
    [aux_sym_null_literal_token1] = ACTIONS(3679),
    [aux_sym_identifier_token1] = ACTIONS(3679),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3681),
  },
  [1448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
  },
  [1449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_module_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
  },
  [1450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3659),
    [aux_sym_preproc_def_token1] = ACTIONS(3659),
    [aux_sym_preproc_if_token1] = ACTIONS(3659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3659),
    [sym_preproc_directive] = ACTIONS(3659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3659),
    [aux_sym_end_module_statement_token1] = ACTIONS(3659),
    [aux_sym_interface_statement_token1] = ACTIONS(3659),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3659),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3659),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3659),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3659),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3659),
    [aux_sym_contains_statement_token1] = ACTIONS(3659),
    [aux_sym_use_statement_token1] = ACTIONS(3659),
    [aux_sym_use_statement_token2] = ACTIONS(3659),
    [aux_sym_implicit_statement_token1] = ACTIONS(3659),
    [aux_sym_implicit_statement_token3] = ACTIONS(3659),
    [aux_sym_implicit_statement_token4] = ACTIONS(3659),
    [aux_sym_save_statement_token1] = ACTIONS(3659),
    [aux_sym_private_statement_token1] = ACTIONS(3659),
    [aux_sym_public_statement_token1] = ACTIONS(3659),
    [aux_sym_namelist_statement_token1] = ACTIONS(3659),
    [aux_sym_common_statement_token1] = ACTIONS(3659),
    [aux_sym_import_statement_token1] = ACTIONS(3659),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3659),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3659),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3659),
    [aux_sym_variable_attributes_token1] = ACTIONS(3659),
    [aux_sym_variable_attributes_token2] = ACTIONS(3659),
    [aux_sym_variable_attributes_token3] = ACTIONS(3659),
    [aux_sym_variable_attributes_token4] = ACTIONS(3659),
    [aux_sym_variable_attributes_token5] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3659),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3659),
    [aux_sym_derived_type_token1] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3659),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3659),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3659),
    [aux_sym_stop_statement_token1] = ACTIONS(3659),
    [aux_sym_stop_statement_token2] = ACTIONS(3659),
    [aux_sym_keyword_statement_token2] = ACTIONS(3659),
    [aux_sym_keyword_statement_token3] = ACTIONS(3659),
    [aux_sym_include_statement_token1] = ACTIONS(3659),
    [aux_sym_data_statement_token1] = ACTIONS(3659),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3659),
    [aux_sym_end_if_statement_token1] = ACTIONS(3659),
    [aux_sym_elseif_clause_token2] = ACTIONS(3659),
    [aux_sym_select_case_statement_token1] = ACTIONS(3659),
    [aux_sym_block_construct_token1] = ACTIONS(3659),
    [aux_sym_format_statement_token1] = ACTIONS(3659),
    [aux_sym_inquire_statement_token1] = ACTIONS(3659),
    [aux_sym_enum_statement_token1] = ACTIONS(3659),
    [aux_sym_null_literal_token1] = ACTIONS(3659),
    [aux_sym_identifier_token1] = ACTIONS(3659),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3661),
  },
  [1451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_module_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
  },
  [1452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3547),
    [aux_sym_preproc_if_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3547),
    [sym_preproc_directive] = ACTIONS(3547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3547),
    [aux_sym_interface_statement_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3547),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3547),
    [aux_sym_contains_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token2] = ACTIONS(3547),
    [aux_sym_implicit_statement_token1] = ACTIONS(3547),
    [aux_sym_implicit_statement_token3] = ACTIONS(3547),
    [aux_sym_implicit_statement_token4] = ACTIONS(3547),
    [aux_sym_save_statement_token1] = ACTIONS(3547),
    [aux_sym_private_statement_token1] = ACTIONS(3547),
    [aux_sym_public_statement_token1] = ACTIONS(3547),
    [aux_sym_namelist_statement_token1] = ACTIONS(3547),
    [aux_sym_common_statement_token1] = ACTIONS(3547),
    [aux_sym_import_statement_token1] = ACTIONS(3547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3547),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3547),
    [aux_sym_variable_attributes_token1] = ACTIONS(3547),
    [aux_sym_variable_attributes_token2] = ACTIONS(3547),
    [aux_sym_variable_attributes_token3] = ACTIONS(3547),
    [aux_sym_variable_attributes_token4] = ACTIONS(3547),
    [aux_sym_variable_attributes_token5] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3547),
    [aux_sym_derived_type_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3547),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token3] = ACTIONS(3547),
    [aux_sym_include_statement_token1] = ACTIONS(3547),
    [aux_sym_data_statement_token1] = ACTIONS(3547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3547),
    [aux_sym_end_if_statement_token1] = ACTIONS(3547),
    [aux_sym_elseif_clause_token2] = ACTIONS(3547),
    [aux_sym_select_case_statement_token1] = ACTIONS(3547),
    [aux_sym_block_construct_token1] = ACTIONS(3547),
    [aux_sym_format_statement_token1] = ACTIONS(3547),
    [aux_sym_inquire_statement_token1] = ACTIONS(3547),
    [aux_sym_enum_statement_token1] = ACTIONS(3547),
    [aux_sym_null_literal_token1] = ACTIONS(3547),
    [aux_sym_identifier_token1] = ACTIONS(3547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3551),
  },
  [1453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
  },
  [1454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2301),
    [aux_sym_interface_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token1] = ACTIONS(2301),
    [aux_sym_use_statement_token2] = ACTIONS(2301),
    [aux_sym_implicit_statement_token1] = ACTIONS(2301),
    [aux_sym_implicit_statement_token3] = ACTIONS(2301),
    [aux_sym_implicit_statement_token4] = ACTIONS(2301),
    [aux_sym_save_statement_token1] = ACTIONS(2301),
    [aux_sym_private_statement_token1] = ACTIONS(2301),
    [aux_sym_public_statement_token1] = ACTIONS(2301),
    [aux_sym_namelist_statement_token1] = ACTIONS(2301),
    [aux_sym_common_statement_token1] = ACTIONS(2301),
    [aux_sym_import_statement_token1] = ACTIONS(2301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2301),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2301),
    [aux_sym_variable_attributes_token1] = ACTIONS(2301),
    [aux_sym_variable_attributes_token2] = ACTIONS(2301),
    [aux_sym_variable_attributes_token3] = ACTIONS(2301),
    [aux_sym_variable_attributes_token4] = ACTIONS(2301),
    [aux_sym_variable_attributes_token5] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2301),
    [aux_sym_derived_type_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2301),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_enum_statement_token1] = ACTIONS(2301),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
  },
  [1455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2389),
    [aux_sym_interface_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token1] = ACTIONS(2389),
    [aux_sym_use_statement_token2] = ACTIONS(2389),
    [aux_sym_implicit_statement_token1] = ACTIONS(2389),
    [aux_sym_implicit_statement_token3] = ACTIONS(2389),
    [aux_sym_implicit_statement_token4] = ACTIONS(2389),
    [aux_sym_save_statement_token1] = ACTIONS(2389),
    [aux_sym_private_statement_token1] = ACTIONS(2389),
    [aux_sym_public_statement_token1] = ACTIONS(2389),
    [aux_sym_namelist_statement_token1] = ACTIONS(2389),
    [aux_sym_common_statement_token1] = ACTIONS(2389),
    [aux_sym_import_statement_token1] = ACTIONS(2389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2389),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2389),
    [aux_sym_variable_attributes_token1] = ACTIONS(2389),
    [aux_sym_variable_attributes_token2] = ACTIONS(2389),
    [aux_sym_variable_attributes_token3] = ACTIONS(2389),
    [aux_sym_variable_attributes_token4] = ACTIONS(2389),
    [aux_sym_variable_attributes_token5] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2389),
    [aux_sym_derived_type_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2389),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_enum_statement_token1] = ACTIONS(2389),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
  },
  [1456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3547),
    [aux_sym_preproc_if_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3547),
    [sym_preproc_directive] = ACTIONS(3547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [aux_sym_end_module_statement_token1] = ACTIONS(3547),
    [aux_sym_interface_statement_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3547),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3547),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3547),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3547),
    [aux_sym_contains_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token1] = ACTIONS(3547),
    [aux_sym_use_statement_token2] = ACTIONS(3547),
    [aux_sym_implicit_statement_token1] = ACTIONS(3547),
    [aux_sym_implicit_statement_token3] = ACTIONS(3547),
    [aux_sym_implicit_statement_token4] = ACTIONS(3547),
    [aux_sym_save_statement_token1] = ACTIONS(3547),
    [aux_sym_private_statement_token1] = ACTIONS(3547),
    [aux_sym_public_statement_token1] = ACTIONS(3547),
    [aux_sym_namelist_statement_token1] = ACTIONS(3547),
    [aux_sym_common_statement_token1] = ACTIONS(3547),
    [aux_sym_import_statement_token1] = ACTIONS(3547),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3547),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3547),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3547),
    [aux_sym_variable_attributes_token1] = ACTIONS(3547),
    [aux_sym_variable_attributes_token2] = ACTIONS(3547),
    [aux_sym_variable_attributes_token3] = ACTIONS(3547),
    [aux_sym_variable_attributes_token4] = ACTIONS(3547),
    [aux_sym_variable_attributes_token5] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3547),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3547),
    [aux_sym_derived_type_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3547),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3547),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token1] = ACTIONS(3547),
    [aux_sym_stop_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token2] = ACTIONS(3547),
    [aux_sym_keyword_statement_token3] = ACTIONS(3547),
    [aux_sym_include_statement_token1] = ACTIONS(3547),
    [aux_sym_data_statement_token1] = ACTIONS(3547),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3547),
    [aux_sym_end_if_statement_token1] = ACTIONS(3547),
    [aux_sym_elseif_clause_token2] = ACTIONS(3547),
    [aux_sym_select_case_statement_token1] = ACTIONS(3547),
    [aux_sym_block_construct_token1] = ACTIONS(3547),
    [aux_sym_format_statement_token1] = ACTIONS(3547),
    [aux_sym_inquire_statement_token1] = ACTIONS(3547),
    [aux_sym_enum_statement_token1] = ACTIONS(3547),
    [aux_sym_null_literal_token1] = ACTIONS(3547),
    [aux_sym_identifier_token1] = ACTIONS(3547),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3551),
  },
  [1457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
  },
  [1458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
  },
  [1459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3565),
    [aux_sym_preproc_def_token1] = ACTIONS(3565),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3565),
    [sym_preproc_directive] = ACTIONS(3565),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3565),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3565),
    [aux_sym_interface_statement_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3565),
    [aux_sym_contains_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token2] = ACTIONS(3565),
    [aux_sym_implicit_statement_token1] = ACTIONS(3565),
    [aux_sym_implicit_statement_token3] = ACTIONS(3565),
    [aux_sym_implicit_statement_token4] = ACTIONS(3565),
    [aux_sym_save_statement_token1] = ACTIONS(3565),
    [aux_sym_private_statement_token1] = ACTIONS(3565),
    [aux_sym_public_statement_token1] = ACTIONS(3565),
    [aux_sym_namelist_statement_token1] = ACTIONS(3565),
    [aux_sym_common_statement_token1] = ACTIONS(3565),
    [aux_sym_import_statement_token1] = ACTIONS(3565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3565),
    [aux_sym_variable_attributes_token1] = ACTIONS(3565),
    [aux_sym_variable_attributes_token2] = ACTIONS(3565),
    [aux_sym_variable_attributes_token3] = ACTIONS(3565),
    [aux_sym_variable_attributes_token4] = ACTIONS(3565),
    [aux_sym_variable_attributes_token5] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3565),
    [aux_sym_derived_type_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token3] = ACTIONS(3565),
    [aux_sym_include_statement_token1] = ACTIONS(3565),
    [aux_sym_data_statement_token1] = ACTIONS(3565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3565),
    [aux_sym_end_if_statement_token1] = ACTIONS(3565),
    [aux_sym_elseif_clause_token2] = ACTIONS(3565),
    [aux_sym_select_case_statement_token1] = ACTIONS(3565),
    [aux_sym_block_construct_token1] = ACTIONS(3565),
    [aux_sym_format_statement_token1] = ACTIONS(3565),
    [aux_sym_inquire_statement_token1] = ACTIONS(3565),
    [aux_sym_enum_statement_token1] = ACTIONS(3565),
    [aux_sym_null_literal_token1] = ACTIONS(3565),
    [aux_sym_identifier_token1] = ACTIONS(3565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3569),
  },
  [1460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_end_module_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
  },
  [1461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2385),
    [aux_sym_interface_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token1] = ACTIONS(2385),
    [aux_sym_use_statement_token2] = ACTIONS(2385),
    [aux_sym_implicit_statement_token1] = ACTIONS(2385),
    [aux_sym_implicit_statement_token3] = ACTIONS(2385),
    [aux_sym_implicit_statement_token4] = ACTIONS(2385),
    [aux_sym_save_statement_token1] = ACTIONS(2385),
    [aux_sym_private_statement_token1] = ACTIONS(2385),
    [aux_sym_public_statement_token1] = ACTIONS(2385),
    [aux_sym_namelist_statement_token1] = ACTIONS(2385),
    [aux_sym_common_statement_token1] = ACTIONS(2385),
    [aux_sym_import_statement_token1] = ACTIONS(2385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2385),
    [aux_sym_variable_attributes_token1] = ACTIONS(2385),
    [aux_sym_variable_attributes_token2] = ACTIONS(2385),
    [aux_sym_variable_attributes_token3] = ACTIONS(2385),
    [aux_sym_variable_attributes_token4] = ACTIONS(2385),
    [aux_sym_variable_attributes_token5] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2385),
    [aux_sym_derived_type_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_enum_statement_token1] = ACTIONS(2385),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
  },
  [1462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2351),
    [aux_sym_interface_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token1] = ACTIONS(2351),
    [aux_sym_use_statement_token2] = ACTIONS(2351),
    [aux_sym_implicit_statement_token1] = ACTIONS(2351),
    [aux_sym_implicit_statement_token3] = ACTIONS(2351),
    [aux_sym_implicit_statement_token4] = ACTIONS(2351),
    [aux_sym_save_statement_token1] = ACTIONS(2351),
    [aux_sym_private_statement_token1] = ACTIONS(2351),
    [aux_sym_public_statement_token1] = ACTIONS(2351),
    [aux_sym_namelist_statement_token1] = ACTIONS(2351),
    [aux_sym_common_statement_token1] = ACTIONS(2351),
    [aux_sym_import_statement_token1] = ACTIONS(2351),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2351),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2351),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2351),
    [aux_sym_variable_attributes_token1] = ACTIONS(2351),
    [aux_sym_variable_attributes_token2] = ACTIONS(2351),
    [aux_sym_variable_attributes_token3] = ACTIONS(2351),
    [aux_sym_variable_attributes_token4] = ACTIONS(2351),
    [aux_sym_variable_attributes_token5] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2351),
    [aux_sym_derived_type_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2351),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_enum_statement_token1] = ACTIONS(2351),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
  },
  [1463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3683),
    [aux_sym_preproc_def_token1] = ACTIONS(3683),
    [aux_sym_preproc_if_token1] = ACTIONS(3683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3683),
    [sym_preproc_directive] = ACTIONS(3683),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3683),
    [aux_sym_end_module_statement_token1] = ACTIONS(3683),
    [aux_sym_interface_statement_token1] = ACTIONS(3683),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3683),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3683),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3683),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3683),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3683),
    [aux_sym_contains_statement_token1] = ACTIONS(3683),
    [aux_sym_use_statement_token1] = ACTIONS(3683),
    [aux_sym_use_statement_token2] = ACTIONS(3683),
    [aux_sym_implicit_statement_token1] = ACTIONS(3683),
    [aux_sym_implicit_statement_token3] = ACTIONS(3683),
    [aux_sym_implicit_statement_token4] = ACTIONS(3683),
    [aux_sym_save_statement_token1] = ACTIONS(3683),
    [aux_sym_private_statement_token1] = ACTIONS(3683),
    [aux_sym_public_statement_token1] = ACTIONS(3683),
    [aux_sym_namelist_statement_token1] = ACTIONS(3683),
    [aux_sym_common_statement_token1] = ACTIONS(3683),
    [aux_sym_import_statement_token1] = ACTIONS(3683),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3683),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3683),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3683),
    [aux_sym_variable_attributes_token1] = ACTIONS(3683),
    [aux_sym_variable_attributes_token2] = ACTIONS(3683),
    [aux_sym_variable_attributes_token3] = ACTIONS(3683),
    [aux_sym_variable_attributes_token4] = ACTIONS(3683),
    [aux_sym_variable_attributes_token5] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3683),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3683),
    [aux_sym_derived_type_token1] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3683),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3683),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3683),
    [aux_sym_stop_statement_token1] = ACTIONS(3683),
    [aux_sym_stop_statement_token2] = ACTIONS(3683),
    [aux_sym_keyword_statement_token2] = ACTIONS(3683),
    [aux_sym_keyword_statement_token3] = ACTIONS(3683),
    [aux_sym_include_statement_token1] = ACTIONS(3683),
    [aux_sym_data_statement_token1] = ACTIONS(3683),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3683),
    [aux_sym_end_if_statement_token1] = ACTIONS(3683),
    [aux_sym_elseif_clause_token2] = ACTIONS(3683),
    [aux_sym_select_case_statement_token1] = ACTIONS(3683),
    [aux_sym_block_construct_token1] = ACTIONS(3683),
    [aux_sym_format_statement_token1] = ACTIONS(3683),
    [aux_sym_inquire_statement_token1] = ACTIONS(3683),
    [aux_sym_enum_statement_token1] = ACTIONS(3683),
    [aux_sym_null_literal_token1] = ACTIONS(3683),
    [aux_sym_identifier_token1] = ACTIONS(3683),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3685),
  },
  [1464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3587),
    [aux_sym_preproc_def_token1] = ACTIONS(3587),
    [aux_sym_preproc_if_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3587),
    [sym_preproc_directive] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3587),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3587),
    [aux_sym_interface_statement_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3587),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3587),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3587),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3587),
    [aux_sym_contains_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token1] = ACTIONS(3587),
    [aux_sym_use_statement_token2] = ACTIONS(3587),
    [aux_sym_implicit_statement_token1] = ACTIONS(3587),
    [aux_sym_implicit_statement_token3] = ACTIONS(3587),
    [aux_sym_implicit_statement_token4] = ACTIONS(3587),
    [aux_sym_save_statement_token1] = ACTIONS(3587),
    [aux_sym_private_statement_token1] = ACTIONS(3587),
    [aux_sym_public_statement_token1] = ACTIONS(3587),
    [aux_sym_namelist_statement_token1] = ACTIONS(3587),
    [aux_sym_common_statement_token1] = ACTIONS(3587),
    [aux_sym_import_statement_token1] = ACTIONS(3587),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3587),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3587),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3587),
    [aux_sym_variable_attributes_token1] = ACTIONS(3587),
    [aux_sym_variable_attributes_token2] = ACTIONS(3587),
    [aux_sym_variable_attributes_token3] = ACTIONS(3587),
    [aux_sym_variable_attributes_token4] = ACTIONS(3587),
    [aux_sym_variable_attributes_token5] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3587),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3587),
    [aux_sym_derived_type_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3587),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token1] = ACTIONS(3587),
    [aux_sym_stop_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token2] = ACTIONS(3587),
    [aux_sym_keyword_statement_token3] = ACTIONS(3587),
    [aux_sym_include_statement_token1] = ACTIONS(3587),
    [aux_sym_data_statement_token1] = ACTIONS(3587),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3587),
    [aux_sym_end_if_statement_token1] = ACTIONS(3587),
    [aux_sym_elseif_clause_token2] = ACTIONS(3587),
    [aux_sym_select_case_statement_token1] = ACTIONS(3587),
    [aux_sym_block_construct_token1] = ACTIONS(3587),
    [aux_sym_format_statement_token1] = ACTIONS(3587),
    [aux_sym_inquire_statement_token1] = ACTIONS(3587),
    [aux_sym_enum_statement_token1] = ACTIONS(3587),
    [aux_sym_null_literal_token1] = ACTIONS(3587),
    [aux_sym_identifier_token1] = ACTIONS(3587),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3591),
  },
  [1465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
  },
  [1466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_end_module_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
  },
  [1467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_module_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
  },
  [1468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3565),
    [aux_sym_preproc_def_token1] = ACTIONS(3565),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3565),
    [sym_preproc_directive] = ACTIONS(3565),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3565),
    [aux_sym_end_module_statement_token1] = ACTIONS(3565),
    [aux_sym_interface_statement_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3565),
    [aux_sym_contains_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token1] = ACTIONS(3565),
    [aux_sym_use_statement_token2] = ACTIONS(3565),
    [aux_sym_implicit_statement_token1] = ACTIONS(3565),
    [aux_sym_implicit_statement_token3] = ACTIONS(3565),
    [aux_sym_implicit_statement_token4] = ACTIONS(3565),
    [aux_sym_save_statement_token1] = ACTIONS(3565),
    [aux_sym_private_statement_token1] = ACTIONS(3565),
    [aux_sym_public_statement_token1] = ACTIONS(3565),
    [aux_sym_namelist_statement_token1] = ACTIONS(3565),
    [aux_sym_common_statement_token1] = ACTIONS(3565),
    [aux_sym_import_statement_token1] = ACTIONS(3565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3565),
    [aux_sym_variable_attributes_token1] = ACTIONS(3565),
    [aux_sym_variable_attributes_token2] = ACTIONS(3565),
    [aux_sym_variable_attributes_token3] = ACTIONS(3565),
    [aux_sym_variable_attributes_token4] = ACTIONS(3565),
    [aux_sym_variable_attributes_token5] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3565),
    [aux_sym_derived_type_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token1] = ACTIONS(3565),
    [aux_sym_stop_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token2] = ACTIONS(3565),
    [aux_sym_keyword_statement_token3] = ACTIONS(3565),
    [aux_sym_include_statement_token1] = ACTIONS(3565),
    [aux_sym_data_statement_token1] = ACTIONS(3565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3565),
    [aux_sym_end_if_statement_token1] = ACTIONS(3565),
    [aux_sym_elseif_clause_token2] = ACTIONS(3565),
    [aux_sym_select_case_statement_token1] = ACTIONS(3565),
    [aux_sym_block_construct_token1] = ACTIONS(3565),
    [aux_sym_format_statement_token1] = ACTIONS(3565),
    [aux_sym_inquire_statement_token1] = ACTIONS(3565),
    [aux_sym_enum_statement_token1] = ACTIONS(3565),
    [aux_sym_null_literal_token1] = ACTIONS(3565),
    [aux_sym_identifier_token1] = ACTIONS(3565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3569),
  },
  [1469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3643),
    [aux_sym_preproc_def_token1] = ACTIONS(3643),
    [aux_sym_preproc_if_token1] = ACTIONS(3643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3643),
    [sym_preproc_directive] = ACTIONS(3643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3643),
    [aux_sym_end_module_statement_token1] = ACTIONS(3643),
    [aux_sym_interface_statement_token1] = ACTIONS(3643),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3643),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3643),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3643),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3643),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3643),
    [aux_sym_contains_statement_token1] = ACTIONS(3643),
    [aux_sym_use_statement_token1] = ACTIONS(3643),
    [aux_sym_use_statement_token2] = ACTIONS(3643),
    [aux_sym_implicit_statement_token1] = ACTIONS(3643),
    [aux_sym_implicit_statement_token3] = ACTIONS(3643),
    [aux_sym_implicit_statement_token4] = ACTIONS(3643),
    [aux_sym_save_statement_token1] = ACTIONS(3643),
    [aux_sym_private_statement_token1] = ACTIONS(3643),
    [aux_sym_public_statement_token1] = ACTIONS(3643),
    [aux_sym_namelist_statement_token1] = ACTIONS(3643),
    [aux_sym_common_statement_token1] = ACTIONS(3643),
    [aux_sym_import_statement_token1] = ACTIONS(3643),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3643),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3643),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3643),
    [aux_sym_variable_attributes_token1] = ACTIONS(3643),
    [aux_sym_variable_attributes_token2] = ACTIONS(3643),
    [aux_sym_variable_attributes_token3] = ACTIONS(3643),
    [aux_sym_variable_attributes_token4] = ACTIONS(3643),
    [aux_sym_variable_attributes_token5] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3643),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3643),
    [aux_sym_derived_type_token1] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3643),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3643),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3643),
    [aux_sym_stop_statement_token1] = ACTIONS(3643),
    [aux_sym_stop_statement_token2] = ACTIONS(3643),
    [aux_sym_keyword_statement_token2] = ACTIONS(3643),
    [aux_sym_keyword_statement_token3] = ACTIONS(3643),
    [aux_sym_include_statement_token1] = ACTIONS(3643),
    [aux_sym_data_statement_token1] = ACTIONS(3643),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3643),
    [aux_sym_end_if_statement_token1] = ACTIONS(3643),
    [aux_sym_elseif_clause_token2] = ACTIONS(3643),
    [aux_sym_select_case_statement_token1] = ACTIONS(3643),
    [aux_sym_block_construct_token1] = ACTIONS(3643),
    [aux_sym_format_statement_token1] = ACTIONS(3643),
    [aux_sym_inquire_statement_token1] = ACTIONS(3643),
    [aux_sym_enum_statement_token1] = ACTIONS(3643),
    [aux_sym_null_literal_token1] = ACTIONS(3643),
    [aux_sym_identifier_token1] = ACTIONS(3643),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3645),
  },
  [1470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
  },
  [1471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
  },
  [1472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3687),
    [aux_sym_preproc_def_token1] = ACTIONS(3687),
    [aux_sym_preproc_if_token1] = ACTIONS(3687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3687),
    [sym_preproc_directive] = ACTIONS(3687),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3687),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3687),
    [aux_sym_interface_statement_token1] = ACTIONS(3687),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3687),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3687),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3687),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3687),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3687),
    [aux_sym_contains_statement_token1] = ACTIONS(3687),
    [aux_sym_use_statement_token1] = ACTIONS(3687),
    [aux_sym_use_statement_token2] = ACTIONS(3687),
    [aux_sym_implicit_statement_token1] = ACTIONS(3687),
    [aux_sym_implicit_statement_token3] = ACTIONS(3687),
    [aux_sym_implicit_statement_token4] = ACTIONS(3687),
    [aux_sym_save_statement_token1] = ACTIONS(3687),
    [aux_sym_private_statement_token1] = ACTIONS(3687),
    [aux_sym_public_statement_token1] = ACTIONS(3687),
    [aux_sym_namelist_statement_token1] = ACTIONS(3687),
    [aux_sym_common_statement_token1] = ACTIONS(3687),
    [aux_sym_import_statement_token1] = ACTIONS(3687),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3687),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3687),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3687),
    [aux_sym_variable_attributes_token1] = ACTIONS(3687),
    [aux_sym_variable_attributes_token2] = ACTIONS(3687),
    [aux_sym_variable_attributes_token3] = ACTIONS(3687),
    [aux_sym_variable_attributes_token4] = ACTIONS(3687),
    [aux_sym_variable_attributes_token5] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3687),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3687),
    [aux_sym_derived_type_token1] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3687),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3687),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3687),
    [aux_sym_stop_statement_token1] = ACTIONS(3687),
    [aux_sym_stop_statement_token2] = ACTIONS(3687),
    [aux_sym_keyword_statement_token2] = ACTIONS(3687),
    [aux_sym_keyword_statement_token3] = ACTIONS(3687),
    [aux_sym_include_statement_token1] = ACTIONS(3687),
    [aux_sym_data_statement_token1] = ACTIONS(3687),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3687),
    [aux_sym_end_if_statement_token1] = ACTIONS(3687),
    [aux_sym_elseif_clause_token2] = ACTIONS(3687),
    [aux_sym_select_case_statement_token1] = ACTIONS(3687),
    [aux_sym_block_construct_token1] = ACTIONS(3687),
    [aux_sym_format_statement_token1] = ACTIONS(3687),
    [aux_sym_inquire_statement_token1] = ACTIONS(3687),
    [aux_sym_enum_statement_token1] = ACTIONS(3687),
    [aux_sym_null_literal_token1] = ACTIONS(3687),
    [aux_sym_identifier_token1] = ACTIONS(3687),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3689),
  },
  [1473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3432),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3432),
    [sym_preproc_directive] = ACTIONS(3432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3432),
    [aux_sym_end_module_statement_token1] = ACTIONS(3432),
    [aux_sym_interface_statement_token1] = ACTIONS(3432),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3432),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3432),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3432),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3432),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3432),
    [aux_sym_contains_statement_token1] = ACTIONS(3432),
    [aux_sym_use_statement_token1] = ACTIONS(3432),
    [aux_sym_use_statement_token2] = ACTIONS(3432),
    [aux_sym_implicit_statement_token1] = ACTIONS(3432),
    [aux_sym_implicit_statement_token3] = ACTIONS(3432),
    [aux_sym_implicit_statement_token4] = ACTIONS(3432),
    [aux_sym_save_statement_token1] = ACTIONS(3432),
    [aux_sym_private_statement_token1] = ACTIONS(3432),
    [aux_sym_public_statement_token1] = ACTIONS(3432),
    [aux_sym_namelist_statement_token1] = ACTIONS(3432),
    [aux_sym_common_statement_token1] = ACTIONS(3432),
    [aux_sym_import_statement_token1] = ACTIONS(3432),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3432),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3432),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3432),
    [aux_sym_variable_attributes_token1] = ACTIONS(3432),
    [aux_sym_variable_attributes_token2] = ACTIONS(3432),
    [aux_sym_variable_attributes_token3] = ACTIONS(3432),
    [aux_sym_variable_attributes_token4] = ACTIONS(3432),
    [aux_sym_variable_attributes_token5] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3432),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3432),
    [aux_sym_derived_type_token1] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3432),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3432),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3432),
    [aux_sym_stop_statement_token1] = ACTIONS(3432),
    [aux_sym_stop_statement_token2] = ACTIONS(3432),
    [aux_sym_keyword_statement_token2] = ACTIONS(3432),
    [aux_sym_keyword_statement_token3] = ACTIONS(3432),
    [aux_sym_include_statement_token1] = ACTIONS(3432),
    [aux_sym_data_statement_token1] = ACTIONS(3432),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3432),
    [aux_sym_end_if_statement_token1] = ACTIONS(3432),
    [aux_sym_elseif_clause_token2] = ACTIONS(3432),
    [aux_sym_select_case_statement_token1] = ACTIONS(3432),
    [aux_sym_block_construct_token1] = ACTIONS(3432),
    [aux_sym_format_statement_token1] = ACTIONS(3432),
    [aux_sym_inquire_statement_token1] = ACTIONS(3432),
    [aux_sym_enum_statement_token1] = ACTIONS(3432),
    [aux_sym_null_literal_token1] = ACTIONS(3432),
    [aux_sym_identifier_token1] = ACTIONS(3432),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3434),
  },
  [1474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3047),
    [aux_sym_interface_statement_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3047),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3047),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3047),
    [aux_sym_contains_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token1] = ACTIONS(3047),
    [aux_sym_use_statement_token2] = ACTIONS(3047),
    [aux_sym_implicit_statement_token1] = ACTIONS(3047),
    [aux_sym_implicit_statement_token3] = ACTIONS(3047),
    [aux_sym_implicit_statement_token4] = ACTIONS(3047),
    [aux_sym_save_statement_token1] = ACTIONS(3047),
    [aux_sym_private_statement_token1] = ACTIONS(3047),
    [aux_sym_public_statement_token1] = ACTIONS(3047),
    [aux_sym_namelist_statement_token1] = ACTIONS(3047),
    [aux_sym_common_statement_token1] = ACTIONS(3047),
    [aux_sym_import_statement_token1] = ACTIONS(3047),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3047),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3047),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3047),
    [aux_sym_variable_attributes_token1] = ACTIONS(3047),
    [aux_sym_variable_attributes_token2] = ACTIONS(3047),
    [aux_sym_variable_attributes_token3] = ACTIONS(3047),
    [aux_sym_variable_attributes_token4] = ACTIONS(3047),
    [aux_sym_variable_attributes_token5] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3047),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3047),
    [aux_sym_derived_type_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3047),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3047),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token1] = ACTIONS(3047),
    [aux_sym_stop_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token2] = ACTIONS(3047),
    [aux_sym_keyword_statement_token3] = ACTIONS(3047),
    [aux_sym_include_statement_token1] = ACTIONS(3047),
    [aux_sym_data_statement_token1] = ACTIONS(3047),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3047),
    [aux_sym_end_if_statement_token1] = ACTIONS(3047),
    [aux_sym_elseif_clause_token2] = ACTIONS(3047),
    [aux_sym_select_case_statement_token1] = ACTIONS(3047),
    [aux_sym_block_construct_token1] = ACTIONS(3047),
    [aux_sym_format_statement_token1] = ACTIONS(3047),
    [aux_sym_inquire_statement_token1] = ACTIONS(3047),
    [aux_sym_enum_statement_token1] = ACTIONS(3047),
    [aux_sym_null_literal_token1] = ACTIONS(3047),
    [aux_sym_identifier_token1] = ACTIONS(3047),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3049),
  },
  [1475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3081),
    [aux_sym_interface_statement_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3081),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3081),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3081),
    [aux_sym_contains_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token1] = ACTIONS(3081),
    [aux_sym_use_statement_token2] = ACTIONS(3081),
    [aux_sym_implicit_statement_token1] = ACTIONS(3081),
    [aux_sym_implicit_statement_token3] = ACTIONS(3081),
    [aux_sym_implicit_statement_token4] = ACTIONS(3081),
    [aux_sym_save_statement_token1] = ACTIONS(3081),
    [aux_sym_private_statement_token1] = ACTIONS(3081),
    [aux_sym_public_statement_token1] = ACTIONS(3081),
    [aux_sym_namelist_statement_token1] = ACTIONS(3081),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3081),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3081),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3081),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3081),
    [aux_sym_variable_attributes_token1] = ACTIONS(3081),
    [aux_sym_variable_attributes_token2] = ACTIONS(3081),
    [aux_sym_variable_attributes_token3] = ACTIONS(3081),
    [aux_sym_variable_attributes_token4] = ACTIONS(3081),
    [aux_sym_variable_attributes_token5] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3081),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3081),
    [aux_sym_derived_type_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3081),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3081),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token1] = ACTIONS(3081),
    [aux_sym_stop_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token2] = ACTIONS(3081),
    [aux_sym_keyword_statement_token3] = ACTIONS(3081),
    [aux_sym_include_statement_token1] = ACTIONS(3081),
    [aux_sym_data_statement_token1] = ACTIONS(3081),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3081),
    [aux_sym_end_if_statement_token1] = ACTIONS(3081),
    [aux_sym_elseif_clause_token2] = ACTIONS(3081),
    [aux_sym_select_case_statement_token1] = ACTIONS(3081),
    [aux_sym_block_construct_token1] = ACTIONS(3081),
    [aux_sym_format_statement_token1] = ACTIONS(3081),
    [aux_sym_inquire_statement_token1] = ACTIONS(3081),
    [aux_sym_enum_statement_token1] = ACTIONS(3081),
    [aux_sym_null_literal_token1] = ACTIONS(3081),
    [aux_sym_identifier_token1] = ACTIONS(3081),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3083),
  },
  [1476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2485),
    [aux_sym_preproc_def_token1] = ACTIONS(2485),
    [aux_sym_preproc_if_token2] = ACTIONS(2485),
    [sym_preproc_directive] = ACTIONS(2485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2485),
    [aux_sym_interface_statement_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2485),
    [aux_sym_contains_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token1] = ACTIONS(2485),
    [aux_sym_use_statement_token2] = ACTIONS(2485),
    [aux_sym_implicit_statement_token1] = ACTIONS(2485),
    [aux_sym_implicit_statement_token3] = ACTIONS(2485),
    [aux_sym_implicit_statement_token4] = ACTIONS(2485),
    [aux_sym_save_statement_token1] = ACTIONS(2485),
    [aux_sym_private_statement_token1] = ACTIONS(2485),
    [aux_sym_public_statement_token1] = ACTIONS(2485),
    [aux_sym_namelist_statement_token1] = ACTIONS(2485),
    [aux_sym_common_statement_token1] = ACTIONS(2485),
    [aux_sym_import_statement_token1] = ACTIONS(2485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2485),
    [aux_sym_variable_attributes_token1] = ACTIONS(2485),
    [aux_sym_variable_attributes_token2] = ACTIONS(2485),
    [aux_sym_variable_attributes_token3] = ACTIONS(2485),
    [aux_sym_variable_attributes_token4] = ACTIONS(2485),
    [aux_sym_variable_attributes_token5] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2485),
    [aux_sym_derived_type_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(2485),
    [aux_sym_stop_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token2] = ACTIONS(2485),
    [aux_sym_keyword_statement_token3] = ACTIONS(2485),
    [aux_sym_include_statement_token1] = ACTIONS(2485),
    [aux_sym_data_statement_token1] = ACTIONS(2485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2485),
    [aux_sym_end_if_statement_token1] = ACTIONS(2485),
    [aux_sym_elseif_clause_token2] = ACTIONS(2485),
    [aux_sym_select_case_statement_token1] = ACTIONS(2485),
    [aux_sym_block_construct_token1] = ACTIONS(2485),
    [aux_sym_format_statement_token1] = ACTIONS(2485),
    [aux_sym_inquire_statement_token1] = ACTIONS(2485),
    [aux_sym_enum_statement_token1] = ACTIONS(2485),
    [aux_sym_null_literal_token1] = ACTIONS(2485),
    [aux_sym_identifier_token1] = ACTIONS(2485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2487),
  },
  [1477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3089),
    [aux_sym_interface_statement_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3089),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3089),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3089),
    [aux_sym_contains_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token1] = ACTIONS(3089),
    [aux_sym_use_statement_token2] = ACTIONS(3089),
    [aux_sym_implicit_statement_token1] = ACTIONS(3089),
    [aux_sym_implicit_statement_token3] = ACTIONS(3089),
    [aux_sym_implicit_statement_token4] = ACTIONS(3089),
    [aux_sym_save_statement_token1] = ACTIONS(3089),
    [aux_sym_private_statement_token1] = ACTIONS(3089),
    [aux_sym_public_statement_token1] = ACTIONS(3089),
    [aux_sym_namelist_statement_token1] = ACTIONS(3089),
    [aux_sym_common_statement_token1] = ACTIONS(3089),
    [aux_sym_import_statement_token1] = ACTIONS(3089),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3089),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3089),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3089),
    [aux_sym_variable_attributes_token1] = ACTIONS(3089),
    [aux_sym_variable_attributes_token2] = ACTIONS(3089),
    [aux_sym_variable_attributes_token3] = ACTIONS(3089),
    [aux_sym_variable_attributes_token4] = ACTIONS(3089),
    [aux_sym_variable_attributes_token5] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3089),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3089),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token1] = ACTIONS(3089),
    [aux_sym_stop_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token2] = ACTIONS(3089),
    [aux_sym_keyword_statement_token3] = ACTIONS(3089),
    [aux_sym_include_statement_token1] = ACTIONS(3089),
    [aux_sym_data_statement_token1] = ACTIONS(3089),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3089),
    [aux_sym_end_if_statement_token1] = ACTIONS(3089),
    [aux_sym_elseif_clause_token2] = ACTIONS(3089),
    [aux_sym_select_case_statement_token1] = ACTIONS(3089),
    [aux_sym_block_construct_token1] = ACTIONS(3089),
    [aux_sym_format_statement_token1] = ACTIONS(3089),
    [aux_sym_inquire_statement_token1] = ACTIONS(3089),
    [aux_sym_enum_statement_token1] = ACTIONS(3089),
    [aux_sym_null_literal_token1] = ACTIONS(3089),
    [aux_sym_identifier_token1] = ACTIONS(3089),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3091),
  },
  [1478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3009),
    [aux_sym_interface_statement_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3009),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3009),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3009),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3009),
    [aux_sym_contains_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token1] = ACTIONS(3009),
    [aux_sym_use_statement_token2] = ACTIONS(3009),
    [aux_sym_implicit_statement_token1] = ACTIONS(3009),
    [aux_sym_implicit_statement_token3] = ACTIONS(3009),
    [aux_sym_implicit_statement_token4] = ACTIONS(3009),
    [aux_sym_save_statement_token1] = ACTIONS(3009),
    [aux_sym_private_statement_token1] = ACTIONS(3009),
    [aux_sym_public_statement_token1] = ACTIONS(3009),
    [aux_sym_namelist_statement_token1] = ACTIONS(3009),
    [aux_sym_common_statement_token1] = ACTIONS(3009),
    [aux_sym_import_statement_token1] = ACTIONS(3009),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3009),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3009),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3009),
    [aux_sym_variable_attributes_token1] = ACTIONS(3009),
    [aux_sym_variable_attributes_token2] = ACTIONS(3009),
    [aux_sym_variable_attributes_token3] = ACTIONS(3009),
    [aux_sym_variable_attributes_token4] = ACTIONS(3009),
    [aux_sym_variable_attributes_token5] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3009),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3009),
    [aux_sym_derived_type_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3009),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3009),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token1] = ACTIONS(3009),
    [aux_sym_stop_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token2] = ACTIONS(3009),
    [aux_sym_keyword_statement_token3] = ACTIONS(3009),
    [aux_sym_include_statement_token1] = ACTIONS(3009),
    [aux_sym_data_statement_token1] = ACTIONS(3009),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3009),
    [aux_sym_end_if_statement_token1] = ACTIONS(3009),
    [aux_sym_elseif_clause_token2] = ACTIONS(3009),
    [aux_sym_select_case_statement_token1] = ACTIONS(3009),
    [aux_sym_block_construct_token1] = ACTIONS(3009),
    [aux_sym_format_statement_token1] = ACTIONS(3009),
    [aux_sym_inquire_statement_token1] = ACTIONS(3009),
    [aux_sym_enum_statement_token1] = ACTIONS(3009),
    [aux_sym_null_literal_token1] = ACTIONS(3009),
    [aux_sym_identifier_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3011),
  },
  [1479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3013),
    [aux_sym_interface_statement_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3013),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3013),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3013),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3013),
    [aux_sym_contains_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token1] = ACTIONS(3013),
    [aux_sym_use_statement_token2] = ACTIONS(3013),
    [aux_sym_implicit_statement_token1] = ACTIONS(3013),
    [aux_sym_implicit_statement_token3] = ACTIONS(3013),
    [aux_sym_implicit_statement_token4] = ACTIONS(3013),
    [aux_sym_save_statement_token1] = ACTIONS(3013),
    [aux_sym_private_statement_token1] = ACTIONS(3013),
    [aux_sym_public_statement_token1] = ACTIONS(3013),
    [aux_sym_namelist_statement_token1] = ACTIONS(3013),
    [aux_sym_common_statement_token1] = ACTIONS(3013),
    [aux_sym_import_statement_token1] = ACTIONS(3013),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3013),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3013),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3013),
    [aux_sym_variable_attributes_token1] = ACTIONS(3013),
    [aux_sym_variable_attributes_token2] = ACTIONS(3013),
    [aux_sym_variable_attributes_token3] = ACTIONS(3013),
    [aux_sym_variable_attributes_token4] = ACTIONS(3013),
    [aux_sym_variable_attributes_token5] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3013),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3013),
    [aux_sym_derived_type_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3013),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3013),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token1] = ACTIONS(3013),
    [aux_sym_stop_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token2] = ACTIONS(3013),
    [aux_sym_keyword_statement_token3] = ACTIONS(3013),
    [aux_sym_include_statement_token1] = ACTIONS(3013),
    [aux_sym_data_statement_token1] = ACTIONS(3013),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3013),
    [aux_sym_end_if_statement_token1] = ACTIONS(3013),
    [aux_sym_elseif_clause_token2] = ACTIONS(3013),
    [aux_sym_select_case_statement_token1] = ACTIONS(3013),
    [aux_sym_block_construct_token1] = ACTIONS(3013),
    [aux_sym_format_statement_token1] = ACTIONS(3013),
    [aux_sym_inquire_statement_token1] = ACTIONS(3013),
    [aux_sym_enum_statement_token1] = ACTIONS(3013),
    [aux_sym_null_literal_token1] = ACTIONS(3013),
    [aux_sym_identifier_token1] = ACTIONS(3013),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3015),
  },
  [1480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3093),
    [aux_sym_preproc_def_token1] = ACTIONS(3093),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [sym_preproc_directive] = ACTIONS(3093),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3093),
    [aux_sym_interface_statement_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3093),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3093),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3093),
    [aux_sym_contains_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token1] = ACTIONS(3093),
    [aux_sym_use_statement_token2] = ACTIONS(3093),
    [aux_sym_implicit_statement_token1] = ACTIONS(3093),
    [aux_sym_implicit_statement_token3] = ACTIONS(3093),
    [aux_sym_implicit_statement_token4] = ACTIONS(3093),
    [aux_sym_save_statement_token1] = ACTIONS(3093),
    [aux_sym_private_statement_token1] = ACTIONS(3093),
    [aux_sym_public_statement_token1] = ACTIONS(3093),
    [aux_sym_namelist_statement_token1] = ACTIONS(3093),
    [aux_sym_common_statement_token1] = ACTIONS(3093),
    [aux_sym_import_statement_token1] = ACTIONS(3093),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3093),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3093),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3093),
    [aux_sym_variable_attributes_token1] = ACTIONS(3093),
    [aux_sym_variable_attributes_token2] = ACTIONS(3093),
    [aux_sym_variable_attributes_token3] = ACTIONS(3093),
    [aux_sym_variable_attributes_token4] = ACTIONS(3093),
    [aux_sym_variable_attributes_token5] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3093),
    [aux_sym_derived_type_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3093),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3093),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token1] = ACTIONS(3093),
    [aux_sym_stop_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token2] = ACTIONS(3093),
    [aux_sym_keyword_statement_token3] = ACTIONS(3093),
    [aux_sym_include_statement_token1] = ACTIONS(3093),
    [aux_sym_data_statement_token1] = ACTIONS(3093),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3093),
    [aux_sym_end_if_statement_token1] = ACTIONS(3093),
    [aux_sym_elseif_clause_token2] = ACTIONS(3093),
    [aux_sym_select_case_statement_token1] = ACTIONS(3093),
    [aux_sym_block_construct_token1] = ACTIONS(3093),
    [aux_sym_format_statement_token1] = ACTIONS(3093),
    [aux_sym_inquire_statement_token1] = ACTIONS(3093),
    [aux_sym_enum_statement_token1] = ACTIONS(3093),
    [aux_sym_null_literal_token1] = ACTIONS(3093),
    [aux_sym_identifier_token1] = ACTIONS(3093),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3095),
  },
  [1481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3001),
    [aux_sym_interface_statement_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3001),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3001),
    [aux_sym_contains_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token1] = ACTIONS(3001),
    [aux_sym_use_statement_token2] = ACTIONS(3001),
    [aux_sym_implicit_statement_token1] = ACTIONS(3001),
    [aux_sym_implicit_statement_token3] = ACTIONS(3001),
    [aux_sym_implicit_statement_token4] = ACTIONS(3001),
    [aux_sym_save_statement_token1] = ACTIONS(3001),
    [aux_sym_private_statement_token1] = ACTIONS(3001),
    [aux_sym_public_statement_token1] = ACTIONS(3001),
    [aux_sym_namelist_statement_token1] = ACTIONS(3001),
    [aux_sym_common_statement_token1] = ACTIONS(3001),
    [aux_sym_import_statement_token1] = ACTIONS(3001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3001),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3001),
    [aux_sym_variable_attributes_token1] = ACTIONS(3001),
    [aux_sym_variable_attributes_token2] = ACTIONS(3001),
    [aux_sym_variable_attributes_token3] = ACTIONS(3001),
    [aux_sym_variable_attributes_token4] = ACTIONS(3001),
    [aux_sym_variable_attributes_token5] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3001),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3001),
    [aux_sym_derived_type_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3001),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token1] = ACTIONS(3001),
    [aux_sym_stop_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token2] = ACTIONS(3001),
    [aux_sym_keyword_statement_token3] = ACTIONS(3001),
    [aux_sym_include_statement_token1] = ACTIONS(3001),
    [aux_sym_data_statement_token1] = ACTIONS(3001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3001),
    [aux_sym_end_if_statement_token1] = ACTIONS(3001),
    [aux_sym_elseif_clause_token2] = ACTIONS(3001),
    [aux_sym_select_case_statement_token1] = ACTIONS(3001),
    [aux_sym_block_construct_token1] = ACTIONS(3001),
    [aux_sym_format_statement_token1] = ACTIONS(3001),
    [aux_sym_inquire_statement_token1] = ACTIONS(3001),
    [aux_sym_enum_statement_token1] = ACTIONS(3001),
    [aux_sym_null_literal_token1] = ACTIONS(3001),
    [aux_sym_identifier_token1] = ACTIONS(3001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
  },
  [1482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2497),
    [aux_sym_preproc_def_token1] = ACTIONS(2497),
    [aux_sym_preproc_if_token2] = ACTIONS(2497),
    [sym_preproc_directive] = ACTIONS(2497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2497),
    [aux_sym_interface_statement_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2497),
    [aux_sym_contains_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token1] = ACTIONS(2497),
    [aux_sym_use_statement_token2] = ACTIONS(2497),
    [aux_sym_implicit_statement_token1] = ACTIONS(2497),
    [aux_sym_implicit_statement_token3] = ACTIONS(2497),
    [aux_sym_implicit_statement_token4] = ACTIONS(2497),
    [aux_sym_save_statement_token1] = ACTIONS(2497),
    [aux_sym_private_statement_token1] = ACTIONS(2497),
    [aux_sym_public_statement_token1] = ACTIONS(2497),
    [aux_sym_namelist_statement_token1] = ACTIONS(2497),
    [aux_sym_common_statement_token1] = ACTIONS(2497),
    [aux_sym_import_statement_token1] = ACTIONS(2497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2497),
    [aux_sym_variable_attributes_token1] = ACTIONS(2497),
    [aux_sym_variable_attributes_token2] = ACTIONS(2497),
    [aux_sym_variable_attributes_token3] = ACTIONS(2497),
    [aux_sym_variable_attributes_token4] = ACTIONS(2497),
    [aux_sym_variable_attributes_token5] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2497),
    [aux_sym_derived_type_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token1] = ACTIONS(2497),
    [aux_sym_stop_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token2] = ACTIONS(2497),
    [aux_sym_keyword_statement_token3] = ACTIONS(2497),
    [aux_sym_include_statement_token1] = ACTIONS(2497),
    [aux_sym_data_statement_token1] = ACTIONS(2497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2497),
    [aux_sym_end_if_statement_token1] = ACTIONS(2497),
    [aux_sym_elseif_clause_token2] = ACTIONS(2497),
    [aux_sym_select_case_statement_token1] = ACTIONS(2497),
    [aux_sym_block_construct_token1] = ACTIONS(2497),
    [aux_sym_format_statement_token1] = ACTIONS(2497),
    [aux_sym_inquire_statement_token1] = ACTIONS(2497),
    [aux_sym_enum_statement_token1] = ACTIONS(2497),
    [aux_sym_null_literal_token1] = ACTIONS(2497),
    [aux_sym_identifier_token1] = ACTIONS(2497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2499),
  },
  [1483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3059),
    [aux_sym_interface_statement_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3059),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3059),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3059),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3059),
    [aux_sym_contains_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token1] = ACTIONS(3059),
    [aux_sym_use_statement_token2] = ACTIONS(3059),
    [aux_sym_implicit_statement_token1] = ACTIONS(3059),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3059),
    [aux_sym_save_statement_token1] = ACTIONS(3059),
    [aux_sym_private_statement_token1] = ACTIONS(3059),
    [aux_sym_public_statement_token1] = ACTIONS(3059),
    [aux_sym_namelist_statement_token1] = ACTIONS(3059),
    [aux_sym_common_statement_token1] = ACTIONS(3059),
    [aux_sym_import_statement_token1] = ACTIONS(3059),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3059),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3059),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3059),
    [aux_sym_variable_attributes_token1] = ACTIONS(3059),
    [aux_sym_variable_attributes_token2] = ACTIONS(3059),
    [aux_sym_variable_attributes_token3] = ACTIONS(3059),
    [aux_sym_variable_attributes_token4] = ACTIONS(3059),
    [aux_sym_variable_attributes_token5] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3059),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3059),
    [aux_sym_derived_type_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3059),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3059),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token1] = ACTIONS(3059),
    [aux_sym_stop_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token2] = ACTIONS(3059),
    [aux_sym_keyword_statement_token3] = ACTIONS(3059),
    [aux_sym_include_statement_token1] = ACTIONS(3059),
    [aux_sym_data_statement_token1] = ACTIONS(3059),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3059),
    [aux_sym_end_if_statement_token1] = ACTIONS(3059),
    [aux_sym_elseif_clause_token2] = ACTIONS(3059),
    [aux_sym_select_case_statement_token1] = ACTIONS(3059),
    [aux_sym_block_construct_token1] = ACTIONS(3059),
    [aux_sym_format_statement_token1] = ACTIONS(3059),
    [aux_sym_inquire_statement_token1] = ACTIONS(3059),
    [aux_sym_enum_statement_token1] = ACTIONS(3059),
    [aux_sym_null_literal_token1] = ACTIONS(3059),
    [aux_sym_identifier_token1] = ACTIONS(3059),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3061),
  },
  [1484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_interface_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token1] = ACTIONS(2457),
    [aux_sym_use_statement_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token1] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym_implicit_statement_token4] = ACTIONS(2457),
    [aux_sym_save_statement_token1] = ACTIONS(2457),
    [aux_sym_private_statement_token1] = ACTIONS(2457),
    [aux_sym_public_statement_token1] = ACTIONS(2457),
    [aux_sym_namelist_statement_token1] = ACTIONS(2457),
    [aux_sym_common_statement_token1] = ACTIONS(2457),
    [aux_sym_import_statement_token1] = ACTIONS(2457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2457),
    [aux_sym_variable_attributes_token1] = ACTIONS(2457),
    [aux_sym_variable_attributes_token2] = ACTIONS(2457),
    [aux_sym_variable_attributes_token3] = ACTIONS(2457),
    [aux_sym_variable_attributes_token4] = ACTIONS(2457),
    [aux_sym_variable_attributes_token5] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_enum_statement_token1] = ACTIONS(2457),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
  },
  [1485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3005),
    [aux_sym_interface_statement_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3005),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3005),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3005),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3005),
    [aux_sym_contains_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token1] = ACTIONS(3005),
    [aux_sym_use_statement_token2] = ACTIONS(3005),
    [aux_sym_implicit_statement_token1] = ACTIONS(3005),
    [aux_sym_implicit_statement_token3] = ACTIONS(3005),
    [aux_sym_implicit_statement_token4] = ACTIONS(3005),
    [aux_sym_save_statement_token1] = ACTIONS(3005),
    [aux_sym_private_statement_token1] = ACTIONS(3005),
    [aux_sym_public_statement_token1] = ACTIONS(3005),
    [aux_sym_namelist_statement_token1] = ACTIONS(3005),
    [aux_sym_common_statement_token1] = ACTIONS(3005),
    [aux_sym_import_statement_token1] = ACTIONS(3005),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3005),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3005),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3005),
    [aux_sym_variable_attributes_token1] = ACTIONS(3005),
    [aux_sym_variable_attributes_token2] = ACTIONS(3005),
    [aux_sym_variable_attributes_token3] = ACTIONS(3005),
    [aux_sym_variable_attributes_token4] = ACTIONS(3005),
    [aux_sym_variable_attributes_token5] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3005),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3005),
    [aux_sym_derived_type_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3005),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3005),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token1] = ACTIONS(3005),
    [aux_sym_stop_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token2] = ACTIONS(3005),
    [aux_sym_keyword_statement_token3] = ACTIONS(3005),
    [aux_sym_include_statement_token1] = ACTIONS(3005),
    [aux_sym_data_statement_token1] = ACTIONS(3005),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3005),
    [aux_sym_end_if_statement_token1] = ACTIONS(3005),
    [aux_sym_elseif_clause_token2] = ACTIONS(3005),
    [aux_sym_select_case_statement_token1] = ACTIONS(3005),
    [aux_sym_block_construct_token1] = ACTIONS(3005),
    [aux_sym_format_statement_token1] = ACTIONS(3005),
    [aux_sym_inquire_statement_token1] = ACTIONS(3005),
    [aux_sym_enum_statement_token1] = ACTIONS(3005),
    [aux_sym_null_literal_token1] = ACTIONS(3005),
    [aux_sym_identifier_token1] = ACTIONS(3005),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3007),
  },
  [1486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3077),
    [aux_sym_interface_statement_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3077),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3077),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3077),
    [aux_sym_contains_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token1] = ACTIONS(3077),
    [aux_sym_use_statement_token2] = ACTIONS(3077),
    [aux_sym_implicit_statement_token1] = ACTIONS(3077),
    [aux_sym_implicit_statement_token3] = ACTIONS(3077),
    [aux_sym_implicit_statement_token4] = ACTIONS(3077),
    [aux_sym_save_statement_token1] = ACTIONS(3077),
    [aux_sym_private_statement_token1] = ACTIONS(3077),
    [aux_sym_public_statement_token1] = ACTIONS(3077),
    [aux_sym_namelist_statement_token1] = ACTIONS(3077),
    [aux_sym_common_statement_token1] = ACTIONS(3077),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3077),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3077),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3077),
    [aux_sym_variable_attributes_token1] = ACTIONS(3077),
    [aux_sym_variable_attributes_token2] = ACTIONS(3077),
    [aux_sym_variable_attributes_token3] = ACTIONS(3077),
    [aux_sym_variable_attributes_token4] = ACTIONS(3077),
    [aux_sym_variable_attributes_token5] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3077),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3077),
    [aux_sym_derived_type_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3077),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3077),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token1] = ACTIONS(3077),
    [aux_sym_stop_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token2] = ACTIONS(3077),
    [aux_sym_keyword_statement_token3] = ACTIONS(3077),
    [aux_sym_include_statement_token1] = ACTIONS(3077),
    [aux_sym_data_statement_token1] = ACTIONS(3077),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3077),
    [aux_sym_end_if_statement_token1] = ACTIONS(3077),
    [aux_sym_elseif_clause_token2] = ACTIONS(3077),
    [aux_sym_select_case_statement_token1] = ACTIONS(3077),
    [aux_sym_block_construct_token1] = ACTIONS(3077),
    [aux_sym_format_statement_token1] = ACTIONS(3077),
    [aux_sym_inquire_statement_token1] = ACTIONS(3077),
    [aux_sym_enum_statement_token1] = ACTIONS(3077),
    [aux_sym_null_literal_token1] = ACTIONS(3077),
    [aux_sym_identifier_token1] = ACTIONS(3077),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3079),
  },
  [1487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_interface_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token1] = ACTIONS(2421),
    [aux_sym_use_statement_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token1] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym_implicit_statement_token4] = ACTIONS(2421),
    [aux_sym_save_statement_token1] = ACTIONS(2421),
    [aux_sym_private_statement_token1] = ACTIONS(2421),
    [aux_sym_public_statement_token1] = ACTIONS(2421),
    [aux_sym_namelist_statement_token1] = ACTIONS(2421),
    [aux_sym_common_statement_token1] = ACTIONS(2421),
    [aux_sym_import_statement_token1] = ACTIONS(2421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2421),
    [aux_sym_variable_attributes_token1] = ACTIONS(2421),
    [aux_sym_variable_attributes_token2] = ACTIONS(2421),
    [aux_sym_variable_attributes_token3] = ACTIONS(2421),
    [aux_sym_variable_attributes_token4] = ACTIONS(2421),
    [aux_sym_variable_attributes_token5] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_enum_statement_token1] = ACTIONS(2421),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
  },
  [1488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3039),
    [aux_sym_preproc_def_token1] = ACTIONS(3039),
    [aux_sym_preproc_if_token2] = ACTIONS(3039),
    [sym_preproc_directive] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3039),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3039),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3039),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3039),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3039),
    [aux_sym_contains_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token1] = ACTIONS(3039),
    [aux_sym_use_statement_token2] = ACTIONS(3039),
    [aux_sym_implicit_statement_token1] = ACTIONS(3039),
    [aux_sym_implicit_statement_token3] = ACTIONS(3039),
    [aux_sym_implicit_statement_token4] = ACTIONS(3039),
    [aux_sym_save_statement_token1] = ACTIONS(3039),
    [aux_sym_private_statement_token1] = ACTIONS(3039),
    [aux_sym_public_statement_token1] = ACTIONS(3039),
    [aux_sym_namelist_statement_token1] = ACTIONS(3039),
    [aux_sym_common_statement_token1] = ACTIONS(3039),
    [aux_sym_import_statement_token1] = ACTIONS(3039),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3039),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3039),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3039),
    [aux_sym_variable_attributes_token1] = ACTIONS(3039),
    [aux_sym_variable_attributes_token2] = ACTIONS(3039),
    [aux_sym_variable_attributes_token3] = ACTIONS(3039),
    [aux_sym_variable_attributes_token4] = ACTIONS(3039),
    [aux_sym_variable_attributes_token5] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3039),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3039),
    [aux_sym_derived_type_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3039),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3039),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token1] = ACTIONS(3039),
    [aux_sym_stop_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token2] = ACTIONS(3039),
    [aux_sym_keyword_statement_token3] = ACTIONS(3039),
    [aux_sym_include_statement_token1] = ACTIONS(3039),
    [aux_sym_data_statement_token1] = ACTIONS(3039),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3039),
    [aux_sym_end_if_statement_token1] = ACTIONS(3039),
    [aux_sym_elseif_clause_token2] = ACTIONS(3039),
    [aux_sym_select_case_statement_token1] = ACTIONS(3039),
    [aux_sym_block_construct_token1] = ACTIONS(3039),
    [aux_sym_format_statement_token1] = ACTIONS(3039),
    [aux_sym_inquire_statement_token1] = ACTIONS(3039),
    [aux_sym_enum_statement_token1] = ACTIONS(3039),
    [aux_sym_null_literal_token1] = ACTIONS(3039),
    [aux_sym_identifier_token1] = ACTIONS(3039),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3041),
  },
  [1489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3051),
    [aux_sym_interface_statement_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3051),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3051),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3051),
    [aux_sym_contains_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token1] = ACTIONS(3051),
    [aux_sym_use_statement_token2] = ACTIONS(3051),
    [aux_sym_implicit_statement_token1] = ACTIONS(3051),
    [aux_sym_implicit_statement_token3] = ACTIONS(3051),
    [aux_sym_implicit_statement_token4] = ACTIONS(3051),
    [aux_sym_save_statement_token1] = ACTIONS(3051),
    [aux_sym_private_statement_token1] = ACTIONS(3051),
    [aux_sym_public_statement_token1] = ACTIONS(3051),
    [aux_sym_namelist_statement_token1] = ACTIONS(3051),
    [aux_sym_common_statement_token1] = ACTIONS(3051),
    [aux_sym_import_statement_token1] = ACTIONS(3051),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3051),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3051),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3051),
    [aux_sym_variable_attributes_token1] = ACTIONS(3051),
    [aux_sym_variable_attributes_token2] = ACTIONS(3051),
    [aux_sym_variable_attributes_token3] = ACTIONS(3051),
    [aux_sym_variable_attributes_token4] = ACTIONS(3051),
    [aux_sym_variable_attributes_token5] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3051),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3051),
    [aux_sym_derived_type_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3051),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3051),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token1] = ACTIONS(3051),
    [aux_sym_stop_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token2] = ACTIONS(3051),
    [aux_sym_keyword_statement_token3] = ACTIONS(3051),
    [aux_sym_include_statement_token1] = ACTIONS(3051),
    [aux_sym_data_statement_token1] = ACTIONS(3051),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3051),
    [aux_sym_end_if_statement_token1] = ACTIONS(3051),
    [aux_sym_elseif_clause_token2] = ACTIONS(3051),
    [aux_sym_select_case_statement_token1] = ACTIONS(3051),
    [aux_sym_block_construct_token1] = ACTIONS(3051),
    [aux_sym_format_statement_token1] = ACTIONS(3051),
    [aux_sym_inquire_statement_token1] = ACTIONS(3051),
    [aux_sym_enum_statement_token1] = ACTIONS(3051),
    [aux_sym_null_literal_token1] = ACTIONS(3051),
    [aux_sym_identifier_token1] = ACTIONS(3051),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3053),
  },
  [1490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2469),
    [aux_sym_preproc_def_token1] = ACTIONS(2469),
    [aux_sym_preproc_if_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2469),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2469),
    [aux_sym_interface_statement_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2469),
    [aux_sym_contains_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token1] = ACTIONS(2469),
    [aux_sym_use_statement_token2] = ACTIONS(2469),
    [aux_sym_implicit_statement_token1] = ACTIONS(2469),
    [aux_sym_implicit_statement_token3] = ACTIONS(2469),
    [aux_sym_implicit_statement_token4] = ACTIONS(2469),
    [aux_sym_save_statement_token1] = ACTIONS(2469),
    [aux_sym_private_statement_token1] = ACTIONS(2469),
    [aux_sym_public_statement_token1] = ACTIONS(2469),
    [aux_sym_namelist_statement_token1] = ACTIONS(2469),
    [aux_sym_common_statement_token1] = ACTIONS(2469),
    [aux_sym_import_statement_token1] = ACTIONS(2469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2469),
    [aux_sym_variable_attributes_token1] = ACTIONS(2469),
    [aux_sym_variable_attributes_token2] = ACTIONS(2469),
    [aux_sym_variable_attributes_token3] = ACTIONS(2469),
    [aux_sym_variable_attributes_token4] = ACTIONS(2469),
    [aux_sym_variable_attributes_token5] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2469),
    [aux_sym_derived_type_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token1] = ACTIONS(2469),
    [aux_sym_stop_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token2] = ACTIONS(2469),
    [aux_sym_keyword_statement_token3] = ACTIONS(2469),
    [aux_sym_include_statement_token1] = ACTIONS(2469),
    [aux_sym_data_statement_token1] = ACTIONS(2469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2469),
    [aux_sym_end_if_statement_token1] = ACTIONS(2469),
    [aux_sym_elseif_clause_token2] = ACTIONS(2469),
    [aux_sym_select_case_statement_token1] = ACTIONS(2469),
    [aux_sym_block_construct_token1] = ACTIONS(2469),
    [aux_sym_format_statement_token1] = ACTIONS(2469),
    [aux_sym_inquire_statement_token1] = ACTIONS(2469),
    [aux_sym_enum_statement_token1] = ACTIONS(2469),
    [aux_sym_null_literal_token1] = ACTIONS(2469),
    [aux_sym_identifier_token1] = ACTIONS(2469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2471),
  },
  [1491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2481),
    [aux_sym_preproc_def_token1] = ACTIONS(2481),
    [aux_sym_preproc_if_token2] = ACTIONS(2481),
    [sym_preproc_directive] = ACTIONS(2481),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2481),
    [aux_sym_interface_statement_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2481),
    [aux_sym_contains_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token1] = ACTIONS(2481),
    [aux_sym_use_statement_token2] = ACTIONS(2481),
    [aux_sym_implicit_statement_token1] = ACTIONS(2481),
    [aux_sym_implicit_statement_token3] = ACTIONS(2481),
    [aux_sym_implicit_statement_token4] = ACTIONS(2481),
    [aux_sym_save_statement_token1] = ACTIONS(2481),
    [aux_sym_private_statement_token1] = ACTIONS(2481),
    [aux_sym_public_statement_token1] = ACTIONS(2481),
    [aux_sym_namelist_statement_token1] = ACTIONS(2481),
    [aux_sym_common_statement_token1] = ACTIONS(2481),
    [aux_sym_import_statement_token1] = ACTIONS(2481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2481),
    [aux_sym_variable_attributes_token1] = ACTIONS(2481),
    [aux_sym_variable_attributes_token2] = ACTIONS(2481),
    [aux_sym_variable_attributes_token3] = ACTIONS(2481),
    [aux_sym_variable_attributes_token4] = ACTIONS(2481),
    [aux_sym_variable_attributes_token5] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2481),
    [aux_sym_derived_type_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token1] = ACTIONS(2481),
    [aux_sym_stop_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token2] = ACTIONS(2481),
    [aux_sym_keyword_statement_token3] = ACTIONS(2481),
    [aux_sym_include_statement_token1] = ACTIONS(2481),
    [aux_sym_data_statement_token1] = ACTIONS(2481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2481),
    [aux_sym_end_if_statement_token1] = ACTIONS(2481),
    [aux_sym_elseif_clause_token2] = ACTIONS(2481),
    [aux_sym_select_case_statement_token1] = ACTIONS(2481),
    [aux_sym_block_construct_token1] = ACTIONS(2481),
    [aux_sym_format_statement_token1] = ACTIONS(2481),
    [aux_sym_inquire_statement_token1] = ACTIONS(2481),
    [aux_sym_enum_statement_token1] = ACTIONS(2481),
    [aux_sym_null_literal_token1] = ACTIONS(2481),
    [aux_sym_identifier_token1] = ACTIONS(2481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2483),
  },
  [1492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3043),
    [aux_sym_preproc_def_token1] = ACTIONS(3043),
    [aux_sym_preproc_if_token2] = ACTIONS(3043),
    [sym_preproc_directive] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3043),
    [aux_sym_interface_statement_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3043),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3043),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3043),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3043),
    [aux_sym_contains_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token1] = ACTIONS(3043),
    [aux_sym_use_statement_token2] = ACTIONS(3043),
    [aux_sym_implicit_statement_token1] = ACTIONS(3043),
    [aux_sym_implicit_statement_token3] = ACTIONS(3043),
    [aux_sym_implicit_statement_token4] = ACTIONS(3043),
    [aux_sym_save_statement_token1] = ACTIONS(3043),
    [aux_sym_private_statement_token1] = ACTIONS(3043),
    [aux_sym_public_statement_token1] = ACTIONS(3043),
    [aux_sym_namelist_statement_token1] = ACTIONS(3043),
    [aux_sym_common_statement_token1] = ACTIONS(3043),
    [aux_sym_import_statement_token1] = ACTIONS(3043),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3043),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3043),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3043),
    [aux_sym_variable_attributes_token1] = ACTIONS(3043),
    [aux_sym_variable_attributes_token2] = ACTIONS(3043),
    [aux_sym_variable_attributes_token3] = ACTIONS(3043),
    [aux_sym_variable_attributes_token4] = ACTIONS(3043),
    [aux_sym_variable_attributes_token5] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3043),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3043),
    [aux_sym_derived_type_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3043),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3043),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token1] = ACTIONS(3043),
    [aux_sym_stop_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token2] = ACTIONS(3043),
    [aux_sym_keyword_statement_token3] = ACTIONS(3043),
    [aux_sym_include_statement_token1] = ACTIONS(3043),
    [aux_sym_data_statement_token1] = ACTIONS(3043),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3043),
    [aux_sym_end_if_statement_token1] = ACTIONS(3043),
    [aux_sym_elseif_clause_token2] = ACTIONS(3043),
    [aux_sym_select_case_statement_token1] = ACTIONS(3043),
    [aux_sym_block_construct_token1] = ACTIONS(3043),
    [aux_sym_format_statement_token1] = ACTIONS(3043),
    [aux_sym_inquire_statement_token1] = ACTIONS(3043),
    [aux_sym_enum_statement_token1] = ACTIONS(3043),
    [aux_sym_null_literal_token1] = ACTIONS(3043),
    [aux_sym_identifier_token1] = ACTIONS(3043),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3045),
  },
  [1493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2477),
    [aux_sym_preproc_def_token1] = ACTIONS(2477),
    [aux_sym_preproc_if_token2] = ACTIONS(2477),
    [sym_preproc_directive] = ACTIONS(2477),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2477),
    [aux_sym_interface_statement_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2477),
    [aux_sym_contains_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token1] = ACTIONS(2477),
    [aux_sym_use_statement_token2] = ACTIONS(2477),
    [aux_sym_implicit_statement_token1] = ACTIONS(2477),
    [aux_sym_implicit_statement_token3] = ACTIONS(2477),
    [aux_sym_implicit_statement_token4] = ACTIONS(2477),
    [aux_sym_save_statement_token1] = ACTIONS(2477),
    [aux_sym_private_statement_token1] = ACTIONS(2477),
    [aux_sym_public_statement_token1] = ACTIONS(2477),
    [aux_sym_namelist_statement_token1] = ACTIONS(2477),
    [aux_sym_common_statement_token1] = ACTIONS(2477),
    [aux_sym_import_statement_token1] = ACTIONS(2477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2477),
    [aux_sym_variable_attributes_token1] = ACTIONS(2477),
    [aux_sym_variable_attributes_token2] = ACTIONS(2477),
    [aux_sym_variable_attributes_token3] = ACTIONS(2477),
    [aux_sym_variable_attributes_token4] = ACTIONS(2477),
    [aux_sym_variable_attributes_token5] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2477),
    [aux_sym_derived_type_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token1] = ACTIONS(2477),
    [aux_sym_stop_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token2] = ACTIONS(2477),
    [aux_sym_keyword_statement_token3] = ACTIONS(2477),
    [aux_sym_include_statement_token1] = ACTIONS(2477),
    [aux_sym_data_statement_token1] = ACTIONS(2477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2477),
    [aux_sym_end_if_statement_token1] = ACTIONS(2477),
    [aux_sym_elseif_clause_token2] = ACTIONS(2477),
    [aux_sym_select_case_statement_token1] = ACTIONS(2477),
    [aux_sym_block_construct_token1] = ACTIONS(2477),
    [aux_sym_format_statement_token1] = ACTIONS(2477),
    [aux_sym_inquire_statement_token1] = ACTIONS(2477),
    [aux_sym_enum_statement_token1] = ACTIONS(2477),
    [aux_sym_null_literal_token1] = ACTIONS(2477),
    [aux_sym_identifier_token1] = ACTIONS(2477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2479),
  },
  [1494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3021),
    [sym_preproc_directive] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3021),
    [aux_sym_interface_statement_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3021),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3021),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3021),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3021),
    [aux_sym_contains_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token1] = ACTIONS(3021),
    [aux_sym_use_statement_token2] = ACTIONS(3021),
    [aux_sym_implicit_statement_token1] = ACTIONS(3021),
    [aux_sym_implicit_statement_token3] = ACTIONS(3021),
    [aux_sym_implicit_statement_token4] = ACTIONS(3021),
    [aux_sym_save_statement_token1] = ACTIONS(3021),
    [aux_sym_private_statement_token1] = ACTIONS(3021),
    [aux_sym_public_statement_token1] = ACTIONS(3021),
    [aux_sym_namelist_statement_token1] = ACTIONS(3021),
    [aux_sym_common_statement_token1] = ACTIONS(3021),
    [aux_sym_import_statement_token1] = ACTIONS(3021),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3021),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3021),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3021),
    [aux_sym_variable_attributes_token1] = ACTIONS(3021),
    [aux_sym_variable_attributes_token2] = ACTIONS(3021),
    [aux_sym_variable_attributes_token3] = ACTIONS(3021),
    [aux_sym_variable_attributes_token4] = ACTIONS(3021),
    [aux_sym_variable_attributes_token5] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3021),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3021),
    [aux_sym_derived_type_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3021),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3021),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token1] = ACTIONS(3021),
    [aux_sym_stop_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token2] = ACTIONS(3021),
    [aux_sym_keyword_statement_token3] = ACTIONS(3021),
    [aux_sym_include_statement_token1] = ACTIONS(3021),
    [aux_sym_data_statement_token1] = ACTIONS(3021),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3021),
    [aux_sym_end_if_statement_token1] = ACTIONS(3021),
    [aux_sym_elseif_clause_token2] = ACTIONS(3021),
    [aux_sym_select_case_statement_token1] = ACTIONS(3021),
    [aux_sym_block_construct_token1] = ACTIONS(3021),
    [aux_sym_format_statement_token1] = ACTIONS(3021),
    [aux_sym_inquire_statement_token1] = ACTIONS(3021),
    [aux_sym_enum_statement_token1] = ACTIONS(3021),
    [aux_sym_null_literal_token1] = ACTIONS(3021),
    [aux_sym_identifier_token1] = ACTIONS(3021),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3023),
  },
  [1495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3055),
    [aux_sym_interface_statement_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3055),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3055),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3055),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3055),
    [aux_sym_contains_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token1] = ACTIONS(3055),
    [aux_sym_use_statement_token2] = ACTIONS(3055),
    [aux_sym_implicit_statement_token1] = ACTIONS(3055),
    [aux_sym_implicit_statement_token3] = ACTIONS(3055),
    [aux_sym_implicit_statement_token4] = ACTIONS(3055),
    [aux_sym_save_statement_token1] = ACTIONS(3055),
    [aux_sym_private_statement_token1] = ACTIONS(3055),
    [aux_sym_public_statement_token1] = ACTIONS(3055),
    [aux_sym_namelist_statement_token1] = ACTIONS(3055),
    [aux_sym_common_statement_token1] = ACTIONS(3055),
    [aux_sym_import_statement_token1] = ACTIONS(3055),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3055),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3055),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3055),
    [aux_sym_variable_attributes_token1] = ACTIONS(3055),
    [aux_sym_variable_attributes_token2] = ACTIONS(3055),
    [aux_sym_variable_attributes_token3] = ACTIONS(3055),
    [aux_sym_variable_attributes_token4] = ACTIONS(3055),
    [aux_sym_variable_attributes_token5] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3055),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3055),
    [aux_sym_derived_type_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3055),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3055),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token1] = ACTIONS(3055),
    [aux_sym_stop_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token2] = ACTIONS(3055),
    [aux_sym_keyword_statement_token3] = ACTIONS(3055),
    [aux_sym_include_statement_token1] = ACTIONS(3055),
    [aux_sym_data_statement_token1] = ACTIONS(3055),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3055),
    [aux_sym_end_if_statement_token1] = ACTIONS(3055),
    [aux_sym_elseif_clause_token2] = ACTIONS(3055),
    [aux_sym_select_case_statement_token1] = ACTIONS(3055),
    [aux_sym_block_construct_token1] = ACTIONS(3055),
    [aux_sym_format_statement_token1] = ACTIONS(3055),
    [aux_sym_inquire_statement_token1] = ACTIONS(3055),
    [aux_sym_enum_statement_token1] = ACTIONS(3055),
    [aux_sym_null_literal_token1] = ACTIONS(3055),
    [aux_sym_identifier_token1] = ACTIONS(3055),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3057),
  },
  [1496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_interface_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token1] = ACTIONS(2433),
    [aux_sym_use_statement_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token1] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym_implicit_statement_token4] = ACTIONS(2433),
    [aux_sym_save_statement_token1] = ACTIONS(2433),
    [aux_sym_private_statement_token1] = ACTIONS(2433),
    [aux_sym_public_statement_token1] = ACTIONS(2433),
    [aux_sym_namelist_statement_token1] = ACTIONS(2433),
    [aux_sym_common_statement_token1] = ACTIONS(2433),
    [aux_sym_import_statement_token1] = ACTIONS(2433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2433),
    [aux_sym_variable_attributes_token1] = ACTIONS(2433),
    [aux_sym_variable_attributes_token2] = ACTIONS(2433),
    [aux_sym_variable_attributes_token3] = ACTIONS(2433),
    [aux_sym_variable_attributes_token4] = ACTIONS(2433),
    [aux_sym_variable_attributes_token5] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_enum_statement_token1] = ACTIONS(2433),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
  },
  [1497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_interface_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token1] = ACTIONS(2417),
    [aux_sym_use_statement_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token1] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym_implicit_statement_token4] = ACTIONS(2417),
    [aux_sym_save_statement_token1] = ACTIONS(2417),
    [aux_sym_private_statement_token1] = ACTIONS(2417),
    [aux_sym_public_statement_token1] = ACTIONS(2417),
    [aux_sym_namelist_statement_token1] = ACTIONS(2417),
    [aux_sym_common_statement_token1] = ACTIONS(2417),
    [aux_sym_import_statement_token1] = ACTIONS(2417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2417),
    [aux_sym_variable_attributes_token1] = ACTIONS(2417),
    [aux_sym_variable_attributes_token2] = ACTIONS(2417),
    [aux_sym_variable_attributes_token3] = ACTIONS(2417),
    [aux_sym_variable_attributes_token4] = ACTIONS(2417),
    [aux_sym_variable_attributes_token5] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_enum_statement_token1] = ACTIONS(2417),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
  },
  [1498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3017),
    [aux_sym_interface_statement_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3017),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3017),
    [aux_sym_contains_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token1] = ACTIONS(3017),
    [aux_sym_use_statement_token2] = ACTIONS(3017),
    [aux_sym_implicit_statement_token1] = ACTIONS(3017),
    [aux_sym_implicit_statement_token3] = ACTIONS(3017),
    [aux_sym_implicit_statement_token4] = ACTIONS(3017),
    [aux_sym_save_statement_token1] = ACTIONS(3017),
    [aux_sym_private_statement_token1] = ACTIONS(3017),
    [aux_sym_public_statement_token1] = ACTIONS(3017),
    [aux_sym_namelist_statement_token1] = ACTIONS(3017),
    [aux_sym_common_statement_token1] = ACTIONS(3017),
    [aux_sym_import_statement_token1] = ACTIONS(3017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3017),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3017),
    [aux_sym_variable_attributes_token1] = ACTIONS(3017),
    [aux_sym_variable_attributes_token2] = ACTIONS(3017),
    [aux_sym_variable_attributes_token3] = ACTIONS(3017),
    [aux_sym_variable_attributes_token4] = ACTIONS(3017),
    [aux_sym_variable_attributes_token5] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3017),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3017),
    [aux_sym_derived_type_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3017),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token1] = ACTIONS(3017),
    [aux_sym_stop_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token2] = ACTIONS(3017),
    [aux_sym_keyword_statement_token3] = ACTIONS(3017),
    [aux_sym_include_statement_token1] = ACTIONS(3017),
    [aux_sym_data_statement_token1] = ACTIONS(3017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3017),
    [aux_sym_end_if_statement_token1] = ACTIONS(3017),
    [aux_sym_elseif_clause_token2] = ACTIONS(3017),
    [aux_sym_select_case_statement_token1] = ACTIONS(3017),
    [aux_sym_block_construct_token1] = ACTIONS(3017),
    [aux_sym_format_statement_token1] = ACTIONS(3017),
    [aux_sym_inquire_statement_token1] = ACTIONS(3017),
    [aux_sym_enum_statement_token1] = ACTIONS(3017),
    [aux_sym_null_literal_token1] = ACTIONS(3017),
    [aux_sym_identifier_token1] = ACTIONS(3017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3019),
  },
  [1499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_interface_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token1] = ACTIONS(2441),
    [aux_sym_use_statement_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token1] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym_implicit_statement_token4] = ACTIONS(2441),
    [aux_sym_save_statement_token1] = ACTIONS(2441),
    [aux_sym_private_statement_token1] = ACTIONS(2441),
    [aux_sym_public_statement_token1] = ACTIONS(2441),
    [aux_sym_namelist_statement_token1] = ACTIONS(2441),
    [aux_sym_common_statement_token1] = ACTIONS(2441),
    [aux_sym_import_statement_token1] = ACTIONS(2441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2441),
    [aux_sym_variable_attributes_token1] = ACTIONS(2441),
    [aux_sym_variable_attributes_token2] = ACTIONS(2441),
    [aux_sym_variable_attributes_token3] = ACTIONS(2441),
    [aux_sym_variable_attributes_token4] = ACTIONS(2441),
    [aux_sym_variable_attributes_token5] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_enum_statement_token1] = ACTIONS(2441),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
  },
  [1500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_interface_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token1] = ACTIONS(2453),
    [aux_sym_use_statement_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token1] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(2453),
    [aux_sym_save_statement_token1] = ACTIONS(2453),
    [aux_sym_private_statement_token1] = ACTIONS(2453),
    [aux_sym_public_statement_token1] = ACTIONS(2453),
    [aux_sym_namelist_statement_token1] = ACTIONS(2453),
    [aux_sym_common_statement_token1] = ACTIONS(2453),
    [aux_sym_import_statement_token1] = ACTIONS(2453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2453),
    [aux_sym_variable_attributes_token1] = ACTIONS(2453),
    [aux_sym_variable_attributes_token2] = ACTIONS(2453),
    [aux_sym_variable_attributes_token3] = ACTIONS(2453),
    [aux_sym_variable_attributes_token4] = ACTIONS(2453),
    [aux_sym_variable_attributes_token5] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_enum_statement_token1] = ACTIONS(2453),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
  },
  [1501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2473),
    [aux_sym_preproc_def_token1] = ACTIONS(2473),
    [aux_sym_preproc_if_token2] = ACTIONS(2473),
    [sym_preproc_directive] = ACTIONS(2473),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2473),
    [aux_sym_interface_statement_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2473),
    [aux_sym_contains_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token1] = ACTIONS(2473),
    [aux_sym_use_statement_token2] = ACTIONS(2473),
    [aux_sym_implicit_statement_token1] = ACTIONS(2473),
    [aux_sym_implicit_statement_token3] = ACTIONS(2473),
    [aux_sym_implicit_statement_token4] = ACTIONS(2473),
    [aux_sym_save_statement_token1] = ACTIONS(2473),
    [aux_sym_private_statement_token1] = ACTIONS(2473),
    [aux_sym_public_statement_token1] = ACTIONS(2473),
    [aux_sym_namelist_statement_token1] = ACTIONS(2473),
    [aux_sym_common_statement_token1] = ACTIONS(2473),
    [aux_sym_import_statement_token1] = ACTIONS(2473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2473),
    [aux_sym_variable_attributes_token1] = ACTIONS(2473),
    [aux_sym_variable_attributes_token2] = ACTIONS(2473),
    [aux_sym_variable_attributes_token3] = ACTIONS(2473),
    [aux_sym_variable_attributes_token4] = ACTIONS(2473),
    [aux_sym_variable_attributes_token5] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2473),
    [aux_sym_derived_type_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token1] = ACTIONS(2473),
    [aux_sym_stop_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token2] = ACTIONS(2473),
    [aux_sym_keyword_statement_token3] = ACTIONS(2473),
    [aux_sym_include_statement_token1] = ACTIONS(2473),
    [aux_sym_data_statement_token1] = ACTIONS(2473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2473),
    [aux_sym_end_if_statement_token1] = ACTIONS(2473),
    [aux_sym_elseif_clause_token2] = ACTIONS(2473),
    [aux_sym_select_case_statement_token1] = ACTIONS(2473),
    [aux_sym_block_construct_token1] = ACTIONS(2473),
    [aux_sym_format_statement_token1] = ACTIONS(2473),
    [aux_sym_inquire_statement_token1] = ACTIONS(2473),
    [aux_sym_enum_statement_token1] = ACTIONS(2473),
    [aux_sym_null_literal_token1] = ACTIONS(2473),
    [aux_sym_identifier_token1] = ACTIONS(2473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2475),
  },
  [1502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3073),
    [aux_sym_interface_statement_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3073),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3073),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3073),
    [aux_sym_contains_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token1] = ACTIONS(3073),
    [aux_sym_use_statement_token2] = ACTIONS(3073),
    [aux_sym_implicit_statement_token1] = ACTIONS(3073),
    [aux_sym_implicit_statement_token3] = ACTIONS(3073),
    [aux_sym_implicit_statement_token4] = ACTIONS(3073),
    [aux_sym_save_statement_token1] = ACTIONS(3073),
    [aux_sym_private_statement_token1] = ACTIONS(3073),
    [aux_sym_public_statement_token1] = ACTIONS(3073),
    [aux_sym_namelist_statement_token1] = ACTIONS(3073),
    [aux_sym_common_statement_token1] = ACTIONS(3073),
    [aux_sym_import_statement_token1] = ACTIONS(3073),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3073),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3073),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3073),
    [aux_sym_variable_attributes_token1] = ACTIONS(3073),
    [aux_sym_variable_attributes_token2] = ACTIONS(3073),
    [aux_sym_variable_attributes_token3] = ACTIONS(3073),
    [aux_sym_variable_attributes_token4] = ACTIONS(3073),
    [aux_sym_variable_attributes_token5] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3073),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3073),
    [aux_sym_derived_type_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3073),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3073),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token1] = ACTIONS(3073),
    [aux_sym_stop_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token2] = ACTIONS(3073),
    [aux_sym_keyword_statement_token3] = ACTIONS(3073),
    [aux_sym_include_statement_token1] = ACTIONS(3073),
    [aux_sym_data_statement_token1] = ACTIONS(3073),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3073),
    [aux_sym_end_if_statement_token1] = ACTIONS(3073),
    [aux_sym_elseif_clause_token2] = ACTIONS(3073),
    [aux_sym_select_case_statement_token1] = ACTIONS(3073),
    [aux_sym_block_construct_token1] = ACTIONS(3073),
    [aux_sym_format_statement_token1] = ACTIONS(3073),
    [aux_sym_inquire_statement_token1] = ACTIONS(3073),
    [aux_sym_enum_statement_token1] = ACTIONS(3073),
    [aux_sym_null_literal_token1] = ACTIONS(3073),
    [aux_sym_identifier_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3075),
  },
  [1503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_interface_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token1] = ACTIONS(2461),
    [aux_sym_use_statement_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token1] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym_implicit_statement_token4] = ACTIONS(2461),
    [aux_sym_save_statement_token1] = ACTIONS(2461),
    [aux_sym_private_statement_token1] = ACTIONS(2461),
    [aux_sym_public_statement_token1] = ACTIONS(2461),
    [aux_sym_namelist_statement_token1] = ACTIONS(2461),
    [aux_sym_common_statement_token1] = ACTIONS(2461),
    [aux_sym_import_statement_token1] = ACTIONS(2461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2461),
    [aux_sym_variable_attributes_token1] = ACTIONS(2461),
    [aux_sym_variable_attributes_token2] = ACTIONS(2461),
    [aux_sym_variable_attributes_token3] = ACTIONS(2461),
    [aux_sym_variable_attributes_token4] = ACTIONS(2461),
    [aux_sym_variable_attributes_token5] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_enum_statement_token1] = ACTIONS(2461),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
  },
  [1504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3085),
    [aux_sym_interface_statement_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3085),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3085),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3085),
    [aux_sym_contains_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token1] = ACTIONS(3085),
    [aux_sym_use_statement_token2] = ACTIONS(3085),
    [aux_sym_implicit_statement_token1] = ACTIONS(3085),
    [aux_sym_implicit_statement_token3] = ACTIONS(3085),
    [aux_sym_implicit_statement_token4] = ACTIONS(3085),
    [aux_sym_save_statement_token1] = ACTIONS(3085),
    [aux_sym_private_statement_token1] = ACTIONS(3085),
    [aux_sym_public_statement_token1] = ACTIONS(3085),
    [aux_sym_namelist_statement_token1] = ACTIONS(3085),
    [aux_sym_common_statement_token1] = ACTIONS(3085),
    [aux_sym_import_statement_token1] = ACTIONS(3085),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3085),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3085),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3085),
    [aux_sym_variable_attributes_token1] = ACTIONS(3085),
    [aux_sym_variable_attributes_token2] = ACTIONS(3085),
    [aux_sym_variable_attributes_token3] = ACTIONS(3085),
    [aux_sym_variable_attributes_token4] = ACTIONS(3085),
    [aux_sym_variable_attributes_token5] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3085),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3085),
    [aux_sym_derived_type_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3085),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3085),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token1] = ACTIONS(3085),
    [aux_sym_stop_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token2] = ACTIONS(3085),
    [aux_sym_keyword_statement_token3] = ACTIONS(3085),
    [aux_sym_include_statement_token1] = ACTIONS(3085),
    [aux_sym_data_statement_token1] = ACTIONS(3085),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3085),
    [aux_sym_end_if_statement_token1] = ACTIONS(3085),
    [aux_sym_elseif_clause_token2] = ACTIONS(3085),
    [aux_sym_select_case_statement_token1] = ACTIONS(3085),
    [aux_sym_block_construct_token1] = ACTIONS(3085),
    [aux_sym_format_statement_token1] = ACTIONS(3085),
    [aux_sym_inquire_statement_token1] = ACTIONS(3085),
    [aux_sym_enum_statement_token1] = ACTIONS(3085),
    [aux_sym_null_literal_token1] = ACTIONS(3085),
    [aux_sym_identifier_token1] = ACTIONS(3085),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3087),
  },
  [1505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2997),
    [aux_sym_interface_statement_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2997),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2997),
    [aux_sym_contains_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token1] = ACTIONS(2997),
    [aux_sym_use_statement_token2] = ACTIONS(2997),
    [aux_sym_implicit_statement_token1] = ACTIONS(2997),
    [aux_sym_implicit_statement_token3] = ACTIONS(2997),
    [aux_sym_implicit_statement_token4] = ACTIONS(2997),
    [aux_sym_save_statement_token1] = ACTIONS(2997),
    [aux_sym_private_statement_token1] = ACTIONS(2997),
    [aux_sym_public_statement_token1] = ACTIONS(2997),
    [aux_sym_namelist_statement_token1] = ACTIONS(2997),
    [aux_sym_common_statement_token1] = ACTIONS(2997),
    [aux_sym_import_statement_token1] = ACTIONS(2997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2997),
    [aux_sym_abstract_specifier_token1] = ACTIONS(2997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2997),
    [aux_sym_variable_attributes_token1] = ACTIONS(2997),
    [aux_sym_variable_attributes_token2] = ACTIONS(2997),
    [aux_sym_variable_attributes_token3] = ACTIONS(2997),
    [aux_sym_variable_attributes_token4] = ACTIONS(2997),
    [aux_sym_variable_attributes_token5] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2997),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2997),
    [aux_sym_derived_type_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2997),
    [aux_sym_equivalence_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token1] = ACTIONS(2997),
    [aux_sym_stop_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token2] = ACTIONS(2997),
    [aux_sym_keyword_statement_token3] = ACTIONS(2997),
    [aux_sym_include_statement_token1] = ACTIONS(2997),
    [aux_sym_data_statement_token1] = ACTIONS(2997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2997),
    [aux_sym_end_if_statement_token1] = ACTIONS(2997),
    [aux_sym_elseif_clause_token2] = ACTIONS(2997),
    [aux_sym_select_case_statement_token1] = ACTIONS(2997),
    [aux_sym_block_construct_token1] = ACTIONS(2997),
    [aux_sym_format_statement_token1] = ACTIONS(2997),
    [aux_sym_inquire_statement_token1] = ACTIONS(2997),
    [aux_sym_enum_statement_token1] = ACTIONS(2997),
    [aux_sym_null_literal_token1] = ACTIONS(2997),
    [aux_sym_identifier_token1] = ACTIONS(2997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2999),
  },
  [1506] = {
    [sym__intrinsic_type] = STATE(4143),
    [sym_intrinsic_type] = STATE(5135),
    [sym_derived_type] = STATE(5135),
    [sym__expression] = STATE(2475),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1974),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym__type_spec] = STATE(1810),
    [sym__ac_value_list] = STATE(5257),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2110),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3691),
    [anon_sym_DASH] = ACTIONS(3691),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_implicit_statement_token3] = ACTIONS(3693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3697),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1507] = {
    [sym__intrinsic_type] = STATE(4143),
    [sym_intrinsic_type] = STATE(5135),
    [sym_derived_type] = STATE(5135),
    [sym__expression] = STATE(2475),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1974),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym__type_spec] = STATE(1810),
    [sym__ac_value_list] = STATE(5139),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2110),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3691),
    [anon_sym_DASH] = ACTIONS(3691),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_implicit_statement_token3] = ACTIONS(3693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3697),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1508] = {
    [sym__intrinsic_type] = STATE(4143),
    [sym_intrinsic_type] = STATE(5135),
    [sym_derived_type] = STATE(5135),
    [sym__expression] = STATE(2475),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1974),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym__type_spec] = STATE(1810),
    [sym__ac_value_list] = STATE(5142),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2110),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3691),
    [anon_sym_DASH] = ACTIONS(3691),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_implicit_statement_token3] = ACTIONS(3693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3697),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1509] = {
    [anon_sym_COMMA] = ACTIONS(3701),
    [anon_sym_RPAREN] = ACTIONS(3703),
    [anon_sym_LPAREN2] = ACTIONS(3703),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(3706),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2353),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(3709),
    [aux_sym_module_statement_token1] = ACTIONS(3709),
    [anon_sym_COLON] = ACTIONS(2351),
    [anon_sym_EQ] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3709),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3709),
    [aux_sym_subroutine_statement_token1] = ACTIONS(3709),
    [aux_sym_function_statement_token1] = ACTIONS(3709),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3709),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_EQ_GT] = ACTIONS(2353),
    [aux_sym_implicit_statement_token3] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3709),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3709),
    [aux_sym_derived_type_token1] = ACTIONS(3709),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3709),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3709),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(3709),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(3709),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(3709),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(3709),
    [aux_sym_stop_statement_token1] = ACTIONS(3709),
    [aux_sym_stop_statement_token2] = ACTIONS(3709),
    [aux_sym_keyword_statement_token2] = ACTIONS(3709),
    [aux_sym_keyword_statement_token3] = ACTIONS(3709),
    [aux_sym_data_statement_token1] = ACTIONS(3709),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3709),
    [aux_sym_end_if_statement_token1] = ACTIONS(3709),
    [aux_sym_elseif_clause_token2] = ACTIONS(3709),
    [aux_sym_select_case_statement_token1] = ACTIONS(3709),
    [aux_sym_block_construct_token1] = ACTIONS(3709),
    [aux_sym_format_statement_token1] = ACTIONS(3709),
    [aux_sym_inquire_statement_token1] = ACTIONS(3709),
    [aux_sym_logical_expression_token1] = ACTIONS(2353),
    [aux_sym_logical_expression_token2] = ACTIONS(2353),
    [aux_sym_logical_expression_token3] = ACTIONS(2353),
    [aux_sym_logical_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token1] = ACTIONS(2353),
    [aux_sym_relational_expression_token2] = ACTIONS(2353),
    [aux_sym_relational_expression_token3] = ACTIONS(2353),
    [aux_sym_relational_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token5] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [aux_sym_relational_expression_token6] = ACTIONS(2353),
    [anon_sym_SLASH_SLASH] = ACTIONS(2353),
    [anon_sym_STAR_STAR] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [aux_sym_null_literal_token1] = ACTIONS(3709),
    [aux_sym_identifier_token1] = ACTIONS(3709),
    [sym_comment] = ACTIONS(21),
  },
  [1510] = {
    [sym__intrinsic_type] = STATE(4143),
    [sym_intrinsic_type] = STATE(5135),
    [sym_derived_type] = STATE(5135),
    [sym__expression] = STATE(2475),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1974),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym__type_spec] = STATE(1810),
    [sym__ac_value_list] = STATE(5260),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2110),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3691),
    [anon_sym_DASH] = ACTIONS(3691),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym_implicit_statement_token3] = ACTIONS(3693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token2] = ACTIONS(73),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3695),
    [aux_sym__intrinsic_type_token4] = ACTIONS(75),
    [aux_sym__intrinsic_type_token6] = ACTIONS(73),
    [aux_sym__intrinsic_type_token7] = ACTIONS(73),
    [aux_sym__intrinsic_type_token8] = ACTIONS(77),
    [aux_sym__intrinsic_type_token9] = ACTIONS(73),
    [aux_sym__intrinsic_type_token10] = ACTIONS(73),
    [aux_sym_derived_type_token1] = ACTIONS(79),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3697),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1511] = {
    [anon_sym_COMMA] = ACTIONS(2353),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [aux_sym_preproc_if_token2] = ACTIONS(2353),
    [aux_sym_preproc_else_token1] = ACTIONS(2353),
    [aux_sym_preproc_elif_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2353),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2353),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [sym_preproc_comment] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2353),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2351),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_module_statement_token1] = ACTIONS(2353),
    [anon_sym_COLON] = ACTIONS(2353),
    [aux_sym_end_interface_statement_token1] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2351),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2353),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2353),
    [aux_sym_function_statement_token1] = ACTIONS(2353),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2353),
    [anon_sym_EQ_GT] = ACTIONS(2353),
    [aux_sym_implicit_statement_token3] = ACTIONS(2353),
    [aux_sym_import_statement_token1] = ACTIONS(2353),
    [aux_sym__procedure_kind_token1] = ACTIONS(2353),
    [aux_sym__procedure_kind_token2] = ACTIONS(2353),
    [aux_sym__procedure_kind_token3] = ACTIONS(2353),
    [aux_sym__procedure_kind_token4] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2353),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2353),
    [aux_sym_derived_type_token1] = ACTIONS(2353),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2353),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2353),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2353),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2353),
    [anon_sym_GT_GT_GT] = ACTIONS(2353),
    [aux_sym_logical_expression_token1] = ACTIONS(2353),
    [aux_sym_logical_expression_token2] = ACTIONS(2353),
    [aux_sym_logical_expression_token3] = ACTIONS(2353),
    [aux_sym_logical_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token1] = ACTIONS(2353),
    [aux_sym_relational_expression_token2] = ACTIONS(2353),
    [aux_sym_relational_expression_token3] = ACTIONS(2353),
    [aux_sym_relational_expression_token4] = ACTIONS(2353),
    [aux_sym_relational_expression_token5] = ACTIONS(2353),
    [anon_sym_SLASH_EQ] = ACTIONS(2353),
    [aux_sym_relational_expression_token6] = ACTIONS(2353),
    [anon_sym_SLASH_SLASH] = ACTIONS(2353),
    [anon_sym_STAR_STAR] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_SLASH_RPAREN] = ACTIONS(2353),
    [anon_sym_RBRACK] = ACTIONS(2353),
    [sym_comment] = ACTIONS(21),
  },
  [1512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2301),
    [aux_sym_preproc_def_token1] = ACTIONS(2301),
    [aux_sym_preproc_if_token2] = ACTIONS(2301),
    [aux_sym_preproc_else_token1] = ACTIONS(2301),
    [aux_sym_preproc_elif_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2301),
    [sym_preproc_directive] = ACTIONS(2301),
    [anon_sym_LPAREN2] = ACTIONS(2301),
    [sym_preproc_comment] = ACTIONS(2303),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2301),
    [aux_sym_contains_statement_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2301),
    [aux_sym_stop_statement_token1] = ACTIONS(2301),
    [aux_sym_stop_statement_token2] = ACTIONS(2301),
    [aux_sym_subroutine_call_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token1] = ACTIONS(2301),
    [aux_sym_keyword_statement_token2] = ACTIONS(2301),
    [aux_sym_keyword_statement_token3] = ACTIONS(2301),
    [aux_sym_keyword_statement_token4] = ACTIONS(2301),
    [aux_sym_keyword_statement_token6] = ACTIONS(2301),
    [aux_sym_keyword_statement_token7] = ACTIONS(2301),
    [aux_sym_include_statement_token1] = ACTIONS(2301),
    [aux_sym_data_statement_token1] = ACTIONS(2301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2301),
    [aux_sym_end_if_statement_token1] = ACTIONS(2301),
    [aux_sym_elseif_clause_token2] = ACTIONS(2301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token1] = ACTIONS(2301),
    [aux_sym_select_case_statement_token3] = ACTIONS(2301),
    [aux_sym_select_type_statement_token1] = ACTIONS(2301),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2301),
    [aux_sym_block_construct_token1] = ACTIONS(2301),
    [aux_sym_associate_statement_token1] = ACTIONS(2301),
    [aux_sym_format_statement_token1] = ACTIONS(2301),
    [aux_sym_print_statement_token1] = ACTIONS(2301),
    [aux_sym_open_statement_token1] = ACTIONS(2301),
    [aux_sym_close_statement_token1] = ACTIONS(2301),
    [aux_sym_inquire_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token1] = ACTIONS(2301),
    [aux_sym_file_position_statement_token2] = ACTIONS(2301),
    [aux_sym_file_position_statement_token3] = ACTIONS(2301),
    [aux_sym_file_position_statement_token4] = ACTIONS(2301),
    [aux_sym_logical_expression_token5] = ACTIONS(2303),
    [anon_sym_DOT] = ACTIONS(2301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(2303),
    [aux_sym_boolean_literal_token1] = ACTIONS(2303),
    [aux_sym_boolean_literal_token2] = ACTIONS(2303),
    [aux_sym_null_literal_token1] = ACTIONS(2301),
    [aux_sym_identifier_token1] = ACTIONS(2301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2303),
    [sym__float_literal] = ACTIONS(2303),
    [sym__boz_literal] = ACTIONS(2303),
    [sym__string_literal] = ACTIONS(2303),
    [sym__string_literal_kind] = ACTIONS(2303),
  },
  [1513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(1562),
    [aux_sym_preproc_def_token1] = ACTIONS(1562),
    [aux_sym_preproc_if_token2] = ACTIONS(1562),
    [aux_sym_preproc_else_token1] = ACTIONS(1562),
    [aux_sym_preproc_elif_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1562),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(3711),
    [anon_sym_DASH] = ACTIONS(3711),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1562),
    [aux_sym_end_program_statement_token2] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1562),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1562),
    [aux_sym_stop_statement_token1] = ACTIONS(1562),
    [aux_sym_stop_statement_token2] = ACTIONS(1562),
    [aux_sym_subroutine_call_token1] = ACTIONS(1562),
    [aux_sym_keyword_statement_token1] = ACTIONS(1562),
    [aux_sym_keyword_statement_token2] = ACTIONS(1562),
    [aux_sym_keyword_statement_token3] = ACTIONS(1562),
    [aux_sym_keyword_statement_token4] = ACTIONS(1562),
    [aux_sym_keyword_statement_token6] = ACTIONS(1562),
    [aux_sym_keyword_statement_token7] = ACTIONS(1562),
    [aux_sym_include_statement_token1] = ACTIONS(1562),
    [aux_sym_data_statement_token1] = ACTIONS(1562),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1562),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1562),
    [aux_sym_end_if_statement_token1] = ACTIONS(1562),
    [aux_sym_elseif_clause_token2] = ACTIONS(1562),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1562),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token3] = ACTIONS(1562),
    [aux_sym_select_type_statement_token1] = ACTIONS(1562),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1562),
    [aux_sym_block_construct_token1] = ACTIONS(1562),
    [aux_sym_associate_statement_token1] = ACTIONS(1562),
    [aux_sym_format_statement_token1] = ACTIONS(1562),
    [aux_sym_print_statement_token1] = ACTIONS(1562),
    [aux_sym_open_statement_token1] = ACTIONS(1562),
    [aux_sym_close_statement_token1] = ACTIONS(1562),
    [aux_sym_inquire_statement_token1] = ACTIONS(1562),
    [aux_sym_file_position_statement_token1] = ACTIONS(1562),
    [aux_sym_file_position_statement_token2] = ACTIONS(1562),
    [aux_sym_file_position_statement_token3] = ACTIONS(1562),
    [aux_sym_file_position_statement_token4] = ACTIONS(1562),
    [aux_sym_logical_expression_token5] = ACTIONS(3711),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3711),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [aux_sym_boolean_literal_token1] = ACTIONS(3711),
    [aux_sym_boolean_literal_token2] = ACTIONS(3711),
    [aux_sym_null_literal_token1] = ACTIONS(1562),
    [aux_sym_identifier_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3711),
    [sym__float_literal] = ACTIONS(3711),
    [sym__boz_literal] = ACTIONS(3711),
    [sym__string_literal] = ACTIONS(3711),
    [sym__string_literal_kind] = ACTIONS(3711),
  },
  [1514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [aux_sym_preproc_else_token1] = ACTIONS(2457),
    [aux_sym_preproc_elif_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_end_program_statement_token2] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1515] = {
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_RPAREN] = ACTIONS(2387),
    [aux_sym_preproc_if_token2] = ACTIONS(2387),
    [aux_sym_preproc_else_token1] = ACTIONS(2387),
    [aux_sym_preproc_elif_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2387),
    [anon_sym_LPAREN2] = ACTIONS(2387),
    [sym_preproc_comment] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(2385),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_module_statement_token1] = ACTIONS(2387),
    [anon_sym_COLON] = ACTIONS(2387),
    [aux_sym_end_interface_statement_token1] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(2385),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2387),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2387),
    [aux_sym_function_statement_token1] = ACTIONS(2387),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2387),
    [anon_sym_EQ_GT] = ACTIONS(2387),
    [aux_sym_implicit_statement_token3] = ACTIONS(2387),
    [aux_sym_import_statement_token1] = ACTIONS(2387),
    [aux_sym__procedure_kind_token1] = ACTIONS(2387),
    [aux_sym__procedure_kind_token2] = ACTIONS(2387),
    [aux_sym__procedure_kind_token3] = ACTIONS(2387),
    [aux_sym__procedure_kind_token4] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2387),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2387),
    [aux_sym_derived_type_token1] = ACTIONS(2387),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2387),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2387),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2387),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2387),
    [anon_sym_GT_GT_GT] = ACTIONS(2387),
    [aux_sym_logical_expression_token1] = ACTIONS(2387),
    [aux_sym_logical_expression_token2] = ACTIONS(2387),
    [aux_sym_logical_expression_token3] = ACTIONS(2387),
    [aux_sym_logical_expression_token4] = ACTIONS(2387),
    [aux_sym_relational_expression_token1] = ACTIONS(2387),
    [aux_sym_relational_expression_token2] = ACTIONS(2387),
    [aux_sym_relational_expression_token3] = ACTIONS(2387),
    [aux_sym_relational_expression_token4] = ACTIONS(2387),
    [aux_sym_relational_expression_token5] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [aux_sym_relational_expression_token6] = ACTIONS(2387),
    [anon_sym_SLASH_SLASH] = ACTIONS(2387),
    [anon_sym_STAR_STAR] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_SLASH_RPAREN] = ACTIONS(2387),
    [anon_sym_RBRACK] = ACTIONS(2387),
    [sym_comment] = ACTIONS(21),
  },
  [1516] = {
    [anon_sym_COMMA] = ACTIONS(2303),
    [anon_sym_RPAREN] = ACTIONS(2303),
    [aux_sym_preproc_if_token2] = ACTIONS(2303),
    [aux_sym_preproc_else_token1] = ACTIONS(2303),
    [aux_sym_preproc_elif_token1] = ACTIONS(2301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2303),
    [anon_sym_LPAREN2] = ACTIONS(2303),
    [sym_preproc_comment] = ACTIONS(2303),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_SLASH] = ACTIONS(2301),
    [anon_sym_PERCENT] = ACTIONS(2303),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2303),
    [anon_sym_GT] = ACTIONS(2301),
    [anon_sym_GT_EQ] = ACTIONS(2303),
    [anon_sym_LT_EQ] = ACTIONS(2303),
    [anon_sym_LT] = ACTIONS(2301),
    [aux_sym_end_program_statement_token1] = ACTIONS(2301),
    [aux_sym_module_statement_token1] = ACTIONS(2303),
    [anon_sym_COLON] = ACTIONS(2303),
    [aux_sym_end_interface_statement_token1] = ACTIONS(2303),
    [anon_sym_EQ] = ACTIONS(2301),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2303),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2303),
    [aux_sym_function_statement_token1] = ACTIONS(2303),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2303),
    [anon_sym_EQ_GT] = ACTIONS(2303),
    [aux_sym_implicit_statement_token3] = ACTIONS(2303),
    [aux_sym_import_statement_token1] = ACTIONS(2303),
    [aux_sym__procedure_kind_token1] = ACTIONS(2303),
    [aux_sym__procedure_kind_token2] = ACTIONS(2303),
    [aux_sym__procedure_kind_token3] = ACTIONS(2303),
    [aux_sym__procedure_kind_token4] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2301),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2303),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2303),
    [aux_sym_derived_type_token1] = ACTIONS(2303),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2303),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2303),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2303),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2303),
    [anon_sym_GT_GT_GT] = ACTIONS(2303),
    [aux_sym_logical_expression_token1] = ACTIONS(2303),
    [aux_sym_logical_expression_token2] = ACTIONS(2303),
    [aux_sym_logical_expression_token3] = ACTIONS(2303),
    [aux_sym_logical_expression_token4] = ACTIONS(2303),
    [aux_sym_relational_expression_token1] = ACTIONS(2303),
    [aux_sym_relational_expression_token2] = ACTIONS(2303),
    [aux_sym_relational_expression_token3] = ACTIONS(2303),
    [aux_sym_relational_expression_token4] = ACTIONS(2303),
    [aux_sym_relational_expression_token5] = ACTIONS(2303),
    [anon_sym_SLASH_EQ] = ACTIONS(2303),
    [aux_sym_relational_expression_token6] = ACTIONS(2303),
    [anon_sym_SLASH_SLASH] = ACTIONS(2303),
    [anon_sym_STAR_STAR] = ACTIONS(2303),
    [anon_sym_DOT] = ACTIONS(2301),
    [anon_sym_SLASH_RPAREN] = ACTIONS(2303),
    [anon_sym_RBRACK] = ACTIONS(2303),
    [sym_comment] = ACTIONS(21),
  },
  [1517] = {
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [aux_sym_preproc_if_token2] = ACTIONS(2391),
    [aux_sym_preproc_else_token1] = ACTIONS(2391),
    [aux_sym_preproc_elif_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2391),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2391),
    [anon_sym_LPAREN2] = ACTIONS(2391),
    [sym_preproc_comment] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2389),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_module_statement_token1] = ACTIONS(2391),
    [anon_sym_COLON] = ACTIONS(2391),
    [aux_sym_end_interface_statement_token1] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2389),
    [aux_sym_subroutine_statement_token1] = ACTIONS(2391),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(2391),
    [aux_sym_function_statement_token1] = ACTIONS(2391),
    [aux_sym_procedure_attributes_token1] = ACTIONS(2391),
    [anon_sym_EQ_GT] = ACTIONS(2391),
    [aux_sym_implicit_statement_token3] = ACTIONS(2391),
    [aux_sym_import_statement_token1] = ACTIONS(2391),
    [aux_sym__procedure_kind_token1] = ACTIONS(2391),
    [aux_sym__procedure_kind_token2] = ACTIONS(2391),
    [aux_sym__procedure_kind_token3] = ACTIONS(2391),
    [aux_sym__procedure_kind_token4] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token2] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token7] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token8] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token9] = ACTIONS(2391),
    [aux_sym__intrinsic_type_token10] = ACTIONS(2391),
    [aux_sym_derived_type_token1] = ACTIONS(2391),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(2391),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(2391),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(2391),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(2391),
    [anon_sym_GT_GT_GT] = ACTIONS(2391),
    [aux_sym_logical_expression_token1] = ACTIONS(2391),
    [aux_sym_logical_expression_token2] = ACTIONS(2391),
    [aux_sym_logical_expression_token3] = ACTIONS(2391),
    [aux_sym_logical_expression_token4] = ACTIONS(2391),
    [aux_sym_relational_expression_token1] = ACTIONS(2391),
    [aux_sym_relational_expression_token2] = ACTIONS(2391),
    [aux_sym_relational_expression_token3] = ACTIONS(2391),
    [aux_sym_relational_expression_token4] = ACTIONS(2391),
    [aux_sym_relational_expression_token5] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [aux_sym_relational_expression_token6] = ACTIONS(2391),
    [anon_sym_SLASH_SLASH] = ACTIONS(2391),
    [anon_sym_STAR_STAR] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_SLASH_RPAREN] = ACTIONS(2391),
    [anon_sym_RBRACK] = ACTIONS(2391),
    [sym_comment] = ACTIONS(21),
  },
  [1518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [aux_sym_preproc_else_token1] = ACTIONS(2433),
    [aux_sym_preproc_elif_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_end_program_statement_token2] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2389),
    [aux_sym_preproc_def_token1] = ACTIONS(2389),
    [aux_sym_preproc_if_token2] = ACTIONS(2389),
    [aux_sym_preproc_else_token1] = ACTIONS(2389),
    [aux_sym_preproc_elif_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2389),
    [sym_preproc_directive] = ACTIONS(2389),
    [anon_sym_LPAREN2] = ACTIONS(2389),
    [sym_preproc_comment] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2389),
    [aux_sym_contains_statement_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2389),
    [aux_sym_stop_statement_token1] = ACTIONS(2389),
    [aux_sym_stop_statement_token2] = ACTIONS(2389),
    [aux_sym_subroutine_call_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token1] = ACTIONS(2389),
    [aux_sym_keyword_statement_token2] = ACTIONS(2389),
    [aux_sym_keyword_statement_token3] = ACTIONS(2389),
    [aux_sym_keyword_statement_token4] = ACTIONS(2389),
    [aux_sym_keyword_statement_token6] = ACTIONS(2389),
    [aux_sym_keyword_statement_token7] = ACTIONS(2389),
    [aux_sym_include_statement_token1] = ACTIONS(2389),
    [aux_sym_data_statement_token1] = ACTIONS(2389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2389),
    [aux_sym_end_if_statement_token1] = ACTIONS(2389),
    [aux_sym_elseif_clause_token2] = ACTIONS(2389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token1] = ACTIONS(2389),
    [aux_sym_select_case_statement_token3] = ACTIONS(2389),
    [aux_sym_select_type_statement_token1] = ACTIONS(2389),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2389),
    [aux_sym_block_construct_token1] = ACTIONS(2389),
    [aux_sym_associate_statement_token1] = ACTIONS(2389),
    [aux_sym_format_statement_token1] = ACTIONS(2389),
    [aux_sym_print_statement_token1] = ACTIONS(2389),
    [aux_sym_open_statement_token1] = ACTIONS(2389),
    [aux_sym_close_statement_token1] = ACTIONS(2389),
    [aux_sym_inquire_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token1] = ACTIONS(2389),
    [aux_sym_file_position_statement_token2] = ACTIONS(2389),
    [aux_sym_file_position_statement_token3] = ACTIONS(2389),
    [aux_sym_file_position_statement_token4] = ACTIONS(2389),
    [aux_sym_logical_expression_token5] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [aux_sym_boolean_literal_token1] = ACTIONS(2391),
    [aux_sym_boolean_literal_token2] = ACTIONS(2391),
    [aux_sym_null_literal_token1] = ACTIONS(2389),
    [aux_sym_identifier_token1] = ACTIONS(2389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2391),
    [sym__float_literal] = ACTIONS(2391),
    [sym__boz_literal] = ACTIONS(2391),
    [sym__string_literal] = ACTIONS(2391),
    [sym__string_literal_kind] = ACTIONS(2391),
  },
  [1520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [aux_sym_preproc_else_token1] = ACTIONS(2421),
    [aux_sym_preproc_elif_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_end_program_statement_token2] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2385),
    [aux_sym_preproc_def_token1] = ACTIONS(2385),
    [aux_sym_preproc_if_token2] = ACTIONS(2385),
    [aux_sym_preproc_else_token1] = ACTIONS(2385),
    [aux_sym_preproc_elif_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2385),
    [sym_preproc_directive] = ACTIONS(2385),
    [anon_sym_LPAREN2] = ACTIONS(2385),
    [sym_preproc_comment] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2387),
    [anon_sym_DASH] = ACTIONS(2387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2385),
    [aux_sym_contains_statement_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(2385),
    [aux_sym_stop_statement_token2] = ACTIONS(2385),
    [aux_sym_subroutine_call_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token1] = ACTIONS(2385),
    [aux_sym_keyword_statement_token2] = ACTIONS(2385),
    [aux_sym_keyword_statement_token3] = ACTIONS(2385),
    [aux_sym_keyword_statement_token4] = ACTIONS(2385),
    [aux_sym_keyword_statement_token6] = ACTIONS(2385),
    [aux_sym_keyword_statement_token7] = ACTIONS(2385),
    [aux_sym_include_statement_token1] = ACTIONS(2385),
    [aux_sym_data_statement_token1] = ACTIONS(2385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2385),
    [aux_sym_end_if_statement_token1] = ACTIONS(2385),
    [aux_sym_elseif_clause_token2] = ACTIONS(2385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token1] = ACTIONS(2385),
    [aux_sym_select_case_statement_token3] = ACTIONS(2385),
    [aux_sym_select_type_statement_token1] = ACTIONS(2385),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2385),
    [aux_sym_block_construct_token1] = ACTIONS(2385),
    [aux_sym_associate_statement_token1] = ACTIONS(2385),
    [aux_sym_format_statement_token1] = ACTIONS(2385),
    [aux_sym_print_statement_token1] = ACTIONS(2385),
    [aux_sym_open_statement_token1] = ACTIONS(2385),
    [aux_sym_close_statement_token1] = ACTIONS(2385),
    [aux_sym_inquire_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token1] = ACTIONS(2385),
    [aux_sym_file_position_statement_token2] = ACTIONS(2385),
    [aux_sym_file_position_statement_token3] = ACTIONS(2385),
    [aux_sym_file_position_statement_token4] = ACTIONS(2385),
    [aux_sym_logical_expression_token5] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [aux_sym_boolean_literal_token1] = ACTIONS(2387),
    [aux_sym_boolean_literal_token2] = ACTIONS(2387),
    [aux_sym_null_literal_token1] = ACTIONS(2385),
    [aux_sym_identifier_token1] = ACTIONS(2385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
    [sym__float_literal] = ACTIONS(2387),
    [sym__boz_literal] = ACTIONS(2387),
    [sym__string_literal] = ACTIONS(2387),
    [sym__string_literal_kind] = ACTIONS(2387),
  },
  [1522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [aux_sym_preproc_else_token1] = ACTIONS(2417),
    [aux_sym_preproc_elif_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_end_program_statement_token2] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2351),
    [aux_sym_preproc_def_token1] = ACTIONS(2351),
    [aux_sym_preproc_if_token2] = ACTIONS(2351),
    [aux_sym_preproc_else_token1] = ACTIONS(2351),
    [aux_sym_preproc_elif_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2351),
    [anon_sym_LPAREN2] = ACTIONS(2351),
    [sym_preproc_comment] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2351),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2351),
    [aux_sym_contains_statement_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2351),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2351),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2351),
    [aux_sym_stop_statement_token1] = ACTIONS(2351),
    [aux_sym_stop_statement_token2] = ACTIONS(2351),
    [aux_sym_subroutine_call_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token1] = ACTIONS(2351),
    [aux_sym_keyword_statement_token2] = ACTIONS(2351),
    [aux_sym_keyword_statement_token3] = ACTIONS(2351),
    [aux_sym_keyword_statement_token4] = ACTIONS(2351),
    [aux_sym_keyword_statement_token6] = ACTIONS(2351),
    [aux_sym_keyword_statement_token7] = ACTIONS(2351),
    [aux_sym_include_statement_token1] = ACTIONS(2351),
    [aux_sym_data_statement_token1] = ACTIONS(2351),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2351),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2351),
    [aux_sym_end_if_statement_token1] = ACTIONS(2351),
    [aux_sym_elseif_clause_token2] = ACTIONS(2351),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2351),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token1] = ACTIONS(2351),
    [aux_sym_select_case_statement_token3] = ACTIONS(2351),
    [aux_sym_select_type_statement_token1] = ACTIONS(2351),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2351),
    [aux_sym_block_construct_token1] = ACTIONS(2351),
    [aux_sym_associate_statement_token1] = ACTIONS(2351),
    [aux_sym_format_statement_token1] = ACTIONS(2351),
    [aux_sym_print_statement_token1] = ACTIONS(2351),
    [aux_sym_open_statement_token1] = ACTIONS(2351),
    [aux_sym_close_statement_token1] = ACTIONS(2351),
    [aux_sym_inquire_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token1] = ACTIONS(2351),
    [aux_sym_file_position_statement_token2] = ACTIONS(2351),
    [aux_sym_file_position_statement_token3] = ACTIONS(2351),
    [aux_sym_file_position_statement_token4] = ACTIONS(2351),
    [aux_sym_logical_expression_token5] = ACTIONS(2353),
    [anon_sym_DOT] = ACTIONS(2351),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_boolean_literal_token1] = ACTIONS(2353),
    [aux_sym_boolean_literal_token2] = ACTIONS(2353),
    [aux_sym_null_literal_token1] = ACTIONS(2351),
    [aux_sym_identifier_token1] = ACTIONS(2351),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2353),
    [sym__float_literal] = ACTIONS(2353),
    [sym__boz_literal] = ACTIONS(2353),
    [sym__string_literal] = ACTIONS(2353),
    [sym__string_literal_kind] = ACTIONS(2353),
  },
  [1524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3713),
    [aux_sym_preproc_def_token1] = ACTIONS(3713),
    [aux_sym_preproc_if_token2] = ACTIONS(3713),
    [aux_sym_preproc_else_token1] = ACTIONS(3713),
    [aux_sym_preproc_elif_token1] = ACTIONS(3713),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3713),
    [sym_preproc_directive] = ACTIONS(3713),
    [anon_sym_LPAREN2] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3715),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3713),
    [aux_sym_end_program_statement_token2] = ACTIONS(3713),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3713),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3713),
    [aux_sym_contains_statement_token1] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3713),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3713),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3713),
    [aux_sym_stop_statement_token1] = ACTIONS(3713),
    [aux_sym_stop_statement_token2] = ACTIONS(3713),
    [aux_sym_subroutine_call_token1] = ACTIONS(3713),
    [aux_sym_keyword_statement_token1] = ACTIONS(3713),
    [aux_sym_keyword_statement_token2] = ACTIONS(3713),
    [aux_sym_keyword_statement_token3] = ACTIONS(3713),
    [aux_sym_keyword_statement_token4] = ACTIONS(3713),
    [aux_sym_keyword_statement_token6] = ACTIONS(3713),
    [aux_sym_keyword_statement_token7] = ACTIONS(3713),
    [aux_sym_include_statement_token1] = ACTIONS(3713),
    [aux_sym_data_statement_token1] = ACTIONS(3713),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3713),
    [aux_sym_end_if_statement_token1] = ACTIONS(3713),
    [aux_sym_elseif_clause_token2] = ACTIONS(3713),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3713),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3713),
    [aux_sym_select_case_statement_token1] = ACTIONS(3713),
    [aux_sym_select_case_statement_token3] = ACTIONS(3713),
    [aux_sym_select_type_statement_token1] = ACTIONS(3713),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3713),
    [aux_sym_block_construct_token1] = ACTIONS(3713),
    [aux_sym_associate_statement_token1] = ACTIONS(3713),
    [aux_sym_format_statement_token1] = ACTIONS(3713),
    [aux_sym_print_statement_token1] = ACTIONS(3713),
    [aux_sym_open_statement_token1] = ACTIONS(3713),
    [aux_sym_close_statement_token1] = ACTIONS(3713),
    [aux_sym_inquire_statement_token1] = ACTIONS(3713),
    [aux_sym_file_position_statement_token1] = ACTIONS(3713),
    [aux_sym_file_position_statement_token2] = ACTIONS(3713),
    [aux_sym_file_position_statement_token3] = ACTIONS(3713),
    [aux_sym_file_position_statement_token4] = ACTIONS(3713),
    [aux_sym_logical_expression_token5] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [aux_sym_boolean_literal_token1] = ACTIONS(3715),
    [aux_sym_boolean_literal_token2] = ACTIONS(3715),
    [aux_sym_null_literal_token1] = ACTIONS(3713),
    [aux_sym_identifier_token1] = ACTIONS(3713),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3715),
    [sym__float_literal] = ACTIONS(3715),
    [sym__boz_literal] = ACTIONS(3715),
    [sym__string_literal] = ACTIONS(3715),
    [sym__string_literal_kind] = ACTIONS(3715),
  },
  [1525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [aux_sym_preproc_else_token1] = ACTIONS(2441),
    [aux_sym_preproc_elif_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_end_program_statement_token2] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_end_program_statement_token2] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [aux_sym_preproc_else_token1] = ACTIONS(2461),
    [aux_sym_preproc_elif_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_end_program_statement_token2] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_end_select_statement_token1] = ACTIONS(2453),
    [aux_sym_type_statement_token2] = ACTIONS(2453),
    [aux_sym_type_statement_token3] = ACTIONS(2453),
    [aux_sym__class_default_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3717),
    [aux_sym_preproc_def_token1] = ACTIONS(3717),
    [aux_sym_preproc_if_token1] = ACTIONS(3717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3717),
    [sym_preproc_directive] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3717),
    [sym_preproc_comment] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3717),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3717),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3717),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3717),
    [aux_sym_contains_statement_token1] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3717),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3717),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3717),
    [aux_sym_stop_statement_token1] = ACTIONS(3717),
    [aux_sym_stop_statement_token2] = ACTIONS(3717),
    [aux_sym_subroutine_call_token1] = ACTIONS(3717),
    [aux_sym_keyword_statement_token1] = ACTIONS(3717),
    [aux_sym_keyword_statement_token2] = ACTIONS(3717),
    [aux_sym_keyword_statement_token3] = ACTIONS(3717),
    [aux_sym_keyword_statement_token4] = ACTIONS(3717),
    [aux_sym_keyword_statement_token6] = ACTIONS(3717),
    [aux_sym_keyword_statement_token7] = ACTIONS(3717),
    [aux_sym_include_statement_token1] = ACTIONS(3717),
    [aux_sym_data_statement_token1] = ACTIONS(3717),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3717),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3717),
    [aux_sym_end_if_statement_token1] = ACTIONS(3717),
    [aux_sym_elseif_clause_token2] = ACTIONS(3717),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3717),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3717),
    [aux_sym_select_case_statement_token1] = ACTIONS(3717),
    [aux_sym_select_case_statement_token3] = ACTIONS(3717),
    [aux_sym_select_type_statement_token1] = ACTIONS(3717),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3717),
    [aux_sym_block_construct_token1] = ACTIONS(3717),
    [aux_sym_associate_statement_token1] = ACTIONS(3717),
    [aux_sym_format_statement_token1] = ACTIONS(3717),
    [aux_sym_print_statement_token1] = ACTIONS(3717),
    [aux_sym_open_statement_token1] = ACTIONS(3717),
    [aux_sym_close_statement_token1] = ACTIONS(3717),
    [aux_sym_inquire_statement_token1] = ACTIONS(3717),
    [aux_sym_file_position_statement_token1] = ACTIONS(3717),
    [aux_sym_file_position_statement_token2] = ACTIONS(3717),
    [aux_sym_file_position_statement_token3] = ACTIONS(3717),
    [aux_sym_file_position_statement_token4] = ACTIONS(3717),
    [aux_sym_logical_expression_token5] = ACTIONS(3721),
    [anon_sym_DOT] = ACTIONS(3717),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3721),
    [aux_sym_boolean_literal_token1] = ACTIONS(3721),
    [aux_sym_boolean_literal_token2] = ACTIONS(3721),
    [aux_sym_null_literal_token1] = ACTIONS(3717),
    [aux_sym_identifier_token1] = ACTIONS(3717),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3721),
    [sym__float_literal] = ACTIONS(3721),
    [sym__boz_literal] = ACTIONS(3721),
    [sym__string_literal] = ACTIONS(3721),
    [sym__string_literal_kind] = ACTIONS(3721),
  },
  [1530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3723),
    [aux_sym_preproc_def_token1] = ACTIONS(3723),
    [aux_sym_preproc_if_token1] = ACTIONS(3723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3723),
    [sym_preproc_directive] = ACTIONS(3723),
    [anon_sym_LPAREN2] = ACTIONS(3723),
    [sym_preproc_comment] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3723),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3723),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3723),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3723),
    [aux_sym_contains_statement_token1] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3723),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3723),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3723),
    [aux_sym_stop_statement_token1] = ACTIONS(3723),
    [aux_sym_stop_statement_token2] = ACTIONS(3723),
    [aux_sym_subroutine_call_token1] = ACTIONS(3723),
    [aux_sym_keyword_statement_token1] = ACTIONS(3723),
    [aux_sym_keyword_statement_token2] = ACTIONS(3723),
    [aux_sym_keyword_statement_token3] = ACTIONS(3723),
    [aux_sym_keyword_statement_token4] = ACTIONS(3723),
    [aux_sym_keyword_statement_token6] = ACTIONS(3723),
    [aux_sym_keyword_statement_token7] = ACTIONS(3723),
    [aux_sym_include_statement_token1] = ACTIONS(3723),
    [aux_sym_data_statement_token1] = ACTIONS(3723),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3723),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3723),
    [aux_sym_end_if_statement_token1] = ACTIONS(3723),
    [aux_sym_elseif_clause_token2] = ACTIONS(3723),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3723),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3723),
    [aux_sym_select_case_statement_token1] = ACTIONS(3723),
    [aux_sym_select_case_statement_token3] = ACTIONS(3723),
    [aux_sym_select_type_statement_token1] = ACTIONS(3723),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3723),
    [aux_sym_block_construct_token1] = ACTIONS(3723),
    [aux_sym_associate_statement_token1] = ACTIONS(3723),
    [aux_sym_format_statement_token1] = ACTIONS(3723),
    [aux_sym_print_statement_token1] = ACTIONS(3723),
    [aux_sym_open_statement_token1] = ACTIONS(3723),
    [aux_sym_close_statement_token1] = ACTIONS(3723),
    [aux_sym_inquire_statement_token1] = ACTIONS(3723),
    [aux_sym_file_position_statement_token1] = ACTIONS(3723),
    [aux_sym_file_position_statement_token2] = ACTIONS(3723),
    [aux_sym_file_position_statement_token3] = ACTIONS(3723),
    [aux_sym_file_position_statement_token4] = ACTIONS(3723),
    [aux_sym_logical_expression_token5] = ACTIONS(3727),
    [anon_sym_DOT] = ACTIONS(3723),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3727),
    [aux_sym_boolean_literal_token1] = ACTIONS(3727),
    [aux_sym_boolean_literal_token2] = ACTIONS(3727),
    [aux_sym_null_literal_token1] = ACTIONS(3723),
    [aux_sym_identifier_token1] = ACTIONS(3723),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3727),
    [sym__float_literal] = ACTIONS(3727),
    [sym__boz_literal] = ACTIONS(3727),
    [sym__string_literal] = ACTIONS(3727),
    [sym__string_literal_kind] = ACTIONS(3727),
  },
  [1531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3729),
    [aux_sym_preproc_def_token1] = ACTIONS(3729),
    [aux_sym_preproc_if_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3729),
    [sym_preproc_directive] = ACTIONS(3729),
    [anon_sym_LPAREN2] = ACTIONS(3729),
    [sym_preproc_comment] = ACTIONS(3731),
    [anon_sym_PLUS] = ACTIONS(3733),
    [anon_sym_DASH] = ACTIONS(3733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3729),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3729),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3729),
    [aux_sym_end_function_statement_token1] = ACTIONS(3729),
    [aux_sym_contains_statement_token1] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3729),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3729),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3729),
    [aux_sym_stop_statement_token1] = ACTIONS(3729),
    [aux_sym_stop_statement_token2] = ACTIONS(3729),
    [aux_sym_subroutine_call_token1] = ACTIONS(3729),
    [aux_sym_keyword_statement_token1] = ACTIONS(3729),
    [aux_sym_keyword_statement_token2] = ACTIONS(3729),
    [aux_sym_keyword_statement_token3] = ACTIONS(3729),
    [aux_sym_keyword_statement_token4] = ACTIONS(3729),
    [aux_sym_keyword_statement_token6] = ACTIONS(3729),
    [aux_sym_keyword_statement_token7] = ACTIONS(3729),
    [aux_sym_include_statement_token1] = ACTIONS(3729),
    [aux_sym_data_statement_token1] = ACTIONS(3729),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3729),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3729),
    [aux_sym_end_if_statement_token1] = ACTIONS(3729),
    [aux_sym_elseif_clause_token2] = ACTIONS(3729),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3729),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3729),
    [aux_sym_select_case_statement_token1] = ACTIONS(3729),
    [aux_sym_select_case_statement_token3] = ACTIONS(3729),
    [aux_sym_select_type_statement_token1] = ACTIONS(3729),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3729),
    [aux_sym_block_construct_token1] = ACTIONS(3729),
    [aux_sym_associate_statement_token1] = ACTIONS(3729),
    [aux_sym_format_statement_token1] = ACTIONS(3729),
    [aux_sym_print_statement_token1] = ACTIONS(3729),
    [aux_sym_open_statement_token1] = ACTIONS(3729),
    [aux_sym_close_statement_token1] = ACTIONS(3729),
    [aux_sym_inquire_statement_token1] = ACTIONS(3729),
    [aux_sym_file_position_statement_token1] = ACTIONS(3729),
    [aux_sym_file_position_statement_token2] = ACTIONS(3729),
    [aux_sym_file_position_statement_token3] = ACTIONS(3729),
    [aux_sym_file_position_statement_token4] = ACTIONS(3729),
    [aux_sym_logical_expression_token5] = ACTIONS(3733),
    [anon_sym_DOT] = ACTIONS(3729),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(3733),
    [aux_sym_boolean_literal_token1] = ACTIONS(3733),
    [aux_sym_boolean_literal_token2] = ACTIONS(3733),
    [aux_sym_null_literal_token1] = ACTIONS(3729),
    [aux_sym_identifier_token1] = ACTIONS(3729),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3733),
    [sym__float_literal] = ACTIONS(3733),
    [sym__boz_literal] = ACTIONS(3733),
    [sym__string_literal] = ACTIONS(3733),
    [sym__string_literal_kind] = ACTIONS(3733),
  },
  [1532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_implicit_statement_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym_derived_type_token1] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_end_select_statement_token1] = ACTIONS(2421),
    [aux_sym_type_statement_token2] = ACTIONS(2421),
    [aux_sym_type_statement_token3] = ACTIONS(2421),
    [aux_sym__class_default_token1] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3735),
    [aux_sym_preproc_def_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3735),
    [sym_preproc_directive] = ACTIONS(3735),
    [anon_sym_LPAREN2] = ACTIONS(3735),
    [sym_preproc_comment] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3735),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3735),
    [aux_sym_contains_statement_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3735),
    [aux_sym_stop_statement_token1] = ACTIONS(3735),
    [aux_sym_stop_statement_token2] = ACTIONS(3735),
    [aux_sym_subroutine_call_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token2] = ACTIONS(3735),
    [aux_sym_keyword_statement_token3] = ACTIONS(3735),
    [aux_sym_keyword_statement_token4] = ACTIONS(3735),
    [aux_sym_keyword_statement_token6] = ACTIONS(3735),
    [aux_sym_keyword_statement_token7] = ACTIONS(3735),
    [aux_sym_include_statement_token1] = ACTIONS(3735),
    [aux_sym_data_statement_token1] = ACTIONS(3735),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3735),
    [aux_sym_end_if_statement_token1] = ACTIONS(3735),
    [aux_sym_elseif_clause_token2] = ACTIONS(3735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3735),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token3] = ACTIONS(3735),
    [aux_sym_select_type_statement_token1] = ACTIONS(3735),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3735),
    [aux_sym_block_construct_token1] = ACTIONS(3735),
    [aux_sym_associate_statement_token1] = ACTIONS(3735),
    [aux_sym_format_statement_token1] = ACTIONS(3735),
    [aux_sym_print_statement_token1] = ACTIONS(3735),
    [aux_sym_open_statement_token1] = ACTIONS(3735),
    [aux_sym_close_statement_token1] = ACTIONS(3735),
    [aux_sym_inquire_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token2] = ACTIONS(3735),
    [aux_sym_file_position_statement_token3] = ACTIONS(3735),
    [aux_sym_file_position_statement_token4] = ACTIONS(3735),
    [aux_sym_logical_expression_token5] = ACTIONS(3739),
    [anon_sym_DOT] = ACTIONS(3735),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [aux_sym_boolean_literal_token1] = ACTIONS(3739),
    [aux_sym_boolean_literal_token2] = ACTIONS(3739),
    [aux_sym_null_literal_token1] = ACTIONS(3735),
    [aux_sym_identifier_token1] = ACTIONS(3735),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3739),
    [sym__float_literal] = ACTIONS(3739),
    [sym__boz_literal] = ACTIONS(3739),
    [sym__string_literal] = ACTIONS(3739),
    [sym__string_literal_kind] = ACTIONS(3739),
  },
  [1534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_implicit_statement_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym_derived_type_token1] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_end_select_statement_token1] = ACTIONS(2457),
    [aux_sym_type_statement_token2] = ACTIONS(2457),
    [aux_sym_type_statement_token3] = ACTIONS(2457),
    [aux_sym__class_default_token1] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3741),
    [aux_sym_preproc_def_token1] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3741),
    [sym_preproc_directive] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3741),
    [sym_preproc_comment] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3741),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3741),
    [aux_sym_contains_statement_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3741),
    [aux_sym_stop_statement_token1] = ACTIONS(3741),
    [aux_sym_stop_statement_token2] = ACTIONS(3741),
    [aux_sym_subroutine_call_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token2] = ACTIONS(3741),
    [aux_sym_keyword_statement_token3] = ACTIONS(3741),
    [aux_sym_keyword_statement_token4] = ACTIONS(3741),
    [aux_sym_keyword_statement_token6] = ACTIONS(3741),
    [aux_sym_keyword_statement_token7] = ACTIONS(3741),
    [aux_sym_include_statement_token1] = ACTIONS(3741),
    [aux_sym_data_statement_token1] = ACTIONS(3741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3741),
    [aux_sym_end_if_statement_token1] = ACTIONS(3741),
    [aux_sym_elseif_clause_token2] = ACTIONS(3741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token3] = ACTIONS(3741),
    [aux_sym_select_type_statement_token1] = ACTIONS(3741),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3741),
    [aux_sym_block_construct_token1] = ACTIONS(3741),
    [aux_sym_associate_statement_token1] = ACTIONS(3741),
    [aux_sym_format_statement_token1] = ACTIONS(3741),
    [aux_sym_print_statement_token1] = ACTIONS(3741),
    [aux_sym_open_statement_token1] = ACTIONS(3741),
    [aux_sym_close_statement_token1] = ACTIONS(3741),
    [aux_sym_inquire_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token2] = ACTIONS(3741),
    [aux_sym_file_position_statement_token3] = ACTIONS(3741),
    [aux_sym_file_position_statement_token4] = ACTIONS(3741),
    [aux_sym_logical_expression_token5] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(3741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3745),
    [aux_sym_boolean_literal_token1] = ACTIONS(3745),
    [aux_sym_boolean_literal_token2] = ACTIONS(3745),
    [aux_sym_null_literal_token1] = ACTIONS(3741),
    [aux_sym_identifier_token1] = ACTIONS(3741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3745),
    [sym__float_literal] = ACTIONS(3745),
    [sym__boz_literal] = ACTIONS(3745),
    [sym__string_literal] = ACTIONS(3745),
    [sym__string_literal_kind] = ACTIONS(3745),
  },
  [1536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3717),
    [aux_sym_preproc_def_token1] = ACTIONS(3717),
    [aux_sym_preproc_if_token1] = ACTIONS(3717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3717),
    [sym_preproc_directive] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3717),
    [sym_preproc_comment] = ACTIONS(3747),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3717),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3717),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3717),
    [aux_sym_end_function_statement_token1] = ACTIONS(3717),
    [aux_sym_contains_statement_token1] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3717),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3717),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3717),
    [aux_sym_stop_statement_token1] = ACTIONS(3717),
    [aux_sym_stop_statement_token2] = ACTIONS(3717),
    [aux_sym_subroutine_call_token1] = ACTIONS(3717),
    [aux_sym_keyword_statement_token1] = ACTIONS(3717),
    [aux_sym_keyword_statement_token2] = ACTIONS(3717),
    [aux_sym_keyword_statement_token3] = ACTIONS(3717),
    [aux_sym_keyword_statement_token4] = ACTIONS(3717),
    [aux_sym_keyword_statement_token6] = ACTIONS(3717),
    [aux_sym_keyword_statement_token7] = ACTIONS(3717),
    [aux_sym_include_statement_token1] = ACTIONS(3717),
    [aux_sym_data_statement_token1] = ACTIONS(3717),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3717),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3717),
    [aux_sym_end_if_statement_token1] = ACTIONS(3717),
    [aux_sym_elseif_clause_token2] = ACTIONS(3717),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3717),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3717),
    [aux_sym_select_case_statement_token1] = ACTIONS(3717),
    [aux_sym_select_case_statement_token3] = ACTIONS(3717),
    [aux_sym_select_type_statement_token1] = ACTIONS(3717),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3717),
    [aux_sym_block_construct_token1] = ACTIONS(3717),
    [aux_sym_associate_statement_token1] = ACTIONS(3717),
    [aux_sym_format_statement_token1] = ACTIONS(3717),
    [aux_sym_print_statement_token1] = ACTIONS(3717),
    [aux_sym_open_statement_token1] = ACTIONS(3717),
    [aux_sym_close_statement_token1] = ACTIONS(3717),
    [aux_sym_inquire_statement_token1] = ACTIONS(3717),
    [aux_sym_file_position_statement_token1] = ACTIONS(3717),
    [aux_sym_file_position_statement_token2] = ACTIONS(3717),
    [aux_sym_file_position_statement_token3] = ACTIONS(3717),
    [aux_sym_file_position_statement_token4] = ACTIONS(3717),
    [aux_sym_logical_expression_token5] = ACTIONS(3721),
    [anon_sym_DOT] = ACTIONS(3717),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3721),
    [aux_sym_boolean_literal_token1] = ACTIONS(3721),
    [aux_sym_boolean_literal_token2] = ACTIONS(3721),
    [aux_sym_null_literal_token1] = ACTIONS(3717),
    [aux_sym_identifier_token1] = ACTIONS(3717),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3721),
    [sym__float_literal] = ACTIONS(3721),
    [sym__boz_literal] = ACTIONS(3721),
    [sym__string_literal] = ACTIONS(3721),
    [sym__string_literal_kind] = ACTIONS(3721),
  },
  [1537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3749),
    [aux_sym_preproc_def_token1] = ACTIONS(3749),
    [aux_sym_preproc_if_token1] = ACTIONS(3749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3749),
    [sym_preproc_directive] = ACTIONS(3749),
    [anon_sym_LPAREN2] = ACTIONS(3749),
    [sym_preproc_comment] = ACTIONS(3751),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3749),
    [aux_sym_end_function_statement_token1] = ACTIONS(3749),
    [aux_sym_contains_statement_token1] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3749),
    [aux_sym_stop_statement_token1] = ACTIONS(3749),
    [aux_sym_stop_statement_token2] = ACTIONS(3749),
    [aux_sym_subroutine_call_token1] = ACTIONS(3749),
    [aux_sym_keyword_statement_token1] = ACTIONS(3749),
    [aux_sym_keyword_statement_token2] = ACTIONS(3749),
    [aux_sym_keyword_statement_token3] = ACTIONS(3749),
    [aux_sym_keyword_statement_token4] = ACTIONS(3749),
    [aux_sym_keyword_statement_token6] = ACTIONS(3749),
    [aux_sym_keyword_statement_token7] = ACTIONS(3749),
    [aux_sym_include_statement_token1] = ACTIONS(3749),
    [aux_sym_data_statement_token1] = ACTIONS(3749),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3749),
    [aux_sym_end_if_statement_token1] = ACTIONS(3749),
    [aux_sym_elseif_clause_token2] = ACTIONS(3749),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3749),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3749),
    [aux_sym_select_case_statement_token1] = ACTIONS(3749),
    [aux_sym_select_case_statement_token3] = ACTIONS(3749),
    [aux_sym_select_type_statement_token1] = ACTIONS(3749),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3749),
    [aux_sym_block_construct_token1] = ACTIONS(3749),
    [aux_sym_associate_statement_token1] = ACTIONS(3749),
    [aux_sym_format_statement_token1] = ACTIONS(3749),
    [aux_sym_print_statement_token1] = ACTIONS(3749),
    [aux_sym_open_statement_token1] = ACTIONS(3749),
    [aux_sym_close_statement_token1] = ACTIONS(3749),
    [aux_sym_inquire_statement_token1] = ACTIONS(3749),
    [aux_sym_file_position_statement_token1] = ACTIONS(3749),
    [aux_sym_file_position_statement_token2] = ACTIONS(3749),
    [aux_sym_file_position_statement_token3] = ACTIONS(3749),
    [aux_sym_file_position_statement_token4] = ACTIONS(3749),
    [aux_sym_logical_expression_token5] = ACTIONS(3753),
    [anon_sym_DOT] = ACTIONS(3749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [aux_sym_boolean_literal_token1] = ACTIONS(3753),
    [aux_sym_boolean_literal_token2] = ACTIONS(3753),
    [aux_sym_null_literal_token1] = ACTIONS(3749),
    [aux_sym_identifier_token1] = ACTIONS(3749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3753),
    [sym__float_literal] = ACTIONS(3753),
    [sym__boz_literal] = ACTIONS(3753),
    [sym__string_literal] = ACTIONS(3753),
    [sym__string_literal_kind] = ACTIONS(3753),
  },
  [1538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3755),
    [aux_sym_preproc_def_token1] = ACTIONS(3755),
    [aux_sym_preproc_if_token1] = ACTIONS(3755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3755),
    [sym_preproc_directive] = ACTIONS(3755),
    [anon_sym_LPAREN2] = ACTIONS(3755),
    [sym_preproc_comment] = ACTIONS(3757),
    [anon_sym_PLUS] = ACTIONS(3759),
    [anon_sym_DASH] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3755),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3755),
    [aux_sym_end_function_statement_token1] = ACTIONS(3755),
    [aux_sym_contains_statement_token1] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3755),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3755),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3755),
    [aux_sym_stop_statement_token1] = ACTIONS(3755),
    [aux_sym_stop_statement_token2] = ACTIONS(3755),
    [aux_sym_subroutine_call_token1] = ACTIONS(3755),
    [aux_sym_keyword_statement_token1] = ACTIONS(3755),
    [aux_sym_keyword_statement_token2] = ACTIONS(3755),
    [aux_sym_keyword_statement_token3] = ACTIONS(3755),
    [aux_sym_keyword_statement_token4] = ACTIONS(3755),
    [aux_sym_keyword_statement_token6] = ACTIONS(3755),
    [aux_sym_keyword_statement_token7] = ACTIONS(3755),
    [aux_sym_include_statement_token1] = ACTIONS(3755),
    [aux_sym_data_statement_token1] = ACTIONS(3755),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3755),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3755),
    [aux_sym_end_if_statement_token1] = ACTIONS(3755),
    [aux_sym_elseif_clause_token2] = ACTIONS(3755),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3755),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3755),
    [aux_sym_select_case_statement_token1] = ACTIONS(3755),
    [aux_sym_select_case_statement_token3] = ACTIONS(3755),
    [aux_sym_select_type_statement_token1] = ACTIONS(3755),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3755),
    [aux_sym_block_construct_token1] = ACTIONS(3755),
    [aux_sym_associate_statement_token1] = ACTIONS(3755),
    [aux_sym_format_statement_token1] = ACTIONS(3755),
    [aux_sym_print_statement_token1] = ACTIONS(3755),
    [aux_sym_open_statement_token1] = ACTIONS(3755),
    [aux_sym_close_statement_token1] = ACTIONS(3755),
    [aux_sym_inquire_statement_token1] = ACTIONS(3755),
    [aux_sym_file_position_statement_token1] = ACTIONS(3755),
    [aux_sym_file_position_statement_token2] = ACTIONS(3755),
    [aux_sym_file_position_statement_token3] = ACTIONS(3755),
    [aux_sym_file_position_statement_token4] = ACTIONS(3755),
    [aux_sym_logical_expression_token5] = ACTIONS(3759),
    [anon_sym_DOT] = ACTIONS(3755),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [aux_sym_boolean_literal_token1] = ACTIONS(3759),
    [aux_sym_boolean_literal_token2] = ACTIONS(3759),
    [aux_sym_null_literal_token1] = ACTIONS(3755),
    [aux_sym_identifier_token1] = ACTIONS(3755),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3759),
    [sym__float_literal] = ACTIONS(3759),
    [sym__boz_literal] = ACTIONS(3759),
    [sym__string_literal] = ACTIONS(3759),
    [sym__string_literal_kind] = ACTIONS(3759),
  },
  [1539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3761),
    [aux_sym_preproc_def_token1] = ACTIONS(3761),
    [aux_sym_preproc_if_token1] = ACTIONS(3761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3761),
    [sym_preproc_directive] = ACTIONS(3761),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [sym_preproc_comment] = ACTIONS(3763),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3761),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3761),
    [aux_sym_contains_statement_token1] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3761),
    [aux_sym_stop_statement_token1] = ACTIONS(3761),
    [aux_sym_stop_statement_token2] = ACTIONS(3761),
    [aux_sym_subroutine_call_token1] = ACTIONS(3761),
    [aux_sym_keyword_statement_token1] = ACTIONS(3761),
    [aux_sym_keyword_statement_token2] = ACTIONS(3761),
    [aux_sym_keyword_statement_token3] = ACTIONS(3761),
    [aux_sym_keyword_statement_token4] = ACTIONS(3761),
    [aux_sym_keyword_statement_token6] = ACTIONS(3761),
    [aux_sym_keyword_statement_token7] = ACTIONS(3761),
    [aux_sym_include_statement_token1] = ACTIONS(3761),
    [aux_sym_data_statement_token1] = ACTIONS(3761),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3761),
    [aux_sym_end_if_statement_token1] = ACTIONS(3761),
    [aux_sym_elseif_clause_token2] = ACTIONS(3761),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3761),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3761),
    [aux_sym_select_case_statement_token1] = ACTIONS(3761),
    [aux_sym_select_case_statement_token3] = ACTIONS(3761),
    [aux_sym_select_type_statement_token1] = ACTIONS(3761),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3761),
    [aux_sym_block_construct_token1] = ACTIONS(3761),
    [aux_sym_associate_statement_token1] = ACTIONS(3761),
    [aux_sym_format_statement_token1] = ACTIONS(3761),
    [aux_sym_print_statement_token1] = ACTIONS(3761),
    [aux_sym_open_statement_token1] = ACTIONS(3761),
    [aux_sym_close_statement_token1] = ACTIONS(3761),
    [aux_sym_inquire_statement_token1] = ACTIONS(3761),
    [aux_sym_file_position_statement_token1] = ACTIONS(3761),
    [aux_sym_file_position_statement_token2] = ACTIONS(3761),
    [aux_sym_file_position_statement_token3] = ACTIONS(3761),
    [aux_sym_file_position_statement_token4] = ACTIONS(3761),
    [aux_sym_logical_expression_token5] = ACTIONS(3765),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [aux_sym_boolean_literal_token1] = ACTIONS(3765),
    [aux_sym_boolean_literal_token2] = ACTIONS(3765),
    [aux_sym_null_literal_token1] = ACTIONS(3761),
    [aux_sym_identifier_token1] = ACTIONS(3761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3765),
    [sym__float_literal] = ACTIONS(3765),
    [sym__boz_literal] = ACTIONS(3765),
    [sym__string_literal] = ACTIONS(3765),
    [sym__string_literal_kind] = ACTIONS(3765),
  },
  [1540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3741),
    [aux_sym_preproc_def_token1] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3741),
    [sym_preproc_directive] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3741),
    [sym_preproc_comment] = ACTIONS(3767),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3741),
    [aux_sym_end_function_statement_token1] = ACTIONS(3741),
    [aux_sym_contains_statement_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3741),
    [aux_sym_stop_statement_token1] = ACTIONS(3741),
    [aux_sym_stop_statement_token2] = ACTIONS(3741),
    [aux_sym_subroutine_call_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token2] = ACTIONS(3741),
    [aux_sym_keyword_statement_token3] = ACTIONS(3741),
    [aux_sym_keyword_statement_token4] = ACTIONS(3741),
    [aux_sym_keyword_statement_token6] = ACTIONS(3741),
    [aux_sym_keyword_statement_token7] = ACTIONS(3741),
    [aux_sym_include_statement_token1] = ACTIONS(3741),
    [aux_sym_data_statement_token1] = ACTIONS(3741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3741),
    [aux_sym_end_if_statement_token1] = ACTIONS(3741),
    [aux_sym_elseif_clause_token2] = ACTIONS(3741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token3] = ACTIONS(3741),
    [aux_sym_select_type_statement_token1] = ACTIONS(3741),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3741),
    [aux_sym_block_construct_token1] = ACTIONS(3741),
    [aux_sym_associate_statement_token1] = ACTIONS(3741),
    [aux_sym_format_statement_token1] = ACTIONS(3741),
    [aux_sym_print_statement_token1] = ACTIONS(3741),
    [aux_sym_open_statement_token1] = ACTIONS(3741),
    [aux_sym_close_statement_token1] = ACTIONS(3741),
    [aux_sym_inquire_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token2] = ACTIONS(3741),
    [aux_sym_file_position_statement_token3] = ACTIONS(3741),
    [aux_sym_file_position_statement_token4] = ACTIONS(3741),
    [aux_sym_logical_expression_token5] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(3741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3745),
    [aux_sym_boolean_literal_token1] = ACTIONS(3745),
    [aux_sym_boolean_literal_token2] = ACTIONS(3745),
    [aux_sym_null_literal_token1] = ACTIONS(3741),
    [aux_sym_identifier_token1] = ACTIONS(3741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3745),
    [sym__float_literal] = ACTIONS(3745),
    [sym__boz_literal] = ACTIONS(3745),
    [sym__string_literal] = ACTIONS(3745),
    [sym__string_literal_kind] = ACTIONS(3745),
  },
  [1541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3769),
    [aux_sym_preproc_def_token1] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3769),
    [sym_preproc_directive] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3769),
    [sym_preproc_comment] = ACTIONS(3771),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3769),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3769),
    [aux_sym_contains_statement_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3769),
    [aux_sym_stop_statement_token1] = ACTIONS(3769),
    [aux_sym_stop_statement_token2] = ACTIONS(3769),
    [aux_sym_subroutine_call_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token2] = ACTIONS(3769),
    [aux_sym_keyword_statement_token3] = ACTIONS(3769),
    [aux_sym_keyword_statement_token4] = ACTIONS(3769),
    [aux_sym_keyword_statement_token6] = ACTIONS(3769),
    [aux_sym_keyword_statement_token7] = ACTIONS(3769),
    [aux_sym_include_statement_token1] = ACTIONS(3769),
    [aux_sym_data_statement_token1] = ACTIONS(3769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3769),
    [aux_sym_end_if_statement_token1] = ACTIONS(3769),
    [aux_sym_elseif_clause_token2] = ACTIONS(3769),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3769),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token3] = ACTIONS(3769),
    [aux_sym_select_type_statement_token1] = ACTIONS(3769),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3769),
    [aux_sym_block_construct_token1] = ACTIONS(3769),
    [aux_sym_associate_statement_token1] = ACTIONS(3769),
    [aux_sym_format_statement_token1] = ACTIONS(3769),
    [aux_sym_print_statement_token1] = ACTIONS(3769),
    [aux_sym_open_statement_token1] = ACTIONS(3769),
    [aux_sym_close_statement_token1] = ACTIONS(3769),
    [aux_sym_inquire_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token2] = ACTIONS(3769),
    [aux_sym_file_position_statement_token3] = ACTIONS(3769),
    [aux_sym_file_position_statement_token4] = ACTIONS(3769),
    [aux_sym_logical_expression_token5] = ACTIONS(3773),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3773),
    [aux_sym_boolean_literal_token1] = ACTIONS(3773),
    [aux_sym_boolean_literal_token2] = ACTIONS(3773),
    [aux_sym_null_literal_token1] = ACTIONS(3769),
    [aux_sym_identifier_token1] = ACTIONS(3769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3773),
    [sym__float_literal] = ACTIONS(3773),
    [sym__boz_literal] = ACTIONS(3773),
    [sym__string_literal] = ACTIONS(3773),
    [sym__string_literal_kind] = ACTIONS(3773),
  },
  [1542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3775),
    [aux_sym_preproc_def_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3775),
    [sym_preproc_directive] = ACTIONS(3775),
    [anon_sym_LPAREN2] = ACTIONS(3775),
    [sym_preproc_comment] = ACTIONS(3777),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3775),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3775),
    [aux_sym_contains_statement_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3775),
    [aux_sym_stop_statement_token1] = ACTIONS(3775),
    [aux_sym_stop_statement_token2] = ACTIONS(3775),
    [aux_sym_subroutine_call_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token2] = ACTIONS(3775),
    [aux_sym_keyword_statement_token3] = ACTIONS(3775),
    [aux_sym_keyword_statement_token4] = ACTIONS(3775),
    [aux_sym_keyword_statement_token6] = ACTIONS(3775),
    [aux_sym_keyword_statement_token7] = ACTIONS(3775),
    [aux_sym_include_statement_token1] = ACTIONS(3775),
    [aux_sym_data_statement_token1] = ACTIONS(3775),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3775),
    [aux_sym_end_if_statement_token1] = ACTIONS(3775),
    [aux_sym_elseif_clause_token2] = ACTIONS(3775),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3775),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token3] = ACTIONS(3775),
    [aux_sym_select_type_statement_token1] = ACTIONS(3775),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3775),
    [aux_sym_block_construct_token1] = ACTIONS(3775),
    [aux_sym_associate_statement_token1] = ACTIONS(3775),
    [aux_sym_format_statement_token1] = ACTIONS(3775),
    [aux_sym_print_statement_token1] = ACTIONS(3775),
    [aux_sym_open_statement_token1] = ACTIONS(3775),
    [aux_sym_close_statement_token1] = ACTIONS(3775),
    [aux_sym_inquire_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token2] = ACTIONS(3775),
    [aux_sym_file_position_statement_token3] = ACTIONS(3775),
    [aux_sym_file_position_statement_token4] = ACTIONS(3775),
    [aux_sym_logical_expression_token5] = ACTIONS(3779),
    [anon_sym_DOT] = ACTIONS(3775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [aux_sym_boolean_literal_token1] = ACTIONS(3779),
    [aux_sym_boolean_literal_token2] = ACTIONS(3779),
    [aux_sym_null_literal_token1] = ACTIONS(3775),
    [aux_sym_identifier_token1] = ACTIONS(3775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3779),
    [sym__float_literal] = ACTIONS(3779),
    [sym__boz_literal] = ACTIONS(3779),
    [sym__string_literal] = ACTIONS(3779),
    [sym__string_literal_kind] = ACTIONS(3779),
  },
  [1543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_implicit_statement_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym_derived_type_token1] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_end_select_statement_token1] = ACTIONS(2433),
    [aux_sym_type_statement_token2] = ACTIONS(2433),
    [aux_sym_type_statement_token3] = ACTIONS(2433),
    [aux_sym__class_default_token1] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3723),
    [aux_sym_preproc_def_token1] = ACTIONS(3723),
    [aux_sym_preproc_if_token1] = ACTIONS(3723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3723),
    [sym_preproc_directive] = ACTIONS(3723),
    [anon_sym_LPAREN2] = ACTIONS(3723),
    [sym_preproc_comment] = ACTIONS(3781),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3723),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3723),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3723),
    [aux_sym_end_function_statement_token1] = ACTIONS(3723),
    [aux_sym_contains_statement_token1] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3723),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3723),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3723),
    [aux_sym_stop_statement_token1] = ACTIONS(3723),
    [aux_sym_stop_statement_token2] = ACTIONS(3723),
    [aux_sym_subroutine_call_token1] = ACTIONS(3723),
    [aux_sym_keyword_statement_token1] = ACTIONS(3723),
    [aux_sym_keyword_statement_token2] = ACTIONS(3723),
    [aux_sym_keyword_statement_token3] = ACTIONS(3723),
    [aux_sym_keyword_statement_token4] = ACTIONS(3723),
    [aux_sym_keyword_statement_token6] = ACTIONS(3723),
    [aux_sym_keyword_statement_token7] = ACTIONS(3723),
    [aux_sym_include_statement_token1] = ACTIONS(3723),
    [aux_sym_data_statement_token1] = ACTIONS(3723),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3723),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3723),
    [aux_sym_end_if_statement_token1] = ACTIONS(3723),
    [aux_sym_elseif_clause_token2] = ACTIONS(3723),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3723),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3723),
    [aux_sym_select_case_statement_token1] = ACTIONS(3723),
    [aux_sym_select_case_statement_token3] = ACTIONS(3723),
    [aux_sym_select_type_statement_token1] = ACTIONS(3723),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3723),
    [aux_sym_block_construct_token1] = ACTIONS(3723),
    [aux_sym_associate_statement_token1] = ACTIONS(3723),
    [aux_sym_format_statement_token1] = ACTIONS(3723),
    [aux_sym_print_statement_token1] = ACTIONS(3723),
    [aux_sym_open_statement_token1] = ACTIONS(3723),
    [aux_sym_close_statement_token1] = ACTIONS(3723),
    [aux_sym_inquire_statement_token1] = ACTIONS(3723),
    [aux_sym_file_position_statement_token1] = ACTIONS(3723),
    [aux_sym_file_position_statement_token2] = ACTIONS(3723),
    [aux_sym_file_position_statement_token3] = ACTIONS(3723),
    [aux_sym_file_position_statement_token4] = ACTIONS(3723),
    [aux_sym_logical_expression_token5] = ACTIONS(3727),
    [anon_sym_DOT] = ACTIONS(3723),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3727),
    [aux_sym_boolean_literal_token1] = ACTIONS(3727),
    [aux_sym_boolean_literal_token2] = ACTIONS(3727),
    [aux_sym_null_literal_token1] = ACTIONS(3723),
    [aux_sym_identifier_token1] = ACTIONS(3723),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3727),
    [sym__float_literal] = ACTIONS(3727),
    [sym__boz_literal] = ACTIONS(3727),
    [sym__string_literal] = ACTIONS(3727),
    [sym__string_literal_kind] = ACTIONS(3727),
  },
  [1545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3783),
    [aux_sym_preproc_def_token1] = ACTIONS(3783),
    [aux_sym_preproc_if_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3783),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [sym_preproc_comment] = ACTIONS(3785),
    [anon_sym_PLUS] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3783),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3783),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3783),
    [aux_sym_contains_statement_token1] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3783),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3783),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3783),
    [aux_sym_stop_statement_token1] = ACTIONS(3783),
    [aux_sym_stop_statement_token2] = ACTIONS(3783),
    [aux_sym_subroutine_call_token1] = ACTIONS(3783),
    [aux_sym_keyword_statement_token1] = ACTIONS(3783),
    [aux_sym_keyword_statement_token2] = ACTIONS(3783),
    [aux_sym_keyword_statement_token3] = ACTIONS(3783),
    [aux_sym_keyword_statement_token4] = ACTIONS(3783),
    [aux_sym_keyword_statement_token6] = ACTIONS(3783),
    [aux_sym_keyword_statement_token7] = ACTIONS(3783),
    [aux_sym_include_statement_token1] = ACTIONS(3783),
    [aux_sym_data_statement_token1] = ACTIONS(3783),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3783),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3783),
    [aux_sym_end_if_statement_token1] = ACTIONS(3783),
    [aux_sym_elseif_clause_token2] = ACTIONS(3783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3783),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3783),
    [aux_sym_select_case_statement_token1] = ACTIONS(3783),
    [aux_sym_select_case_statement_token3] = ACTIONS(3783),
    [aux_sym_select_type_statement_token1] = ACTIONS(3783),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3783),
    [aux_sym_block_construct_token1] = ACTIONS(3783),
    [aux_sym_associate_statement_token1] = ACTIONS(3783),
    [aux_sym_format_statement_token1] = ACTIONS(3783),
    [aux_sym_print_statement_token1] = ACTIONS(3783),
    [aux_sym_open_statement_token1] = ACTIONS(3783),
    [aux_sym_close_statement_token1] = ACTIONS(3783),
    [aux_sym_inquire_statement_token1] = ACTIONS(3783),
    [aux_sym_file_position_statement_token1] = ACTIONS(3783),
    [aux_sym_file_position_statement_token2] = ACTIONS(3783),
    [aux_sym_file_position_statement_token3] = ACTIONS(3783),
    [aux_sym_file_position_statement_token4] = ACTIONS(3783),
    [aux_sym_logical_expression_token5] = ACTIONS(3787),
    [anon_sym_DOT] = ACTIONS(3783),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3787),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [aux_sym_boolean_literal_token1] = ACTIONS(3787),
    [aux_sym_boolean_literal_token2] = ACTIONS(3787),
    [aux_sym_null_literal_token1] = ACTIONS(3783),
    [aux_sym_identifier_token1] = ACTIONS(3783),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3787),
    [sym__float_literal] = ACTIONS(3787),
    [sym__boz_literal] = ACTIONS(3787),
    [sym__string_literal] = ACTIONS(3787),
    [sym__string_literal_kind] = ACTIONS(3787),
  },
  [1546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3717),
    [aux_sym_preproc_def_token1] = ACTIONS(3717),
    [aux_sym_preproc_if_token1] = ACTIONS(3717),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3717),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3717),
    [sym_preproc_directive] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3717),
    [sym_preproc_comment] = ACTIONS(3789),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3717),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3717),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3717),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3717),
    [aux_sym_contains_statement_token1] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3717),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3717),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3717),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3717),
    [aux_sym_stop_statement_token1] = ACTIONS(3717),
    [aux_sym_stop_statement_token2] = ACTIONS(3717),
    [aux_sym_subroutine_call_token1] = ACTIONS(3717),
    [aux_sym_keyword_statement_token1] = ACTIONS(3717),
    [aux_sym_keyword_statement_token2] = ACTIONS(3717),
    [aux_sym_keyword_statement_token3] = ACTIONS(3717),
    [aux_sym_keyword_statement_token4] = ACTIONS(3717),
    [aux_sym_keyword_statement_token6] = ACTIONS(3717),
    [aux_sym_keyword_statement_token7] = ACTIONS(3717),
    [aux_sym_include_statement_token1] = ACTIONS(3717),
    [aux_sym_data_statement_token1] = ACTIONS(3717),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3717),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3717),
    [aux_sym_end_if_statement_token1] = ACTIONS(3717),
    [aux_sym_elseif_clause_token2] = ACTIONS(3717),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3717),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3717),
    [aux_sym_select_case_statement_token1] = ACTIONS(3717),
    [aux_sym_select_case_statement_token3] = ACTIONS(3717),
    [aux_sym_select_type_statement_token1] = ACTIONS(3717),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3717),
    [aux_sym_block_construct_token1] = ACTIONS(3717),
    [aux_sym_associate_statement_token1] = ACTIONS(3717),
    [aux_sym_format_statement_token1] = ACTIONS(3717),
    [aux_sym_print_statement_token1] = ACTIONS(3717),
    [aux_sym_open_statement_token1] = ACTIONS(3717),
    [aux_sym_close_statement_token1] = ACTIONS(3717),
    [aux_sym_inquire_statement_token1] = ACTIONS(3717),
    [aux_sym_file_position_statement_token1] = ACTIONS(3717),
    [aux_sym_file_position_statement_token2] = ACTIONS(3717),
    [aux_sym_file_position_statement_token3] = ACTIONS(3717),
    [aux_sym_file_position_statement_token4] = ACTIONS(3717),
    [aux_sym_logical_expression_token5] = ACTIONS(3721),
    [anon_sym_DOT] = ACTIONS(3717),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3721),
    [aux_sym_boolean_literal_token1] = ACTIONS(3721),
    [aux_sym_boolean_literal_token2] = ACTIONS(3721),
    [aux_sym_null_literal_token1] = ACTIONS(3717),
    [aux_sym_identifier_token1] = ACTIONS(3717),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3721),
    [sym__float_literal] = ACTIONS(3721),
    [sym__boz_literal] = ACTIONS(3721),
    [sym__string_literal] = ACTIONS(3721),
    [sym__string_literal_kind] = ACTIONS(3721),
  },
  [1547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3791),
    [aux_sym_preproc_def_token1] = ACTIONS(3791),
    [aux_sym_preproc_if_token1] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3791),
    [sym_preproc_directive] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(3791),
    [sym_preproc_comment] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3791),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3791),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3791),
    [aux_sym_contains_statement_token1] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3791),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3791),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3791),
    [aux_sym_stop_statement_token1] = ACTIONS(3791),
    [aux_sym_stop_statement_token2] = ACTIONS(3791),
    [aux_sym_subroutine_call_token1] = ACTIONS(3791),
    [aux_sym_keyword_statement_token1] = ACTIONS(3791),
    [aux_sym_keyword_statement_token2] = ACTIONS(3791),
    [aux_sym_keyword_statement_token3] = ACTIONS(3791),
    [aux_sym_keyword_statement_token4] = ACTIONS(3791),
    [aux_sym_keyword_statement_token6] = ACTIONS(3791),
    [aux_sym_keyword_statement_token7] = ACTIONS(3791),
    [aux_sym_include_statement_token1] = ACTIONS(3791),
    [aux_sym_data_statement_token1] = ACTIONS(3791),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3791),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3791),
    [aux_sym_end_if_statement_token1] = ACTIONS(3791),
    [aux_sym_elseif_clause_token2] = ACTIONS(3791),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3791),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3791),
    [aux_sym_select_case_statement_token1] = ACTIONS(3791),
    [aux_sym_select_case_statement_token3] = ACTIONS(3791),
    [aux_sym_select_type_statement_token1] = ACTIONS(3791),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3791),
    [aux_sym_block_construct_token1] = ACTIONS(3791),
    [aux_sym_associate_statement_token1] = ACTIONS(3791),
    [aux_sym_format_statement_token1] = ACTIONS(3791),
    [aux_sym_print_statement_token1] = ACTIONS(3791),
    [aux_sym_open_statement_token1] = ACTIONS(3791),
    [aux_sym_close_statement_token1] = ACTIONS(3791),
    [aux_sym_inquire_statement_token1] = ACTIONS(3791),
    [aux_sym_file_position_statement_token1] = ACTIONS(3791),
    [aux_sym_file_position_statement_token2] = ACTIONS(3791),
    [aux_sym_file_position_statement_token3] = ACTIONS(3791),
    [aux_sym_file_position_statement_token4] = ACTIONS(3791),
    [aux_sym_logical_expression_token5] = ACTIONS(3795),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [aux_sym_boolean_literal_token1] = ACTIONS(3795),
    [aux_sym_boolean_literal_token2] = ACTIONS(3795),
    [aux_sym_null_literal_token1] = ACTIONS(3791),
    [aux_sym_identifier_token1] = ACTIONS(3791),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3795),
    [sym__float_literal] = ACTIONS(3795),
    [sym__boz_literal] = ACTIONS(3795),
    [sym__string_literal] = ACTIONS(3795),
    [sym__string_literal_kind] = ACTIONS(3795),
  },
  [1548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_implicit_statement_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym_derived_type_token1] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_end_select_statement_token1] = ACTIONS(2417),
    [aux_sym_type_statement_token2] = ACTIONS(2417),
    [aux_sym_type_statement_token3] = ACTIONS(2417),
    [aux_sym__class_default_token1] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3749),
    [aux_sym_preproc_def_token1] = ACTIONS(3749),
    [aux_sym_preproc_if_token1] = ACTIONS(3749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3749),
    [sym_preproc_directive] = ACTIONS(3749),
    [anon_sym_LPAREN2] = ACTIONS(3749),
    [sym_preproc_comment] = ACTIONS(3797),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3749),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3749),
    [aux_sym_contains_statement_token1] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3749),
    [aux_sym_stop_statement_token1] = ACTIONS(3749),
    [aux_sym_stop_statement_token2] = ACTIONS(3749),
    [aux_sym_subroutine_call_token1] = ACTIONS(3749),
    [aux_sym_keyword_statement_token1] = ACTIONS(3749),
    [aux_sym_keyword_statement_token2] = ACTIONS(3749),
    [aux_sym_keyword_statement_token3] = ACTIONS(3749),
    [aux_sym_keyword_statement_token4] = ACTIONS(3749),
    [aux_sym_keyword_statement_token6] = ACTIONS(3749),
    [aux_sym_keyword_statement_token7] = ACTIONS(3749),
    [aux_sym_include_statement_token1] = ACTIONS(3749),
    [aux_sym_data_statement_token1] = ACTIONS(3749),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3749),
    [aux_sym_end_if_statement_token1] = ACTIONS(3749),
    [aux_sym_elseif_clause_token2] = ACTIONS(3749),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3749),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3749),
    [aux_sym_select_case_statement_token1] = ACTIONS(3749),
    [aux_sym_select_case_statement_token3] = ACTIONS(3749),
    [aux_sym_select_type_statement_token1] = ACTIONS(3749),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3749),
    [aux_sym_block_construct_token1] = ACTIONS(3749),
    [aux_sym_associate_statement_token1] = ACTIONS(3749),
    [aux_sym_format_statement_token1] = ACTIONS(3749),
    [aux_sym_print_statement_token1] = ACTIONS(3749),
    [aux_sym_open_statement_token1] = ACTIONS(3749),
    [aux_sym_close_statement_token1] = ACTIONS(3749),
    [aux_sym_inquire_statement_token1] = ACTIONS(3749),
    [aux_sym_file_position_statement_token1] = ACTIONS(3749),
    [aux_sym_file_position_statement_token2] = ACTIONS(3749),
    [aux_sym_file_position_statement_token3] = ACTIONS(3749),
    [aux_sym_file_position_statement_token4] = ACTIONS(3749),
    [aux_sym_logical_expression_token5] = ACTIONS(3753),
    [anon_sym_DOT] = ACTIONS(3749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [aux_sym_boolean_literal_token1] = ACTIONS(3753),
    [aux_sym_boolean_literal_token2] = ACTIONS(3753),
    [aux_sym_null_literal_token1] = ACTIONS(3749),
    [aux_sym_identifier_token1] = ACTIONS(3749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3753),
    [sym__float_literal] = ACTIONS(3753),
    [sym__boz_literal] = ACTIONS(3753),
    [sym__string_literal] = ACTIONS(3753),
    [sym__string_literal_kind] = ACTIONS(3753),
  },
  [1550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3761),
    [aux_sym_preproc_def_token1] = ACTIONS(3761),
    [aux_sym_preproc_if_token1] = ACTIONS(3761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3761),
    [sym_preproc_directive] = ACTIONS(3761),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [sym_preproc_comment] = ACTIONS(3799),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3761),
    [aux_sym_end_function_statement_token1] = ACTIONS(3761),
    [aux_sym_contains_statement_token1] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3761),
    [aux_sym_stop_statement_token1] = ACTIONS(3761),
    [aux_sym_stop_statement_token2] = ACTIONS(3761),
    [aux_sym_subroutine_call_token1] = ACTIONS(3761),
    [aux_sym_keyword_statement_token1] = ACTIONS(3761),
    [aux_sym_keyword_statement_token2] = ACTIONS(3761),
    [aux_sym_keyword_statement_token3] = ACTIONS(3761),
    [aux_sym_keyword_statement_token4] = ACTIONS(3761),
    [aux_sym_keyword_statement_token6] = ACTIONS(3761),
    [aux_sym_keyword_statement_token7] = ACTIONS(3761),
    [aux_sym_include_statement_token1] = ACTIONS(3761),
    [aux_sym_data_statement_token1] = ACTIONS(3761),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3761),
    [aux_sym_end_if_statement_token1] = ACTIONS(3761),
    [aux_sym_elseif_clause_token2] = ACTIONS(3761),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3761),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3761),
    [aux_sym_select_case_statement_token1] = ACTIONS(3761),
    [aux_sym_select_case_statement_token3] = ACTIONS(3761),
    [aux_sym_select_type_statement_token1] = ACTIONS(3761),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3761),
    [aux_sym_block_construct_token1] = ACTIONS(3761),
    [aux_sym_associate_statement_token1] = ACTIONS(3761),
    [aux_sym_format_statement_token1] = ACTIONS(3761),
    [aux_sym_print_statement_token1] = ACTIONS(3761),
    [aux_sym_open_statement_token1] = ACTIONS(3761),
    [aux_sym_close_statement_token1] = ACTIONS(3761),
    [aux_sym_inquire_statement_token1] = ACTIONS(3761),
    [aux_sym_file_position_statement_token1] = ACTIONS(3761),
    [aux_sym_file_position_statement_token2] = ACTIONS(3761),
    [aux_sym_file_position_statement_token3] = ACTIONS(3761),
    [aux_sym_file_position_statement_token4] = ACTIONS(3761),
    [aux_sym_logical_expression_token5] = ACTIONS(3765),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [aux_sym_boolean_literal_token1] = ACTIONS(3765),
    [aux_sym_boolean_literal_token2] = ACTIONS(3765),
    [aux_sym_null_literal_token1] = ACTIONS(3761),
    [aux_sym_identifier_token1] = ACTIONS(3761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3765),
    [sym__float_literal] = ACTIONS(3765),
    [sym__boz_literal] = ACTIONS(3765),
    [sym__string_literal] = ACTIONS(3765),
    [sym__string_literal_kind] = ACTIONS(3765),
  },
  [1551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3775),
    [aux_sym_preproc_def_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3775),
    [sym_preproc_directive] = ACTIONS(3775),
    [anon_sym_LPAREN2] = ACTIONS(3775),
    [sym_preproc_comment] = ACTIONS(3801),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3775),
    [aux_sym_end_function_statement_token1] = ACTIONS(3775),
    [aux_sym_contains_statement_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3775),
    [aux_sym_stop_statement_token1] = ACTIONS(3775),
    [aux_sym_stop_statement_token2] = ACTIONS(3775),
    [aux_sym_subroutine_call_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token2] = ACTIONS(3775),
    [aux_sym_keyword_statement_token3] = ACTIONS(3775),
    [aux_sym_keyword_statement_token4] = ACTIONS(3775),
    [aux_sym_keyword_statement_token6] = ACTIONS(3775),
    [aux_sym_keyword_statement_token7] = ACTIONS(3775),
    [aux_sym_include_statement_token1] = ACTIONS(3775),
    [aux_sym_data_statement_token1] = ACTIONS(3775),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3775),
    [aux_sym_end_if_statement_token1] = ACTIONS(3775),
    [aux_sym_elseif_clause_token2] = ACTIONS(3775),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3775),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token3] = ACTIONS(3775),
    [aux_sym_select_type_statement_token1] = ACTIONS(3775),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3775),
    [aux_sym_block_construct_token1] = ACTIONS(3775),
    [aux_sym_associate_statement_token1] = ACTIONS(3775),
    [aux_sym_format_statement_token1] = ACTIONS(3775),
    [aux_sym_print_statement_token1] = ACTIONS(3775),
    [aux_sym_open_statement_token1] = ACTIONS(3775),
    [aux_sym_close_statement_token1] = ACTIONS(3775),
    [aux_sym_inquire_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token2] = ACTIONS(3775),
    [aux_sym_file_position_statement_token3] = ACTIONS(3775),
    [aux_sym_file_position_statement_token4] = ACTIONS(3775),
    [aux_sym_logical_expression_token5] = ACTIONS(3779),
    [anon_sym_DOT] = ACTIONS(3775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [aux_sym_boolean_literal_token1] = ACTIONS(3779),
    [aux_sym_boolean_literal_token2] = ACTIONS(3779),
    [aux_sym_null_literal_token1] = ACTIONS(3775),
    [aux_sym_identifier_token1] = ACTIONS(3775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3779),
    [sym__float_literal] = ACTIONS(3779),
    [sym__boz_literal] = ACTIONS(3779),
    [sym__string_literal] = ACTIONS(3779),
    [sym__string_literal_kind] = ACTIONS(3779),
  },
  [1552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3723),
    [aux_sym_preproc_def_token1] = ACTIONS(3723),
    [aux_sym_preproc_if_token1] = ACTIONS(3723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3723),
    [sym_preproc_directive] = ACTIONS(3723),
    [anon_sym_LPAREN2] = ACTIONS(3723),
    [sym_preproc_comment] = ACTIONS(3803),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3723),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3723),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3723),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3723),
    [aux_sym_contains_statement_token1] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3723),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3723),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3723),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3723),
    [aux_sym_stop_statement_token1] = ACTIONS(3723),
    [aux_sym_stop_statement_token2] = ACTIONS(3723),
    [aux_sym_subroutine_call_token1] = ACTIONS(3723),
    [aux_sym_keyword_statement_token1] = ACTIONS(3723),
    [aux_sym_keyword_statement_token2] = ACTIONS(3723),
    [aux_sym_keyword_statement_token3] = ACTIONS(3723),
    [aux_sym_keyword_statement_token4] = ACTIONS(3723),
    [aux_sym_keyword_statement_token6] = ACTIONS(3723),
    [aux_sym_keyword_statement_token7] = ACTIONS(3723),
    [aux_sym_include_statement_token1] = ACTIONS(3723),
    [aux_sym_data_statement_token1] = ACTIONS(3723),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3723),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3723),
    [aux_sym_end_if_statement_token1] = ACTIONS(3723),
    [aux_sym_elseif_clause_token2] = ACTIONS(3723),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3723),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3723),
    [aux_sym_select_case_statement_token1] = ACTIONS(3723),
    [aux_sym_select_case_statement_token3] = ACTIONS(3723),
    [aux_sym_select_type_statement_token1] = ACTIONS(3723),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3723),
    [aux_sym_block_construct_token1] = ACTIONS(3723),
    [aux_sym_associate_statement_token1] = ACTIONS(3723),
    [aux_sym_format_statement_token1] = ACTIONS(3723),
    [aux_sym_print_statement_token1] = ACTIONS(3723),
    [aux_sym_open_statement_token1] = ACTIONS(3723),
    [aux_sym_close_statement_token1] = ACTIONS(3723),
    [aux_sym_inquire_statement_token1] = ACTIONS(3723),
    [aux_sym_file_position_statement_token1] = ACTIONS(3723),
    [aux_sym_file_position_statement_token2] = ACTIONS(3723),
    [aux_sym_file_position_statement_token3] = ACTIONS(3723),
    [aux_sym_file_position_statement_token4] = ACTIONS(3723),
    [aux_sym_logical_expression_token5] = ACTIONS(3727),
    [anon_sym_DOT] = ACTIONS(3723),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3727),
    [aux_sym_boolean_literal_token1] = ACTIONS(3727),
    [aux_sym_boolean_literal_token2] = ACTIONS(3727),
    [aux_sym_null_literal_token1] = ACTIONS(3723),
    [aux_sym_identifier_token1] = ACTIONS(3723),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3727),
    [sym__float_literal] = ACTIONS(3727),
    [sym__boz_literal] = ACTIONS(3727),
    [sym__string_literal] = ACTIONS(3727),
    [sym__string_literal_kind] = ACTIONS(3727),
  },
  [1553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3755),
    [aux_sym_preproc_def_token1] = ACTIONS(3755),
    [aux_sym_preproc_if_token1] = ACTIONS(3755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3755),
    [sym_preproc_directive] = ACTIONS(3755),
    [anon_sym_LPAREN2] = ACTIONS(3755),
    [sym_preproc_comment] = ACTIONS(3805),
    [anon_sym_PLUS] = ACTIONS(3759),
    [anon_sym_DASH] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3755),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3755),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3755),
    [aux_sym_contains_statement_token1] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3755),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3755),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3755),
    [aux_sym_stop_statement_token1] = ACTIONS(3755),
    [aux_sym_stop_statement_token2] = ACTIONS(3755),
    [aux_sym_subroutine_call_token1] = ACTIONS(3755),
    [aux_sym_keyword_statement_token1] = ACTIONS(3755),
    [aux_sym_keyword_statement_token2] = ACTIONS(3755),
    [aux_sym_keyword_statement_token3] = ACTIONS(3755),
    [aux_sym_keyword_statement_token4] = ACTIONS(3755),
    [aux_sym_keyword_statement_token6] = ACTIONS(3755),
    [aux_sym_keyword_statement_token7] = ACTIONS(3755),
    [aux_sym_include_statement_token1] = ACTIONS(3755),
    [aux_sym_data_statement_token1] = ACTIONS(3755),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3755),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3755),
    [aux_sym_end_if_statement_token1] = ACTIONS(3755),
    [aux_sym_elseif_clause_token2] = ACTIONS(3755),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3755),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3755),
    [aux_sym_select_case_statement_token1] = ACTIONS(3755),
    [aux_sym_select_case_statement_token3] = ACTIONS(3755),
    [aux_sym_select_type_statement_token1] = ACTIONS(3755),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3755),
    [aux_sym_block_construct_token1] = ACTIONS(3755),
    [aux_sym_associate_statement_token1] = ACTIONS(3755),
    [aux_sym_format_statement_token1] = ACTIONS(3755),
    [aux_sym_print_statement_token1] = ACTIONS(3755),
    [aux_sym_open_statement_token1] = ACTIONS(3755),
    [aux_sym_close_statement_token1] = ACTIONS(3755),
    [aux_sym_inquire_statement_token1] = ACTIONS(3755),
    [aux_sym_file_position_statement_token1] = ACTIONS(3755),
    [aux_sym_file_position_statement_token2] = ACTIONS(3755),
    [aux_sym_file_position_statement_token3] = ACTIONS(3755),
    [aux_sym_file_position_statement_token4] = ACTIONS(3755),
    [aux_sym_logical_expression_token5] = ACTIONS(3759),
    [anon_sym_DOT] = ACTIONS(3755),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [aux_sym_boolean_literal_token1] = ACTIONS(3759),
    [aux_sym_boolean_literal_token2] = ACTIONS(3759),
    [aux_sym_null_literal_token1] = ACTIONS(3755),
    [aux_sym_identifier_token1] = ACTIONS(3755),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3759),
    [sym__float_literal] = ACTIONS(3759),
    [sym__boz_literal] = ACTIONS(3759),
    [sym__string_literal] = ACTIONS(3759),
    [sym__string_literal_kind] = ACTIONS(3759),
  },
  [1554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3713),
    [aux_sym_preproc_def_token1] = ACTIONS(3713),
    [sym_preproc_directive] = ACTIONS(3713),
    [anon_sym_LPAREN2] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3715),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3713),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3713),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3713),
    [aux_sym_implicit_statement_token3] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3713),
    [aux_sym_derived_type_token1] = ACTIONS(3713),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3713),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3713),
    [aux_sym_stop_statement_token1] = ACTIONS(3713),
    [aux_sym_stop_statement_token2] = ACTIONS(3713),
    [aux_sym_subroutine_call_token1] = ACTIONS(3713),
    [aux_sym_keyword_statement_token1] = ACTIONS(3713),
    [aux_sym_keyword_statement_token2] = ACTIONS(3713),
    [aux_sym_keyword_statement_token3] = ACTIONS(3713),
    [aux_sym_keyword_statement_token4] = ACTIONS(3713),
    [aux_sym_keyword_statement_token6] = ACTIONS(3713),
    [aux_sym_keyword_statement_token7] = ACTIONS(3713),
    [aux_sym_include_statement_token1] = ACTIONS(3713),
    [aux_sym_data_statement_token1] = ACTIONS(3713),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3713),
    [aux_sym_end_if_statement_token1] = ACTIONS(3713),
    [aux_sym_elseif_clause_token2] = ACTIONS(3713),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3713),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3713),
    [aux_sym_select_case_statement_token1] = ACTIONS(3713),
    [aux_sym_select_case_statement_token3] = ACTIONS(3713),
    [aux_sym_select_type_statement_token1] = ACTIONS(3713),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3713),
    [aux_sym_end_select_statement_token1] = ACTIONS(3713),
    [aux_sym_type_statement_token2] = ACTIONS(3713),
    [aux_sym_type_statement_token3] = ACTIONS(3713),
    [aux_sym__class_default_token1] = ACTIONS(3713),
    [aux_sym_block_construct_token1] = ACTIONS(3713),
    [aux_sym_associate_statement_token1] = ACTIONS(3713),
    [aux_sym_format_statement_token1] = ACTIONS(3713),
    [aux_sym_print_statement_token1] = ACTIONS(3713),
    [aux_sym_open_statement_token1] = ACTIONS(3713),
    [aux_sym_close_statement_token1] = ACTIONS(3713),
    [aux_sym_inquire_statement_token1] = ACTIONS(3713),
    [aux_sym_file_position_statement_token1] = ACTIONS(3713),
    [aux_sym_file_position_statement_token2] = ACTIONS(3713),
    [aux_sym_file_position_statement_token3] = ACTIONS(3713),
    [aux_sym_file_position_statement_token4] = ACTIONS(3713),
    [aux_sym_logical_expression_token5] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [aux_sym_boolean_literal_token1] = ACTIONS(3715),
    [aux_sym_boolean_literal_token2] = ACTIONS(3715),
    [aux_sym_null_literal_token1] = ACTIONS(3713),
    [aux_sym_identifier_token1] = ACTIONS(3713),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3715),
    [sym__float_literal] = ACTIONS(3715),
    [sym__boz_literal] = ACTIONS(3715),
    [sym__string_literal] = ACTIONS(3715),
    [sym__string_literal_kind] = ACTIONS(3715),
  },
  [1555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_implicit_statement_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym_derived_type_token1] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_end_select_statement_token1] = ACTIONS(2441),
    [aux_sym_type_statement_token2] = ACTIONS(2441),
    [aux_sym_type_statement_token3] = ACTIONS(2441),
    [aux_sym__class_default_token1] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3807),
    [aux_sym_preproc_def_token1] = ACTIONS(3807),
    [aux_sym_preproc_if_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3807),
    [sym_preproc_directive] = ACTIONS(3807),
    [anon_sym_LPAREN2] = ACTIONS(3807),
    [sym_preproc_comment] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3807),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3807),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3807),
    [aux_sym_end_function_statement_token1] = ACTIONS(3807),
    [aux_sym_contains_statement_token1] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3807),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3807),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3807),
    [aux_sym_stop_statement_token1] = ACTIONS(3807),
    [aux_sym_stop_statement_token2] = ACTIONS(3807),
    [aux_sym_subroutine_call_token1] = ACTIONS(3807),
    [aux_sym_keyword_statement_token1] = ACTIONS(3807),
    [aux_sym_keyword_statement_token2] = ACTIONS(3807),
    [aux_sym_keyword_statement_token3] = ACTIONS(3807),
    [aux_sym_keyword_statement_token4] = ACTIONS(3807),
    [aux_sym_keyword_statement_token6] = ACTIONS(3807),
    [aux_sym_keyword_statement_token7] = ACTIONS(3807),
    [aux_sym_include_statement_token1] = ACTIONS(3807),
    [aux_sym_data_statement_token1] = ACTIONS(3807),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3807),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3807),
    [aux_sym_end_if_statement_token1] = ACTIONS(3807),
    [aux_sym_elseif_clause_token2] = ACTIONS(3807),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3807),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3807),
    [aux_sym_select_case_statement_token1] = ACTIONS(3807),
    [aux_sym_select_case_statement_token3] = ACTIONS(3807),
    [aux_sym_select_type_statement_token1] = ACTIONS(3807),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3807),
    [aux_sym_block_construct_token1] = ACTIONS(3807),
    [aux_sym_associate_statement_token1] = ACTIONS(3807),
    [aux_sym_format_statement_token1] = ACTIONS(3807),
    [aux_sym_print_statement_token1] = ACTIONS(3807),
    [aux_sym_open_statement_token1] = ACTIONS(3807),
    [aux_sym_close_statement_token1] = ACTIONS(3807),
    [aux_sym_inquire_statement_token1] = ACTIONS(3807),
    [aux_sym_file_position_statement_token1] = ACTIONS(3807),
    [aux_sym_file_position_statement_token2] = ACTIONS(3807),
    [aux_sym_file_position_statement_token3] = ACTIONS(3807),
    [aux_sym_file_position_statement_token4] = ACTIONS(3807),
    [aux_sym_logical_expression_token5] = ACTIONS(3811),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(3811),
    [aux_sym_boolean_literal_token1] = ACTIONS(3811),
    [aux_sym_boolean_literal_token2] = ACTIONS(3811),
    [aux_sym_null_literal_token1] = ACTIONS(3807),
    [aux_sym_identifier_token1] = ACTIONS(3807),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3811),
    [sym__float_literal] = ACTIONS(3811),
    [sym__boz_literal] = ACTIONS(3811),
    [sym__string_literal] = ACTIONS(3811),
    [sym__string_literal_kind] = ACTIONS(3811),
  },
  [1557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3735),
    [aux_sym_preproc_def_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3735),
    [sym_preproc_directive] = ACTIONS(3735),
    [anon_sym_LPAREN2] = ACTIONS(3735),
    [sym_preproc_comment] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3735),
    [aux_sym_end_function_statement_token1] = ACTIONS(3735),
    [aux_sym_contains_statement_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3735),
    [aux_sym_stop_statement_token1] = ACTIONS(3735),
    [aux_sym_stop_statement_token2] = ACTIONS(3735),
    [aux_sym_subroutine_call_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token2] = ACTIONS(3735),
    [aux_sym_keyword_statement_token3] = ACTIONS(3735),
    [aux_sym_keyword_statement_token4] = ACTIONS(3735),
    [aux_sym_keyword_statement_token6] = ACTIONS(3735),
    [aux_sym_keyword_statement_token7] = ACTIONS(3735),
    [aux_sym_include_statement_token1] = ACTIONS(3735),
    [aux_sym_data_statement_token1] = ACTIONS(3735),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3735),
    [aux_sym_end_if_statement_token1] = ACTIONS(3735),
    [aux_sym_elseif_clause_token2] = ACTIONS(3735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3735),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token3] = ACTIONS(3735),
    [aux_sym_select_type_statement_token1] = ACTIONS(3735),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3735),
    [aux_sym_block_construct_token1] = ACTIONS(3735),
    [aux_sym_associate_statement_token1] = ACTIONS(3735),
    [aux_sym_format_statement_token1] = ACTIONS(3735),
    [aux_sym_print_statement_token1] = ACTIONS(3735),
    [aux_sym_open_statement_token1] = ACTIONS(3735),
    [aux_sym_close_statement_token1] = ACTIONS(3735),
    [aux_sym_inquire_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token2] = ACTIONS(3735),
    [aux_sym_file_position_statement_token3] = ACTIONS(3735),
    [aux_sym_file_position_statement_token4] = ACTIONS(3735),
    [aux_sym_logical_expression_token5] = ACTIONS(3739),
    [anon_sym_DOT] = ACTIONS(3735),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [aux_sym_boolean_literal_token1] = ACTIONS(3739),
    [aux_sym_boolean_literal_token2] = ACTIONS(3739),
    [aux_sym_null_literal_token1] = ACTIONS(3735),
    [aux_sym_identifier_token1] = ACTIONS(3735),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3739),
    [sym__float_literal] = ACTIONS(3739),
    [sym__boz_literal] = ACTIONS(3739),
    [sym__string_literal] = ACTIONS(3739),
    [sym__string_literal_kind] = ACTIONS(3739),
  },
  [1558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3741),
    [aux_sym_preproc_def_token1] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3741),
    [sym_preproc_directive] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3741),
    [sym_preproc_comment] = ACTIONS(3815),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3741),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3741),
    [aux_sym_contains_statement_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3741),
    [aux_sym_stop_statement_token1] = ACTIONS(3741),
    [aux_sym_stop_statement_token2] = ACTIONS(3741),
    [aux_sym_subroutine_call_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token2] = ACTIONS(3741),
    [aux_sym_keyword_statement_token3] = ACTIONS(3741),
    [aux_sym_keyword_statement_token4] = ACTIONS(3741),
    [aux_sym_keyword_statement_token6] = ACTIONS(3741),
    [aux_sym_keyword_statement_token7] = ACTIONS(3741),
    [aux_sym_include_statement_token1] = ACTIONS(3741),
    [aux_sym_data_statement_token1] = ACTIONS(3741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3741),
    [aux_sym_end_if_statement_token1] = ACTIONS(3741),
    [aux_sym_elseif_clause_token2] = ACTIONS(3741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token3] = ACTIONS(3741),
    [aux_sym_select_type_statement_token1] = ACTIONS(3741),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3741),
    [aux_sym_block_construct_token1] = ACTIONS(3741),
    [aux_sym_associate_statement_token1] = ACTIONS(3741),
    [aux_sym_format_statement_token1] = ACTIONS(3741),
    [aux_sym_print_statement_token1] = ACTIONS(3741),
    [aux_sym_open_statement_token1] = ACTIONS(3741),
    [aux_sym_close_statement_token1] = ACTIONS(3741),
    [aux_sym_inquire_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token2] = ACTIONS(3741),
    [aux_sym_file_position_statement_token3] = ACTIONS(3741),
    [aux_sym_file_position_statement_token4] = ACTIONS(3741),
    [aux_sym_logical_expression_token5] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(3741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3745),
    [aux_sym_boolean_literal_token1] = ACTIONS(3745),
    [aux_sym_boolean_literal_token2] = ACTIONS(3745),
    [aux_sym_null_literal_token1] = ACTIONS(3741),
    [aux_sym_identifier_token1] = ACTIONS(3741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3745),
    [sym__float_literal] = ACTIONS(3745),
    [sym__boz_literal] = ACTIONS(3745),
    [sym__string_literal] = ACTIONS(3745),
    [sym__string_literal_kind] = ACTIONS(3745),
  },
  [1559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_implicit_statement_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym_derived_type_token1] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_end_select_statement_token1] = ACTIONS(2461),
    [aux_sym_type_statement_token2] = ACTIONS(2461),
    [aux_sym_type_statement_token3] = ACTIONS(2461),
    [aux_sym__class_default_token1] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3769),
    [aux_sym_preproc_def_token1] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3769),
    [sym_preproc_directive] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3769),
    [sym_preproc_comment] = ACTIONS(3817),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3769),
    [aux_sym_end_function_statement_token1] = ACTIONS(3769),
    [aux_sym_contains_statement_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3769),
    [aux_sym_stop_statement_token1] = ACTIONS(3769),
    [aux_sym_stop_statement_token2] = ACTIONS(3769),
    [aux_sym_subroutine_call_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token2] = ACTIONS(3769),
    [aux_sym_keyword_statement_token3] = ACTIONS(3769),
    [aux_sym_keyword_statement_token4] = ACTIONS(3769),
    [aux_sym_keyword_statement_token6] = ACTIONS(3769),
    [aux_sym_keyword_statement_token7] = ACTIONS(3769),
    [aux_sym_include_statement_token1] = ACTIONS(3769),
    [aux_sym_data_statement_token1] = ACTIONS(3769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3769),
    [aux_sym_end_if_statement_token1] = ACTIONS(3769),
    [aux_sym_elseif_clause_token2] = ACTIONS(3769),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3769),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token3] = ACTIONS(3769),
    [aux_sym_select_type_statement_token1] = ACTIONS(3769),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3769),
    [aux_sym_block_construct_token1] = ACTIONS(3769),
    [aux_sym_associate_statement_token1] = ACTIONS(3769),
    [aux_sym_format_statement_token1] = ACTIONS(3769),
    [aux_sym_print_statement_token1] = ACTIONS(3769),
    [aux_sym_open_statement_token1] = ACTIONS(3769),
    [aux_sym_close_statement_token1] = ACTIONS(3769),
    [aux_sym_inquire_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token2] = ACTIONS(3769),
    [aux_sym_file_position_statement_token3] = ACTIONS(3769),
    [aux_sym_file_position_statement_token4] = ACTIONS(3769),
    [aux_sym_logical_expression_token5] = ACTIONS(3773),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3773),
    [aux_sym_boolean_literal_token1] = ACTIONS(3773),
    [aux_sym_boolean_literal_token2] = ACTIONS(3773),
    [aux_sym_null_literal_token1] = ACTIONS(3769),
    [aux_sym_identifier_token1] = ACTIONS(3769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3773),
    [sym__float_literal] = ACTIONS(3773),
    [sym__boz_literal] = ACTIONS(3773),
    [sym__string_literal] = ACTIONS(3773),
    [sym__string_literal_kind] = ACTIONS(3773),
  },
  [1561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3783),
    [aux_sym_preproc_def_token1] = ACTIONS(3783),
    [aux_sym_preproc_if_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3783),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [sym_preproc_comment] = ACTIONS(3819),
    [anon_sym_PLUS] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3783),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3783),
    [aux_sym_end_function_statement_token1] = ACTIONS(3783),
    [aux_sym_contains_statement_token1] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3783),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3783),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3783),
    [aux_sym_stop_statement_token1] = ACTIONS(3783),
    [aux_sym_stop_statement_token2] = ACTIONS(3783),
    [aux_sym_subroutine_call_token1] = ACTIONS(3783),
    [aux_sym_keyword_statement_token1] = ACTIONS(3783),
    [aux_sym_keyword_statement_token2] = ACTIONS(3783),
    [aux_sym_keyword_statement_token3] = ACTIONS(3783),
    [aux_sym_keyword_statement_token4] = ACTIONS(3783),
    [aux_sym_keyword_statement_token6] = ACTIONS(3783),
    [aux_sym_keyword_statement_token7] = ACTIONS(3783),
    [aux_sym_include_statement_token1] = ACTIONS(3783),
    [aux_sym_data_statement_token1] = ACTIONS(3783),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3783),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3783),
    [aux_sym_end_if_statement_token1] = ACTIONS(3783),
    [aux_sym_elseif_clause_token2] = ACTIONS(3783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3783),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3783),
    [aux_sym_select_case_statement_token1] = ACTIONS(3783),
    [aux_sym_select_case_statement_token3] = ACTIONS(3783),
    [aux_sym_select_type_statement_token1] = ACTIONS(3783),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3783),
    [aux_sym_block_construct_token1] = ACTIONS(3783),
    [aux_sym_associate_statement_token1] = ACTIONS(3783),
    [aux_sym_format_statement_token1] = ACTIONS(3783),
    [aux_sym_print_statement_token1] = ACTIONS(3783),
    [aux_sym_open_statement_token1] = ACTIONS(3783),
    [aux_sym_close_statement_token1] = ACTIONS(3783),
    [aux_sym_inquire_statement_token1] = ACTIONS(3783),
    [aux_sym_file_position_statement_token1] = ACTIONS(3783),
    [aux_sym_file_position_statement_token2] = ACTIONS(3783),
    [aux_sym_file_position_statement_token3] = ACTIONS(3783),
    [aux_sym_file_position_statement_token4] = ACTIONS(3783),
    [aux_sym_logical_expression_token5] = ACTIONS(3787),
    [anon_sym_DOT] = ACTIONS(3783),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3787),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [aux_sym_boolean_literal_token1] = ACTIONS(3787),
    [aux_sym_boolean_literal_token2] = ACTIONS(3787),
    [aux_sym_null_literal_token1] = ACTIONS(3783),
    [aux_sym_identifier_token1] = ACTIONS(3783),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3787),
    [sym__float_literal] = ACTIONS(3787),
    [sym__boz_literal] = ACTIONS(3787),
    [sym__string_literal] = ACTIONS(3787),
    [sym__string_literal_kind] = ACTIONS(3787),
  },
  [1562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3735),
    [aux_sym_preproc_def_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3735),
    [sym_preproc_directive] = ACTIONS(3735),
    [anon_sym_LPAREN2] = ACTIONS(3735),
    [sym_preproc_comment] = ACTIONS(3821),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3735),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3735),
    [aux_sym_contains_statement_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3735),
    [aux_sym_stop_statement_token1] = ACTIONS(3735),
    [aux_sym_stop_statement_token2] = ACTIONS(3735),
    [aux_sym_subroutine_call_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token2] = ACTIONS(3735),
    [aux_sym_keyword_statement_token3] = ACTIONS(3735),
    [aux_sym_keyword_statement_token4] = ACTIONS(3735),
    [aux_sym_keyword_statement_token6] = ACTIONS(3735),
    [aux_sym_keyword_statement_token7] = ACTIONS(3735),
    [aux_sym_include_statement_token1] = ACTIONS(3735),
    [aux_sym_data_statement_token1] = ACTIONS(3735),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3735),
    [aux_sym_end_if_statement_token1] = ACTIONS(3735),
    [aux_sym_elseif_clause_token2] = ACTIONS(3735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3735),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token3] = ACTIONS(3735),
    [aux_sym_select_type_statement_token1] = ACTIONS(3735),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3735),
    [aux_sym_block_construct_token1] = ACTIONS(3735),
    [aux_sym_associate_statement_token1] = ACTIONS(3735),
    [aux_sym_format_statement_token1] = ACTIONS(3735),
    [aux_sym_print_statement_token1] = ACTIONS(3735),
    [aux_sym_open_statement_token1] = ACTIONS(3735),
    [aux_sym_close_statement_token1] = ACTIONS(3735),
    [aux_sym_inquire_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token2] = ACTIONS(3735),
    [aux_sym_file_position_statement_token3] = ACTIONS(3735),
    [aux_sym_file_position_statement_token4] = ACTIONS(3735),
    [aux_sym_logical_expression_token5] = ACTIONS(3739),
    [anon_sym_DOT] = ACTIONS(3735),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [aux_sym_boolean_literal_token1] = ACTIONS(3739),
    [aux_sym_boolean_literal_token2] = ACTIONS(3739),
    [aux_sym_null_literal_token1] = ACTIONS(3735),
    [aux_sym_identifier_token1] = ACTIONS(3735),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3739),
    [sym__float_literal] = ACTIONS(3739),
    [sym__boz_literal] = ACTIONS(3739),
    [sym__string_literal] = ACTIONS(3739),
    [sym__string_literal_kind] = ACTIONS(3739),
  },
  [1563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3775),
    [aux_sym_preproc_def_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3775),
    [sym_preproc_directive] = ACTIONS(3775),
    [anon_sym_LPAREN2] = ACTIONS(3775),
    [sym_preproc_comment] = ACTIONS(3823),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3775),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3775),
    [aux_sym_contains_statement_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3775),
    [aux_sym_stop_statement_token1] = ACTIONS(3775),
    [aux_sym_stop_statement_token2] = ACTIONS(3775),
    [aux_sym_subroutine_call_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token2] = ACTIONS(3775),
    [aux_sym_keyword_statement_token3] = ACTIONS(3775),
    [aux_sym_keyword_statement_token4] = ACTIONS(3775),
    [aux_sym_keyword_statement_token6] = ACTIONS(3775),
    [aux_sym_keyword_statement_token7] = ACTIONS(3775),
    [aux_sym_include_statement_token1] = ACTIONS(3775),
    [aux_sym_data_statement_token1] = ACTIONS(3775),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3775),
    [aux_sym_end_if_statement_token1] = ACTIONS(3775),
    [aux_sym_elseif_clause_token2] = ACTIONS(3775),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3775),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token3] = ACTIONS(3775),
    [aux_sym_select_type_statement_token1] = ACTIONS(3775),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3775),
    [aux_sym_block_construct_token1] = ACTIONS(3775),
    [aux_sym_associate_statement_token1] = ACTIONS(3775),
    [aux_sym_format_statement_token1] = ACTIONS(3775),
    [aux_sym_print_statement_token1] = ACTIONS(3775),
    [aux_sym_open_statement_token1] = ACTIONS(3775),
    [aux_sym_close_statement_token1] = ACTIONS(3775),
    [aux_sym_inquire_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token2] = ACTIONS(3775),
    [aux_sym_file_position_statement_token3] = ACTIONS(3775),
    [aux_sym_file_position_statement_token4] = ACTIONS(3775),
    [aux_sym_logical_expression_token5] = ACTIONS(3779),
    [anon_sym_DOT] = ACTIONS(3775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [aux_sym_boolean_literal_token1] = ACTIONS(3779),
    [aux_sym_boolean_literal_token2] = ACTIONS(3779),
    [aux_sym_null_literal_token1] = ACTIONS(3775),
    [aux_sym_identifier_token1] = ACTIONS(3775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3779),
    [sym__float_literal] = ACTIONS(3779),
    [sym__boz_literal] = ACTIONS(3779),
    [sym__string_literal] = ACTIONS(3779),
    [sym__string_literal_kind] = ACTIONS(3779),
  },
  [1564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3749),
    [aux_sym_preproc_def_token1] = ACTIONS(3749),
    [aux_sym_preproc_if_token1] = ACTIONS(3749),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3749),
    [sym_preproc_directive] = ACTIONS(3749),
    [anon_sym_LPAREN2] = ACTIONS(3749),
    [sym_preproc_comment] = ACTIONS(3825),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3749),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3749),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3749),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3749),
    [aux_sym_contains_statement_token1] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3749),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3749),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3749),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3749),
    [aux_sym_stop_statement_token1] = ACTIONS(3749),
    [aux_sym_stop_statement_token2] = ACTIONS(3749),
    [aux_sym_subroutine_call_token1] = ACTIONS(3749),
    [aux_sym_keyword_statement_token1] = ACTIONS(3749),
    [aux_sym_keyword_statement_token2] = ACTIONS(3749),
    [aux_sym_keyword_statement_token3] = ACTIONS(3749),
    [aux_sym_keyword_statement_token4] = ACTIONS(3749),
    [aux_sym_keyword_statement_token6] = ACTIONS(3749),
    [aux_sym_keyword_statement_token7] = ACTIONS(3749),
    [aux_sym_include_statement_token1] = ACTIONS(3749),
    [aux_sym_data_statement_token1] = ACTIONS(3749),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3749),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3749),
    [aux_sym_end_if_statement_token1] = ACTIONS(3749),
    [aux_sym_elseif_clause_token2] = ACTIONS(3749),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3749),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3749),
    [aux_sym_select_case_statement_token1] = ACTIONS(3749),
    [aux_sym_select_case_statement_token3] = ACTIONS(3749),
    [aux_sym_select_type_statement_token1] = ACTIONS(3749),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3749),
    [aux_sym_block_construct_token1] = ACTIONS(3749),
    [aux_sym_associate_statement_token1] = ACTIONS(3749),
    [aux_sym_format_statement_token1] = ACTIONS(3749),
    [aux_sym_print_statement_token1] = ACTIONS(3749),
    [aux_sym_open_statement_token1] = ACTIONS(3749),
    [aux_sym_close_statement_token1] = ACTIONS(3749),
    [aux_sym_inquire_statement_token1] = ACTIONS(3749),
    [aux_sym_file_position_statement_token1] = ACTIONS(3749),
    [aux_sym_file_position_statement_token2] = ACTIONS(3749),
    [aux_sym_file_position_statement_token3] = ACTIONS(3749),
    [aux_sym_file_position_statement_token4] = ACTIONS(3749),
    [aux_sym_logical_expression_token5] = ACTIONS(3753),
    [anon_sym_DOT] = ACTIONS(3749),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3753),
    [aux_sym_boolean_literal_token1] = ACTIONS(3753),
    [aux_sym_boolean_literal_token2] = ACTIONS(3753),
    [aux_sym_null_literal_token1] = ACTIONS(3749),
    [aux_sym_identifier_token1] = ACTIONS(3749),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3753),
    [sym__float_literal] = ACTIONS(3753),
    [sym__boz_literal] = ACTIONS(3753),
    [sym__string_literal] = ACTIONS(3753),
    [sym__string_literal_kind] = ACTIONS(3753),
  },
  [1565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3729),
    [aux_sym_preproc_def_token1] = ACTIONS(3729),
    [aux_sym_preproc_if_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3729),
    [sym_preproc_directive] = ACTIONS(3729),
    [anon_sym_LPAREN2] = ACTIONS(3729),
    [sym_preproc_comment] = ACTIONS(3827),
    [anon_sym_PLUS] = ACTIONS(3733),
    [anon_sym_DASH] = ACTIONS(3733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3729),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3729),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3729),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3729),
    [aux_sym_contains_statement_token1] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3729),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3729),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3729),
    [aux_sym_stop_statement_token1] = ACTIONS(3729),
    [aux_sym_stop_statement_token2] = ACTIONS(3729),
    [aux_sym_subroutine_call_token1] = ACTIONS(3729),
    [aux_sym_keyword_statement_token1] = ACTIONS(3729),
    [aux_sym_keyword_statement_token2] = ACTIONS(3729),
    [aux_sym_keyword_statement_token3] = ACTIONS(3729),
    [aux_sym_keyword_statement_token4] = ACTIONS(3729),
    [aux_sym_keyword_statement_token6] = ACTIONS(3729),
    [aux_sym_keyword_statement_token7] = ACTIONS(3729),
    [aux_sym_include_statement_token1] = ACTIONS(3729),
    [aux_sym_data_statement_token1] = ACTIONS(3729),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3729),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3729),
    [aux_sym_end_if_statement_token1] = ACTIONS(3729),
    [aux_sym_elseif_clause_token2] = ACTIONS(3729),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3729),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3729),
    [aux_sym_select_case_statement_token1] = ACTIONS(3729),
    [aux_sym_select_case_statement_token3] = ACTIONS(3729),
    [aux_sym_select_type_statement_token1] = ACTIONS(3729),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3729),
    [aux_sym_block_construct_token1] = ACTIONS(3729),
    [aux_sym_associate_statement_token1] = ACTIONS(3729),
    [aux_sym_format_statement_token1] = ACTIONS(3729),
    [aux_sym_print_statement_token1] = ACTIONS(3729),
    [aux_sym_open_statement_token1] = ACTIONS(3729),
    [aux_sym_close_statement_token1] = ACTIONS(3729),
    [aux_sym_inquire_statement_token1] = ACTIONS(3729),
    [aux_sym_file_position_statement_token1] = ACTIONS(3729),
    [aux_sym_file_position_statement_token2] = ACTIONS(3729),
    [aux_sym_file_position_statement_token3] = ACTIONS(3729),
    [aux_sym_file_position_statement_token4] = ACTIONS(3729),
    [aux_sym_logical_expression_token5] = ACTIONS(3733),
    [anon_sym_DOT] = ACTIONS(3729),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(3733),
    [aux_sym_boolean_literal_token1] = ACTIONS(3733),
    [aux_sym_boolean_literal_token2] = ACTIONS(3733),
    [aux_sym_null_literal_token1] = ACTIONS(3729),
    [aux_sym_identifier_token1] = ACTIONS(3729),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3733),
    [sym__float_literal] = ACTIONS(3733),
    [sym__boz_literal] = ACTIONS(3733),
    [sym__string_literal] = ACTIONS(3733),
    [sym__string_literal_kind] = ACTIONS(3733),
  },
  [1566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3829),
    [aux_sym_preproc_def_token1] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3829),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [sym_preproc_comment] = ACTIONS(3831),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3829),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3829),
    [aux_sym_contains_statement_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3829),
    [aux_sym_stop_statement_token1] = ACTIONS(3829),
    [aux_sym_stop_statement_token2] = ACTIONS(3829),
    [aux_sym_subroutine_call_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token2] = ACTIONS(3829),
    [aux_sym_keyword_statement_token3] = ACTIONS(3829),
    [aux_sym_keyword_statement_token4] = ACTIONS(3829),
    [aux_sym_keyword_statement_token6] = ACTIONS(3829),
    [aux_sym_keyword_statement_token7] = ACTIONS(3829),
    [aux_sym_include_statement_token1] = ACTIONS(3829),
    [aux_sym_data_statement_token1] = ACTIONS(3829),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3829),
    [aux_sym_end_if_statement_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(3829),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token3] = ACTIONS(3829),
    [aux_sym_select_type_statement_token1] = ACTIONS(3829),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3829),
    [aux_sym_block_construct_token1] = ACTIONS(3829),
    [aux_sym_associate_statement_token1] = ACTIONS(3829),
    [aux_sym_format_statement_token1] = ACTIONS(3829),
    [aux_sym_print_statement_token1] = ACTIONS(3829),
    [aux_sym_open_statement_token1] = ACTIONS(3829),
    [aux_sym_close_statement_token1] = ACTIONS(3829),
    [aux_sym_inquire_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token2] = ACTIONS(3829),
    [aux_sym_file_position_statement_token3] = ACTIONS(3829),
    [aux_sym_file_position_statement_token4] = ACTIONS(3829),
    [aux_sym_logical_expression_token5] = ACTIONS(3833),
    [anon_sym_DOT] = ACTIONS(3829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3833),
    [aux_sym_boolean_literal_token1] = ACTIONS(3833),
    [aux_sym_boolean_literal_token2] = ACTIONS(3833),
    [aux_sym_null_literal_token1] = ACTIONS(3829),
    [aux_sym_identifier_token1] = ACTIONS(3829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3833),
    [sym__float_literal] = ACTIONS(3833),
    [sym__boz_literal] = ACTIONS(3833),
    [sym__string_literal] = ACTIONS(3833),
    [sym__string_literal_kind] = ACTIONS(3833),
  },
  [1567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3835),
    [aux_sym_preproc_def_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3835),
    [sym_preproc_directive] = ACTIONS(3835),
    [anon_sym_LPAREN2] = ACTIONS(3835),
    [sym_preproc_comment] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3835),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3835),
    [aux_sym_contains_statement_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(3835),
    [aux_sym_stop_statement_token2] = ACTIONS(3835),
    [aux_sym_subroutine_call_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token2] = ACTIONS(3835),
    [aux_sym_keyword_statement_token3] = ACTIONS(3835),
    [aux_sym_keyword_statement_token4] = ACTIONS(3835),
    [aux_sym_keyword_statement_token6] = ACTIONS(3835),
    [aux_sym_keyword_statement_token7] = ACTIONS(3835),
    [aux_sym_include_statement_token1] = ACTIONS(3835),
    [aux_sym_data_statement_token1] = ACTIONS(3835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3835),
    [aux_sym_end_if_statement_token1] = ACTIONS(3835),
    [aux_sym_elseif_clause_token2] = ACTIONS(3835),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3835),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token3] = ACTIONS(3835),
    [aux_sym_select_type_statement_token1] = ACTIONS(3835),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3835),
    [aux_sym_block_construct_token1] = ACTIONS(3835),
    [aux_sym_associate_statement_token1] = ACTIONS(3835),
    [aux_sym_format_statement_token1] = ACTIONS(3835),
    [aux_sym_print_statement_token1] = ACTIONS(3835),
    [aux_sym_open_statement_token1] = ACTIONS(3835),
    [aux_sym_close_statement_token1] = ACTIONS(3835),
    [aux_sym_inquire_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token2] = ACTIONS(3835),
    [aux_sym_file_position_statement_token3] = ACTIONS(3835),
    [aux_sym_file_position_statement_token4] = ACTIONS(3835),
    [aux_sym_logical_expression_token5] = ACTIONS(3839),
    [anon_sym_DOT] = ACTIONS(3835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [aux_sym_boolean_literal_token1] = ACTIONS(3839),
    [aux_sym_boolean_literal_token2] = ACTIONS(3839),
    [aux_sym_null_literal_token1] = ACTIONS(3835),
    [aux_sym_identifier_token1] = ACTIONS(3835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(3839),
    [sym__boz_literal] = ACTIONS(3839),
    [sym__string_literal] = ACTIONS(3839),
    [sym__string_literal_kind] = ACTIONS(3839),
  },
  [1568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3783),
    [aux_sym_preproc_def_token1] = ACTIONS(3783),
    [aux_sym_preproc_if_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3783),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [sym_preproc_comment] = ACTIONS(3841),
    [anon_sym_PLUS] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3783),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3783),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3783),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3783),
    [aux_sym_contains_statement_token1] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3783),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3783),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3783),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3783),
    [aux_sym_stop_statement_token1] = ACTIONS(3783),
    [aux_sym_stop_statement_token2] = ACTIONS(3783),
    [aux_sym_subroutine_call_token1] = ACTIONS(3783),
    [aux_sym_keyword_statement_token1] = ACTIONS(3783),
    [aux_sym_keyword_statement_token2] = ACTIONS(3783),
    [aux_sym_keyword_statement_token3] = ACTIONS(3783),
    [aux_sym_keyword_statement_token4] = ACTIONS(3783),
    [aux_sym_keyword_statement_token6] = ACTIONS(3783),
    [aux_sym_keyword_statement_token7] = ACTIONS(3783),
    [aux_sym_include_statement_token1] = ACTIONS(3783),
    [aux_sym_data_statement_token1] = ACTIONS(3783),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3783),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3783),
    [aux_sym_end_if_statement_token1] = ACTIONS(3783),
    [aux_sym_elseif_clause_token2] = ACTIONS(3783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3783),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3783),
    [aux_sym_select_case_statement_token1] = ACTIONS(3783),
    [aux_sym_select_case_statement_token3] = ACTIONS(3783),
    [aux_sym_select_type_statement_token1] = ACTIONS(3783),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3783),
    [aux_sym_block_construct_token1] = ACTIONS(3783),
    [aux_sym_associate_statement_token1] = ACTIONS(3783),
    [aux_sym_format_statement_token1] = ACTIONS(3783),
    [aux_sym_print_statement_token1] = ACTIONS(3783),
    [aux_sym_open_statement_token1] = ACTIONS(3783),
    [aux_sym_close_statement_token1] = ACTIONS(3783),
    [aux_sym_inquire_statement_token1] = ACTIONS(3783),
    [aux_sym_file_position_statement_token1] = ACTIONS(3783),
    [aux_sym_file_position_statement_token2] = ACTIONS(3783),
    [aux_sym_file_position_statement_token3] = ACTIONS(3783),
    [aux_sym_file_position_statement_token4] = ACTIONS(3783),
    [aux_sym_logical_expression_token5] = ACTIONS(3787),
    [anon_sym_DOT] = ACTIONS(3783),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3787),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [aux_sym_boolean_literal_token1] = ACTIONS(3787),
    [aux_sym_boolean_literal_token2] = ACTIONS(3787),
    [aux_sym_null_literal_token1] = ACTIONS(3783),
    [aux_sym_identifier_token1] = ACTIONS(3783),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3787),
    [sym__float_literal] = ACTIONS(3787),
    [sym__boz_literal] = ACTIONS(3787),
    [sym__string_literal] = ACTIONS(3787),
    [sym__string_literal_kind] = ACTIONS(3787),
  },
  [1569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3829),
    [aux_sym_preproc_def_token1] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3829),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [sym_preproc_comment] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3829),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3829),
    [aux_sym_contains_statement_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3829),
    [aux_sym_stop_statement_token1] = ACTIONS(3829),
    [aux_sym_stop_statement_token2] = ACTIONS(3829),
    [aux_sym_subroutine_call_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token2] = ACTIONS(3829),
    [aux_sym_keyword_statement_token3] = ACTIONS(3829),
    [aux_sym_keyword_statement_token4] = ACTIONS(3829),
    [aux_sym_keyword_statement_token6] = ACTIONS(3829),
    [aux_sym_keyword_statement_token7] = ACTIONS(3829),
    [aux_sym_include_statement_token1] = ACTIONS(3829),
    [aux_sym_data_statement_token1] = ACTIONS(3829),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3829),
    [aux_sym_end_if_statement_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(3829),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token3] = ACTIONS(3829),
    [aux_sym_select_type_statement_token1] = ACTIONS(3829),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3829),
    [aux_sym_block_construct_token1] = ACTIONS(3829),
    [aux_sym_associate_statement_token1] = ACTIONS(3829),
    [aux_sym_format_statement_token1] = ACTIONS(3829),
    [aux_sym_print_statement_token1] = ACTIONS(3829),
    [aux_sym_open_statement_token1] = ACTIONS(3829),
    [aux_sym_close_statement_token1] = ACTIONS(3829),
    [aux_sym_inquire_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token2] = ACTIONS(3829),
    [aux_sym_file_position_statement_token3] = ACTIONS(3829),
    [aux_sym_file_position_statement_token4] = ACTIONS(3829),
    [aux_sym_logical_expression_token5] = ACTIONS(3833),
    [anon_sym_DOT] = ACTIONS(3829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3833),
    [aux_sym_boolean_literal_token1] = ACTIONS(3833),
    [aux_sym_boolean_literal_token2] = ACTIONS(3833),
    [aux_sym_null_literal_token1] = ACTIONS(3829),
    [aux_sym_identifier_token1] = ACTIONS(3829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3833),
    [sym__float_literal] = ACTIONS(3833),
    [sym__boz_literal] = ACTIONS(3833),
    [sym__string_literal] = ACTIONS(3833),
    [sym__string_literal_kind] = ACTIONS(3833),
  },
  [1570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3845),
    [aux_sym_preproc_if_token1] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3845),
    [sym_preproc_directive] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3845),
    [sym_preproc_comment] = ACTIONS(3847),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3845),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3845),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3845),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3845),
    [aux_sym_contains_statement_token1] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3845),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3845),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3845),
    [aux_sym_stop_statement_token1] = ACTIONS(3845),
    [aux_sym_stop_statement_token2] = ACTIONS(3845),
    [aux_sym_subroutine_call_token1] = ACTIONS(3845),
    [aux_sym_keyword_statement_token1] = ACTIONS(3845),
    [aux_sym_keyword_statement_token2] = ACTIONS(3845),
    [aux_sym_keyword_statement_token3] = ACTIONS(3845),
    [aux_sym_keyword_statement_token4] = ACTIONS(3845),
    [aux_sym_keyword_statement_token6] = ACTIONS(3845),
    [aux_sym_keyword_statement_token7] = ACTIONS(3845),
    [aux_sym_include_statement_token1] = ACTIONS(3845),
    [aux_sym_data_statement_token1] = ACTIONS(3845),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3845),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3845),
    [aux_sym_end_if_statement_token1] = ACTIONS(3845),
    [aux_sym_elseif_clause_token2] = ACTIONS(3845),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3845),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3845),
    [aux_sym_select_case_statement_token1] = ACTIONS(3845),
    [aux_sym_select_case_statement_token3] = ACTIONS(3845),
    [aux_sym_select_type_statement_token1] = ACTIONS(3845),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3845),
    [aux_sym_block_construct_token1] = ACTIONS(3845),
    [aux_sym_associate_statement_token1] = ACTIONS(3845),
    [aux_sym_format_statement_token1] = ACTIONS(3845),
    [aux_sym_print_statement_token1] = ACTIONS(3845),
    [aux_sym_open_statement_token1] = ACTIONS(3845),
    [aux_sym_close_statement_token1] = ACTIONS(3845),
    [aux_sym_inquire_statement_token1] = ACTIONS(3845),
    [aux_sym_file_position_statement_token1] = ACTIONS(3845),
    [aux_sym_file_position_statement_token2] = ACTIONS(3845),
    [aux_sym_file_position_statement_token3] = ACTIONS(3845),
    [aux_sym_file_position_statement_token4] = ACTIONS(3845),
    [aux_sym_logical_expression_token5] = ACTIONS(3849),
    [anon_sym_DOT] = ACTIONS(3845),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3849),
    [aux_sym_boolean_literal_token1] = ACTIONS(3849),
    [aux_sym_boolean_literal_token2] = ACTIONS(3849),
    [aux_sym_null_literal_token1] = ACTIONS(3845),
    [aux_sym_identifier_token1] = ACTIONS(3845),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3849),
    [sym__float_literal] = ACTIONS(3849),
    [sym__boz_literal] = ACTIONS(3849),
    [sym__string_literal] = ACTIONS(3849),
    [sym__string_literal_kind] = ACTIONS(3849),
  },
  [1571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3791),
    [aux_sym_preproc_def_token1] = ACTIONS(3791),
    [aux_sym_preproc_if_token1] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3791),
    [sym_preproc_directive] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(3791),
    [sym_preproc_comment] = ACTIONS(3851),
    [anon_sym_PLUS] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3791),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3791),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3791),
    [aux_sym_contains_statement_token1] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3791),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3791),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3791),
    [aux_sym_stop_statement_token1] = ACTIONS(3791),
    [aux_sym_stop_statement_token2] = ACTIONS(3791),
    [aux_sym_subroutine_call_token1] = ACTIONS(3791),
    [aux_sym_keyword_statement_token1] = ACTIONS(3791),
    [aux_sym_keyword_statement_token2] = ACTIONS(3791),
    [aux_sym_keyword_statement_token3] = ACTIONS(3791),
    [aux_sym_keyword_statement_token4] = ACTIONS(3791),
    [aux_sym_keyword_statement_token6] = ACTIONS(3791),
    [aux_sym_keyword_statement_token7] = ACTIONS(3791),
    [aux_sym_include_statement_token1] = ACTIONS(3791),
    [aux_sym_data_statement_token1] = ACTIONS(3791),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3791),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3791),
    [aux_sym_end_if_statement_token1] = ACTIONS(3791),
    [aux_sym_elseif_clause_token2] = ACTIONS(3791),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3791),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3791),
    [aux_sym_select_case_statement_token1] = ACTIONS(3791),
    [aux_sym_select_case_statement_token3] = ACTIONS(3791),
    [aux_sym_select_type_statement_token1] = ACTIONS(3791),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3791),
    [aux_sym_block_construct_token1] = ACTIONS(3791),
    [aux_sym_associate_statement_token1] = ACTIONS(3791),
    [aux_sym_format_statement_token1] = ACTIONS(3791),
    [aux_sym_print_statement_token1] = ACTIONS(3791),
    [aux_sym_open_statement_token1] = ACTIONS(3791),
    [aux_sym_close_statement_token1] = ACTIONS(3791),
    [aux_sym_inquire_statement_token1] = ACTIONS(3791),
    [aux_sym_file_position_statement_token1] = ACTIONS(3791),
    [aux_sym_file_position_statement_token2] = ACTIONS(3791),
    [aux_sym_file_position_statement_token3] = ACTIONS(3791),
    [aux_sym_file_position_statement_token4] = ACTIONS(3791),
    [aux_sym_logical_expression_token5] = ACTIONS(3795),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [aux_sym_boolean_literal_token1] = ACTIONS(3795),
    [aux_sym_boolean_literal_token2] = ACTIONS(3795),
    [aux_sym_null_literal_token1] = ACTIONS(3791),
    [aux_sym_identifier_token1] = ACTIONS(3791),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3795),
    [sym__float_literal] = ACTIONS(3795),
    [sym__boz_literal] = ACTIONS(3795),
    [sym__string_literal] = ACTIONS(3795),
    [sym__string_literal_kind] = ACTIONS(3795),
  },
  [1572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(1562),
    [aux_sym_preproc_def_token1] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1562),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(3711),
    [anon_sym_DASH] = ACTIONS(3711),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1562),
    [aux_sym_implicit_statement_token3] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1562),
    [aux_sym_derived_type_token1] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1562),
    [aux_sym_stop_statement_token1] = ACTIONS(1562),
    [aux_sym_stop_statement_token2] = ACTIONS(1562),
    [aux_sym_subroutine_call_token1] = ACTIONS(1562),
    [aux_sym_keyword_statement_token1] = ACTIONS(1562),
    [aux_sym_keyword_statement_token2] = ACTIONS(1562),
    [aux_sym_keyword_statement_token3] = ACTIONS(1562),
    [aux_sym_keyword_statement_token4] = ACTIONS(1562),
    [aux_sym_keyword_statement_token6] = ACTIONS(1562),
    [aux_sym_keyword_statement_token7] = ACTIONS(1562),
    [aux_sym_include_statement_token1] = ACTIONS(1562),
    [aux_sym_data_statement_token1] = ACTIONS(1562),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1562),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1562),
    [aux_sym_end_if_statement_token1] = ACTIONS(1562),
    [aux_sym_elseif_clause_token2] = ACTIONS(1562),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1562),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token3] = ACTIONS(1562),
    [aux_sym_select_type_statement_token1] = ACTIONS(1562),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1562),
    [aux_sym_end_select_statement_token1] = ACTIONS(1562),
    [aux_sym_type_statement_token2] = ACTIONS(1562),
    [aux_sym_type_statement_token3] = ACTIONS(1562),
    [aux_sym__class_default_token1] = ACTIONS(1562),
    [aux_sym_block_construct_token1] = ACTIONS(1562),
    [aux_sym_associate_statement_token1] = ACTIONS(1562),
    [aux_sym_format_statement_token1] = ACTIONS(1562),
    [aux_sym_print_statement_token1] = ACTIONS(1562),
    [aux_sym_open_statement_token1] = ACTIONS(1562),
    [aux_sym_close_statement_token1] = ACTIONS(1562),
    [aux_sym_inquire_statement_token1] = ACTIONS(1562),
    [aux_sym_file_position_statement_token1] = ACTIONS(1562),
    [aux_sym_file_position_statement_token2] = ACTIONS(1562),
    [aux_sym_file_position_statement_token3] = ACTIONS(1562),
    [aux_sym_file_position_statement_token4] = ACTIONS(1562),
    [aux_sym_logical_expression_token5] = ACTIONS(3711),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3711),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [aux_sym_boolean_literal_token1] = ACTIONS(3711),
    [aux_sym_boolean_literal_token2] = ACTIONS(3711),
    [aux_sym_null_literal_token1] = ACTIONS(1562),
    [aux_sym_identifier_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3711),
    [sym__float_literal] = ACTIONS(3711),
    [sym__boz_literal] = ACTIONS(3711),
    [sym__string_literal] = ACTIONS(3711),
    [sym__string_literal_kind] = ACTIONS(3711),
  },
  [1573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3729),
    [aux_sym_preproc_def_token1] = ACTIONS(3729),
    [aux_sym_preproc_if_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3729),
    [sym_preproc_directive] = ACTIONS(3729),
    [anon_sym_LPAREN2] = ACTIONS(3729),
    [sym_preproc_comment] = ACTIONS(3853),
    [anon_sym_PLUS] = ACTIONS(3733),
    [anon_sym_DASH] = ACTIONS(3733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3729),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3729),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3729),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3729),
    [aux_sym_contains_statement_token1] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3729),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3729),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3729),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3729),
    [aux_sym_stop_statement_token1] = ACTIONS(3729),
    [aux_sym_stop_statement_token2] = ACTIONS(3729),
    [aux_sym_subroutine_call_token1] = ACTIONS(3729),
    [aux_sym_keyword_statement_token1] = ACTIONS(3729),
    [aux_sym_keyword_statement_token2] = ACTIONS(3729),
    [aux_sym_keyword_statement_token3] = ACTIONS(3729),
    [aux_sym_keyword_statement_token4] = ACTIONS(3729),
    [aux_sym_keyword_statement_token6] = ACTIONS(3729),
    [aux_sym_keyword_statement_token7] = ACTIONS(3729),
    [aux_sym_include_statement_token1] = ACTIONS(3729),
    [aux_sym_data_statement_token1] = ACTIONS(3729),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3729),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3729),
    [aux_sym_end_if_statement_token1] = ACTIONS(3729),
    [aux_sym_elseif_clause_token2] = ACTIONS(3729),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3729),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3729),
    [aux_sym_select_case_statement_token1] = ACTIONS(3729),
    [aux_sym_select_case_statement_token3] = ACTIONS(3729),
    [aux_sym_select_type_statement_token1] = ACTIONS(3729),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3729),
    [aux_sym_block_construct_token1] = ACTIONS(3729),
    [aux_sym_associate_statement_token1] = ACTIONS(3729),
    [aux_sym_format_statement_token1] = ACTIONS(3729),
    [aux_sym_print_statement_token1] = ACTIONS(3729),
    [aux_sym_open_statement_token1] = ACTIONS(3729),
    [aux_sym_close_statement_token1] = ACTIONS(3729),
    [aux_sym_inquire_statement_token1] = ACTIONS(3729),
    [aux_sym_file_position_statement_token1] = ACTIONS(3729),
    [aux_sym_file_position_statement_token2] = ACTIONS(3729),
    [aux_sym_file_position_statement_token3] = ACTIONS(3729),
    [aux_sym_file_position_statement_token4] = ACTIONS(3729),
    [aux_sym_logical_expression_token5] = ACTIONS(3733),
    [anon_sym_DOT] = ACTIONS(3729),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(3733),
    [aux_sym_boolean_literal_token1] = ACTIONS(3733),
    [aux_sym_boolean_literal_token2] = ACTIONS(3733),
    [aux_sym_null_literal_token1] = ACTIONS(3729),
    [aux_sym_identifier_token1] = ACTIONS(3729),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3733),
    [sym__float_literal] = ACTIONS(3733),
    [sym__boz_literal] = ACTIONS(3733),
    [sym__string_literal] = ACTIONS(3733),
    [sym__string_literal_kind] = ACTIONS(3733),
  },
  [1574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token2] = ACTIONS(2461),
    [aux_sym_preproc_else_token1] = ACTIONS(2461),
    [aux_sym_preproc_elif_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3769),
    [aux_sym_preproc_def_token1] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3769),
    [sym_preproc_directive] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3769),
    [sym_preproc_comment] = ACTIONS(3855),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3769),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3769),
    [aux_sym_contains_statement_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3769),
    [aux_sym_stop_statement_token1] = ACTIONS(3769),
    [aux_sym_stop_statement_token2] = ACTIONS(3769),
    [aux_sym_subroutine_call_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token2] = ACTIONS(3769),
    [aux_sym_keyword_statement_token3] = ACTIONS(3769),
    [aux_sym_keyword_statement_token4] = ACTIONS(3769),
    [aux_sym_keyword_statement_token6] = ACTIONS(3769),
    [aux_sym_keyword_statement_token7] = ACTIONS(3769),
    [aux_sym_include_statement_token1] = ACTIONS(3769),
    [aux_sym_data_statement_token1] = ACTIONS(3769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3769),
    [aux_sym_end_if_statement_token1] = ACTIONS(3769),
    [aux_sym_elseif_clause_token2] = ACTIONS(3769),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3769),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token3] = ACTIONS(3769),
    [aux_sym_select_type_statement_token1] = ACTIONS(3769),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3769),
    [aux_sym_block_construct_token1] = ACTIONS(3769),
    [aux_sym_associate_statement_token1] = ACTIONS(3769),
    [aux_sym_format_statement_token1] = ACTIONS(3769),
    [aux_sym_print_statement_token1] = ACTIONS(3769),
    [aux_sym_open_statement_token1] = ACTIONS(3769),
    [aux_sym_close_statement_token1] = ACTIONS(3769),
    [aux_sym_inquire_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token2] = ACTIONS(3769),
    [aux_sym_file_position_statement_token3] = ACTIONS(3769),
    [aux_sym_file_position_statement_token4] = ACTIONS(3769),
    [aux_sym_logical_expression_token5] = ACTIONS(3773),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3773),
    [aux_sym_boolean_literal_token1] = ACTIONS(3773),
    [aux_sym_boolean_literal_token2] = ACTIONS(3773),
    [aux_sym_null_literal_token1] = ACTIONS(3769),
    [aux_sym_identifier_token1] = ACTIONS(3769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3773),
    [sym__float_literal] = ACTIONS(3773),
    [sym__boz_literal] = ACTIONS(3773),
    [sym__string_literal] = ACTIONS(3773),
    [sym__string_literal_kind] = ACTIONS(3773),
  },
  [1576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3791),
    [aux_sym_preproc_def_token1] = ACTIONS(3791),
    [aux_sym_preproc_if_token1] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3791),
    [sym_preproc_directive] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(3791),
    [sym_preproc_comment] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3795),
    [anon_sym_DASH] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3791),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3791),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3791),
    [aux_sym_end_function_statement_token1] = ACTIONS(3791),
    [aux_sym_contains_statement_token1] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3791),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3791),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3791),
    [aux_sym_stop_statement_token1] = ACTIONS(3791),
    [aux_sym_stop_statement_token2] = ACTIONS(3791),
    [aux_sym_subroutine_call_token1] = ACTIONS(3791),
    [aux_sym_keyword_statement_token1] = ACTIONS(3791),
    [aux_sym_keyword_statement_token2] = ACTIONS(3791),
    [aux_sym_keyword_statement_token3] = ACTIONS(3791),
    [aux_sym_keyword_statement_token4] = ACTIONS(3791),
    [aux_sym_keyword_statement_token6] = ACTIONS(3791),
    [aux_sym_keyword_statement_token7] = ACTIONS(3791),
    [aux_sym_include_statement_token1] = ACTIONS(3791),
    [aux_sym_data_statement_token1] = ACTIONS(3791),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3791),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3791),
    [aux_sym_end_if_statement_token1] = ACTIONS(3791),
    [aux_sym_elseif_clause_token2] = ACTIONS(3791),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3791),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3791),
    [aux_sym_select_case_statement_token1] = ACTIONS(3791),
    [aux_sym_select_case_statement_token3] = ACTIONS(3791),
    [aux_sym_select_type_statement_token1] = ACTIONS(3791),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3791),
    [aux_sym_block_construct_token1] = ACTIONS(3791),
    [aux_sym_associate_statement_token1] = ACTIONS(3791),
    [aux_sym_format_statement_token1] = ACTIONS(3791),
    [aux_sym_print_statement_token1] = ACTIONS(3791),
    [aux_sym_open_statement_token1] = ACTIONS(3791),
    [aux_sym_close_statement_token1] = ACTIONS(3791),
    [aux_sym_inquire_statement_token1] = ACTIONS(3791),
    [aux_sym_file_position_statement_token1] = ACTIONS(3791),
    [aux_sym_file_position_statement_token2] = ACTIONS(3791),
    [aux_sym_file_position_statement_token3] = ACTIONS(3791),
    [aux_sym_file_position_statement_token4] = ACTIONS(3791),
    [aux_sym_logical_expression_token5] = ACTIONS(3795),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3795),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [aux_sym_boolean_literal_token1] = ACTIONS(3795),
    [aux_sym_boolean_literal_token2] = ACTIONS(3795),
    [aux_sym_null_literal_token1] = ACTIONS(3791),
    [aux_sym_identifier_token1] = ACTIONS(3791),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3795),
    [sym__float_literal] = ACTIONS(3795),
    [sym__boz_literal] = ACTIONS(3795),
    [sym__string_literal] = ACTIONS(3795),
    [sym__string_literal_kind] = ACTIONS(3795),
  },
  [1577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3755),
    [aux_sym_preproc_def_token1] = ACTIONS(3755),
    [aux_sym_preproc_if_token1] = ACTIONS(3755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3755),
    [sym_preproc_directive] = ACTIONS(3755),
    [anon_sym_LPAREN2] = ACTIONS(3755),
    [sym_preproc_comment] = ACTIONS(3859),
    [anon_sym_PLUS] = ACTIONS(3759),
    [anon_sym_DASH] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3755),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3755),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3755),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3755),
    [aux_sym_contains_statement_token1] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3755),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3755),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3755),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3755),
    [aux_sym_stop_statement_token1] = ACTIONS(3755),
    [aux_sym_stop_statement_token2] = ACTIONS(3755),
    [aux_sym_subroutine_call_token1] = ACTIONS(3755),
    [aux_sym_keyword_statement_token1] = ACTIONS(3755),
    [aux_sym_keyword_statement_token2] = ACTIONS(3755),
    [aux_sym_keyword_statement_token3] = ACTIONS(3755),
    [aux_sym_keyword_statement_token4] = ACTIONS(3755),
    [aux_sym_keyword_statement_token6] = ACTIONS(3755),
    [aux_sym_keyword_statement_token7] = ACTIONS(3755),
    [aux_sym_include_statement_token1] = ACTIONS(3755),
    [aux_sym_data_statement_token1] = ACTIONS(3755),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3755),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3755),
    [aux_sym_end_if_statement_token1] = ACTIONS(3755),
    [aux_sym_elseif_clause_token2] = ACTIONS(3755),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3755),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3755),
    [aux_sym_select_case_statement_token1] = ACTIONS(3755),
    [aux_sym_select_case_statement_token3] = ACTIONS(3755),
    [aux_sym_select_type_statement_token1] = ACTIONS(3755),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3755),
    [aux_sym_block_construct_token1] = ACTIONS(3755),
    [aux_sym_associate_statement_token1] = ACTIONS(3755),
    [aux_sym_format_statement_token1] = ACTIONS(3755),
    [aux_sym_print_statement_token1] = ACTIONS(3755),
    [aux_sym_open_statement_token1] = ACTIONS(3755),
    [aux_sym_close_statement_token1] = ACTIONS(3755),
    [aux_sym_inquire_statement_token1] = ACTIONS(3755),
    [aux_sym_file_position_statement_token1] = ACTIONS(3755),
    [aux_sym_file_position_statement_token2] = ACTIONS(3755),
    [aux_sym_file_position_statement_token3] = ACTIONS(3755),
    [aux_sym_file_position_statement_token4] = ACTIONS(3755),
    [aux_sym_logical_expression_token5] = ACTIONS(3759),
    [anon_sym_DOT] = ACTIONS(3755),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [aux_sym_boolean_literal_token1] = ACTIONS(3759),
    [aux_sym_boolean_literal_token2] = ACTIONS(3759),
    [aux_sym_null_literal_token1] = ACTIONS(3755),
    [aux_sym_identifier_token1] = ACTIONS(3755),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3759),
    [sym__float_literal] = ACTIONS(3759),
    [sym__boz_literal] = ACTIONS(3759),
    [sym__string_literal] = ACTIONS(3759),
    [sym__string_literal_kind] = ACTIONS(3759),
  },
  [1578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3807),
    [aux_sym_preproc_def_token1] = ACTIONS(3807),
    [aux_sym_preproc_if_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3807),
    [sym_preproc_directive] = ACTIONS(3807),
    [anon_sym_LPAREN2] = ACTIONS(3807),
    [sym_preproc_comment] = ACTIONS(3861),
    [anon_sym_PLUS] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3807),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3807),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3807),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3807),
    [aux_sym_contains_statement_token1] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3807),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3807),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3807),
    [aux_sym_stop_statement_token1] = ACTIONS(3807),
    [aux_sym_stop_statement_token2] = ACTIONS(3807),
    [aux_sym_subroutine_call_token1] = ACTIONS(3807),
    [aux_sym_keyword_statement_token1] = ACTIONS(3807),
    [aux_sym_keyword_statement_token2] = ACTIONS(3807),
    [aux_sym_keyword_statement_token3] = ACTIONS(3807),
    [aux_sym_keyword_statement_token4] = ACTIONS(3807),
    [aux_sym_keyword_statement_token6] = ACTIONS(3807),
    [aux_sym_keyword_statement_token7] = ACTIONS(3807),
    [aux_sym_include_statement_token1] = ACTIONS(3807),
    [aux_sym_data_statement_token1] = ACTIONS(3807),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3807),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3807),
    [aux_sym_end_if_statement_token1] = ACTIONS(3807),
    [aux_sym_elseif_clause_token2] = ACTIONS(3807),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3807),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3807),
    [aux_sym_select_case_statement_token1] = ACTIONS(3807),
    [aux_sym_select_case_statement_token3] = ACTIONS(3807),
    [aux_sym_select_type_statement_token1] = ACTIONS(3807),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3807),
    [aux_sym_block_construct_token1] = ACTIONS(3807),
    [aux_sym_associate_statement_token1] = ACTIONS(3807),
    [aux_sym_format_statement_token1] = ACTIONS(3807),
    [aux_sym_print_statement_token1] = ACTIONS(3807),
    [aux_sym_open_statement_token1] = ACTIONS(3807),
    [aux_sym_close_statement_token1] = ACTIONS(3807),
    [aux_sym_inquire_statement_token1] = ACTIONS(3807),
    [aux_sym_file_position_statement_token1] = ACTIONS(3807),
    [aux_sym_file_position_statement_token2] = ACTIONS(3807),
    [aux_sym_file_position_statement_token3] = ACTIONS(3807),
    [aux_sym_file_position_statement_token4] = ACTIONS(3807),
    [aux_sym_logical_expression_token5] = ACTIONS(3811),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(3811),
    [aux_sym_boolean_literal_token1] = ACTIONS(3811),
    [aux_sym_boolean_literal_token2] = ACTIONS(3811),
    [aux_sym_null_literal_token1] = ACTIONS(3807),
    [aux_sym_identifier_token1] = ACTIONS(3807),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3811),
    [sym__float_literal] = ACTIONS(3811),
    [sym__boz_literal] = ACTIONS(3811),
    [sym__string_literal] = ACTIONS(3811),
    [sym__string_literal_kind] = ACTIONS(3811),
  },
  [1580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3845),
    [aux_sym_preproc_if_token1] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3845),
    [sym_preproc_directive] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3845),
    [sym_preproc_comment] = ACTIONS(3863),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3845),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3845),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3845),
    [aux_sym_end_function_statement_token1] = ACTIONS(3845),
    [aux_sym_contains_statement_token1] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3845),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3845),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3845),
    [aux_sym_stop_statement_token1] = ACTIONS(3845),
    [aux_sym_stop_statement_token2] = ACTIONS(3845),
    [aux_sym_subroutine_call_token1] = ACTIONS(3845),
    [aux_sym_keyword_statement_token1] = ACTIONS(3845),
    [aux_sym_keyword_statement_token2] = ACTIONS(3845),
    [aux_sym_keyword_statement_token3] = ACTIONS(3845),
    [aux_sym_keyword_statement_token4] = ACTIONS(3845),
    [aux_sym_keyword_statement_token6] = ACTIONS(3845),
    [aux_sym_keyword_statement_token7] = ACTIONS(3845),
    [aux_sym_include_statement_token1] = ACTIONS(3845),
    [aux_sym_data_statement_token1] = ACTIONS(3845),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3845),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3845),
    [aux_sym_end_if_statement_token1] = ACTIONS(3845),
    [aux_sym_elseif_clause_token2] = ACTIONS(3845),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3845),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3845),
    [aux_sym_select_case_statement_token1] = ACTIONS(3845),
    [aux_sym_select_case_statement_token3] = ACTIONS(3845),
    [aux_sym_select_type_statement_token1] = ACTIONS(3845),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3845),
    [aux_sym_block_construct_token1] = ACTIONS(3845),
    [aux_sym_associate_statement_token1] = ACTIONS(3845),
    [aux_sym_format_statement_token1] = ACTIONS(3845),
    [aux_sym_print_statement_token1] = ACTIONS(3845),
    [aux_sym_open_statement_token1] = ACTIONS(3845),
    [aux_sym_close_statement_token1] = ACTIONS(3845),
    [aux_sym_inquire_statement_token1] = ACTIONS(3845),
    [aux_sym_file_position_statement_token1] = ACTIONS(3845),
    [aux_sym_file_position_statement_token2] = ACTIONS(3845),
    [aux_sym_file_position_statement_token3] = ACTIONS(3845),
    [aux_sym_file_position_statement_token4] = ACTIONS(3845),
    [aux_sym_logical_expression_token5] = ACTIONS(3849),
    [anon_sym_DOT] = ACTIONS(3845),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3849),
    [aux_sym_boolean_literal_token1] = ACTIONS(3849),
    [aux_sym_boolean_literal_token2] = ACTIONS(3849),
    [aux_sym_null_literal_token1] = ACTIONS(3845),
    [aux_sym_identifier_token1] = ACTIONS(3845),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3849),
    [sym__float_literal] = ACTIONS(3849),
    [sym__boz_literal] = ACTIONS(3849),
    [sym__string_literal] = ACTIONS(3849),
    [sym__string_literal_kind] = ACTIONS(3849),
  },
  [1581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token2] = ACTIONS(2441),
    [aux_sym_preproc_else_token1] = ACTIONS(2441),
    [aux_sym_preproc_elif_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token2] = ACTIONS(2417),
    [aux_sym_preproc_else_token1] = ACTIONS(2417),
    [aux_sym_preproc_elif_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1583] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token2] = ACTIONS(2433),
    [aux_sym_preproc_else_token1] = ACTIONS(2433),
    [aux_sym_preproc_elif_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token2] = ACTIONS(2421),
    [aux_sym_preproc_else_token1] = ACTIONS(2421),
    [aux_sym_preproc_elif_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token2] = ACTIONS(2457),
    [aux_sym_preproc_else_token1] = ACTIONS(2457),
    [aux_sym_preproc_elif_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3713),
    [aux_sym_preproc_def_token1] = ACTIONS(3713),
    [aux_sym_preproc_if_token2] = ACTIONS(3713),
    [aux_sym_preproc_else_token1] = ACTIONS(3713),
    [aux_sym_preproc_elif_token1] = ACTIONS(3713),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3713),
    [sym_preproc_directive] = ACTIONS(3713),
    [anon_sym_LPAREN2] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3715),
    [anon_sym_DASH] = ACTIONS(3715),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3713),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3713),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3713),
    [aux_sym_contains_statement_token1] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3713),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3713),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3713),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3713),
    [aux_sym_stop_statement_token1] = ACTIONS(3713),
    [aux_sym_stop_statement_token2] = ACTIONS(3713),
    [aux_sym_subroutine_call_token1] = ACTIONS(3713),
    [aux_sym_keyword_statement_token1] = ACTIONS(3713),
    [aux_sym_keyword_statement_token2] = ACTIONS(3713),
    [aux_sym_keyword_statement_token3] = ACTIONS(3713),
    [aux_sym_keyword_statement_token4] = ACTIONS(3713),
    [aux_sym_keyword_statement_token6] = ACTIONS(3713),
    [aux_sym_keyword_statement_token7] = ACTIONS(3713),
    [aux_sym_include_statement_token1] = ACTIONS(3713),
    [aux_sym_data_statement_token1] = ACTIONS(3713),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3713),
    [aux_sym_end_if_statement_token1] = ACTIONS(3713),
    [aux_sym_elseif_clause_token2] = ACTIONS(3713),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3713),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3713),
    [aux_sym_select_case_statement_token1] = ACTIONS(3713),
    [aux_sym_select_case_statement_token3] = ACTIONS(3713),
    [aux_sym_select_type_statement_token1] = ACTIONS(3713),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3713),
    [aux_sym_block_construct_token1] = ACTIONS(3713),
    [aux_sym_associate_statement_token1] = ACTIONS(3713),
    [aux_sym_format_statement_token1] = ACTIONS(3713),
    [aux_sym_print_statement_token1] = ACTIONS(3713),
    [aux_sym_open_statement_token1] = ACTIONS(3713),
    [aux_sym_close_statement_token1] = ACTIONS(3713),
    [aux_sym_inquire_statement_token1] = ACTIONS(3713),
    [aux_sym_file_position_statement_token1] = ACTIONS(3713),
    [aux_sym_file_position_statement_token2] = ACTIONS(3713),
    [aux_sym_file_position_statement_token3] = ACTIONS(3713),
    [aux_sym_file_position_statement_token4] = ACTIONS(3713),
    [aux_sym_logical_expression_token5] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [aux_sym_boolean_literal_token1] = ACTIONS(3715),
    [aux_sym_boolean_literal_token2] = ACTIONS(3715),
    [aux_sym_null_literal_token1] = ACTIONS(3713),
    [aux_sym_identifier_token1] = ACTIONS(3713),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3715),
    [sym__float_literal] = ACTIONS(3715),
    [sym__boz_literal] = ACTIONS(3715),
    [sym__string_literal] = ACTIONS(3715),
    [sym__string_literal_kind] = ACTIONS(3715),
  },
  [1587] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3835),
    [aux_sym_preproc_def_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3835),
    [sym_preproc_directive] = ACTIONS(3835),
    [anon_sym_LPAREN2] = ACTIONS(3835),
    [sym_preproc_comment] = ACTIONS(3865),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3835),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3835),
    [aux_sym_contains_statement_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(3835),
    [aux_sym_stop_statement_token2] = ACTIONS(3835),
    [aux_sym_subroutine_call_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token2] = ACTIONS(3835),
    [aux_sym_keyword_statement_token3] = ACTIONS(3835),
    [aux_sym_keyword_statement_token4] = ACTIONS(3835),
    [aux_sym_keyword_statement_token6] = ACTIONS(3835),
    [aux_sym_keyword_statement_token7] = ACTIONS(3835),
    [aux_sym_include_statement_token1] = ACTIONS(3835),
    [aux_sym_data_statement_token1] = ACTIONS(3835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3835),
    [aux_sym_end_if_statement_token1] = ACTIONS(3835),
    [aux_sym_elseif_clause_token2] = ACTIONS(3835),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3835),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token3] = ACTIONS(3835),
    [aux_sym_select_type_statement_token1] = ACTIONS(3835),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3835),
    [aux_sym_block_construct_token1] = ACTIONS(3835),
    [aux_sym_associate_statement_token1] = ACTIONS(3835),
    [aux_sym_format_statement_token1] = ACTIONS(3835),
    [aux_sym_print_statement_token1] = ACTIONS(3835),
    [aux_sym_open_statement_token1] = ACTIONS(3835),
    [aux_sym_close_statement_token1] = ACTIONS(3835),
    [aux_sym_inquire_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token2] = ACTIONS(3835),
    [aux_sym_file_position_statement_token3] = ACTIONS(3835),
    [aux_sym_file_position_statement_token4] = ACTIONS(3835),
    [aux_sym_logical_expression_token5] = ACTIONS(3839),
    [anon_sym_DOT] = ACTIONS(3835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [aux_sym_boolean_literal_token1] = ACTIONS(3839),
    [aux_sym_boolean_literal_token2] = ACTIONS(3839),
    [aux_sym_null_literal_token1] = ACTIONS(3835),
    [aux_sym_identifier_token1] = ACTIONS(3835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(3839),
    [sym__boz_literal] = ACTIONS(3839),
    [sym__string_literal] = ACTIONS(3839),
    [sym__string_literal_kind] = ACTIONS(3839),
  },
  [1588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3761),
    [aux_sym_preproc_def_token1] = ACTIONS(3761),
    [aux_sym_preproc_if_token1] = ACTIONS(3761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3761),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3761),
    [sym_preproc_directive] = ACTIONS(3761),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [sym_preproc_comment] = ACTIONS(3867),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3761),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3761),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3761),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3761),
    [aux_sym_contains_statement_token1] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3761),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3761),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3761),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3761),
    [aux_sym_stop_statement_token1] = ACTIONS(3761),
    [aux_sym_stop_statement_token2] = ACTIONS(3761),
    [aux_sym_subroutine_call_token1] = ACTIONS(3761),
    [aux_sym_keyword_statement_token1] = ACTIONS(3761),
    [aux_sym_keyword_statement_token2] = ACTIONS(3761),
    [aux_sym_keyword_statement_token3] = ACTIONS(3761),
    [aux_sym_keyword_statement_token4] = ACTIONS(3761),
    [aux_sym_keyword_statement_token6] = ACTIONS(3761),
    [aux_sym_keyword_statement_token7] = ACTIONS(3761),
    [aux_sym_include_statement_token1] = ACTIONS(3761),
    [aux_sym_data_statement_token1] = ACTIONS(3761),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3761),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3761),
    [aux_sym_end_if_statement_token1] = ACTIONS(3761),
    [aux_sym_elseif_clause_token2] = ACTIONS(3761),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3761),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3761),
    [aux_sym_select_case_statement_token1] = ACTIONS(3761),
    [aux_sym_select_case_statement_token3] = ACTIONS(3761),
    [aux_sym_select_type_statement_token1] = ACTIONS(3761),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3761),
    [aux_sym_block_construct_token1] = ACTIONS(3761),
    [aux_sym_associate_statement_token1] = ACTIONS(3761),
    [aux_sym_format_statement_token1] = ACTIONS(3761),
    [aux_sym_print_statement_token1] = ACTIONS(3761),
    [aux_sym_open_statement_token1] = ACTIONS(3761),
    [aux_sym_close_statement_token1] = ACTIONS(3761),
    [aux_sym_inquire_statement_token1] = ACTIONS(3761),
    [aux_sym_file_position_statement_token1] = ACTIONS(3761),
    [aux_sym_file_position_statement_token2] = ACTIONS(3761),
    [aux_sym_file_position_statement_token3] = ACTIONS(3761),
    [aux_sym_file_position_statement_token4] = ACTIONS(3761),
    [aux_sym_logical_expression_token5] = ACTIONS(3765),
    [anon_sym_DOT] = ACTIONS(3761),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3765),
    [aux_sym_boolean_literal_token1] = ACTIONS(3765),
    [aux_sym_boolean_literal_token2] = ACTIONS(3765),
    [aux_sym_null_literal_token1] = ACTIONS(3761),
    [aux_sym_identifier_token1] = ACTIONS(3761),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3765),
    [sym__float_literal] = ACTIONS(3765),
    [sym__boz_literal] = ACTIONS(3765),
    [sym__string_literal] = ACTIONS(3765),
    [sym__string_literal_kind] = ACTIONS(3765),
  },
  [1589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3835),
    [aux_sym_preproc_def_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3835),
    [sym_preproc_directive] = ACTIONS(3835),
    [anon_sym_LPAREN2] = ACTIONS(3835),
    [sym_preproc_comment] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3835),
    [aux_sym_end_function_statement_token1] = ACTIONS(3835),
    [aux_sym_contains_statement_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(3835),
    [aux_sym_stop_statement_token2] = ACTIONS(3835),
    [aux_sym_subroutine_call_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token2] = ACTIONS(3835),
    [aux_sym_keyword_statement_token3] = ACTIONS(3835),
    [aux_sym_keyword_statement_token4] = ACTIONS(3835),
    [aux_sym_keyword_statement_token6] = ACTIONS(3835),
    [aux_sym_keyword_statement_token7] = ACTIONS(3835),
    [aux_sym_include_statement_token1] = ACTIONS(3835),
    [aux_sym_data_statement_token1] = ACTIONS(3835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3835),
    [aux_sym_end_if_statement_token1] = ACTIONS(3835),
    [aux_sym_elseif_clause_token2] = ACTIONS(3835),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3835),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token3] = ACTIONS(3835),
    [aux_sym_select_type_statement_token1] = ACTIONS(3835),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3835),
    [aux_sym_block_construct_token1] = ACTIONS(3835),
    [aux_sym_associate_statement_token1] = ACTIONS(3835),
    [aux_sym_format_statement_token1] = ACTIONS(3835),
    [aux_sym_print_statement_token1] = ACTIONS(3835),
    [aux_sym_open_statement_token1] = ACTIONS(3835),
    [aux_sym_close_statement_token1] = ACTIONS(3835),
    [aux_sym_inquire_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token2] = ACTIONS(3835),
    [aux_sym_file_position_statement_token3] = ACTIONS(3835),
    [aux_sym_file_position_statement_token4] = ACTIONS(3835),
    [aux_sym_logical_expression_token5] = ACTIONS(3839),
    [anon_sym_DOT] = ACTIONS(3835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [aux_sym_boolean_literal_token1] = ACTIONS(3839),
    [aux_sym_boolean_literal_token2] = ACTIONS(3839),
    [aux_sym_null_literal_token1] = ACTIONS(3835),
    [aux_sym_identifier_token1] = ACTIONS(3835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(3839),
    [sym__boz_literal] = ACTIONS(3839),
    [sym__string_literal] = ACTIONS(3839),
    [sym__string_literal_kind] = ACTIONS(3839),
  },
  [1590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3829),
    [aux_sym_preproc_def_token1] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3829),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [sym_preproc_comment] = ACTIONS(3871),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3829),
    [aux_sym_end_function_statement_token1] = ACTIONS(3829),
    [aux_sym_contains_statement_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3829),
    [aux_sym_stop_statement_token1] = ACTIONS(3829),
    [aux_sym_stop_statement_token2] = ACTIONS(3829),
    [aux_sym_subroutine_call_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token2] = ACTIONS(3829),
    [aux_sym_keyword_statement_token3] = ACTIONS(3829),
    [aux_sym_keyword_statement_token4] = ACTIONS(3829),
    [aux_sym_keyword_statement_token6] = ACTIONS(3829),
    [aux_sym_keyword_statement_token7] = ACTIONS(3829),
    [aux_sym_include_statement_token1] = ACTIONS(3829),
    [aux_sym_data_statement_token1] = ACTIONS(3829),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3829),
    [aux_sym_end_if_statement_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(3829),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token3] = ACTIONS(3829),
    [aux_sym_select_type_statement_token1] = ACTIONS(3829),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3829),
    [aux_sym_block_construct_token1] = ACTIONS(3829),
    [aux_sym_associate_statement_token1] = ACTIONS(3829),
    [aux_sym_format_statement_token1] = ACTIONS(3829),
    [aux_sym_print_statement_token1] = ACTIONS(3829),
    [aux_sym_open_statement_token1] = ACTIONS(3829),
    [aux_sym_close_statement_token1] = ACTIONS(3829),
    [aux_sym_inquire_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token2] = ACTIONS(3829),
    [aux_sym_file_position_statement_token3] = ACTIONS(3829),
    [aux_sym_file_position_statement_token4] = ACTIONS(3829),
    [aux_sym_logical_expression_token5] = ACTIONS(3833),
    [anon_sym_DOT] = ACTIONS(3829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3833),
    [aux_sym_boolean_literal_token1] = ACTIONS(3833),
    [aux_sym_boolean_literal_token2] = ACTIONS(3833),
    [aux_sym_null_literal_token1] = ACTIONS(3829),
    [aux_sym_identifier_token1] = ACTIONS(3829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3833),
    [sym__float_literal] = ACTIONS(3833),
    [sym__boz_literal] = ACTIONS(3833),
    [sym__string_literal] = ACTIONS(3833),
    [sym__string_literal_kind] = ACTIONS(3833),
  },
  [1591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3845),
    [aux_sym_preproc_def_token1] = ACTIONS(3845),
    [aux_sym_preproc_if_token1] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3845),
    [sym_preproc_directive] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3845),
    [sym_preproc_comment] = ACTIONS(3873),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3845),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3845),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3845),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3845),
    [aux_sym_contains_statement_token1] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3845),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3845),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3845),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3845),
    [aux_sym_stop_statement_token1] = ACTIONS(3845),
    [aux_sym_stop_statement_token2] = ACTIONS(3845),
    [aux_sym_subroutine_call_token1] = ACTIONS(3845),
    [aux_sym_keyword_statement_token1] = ACTIONS(3845),
    [aux_sym_keyword_statement_token2] = ACTIONS(3845),
    [aux_sym_keyword_statement_token3] = ACTIONS(3845),
    [aux_sym_keyword_statement_token4] = ACTIONS(3845),
    [aux_sym_keyword_statement_token6] = ACTIONS(3845),
    [aux_sym_keyword_statement_token7] = ACTIONS(3845),
    [aux_sym_include_statement_token1] = ACTIONS(3845),
    [aux_sym_data_statement_token1] = ACTIONS(3845),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3845),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3845),
    [aux_sym_end_if_statement_token1] = ACTIONS(3845),
    [aux_sym_elseif_clause_token2] = ACTIONS(3845),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3845),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3845),
    [aux_sym_select_case_statement_token1] = ACTIONS(3845),
    [aux_sym_select_case_statement_token3] = ACTIONS(3845),
    [aux_sym_select_type_statement_token1] = ACTIONS(3845),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3845),
    [aux_sym_block_construct_token1] = ACTIONS(3845),
    [aux_sym_associate_statement_token1] = ACTIONS(3845),
    [aux_sym_format_statement_token1] = ACTIONS(3845),
    [aux_sym_print_statement_token1] = ACTIONS(3845),
    [aux_sym_open_statement_token1] = ACTIONS(3845),
    [aux_sym_close_statement_token1] = ACTIONS(3845),
    [aux_sym_inquire_statement_token1] = ACTIONS(3845),
    [aux_sym_file_position_statement_token1] = ACTIONS(3845),
    [aux_sym_file_position_statement_token2] = ACTIONS(3845),
    [aux_sym_file_position_statement_token3] = ACTIONS(3845),
    [aux_sym_file_position_statement_token4] = ACTIONS(3845),
    [aux_sym_logical_expression_token5] = ACTIONS(3849),
    [anon_sym_DOT] = ACTIONS(3845),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3849),
    [aux_sym_boolean_literal_token1] = ACTIONS(3849),
    [aux_sym_boolean_literal_token2] = ACTIONS(3849),
    [aux_sym_null_literal_token1] = ACTIONS(3845),
    [aux_sym_identifier_token1] = ACTIONS(3845),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3849),
    [sym__float_literal] = ACTIONS(3849),
    [sym__boz_literal] = ACTIONS(3849),
    [sym__string_literal] = ACTIONS(3849),
    [sym__string_literal_kind] = ACTIONS(3849),
  },
  [1592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(1562),
    [aux_sym_preproc_def_token1] = ACTIONS(1562),
    [aux_sym_preproc_if_token2] = ACTIONS(1562),
    [aux_sym_preproc_else_token1] = ACTIONS(1562),
    [aux_sym_preproc_elif_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1562),
    [sym_preproc_directive] = ACTIONS(1562),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(3711),
    [anon_sym_DASH] = ACTIONS(3711),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1562),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1562),
    [aux_sym_contains_statement_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1562),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1562),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1562),
    [aux_sym_stop_statement_token1] = ACTIONS(1562),
    [aux_sym_stop_statement_token2] = ACTIONS(1562),
    [aux_sym_subroutine_call_token1] = ACTIONS(1562),
    [aux_sym_keyword_statement_token1] = ACTIONS(1562),
    [aux_sym_keyword_statement_token2] = ACTIONS(1562),
    [aux_sym_keyword_statement_token3] = ACTIONS(1562),
    [aux_sym_keyword_statement_token4] = ACTIONS(1562),
    [aux_sym_keyword_statement_token6] = ACTIONS(1562),
    [aux_sym_keyword_statement_token7] = ACTIONS(1562),
    [aux_sym_include_statement_token1] = ACTIONS(1562),
    [aux_sym_data_statement_token1] = ACTIONS(1562),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1562),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1562),
    [aux_sym_end_if_statement_token1] = ACTIONS(1562),
    [aux_sym_elseif_clause_token2] = ACTIONS(1562),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1562),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token1] = ACTIONS(1562),
    [aux_sym_select_case_statement_token3] = ACTIONS(1562),
    [aux_sym_select_type_statement_token1] = ACTIONS(1562),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1562),
    [aux_sym_block_construct_token1] = ACTIONS(1562),
    [aux_sym_associate_statement_token1] = ACTIONS(1562),
    [aux_sym_format_statement_token1] = ACTIONS(1562),
    [aux_sym_print_statement_token1] = ACTIONS(1562),
    [aux_sym_open_statement_token1] = ACTIONS(1562),
    [aux_sym_close_statement_token1] = ACTIONS(1562),
    [aux_sym_inquire_statement_token1] = ACTIONS(1562),
    [aux_sym_file_position_statement_token1] = ACTIONS(1562),
    [aux_sym_file_position_statement_token2] = ACTIONS(1562),
    [aux_sym_file_position_statement_token3] = ACTIONS(1562),
    [aux_sym_file_position_statement_token4] = ACTIONS(1562),
    [aux_sym_logical_expression_token5] = ACTIONS(3711),
    [anon_sym_DOT] = ACTIONS(1562),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3711),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [aux_sym_boolean_literal_token1] = ACTIONS(3711),
    [aux_sym_boolean_literal_token2] = ACTIONS(3711),
    [aux_sym_null_literal_token1] = ACTIONS(1562),
    [aux_sym_identifier_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3711),
    [sym__float_literal] = ACTIONS(3711),
    [sym__boz_literal] = ACTIONS(3711),
    [sym__string_literal] = ACTIONS(3711),
    [sym__string_literal_kind] = ACTIONS(3711),
  },
  [1593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3807),
    [aux_sym_preproc_def_token1] = ACTIONS(3807),
    [aux_sym_preproc_if_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3807),
    [sym_preproc_directive] = ACTIONS(3807),
    [anon_sym_LPAREN2] = ACTIONS(3807),
    [sym_preproc_comment] = ACTIONS(3875),
    [anon_sym_PLUS] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3807),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3807),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3807),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3807),
    [aux_sym_contains_statement_token1] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3807),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3807),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3807),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3807),
    [aux_sym_stop_statement_token1] = ACTIONS(3807),
    [aux_sym_stop_statement_token2] = ACTIONS(3807),
    [aux_sym_subroutine_call_token1] = ACTIONS(3807),
    [aux_sym_keyword_statement_token1] = ACTIONS(3807),
    [aux_sym_keyword_statement_token2] = ACTIONS(3807),
    [aux_sym_keyword_statement_token3] = ACTIONS(3807),
    [aux_sym_keyword_statement_token4] = ACTIONS(3807),
    [aux_sym_keyword_statement_token6] = ACTIONS(3807),
    [aux_sym_keyword_statement_token7] = ACTIONS(3807),
    [aux_sym_include_statement_token1] = ACTIONS(3807),
    [aux_sym_data_statement_token1] = ACTIONS(3807),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3807),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3807),
    [aux_sym_end_if_statement_token1] = ACTIONS(3807),
    [aux_sym_elseif_clause_token2] = ACTIONS(3807),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3807),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3807),
    [aux_sym_select_case_statement_token1] = ACTIONS(3807),
    [aux_sym_select_case_statement_token3] = ACTIONS(3807),
    [aux_sym_select_type_statement_token1] = ACTIONS(3807),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3807),
    [aux_sym_block_construct_token1] = ACTIONS(3807),
    [aux_sym_associate_statement_token1] = ACTIONS(3807),
    [aux_sym_format_statement_token1] = ACTIONS(3807),
    [aux_sym_print_statement_token1] = ACTIONS(3807),
    [aux_sym_open_statement_token1] = ACTIONS(3807),
    [aux_sym_close_statement_token1] = ACTIONS(3807),
    [aux_sym_inquire_statement_token1] = ACTIONS(3807),
    [aux_sym_file_position_statement_token1] = ACTIONS(3807),
    [aux_sym_file_position_statement_token2] = ACTIONS(3807),
    [aux_sym_file_position_statement_token3] = ACTIONS(3807),
    [aux_sym_file_position_statement_token4] = ACTIONS(3807),
    [aux_sym_logical_expression_token5] = ACTIONS(3811),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(3811),
    [aux_sym_boolean_literal_token1] = ACTIONS(3811),
    [aux_sym_boolean_literal_token2] = ACTIONS(3811),
    [aux_sym_null_literal_token1] = ACTIONS(3807),
    [aux_sym_identifier_token1] = ACTIONS(3807),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3811),
    [sym__float_literal] = ACTIONS(3811),
    [sym__boz_literal] = ACTIONS(3811),
    [sym__string_literal] = ACTIONS(3811),
    [sym__string_literal_kind] = ACTIONS(3811),
  },
  [1594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3769),
    [aux_sym_preproc_def_token1] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3769),
    [sym_preproc_directive] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3769),
    [aux_sym_end_function_statement_token1] = ACTIONS(3769),
    [aux_sym_contains_statement_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3769),
    [aux_sym_stop_statement_token1] = ACTIONS(3769),
    [aux_sym_stop_statement_token2] = ACTIONS(3769),
    [aux_sym_subroutine_call_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token2] = ACTIONS(3769),
    [aux_sym_keyword_statement_token3] = ACTIONS(3769),
    [aux_sym_keyword_statement_token4] = ACTIONS(3769),
    [aux_sym_keyword_statement_token6] = ACTIONS(3769),
    [aux_sym_keyword_statement_token7] = ACTIONS(3769),
    [aux_sym_include_statement_token1] = ACTIONS(3769),
    [aux_sym_data_statement_token1] = ACTIONS(3769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3769),
    [aux_sym_end_if_statement_token1] = ACTIONS(3769),
    [aux_sym_elseif_clause_token2] = ACTIONS(3769),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3769),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token3] = ACTIONS(3769),
    [aux_sym_select_type_statement_token1] = ACTIONS(3769),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3769),
    [aux_sym_block_construct_token1] = ACTIONS(3769),
    [aux_sym_associate_statement_token1] = ACTIONS(3769),
    [aux_sym_format_statement_token1] = ACTIONS(3769),
    [aux_sym_print_statement_token1] = ACTIONS(3769),
    [aux_sym_open_statement_token1] = ACTIONS(3769),
    [aux_sym_close_statement_token1] = ACTIONS(3769),
    [aux_sym_inquire_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token2] = ACTIONS(3769),
    [aux_sym_file_position_statement_token3] = ACTIONS(3769),
    [aux_sym_file_position_statement_token4] = ACTIONS(3769),
    [aux_sym_logical_expression_token5] = ACTIONS(3773),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3773),
    [aux_sym_boolean_literal_token1] = ACTIONS(3773),
    [aux_sym_boolean_literal_token2] = ACTIONS(3773),
    [aux_sym_null_literal_token1] = ACTIONS(3769),
    [aux_sym_identifier_token1] = ACTIONS(3769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3773),
    [sym__float_literal] = ACTIONS(3773),
    [sym__boz_literal] = ACTIONS(3773),
    [sym__string_literal] = ACTIONS(3773),
    [sym__string_literal_kind] = ACTIONS(3773),
  },
  [1595] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3877),
    [aux_sym_preproc_def_token1] = ACTIONS(3877),
    [aux_sym_preproc_if_token1] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3877),
    [sym_preproc_directive] = ACTIONS(3877),
    [anon_sym_LPAREN2] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3877),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3877),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3877),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3877),
    [aux_sym_contains_statement_token1] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3877),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3877),
    [aux_sym_stop_statement_token1] = ACTIONS(3877),
    [aux_sym_stop_statement_token2] = ACTIONS(3877),
    [aux_sym_subroutine_call_token1] = ACTIONS(3877),
    [aux_sym_keyword_statement_token1] = ACTIONS(3877),
    [aux_sym_keyword_statement_token2] = ACTIONS(3877),
    [aux_sym_keyword_statement_token3] = ACTIONS(3877),
    [aux_sym_keyword_statement_token4] = ACTIONS(3877),
    [aux_sym_keyword_statement_token6] = ACTIONS(3877),
    [aux_sym_keyword_statement_token7] = ACTIONS(3877),
    [aux_sym_include_statement_token1] = ACTIONS(3877),
    [aux_sym_data_statement_token1] = ACTIONS(3877),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3877),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3877),
    [aux_sym_end_if_statement_token1] = ACTIONS(3877),
    [aux_sym_elseif_clause_token2] = ACTIONS(3877),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3877),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3877),
    [aux_sym_select_case_statement_token1] = ACTIONS(3877),
    [aux_sym_select_case_statement_token3] = ACTIONS(3877),
    [aux_sym_select_type_statement_token1] = ACTIONS(3877),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3877),
    [aux_sym_block_construct_token1] = ACTIONS(3877),
    [aux_sym_associate_statement_token1] = ACTIONS(3877),
    [aux_sym_format_statement_token1] = ACTIONS(3877),
    [aux_sym_print_statement_token1] = ACTIONS(3877),
    [aux_sym_open_statement_token1] = ACTIONS(3877),
    [aux_sym_close_statement_token1] = ACTIONS(3877),
    [aux_sym_inquire_statement_token1] = ACTIONS(3877),
    [aux_sym_file_position_statement_token1] = ACTIONS(3877),
    [aux_sym_file_position_statement_token2] = ACTIONS(3877),
    [aux_sym_file_position_statement_token3] = ACTIONS(3877),
    [aux_sym_file_position_statement_token4] = ACTIONS(3877),
    [aux_sym_logical_expression_token5] = ACTIONS(3879),
    [anon_sym_DOT] = ACTIONS(3877),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3879),
    [anon_sym_LBRACK] = ACTIONS(3879),
    [aux_sym_boolean_literal_token1] = ACTIONS(3879),
    [aux_sym_boolean_literal_token2] = ACTIONS(3879),
    [aux_sym_null_literal_token1] = ACTIONS(3877),
    [aux_sym_identifier_token1] = ACTIONS(3877),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3879),
    [sym__float_literal] = ACTIONS(3879),
    [sym__boz_literal] = ACTIONS(3879),
    [sym__string_literal] = ACTIONS(3879),
    [sym__string_literal_kind] = ACTIONS(3879),
  },
  [1596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(3881),
    [anon_sym_DASH] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1428),
    [aux_sym_end_function_statement_token1] = ACTIONS(1428),
    [aux_sym_contains_statement_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1428),
    [aux_sym_stop_statement_token1] = ACTIONS(1428),
    [aux_sym_stop_statement_token2] = ACTIONS(1428),
    [aux_sym_subroutine_call_token1] = ACTIONS(1428),
    [aux_sym_keyword_statement_token1] = ACTIONS(1428),
    [aux_sym_keyword_statement_token2] = ACTIONS(1428),
    [aux_sym_keyword_statement_token3] = ACTIONS(1428),
    [aux_sym_keyword_statement_token4] = ACTIONS(1428),
    [aux_sym_keyword_statement_token6] = ACTIONS(1428),
    [aux_sym_keyword_statement_token7] = ACTIONS(1428),
    [aux_sym_include_statement_token1] = ACTIONS(1428),
    [aux_sym_data_statement_token1] = ACTIONS(1428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1428),
    [aux_sym_end_if_statement_token1] = ACTIONS(1428),
    [aux_sym_elseif_clause_token2] = ACTIONS(1428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1428),
    [aux_sym_select_case_statement_token1] = ACTIONS(1428),
    [aux_sym_select_case_statement_token3] = ACTIONS(1428),
    [aux_sym_select_type_statement_token1] = ACTIONS(1428),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1428),
    [aux_sym_block_construct_token1] = ACTIONS(1428),
    [aux_sym_associate_statement_token1] = ACTIONS(1428),
    [aux_sym_format_statement_token1] = ACTIONS(1428),
    [aux_sym_print_statement_token1] = ACTIONS(1428),
    [aux_sym_open_statement_token1] = ACTIONS(1428),
    [aux_sym_close_statement_token1] = ACTIONS(1428),
    [aux_sym_inquire_statement_token1] = ACTIONS(1428),
    [aux_sym_file_position_statement_token1] = ACTIONS(1428),
    [aux_sym_file_position_statement_token2] = ACTIONS(1428),
    [aux_sym_file_position_statement_token3] = ACTIONS(1428),
    [aux_sym_file_position_statement_token4] = ACTIONS(1428),
    [aux_sym_logical_expression_token5] = ACTIONS(3881),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3881),
    [aux_sym_boolean_literal_token1] = ACTIONS(3881),
    [aux_sym_boolean_literal_token2] = ACTIONS(3881),
    [aux_sym_null_literal_token1] = ACTIONS(1428),
    [aux_sym_identifier_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3881),
    [sym__float_literal] = ACTIONS(3881),
    [sym__boz_literal] = ACTIONS(3881),
    [sym__string_literal] = ACTIONS(3881),
    [sym__string_literal_kind] = ACTIONS(3881),
  },
  [1597] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3769),
    [aux_sym_preproc_def_token1] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3769),
    [sym_preproc_directive] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3769),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3769),
    [aux_sym_contains_statement_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3769),
    [aux_sym_stop_statement_token1] = ACTIONS(3769),
    [aux_sym_stop_statement_token2] = ACTIONS(3769),
    [aux_sym_subroutine_call_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token2] = ACTIONS(3769),
    [aux_sym_keyword_statement_token3] = ACTIONS(3769),
    [aux_sym_keyword_statement_token4] = ACTIONS(3769),
    [aux_sym_keyword_statement_token6] = ACTIONS(3769),
    [aux_sym_keyword_statement_token7] = ACTIONS(3769),
    [aux_sym_include_statement_token1] = ACTIONS(3769),
    [aux_sym_data_statement_token1] = ACTIONS(3769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3769),
    [aux_sym_end_if_statement_token1] = ACTIONS(3769),
    [aux_sym_elseif_clause_token2] = ACTIONS(3769),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3769),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token3] = ACTIONS(3769),
    [aux_sym_select_type_statement_token1] = ACTIONS(3769),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3769),
    [aux_sym_block_construct_token1] = ACTIONS(3769),
    [aux_sym_associate_statement_token1] = ACTIONS(3769),
    [aux_sym_format_statement_token1] = ACTIONS(3769),
    [aux_sym_print_statement_token1] = ACTIONS(3769),
    [aux_sym_open_statement_token1] = ACTIONS(3769),
    [aux_sym_close_statement_token1] = ACTIONS(3769),
    [aux_sym_inquire_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token2] = ACTIONS(3769),
    [aux_sym_file_position_statement_token3] = ACTIONS(3769),
    [aux_sym_file_position_statement_token4] = ACTIONS(3769),
    [aux_sym_logical_expression_token5] = ACTIONS(3773),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3773),
    [aux_sym_boolean_literal_token1] = ACTIONS(3773),
    [aux_sym_boolean_literal_token2] = ACTIONS(3773),
    [aux_sym_null_literal_token1] = ACTIONS(3769),
    [aux_sym_identifier_token1] = ACTIONS(3769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3773),
    [sym__float_literal] = ACTIONS(3773),
    [sym__boz_literal] = ACTIONS(3773),
    [sym__string_literal] = ACTIONS(3773),
    [sym__string_literal_kind] = ACTIONS(3773),
  },
  [1598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3883),
    [aux_sym_preproc_def_token1] = ACTIONS(3883),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3883),
    [sym_preproc_directive] = ACTIONS(3883),
    [anon_sym_LPAREN2] = ACTIONS(3883),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3883),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3883),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3883),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3883),
    [aux_sym_contains_statement_token1] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3883),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3883),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3883),
    [aux_sym_stop_statement_token1] = ACTIONS(3883),
    [aux_sym_stop_statement_token2] = ACTIONS(3883),
    [aux_sym_subroutine_call_token1] = ACTIONS(3883),
    [aux_sym_keyword_statement_token1] = ACTIONS(3883),
    [aux_sym_keyword_statement_token2] = ACTIONS(3883),
    [aux_sym_keyword_statement_token3] = ACTIONS(3883),
    [aux_sym_keyword_statement_token4] = ACTIONS(3883),
    [aux_sym_keyword_statement_token6] = ACTIONS(3883),
    [aux_sym_keyword_statement_token7] = ACTIONS(3883),
    [aux_sym_include_statement_token1] = ACTIONS(3883),
    [aux_sym_data_statement_token1] = ACTIONS(3883),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3883),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3883),
    [aux_sym_end_if_statement_token1] = ACTIONS(3883),
    [aux_sym_elseif_clause_token2] = ACTIONS(3883),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3883),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3883),
    [aux_sym_select_case_statement_token1] = ACTIONS(3883),
    [aux_sym_select_case_statement_token3] = ACTIONS(3883),
    [aux_sym_select_type_statement_token1] = ACTIONS(3883),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3883),
    [aux_sym_block_construct_token1] = ACTIONS(3883),
    [aux_sym_associate_statement_token1] = ACTIONS(3883),
    [aux_sym_format_statement_token1] = ACTIONS(3883),
    [aux_sym_print_statement_token1] = ACTIONS(3883),
    [aux_sym_open_statement_token1] = ACTIONS(3883),
    [aux_sym_close_statement_token1] = ACTIONS(3883),
    [aux_sym_inquire_statement_token1] = ACTIONS(3883),
    [aux_sym_file_position_statement_token1] = ACTIONS(3883),
    [aux_sym_file_position_statement_token2] = ACTIONS(3883),
    [aux_sym_file_position_statement_token3] = ACTIONS(3883),
    [aux_sym_file_position_statement_token4] = ACTIONS(3883),
    [aux_sym_logical_expression_token5] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3883),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(3885),
    [aux_sym_boolean_literal_token1] = ACTIONS(3885),
    [aux_sym_boolean_literal_token2] = ACTIONS(3885),
    [aux_sym_null_literal_token1] = ACTIONS(3883),
    [aux_sym_identifier_token1] = ACTIONS(3883),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3885),
    [sym__float_literal] = ACTIONS(3885),
    [sym__boz_literal] = ACTIONS(3885),
    [sym__string_literal] = ACTIONS(3885),
    [sym__string_literal_kind] = ACTIONS(3885),
  },
  [1599] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3735),
    [aux_sym_preproc_def_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3735),
    [sym_preproc_directive] = ACTIONS(3735),
    [anon_sym_LPAREN2] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3735),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3735),
    [aux_sym_contains_statement_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3735),
    [aux_sym_stop_statement_token1] = ACTIONS(3735),
    [aux_sym_stop_statement_token2] = ACTIONS(3735),
    [aux_sym_subroutine_call_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token2] = ACTIONS(3735),
    [aux_sym_keyword_statement_token3] = ACTIONS(3735),
    [aux_sym_keyword_statement_token4] = ACTIONS(3735),
    [aux_sym_keyword_statement_token6] = ACTIONS(3735),
    [aux_sym_keyword_statement_token7] = ACTIONS(3735),
    [aux_sym_include_statement_token1] = ACTIONS(3735),
    [aux_sym_data_statement_token1] = ACTIONS(3735),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3735),
    [aux_sym_end_if_statement_token1] = ACTIONS(3735),
    [aux_sym_elseif_clause_token2] = ACTIONS(3735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3735),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token3] = ACTIONS(3735),
    [aux_sym_select_type_statement_token1] = ACTIONS(3735),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3735),
    [aux_sym_block_construct_token1] = ACTIONS(3735),
    [aux_sym_associate_statement_token1] = ACTIONS(3735),
    [aux_sym_format_statement_token1] = ACTIONS(3735),
    [aux_sym_print_statement_token1] = ACTIONS(3735),
    [aux_sym_open_statement_token1] = ACTIONS(3735),
    [aux_sym_close_statement_token1] = ACTIONS(3735),
    [aux_sym_inquire_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token2] = ACTIONS(3735),
    [aux_sym_file_position_statement_token3] = ACTIONS(3735),
    [aux_sym_file_position_statement_token4] = ACTIONS(3735),
    [aux_sym_logical_expression_token5] = ACTIONS(3739),
    [anon_sym_DOT] = ACTIONS(3735),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [aux_sym_boolean_literal_token1] = ACTIONS(3739),
    [aux_sym_boolean_literal_token2] = ACTIONS(3739),
    [aux_sym_null_literal_token1] = ACTIONS(3735),
    [aux_sym_identifier_token1] = ACTIONS(3735),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3739),
    [sym__float_literal] = ACTIONS(3739),
    [sym__boz_literal] = ACTIONS(3739),
    [sym__string_literal] = ACTIONS(3739),
    [sym__string_literal_kind] = ACTIONS(3739),
  },
  [1600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3887),
    [aux_sym_preproc_def_token1] = ACTIONS(3887),
    [aux_sym_preproc_if_token1] = ACTIONS(3887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3887),
    [sym_preproc_directive] = ACTIONS(3887),
    [anon_sym_LPAREN2] = ACTIONS(3887),
    [anon_sym_PLUS] = ACTIONS(3889),
    [anon_sym_DASH] = ACTIONS(3889),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3887),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3887),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3887),
    [aux_sym_end_function_statement_token1] = ACTIONS(3887),
    [aux_sym_contains_statement_token1] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3887),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3887),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3887),
    [aux_sym_stop_statement_token1] = ACTIONS(3887),
    [aux_sym_stop_statement_token2] = ACTIONS(3887),
    [aux_sym_subroutine_call_token1] = ACTIONS(3887),
    [aux_sym_keyword_statement_token1] = ACTIONS(3887),
    [aux_sym_keyword_statement_token2] = ACTIONS(3887),
    [aux_sym_keyword_statement_token3] = ACTIONS(3887),
    [aux_sym_keyword_statement_token4] = ACTIONS(3887),
    [aux_sym_keyword_statement_token6] = ACTIONS(3887),
    [aux_sym_keyword_statement_token7] = ACTIONS(3887),
    [aux_sym_include_statement_token1] = ACTIONS(3887),
    [aux_sym_data_statement_token1] = ACTIONS(3887),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3887),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3887),
    [aux_sym_end_if_statement_token1] = ACTIONS(3887),
    [aux_sym_elseif_clause_token2] = ACTIONS(3887),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3887),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3887),
    [aux_sym_select_case_statement_token1] = ACTIONS(3887),
    [aux_sym_select_case_statement_token3] = ACTIONS(3887),
    [aux_sym_select_type_statement_token1] = ACTIONS(3887),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3887),
    [aux_sym_block_construct_token1] = ACTIONS(3887),
    [aux_sym_associate_statement_token1] = ACTIONS(3887),
    [aux_sym_format_statement_token1] = ACTIONS(3887),
    [aux_sym_print_statement_token1] = ACTIONS(3887),
    [aux_sym_open_statement_token1] = ACTIONS(3887),
    [aux_sym_close_statement_token1] = ACTIONS(3887),
    [aux_sym_inquire_statement_token1] = ACTIONS(3887),
    [aux_sym_file_position_statement_token1] = ACTIONS(3887),
    [aux_sym_file_position_statement_token2] = ACTIONS(3887),
    [aux_sym_file_position_statement_token3] = ACTIONS(3887),
    [aux_sym_file_position_statement_token4] = ACTIONS(3887),
    [aux_sym_logical_expression_token5] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3887),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [aux_sym_boolean_literal_token1] = ACTIONS(3889),
    [aux_sym_boolean_literal_token2] = ACTIONS(3889),
    [aux_sym_null_literal_token1] = ACTIONS(3887),
    [aux_sym_identifier_token1] = ACTIONS(3887),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3889),
    [sym__float_literal] = ACTIONS(3889),
    [sym__boz_literal] = ACTIONS(3889),
    [sym__string_literal] = ACTIONS(3889),
    [sym__string_literal_kind] = ACTIONS(3889),
  },
  [1601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3891),
    [aux_sym_preproc_def_token1] = ACTIONS(3891),
    [aux_sym_preproc_if_token1] = ACTIONS(3891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3891),
    [sym_preproc_directive] = ACTIONS(3891),
    [anon_sym_LPAREN2] = ACTIONS(3891),
    [anon_sym_PLUS] = ACTIONS(3893),
    [anon_sym_DASH] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3891),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3891),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3891),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3891),
    [aux_sym_contains_statement_token1] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3891),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3891),
    [aux_sym_stop_statement_token1] = ACTIONS(3891),
    [aux_sym_stop_statement_token2] = ACTIONS(3891),
    [aux_sym_subroutine_call_token1] = ACTIONS(3891),
    [aux_sym_keyword_statement_token1] = ACTIONS(3891),
    [aux_sym_keyword_statement_token2] = ACTIONS(3891),
    [aux_sym_keyword_statement_token3] = ACTIONS(3891),
    [aux_sym_keyword_statement_token4] = ACTIONS(3891),
    [aux_sym_keyword_statement_token6] = ACTIONS(3891),
    [aux_sym_keyword_statement_token7] = ACTIONS(3891),
    [aux_sym_include_statement_token1] = ACTIONS(3891),
    [aux_sym_data_statement_token1] = ACTIONS(3891),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3891),
    [aux_sym_end_if_statement_token1] = ACTIONS(3891),
    [aux_sym_elseif_clause_token2] = ACTIONS(3891),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3891),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3891),
    [aux_sym_select_case_statement_token1] = ACTIONS(3891),
    [aux_sym_select_case_statement_token3] = ACTIONS(3891),
    [aux_sym_select_type_statement_token1] = ACTIONS(3891),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3891),
    [aux_sym_block_construct_token1] = ACTIONS(3891),
    [aux_sym_associate_statement_token1] = ACTIONS(3891),
    [aux_sym_format_statement_token1] = ACTIONS(3891),
    [aux_sym_print_statement_token1] = ACTIONS(3891),
    [aux_sym_open_statement_token1] = ACTIONS(3891),
    [aux_sym_close_statement_token1] = ACTIONS(3891),
    [aux_sym_inquire_statement_token1] = ACTIONS(3891),
    [aux_sym_file_position_statement_token1] = ACTIONS(3891),
    [aux_sym_file_position_statement_token2] = ACTIONS(3891),
    [aux_sym_file_position_statement_token3] = ACTIONS(3891),
    [aux_sym_file_position_statement_token4] = ACTIONS(3891),
    [aux_sym_logical_expression_token5] = ACTIONS(3893),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3893),
    [aux_sym_boolean_literal_token1] = ACTIONS(3893),
    [aux_sym_boolean_literal_token2] = ACTIONS(3893),
    [aux_sym_null_literal_token1] = ACTIONS(3891),
    [aux_sym_identifier_token1] = ACTIONS(3891),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3893),
    [sym__float_literal] = ACTIONS(3893),
    [sym__boz_literal] = ACTIONS(3893),
    [sym__string_literal] = ACTIONS(3893),
    [sym__string_literal_kind] = ACTIONS(3893),
  },
  [1602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3895),
    [aux_sym_preproc_def_token1] = ACTIONS(3895),
    [aux_sym_preproc_if_token1] = ACTIONS(3895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3895),
    [sym_preproc_directive] = ACTIONS(3895),
    [anon_sym_LPAREN2] = ACTIONS(3895),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3895),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3895),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3895),
    [aux_sym_end_function_statement_token1] = ACTIONS(3895),
    [aux_sym_contains_statement_token1] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3895),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3895),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3895),
    [aux_sym_stop_statement_token1] = ACTIONS(3895),
    [aux_sym_stop_statement_token2] = ACTIONS(3895),
    [aux_sym_subroutine_call_token1] = ACTIONS(3895),
    [aux_sym_keyword_statement_token1] = ACTIONS(3895),
    [aux_sym_keyword_statement_token2] = ACTIONS(3895),
    [aux_sym_keyword_statement_token3] = ACTIONS(3895),
    [aux_sym_keyword_statement_token4] = ACTIONS(3895),
    [aux_sym_keyword_statement_token6] = ACTIONS(3895),
    [aux_sym_keyword_statement_token7] = ACTIONS(3895),
    [aux_sym_include_statement_token1] = ACTIONS(3895),
    [aux_sym_data_statement_token1] = ACTIONS(3895),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3895),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3895),
    [aux_sym_end_if_statement_token1] = ACTIONS(3895),
    [aux_sym_elseif_clause_token2] = ACTIONS(3895),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3895),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3895),
    [aux_sym_select_case_statement_token1] = ACTIONS(3895),
    [aux_sym_select_case_statement_token3] = ACTIONS(3895),
    [aux_sym_select_type_statement_token1] = ACTIONS(3895),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3895),
    [aux_sym_block_construct_token1] = ACTIONS(3895),
    [aux_sym_associate_statement_token1] = ACTIONS(3895),
    [aux_sym_format_statement_token1] = ACTIONS(3895),
    [aux_sym_print_statement_token1] = ACTIONS(3895),
    [aux_sym_open_statement_token1] = ACTIONS(3895),
    [aux_sym_close_statement_token1] = ACTIONS(3895),
    [aux_sym_inquire_statement_token1] = ACTIONS(3895),
    [aux_sym_file_position_statement_token1] = ACTIONS(3895),
    [aux_sym_file_position_statement_token2] = ACTIONS(3895),
    [aux_sym_file_position_statement_token3] = ACTIONS(3895),
    [aux_sym_file_position_statement_token4] = ACTIONS(3895),
    [aux_sym_logical_expression_token5] = ACTIONS(3897),
    [anon_sym_DOT] = ACTIONS(3895),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3897),
    [aux_sym_boolean_literal_token1] = ACTIONS(3897),
    [aux_sym_boolean_literal_token2] = ACTIONS(3897),
    [aux_sym_null_literal_token1] = ACTIONS(3895),
    [aux_sym_identifier_token1] = ACTIONS(3895),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3897),
    [sym__float_literal] = ACTIONS(3897),
    [sym__boz_literal] = ACTIONS(3897),
    [sym__string_literal] = ACTIONS(3897),
    [sym__string_literal_kind] = ACTIONS(3897),
  },
  [1603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3741),
    [aux_sym_preproc_def_token1] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3741),
    [sym_preproc_directive] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3741),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3741),
    [aux_sym_end_function_statement_token1] = ACTIONS(3741),
    [aux_sym_contains_statement_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3741),
    [aux_sym_stop_statement_token1] = ACTIONS(3741),
    [aux_sym_stop_statement_token2] = ACTIONS(3741),
    [aux_sym_subroutine_call_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token2] = ACTIONS(3741),
    [aux_sym_keyword_statement_token3] = ACTIONS(3741),
    [aux_sym_keyword_statement_token4] = ACTIONS(3741),
    [aux_sym_keyword_statement_token6] = ACTIONS(3741),
    [aux_sym_keyword_statement_token7] = ACTIONS(3741),
    [aux_sym_include_statement_token1] = ACTIONS(3741),
    [aux_sym_data_statement_token1] = ACTIONS(3741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3741),
    [aux_sym_end_if_statement_token1] = ACTIONS(3741),
    [aux_sym_elseif_clause_token2] = ACTIONS(3741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token3] = ACTIONS(3741),
    [aux_sym_select_type_statement_token1] = ACTIONS(3741),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3741),
    [aux_sym_block_construct_token1] = ACTIONS(3741),
    [aux_sym_associate_statement_token1] = ACTIONS(3741),
    [aux_sym_format_statement_token1] = ACTIONS(3741),
    [aux_sym_print_statement_token1] = ACTIONS(3741),
    [aux_sym_open_statement_token1] = ACTIONS(3741),
    [aux_sym_close_statement_token1] = ACTIONS(3741),
    [aux_sym_inquire_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token2] = ACTIONS(3741),
    [aux_sym_file_position_statement_token3] = ACTIONS(3741),
    [aux_sym_file_position_statement_token4] = ACTIONS(3741),
    [aux_sym_logical_expression_token5] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(3741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3745),
    [aux_sym_boolean_literal_token1] = ACTIONS(3745),
    [aux_sym_boolean_literal_token2] = ACTIONS(3745),
    [aux_sym_null_literal_token1] = ACTIONS(3741),
    [aux_sym_identifier_token1] = ACTIONS(3741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3745),
    [sym__float_literal] = ACTIONS(3745),
    [sym__boz_literal] = ACTIONS(3745),
    [sym__string_literal] = ACTIONS(3745),
    [sym__string_literal_kind] = ACTIONS(3745),
  },
  [1604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3899),
    [anon_sym_PLUS] = ACTIONS(3901),
    [anon_sym_DASH] = ACTIONS(3901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3899),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3899),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3899),
    [aux_sym_end_function_statement_token1] = ACTIONS(3899),
    [aux_sym_contains_statement_token1] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3899),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3899),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3899),
    [aux_sym_stop_statement_token1] = ACTIONS(3899),
    [aux_sym_stop_statement_token2] = ACTIONS(3899),
    [aux_sym_subroutine_call_token1] = ACTIONS(3899),
    [aux_sym_keyword_statement_token1] = ACTIONS(3899),
    [aux_sym_keyword_statement_token2] = ACTIONS(3899),
    [aux_sym_keyword_statement_token3] = ACTIONS(3899),
    [aux_sym_keyword_statement_token4] = ACTIONS(3899),
    [aux_sym_keyword_statement_token6] = ACTIONS(3899),
    [aux_sym_keyword_statement_token7] = ACTIONS(3899),
    [aux_sym_include_statement_token1] = ACTIONS(3899),
    [aux_sym_data_statement_token1] = ACTIONS(3899),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3899),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3899),
    [aux_sym_end_if_statement_token1] = ACTIONS(3899),
    [aux_sym_elseif_clause_token2] = ACTIONS(3899),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3899),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3899),
    [aux_sym_select_case_statement_token1] = ACTIONS(3899),
    [aux_sym_select_case_statement_token3] = ACTIONS(3899),
    [aux_sym_select_type_statement_token1] = ACTIONS(3899),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3899),
    [aux_sym_block_construct_token1] = ACTIONS(3899),
    [aux_sym_associate_statement_token1] = ACTIONS(3899),
    [aux_sym_format_statement_token1] = ACTIONS(3899),
    [aux_sym_print_statement_token1] = ACTIONS(3899),
    [aux_sym_open_statement_token1] = ACTIONS(3899),
    [aux_sym_close_statement_token1] = ACTIONS(3899),
    [aux_sym_inquire_statement_token1] = ACTIONS(3899),
    [aux_sym_file_position_statement_token1] = ACTIONS(3899),
    [aux_sym_file_position_statement_token2] = ACTIONS(3899),
    [aux_sym_file_position_statement_token3] = ACTIONS(3899),
    [aux_sym_file_position_statement_token4] = ACTIONS(3899),
    [aux_sym_logical_expression_token5] = ACTIONS(3901),
    [anon_sym_DOT] = ACTIONS(3899),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3901),
    [anon_sym_LBRACK] = ACTIONS(3901),
    [aux_sym_boolean_literal_token1] = ACTIONS(3901),
    [aux_sym_boolean_literal_token2] = ACTIONS(3901),
    [aux_sym_null_literal_token1] = ACTIONS(3899),
    [aux_sym_identifier_token1] = ACTIONS(3899),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3901),
    [sym__float_literal] = ACTIONS(3901),
    [sym__boz_literal] = ACTIONS(3901),
    [sym__string_literal] = ACTIONS(3901),
    [sym__string_literal_kind] = ACTIONS(3901),
  },
  [1605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3891),
    [aux_sym_preproc_def_token1] = ACTIONS(3891),
    [aux_sym_preproc_if_token1] = ACTIONS(3891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3891),
    [sym_preproc_directive] = ACTIONS(3891),
    [anon_sym_LPAREN2] = ACTIONS(3891),
    [anon_sym_PLUS] = ACTIONS(3893),
    [anon_sym_DASH] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3891),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3891),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3891),
    [aux_sym_end_function_statement_token1] = ACTIONS(3891),
    [aux_sym_contains_statement_token1] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3891),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3891),
    [aux_sym_stop_statement_token1] = ACTIONS(3891),
    [aux_sym_stop_statement_token2] = ACTIONS(3891),
    [aux_sym_subroutine_call_token1] = ACTIONS(3891),
    [aux_sym_keyword_statement_token1] = ACTIONS(3891),
    [aux_sym_keyword_statement_token2] = ACTIONS(3891),
    [aux_sym_keyword_statement_token3] = ACTIONS(3891),
    [aux_sym_keyword_statement_token4] = ACTIONS(3891),
    [aux_sym_keyword_statement_token6] = ACTIONS(3891),
    [aux_sym_keyword_statement_token7] = ACTIONS(3891),
    [aux_sym_include_statement_token1] = ACTIONS(3891),
    [aux_sym_data_statement_token1] = ACTIONS(3891),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3891),
    [aux_sym_end_if_statement_token1] = ACTIONS(3891),
    [aux_sym_elseif_clause_token2] = ACTIONS(3891),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3891),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3891),
    [aux_sym_select_case_statement_token1] = ACTIONS(3891),
    [aux_sym_select_case_statement_token3] = ACTIONS(3891),
    [aux_sym_select_type_statement_token1] = ACTIONS(3891),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3891),
    [aux_sym_block_construct_token1] = ACTIONS(3891),
    [aux_sym_associate_statement_token1] = ACTIONS(3891),
    [aux_sym_format_statement_token1] = ACTIONS(3891),
    [aux_sym_print_statement_token1] = ACTIONS(3891),
    [aux_sym_open_statement_token1] = ACTIONS(3891),
    [aux_sym_close_statement_token1] = ACTIONS(3891),
    [aux_sym_inquire_statement_token1] = ACTIONS(3891),
    [aux_sym_file_position_statement_token1] = ACTIONS(3891),
    [aux_sym_file_position_statement_token2] = ACTIONS(3891),
    [aux_sym_file_position_statement_token3] = ACTIONS(3891),
    [aux_sym_file_position_statement_token4] = ACTIONS(3891),
    [aux_sym_logical_expression_token5] = ACTIONS(3893),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3893),
    [aux_sym_boolean_literal_token1] = ACTIONS(3893),
    [aux_sym_boolean_literal_token2] = ACTIONS(3893),
    [aux_sym_null_literal_token1] = ACTIONS(3891),
    [aux_sym_identifier_token1] = ACTIONS(3891),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3893),
    [sym__float_literal] = ACTIONS(3893),
    [sym__boz_literal] = ACTIONS(3893),
    [sym__string_literal] = ACTIONS(3893),
    [sym__string_literal_kind] = ACTIONS(3893),
  },
  [1606] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3735),
    [aux_sym_preproc_def_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3735),
    [sym_preproc_directive] = ACTIONS(3735),
    [anon_sym_LPAREN2] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3735),
    [aux_sym_end_function_statement_token1] = ACTIONS(3735),
    [aux_sym_contains_statement_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3735),
    [aux_sym_stop_statement_token1] = ACTIONS(3735),
    [aux_sym_stop_statement_token2] = ACTIONS(3735),
    [aux_sym_subroutine_call_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token2] = ACTIONS(3735),
    [aux_sym_keyword_statement_token3] = ACTIONS(3735),
    [aux_sym_keyword_statement_token4] = ACTIONS(3735),
    [aux_sym_keyword_statement_token6] = ACTIONS(3735),
    [aux_sym_keyword_statement_token7] = ACTIONS(3735),
    [aux_sym_include_statement_token1] = ACTIONS(3735),
    [aux_sym_data_statement_token1] = ACTIONS(3735),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3735),
    [aux_sym_end_if_statement_token1] = ACTIONS(3735),
    [aux_sym_elseif_clause_token2] = ACTIONS(3735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3735),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token3] = ACTIONS(3735),
    [aux_sym_select_type_statement_token1] = ACTIONS(3735),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3735),
    [aux_sym_block_construct_token1] = ACTIONS(3735),
    [aux_sym_associate_statement_token1] = ACTIONS(3735),
    [aux_sym_format_statement_token1] = ACTIONS(3735),
    [aux_sym_print_statement_token1] = ACTIONS(3735),
    [aux_sym_open_statement_token1] = ACTIONS(3735),
    [aux_sym_close_statement_token1] = ACTIONS(3735),
    [aux_sym_inquire_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token2] = ACTIONS(3735),
    [aux_sym_file_position_statement_token3] = ACTIONS(3735),
    [aux_sym_file_position_statement_token4] = ACTIONS(3735),
    [aux_sym_logical_expression_token5] = ACTIONS(3739),
    [anon_sym_DOT] = ACTIONS(3735),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [aux_sym_boolean_literal_token1] = ACTIONS(3739),
    [aux_sym_boolean_literal_token2] = ACTIONS(3739),
    [aux_sym_null_literal_token1] = ACTIONS(3735),
    [aux_sym_identifier_token1] = ACTIONS(3735),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3739),
    [sym__float_literal] = ACTIONS(3739),
    [sym__boz_literal] = ACTIONS(3739),
    [sym__string_literal] = ACTIONS(3739),
    [sym__string_literal_kind] = ACTIONS(3739),
  },
  [1607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3887),
    [aux_sym_preproc_def_token1] = ACTIONS(3887),
    [aux_sym_preproc_if_token1] = ACTIONS(3887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3887),
    [sym_preproc_directive] = ACTIONS(3887),
    [anon_sym_LPAREN2] = ACTIONS(3887),
    [anon_sym_PLUS] = ACTIONS(3889),
    [anon_sym_DASH] = ACTIONS(3889),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3887),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3887),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3887),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3887),
    [aux_sym_contains_statement_token1] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3887),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3887),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3887),
    [aux_sym_stop_statement_token1] = ACTIONS(3887),
    [aux_sym_stop_statement_token2] = ACTIONS(3887),
    [aux_sym_subroutine_call_token1] = ACTIONS(3887),
    [aux_sym_keyword_statement_token1] = ACTIONS(3887),
    [aux_sym_keyword_statement_token2] = ACTIONS(3887),
    [aux_sym_keyword_statement_token3] = ACTIONS(3887),
    [aux_sym_keyword_statement_token4] = ACTIONS(3887),
    [aux_sym_keyword_statement_token6] = ACTIONS(3887),
    [aux_sym_keyword_statement_token7] = ACTIONS(3887),
    [aux_sym_include_statement_token1] = ACTIONS(3887),
    [aux_sym_data_statement_token1] = ACTIONS(3887),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3887),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3887),
    [aux_sym_end_if_statement_token1] = ACTIONS(3887),
    [aux_sym_elseif_clause_token2] = ACTIONS(3887),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3887),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3887),
    [aux_sym_select_case_statement_token1] = ACTIONS(3887),
    [aux_sym_select_case_statement_token3] = ACTIONS(3887),
    [aux_sym_select_type_statement_token1] = ACTIONS(3887),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3887),
    [aux_sym_block_construct_token1] = ACTIONS(3887),
    [aux_sym_associate_statement_token1] = ACTIONS(3887),
    [aux_sym_format_statement_token1] = ACTIONS(3887),
    [aux_sym_print_statement_token1] = ACTIONS(3887),
    [aux_sym_open_statement_token1] = ACTIONS(3887),
    [aux_sym_close_statement_token1] = ACTIONS(3887),
    [aux_sym_inquire_statement_token1] = ACTIONS(3887),
    [aux_sym_file_position_statement_token1] = ACTIONS(3887),
    [aux_sym_file_position_statement_token2] = ACTIONS(3887),
    [aux_sym_file_position_statement_token3] = ACTIONS(3887),
    [aux_sym_file_position_statement_token4] = ACTIONS(3887),
    [aux_sym_logical_expression_token5] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3887),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [aux_sym_boolean_literal_token1] = ACTIONS(3889),
    [aux_sym_boolean_literal_token2] = ACTIONS(3889),
    [aux_sym_null_literal_token1] = ACTIONS(3887),
    [aux_sym_identifier_token1] = ACTIONS(3887),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3889),
    [sym__float_literal] = ACTIONS(3889),
    [sym__boz_literal] = ACTIONS(3889),
    [sym__string_literal] = ACTIONS(3889),
    [sym__string_literal_kind] = ACTIONS(3889),
  },
  [1608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3883),
    [aux_sym_preproc_def_token1] = ACTIONS(3883),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3883),
    [sym_preproc_directive] = ACTIONS(3883),
    [anon_sym_LPAREN2] = ACTIONS(3883),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3883),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3883),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3883),
    [aux_sym_end_function_statement_token1] = ACTIONS(3883),
    [aux_sym_contains_statement_token1] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3883),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3883),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3883),
    [aux_sym_stop_statement_token1] = ACTIONS(3883),
    [aux_sym_stop_statement_token2] = ACTIONS(3883),
    [aux_sym_subroutine_call_token1] = ACTIONS(3883),
    [aux_sym_keyword_statement_token1] = ACTIONS(3883),
    [aux_sym_keyword_statement_token2] = ACTIONS(3883),
    [aux_sym_keyword_statement_token3] = ACTIONS(3883),
    [aux_sym_keyword_statement_token4] = ACTIONS(3883),
    [aux_sym_keyword_statement_token6] = ACTIONS(3883),
    [aux_sym_keyword_statement_token7] = ACTIONS(3883),
    [aux_sym_include_statement_token1] = ACTIONS(3883),
    [aux_sym_data_statement_token1] = ACTIONS(3883),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3883),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3883),
    [aux_sym_end_if_statement_token1] = ACTIONS(3883),
    [aux_sym_elseif_clause_token2] = ACTIONS(3883),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3883),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3883),
    [aux_sym_select_case_statement_token1] = ACTIONS(3883),
    [aux_sym_select_case_statement_token3] = ACTIONS(3883),
    [aux_sym_select_type_statement_token1] = ACTIONS(3883),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3883),
    [aux_sym_block_construct_token1] = ACTIONS(3883),
    [aux_sym_associate_statement_token1] = ACTIONS(3883),
    [aux_sym_format_statement_token1] = ACTIONS(3883),
    [aux_sym_print_statement_token1] = ACTIONS(3883),
    [aux_sym_open_statement_token1] = ACTIONS(3883),
    [aux_sym_close_statement_token1] = ACTIONS(3883),
    [aux_sym_inquire_statement_token1] = ACTIONS(3883),
    [aux_sym_file_position_statement_token1] = ACTIONS(3883),
    [aux_sym_file_position_statement_token2] = ACTIONS(3883),
    [aux_sym_file_position_statement_token3] = ACTIONS(3883),
    [aux_sym_file_position_statement_token4] = ACTIONS(3883),
    [aux_sym_logical_expression_token5] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3883),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(3885),
    [aux_sym_boolean_literal_token1] = ACTIONS(3885),
    [aux_sym_boolean_literal_token2] = ACTIONS(3885),
    [aux_sym_null_literal_token1] = ACTIONS(3883),
    [aux_sym_identifier_token1] = ACTIONS(3883),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3885),
    [sym__float_literal] = ACTIONS(3885),
    [sym__boz_literal] = ACTIONS(3885),
    [sym__string_literal] = ACTIONS(3885),
    [sym__string_literal_kind] = ACTIONS(3885),
  },
  [1609] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3903),
    [aux_sym_preproc_def_token1] = ACTIONS(3903),
    [aux_sym_preproc_if_token1] = ACTIONS(3903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3903),
    [sym_preproc_directive] = ACTIONS(3903),
    [anon_sym_LPAREN2] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3905),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3903),
    [aux_sym_end_function_statement_token1] = ACTIONS(3903),
    [aux_sym_contains_statement_token1] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3903),
    [aux_sym_stop_statement_token1] = ACTIONS(3903),
    [aux_sym_stop_statement_token2] = ACTIONS(3903),
    [aux_sym_subroutine_call_token1] = ACTIONS(3903),
    [aux_sym_keyword_statement_token1] = ACTIONS(3903),
    [aux_sym_keyword_statement_token2] = ACTIONS(3903),
    [aux_sym_keyword_statement_token3] = ACTIONS(3903),
    [aux_sym_keyword_statement_token4] = ACTIONS(3903),
    [aux_sym_keyword_statement_token6] = ACTIONS(3903),
    [aux_sym_keyword_statement_token7] = ACTIONS(3903),
    [aux_sym_include_statement_token1] = ACTIONS(3903),
    [aux_sym_data_statement_token1] = ACTIONS(3903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3903),
    [aux_sym_end_if_statement_token1] = ACTIONS(3903),
    [aux_sym_elseif_clause_token2] = ACTIONS(3903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3903),
    [aux_sym_select_case_statement_token1] = ACTIONS(3903),
    [aux_sym_select_case_statement_token3] = ACTIONS(3903),
    [aux_sym_select_type_statement_token1] = ACTIONS(3903),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3903),
    [aux_sym_block_construct_token1] = ACTIONS(3903),
    [aux_sym_associate_statement_token1] = ACTIONS(3903),
    [aux_sym_format_statement_token1] = ACTIONS(3903),
    [aux_sym_print_statement_token1] = ACTIONS(3903),
    [aux_sym_open_statement_token1] = ACTIONS(3903),
    [aux_sym_close_statement_token1] = ACTIONS(3903),
    [aux_sym_inquire_statement_token1] = ACTIONS(3903),
    [aux_sym_file_position_statement_token1] = ACTIONS(3903),
    [aux_sym_file_position_statement_token2] = ACTIONS(3903),
    [aux_sym_file_position_statement_token3] = ACTIONS(3903),
    [aux_sym_file_position_statement_token4] = ACTIONS(3903),
    [aux_sym_logical_expression_token5] = ACTIONS(3905),
    [anon_sym_DOT] = ACTIONS(3903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [aux_sym_boolean_literal_token1] = ACTIONS(3905),
    [aux_sym_boolean_literal_token2] = ACTIONS(3905),
    [aux_sym_null_literal_token1] = ACTIONS(3903),
    [aux_sym_identifier_token1] = ACTIONS(3903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3905),
    [sym__float_literal] = ACTIONS(3905),
    [sym__boz_literal] = ACTIONS(3905),
    [sym__string_literal] = ACTIONS(3905),
    [sym__string_literal_kind] = ACTIONS(3905),
  },
  [1610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3835),
    [aux_sym_preproc_def_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3835),
    [sym_preproc_directive] = ACTIONS(3835),
    [anon_sym_LPAREN2] = ACTIONS(3835),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3835),
    [aux_sym_end_function_statement_token1] = ACTIONS(3835),
    [aux_sym_contains_statement_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(3835),
    [aux_sym_stop_statement_token2] = ACTIONS(3835),
    [aux_sym_subroutine_call_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token2] = ACTIONS(3835),
    [aux_sym_keyword_statement_token3] = ACTIONS(3835),
    [aux_sym_keyword_statement_token4] = ACTIONS(3835),
    [aux_sym_keyword_statement_token6] = ACTIONS(3835),
    [aux_sym_keyword_statement_token7] = ACTIONS(3835),
    [aux_sym_include_statement_token1] = ACTIONS(3835),
    [aux_sym_data_statement_token1] = ACTIONS(3835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3835),
    [aux_sym_end_if_statement_token1] = ACTIONS(3835),
    [aux_sym_elseif_clause_token2] = ACTIONS(3835),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3835),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token3] = ACTIONS(3835),
    [aux_sym_select_type_statement_token1] = ACTIONS(3835),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3835),
    [aux_sym_block_construct_token1] = ACTIONS(3835),
    [aux_sym_associate_statement_token1] = ACTIONS(3835),
    [aux_sym_format_statement_token1] = ACTIONS(3835),
    [aux_sym_print_statement_token1] = ACTIONS(3835),
    [aux_sym_open_statement_token1] = ACTIONS(3835),
    [aux_sym_close_statement_token1] = ACTIONS(3835),
    [aux_sym_inquire_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token2] = ACTIONS(3835),
    [aux_sym_file_position_statement_token3] = ACTIONS(3835),
    [aux_sym_file_position_statement_token4] = ACTIONS(3835),
    [aux_sym_logical_expression_token5] = ACTIONS(3839),
    [anon_sym_DOT] = ACTIONS(3835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [aux_sym_boolean_literal_token1] = ACTIONS(3839),
    [aux_sym_boolean_literal_token2] = ACTIONS(3839),
    [aux_sym_null_literal_token1] = ACTIONS(3835),
    [aux_sym_identifier_token1] = ACTIONS(3835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(3839),
    [sym__boz_literal] = ACTIONS(3839),
    [sym__string_literal] = ACTIONS(3839),
    [sym__string_literal_kind] = ACTIONS(3839),
  },
  [1611] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3829),
    [aux_sym_preproc_def_token1] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3829),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3829),
    [aux_sym_end_function_statement_token1] = ACTIONS(3829),
    [aux_sym_contains_statement_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3829),
    [aux_sym_stop_statement_token1] = ACTIONS(3829),
    [aux_sym_stop_statement_token2] = ACTIONS(3829),
    [aux_sym_subroutine_call_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token2] = ACTIONS(3829),
    [aux_sym_keyword_statement_token3] = ACTIONS(3829),
    [aux_sym_keyword_statement_token4] = ACTIONS(3829),
    [aux_sym_keyword_statement_token6] = ACTIONS(3829),
    [aux_sym_keyword_statement_token7] = ACTIONS(3829),
    [aux_sym_include_statement_token1] = ACTIONS(3829),
    [aux_sym_data_statement_token1] = ACTIONS(3829),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3829),
    [aux_sym_end_if_statement_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(3829),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token3] = ACTIONS(3829),
    [aux_sym_select_type_statement_token1] = ACTIONS(3829),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3829),
    [aux_sym_block_construct_token1] = ACTIONS(3829),
    [aux_sym_associate_statement_token1] = ACTIONS(3829),
    [aux_sym_format_statement_token1] = ACTIONS(3829),
    [aux_sym_print_statement_token1] = ACTIONS(3829),
    [aux_sym_open_statement_token1] = ACTIONS(3829),
    [aux_sym_close_statement_token1] = ACTIONS(3829),
    [aux_sym_inquire_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token2] = ACTIONS(3829),
    [aux_sym_file_position_statement_token3] = ACTIONS(3829),
    [aux_sym_file_position_statement_token4] = ACTIONS(3829),
    [aux_sym_logical_expression_token5] = ACTIONS(3833),
    [anon_sym_DOT] = ACTIONS(3829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3833),
    [aux_sym_boolean_literal_token1] = ACTIONS(3833),
    [aux_sym_boolean_literal_token2] = ACTIONS(3833),
    [aux_sym_null_literal_token1] = ACTIONS(3829),
    [aux_sym_identifier_token1] = ACTIONS(3829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3833),
    [sym__float_literal] = ACTIONS(3833),
    [sym__boz_literal] = ACTIONS(3833),
    [sym__string_literal] = ACTIONS(3833),
    [sym__string_literal_kind] = ACTIONS(3833),
  },
  [1612] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3907),
    [aux_sym_preproc_def_token1] = ACTIONS(3907),
    [aux_sym_preproc_if_token1] = ACTIONS(3907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3907),
    [sym_preproc_directive] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(3907),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3907),
    [aux_sym_end_function_statement_token1] = ACTIONS(3907),
    [aux_sym_contains_statement_token1] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3907),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3907),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3907),
    [aux_sym_stop_statement_token1] = ACTIONS(3907),
    [aux_sym_stop_statement_token2] = ACTIONS(3907),
    [aux_sym_subroutine_call_token1] = ACTIONS(3907),
    [aux_sym_keyword_statement_token1] = ACTIONS(3907),
    [aux_sym_keyword_statement_token2] = ACTIONS(3907),
    [aux_sym_keyword_statement_token3] = ACTIONS(3907),
    [aux_sym_keyword_statement_token4] = ACTIONS(3907),
    [aux_sym_keyword_statement_token6] = ACTIONS(3907),
    [aux_sym_keyword_statement_token7] = ACTIONS(3907),
    [aux_sym_include_statement_token1] = ACTIONS(3907),
    [aux_sym_data_statement_token1] = ACTIONS(3907),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3907),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3907),
    [aux_sym_end_if_statement_token1] = ACTIONS(3907),
    [aux_sym_elseif_clause_token2] = ACTIONS(3907),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3907),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3907),
    [aux_sym_select_case_statement_token1] = ACTIONS(3907),
    [aux_sym_select_case_statement_token3] = ACTIONS(3907),
    [aux_sym_select_type_statement_token1] = ACTIONS(3907),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3907),
    [aux_sym_block_construct_token1] = ACTIONS(3907),
    [aux_sym_associate_statement_token1] = ACTIONS(3907),
    [aux_sym_format_statement_token1] = ACTIONS(3907),
    [aux_sym_print_statement_token1] = ACTIONS(3907),
    [aux_sym_open_statement_token1] = ACTIONS(3907),
    [aux_sym_close_statement_token1] = ACTIONS(3907),
    [aux_sym_inquire_statement_token1] = ACTIONS(3907),
    [aux_sym_file_position_statement_token1] = ACTIONS(3907),
    [aux_sym_file_position_statement_token2] = ACTIONS(3907),
    [aux_sym_file_position_statement_token3] = ACTIONS(3907),
    [aux_sym_file_position_statement_token4] = ACTIONS(3907),
    [aux_sym_logical_expression_token5] = ACTIONS(3909),
    [anon_sym_DOT] = ACTIONS(3907),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3909),
    [aux_sym_boolean_literal_token1] = ACTIONS(3909),
    [aux_sym_boolean_literal_token2] = ACTIONS(3909),
    [aux_sym_null_literal_token1] = ACTIONS(3907),
    [aux_sym_identifier_token1] = ACTIONS(3907),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3909),
    [sym__float_literal] = ACTIONS(3909),
    [sym__boz_literal] = ACTIONS(3909),
    [sym__string_literal] = ACTIONS(3909),
    [sym__string_literal_kind] = ACTIONS(3909),
  },
  [1613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3911),
    [aux_sym_preproc_def_token1] = ACTIONS(3911),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3911),
    [sym_preproc_directive] = ACTIONS(3911),
    [anon_sym_LPAREN2] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3911),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3911),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3911),
    [aux_sym_end_function_statement_token1] = ACTIONS(3911),
    [aux_sym_contains_statement_token1] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3911),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3911),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3911),
    [aux_sym_stop_statement_token1] = ACTIONS(3911),
    [aux_sym_stop_statement_token2] = ACTIONS(3911),
    [aux_sym_subroutine_call_token1] = ACTIONS(3911),
    [aux_sym_keyword_statement_token1] = ACTIONS(3911),
    [aux_sym_keyword_statement_token2] = ACTIONS(3911),
    [aux_sym_keyword_statement_token3] = ACTIONS(3911),
    [aux_sym_keyword_statement_token4] = ACTIONS(3911),
    [aux_sym_keyword_statement_token6] = ACTIONS(3911),
    [aux_sym_keyword_statement_token7] = ACTIONS(3911),
    [aux_sym_include_statement_token1] = ACTIONS(3911),
    [aux_sym_data_statement_token1] = ACTIONS(3911),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3911),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3911),
    [aux_sym_end_if_statement_token1] = ACTIONS(3911),
    [aux_sym_elseif_clause_token2] = ACTIONS(3911),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3911),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3911),
    [aux_sym_select_case_statement_token1] = ACTIONS(3911),
    [aux_sym_select_case_statement_token3] = ACTIONS(3911),
    [aux_sym_select_type_statement_token1] = ACTIONS(3911),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3911),
    [aux_sym_block_construct_token1] = ACTIONS(3911),
    [aux_sym_associate_statement_token1] = ACTIONS(3911),
    [aux_sym_format_statement_token1] = ACTIONS(3911),
    [aux_sym_print_statement_token1] = ACTIONS(3911),
    [aux_sym_open_statement_token1] = ACTIONS(3911),
    [aux_sym_close_statement_token1] = ACTIONS(3911),
    [aux_sym_inquire_statement_token1] = ACTIONS(3911),
    [aux_sym_file_position_statement_token1] = ACTIONS(3911),
    [aux_sym_file_position_statement_token2] = ACTIONS(3911),
    [aux_sym_file_position_statement_token3] = ACTIONS(3911),
    [aux_sym_file_position_statement_token4] = ACTIONS(3911),
    [aux_sym_logical_expression_token5] = ACTIONS(3913),
    [anon_sym_DOT] = ACTIONS(3911),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3913),
    [aux_sym_boolean_literal_token1] = ACTIONS(3913),
    [aux_sym_boolean_literal_token2] = ACTIONS(3913),
    [aux_sym_null_literal_token1] = ACTIONS(3911),
    [aux_sym_identifier_token1] = ACTIONS(3911),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3913),
    [sym__float_literal] = ACTIONS(3913),
    [sym__boz_literal] = ACTIONS(3913),
    [sym__string_literal] = ACTIONS(3913),
    [sym__string_literal_kind] = ACTIONS(3913),
  },
  [1614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3775),
    [aux_sym_preproc_def_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3775),
    [sym_preproc_directive] = ACTIONS(3775),
    [anon_sym_LPAREN2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3775),
    [aux_sym_end_function_statement_token1] = ACTIONS(3775),
    [aux_sym_contains_statement_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3775),
    [aux_sym_stop_statement_token1] = ACTIONS(3775),
    [aux_sym_stop_statement_token2] = ACTIONS(3775),
    [aux_sym_subroutine_call_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token2] = ACTIONS(3775),
    [aux_sym_keyword_statement_token3] = ACTIONS(3775),
    [aux_sym_keyword_statement_token4] = ACTIONS(3775),
    [aux_sym_keyword_statement_token6] = ACTIONS(3775),
    [aux_sym_keyword_statement_token7] = ACTIONS(3775),
    [aux_sym_include_statement_token1] = ACTIONS(3775),
    [aux_sym_data_statement_token1] = ACTIONS(3775),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3775),
    [aux_sym_end_if_statement_token1] = ACTIONS(3775),
    [aux_sym_elseif_clause_token2] = ACTIONS(3775),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3775),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token3] = ACTIONS(3775),
    [aux_sym_select_type_statement_token1] = ACTIONS(3775),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3775),
    [aux_sym_block_construct_token1] = ACTIONS(3775),
    [aux_sym_associate_statement_token1] = ACTIONS(3775),
    [aux_sym_format_statement_token1] = ACTIONS(3775),
    [aux_sym_print_statement_token1] = ACTIONS(3775),
    [aux_sym_open_statement_token1] = ACTIONS(3775),
    [aux_sym_close_statement_token1] = ACTIONS(3775),
    [aux_sym_inquire_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token2] = ACTIONS(3775),
    [aux_sym_file_position_statement_token3] = ACTIONS(3775),
    [aux_sym_file_position_statement_token4] = ACTIONS(3775),
    [aux_sym_logical_expression_token5] = ACTIONS(3779),
    [anon_sym_DOT] = ACTIONS(3775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [aux_sym_boolean_literal_token1] = ACTIONS(3779),
    [aux_sym_boolean_literal_token2] = ACTIONS(3779),
    [aux_sym_null_literal_token1] = ACTIONS(3775),
    [aux_sym_identifier_token1] = ACTIONS(3775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3779),
    [sym__float_literal] = ACTIONS(3779),
    [sym__boz_literal] = ACTIONS(3779),
    [sym__string_literal] = ACTIONS(3779),
    [sym__string_literal_kind] = ACTIONS(3779),
  },
  [1615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3877),
    [aux_sym_preproc_def_token1] = ACTIONS(3877),
    [aux_sym_preproc_if_token1] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3877),
    [sym_preproc_directive] = ACTIONS(3877),
    [anon_sym_LPAREN2] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3877),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3877),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3877),
    [aux_sym_end_function_statement_token1] = ACTIONS(3877),
    [aux_sym_contains_statement_token1] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3877),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3877),
    [aux_sym_stop_statement_token1] = ACTIONS(3877),
    [aux_sym_stop_statement_token2] = ACTIONS(3877),
    [aux_sym_subroutine_call_token1] = ACTIONS(3877),
    [aux_sym_keyword_statement_token1] = ACTIONS(3877),
    [aux_sym_keyword_statement_token2] = ACTIONS(3877),
    [aux_sym_keyword_statement_token3] = ACTIONS(3877),
    [aux_sym_keyword_statement_token4] = ACTIONS(3877),
    [aux_sym_keyword_statement_token6] = ACTIONS(3877),
    [aux_sym_keyword_statement_token7] = ACTIONS(3877),
    [aux_sym_include_statement_token1] = ACTIONS(3877),
    [aux_sym_data_statement_token1] = ACTIONS(3877),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3877),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3877),
    [aux_sym_end_if_statement_token1] = ACTIONS(3877),
    [aux_sym_elseif_clause_token2] = ACTIONS(3877),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3877),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3877),
    [aux_sym_select_case_statement_token1] = ACTIONS(3877),
    [aux_sym_select_case_statement_token3] = ACTIONS(3877),
    [aux_sym_select_type_statement_token1] = ACTIONS(3877),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3877),
    [aux_sym_block_construct_token1] = ACTIONS(3877),
    [aux_sym_associate_statement_token1] = ACTIONS(3877),
    [aux_sym_format_statement_token1] = ACTIONS(3877),
    [aux_sym_print_statement_token1] = ACTIONS(3877),
    [aux_sym_open_statement_token1] = ACTIONS(3877),
    [aux_sym_close_statement_token1] = ACTIONS(3877),
    [aux_sym_inquire_statement_token1] = ACTIONS(3877),
    [aux_sym_file_position_statement_token1] = ACTIONS(3877),
    [aux_sym_file_position_statement_token2] = ACTIONS(3877),
    [aux_sym_file_position_statement_token3] = ACTIONS(3877),
    [aux_sym_file_position_statement_token4] = ACTIONS(3877),
    [aux_sym_logical_expression_token5] = ACTIONS(3879),
    [anon_sym_DOT] = ACTIONS(3877),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3879),
    [anon_sym_LBRACK] = ACTIONS(3879),
    [aux_sym_boolean_literal_token1] = ACTIONS(3879),
    [aux_sym_boolean_literal_token2] = ACTIONS(3879),
    [aux_sym_null_literal_token1] = ACTIONS(3877),
    [aux_sym_identifier_token1] = ACTIONS(3877),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3879),
    [sym__float_literal] = ACTIONS(3879),
    [sym__boz_literal] = ACTIONS(3879),
    [sym__string_literal] = ACTIONS(3879),
    [sym__string_literal_kind] = ACTIONS(3879),
  },
  [1616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3915),
    [aux_sym_preproc_def_token1] = ACTIONS(3915),
    [aux_sym_preproc_if_token1] = ACTIONS(3915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3915),
    [sym_preproc_directive] = ACTIONS(3915),
    [anon_sym_LPAREN2] = ACTIONS(3915),
    [anon_sym_PLUS] = ACTIONS(3917),
    [anon_sym_DASH] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3915),
    [aux_sym_end_function_statement_token1] = ACTIONS(3915),
    [aux_sym_contains_statement_token1] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3915),
    [aux_sym_stop_statement_token1] = ACTIONS(3915),
    [aux_sym_stop_statement_token2] = ACTIONS(3915),
    [aux_sym_subroutine_call_token1] = ACTIONS(3915),
    [aux_sym_keyword_statement_token1] = ACTIONS(3915),
    [aux_sym_keyword_statement_token2] = ACTIONS(3915),
    [aux_sym_keyword_statement_token3] = ACTIONS(3915),
    [aux_sym_keyword_statement_token4] = ACTIONS(3915),
    [aux_sym_keyword_statement_token6] = ACTIONS(3915),
    [aux_sym_keyword_statement_token7] = ACTIONS(3915),
    [aux_sym_include_statement_token1] = ACTIONS(3915),
    [aux_sym_data_statement_token1] = ACTIONS(3915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3915),
    [aux_sym_end_if_statement_token1] = ACTIONS(3915),
    [aux_sym_elseif_clause_token2] = ACTIONS(3915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3915),
    [aux_sym_select_case_statement_token1] = ACTIONS(3915),
    [aux_sym_select_case_statement_token3] = ACTIONS(3915),
    [aux_sym_select_type_statement_token1] = ACTIONS(3915),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3915),
    [aux_sym_block_construct_token1] = ACTIONS(3915),
    [aux_sym_associate_statement_token1] = ACTIONS(3915),
    [aux_sym_format_statement_token1] = ACTIONS(3915),
    [aux_sym_print_statement_token1] = ACTIONS(3915),
    [aux_sym_open_statement_token1] = ACTIONS(3915),
    [aux_sym_close_statement_token1] = ACTIONS(3915),
    [aux_sym_inquire_statement_token1] = ACTIONS(3915),
    [aux_sym_file_position_statement_token1] = ACTIONS(3915),
    [aux_sym_file_position_statement_token2] = ACTIONS(3915),
    [aux_sym_file_position_statement_token3] = ACTIONS(3915),
    [aux_sym_file_position_statement_token4] = ACTIONS(3915),
    [aux_sym_logical_expression_token5] = ACTIONS(3917),
    [anon_sym_DOT] = ACTIONS(3915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3917),
    [anon_sym_LBRACK] = ACTIONS(3917),
    [aux_sym_boolean_literal_token1] = ACTIONS(3917),
    [aux_sym_boolean_literal_token2] = ACTIONS(3917),
    [aux_sym_null_literal_token1] = ACTIONS(3915),
    [aux_sym_identifier_token1] = ACTIONS(3915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3917),
    [sym__float_literal] = ACTIONS(3917),
    [sym__boz_literal] = ACTIONS(3917),
    [sym__string_literal] = ACTIONS(3917),
    [sym__string_literal_kind] = ACTIONS(3917),
  },
  [1617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3919),
    [aux_sym_preproc_def_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3919),
    [sym_preproc_directive] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(3919),
    [anon_sym_PLUS] = ACTIONS(3921),
    [anon_sym_DASH] = ACTIONS(3921),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3919),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3919),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3919),
    [aux_sym_end_function_statement_token1] = ACTIONS(3919),
    [aux_sym_contains_statement_token1] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3919),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3919),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3919),
    [aux_sym_stop_statement_token1] = ACTIONS(3919),
    [aux_sym_stop_statement_token2] = ACTIONS(3919),
    [aux_sym_subroutine_call_token1] = ACTIONS(3919),
    [aux_sym_keyword_statement_token1] = ACTIONS(3919),
    [aux_sym_keyword_statement_token2] = ACTIONS(3919),
    [aux_sym_keyword_statement_token3] = ACTIONS(3919),
    [aux_sym_keyword_statement_token4] = ACTIONS(3919),
    [aux_sym_keyword_statement_token6] = ACTIONS(3919),
    [aux_sym_keyword_statement_token7] = ACTIONS(3919),
    [aux_sym_include_statement_token1] = ACTIONS(3919),
    [aux_sym_data_statement_token1] = ACTIONS(3919),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3919),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3919),
    [aux_sym_end_if_statement_token1] = ACTIONS(3919),
    [aux_sym_elseif_clause_token2] = ACTIONS(3919),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3919),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3919),
    [aux_sym_select_case_statement_token1] = ACTIONS(3919),
    [aux_sym_select_case_statement_token3] = ACTIONS(3919),
    [aux_sym_select_type_statement_token1] = ACTIONS(3919),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3919),
    [aux_sym_block_construct_token1] = ACTIONS(3919),
    [aux_sym_associate_statement_token1] = ACTIONS(3919),
    [aux_sym_format_statement_token1] = ACTIONS(3919),
    [aux_sym_print_statement_token1] = ACTIONS(3919),
    [aux_sym_open_statement_token1] = ACTIONS(3919),
    [aux_sym_close_statement_token1] = ACTIONS(3919),
    [aux_sym_inquire_statement_token1] = ACTIONS(3919),
    [aux_sym_file_position_statement_token1] = ACTIONS(3919),
    [aux_sym_file_position_statement_token2] = ACTIONS(3919),
    [aux_sym_file_position_statement_token3] = ACTIONS(3919),
    [aux_sym_file_position_statement_token4] = ACTIONS(3919),
    [aux_sym_logical_expression_token5] = ACTIONS(3921),
    [anon_sym_DOT] = ACTIONS(3919),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3921),
    [anon_sym_LBRACK] = ACTIONS(3921),
    [aux_sym_boolean_literal_token1] = ACTIONS(3921),
    [aux_sym_boolean_literal_token2] = ACTIONS(3921),
    [aux_sym_null_literal_token1] = ACTIONS(3919),
    [aux_sym_identifier_token1] = ACTIONS(3919),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3921),
    [sym__float_literal] = ACTIONS(3921),
    [sym__boz_literal] = ACTIONS(3921),
    [sym__string_literal] = ACTIONS(3921),
    [sym__string_literal_kind] = ACTIONS(3921),
  },
  [1618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3919),
    [aux_sym_preproc_def_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3919),
    [sym_preproc_directive] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(3919),
    [anon_sym_PLUS] = ACTIONS(3921),
    [anon_sym_DASH] = ACTIONS(3921),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3919),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3919),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3919),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3919),
    [aux_sym_contains_statement_token1] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3919),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3919),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3919),
    [aux_sym_stop_statement_token1] = ACTIONS(3919),
    [aux_sym_stop_statement_token2] = ACTIONS(3919),
    [aux_sym_subroutine_call_token1] = ACTIONS(3919),
    [aux_sym_keyword_statement_token1] = ACTIONS(3919),
    [aux_sym_keyword_statement_token2] = ACTIONS(3919),
    [aux_sym_keyword_statement_token3] = ACTIONS(3919),
    [aux_sym_keyword_statement_token4] = ACTIONS(3919),
    [aux_sym_keyword_statement_token6] = ACTIONS(3919),
    [aux_sym_keyword_statement_token7] = ACTIONS(3919),
    [aux_sym_include_statement_token1] = ACTIONS(3919),
    [aux_sym_data_statement_token1] = ACTIONS(3919),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3919),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3919),
    [aux_sym_end_if_statement_token1] = ACTIONS(3919),
    [aux_sym_elseif_clause_token2] = ACTIONS(3919),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3919),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3919),
    [aux_sym_select_case_statement_token1] = ACTIONS(3919),
    [aux_sym_select_case_statement_token3] = ACTIONS(3919),
    [aux_sym_select_type_statement_token1] = ACTIONS(3919),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3919),
    [aux_sym_block_construct_token1] = ACTIONS(3919),
    [aux_sym_associate_statement_token1] = ACTIONS(3919),
    [aux_sym_format_statement_token1] = ACTIONS(3919),
    [aux_sym_print_statement_token1] = ACTIONS(3919),
    [aux_sym_open_statement_token1] = ACTIONS(3919),
    [aux_sym_close_statement_token1] = ACTIONS(3919),
    [aux_sym_inquire_statement_token1] = ACTIONS(3919),
    [aux_sym_file_position_statement_token1] = ACTIONS(3919),
    [aux_sym_file_position_statement_token2] = ACTIONS(3919),
    [aux_sym_file_position_statement_token3] = ACTIONS(3919),
    [aux_sym_file_position_statement_token4] = ACTIONS(3919),
    [aux_sym_logical_expression_token5] = ACTIONS(3921),
    [anon_sym_DOT] = ACTIONS(3919),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3921),
    [anon_sym_LBRACK] = ACTIONS(3921),
    [aux_sym_boolean_literal_token1] = ACTIONS(3921),
    [aux_sym_boolean_literal_token2] = ACTIONS(3921),
    [aux_sym_null_literal_token1] = ACTIONS(3919),
    [aux_sym_identifier_token1] = ACTIONS(3919),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3921),
    [sym__float_literal] = ACTIONS(3921),
    [sym__boz_literal] = ACTIONS(3921),
    [sym__string_literal] = ACTIONS(3921),
    [sym__string_literal_kind] = ACTIONS(3921),
  },
  [1620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3915),
    [aux_sym_preproc_def_token1] = ACTIONS(3915),
    [aux_sym_preproc_if_token1] = ACTIONS(3915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3915),
    [sym_preproc_directive] = ACTIONS(3915),
    [anon_sym_LPAREN2] = ACTIONS(3915),
    [anon_sym_PLUS] = ACTIONS(3917),
    [anon_sym_DASH] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3915),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3915),
    [aux_sym_contains_statement_token1] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3915),
    [aux_sym_stop_statement_token1] = ACTIONS(3915),
    [aux_sym_stop_statement_token2] = ACTIONS(3915),
    [aux_sym_subroutine_call_token1] = ACTIONS(3915),
    [aux_sym_keyword_statement_token1] = ACTIONS(3915),
    [aux_sym_keyword_statement_token2] = ACTIONS(3915),
    [aux_sym_keyword_statement_token3] = ACTIONS(3915),
    [aux_sym_keyword_statement_token4] = ACTIONS(3915),
    [aux_sym_keyword_statement_token6] = ACTIONS(3915),
    [aux_sym_keyword_statement_token7] = ACTIONS(3915),
    [aux_sym_include_statement_token1] = ACTIONS(3915),
    [aux_sym_data_statement_token1] = ACTIONS(3915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3915),
    [aux_sym_end_if_statement_token1] = ACTIONS(3915),
    [aux_sym_elseif_clause_token2] = ACTIONS(3915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3915),
    [aux_sym_select_case_statement_token1] = ACTIONS(3915),
    [aux_sym_select_case_statement_token3] = ACTIONS(3915),
    [aux_sym_select_type_statement_token1] = ACTIONS(3915),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3915),
    [aux_sym_block_construct_token1] = ACTIONS(3915),
    [aux_sym_associate_statement_token1] = ACTIONS(3915),
    [aux_sym_format_statement_token1] = ACTIONS(3915),
    [aux_sym_print_statement_token1] = ACTIONS(3915),
    [aux_sym_open_statement_token1] = ACTIONS(3915),
    [aux_sym_close_statement_token1] = ACTIONS(3915),
    [aux_sym_inquire_statement_token1] = ACTIONS(3915),
    [aux_sym_file_position_statement_token1] = ACTIONS(3915),
    [aux_sym_file_position_statement_token2] = ACTIONS(3915),
    [aux_sym_file_position_statement_token3] = ACTIONS(3915),
    [aux_sym_file_position_statement_token4] = ACTIONS(3915),
    [aux_sym_logical_expression_token5] = ACTIONS(3917),
    [anon_sym_DOT] = ACTIONS(3915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3917),
    [anon_sym_LBRACK] = ACTIONS(3917),
    [aux_sym_boolean_literal_token1] = ACTIONS(3917),
    [aux_sym_boolean_literal_token2] = ACTIONS(3917),
    [aux_sym_null_literal_token1] = ACTIONS(3915),
    [aux_sym_identifier_token1] = ACTIONS(3915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3917),
    [sym__float_literal] = ACTIONS(3917),
    [sym__boz_literal] = ACTIONS(3917),
    [sym__string_literal] = ACTIONS(3917),
    [sym__string_literal_kind] = ACTIONS(3917),
  },
  [1622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3887),
    [aux_sym_preproc_def_token1] = ACTIONS(3887),
    [aux_sym_preproc_if_token1] = ACTIONS(3887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3887),
    [sym_preproc_directive] = ACTIONS(3887),
    [anon_sym_LPAREN2] = ACTIONS(3887),
    [anon_sym_PLUS] = ACTIONS(3889),
    [anon_sym_DASH] = ACTIONS(3889),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3887),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3887),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3887),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3887),
    [aux_sym_contains_statement_token1] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3887),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3887),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3887),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3887),
    [aux_sym_stop_statement_token1] = ACTIONS(3887),
    [aux_sym_stop_statement_token2] = ACTIONS(3887),
    [aux_sym_subroutine_call_token1] = ACTIONS(3887),
    [aux_sym_keyword_statement_token1] = ACTIONS(3887),
    [aux_sym_keyword_statement_token2] = ACTIONS(3887),
    [aux_sym_keyword_statement_token3] = ACTIONS(3887),
    [aux_sym_keyword_statement_token4] = ACTIONS(3887),
    [aux_sym_keyword_statement_token6] = ACTIONS(3887),
    [aux_sym_keyword_statement_token7] = ACTIONS(3887),
    [aux_sym_include_statement_token1] = ACTIONS(3887),
    [aux_sym_data_statement_token1] = ACTIONS(3887),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3887),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3887),
    [aux_sym_end_if_statement_token1] = ACTIONS(3887),
    [aux_sym_elseif_clause_token2] = ACTIONS(3887),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3887),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3887),
    [aux_sym_select_case_statement_token1] = ACTIONS(3887),
    [aux_sym_select_case_statement_token3] = ACTIONS(3887),
    [aux_sym_select_type_statement_token1] = ACTIONS(3887),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3887),
    [aux_sym_block_construct_token1] = ACTIONS(3887),
    [aux_sym_associate_statement_token1] = ACTIONS(3887),
    [aux_sym_format_statement_token1] = ACTIONS(3887),
    [aux_sym_print_statement_token1] = ACTIONS(3887),
    [aux_sym_open_statement_token1] = ACTIONS(3887),
    [aux_sym_close_statement_token1] = ACTIONS(3887),
    [aux_sym_inquire_statement_token1] = ACTIONS(3887),
    [aux_sym_file_position_statement_token1] = ACTIONS(3887),
    [aux_sym_file_position_statement_token2] = ACTIONS(3887),
    [aux_sym_file_position_statement_token3] = ACTIONS(3887),
    [aux_sym_file_position_statement_token4] = ACTIONS(3887),
    [aux_sym_logical_expression_token5] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3887),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [aux_sym_boolean_literal_token1] = ACTIONS(3889),
    [aux_sym_boolean_literal_token2] = ACTIONS(3889),
    [aux_sym_null_literal_token1] = ACTIONS(3887),
    [aux_sym_identifier_token1] = ACTIONS(3887),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3889),
    [sym__float_literal] = ACTIONS(3889),
    [sym__boz_literal] = ACTIONS(3889),
    [sym__string_literal] = ACTIONS(3889),
    [sym__string_literal_kind] = ACTIONS(3889),
  },
  [1624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3895),
    [aux_sym_preproc_def_token1] = ACTIONS(3895),
    [aux_sym_preproc_if_token1] = ACTIONS(3895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3895),
    [sym_preproc_directive] = ACTIONS(3895),
    [anon_sym_LPAREN2] = ACTIONS(3895),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3895),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3895),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3895),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3895),
    [aux_sym_contains_statement_token1] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3895),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3895),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3895),
    [aux_sym_stop_statement_token1] = ACTIONS(3895),
    [aux_sym_stop_statement_token2] = ACTIONS(3895),
    [aux_sym_subroutine_call_token1] = ACTIONS(3895),
    [aux_sym_keyword_statement_token1] = ACTIONS(3895),
    [aux_sym_keyword_statement_token2] = ACTIONS(3895),
    [aux_sym_keyword_statement_token3] = ACTIONS(3895),
    [aux_sym_keyword_statement_token4] = ACTIONS(3895),
    [aux_sym_keyword_statement_token6] = ACTIONS(3895),
    [aux_sym_keyword_statement_token7] = ACTIONS(3895),
    [aux_sym_include_statement_token1] = ACTIONS(3895),
    [aux_sym_data_statement_token1] = ACTIONS(3895),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3895),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3895),
    [aux_sym_end_if_statement_token1] = ACTIONS(3895),
    [aux_sym_elseif_clause_token2] = ACTIONS(3895),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3895),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3895),
    [aux_sym_select_case_statement_token1] = ACTIONS(3895),
    [aux_sym_select_case_statement_token3] = ACTIONS(3895),
    [aux_sym_select_type_statement_token1] = ACTIONS(3895),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3895),
    [aux_sym_block_construct_token1] = ACTIONS(3895),
    [aux_sym_associate_statement_token1] = ACTIONS(3895),
    [aux_sym_format_statement_token1] = ACTIONS(3895),
    [aux_sym_print_statement_token1] = ACTIONS(3895),
    [aux_sym_open_statement_token1] = ACTIONS(3895),
    [aux_sym_close_statement_token1] = ACTIONS(3895),
    [aux_sym_inquire_statement_token1] = ACTIONS(3895),
    [aux_sym_file_position_statement_token1] = ACTIONS(3895),
    [aux_sym_file_position_statement_token2] = ACTIONS(3895),
    [aux_sym_file_position_statement_token3] = ACTIONS(3895),
    [aux_sym_file_position_statement_token4] = ACTIONS(3895),
    [aux_sym_logical_expression_token5] = ACTIONS(3897),
    [anon_sym_DOT] = ACTIONS(3895),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3897),
    [aux_sym_boolean_literal_token1] = ACTIONS(3897),
    [aux_sym_boolean_literal_token2] = ACTIONS(3897),
    [aux_sym_null_literal_token1] = ACTIONS(3895),
    [aux_sym_identifier_token1] = ACTIONS(3895),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3897),
    [sym__float_literal] = ACTIONS(3897),
    [sym__boz_literal] = ACTIONS(3897),
    [sym__string_literal] = ACTIONS(3897),
    [sym__string_literal_kind] = ACTIONS(3897),
  },
  [1625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3877),
    [aux_sym_preproc_def_token1] = ACTIONS(3877),
    [aux_sym_preproc_if_token1] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3877),
    [sym_preproc_directive] = ACTIONS(3877),
    [anon_sym_LPAREN2] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3877),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3877),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3877),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3877),
    [aux_sym_contains_statement_token1] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3877),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3877),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3877),
    [aux_sym_stop_statement_token1] = ACTIONS(3877),
    [aux_sym_stop_statement_token2] = ACTIONS(3877),
    [aux_sym_subroutine_call_token1] = ACTIONS(3877),
    [aux_sym_keyword_statement_token1] = ACTIONS(3877),
    [aux_sym_keyword_statement_token2] = ACTIONS(3877),
    [aux_sym_keyword_statement_token3] = ACTIONS(3877),
    [aux_sym_keyword_statement_token4] = ACTIONS(3877),
    [aux_sym_keyword_statement_token6] = ACTIONS(3877),
    [aux_sym_keyword_statement_token7] = ACTIONS(3877),
    [aux_sym_include_statement_token1] = ACTIONS(3877),
    [aux_sym_data_statement_token1] = ACTIONS(3877),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3877),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3877),
    [aux_sym_end_if_statement_token1] = ACTIONS(3877),
    [aux_sym_elseif_clause_token2] = ACTIONS(3877),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3877),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3877),
    [aux_sym_select_case_statement_token1] = ACTIONS(3877),
    [aux_sym_select_case_statement_token3] = ACTIONS(3877),
    [aux_sym_select_type_statement_token1] = ACTIONS(3877),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3877),
    [aux_sym_block_construct_token1] = ACTIONS(3877),
    [aux_sym_associate_statement_token1] = ACTIONS(3877),
    [aux_sym_format_statement_token1] = ACTIONS(3877),
    [aux_sym_print_statement_token1] = ACTIONS(3877),
    [aux_sym_open_statement_token1] = ACTIONS(3877),
    [aux_sym_close_statement_token1] = ACTIONS(3877),
    [aux_sym_inquire_statement_token1] = ACTIONS(3877),
    [aux_sym_file_position_statement_token1] = ACTIONS(3877),
    [aux_sym_file_position_statement_token2] = ACTIONS(3877),
    [aux_sym_file_position_statement_token3] = ACTIONS(3877),
    [aux_sym_file_position_statement_token4] = ACTIONS(3877),
    [aux_sym_logical_expression_token5] = ACTIONS(3879),
    [anon_sym_DOT] = ACTIONS(3877),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3879),
    [anon_sym_LBRACK] = ACTIONS(3879),
    [aux_sym_boolean_literal_token1] = ACTIONS(3879),
    [aux_sym_boolean_literal_token2] = ACTIONS(3879),
    [aux_sym_null_literal_token1] = ACTIONS(3877),
    [aux_sym_identifier_token1] = ACTIONS(3877),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3879),
    [sym__float_literal] = ACTIONS(3879),
    [sym__boz_literal] = ACTIONS(3879),
    [sym__string_literal] = ACTIONS(3879),
    [sym__string_literal_kind] = ACTIONS(3879),
  },
  [1626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3741),
    [aux_sym_preproc_def_token1] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3741),
    [sym_preproc_directive] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3741),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3741),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3741),
    [aux_sym_contains_statement_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3741),
    [aux_sym_stop_statement_token1] = ACTIONS(3741),
    [aux_sym_stop_statement_token2] = ACTIONS(3741),
    [aux_sym_subroutine_call_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token2] = ACTIONS(3741),
    [aux_sym_keyword_statement_token3] = ACTIONS(3741),
    [aux_sym_keyword_statement_token4] = ACTIONS(3741),
    [aux_sym_keyword_statement_token6] = ACTIONS(3741),
    [aux_sym_keyword_statement_token7] = ACTIONS(3741),
    [aux_sym_include_statement_token1] = ACTIONS(3741),
    [aux_sym_data_statement_token1] = ACTIONS(3741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3741),
    [aux_sym_end_if_statement_token1] = ACTIONS(3741),
    [aux_sym_elseif_clause_token2] = ACTIONS(3741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token3] = ACTIONS(3741),
    [aux_sym_select_type_statement_token1] = ACTIONS(3741),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3741),
    [aux_sym_block_construct_token1] = ACTIONS(3741),
    [aux_sym_associate_statement_token1] = ACTIONS(3741),
    [aux_sym_format_statement_token1] = ACTIONS(3741),
    [aux_sym_print_statement_token1] = ACTIONS(3741),
    [aux_sym_open_statement_token1] = ACTIONS(3741),
    [aux_sym_close_statement_token1] = ACTIONS(3741),
    [aux_sym_inquire_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token2] = ACTIONS(3741),
    [aux_sym_file_position_statement_token3] = ACTIONS(3741),
    [aux_sym_file_position_statement_token4] = ACTIONS(3741),
    [aux_sym_logical_expression_token5] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(3741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3745),
    [aux_sym_boolean_literal_token1] = ACTIONS(3745),
    [aux_sym_boolean_literal_token2] = ACTIONS(3745),
    [aux_sym_null_literal_token1] = ACTIONS(3741),
    [aux_sym_identifier_token1] = ACTIONS(3741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3745),
    [sym__float_literal] = ACTIONS(3745),
    [sym__boz_literal] = ACTIONS(3745),
    [sym__string_literal] = ACTIONS(3745),
    [sym__string_literal_kind] = ACTIONS(3745),
  },
  [1627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3775),
    [aux_sym_preproc_def_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3775),
    [sym_preproc_directive] = ACTIONS(3775),
    [anon_sym_LPAREN2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3775),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3775),
    [aux_sym_contains_statement_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3775),
    [aux_sym_stop_statement_token1] = ACTIONS(3775),
    [aux_sym_stop_statement_token2] = ACTIONS(3775),
    [aux_sym_subroutine_call_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token2] = ACTIONS(3775),
    [aux_sym_keyword_statement_token3] = ACTIONS(3775),
    [aux_sym_keyword_statement_token4] = ACTIONS(3775),
    [aux_sym_keyword_statement_token6] = ACTIONS(3775),
    [aux_sym_keyword_statement_token7] = ACTIONS(3775),
    [aux_sym_include_statement_token1] = ACTIONS(3775),
    [aux_sym_data_statement_token1] = ACTIONS(3775),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3775),
    [aux_sym_end_if_statement_token1] = ACTIONS(3775),
    [aux_sym_elseif_clause_token2] = ACTIONS(3775),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3775),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token3] = ACTIONS(3775),
    [aux_sym_select_type_statement_token1] = ACTIONS(3775),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3775),
    [aux_sym_block_construct_token1] = ACTIONS(3775),
    [aux_sym_associate_statement_token1] = ACTIONS(3775),
    [aux_sym_format_statement_token1] = ACTIONS(3775),
    [aux_sym_print_statement_token1] = ACTIONS(3775),
    [aux_sym_open_statement_token1] = ACTIONS(3775),
    [aux_sym_close_statement_token1] = ACTIONS(3775),
    [aux_sym_inquire_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token2] = ACTIONS(3775),
    [aux_sym_file_position_statement_token3] = ACTIONS(3775),
    [aux_sym_file_position_statement_token4] = ACTIONS(3775),
    [aux_sym_logical_expression_token5] = ACTIONS(3779),
    [anon_sym_DOT] = ACTIONS(3775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [aux_sym_boolean_literal_token1] = ACTIONS(3779),
    [aux_sym_boolean_literal_token2] = ACTIONS(3779),
    [aux_sym_null_literal_token1] = ACTIONS(3775),
    [aux_sym_identifier_token1] = ACTIONS(3775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3779),
    [sym__float_literal] = ACTIONS(3779),
    [sym__boz_literal] = ACTIONS(3779),
    [sym__string_literal] = ACTIONS(3779),
    [sym__string_literal_kind] = ACTIONS(3779),
  },
  [1631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3911),
    [aux_sym_preproc_def_token1] = ACTIONS(3911),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3911),
    [sym_preproc_directive] = ACTIONS(3911),
    [anon_sym_LPAREN2] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3911),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3911),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3911),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3911),
    [aux_sym_contains_statement_token1] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3911),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3911),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3911),
    [aux_sym_stop_statement_token1] = ACTIONS(3911),
    [aux_sym_stop_statement_token2] = ACTIONS(3911),
    [aux_sym_subroutine_call_token1] = ACTIONS(3911),
    [aux_sym_keyword_statement_token1] = ACTIONS(3911),
    [aux_sym_keyword_statement_token2] = ACTIONS(3911),
    [aux_sym_keyword_statement_token3] = ACTIONS(3911),
    [aux_sym_keyword_statement_token4] = ACTIONS(3911),
    [aux_sym_keyword_statement_token6] = ACTIONS(3911),
    [aux_sym_keyword_statement_token7] = ACTIONS(3911),
    [aux_sym_include_statement_token1] = ACTIONS(3911),
    [aux_sym_data_statement_token1] = ACTIONS(3911),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3911),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3911),
    [aux_sym_end_if_statement_token1] = ACTIONS(3911),
    [aux_sym_elseif_clause_token2] = ACTIONS(3911),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3911),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3911),
    [aux_sym_select_case_statement_token1] = ACTIONS(3911),
    [aux_sym_select_case_statement_token3] = ACTIONS(3911),
    [aux_sym_select_type_statement_token1] = ACTIONS(3911),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3911),
    [aux_sym_block_construct_token1] = ACTIONS(3911),
    [aux_sym_associate_statement_token1] = ACTIONS(3911),
    [aux_sym_format_statement_token1] = ACTIONS(3911),
    [aux_sym_print_statement_token1] = ACTIONS(3911),
    [aux_sym_open_statement_token1] = ACTIONS(3911),
    [aux_sym_close_statement_token1] = ACTIONS(3911),
    [aux_sym_inquire_statement_token1] = ACTIONS(3911),
    [aux_sym_file_position_statement_token1] = ACTIONS(3911),
    [aux_sym_file_position_statement_token2] = ACTIONS(3911),
    [aux_sym_file_position_statement_token3] = ACTIONS(3911),
    [aux_sym_file_position_statement_token4] = ACTIONS(3911),
    [aux_sym_logical_expression_token5] = ACTIONS(3913),
    [anon_sym_DOT] = ACTIONS(3911),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3913),
    [aux_sym_boolean_literal_token1] = ACTIONS(3913),
    [aux_sym_boolean_literal_token2] = ACTIONS(3913),
    [aux_sym_null_literal_token1] = ACTIONS(3911),
    [aux_sym_identifier_token1] = ACTIONS(3911),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3913),
    [sym__float_literal] = ACTIONS(3913),
    [sym__boz_literal] = ACTIONS(3913),
    [sym__string_literal] = ACTIONS(3913),
    [sym__string_literal_kind] = ACTIONS(3913),
  },
  [1632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(3881),
    [anon_sym_DASH] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1428),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1428),
    [aux_sym_contains_statement_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1428),
    [aux_sym_stop_statement_token1] = ACTIONS(1428),
    [aux_sym_stop_statement_token2] = ACTIONS(1428),
    [aux_sym_subroutine_call_token1] = ACTIONS(1428),
    [aux_sym_keyword_statement_token1] = ACTIONS(1428),
    [aux_sym_keyword_statement_token2] = ACTIONS(1428),
    [aux_sym_keyword_statement_token3] = ACTIONS(1428),
    [aux_sym_keyword_statement_token4] = ACTIONS(1428),
    [aux_sym_keyword_statement_token6] = ACTIONS(1428),
    [aux_sym_keyword_statement_token7] = ACTIONS(1428),
    [aux_sym_include_statement_token1] = ACTIONS(1428),
    [aux_sym_data_statement_token1] = ACTIONS(1428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1428),
    [aux_sym_end_if_statement_token1] = ACTIONS(1428),
    [aux_sym_elseif_clause_token2] = ACTIONS(1428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1428),
    [aux_sym_select_case_statement_token1] = ACTIONS(1428),
    [aux_sym_select_case_statement_token3] = ACTIONS(1428),
    [aux_sym_select_type_statement_token1] = ACTIONS(1428),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1428),
    [aux_sym_block_construct_token1] = ACTIONS(1428),
    [aux_sym_associate_statement_token1] = ACTIONS(1428),
    [aux_sym_format_statement_token1] = ACTIONS(1428),
    [aux_sym_print_statement_token1] = ACTIONS(1428),
    [aux_sym_open_statement_token1] = ACTIONS(1428),
    [aux_sym_close_statement_token1] = ACTIONS(1428),
    [aux_sym_inquire_statement_token1] = ACTIONS(1428),
    [aux_sym_file_position_statement_token1] = ACTIONS(1428),
    [aux_sym_file_position_statement_token2] = ACTIONS(1428),
    [aux_sym_file_position_statement_token3] = ACTIONS(1428),
    [aux_sym_file_position_statement_token4] = ACTIONS(1428),
    [aux_sym_logical_expression_token5] = ACTIONS(3881),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3881),
    [aux_sym_boolean_literal_token1] = ACTIONS(3881),
    [aux_sym_boolean_literal_token2] = ACTIONS(3881),
    [aux_sym_null_literal_token1] = ACTIONS(1428),
    [aux_sym_identifier_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3881),
    [sym__float_literal] = ACTIONS(3881),
    [sym__boz_literal] = ACTIONS(3881),
    [sym__string_literal] = ACTIONS(3881),
    [sym__string_literal_kind] = ACTIONS(3881),
  },
  [1633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1634] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1635] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3895),
    [aux_sym_preproc_def_token1] = ACTIONS(3895),
    [aux_sym_preproc_if_token1] = ACTIONS(3895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3895),
    [sym_preproc_directive] = ACTIONS(3895),
    [anon_sym_LPAREN2] = ACTIONS(3895),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3895),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3895),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3895),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3895),
    [aux_sym_contains_statement_token1] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3895),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3895),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3895),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3895),
    [aux_sym_stop_statement_token1] = ACTIONS(3895),
    [aux_sym_stop_statement_token2] = ACTIONS(3895),
    [aux_sym_subroutine_call_token1] = ACTIONS(3895),
    [aux_sym_keyword_statement_token1] = ACTIONS(3895),
    [aux_sym_keyword_statement_token2] = ACTIONS(3895),
    [aux_sym_keyword_statement_token3] = ACTIONS(3895),
    [aux_sym_keyword_statement_token4] = ACTIONS(3895),
    [aux_sym_keyword_statement_token6] = ACTIONS(3895),
    [aux_sym_keyword_statement_token7] = ACTIONS(3895),
    [aux_sym_include_statement_token1] = ACTIONS(3895),
    [aux_sym_data_statement_token1] = ACTIONS(3895),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3895),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3895),
    [aux_sym_end_if_statement_token1] = ACTIONS(3895),
    [aux_sym_elseif_clause_token2] = ACTIONS(3895),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3895),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3895),
    [aux_sym_select_case_statement_token1] = ACTIONS(3895),
    [aux_sym_select_case_statement_token3] = ACTIONS(3895),
    [aux_sym_select_type_statement_token1] = ACTIONS(3895),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3895),
    [aux_sym_block_construct_token1] = ACTIONS(3895),
    [aux_sym_associate_statement_token1] = ACTIONS(3895),
    [aux_sym_format_statement_token1] = ACTIONS(3895),
    [aux_sym_print_statement_token1] = ACTIONS(3895),
    [aux_sym_open_statement_token1] = ACTIONS(3895),
    [aux_sym_close_statement_token1] = ACTIONS(3895),
    [aux_sym_inquire_statement_token1] = ACTIONS(3895),
    [aux_sym_file_position_statement_token1] = ACTIONS(3895),
    [aux_sym_file_position_statement_token2] = ACTIONS(3895),
    [aux_sym_file_position_statement_token3] = ACTIONS(3895),
    [aux_sym_file_position_statement_token4] = ACTIONS(3895),
    [aux_sym_logical_expression_token5] = ACTIONS(3897),
    [anon_sym_DOT] = ACTIONS(3895),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3897),
    [aux_sym_boolean_literal_token1] = ACTIONS(3897),
    [aux_sym_boolean_literal_token2] = ACTIONS(3897),
    [aux_sym_null_literal_token1] = ACTIONS(3895),
    [aux_sym_identifier_token1] = ACTIONS(3895),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3897),
    [sym__float_literal] = ACTIONS(3897),
    [sym__boz_literal] = ACTIONS(3897),
    [sym__string_literal] = ACTIONS(3897),
    [sym__string_literal_kind] = ACTIONS(3897),
  },
  [1636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3741),
    [aux_sym_preproc_def_token1] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3741),
    [sym_preproc_directive] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3741),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3741),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3741),
    [aux_sym_contains_statement_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3741),
    [aux_sym_stop_statement_token1] = ACTIONS(3741),
    [aux_sym_stop_statement_token2] = ACTIONS(3741),
    [aux_sym_subroutine_call_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token1] = ACTIONS(3741),
    [aux_sym_keyword_statement_token2] = ACTIONS(3741),
    [aux_sym_keyword_statement_token3] = ACTIONS(3741),
    [aux_sym_keyword_statement_token4] = ACTIONS(3741),
    [aux_sym_keyword_statement_token6] = ACTIONS(3741),
    [aux_sym_keyword_statement_token7] = ACTIONS(3741),
    [aux_sym_include_statement_token1] = ACTIONS(3741),
    [aux_sym_data_statement_token1] = ACTIONS(3741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3741),
    [aux_sym_end_if_statement_token1] = ACTIONS(3741),
    [aux_sym_elseif_clause_token2] = ACTIONS(3741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token1] = ACTIONS(3741),
    [aux_sym_select_case_statement_token3] = ACTIONS(3741),
    [aux_sym_select_type_statement_token1] = ACTIONS(3741),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3741),
    [aux_sym_block_construct_token1] = ACTIONS(3741),
    [aux_sym_associate_statement_token1] = ACTIONS(3741),
    [aux_sym_format_statement_token1] = ACTIONS(3741),
    [aux_sym_print_statement_token1] = ACTIONS(3741),
    [aux_sym_open_statement_token1] = ACTIONS(3741),
    [aux_sym_close_statement_token1] = ACTIONS(3741),
    [aux_sym_inquire_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token1] = ACTIONS(3741),
    [aux_sym_file_position_statement_token2] = ACTIONS(3741),
    [aux_sym_file_position_statement_token3] = ACTIONS(3741),
    [aux_sym_file_position_statement_token4] = ACTIONS(3741),
    [aux_sym_logical_expression_token5] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(3741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3745),
    [aux_sym_boolean_literal_token1] = ACTIONS(3745),
    [aux_sym_boolean_literal_token2] = ACTIONS(3745),
    [aux_sym_null_literal_token1] = ACTIONS(3741),
    [aux_sym_identifier_token1] = ACTIONS(3741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3745),
    [sym__float_literal] = ACTIONS(3745),
    [sym__boz_literal] = ACTIONS(3745),
    [sym__string_literal] = ACTIONS(3745),
    [sym__string_literal_kind] = ACTIONS(3745),
  },
  [1637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3899),
    [anon_sym_PLUS] = ACTIONS(3901),
    [anon_sym_DASH] = ACTIONS(3901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3899),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3899),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3899),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3899),
    [aux_sym_contains_statement_token1] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3899),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3899),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3899),
    [aux_sym_stop_statement_token1] = ACTIONS(3899),
    [aux_sym_stop_statement_token2] = ACTIONS(3899),
    [aux_sym_subroutine_call_token1] = ACTIONS(3899),
    [aux_sym_keyword_statement_token1] = ACTIONS(3899),
    [aux_sym_keyword_statement_token2] = ACTIONS(3899),
    [aux_sym_keyword_statement_token3] = ACTIONS(3899),
    [aux_sym_keyword_statement_token4] = ACTIONS(3899),
    [aux_sym_keyword_statement_token6] = ACTIONS(3899),
    [aux_sym_keyword_statement_token7] = ACTIONS(3899),
    [aux_sym_include_statement_token1] = ACTIONS(3899),
    [aux_sym_data_statement_token1] = ACTIONS(3899),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3899),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3899),
    [aux_sym_end_if_statement_token1] = ACTIONS(3899),
    [aux_sym_elseif_clause_token2] = ACTIONS(3899),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3899),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3899),
    [aux_sym_select_case_statement_token1] = ACTIONS(3899),
    [aux_sym_select_case_statement_token3] = ACTIONS(3899),
    [aux_sym_select_type_statement_token1] = ACTIONS(3899),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3899),
    [aux_sym_block_construct_token1] = ACTIONS(3899),
    [aux_sym_associate_statement_token1] = ACTIONS(3899),
    [aux_sym_format_statement_token1] = ACTIONS(3899),
    [aux_sym_print_statement_token1] = ACTIONS(3899),
    [aux_sym_open_statement_token1] = ACTIONS(3899),
    [aux_sym_close_statement_token1] = ACTIONS(3899),
    [aux_sym_inquire_statement_token1] = ACTIONS(3899),
    [aux_sym_file_position_statement_token1] = ACTIONS(3899),
    [aux_sym_file_position_statement_token2] = ACTIONS(3899),
    [aux_sym_file_position_statement_token3] = ACTIONS(3899),
    [aux_sym_file_position_statement_token4] = ACTIONS(3899),
    [aux_sym_logical_expression_token5] = ACTIONS(3901),
    [anon_sym_DOT] = ACTIONS(3899),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3901),
    [anon_sym_LBRACK] = ACTIONS(3901),
    [aux_sym_boolean_literal_token1] = ACTIONS(3901),
    [aux_sym_boolean_literal_token2] = ACTIONS(3901),
    [aux_sym_null_literal_token1] = ACTIONS(3899),
    [aux_sym_identifier_token1] = ACTIONS(3899),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3901),
    [sym__float_literal] = ACTIONS(3901),
    [sym__boz_literal] = ACTIONS(3901),
    [sym__string_literal] = ACTIONS(3901),
    [sym__string_literal_kind] = ACTIONS(3901),
  },
  [1638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3891),
    [aux_sym_preproc_def_token1] = ACTIONS(3891),
    [aux_sym_preproc_if_token1] = ACTIONS(3891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3891),
    [sym_preproc_directive] = ACTIONS(3891),
    [anon_sym_LPAREN2] = ACTIONS(3891),
    [anon_sym_PLUS] = ACTIONS(3893),
    [anon_sym_DASH] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3891),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3891),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3891),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3891),
    [aux_sym_contains_statement_token1] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3891),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3891),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3891),
    [aux_sym_stop_statement_token1] = ACTIONS(3891),
    [aux_sym_stop_statement_token2] = ACTIONS(3891),
    [aux_sym_subroutine_call_token1] = ACTIONS(3891),
    [aux_sym_keyword_statement_token1] = ACTIONS(3891),
    [aux_sym_keyword_statement_token2] = ACTIONS(3891),
    [aux_sym_keyword_statement_token3] = ACTIONS(3891),
    [aux_sym_keyword_statement_token4] = ACTIONS(3891),
    [aux_sym_keyword_statement_token6] = ACTIONS(3891),
    [aux_sym_keyword_statement_token7] = ACTIONS(3891),
    [aux_sym_include_statement_token1] = ACTIONS(3891),
    [aux_sym_data_statement_token1] = ACTIONS(3891),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3891),
    [aux_sym_end_if_statement_token1] = ACTIONS(3891),
    [aux_sym_elseif_clause_token2] = ACTIONS(3891),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3891),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3891),
    [aux_sym_select_case_statement_token1] = ACTIONS(3891),
    [aux_sym_select_case_statement_token3] = ACTIONS(3891),
    [aux_sym_select_type_statement_token1] = ACTIONS(3891),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3891),
    [aux_sym_block_construct_token1] = ACTIONS(3891),
    [aux_sym_associate_statement_token1] = ACTIONS(3891),
    [aux_sym_format_statement_token1] = ACTIONS(3891),
    [aux_sym_print_statement_token1] = ACTIONS(3891),
    [aux_sym_open_statement_token1] = ACTIONS(3891),
    [aux_sym_close_statement_token1] = ACTIONS(3891),
    [aux_sym_inquire_statement_token1] = ACTIONS(3891),
    [aux_sym_file_position_statement_token1] = ACTIONS(3891),
    [aux_sym_file_position_statement_token2] = ACTIONS(3891),
    [aux_sym_file_position_statement_token3] = ACTIONS(3891),
    [aux_sym_file_position_statement_token4] = ACTIONS(3891),
    [aux_sym_logical_expression_token5] = ACTIONS(3893),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3893),
    [aux_sym_boolean_literal_token1] = ACTIONS(3893),
    [aux_sym_boolean_literal_token2] = ACTIONS(3893),
    [aux_sym_null_literal_token1] = ACTIONS(3891),
    [aux_sym_identifier_token1] = ACTIONS(3891),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3893),
    [sym__float_literal] = ACTIONS(3893),
    [sym__boz_literal] = ACTIONS(3893),
    [sym__string_literal] = ACTIONS(3893),
    [sym__string_literal_kind] = ACTIONS(3893),
  },
  [1639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3907),
    [aux_sym_preproc_def_token1] = ACTIONS(3907),
    [aux_sym_preproc_if_token1] = ACTIONS(3907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3907),
    [sym_preproc_directive] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(3907),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3907),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3907),
    [aux_sym_contains_statement_token1] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3907),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3907),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3907),
    [aux_sym_stop_statement_token1] = ACTIONS(3907),
    [aux_sym_stop_statement_token2] = ACTIONS(3907),
    [aux_sym_subroutine_call_token1] = ACTIONS(3907),
    [aux_sym_keyword_statement_token1] = ACTIONS(3907),
    [aux_sym_keyword_statement_token2] = ACTIONS(3907),
    [aux_sym_keyword_statement_token3] = ACTIONS(3907),
    [aux_sym_keyword_statement_token4] = ACTIONS(3907),
    [aux_sym_keyword_statement_token6] = ACTIONS(3907),
    [aux_sym_keyword_statement_token7] = ACTIONS(3907),
    [aux_sym_include_statement_token1] = ACTIONS(3907),
    [aux_sym_data_statement_token1] = ACTIONS(3907),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3907),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3907),
    [aux_sym_end_if_statement_token1] = ACTIONS(3907),
    [aux_sym_elseif_clause_token2] = ACTIONS(3907),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3907),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3907),
    [aux_sym_select_case_statement_token1] = ACTIONS(3907),
    [aux_sym_select_case_statement_token3] = ACTIONS(3907),
    [aux_sym_select_type_statement_token1] = ACTIONS(3907),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3907),
    [aux_sym_block_construct_token1] = ACTIONS(3907),
    [aux_sym_associate_statement_token1] = ACTIONS(3907),
    [aux_sym_format_statement_token1] = ACTIONS(3907),
    [aux_sym_print_statement_token1] = ACTIONS(3907),
    [aux_sym_open_statement_token1] = ACTIONS(3907),
    [aux_sym_close_statement_token1] = ACTIONS(3907),
    [aux_sym_inquire_statement_token1] = ACTIONS(3907),
    [aux_sym_file_position_statement_token1] = ACTIONS(3907),
    [aux_sym_file_position_statement_token2] = ACTIONS(3907),
    [aux_sym_file_position_statement_token3] = ACTIONS(3907),
    [aux_sym_file_position_statement_token4] = ACTIONS(3907),
    [aux_sym_logical_expression_token5] = ACTIONS(3909),
    [anon_sym_DOT] = ACTIONS(3907),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3909),
    [aux_sym_boolean_literal_token1] = ACTIONS(3909),
    [aux_sym_boolean_literal_token2] = ACTIONS(3909),
    [aux_sym_null_literal_token1] = ACTIONS(3907),
    [aux_sym_identifier_token1] = ACTIONS(3907),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3909),
    [sym__float_literal] = ACTIONS(3909),
    [sym__boz_literal] = ACTIONS(3909),
    [sym__string_literal] = ACTIONS(3909),
    [sym__string_literal_kind] = ACTIONS(3909),
  },
  [1640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3735),
    [aux_sym_preproc_def_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3735),
    [sym_preproc_directive] = ACTIONS(3735),
    [anon_sym_LPAREN2] = ACTIONS(3735),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3735),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3735),
    [aux_sym_contains_statement_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3735),
    [aux_sym_stop_statement_token1] = ACTIONS(3735),
    [aux_sym_stop_statement_token2] = ACTIONS(3735),
    [aux_sym_subroutine_call_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token1] = ACTIONS(3735),
    [aux_sym_keyword_statement_token2] = ACTIONS(3735),
    [aux_sym_keyword_statement_token3] = ACTIONS(3735),
    [aux_sym_keyword_statement_token4] = ACTIONS(3735),
    [aux_sym_keyword_statement_token6] = ACTIONS(3735),
    [aux_sym_keyword_statement_token7] = ACTIONS(3735),
    [aux_sym_include_statement_token1] = ACTIONS(3735),
    [aux_sym_data_statement_token1] = ACTIONS(3735),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3735),
    [aux_sym_end_if_statement_token1] = ACTIONS(3735),
    [aux_sym_elseif_clause_token2] = ACTIONS(3735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3735),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token1] = ACTIONS(3735),
    [aux_sym_select_case_statement_token3] = ACTIONS(3735),
    [aux_sym_select_type_statement_token1] = ACTIONS(3735),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3735),
    [aux_sym_block_construct_token1] = ACTIONS(3735),
    [aux_sym_associate_statement_token1] = ACTIONS(3735),
    [aux_sym_format_statement_token1] = ACTIONS(3735),
    [aux_sym_print_statement_token1] = ACTIONS(3735),
    [aux_sym_open_statement_token1] = ACTIONS(3735),
    [aux_sym_close_statement_token1] = ACTIONS(3735),
    [aux_sym_inquire_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token1] = ACTIONS(3735),
    [aux_sym_file_position_statement_token2] = ACTIONS(3735),
    [aux_sym_file_position_statement_token3] = ACTIONS(3735),
    [aux_sym_file_position_statement_token4] = ACTIONS(3735),
    [aux_sym_logical_expression_token5] = ACTIONS(3739),
    [anon_sym_DOT] = ACTIONS(3735),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [aux_sym_boolean_literal_token1] = ACTIONS(3739),
    [aux_sym_boolean_literal_token2] = ACTIONS(3739),
    [aux_sym_null_literal_token1] = ACTIONS(3735),
    [aux_sym_identifier_token1] = ACTIONS(3735),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3739),
    [sym__float_literal] = ACTIONS(3739),
    [sym__boz_literal] = ACTIONS(3739),
    [sym__string_literal] = ACTIONS(3739),
    [sym__string_literal_kind] = ACTIONS(3739),
  },
  [1641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3769),
    [aux_sym_preproc_def_token1] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3769),
    [sym_preproc_directive] = ACTIONS(3769),
    [anon_sym_LPAREN2] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3769),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3769),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3769),
    [aux_sym_contains_statement_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3769),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3769),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3769),
    [aux_sym_stop_statement_token1] = ACTIONS(3769),
    [aux_sym_stop_statement_token2] = ACTIONS(3769),
    [aux_sym_subroutine_call_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token1] = ACTIONS(3769),
    [aux_sym_keyword_statement_token2] = ACTIONS(3769),
    [aux_sym_keyword_statement_token3] = ACTIONS(3769),
    [aux_sym_keyword_statement_token4] = ACTIONS(3769),
    [aux_sym_keyword_statement_token6] = ACTIONS(3769),
    [aux_sym_keyword_statement_token7] = ACTIONS(3769),
    [aux_sym_include_statement_token1] = ACTIONS(3769),
    [aux_sym_data_statement_token1] = ACTIONS(3769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3769),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3769),
    [aux_sym_end_if_statement_token1] = ACTIONS(3769),
    [aux_sym_elseif_clause_token2] = ACTIONS(3769),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3769),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token1] = ACTIONS(3769),
    [aux_sym_select_case_statement_token3] = ACTIONS(3769),
    [aux_sym_select_type_statement_token1] = ACTIONS(3769),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3769),
    [aux_sym_block_construct_token1] = ACTIONS(3769),
    [aux_sym_associate_statement_token1] = ACTIONS(3769),
    [aux_sym_format_statement_token1] = ACTIONS(3769),
    [aux_sym_print_statement_token1] = ACTIONS(3769),
    [aux_sym_open_statement_token1] = ACTIONS(3769),
    [aux_sym_close_statement_token1] = ACTIONS(3769),
    [aux_sym_inquire_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token1] = ACTIONS(3769),
    [aux_sym_file_position_statement_token2] = ACTIONS(3769),
    [aux_sym_file_position_statement_token3] = ACTIONS(3769),
    [aux_sym_file_position_statement_token4] = ACTIONS(3769),
    [aux_sym_logical_expression_token5] = ACTIONS(3773),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3773),
    [aux_sym_boolean_literal_token1] = ACTIONS(3773),
    [aux_sym_boolean_literal_token2] = ACTIONS(3773),
    [aux_sym_null_literal_token1] = ACTIONS(3769),
    [aux_sym_identifier_token1] = ACTIONS(3769),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3773),
    [sym__float_literal] = ACTIONS(3773),
    [sym__boz_literal] = ACTIONS(3773),
    [sym__string_literal] = ACTIONS(3773),
    [sym__string_literal_kind] = ACTIONS(3773),
  },
  [1642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3883),
    [aux_sym_preproc_def_token1] = ACTIONS(3883),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3883),
    [sym_preproc_directive] = ACTIONS(3883),
    [anon_sym_LPAREN2] = ACTIONS(3883),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3883),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3883),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3883),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3883),
    [aux_sym_contains_statement_token1] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3883),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3883),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3883),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3883),
    [aux_sym_stop_statement_token1] = ACTIONS(3883),
    [aux_sym_stop_statement_token2] = ACTIONS(3883),
    [aux_sym_subroutine_call_token1] = ACTIONS(3883),
    [aux_sym_keyword_statement_token1] = ACTIONS(3883),
    [aux_sym_keyword_statement_token2] = ACTIONS(3883),
    [aux_sym_keyword_statement_token3] = ACTIONS(3883),
    [aux_sym_keyword_statement_token4] = ACTIONS(3883),
    [aux_sym_keyword_statement_token6] = ACTIONS(3883),
    [aux_sym_keyword_statement_token7] = ACTIONS(3883),
    [aux_sym_include_statement_token1] = ACTIONS(3883),
    [aux_sym_data_statement_token1] = ACTIONS(3883),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3883),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3883),
    [aux_sym_end_if_statement_token1] = ACTIONS(3883),
    [aux_sym_elseif_clause_token2] = ACTIONS(3883),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3883),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3883),
    [aux_sym_select_case_statement_token1] = ACTIONS(3883),
    [aux_sym_select_case_statement_token3] = ACTIONS(3883),
    [aux_sym_select_type_statement_token1] = ACTIONS(3883),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3883),
    [aux_sym_block_construct_token1] = ACTIONS(3883),
    [aux_sym_associate_statement_token1] = ACTIONS(3883),
    [aux_sym_format_statement_token1] = ACTIONS(3883),
    [aux_sym_print_statement_token1] = ACTIONS(3883),
    [aux_sym_open_statement_token1] = ACTIONS(3883),
    [aux_sym_close_statement_token1] = ACTIONS(3883),
    [aux_sym_inquire_statement_token1] = ACTIONS(3883),
    [aux_sym_file_position_statement_token1] = ACTIONS(3883),
    [aux_sym_file_position_statement_token2] = ACTIONS(3883),
    [aux_sym_file_position_statement_token3] = ACTIONS(3883),
    [aux_sym_file_position_statement_token4] = ACTIONS(3883),
    [aux_sym_logical_expression_token5] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3883),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(3885),
    [aux_sym_boolean_literal_token1] = ACTIONS(3885),
    [aux_sym_boolean_literal_token2] = ACTIONS(3885),
    [aux_sym_null_literal_token1] = ACTIONS(3883),
    [aux_sym_identifier_token1] = ACTIONS(3883),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3885),
    [sym__float_literal] = ACTIONS(3885),
    [sym__boz_literal] = ACTIONS(3885),
    [sym__string_literal] = ACTIONS(3885),
    [sym__string_literal_kind] = ACTIONS(3885),
  },
  [1643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3903),
    [aux_sym_preproc_def_token1] = ACTIONS(3903),
    [aux_sym_preproc_if_token1] = ACTIONS(3903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3903),
    [sym_preproc_directive] = ACTIONS(3903),
    [anon_sym_LPAREN2] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3905),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3903),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3903),
    [aux_sym_contains_statement_token1] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3903),
    [aux_sym_stop_statement_token1] = ACTIONS(3903),
    [aux_sym_stop_statement_token2] = ACTIONS(3903),
    [aux_sym_subroutine_call_token1] = ACTIONS(3903),
    [aux_sym_keyword_statement_token1] = ACTIONS(3903),
    [aux_sym_keyword_statement_token2] = ACTIONS(3903),
    [aux_sym_keyword_statement_token3] = ACTIONS(3903),
    [aux_sym_keyword_statement_token4] = ACTIONS(3903),
    [aux_sym_keyword_statement_token6] = ACTIONS(3903),
    [aux_sym_keyword_statement_token7] = ACTIONS(3903),
    [aux_sym_include_statement_token1] = ACTIONS(3903),
    [aux_sym_data_statement_token1] = ACTIONS(3903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3903),
    [aux_sym_end_if_statement_token1] = ACTIONS(3903),
    [aux_sym_elseif_clause_token2] = ACTIONS(3903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3903),
    [aux_sym_select_case_statement_token1] = ACTIONS(3903),
    [aux_sym_select_case_statement_token3] = ACTIONS(3903),
    [aux_sym_select_type_statement_token1] = ACTIONS(3903),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3903),
    [aux_sym_block_construct_token1] = ACTIONS(3903),
    [aux_sym_associate_statement_token1] = ACTIONS(3903),
    [aux_sym_format_statement_token1] = ACTIONS(3903),
    [aux_sym_print_statement_token1] = ACTIONS(3903),
    [aux_sym_open_statement_token1] = ACTIONS(3903),
    [aux_sym_close_statement_token1] = ACTIONS(3903),
    [aux_sym_inquire_statement_token1] = ACTIONS(3903),
    [aux_sym_file_position_statement_token1] = ACTIONS(3903),
    [aux_sym_file_position_statement_token2] = ACTIONS(3903),
    [aux_sym_file_position_statement_token3] = ACTIONS(3903),
    [aux_sym_file_position_statement_token4] = ACTIONS(3903),
    [aux_sym_logical_expression_token5] = ACTIONS(3905),
    [anon_sym_DOT] = ACTIONS(3903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [aux_sym_boolean_literal_token1] = ACTIONS(3905),
    [aux_sym_boolean_literal_token2] = ACTIONS(3905),
    [aux_sym_null_literal_token1] = ACTIONS(3903),
    [aux_sym_identifier_token1] = ACTIONS(3903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3905),
    [sym__float_literal] = ACTIONS(3905),
    [sym__boz_literal] = ACTIONS(3905),
    [sym__string_literal] = ACTIONS(3905),
    [sym__string_literal_kind] = ACTIONS(3905),
  },
  [1644] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3835),
    [aux_sym_preproc_def_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3835),
    [sym_preproc_directive] = ACTIONS(3835),
    [anon_sym_LPAREN2] = ACTIONS(3835),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3835),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3835),
    [aux_sym_contains_statement_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(3835),
    [aux_sym_stop_statement_token2] = ACTIONS(3835),
    [aux_sym_subroutine_call_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token2] = ACTIONS(3835),
    [aux_sym_keyword_statement_token3] = ACTIONS(3835),
    [aux_sym_keyword_statement_token4] = ACTIONS(3835),
    [aux_sym_keyword_statement_token6] = ACTIONS(3835),
    [aux_sym_keyword_statement_token7] = ACTIONS(3835),
    [aux_sym_include_statement_token1] = ACTIONS(3835),
    [aux_sym_data_statement_token1] = ACTIONS(3835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3835),
    [aux_sym_end_if_statement_token1] = ACTIONS(3835),
    [aux_sym_elseif_clause_token2] = ACTIONS(3835),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3835),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token3] = ACTIONS(3835),
    [aux_sym_select_type_statement_token1] = ACTIONS(3835),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3835),
    [aux_sym_block_construct_token1] = ACTIONS(3835),
    [aux_sym_associate_statement_token1] = ACTIONS(3835),
    [aux_sym_format_statement_token1] = ACTIONS(3835),
    [aux_sym_print_statement_token1] = ACTIONS(3835),
    [aux_sym_open_statement_token1] = ACTIONS(3835),
    [aux_sym_close_statement_token1] = ACTIONS(3835),
    [aux_sym_inquire_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token2] = ACTIONS(3835),
    [aux_sym_file_position_statement_token3] = ACTIONS(3835),
    [aux_sym_file_position_statement_token4] = ACTIONS(3835),
    [aux_sym_logical_expression_token5] = ACTIONS(3839),
    [anon_sym_DOT] = ACTIONS(3835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [aux_sym_boolean_literal_token1] = ACTIONS(3839),
    [aux_sym_boolean_literal_token2] = ACTIONS(3839),
    [aux_sym_null_literal_token1] = ACTIONS(3835),
    [aux_sym_identifier_token1] = ACTIONS(3835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(3839),
    [sym__boz_literal] = ACTIONS(3839),
    [sym__string_literal] = ACTIONS(3839),
    [sym__string_literal_kind] = ACTIONS(3839),
  },
  [1645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3829),
    [aux_sym_preproc_def_token1] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3829),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3829),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3829),
    [aux_sym_contains_statement_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3829),
    [aux_sym_stop_statement_token1] = ACTIONS(3829),
    [aux_sym_stop_statement_token2] = ACTIONS(3829),
    [aux_sym_subroutine_call_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token2] = ACTIONS(3829),
    [aux_sym_keyword_statement_token3] = ACTIONS(3829),
    [aux_sym_keyword_statement_token4] = ACTIONS(3829),
    [aux_sym_keyword_statement_token6] = ACTIONS(3829),
    [aux_sym_keyword_statement_token7] = ACTIONS(3829),
    [aux_sym_include_statement_token1] = ACTIONS(3829),
    [aux_sym_data_statement_token1] = ACTIONS(3829),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3829),
    [aux_sym_end_if_statement_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(3829),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token3] = ACTIONS(3829),
    [aux_sym_select_type_statement_token1] = ACTIONS(3829),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3829),
    [aux_sym_block_construct_token1] = ACTIONS(3829),
    [aux_sym_associate_statement_token1] = ACTIONS(3829),
    [aux_sym_format_statement_token1] = ACTIONS(3829),
    [aux_sym_print_statement_token1] = ACTIONS(3829),
    [aux_sym_open_statement_token1] = ACTIONS(3829),
    [aux_sym_close_statement_token1] = ACTIONS(3829),
    [aux_sym_inquire_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token2] = ACTIONS(3829),
    [aux_sym_file_position_statement_token3] = ACTIONS(3829),
    [aux_sym_file_position_statement_token4] = ACTIONS(3829),
    [aux_sym_logical_expression_token5] = ACTIONS(3833),
    [anon_sym_DOT] = ACTIONS(3829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3833),
    [aux_sym_boolean_literal_token1] = ACTIONS(3833),
    [aux_sym_boolean_literal_token2] = ACTIONS(3833),
    [aux_sym_null_literal_token1] = ACTIONS(3829),
    [aux_sym_identifier_token1] = ACTIONS(3829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3833),
    [sym__float_literal] = ACTIONS(3833),
    [sym__boz_literal] = ACTIONS(3833),
    [sym__string_literal] = ACTIONS(3833),
    [sym__string_literal_kind] = ACTIONS(3833),
  },
  [1646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3907),
    [aux_sym_preproc_def_token1] = ACTIONS(3907),
    [aux_sym_preproc_if_token1] = ACTIONS(3907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3907),
    [sym_preproc_directive] = ACTIONS(3907),
    [anon_sym_LPAREN2] = ACTIONS(3907),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3907),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3907),
    [aux_sym_contains_statement_token1] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3907),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3907),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3907),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3907),
    [aux_sym_stop_statement_token1] = ACTIONS(3907),
    [aux_sym_stop_statement_token2] = ACTIONS(3907),
    [aux_sym_subroutine_call_token1] = ACTIONS(3907),
    [aux_sym_keyword_statement_token1] = ACTIONS(3907),
    [aux_sym_keyword_statement_token2] = ACTIONS(3907),
    [aux_sym_keyword_statement_token3] = ACTIONS(3907),
    [aux_sym_keyword_statement_token4] = ACTIONS(3907),
    [aux_sym_keyword_statement_token6] = ACTIONS(3907),
    [aux_sym_keyword_statement_token7] = ACTIONS(3907),
    [aux_sym_include_statement_token1] = ACTIONS(3907),
    [aux_sym_data_statement_token1] = ACTIONS(3907),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3907),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3907),
    [aux_sym_end_if_statement_token1] = ACTIONS(3907),
    [aux_sym_elseif_clause_token2] = ACTIONS(3907),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3907),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3907),
    [aux_sym_select_case_statement_token1] = ACTIONS(3907),
    [aux_sym_select_case_statement_token3] = ACTIONS(3907),
    [aux_sym_select_type_statement_token1] = ACTIONS(3907),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3907),
    [aux_sym_block_construct_token1] = ACTIONS(3907),
    [aux_sym_associate_statement_token1] = ACTIONS(3907),
    [aux_sym_format_statement_token1] = ACTIONS(3907),
    [aux_sym_print_statement_token1] = ACTIONS(3907),
    [aux_sym_open_statement_token1] = ACTIONS(3907),
    [aux_sym_close_statement_token1] = ACTIONS(3907),
    [aux_sym_inquire_statement_token1] = ACTIONS(3907),
    [aux_sym_file_position_statement_token1] = ACTIONS(3907),
    [aux_sym_file_position_statement_token2] = ACTIONS(3907),
    [aux_sym_file_position_statement_token3] = ACTIONS(3907),
    [aux_sym_file_position_statement_token4] = ACTIONS(3907),
    [aux_sym_logical_expression_token5] = ACTIONS(3909),
    [anon_sym_DOT] = ACTIONS(3907),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3909),
    [aux_sym_boolean_literal_token1] = ACTIONS(3909),
    [aux_sym_boolean_literal_token2] = ACTIONS(3909),
    [aux_sym_null_literal_token1] = ACTIONS(3907),
    [aux_sym_identifier_token1] = ACTIONS(3907),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3909),
    [sym__float_literal] = ACTIONS(3909),
    [sym__boz_literal] = ACTIONS(3909),
    [sym__string_literal] = ACTIONS(3909),
    [sym__string_literal_kind] = ACTIONS(3909),
  },
  [1647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3911),
    [aux_sym_preproc_def_token1] = ACTIONS(3911),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3911),
    [sym_preproc_directive] = ACTIONS(3911),
    [anon_sym_LPAREN2] = ACTIONS(3911),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3911),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3911),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3911),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3911),
    [aux_sym_contains_statement_token1] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3911),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3911),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3911),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3911),
    [aux_sym_stop_statement_token1] = ACTIONS(3911),
    [aux_sym_stop_statement_token2] = ACTIONS(3911),
    [aux_sym_subroutine_call_token1] = ACTIONS(3911),
    [aux_sym_keyword_statement_token1] = ACTIONS(3911),
    [aux_sym_keyword_statement_token2] = ACTIONS(3911),
    [aux_sym_keyword_statement_token3] = ACTIONS(3911),
    [aux_sym_keyword_statement_token4] = ACTIONS(3911),
    [aux_sym_keyword_statement_token6] = ACTIONS(3911),
    [aux_sym_keyword_statement_token7] = ACTIONS(3911),
    [aux_sym_include_statement_token1] = ACTIONS(3911),
    [aux_sym_data_statement_token1] = ACTIONS(3911),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3911),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3911),
    [aux_sym_end_if_statement_token1] = ACTIONS(3911),
    [aux_sym_elseif_clause_token2] = ACTIONS(3911),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3911),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3911),
    [aux_sym_select_case_statement_token1] = ACTIONS(3911),
    [aux_sym_select_case_statement_token3] = ACTIONS(3911),
    [aux_sym_select_type_statement_token1] = ACTIONS(3911),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3911),
    [aux_sym_block_construct_token1] = ACTIONS(3911),
    [aux_sym_associate_statement_token1] = ACTIONS(3911),
    [aux_sym_format_statement_token1] = ACTIONS(3911),
    [aux_sym_print_statement_token1] = ACTIONS(3911),
    [aux_sym_open_statement_token1] = ACTIONS(3911),
    [aux_sym_close_statement_token1] = ACTIONS(3911),
    [aux_sym_inquire_statement_token1] = ACTIONS(3911),
    [aux_sym_file_position_statement_token1] = ACTIONS(3911),
    [aux_sym_file_position_statement_token2] = ACTIONS(3911),
    [aux_sym_file_position_statement_token3] = ACTIONS(3911),
    [aux_sym_file_position_statement_token4] = ACTIONS(3911),
    [aux_sym_logical_expression_token5] = ACTIONS(3913),
    [anon_sym_DOT] = ACTIONS(3911),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3913),
    [aux_sym_boolean_literal_token1] = ACTIONS(3913),
    [aux_sym_boolean_literal_token2] = ACTIONS(3913),
    [aux_sym_null_literal_token1] = ACTIONS(3911),
    [aux_sym_identifier_token1] = ACTIONS(3911),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3913),
    [sym__float_literal] = ACTIONS(3913),
    [sym__boz_literal] = ACTIONS(3913),
    [sym__string_literal] = ACTIONS(3913),
    [sym__string_literal_kind] = ACTIONS(3913),
  },
  [1648] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3775),
    [aux_sym_preproc_def_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3775),
    [sym_preproc_directive] = ACTIONS(3775),
    [anon_sym_LPAREN2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3775),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3775),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3775),
    [aux_sym_contains_statement_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3775),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3775),
    [aux_sym_stop_statement_token1] = ACTIONS(3775),
    [aux_sym_stop_statement_token2] = ACTIONS(3775),
    [aux_sym_subroutine_call_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token1] = ACTIONS(3775),
    [aux_sym_keyword_statement_token2] = ACTIONS(3775),
    [aux_sym_keyword_statement_token3] = ACTIONS(3775),
    [aux_sym_keyword_statement_token4] = ACTIONS(3775),
    [aux_sym_keyword_statement_token6] = ACTIONS(3775),
    [aux_sym_keyword_statement_token7] = ACTIONS(3775),
    [aux_sym_include_statement_token1] = ACTIONS(3775),
    [aux_sym_data_statement_token1] = ACTIONS(3775),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3775),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3775),
    [aux_sym_end_if_statement_token1] = ACTIONS(3775),
    [aux_sym_elseif_clause_token2] = ACTIONS(3775),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3775),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token1] = ACTIONS(3775),
    [aux_sym_select_case_statement_token3] = ACTIONS(3775),
    [aux_sym_select_type_statement_token1] = ACTIONS(3775),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3775),
    [aux_sym_block_construct_token1] = ACTIONS(3775),
    [aux_sym_associate_statement_token1] = ACTIONS(3775),
    [aux_sym_format_statement_token1] = ACTIONS(3775),
    [aux_sym_print_statement_token1] = ACTIONS(3775),
    [aux_sym_open_statement_token1] = ACTIONS(3775),
    [aux_sym_close_statement_token1] = ACTIONS(3775),
    [aux_sym_inquire_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token1] = ACTIONS(3775),
    [aux_sym_file_position_statement_token2] = ACTIONS(3775),
    [aux_sym_file_position_statement_token3] = ACTIONS(3775),
    [aux_sym_file_position_statement_token4] = ACTIONS(3775),
    [aux_sym_logical_expression_token5] = ACTIONS(3779),
    [anon_sym_DOT] = ACTIONS(3775),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [aux_sym_boolean_literal_token1] = ACTIONS(3779),
    [aux_sym_boolean_literal_token2] = ACTIONS(3779),
    [aux_sym_null_literal_token1] = ACTIONS(3775),
    [aux_sym_identifier_token1] = ACTIONS(3775),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3779),
    [sym__float_literal] = ACTIONS(3779),
    [sym__boz_literal] = ACTIONS(3779),
    [sym__string_literal] = ACTIONS(3779),
    [sym__string_literal_kind] = ACTIONS(3779),
  },
  [1649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3915),
    [aux_sym_preproc_def_token1] = ACTIONS(3915),
    [aux_sym_preproc_if_token1] = ACTIONS(3915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3915),
    [sym_preproc_directive] = ACTIONS(3915),
    [anon_sym_LPAREN2] = ACTIONS(3915),
    [anon_sym_PLUS] = ACTIONS(3917),
    [anon_sym_DASH] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3915),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3915),
    [aux_sym_contains_statement_token1] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3915),
    [aux_sym_stop_statement_token1] = ACTIONS(3915),
    [aux_sym_stop_statement_token2] = ACTIONS(3915),
    [aux_sym_subroutine_call_token1] = ACTIONS(3915),
    [aux_sym_keyword_statement_token1] = ACTIONS(3915),
    [aux_sym_keyword_statement_token2] = ACTIONS(3915),
    [aux_sym_keyword_statement_token3] = ACTIONS(3915),
    [aux_sym_keyword_statement_token4] = ACTIONS(3915),
    [aux_sym_keyword_statement_token6] = ACTIONS(3915),
    [aux_sym_keyword_statement_token7] = ACTIONS(3915),
    [aux_sym_include_statement_token1] = ACTIONS(3915),
    [aux_sym_data_statement_token1] = ACTIONS(3915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3915),
    [aux_sym_end_if_statement_token1] = ACTIONS(3915),
    [aux_sym_elseif_clause_token2] = ACTIONS(3915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3915),
    [aux_sym_select_case_statement_token1] = ACTIONS(3915),
    [aux_sym_select_case_statement_token3] = ACTIONS(3915),
    [aux_sym_select_type_statement_token1] = ACTIONS(3915),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3915),
    [aux_sym_block_construct_token1] = ACTIONS(3915),
    [aux_sym_associate_statement_token1] = ACTIONS(3915),
    [aux_sym_format_statement_token1] = ACTIONS(3915),
    [aux_sym_print_statement_token1] = ACTIONS(3915),
    [aux_sym_open_statement_token1] = ACTIONS(3915),
    [aux_sym_close_statement_token1] = ACTIONS(3915),
    [aux_sym_inquire_statement_token1] = ACTIONS(3915),
    [aux_sym_file_position_statement_token1] = ACTIONS(3915),
    [aux_sym_file_position_statement_token2] = ACTIONS(3915),
    [aux_sym_file_position_statement_token3] = ACTIONS(3915),
    [aux_sym_file_position_statement_token4] = ACTIONS(3915),
    [aux_sym_logical_expression_token5] = ACTIONS(3917),
    [anon_sym_DOT] = ACTIONS(3915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3917),
    [anon_sym_LBRACK] = ACTIONS(3917),
    [aux_sym_boolean_literal_token1] = ACTIONS(3917),
    [aux_sym_boolean_literal_token2] = ACTIONS(3917),
    [aux_sym_null_literal_token1] = ACTIONS(3915),
    [aux_sym_identifier_token1] = ACTIONS(3915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3917),
    [sym__float_literal] = ACTIONS(3917),
    [sym__boz_literal] = ACTIONS(3917),
    [sym__string_literal] = ACTIONS(3917),
    [sym__string_literal_kind] = ACTIONS(3917),
  },
  [1651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3919),
    [aux_sym_preproc_def_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3919),
    [sym_preproc_directive] = ACTIONS(3919),
    [anon_sym_LPAREN2] = ACTIONS(3919),
    [anon_sym_PLUS] = ACTIONS(3921),
    [anon_sym_DASH] = ACTIONS(3921),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3919),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3919),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3919),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3919),
    [aux_sym_contains_statement_token1] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3919),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3919),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3919),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3919),
    [aux_sym_stop_statement_token1] = ACTIONS(3919),
    [aux_sym_stop_statement_token2] = ACTIONS(3919),
    [aux_sym_subroutine_call_token1] = ACTIONS(3919),
    [aux_sym_keyword_statement_token1] = ACTIONS(3919),
    [aux_sym_keyword_statement_token2] = ACTIONS(3919),
    [aux_sym_keyword_statement_token3] = ACTIONS(3919),
    [aux_sym_keyword_statement_token4] = ACTIONS(3919),
    [aux_sym_keyword_statement_token6] = ACTIONS(3919),
    [aux_sym_keyword_statement_token7] = ACTIONS(3919),
    [aux_sym_include_statement_token1] = ACTIONS(3919),
    [aux_sym_data_statement_token1] = ACTIONS(3919),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3919),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3919),
    [aux_sym_end_if_statement_token1] = ACTIONS(3919),
    [aux_sym_elseif_clause_token2] = ACTIONS(3919),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3919),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3919),
    [aux_sym_select_case_statement_token1] = ACTIONS(3919),
    [aux_sym_select_case_statement_token3] = ACTIONS(3919),
    [aux_sym_select_type_statement_token1] = ACTIONS(3919),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3919),
    [aux_sym_block_construct_token1] = ACTIONS(3919),
    [aux_sym_associate_statement_token1] = ACTIONS(3919),
    [aux_sym_format_statement_token1] = ACTIONS(3919),
    [aux_sym_print_statement_token1] = ACTIONS(3919),
    [aux_sym_open_statement_token1] = ACTIONS(3919),
    [aux_sym_close_statement_token1] = ACTIONS(3919),
    [aux_sym_inquire_statement_token1] = ACTIONS(3919),
    [aux_sym_file_position_statement_token1] = ACTIONS(3919),
    [aux_sym_file_position_statement_token2] = ACTIONS(3919),
    [aux_sym_file_position_statement_token3] = ACTIONS(3919),
    [aux_sym_file_position_statement_token4] = ACTIONS(3919),
    [aux_sym_logical_expression_token5] = ACTIONS(3921),
    [anon_sym_DOT] = ACTIONS(3919),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3921),
    [anon_sym_LBRACK] = ACTIONS(3921),
    [aux_sym_boolean_literal_token1] = ACTIONS(3921),
    [aux_sym_boolean_literal_token2] = ACTIONS(3921),
    [aux_sym_null_literal_token1] = ACTIONS(3919),
    [aux_sym_identifier_token1] = ACTIONS(3919),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3921),
    [sym__float_literal] = ACTIONS(3921),
    [sym__boz_literal] = ACTIONS(3921),
    [sym__string_literal] = ACTIONS(3921),
    [sym__string_literal_kind] = ACTIONS(3921),
  },
  [1652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3899),
    [aux_sym_preproc_def_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3899),
    [anon_sym_LPAREN2] = ACTIONS(3899),
    [anon_sym_PLUS] = ACTIONS(3901),
    [anon_sym_DASH] = ACTIONS(3901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3899),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3899),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3899),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3899),
    [aux_sym_contains_statement_token1] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3899),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3899),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3899),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3899),
    [aux_sym_stop_statement_token1] = ACTIONS(3899),
    [aux_sym_stop_statement_token2] = ACTIONS(3899),
    [aux_sym_subroutine_call_token1] = ACTIONS(3899),
    [aux_sym_keyword_statement_token1] = ACTIONS(3899),
    [aux_sym_keyword_statement_token2] = ACTIONS(3899),
    [aux_sym_keyword_statement_token3] = ACTIONS(3899),
    [aux_sym_keyword_statement_token4] = ACTIONS(3899),
    [aux_sym_keyword_statement_token6] = ACTIONS(3899),
    [aux_sym_keyword_statement_token7] = ACTIONS(3899),
    [aux_sym_include_statement_token1] = ACTIONS(3899),
    [aux_sym_data_statement_token1] = ACTIONS(3899),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3899),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3899),
    [aux_sym_end_if_statement_token1] = ACTIONS(3899),
    [aux_sym_elseif_clause_token2] = ACTIONS(3899),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3899),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3899),
    [aux_sym_select_case_statement_token1] = ACTIONS(3899),
    [aux_sym_select_case_statement_token3] = ACTIONS(3899),
    [aux_sym_select_type_statement_token1] = ACTIONS(3899),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3899),
    [aux_sym_block_construct_token1] = ACTIONS(3899),
    [aux_sym_associate_statement_token1] = ACTIONS(3899),
    [aux_sym_format_statement_token1] = ACTIONS(3899),
    [aux_sym_print_statement_token1] = ACTIONS(3899),
    [aux_sym_open_statement_token1] = ACTIONS(3899),
    [aux_sym_close_statement_token1] = ACTIONS(3899),
    [aux_sym_inquire_statement_token1] = ACTIONS(3899),
    [aux_sym_file_position_statement_token1] = ACTIONS(3899),
    [aux_sym_file_position_statement_token2] = ACTIONS(3899),
    [aux_sym_file_position_statement_token3] = ACTIONS(3899),
    [aux_sym_file_position_statement_token4] = ACTIONS(3899),
    [aux_sym_logical_expression_token5] = ACTIONS(3901),
    [anon_sym_DOT] = ACTIONS(3899),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3901),
    [anon_sym_LBRACK] = ACTIONS(3901),
    [aux_sym_boolean_literal_token1] = ACTIONS(3901),
    [aux_sym_boolean_literal_token2] = ACTIONS(3901),
    [aux_sym_null_literal_token1] = ACTIONS(3899),
    [aux_sym_identifier_token1] = ACTIONS(3899),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3901),
    [sym__float_literal] = ACTIONS(3901),
    [sym__boz_literal] = ACTIONS(3901),
    [sym__string_literal] = ACTIONS(3901),
    [sym__string_literal_kind] = ACTIONS(3901),
  },
  [1655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(3881),
    [anon_sym_DASH] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1428),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1428),
    [aux_sym_contains_statement_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1428),
    [aux_sym_stop_statement_token1] = ACTIONS(1428),
    [aux_sym_stop_statement_token2] = ACTIONS(1428),
    [aux_sym_subroutine_call_token1] = ACTIONS(1428),
    [aux_sym_keyword_statement_token1] = ACTIONS(1428),
    [aux_sym_keyword_statement_token2] = ACTIONS(1428),
    [aux_sym_keyword_statement_token3] = ACTIONS(1428),
    [aux_sym_keyword_statement_token4] = ACTIONS(1428),
    [aux_sym_keyword_statement_token6] = ACTIONS(1428),
    [aux_sym_keyword_statement_token7] = ACTIONS(1428),
    [aux_sym_include_statement_token1] = ACTIONS(1428),
    [aux_sym_data_statement_token1] = ACTIONS(1428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1428),
    [aux_sym_end_if_statement_token1] = ACTIONS(1428),
    [aux_sym_elseif_clause_token2] = ACTIONS(1428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1428),
    [aux_sym_select_case_statement_token1] = ACTIONS(1428),
    [aux_sym_select_case_statement_token3] = ACTIONS(1428),
    [aux_sym_select_type_statement_token1] = ACTIONS(1428),
    [aux_sym_select_rank_statement_token2] = ACTIONS(1428),
    [aux_sym_block_construct_token1] = ACTIONS(1428),
    [aux_sym_associate_statement_token1] = ACTIONS(1428),
    [aux_sym_format_statement_token1] = ACTIONS(1428),
    [aux_sym_print_statement_token1] = ACTIONS(1428),
    [aux_sym_open_statement_token1] = ACTIONS(1428),
    [aux_sym_close_statement_token1] = ACTIONS(1428),
    [aux_sym_inquire_statement_token1] = ACTIONS(1428),
    [aux_sym_file_position_statement_token1] = ACTIONS(1428),
    [aux_sym_file_position_statement_token2] = ACTIONS(1428),
    [aux_sym_file_position_statement_token3] = ACTIONS(1428),
    [aux_sym_file_position_statement_token4] = ACTIONS(1428),
    [aux_sym_logical_expression_token5] = ACTIONS(3881),
    [anon_sym_DOT] = ACTIONS(1428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3881),
    [aux_sym_boolean_literal_token1] = ACTIONS(3881),
    [aux_sym_boolean_literal_token2] = ACTIONS(3881),
    [aux_sym_null_literal_token1] = ACTIONS(1428),
    [aux_sym_identifier_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3881),
    [sym__float_literal] = ACTIONS(3881),
    [sym__boz_literal] = ACTIONS(3881),
    [sym__string_literal] = ACTIONS(3881),
    [sym__string_literal_kind] = ACTIONS(3881),
  },
  [1656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3903),
    [aux_sym_preproc_def_token1] = ACTIONS(3903),
    [aux_sym_preproc_if_token1] = ACTIONS(3903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3903),
    [sym_preproc_directive] = ACTIONS(3903),
    [anon_sym_LPAREN2] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3905),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3903),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3903),
    [aux_sym_contains_statement_token1] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3903),
    [aux_sym_stop_statement_token1] = ACTIONS(3903),
    [aux_sym_stop_statement_token2] = ACTIONS(3903),
    [aux_sym_subroutine_call_token1] = ACTIONS(3903),
    [aux_sym_keyword_statement_token1] = ACTIONS(3903),
    [aux_sym_keyword_statement_token2] = ACTIONS(3903),
    [aux_sym_keyword_statement_token3] = ACTIONS(3903),
    [aux_sym_keyword_statement_token4] = ACTIONS(3903),
    [aux_sym_keyword_statement_token6] = ACTIONS(3903),
    [aux_sym_keyword_statement_token7] = ACTIONS(3903),
    [aux_sym_include_statement_token1] = ACTIONS(3903),
    [aux_sym_data_statement_token1] = ACTIONS(3903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3903),
    [aux_sym_end_if_statement_token1] = ACTIONS(3903),
    [aux_sym_elseif_clause_token2] = ACTIONS(3903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3903),
    [aux_sym_select_case_statement_token1] = ACTIONS(3903),
    [aux_sym_select_case_statement_token3] = ACTIONS(3903),
    [aux_sym_select_type_statement_token1] = ACTIONS(3903),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3903),
    [aux_sym_block_construct_token1] = ACTIONS(3903),
    [aux_sym_associate_statement_token1] = ACTIONS(3903),
    [aux_sym_format_statement_token1] = ACTIONS(3903),
    [aux_sym_print_statement_token1] = ACTIONS(3903),
    [aux_sym_open_statement_token1] = ACTIONS(3903),
    [aux_sym_close_statement_token1] = ACTIONS(3903),
    [aux_sym_inquire_statement_token1] = ACTIONS(3903),
    [aux_sym_file_position_statement_token1] = ACTIONS(3903),
    [aux_sym_file_position_statement_token2] = ACTIONS(3903),
    [aux_sym_file_position_statement_token3] = ACTIONS(3903),
    [aux_sym_file_position_statement_token4] = ACTIONS(3903),
    [aux_sym_logical_expression_token5] = ACTIONS(3905),
    [anon_sym_DOT] = ACTIONS(3903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(3905),
    [aux_sym_boolean_literal_token1] = ACTIONS(3905),
    [aux_sym_boolean_literal_token2] = ACTIONS(3905),
    [aux_sym_null_literal_token1] = ACTIONS(3903),
    [aux_sym_identifier_token1] = ACTIONS(3903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3905),
    [sym__float_literal] = ACTIONS(3905),
    [sym__boz_literal] = ACTIONS(3905),
    [sym__string_literal] = ACTIONS(3905),
    [sym__string_literal_kind] = ACTIONS(3905),
  },
  [1657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3835),
    [aux_sym_preproc_def_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3835),
    [sym_preproc_directive] = ACTIONS(3835),
    [anon_sym_LPAREN2] = ACTIONS(3835),
    [anon_sym_PLUS] = ACTIONS(3839),
    [anon_sym_DASH] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3835),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3835),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3835),
    [aux_sym_contains_statement_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3835),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3835),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(3835),
    [aux_sym_stop_statement_token2] = ACTIONS(3835),
    [aux_sym_subroutine_call_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token1] = ACTIONS(3835),
    [aux_sym_keyword_statement_token2] = ACTIONS(3835),
    [aux_sym_keyword_statement_token3] = ACTIONS(3835),
    [aux_sym_keyword_statement_token4] = ACTIONS(3835),
    [aux_sym_keyword_statement_token6] = ACTIONS(3835),
    [aux_sym_keyword_statement_token7] = ACTIONS(3835),
    [aux_sym_include_statement_token1] = ACTIONS(3835),
    [aux_sym_data_statement_token1] = ACTIONS(3835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3835),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3835),
    [aux_sym_end_if_statement_token1] = ACTIONS(3835),
    [aux_sym_elseif_clause_token2] = ACTIONS(3835),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3835),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token1] = ACTIONS(3835),
    [aux_sym_select_case_statement_token3] = ACTIONS(3835),
    [aux_sym_select_type_statement_token1] = ACTIONS(3835),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3835),
    [aux_sym_block_construct_token1] = ACTIONS(3835),
    [aux_sym_associate_statement_token1] = ACTIONS(3835),
    [aux_sym_format_statement_token1] = ACTIONS(3835),
    [aux_sym_print_statement_token1] = ACTIONS(3835),
    [aux_sym_open_statement_token1] = ACTIONS(3835),
    [aux_sym_close_statement_token1] = ACTIONS(3835),
    [aux_sym_inquire_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token1] = ACTIONS(3835),
    [aux_sym_file_position_statement_token2] = ACTIONS(3835),
    [aux_sym_file_position_statement_token3] = ACTIONS(3835),
    [aux_sym_file_position_statement_token4] = ACTIONS(3835),
    [aux_sym_logical_expression_token5] = ACTIONS(3839),
    [anon_sym_DOT] = ACTIONS(3835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3839),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [aux_sym_boolean_literal_token1] = ACTIONS(3839),
    [aux_sym_boolean_literal_token2] = ACTIONS(3839),
    [aux_sym_null_literal_token1] = ACTIONS(3835),
    [aux_sym_identifier_token1] = ACTIONS(3835),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(3839),
    [sym__boz_literal] = ACTIONS(3839),
    [sym__string_literal] = ACTIONS(3839),
    [sym__string_literal_kind] = ACTIONS(3839),
  },
  [1660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1661] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2457),
    [aux_sym_preproc_def_token1] = ACTIONS(2457),
    [aux_sym_preproc_if_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2457),
    [sym_preproc_directive] = ACTIONS(2457),
    [anon_sym_LPAREN2] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2457),
    [aux_sym_end_function_statement_token1] = ACTIONS(2457),
    [aux_sym_contains_statement_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2457),
    [aux_sym_stop_statement_token1] = ACTIONS(2457),
    [aux_sym_stop_statement_token2] = ACTIONS(2457),
    [aux_sym_subroutine_call_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token1] = ACTIONS(2457),
    [aux_sym_keyword_statement_token2] = ACTIONS(2457),
    [aux_sym_keyword_statement_token3] = ACTIONS(2457),
    [aux_sym_keyword_statement_token4] = ACTIONS(2457),
    [aux_sym_keyword_statement_token6] = ACTIONS(2457),
    [aux_sym_keyword_statement_token7] = ACTIONS(2457),
    [aux_sym_include_statement_token1] = ACTIONS(2457),
    [aux_sym_data_statement_token1] = ACTIONS(2457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2457),
    [aux_sym_end_if_statement_token1] = ACTIONS(2457),
    [aux_sym_elseif_clause_token2] = ACTIONS(2457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token1] = ACTIONS(2457),
    [aux_sym_select_case_statement_token3] = ACTIONS(2457),
    [aux_sym_select_type_statement_token1] = ACTIONS(2457),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2457),
    [aux_sym_block_construct_token1] = ACTIONS(2457),
    [aux_sym_associate_statement_token1] = ACTIONS(2457),
    [aux_sym_format_statement_token1] = ACTIONS(2457),
    [aux_sym_print_statement_token1] = ACTIONS(2457),
    [aux_sym_open_statement_token1] = ACTIONS(2457),
    [aux_sym_close_statement_token1] = ACTIONS(2457),
    [aux_sym_inquire_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token1] = ACTIONS(2457),
    [aux_sym_file_position_statement_token2] = ACTIONS(2457),
    [aux_sym_file_position_statement_token3] = ACTIONS(2457),
    [aux_sym_file_position_statement_token4] = ACTIONS(2457),
    [aux_sym_logical_expression_token5] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [aux_sym_boolean_literal_token1] = ACTIONS(2459),
    [aux_sym_boolean_literal_token2] = ACTIONS(2459),
    [aux_sym_null_literal_token1] = ACTIONS(2457),
    [aux_sym_identifier_token1] = ACTIONS(2457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2459),
    [sym__float_literal] = ACTIONS(2459),
    [sym__boz_literal] = ACTIONS(2459),
    [sym__string_literal] = ACTIONS(2459),
    [sym__string_literal_kind] = ACTIONS(2459),
  },
  [1662] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3829),
    [aux_sym_preproc_def_token1] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3829),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3829),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3829),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3829),
    [aux_sym_contains_statement_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3829),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3829),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3829),
    [aux_sym_stop_statement_token1] = ACTIONS(3829),
    [aux_sym_stop_statement_token2] = ACTIONS(3829),
    [aux_sym_subroutine_call_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token1] = ACTIONS(3829),
    [aux_sym_keyword_statement_token2] = ACTIONS(3829),
    [aux_sym_keyword_statement_token3] = ACTIONS(3829),
    [aux_sym_keyword_statement_token4] = ACTIONS(3829),
    [aux_sym_keyword_statement_token6] = ACTIONS(3829),
    [aux_sym_keyword_statement_token7] = ACTIONS(3829),
    [aux_sym_include_statement_token1] = ACTIONS(3829),
    [aux_sym_data_statement_token1] = ACTIONS(3829),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3829),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3829),
    [aux_sym_end_if_statement_token1] = ACTIONS(3829),
    [aux_sym_elseif_clause_token2] = ACTIONS(3829),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3829),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token1] = ACTIONS(3829),
    [aux_sym_select_case_statement_token3] = ACTIONS(3829),
    [aux_sym_select_type_statement_token1] = ACTIONS(3829),
    [aux_sym_select_rank_statement_token2] = ACTIONS(3829),
    [aux_sym_block_construct_token1] = ACTIONS(3829),
    [aux_sym_associate_statement_token1] = ACTIONS(3829),
    [aux_sym_format_statement_token1] = ACTIONS(3829),
    [aux_sym_print_statement_token1] = ACTIONS(3829),
    [aux_sym_open_statement_token1] = ACTIONS(3829),
    [aux_sym_close_statement_token1] = ACTIONS(3829),
    [aux_sym_inquire_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token1] = ACTIONS(3829),
    [aux_sym_file_position_statement_token2] = ACTIONS(3829),
    [aux_sym_file_position_statement_token3] = ACTIONS(3829),
    [aux_sym_file_position_statement_token4] = ACTIONS(3829),
    [aux_sym_logical_expression_token5] = ACTIONS(3833),
    [anon_sym_DOT] = ACTIONS(3829),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3833),
    [aux_sym_boolean_literal_token1] = ACTIONS(3833),
    [aux_sym_boolean_literal_token2] = ACTIONS(3833),
    [aux_sym_null_literal_token1] = ACTIONS(3829),
    [aux_sym_identifier_token1] = ACTIONS(3829),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3833),
    [sym__float_literal] = ACTIONS(3833),
    [sym__boz_literal] = ACTIONS(3833),
    [sym__string_literal] = ACTIONS(3833),
    [sym__string_literal_kind] = ACTIONS(3833),
  },
  [1663] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2421),
    [aux_sym_preproc_def_token1] = ACTIONS(2421),
    [aux_sym_preproc_if_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2421),
    [aux_sym_end_function_statement_token1] = ACTIONS(2421),
    [aux_sym_contains_statement_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2421),
    [aux_sym_stop_statement_token1] = ACTIONS(2421),
    [aux_sym_stop_statement_token2] = ACTIONS(2421),
    [aux_sym_subroutine_call_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token1] = ACTIONS(2421),
    [aux_sym_keyword_statement_token2] = ACTIONS(2421),
    [aux_sym_keyword_statement_token3] = ACTIONS(2421),
    [aux_sym_keyword_statement_token4] = ACTIONS(2421),
    [aux_sym_keyword_statement_token6] = ACTIONS(2421),
    [aux_sym_keyword_statement_token7] = ACTIONS(2421),
    [aux_sym_include_statement_token1] = ACTIONS(2421),
    [aux_sym_data_statement_token1] = ACTIONS(2421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2421),
    [aux_sym_end_if_statement_token1] = ACTIONS(2421),
    [aux_sym_elseif_clause_token2] = ACTIONS(2421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token1] = ACTIONS(2421),
    [aux_sym_select_case_statement_token3] = ACTIONS(2421),
    [aux_sym_select_type_statement_token1] = ACTIONS(2421),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2421),
    [aux_sym_block_construct_token1] = ACTIONS(2421),
    [aux_sym_associate_statement_token1] = ACTIONS(2421),
    [aux_sym_format_statement_token1] = ACTIONS(2421),
    [aux_sym_print_statement_token1] = ACTIONS(2421),
    [aux_sym_open_statement_token1] = ACTIONS(2421),
    [aux_sym_close_statement_token1] = ACTIONS(2421),
    [aux_sym_inquire_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token1] = ACTIONS(2421),
    [aux_sym_file_position_statement_token2] = ACTIONS(2421),
    [aux_sym_file_position_statement_token3] = ACTIONS(2421),
    [aux_sym_file_position_statement_token4] = ACTIONS(2421),
    [aux_sym_logical_expression_token5] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(2421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [aux_sym_boolean_literal_token1] = ACTIONS(2423),
    [aux_sym_boolean_literal_token2] = ACTIONS(2423),
    [aux_sym_null_literal_token1] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(2421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2423),
    [sym__float_literal] = ACTIONS(2423),
    [sym__boz_literal] = ACTIONS(2423),
    [sym__string_literal] = ACTIONS(2423),
    [sym__string_literal_kind] = ACTIONS(2423),
  },
  [1664] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2461),
    [aux_sym_preproc_def_token1] = ACTIONS(2461),
    [aux_sym_preproc_if_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2461),
    [sym_preproc_directive] = ACTIONS(2461),
    [anon_sym_LPAREN2] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2461),
    [aux_sym_end_function_statement_token1] = ACTIONS(2461),
    [aux_sym_contains_statement_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2461),
    [aux_sym_stop_statement_token1] = ACTIONS(2461),
    [aux_sym_stop_statement_token2] = ACTIONS(2461),
    [aux_sym_subroutine_call_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token1] = ACTIONS(2461),
    [aux_sym_keyword_statement_token2] = ACTIONS(2461),
    [aux_sym_keyword_statement_token3] = ACTIONS(2461),
    [aux_sym_keyword_statement_token4] = ACTIONS(2461),
    [aux_sym_keyword_statement_token6] = ACTIONS(2461),
    [aux_sym_keyword_statement_token7] = ACTIONS(2461),
    [aux_sym_include_statement_token1] = ACTIONS(2461),
    [aux_sym_data_statement_token1] = ACTIONS(2461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2461),
    [aux_sym_end_if_statement_token1] = ACTIONS(2461),
    [aux_sym_elseif_clause_token2] = ACTIONS(2461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token1] = ACTIONS(2461),
    [aux_sym_select_case_statement_token3] = ACTIONS(2461),
    [aux_sym_select_type_statement_token1] = ACTIONS(2461),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2461),
    [aux_sym_block_construct_token1] = ACTIONS(2461),
    [aux_sym_associate_statement_token1] = ACTIONS(2461),
    [aux_sym_format_statement_token1] = ACTIONS(2461),
    [aux_sym_print_statement_token1] = ACTIONS(2461),
    [aux_sym_open_statement_token1] = ACTIONS(2461),
    [aux_sym_close_statement_token1] = ACTIONS(2461),
    [aux_sym_inquire_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token1] = ACTIONS(2461),
    [aux_sym_file_position_statement_token2] = ACTIONS(2461),
    [aux_sym_file_position_statement_token3] = ACTIONS(2461),
    [aux_sym_file_position_statement_token4] = ACTIONS(2461),
    [aux_sym_logical_expression_token5] = ACTIONS(2463),
    [anon_sym_DOT] = ACTIONS(2461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [aux_sym_boolean_literal_token1] = ACTIONS(2463),
    [aux_sym_boolean_literal_token2] = ACTIONS(2463),
    [aux_sym_null_literal_token1] = ACTIONS(2461),
    [aux_sym_identifier_token1] = ACTIONS(2461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2463),
    [sym__float_literal] = ACTIONS(2463),
    [sym__boz_literal] = ACTIONS(2463),
    [sym__string_literal] = ACTIONS(2463),
    [sym__string_literal_kind] = ACTIONS(2463),
  },
  [1665] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2453),
    [aux_sym_preproc_def_token1] = ACTIONS(2453),
    [aux_sym_preproc_if_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2453),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2453),
    [aux_sym_end_function_statement_token1] = ACTIONS(2453),
    [aux_sym_contains_statement_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2453),
    [aux_sym_stop_statement_token1] = ACTIONS(2453),
    [aux_sym_stop_statement_token2] = ACTIONS(2453),
    [aux_sym_subroutine_call_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token1] = ACTIONS(2453),
    [aux_sym_keyword_statement_token2] = ACTIONS(2453),
    [aux_sym_keyword_statement_token3] = ACTIONS(2453),
    [aux_sym_keyword_statement_token4] = ACTIONS(2453),
    [aux_sym_keyword_statement_token6] = ACTIONS(2453),
    [aux_sym_keyword_statement_token7] = ACTIONS(2453),
    [aux_sym_include_statement_token1] = ACTIONS(2453),
    [aux_sym_data_statement_token1] = ACTIONS(2453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2453),
    [aux_sym_end_if_statement_token1] = ACTIONS(2453),
    [aux_sym_elseif_clause_token2] = ACTIONS(2453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token1] = ACTIONS(2453),
    [aux_sym_select_case_statement_token3] = ACTIONS(2453),
    [aux_sym_select_type_statement_token1] = ACTIONS(2453),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(2453),
    [aux_sym_associate_statement_token1] = ACTIONS(2453),
    [aux_sym_format_statement_token1] = ACTIONS(2453),
    [aux_sym_print_statement_token1] = ACTIONS(2453),
    [aux_sym_open_statement_token1] = ACTIONS(2453),
    [aux_sym_close_statement_token1] = ACTIONS(2453),
    [aux_sym_inquire_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token1] = ACTIONS(2453),
    [aux_sym_file_position_statement_token2] = ACTIONS(2453),
    [aux_sym_file_position_statement_token3] = ACTIONS(2453),
    [aux_sym_file_position_statement_token4] = ACTIONS(2453),
    [aux_sym_logical_expression_token5] = ACTIONS(2455),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [aux_sym_boolean_literal_token1] = ACTIONS(2455),
    [aux_sym_boolean_literal_token2] = ACTIONS(2455),
    [aux_sym_null_literal_token1] = ACTIONS(2453),
    [aux_sym_identifier_token1] = ACTIONS(2453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2455),
    [sym__float_literal] = ACTIONS(2455),
    [sym__boz_literal] = ACTIONS(2455),
    [sym__string_literal] = ACTIONS(2455),
    [sym__string_literal_kind] = ACTIONS(2455),
  },
  [1666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2441),
    [aux_sym_preproc_def_token1] = ACTIONS(2441),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2441),
    [sym_preproc_directive] = ACTIONS(2441),
    [anon_sym_LPAREN2] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2443),
    [anon_sym_DASH] = ACTIONS(2443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2441),
    [aux_sym_end_function_statement_token1] = ACTIONS(2441),
    [aux_sym_contains_statement_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2441),
    [aux_sym_stop_statement_token1] = ACTIONS(2441),
    [aux_sym_stop_statement_token2] = ACTIONS(2441),
    [aux_sym_subroutine_call_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token1] = ACTIONS(2441),
    [aux_sym_keyword_statement_token2] = ACTIONS(2441),
    [aux_sym_keyword_statement_token3] = ACTIONS(2441),
    [aux_sym_keyword_statement_token4] = ACTIONS(2441),
    [aux_sym_keyword_statement_token6] = ACTIONS(2441),
    [aux_sym_keyword_statement_token7] = ACTIONS(2441),
    [aux_sym_include_statement_token1] = ACTIONS(2441),
    [aux_sym_data_statement_token1] = ACTIONS(2441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2441),
    [aux_sym_end_if_statement_token1] = ACTIONS(2441),
    [aux_sym_elseif_clause_token2] = ACTIONS(2441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token1] = ACTIONS(2441),
    [aux_sym_select_case_statement_token3] = ACTIONS(2441),
    [aux_sym_select_type_statement_token1] = ACTIONS(2441),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2441),
    [aux_sym_block_construct_token1] = ACTIONS(2441),
    [aux_sym_associate_statement_token1] = ACTIONS(2441),
    [aux_sym_format_statement_token1] = ACTIONS(2441),
    [aux_sym_print_statement_token1] = ACTIONS(2441),
    [aux_sym_open_statement_token1] = ACTIONS(2441),
    [aux_sym_close_statement_token1] = ACTIONS(2441),
    [aux_sym_inquire_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token1] = ACTIONS(2441),
    [aux_sym_file_position_statement_token2] = ACTIONS(2441),
    [aux_sym_file_position_statement_token3] = ACTIONS(2441),
    [aux_sym_file_position_statement_token4] = ACTIONS(2441),
    [aux_sym_logical_expression_token5] = ACTIONS(2443),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [aux_sym_boolean_literal_token1] = ACTIONS(2443),
    [aux_sym_boolean_literal_token2] = ACTIONS(2443),
    [aux_sym_null_literal_token1] = ACTIONS(2441),
    [aux_sym_identifier_token1] = ACTIONS(2441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2443),
    [sym__float_literal] = ACTIONS(2443),
    [sym__boz_literal] = ACTIONS(2443),
    [sym__string_literal] = ACTIONS(2443),
    [sym__string_literal_kind] = ACTIONS(2443),
  },
  [1667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2417),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2417),
    [sym_preproc_directive] = ACTIONS(2417),
    [anon_sym_LPAREN2] = ACTIONS(2417),
    [anon_sym_PLUS] = ACTIONS(2419),
    [anon_sym_DASH] = ACTIONS(2419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2417),
    [aux_sym_end_function_statement_token1] = ACTIONS(2417),
    [aux_sym_contains_statement_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2417),
    [aux_sym_stop_statement_token1] = ACTIONS(2417),
    [aux_sym_stop_statement_token2] = ACTIONS(2417),
    [aux_sym_subroutine_call_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token1] = ACTIONS(2417),
    [aux_sym_keyword_statement_token2] = ACTIONS(2417),
    [aux_sym_keyword_statement_token3] = ACTIONS(2417),
    [aux_sym_keyword_statement_token4] = ACTIONS(2417),
    [aux_sym_keyword_statement_token6] = ACTIONS(2417),
    [aux_sym_keyword_statement_token7] = ACTIONS(2417),
    [aux_sym_include_statement_token1] = ACTIONS(2417),
    [aux_sym_data_statement_token1] = ACTIONS(2417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2417),
    [aux_sym_end_if_statement_token1] = ACTIONS(2417),
    [aux_sym_elseif_clause_token2] = ACTIONS(2417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token1] = ACTIONS(2417),
    [aux_sym_select_case_statement_token3] = ACTIONS(2417),
    [aux_sym_select_type_statement_token1] = ACTIONS(2417),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2417),
    [aux_sym_block_construct_token1] = ACTIONS(2417),
    [aux_sym_associate_statement_token1] = ACTIONS(2417),
    [aux_sym_format_statement_token1] = ACTIONS(2417),
    [aux_sym_print_statement_token1] = ACTIONS(2417),
    [aux_sym_open_statement_token1] = ACTIONS(2417),
    [aux_sym_close_statement_token1] = ACTIONS(2417),
    [aux_sym_inquire_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token1] = ACTIONS(2417),
    [aux_sym_file_position_statement_token2] = ACTIONS(2417),
    [aux_sym_file_position_statement_token3] = ACTIONS(2417),
    [aux_sym_file_position_statement_token4] = ACTIONS(2417),
    [aux_sym_logical_expression_token5] = ACTIONS(2419),
    [anon_sym_DOT] = ACTIONS(2417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [aux_sym_boolean_literal_token1] = ACTIONS(2419),
    [aux_sym_boolean_literal_token2] = ACTIONS(2419),
    [aux_sym_null_literal_token1] = ACTIONS(2417),
    [aux_sym_identifier_token1] = ACTIONS(2417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2419),
    [sym__float_literal] = ACTIONS(2419),
    [sym__boz_literal] = ACTIONS(2419),
    [sym__string_literal] = ACTIONS(2419),
    [sym__string_literal_kind] = ACTIONS(2419),
  },
  [1668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2433),
    [aux_sym_preproc_def_token1] = ACTIONS(2433),
    [aux_sym_preproc_if_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2433),
    [sym_preproc_directive] = ACTIONS(2433),
    [anon_sym_LPAREN2] = ACTIONS(2433),
    [anon_sym_PLUS] = ACTIONS(2435),
    [anon_sym_DASH] = ACTIONS(2435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2433),
    [aux_sym_end_function_statement_token1] = ACTIONS(2433),
    [aux_sym_contains_statement_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2433),
    [aux_sym_stop_statement_token1] = ACTIONS(2433),
    [aux_sym_stop_statement_token2] = ACTIONS(2433),
    [aux_sym_subroutine_call_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token1] = ACTIONS(2433),
    [aux_sym_keyword_statement_token2] = ACTIONS(2433),
    [aux_sym_keyword_statement_token3] = ACTIONS(2433),
    [aux_sym_keyword_statement_token4] = ACTIONS(2433),
    [aux_sym_keyword_statement_token6] = ACTIONS(2433),
    [aux_sym_keyword_statement_token7] = ACTIONS(2433),
    [aux_sym_include_statement_token1] = ACTIONS(2433),
    [aux_sym_data_statement_token1] = ACTIONS(2433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2433),
    [aux_sym_end_if_statement_token1] = ACTIONS(2433),
    [aux_sym_elseif_clause_token2] = ACTIONS(2433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token1] = ACTIONS(2433),
    [aux_sym_select_case_statement_token3] = ACTIONS(2433),
    [aux_sym_select_type_statement_token1] = ACTIONS(2433),
    [aux_sym_select_rank_statement_token2] = ACTIONS(2433),
    [aux_sym_block_construct_token1] = ACTIONS(2433),
    [aux_sym_associate_statement_token1] = ACTIONS(2433),
    [aux_sym_format_statement_token1] = ACTIONS(2433),
    [aux_sym_print_statement_token1] = ACTIONS(2433),
    [aux_sym_open_statement_token1] = ACTIONS(2433),
    [aux_sym_close_statement_token1] = ACTIONS(2433),
    [aux_sym_inquire_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token1] = ACTIONS(2433),
    [aux_sym_file_position_statement_token2] = ACTIONS(2433),
    [aux_sym_file_position_statement_token3] = ACTIONS(2433),
    [aux_sym_file_position_statement_token4] = ACTIONS(2433),
    [aux_sym_logical_expression_token5] = ACTIONS(2435),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [aux_sym_boolean_literal_token1] = ACTIONS(2435),
    [aux_sym_boolean_literal_token2] = ACTIONS(2435),
    [aux_sym_null_literal_token1] = ACTIONS(2433),
    [aux_sym_identifier_token1] = ACTIONS(2433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2435),
    [sym__float_literal] = ACTIONS(2435),
    [sym__boz_literal] = ACTIONS(2435),
    [sym__string_literal] = ACTIONS(2435),
    [sym__string_literal_kind] = ACTIONS(2435),
  },
  [1669] = {
    [sym__expression] = STATE(2434),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4857),
    [sym_extent_specifier] = STATE(4857),
    [sym_assumed_size] = STATE(4857),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3923),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3933),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1670] = {
    [sym__expression] = STATE(2470),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4316),
    [sym_extent_specifier] = STATE(4316),
    [sym_assumed_size] = STATE(4316),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3935),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1671] = {
    [sym__expression] = STATE(2460),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4333),
    [sym_extent_specifier] = STATE(4333),
    [sym_assumed_size] = STATE(4333),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3941),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1672] = {
    [sym__expression] = STATE(2447),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4722),
    [sym_extent_specifier] = STATE(4722),
    [sym_assumed_size] = STATE(4722),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3943),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3945),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1673] = {
    [sym__expression] = STATE(2450),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4857),
    [sym_extent_specifier] = STATE(4857),
    [sym_assumed_size] = STATE(4857),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3923),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3933),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1674] = {
    [sym__expression] = STATE(2459),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4316),
    [sym_extent_specifier] = STATE(4316),
    [sym_assumed_size] = STATE(4316),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3935),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1675] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3947),
    [aux_sym_module_statement_token1] = ACTIONS(3949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3947),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3947),
    [aux_sym_subroutine_statement_token1] = ACTIONS(3949),
    [aux_sym_function_statement_token1] = ACTIONS(3949),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3947),
    [aux_sym_use_statement_token2] = ACTIONS(3947),
    [anon_sym_COLON_COLON] = ACTIONS(3951),
    [aux_sym_implicit_statement_token3] = ACTIONS(3949),
    [aux_sym_implicit_statement_token4] = ACTIONS(3947),
    [aux_sym_save_statement_token1] = ACTIONS(3947),
    [aux_sym_private_statement_token1] = ACTIONS(3947),
    [aux_sym_public_statement_token1] = ACTIONS(3947),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3947),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3947),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3947),
    [aux_sym_variable_attributes_token1] = ACTIONS(3947),
    [aux_sym_variable_attributes_token2] = ACTIONS(3947),
    [aux_sym_variable_attributes_token3] = ACTIONS(3947),
    [aux_sym_variable_attributes_token4] = ACTIONS(3947),
    [aux_sym_variable_attributes_token5] = ACTIONS(3947),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3949),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3949),
    [aux_sym_derived_type_token1] = ACTIONS(3949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3947),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3947),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(3949),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(3949),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(3949),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(3949),
    [aux_sym_stop_statement_token1] = ACTIONS(3947),
    [aux_sym_stop_statement_token2] = ACTIONS(3947),
    [aux_sym_keyword_statement_token2] = ACTIONS(3947),
    [aux_sym_keyword_statement_token3] = ACTIONS(3947),
    [aux_sym_data_statement_token1] = ACTIONS(3947),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3947),
    [aux_sym_end_if_statement_token1] = ACTIONS(3947),
    [aux_sym_elseif_clause_token2] = ACTIONS(3947),
    [aux_sym_select_case_statement_token1] = ACTIONS(3947),
    [aux_sym_block_construct_token1] = ACTIONS(3947),
    [aux_sym_format_statement_token1] = ACTIONS(3947),
    [aux_sym_inquire_statement_token1] = ACTIONS(3947),
    [aux_sym_null_literal_token1] = ACTIONS(3947),
    [aux_sym_identifier_token1] = ACTIONS(3947),
    [sym_comment] = ACTIONS(21),
  },
  [1676] = {
    [sym__expression] = STATE(2414),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4722),
    [sym_extent_specifier] = STATE(4722),
    [sym_assumed_size] = STATE(4722),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3943),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3945),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1677] = {
    [sym__expression] = STATE(2466),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4333),
    [sym_extent_specifier] = STATE(4333),
    [sym_assumed_size] = STATE(4333),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3941),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
  [1678] = {
    [sym__expression] = STATE(2452),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_derived_type_member_expression] = STATE(2110),
    [sym_logical_expression] = STATE(2110),
    [sym_relational_expression] = STATE(2110),
    [sym_concatenation_expression] = STATE(2110),
    [sym_math_expression] = STATE(2110),
    [sym_unary_expression] = STATE(2110),
    [sym_user_defined_operator] = STATE(1922),
    [sym_call_expression] = STATE(2110),
    [sym_implied_do_loop_expression] = STATE(2110),
    [sym_keyword_argument] = STATE(4658),
    [sym_extent_specifier] = STATE(4658),
    [sym_assumed_size] = STATE(4658),
    [sym_array_literal] = STATE(2110),
    [sym__array_constructor_legacy] = STATE(2111),
    [sym__array_constructor_f2003] = STATE(2105),
    [sym_complex_literal] = STATE(2110),
    [sym_number_literal] = STATE(2110),
    [sym_boolean_literal] = STATE(2110),
    [sym_null_literal] = STATE(2110),
    [sym_string_literal] = STATE(2110),
    [sym_identifier] = STATE(2735),
    [anon_sym_RPAREN] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3929),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(115),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(115),
    [aux_sym__intrinsic_type_token1] = ACTIONS(115),
    [aux_sym__intrinsic_type_token3] = ACTIONS(115),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(115),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(115),
    [aux_sym_stop_statement_token1] = ACTIONS(115),
    [aux_sym_stop_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token2] = ACTIONS(115),
    [aux_sym_keyword_statement_token3] = ACTIONS(115),
    [aux_sym_data_statement_token1] = ACTIONS(115),
    [aux_sym__inline_if_statement_token1] = ACTIONS(115),
    [aux_sym_end_if_statement_token1] = ACTIONS(115),
    [aux_sym_elseif_clause_token2] = ACTIONS(115),
    [aux_sym_select_case_statement_token1] = ACTIONS(2673),
    [aux_sym_block_construct_token1] = ACTIONS(115),
    [aux_sym_format_statement_token1] = ACTIONS(115),
    [aux_sym_inquire_statement_token1] = ACTIONS(115),
    [aux_sym_logical_expression_token5] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(151),
    [sym_assumed_rank] = ACTIONS(3955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(155),
    [aux_sym_boolean_literal_token1] = ACTIONS(157),
    [aux_sym_boolean_literal_token2] = ACTIONS(157),
    [aux_sym_null_literal_token1] = ACTIONS(159),
    [aux_sym_identifier_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3699),
    [sym__float_literal] = ACTIONS(3699),
    [sym__boz_literal] = ACTIONS(3699),
    [sym__string_literal] = ACTIONS(165),
    [sym__string_literal_kind] = ACTIONS(167),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [142] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [213] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [284] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 19,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(2353), 43,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [355] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [426] = 26,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3927), 1,
      anon_sym_STAR,
    ACTIONS(3929), 1,
      anon_sym_COLON,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3957), 1,
      sym_assumed_rank,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2486), 1,
      sym__expression,
    STATE(2735), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(4927), 3,
      sym_keyword_argument,
      sym_extent_specifier,
      sym_assumed_size,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [543] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [614] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [685] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(2699), 1,
      sym__integer_literal,
    ACTIONS(3959), 1,
      anon_sym_STAR,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2752), 1,
      sym__expression,
    STATE(2915), 1,
      sym_identifier,
    STATE(3537), 1,
      sym_statement_label,
    STATE(4744), 1,
      sym_keyword_argument,
    STATE(4958), 1,
      sym_format_identifier,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 2,
      sym__float_literal,
      sym__boz_literal,
    STATE(4892), 2,
      sym_statement_label_reference,
      sym__io_expressions,
    STATE(3233), 6,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
    STATE(2110), 9,
      sym_logical_expression,
      sym_relational_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [808] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [879] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [950] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1021] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1092] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1163] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1234] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1305] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1376] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1447] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1518] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 50,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_end_where_statement_token1,
      aux_sym_elsewhere_clause_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1589] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 19,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(2387), 43,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [1660] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2389), 19,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(2391), 43,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [1731] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2301), 19,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(2303), 43,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [1802] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [1942] = 27,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3448), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3450), 1,
      sym__integer_literal,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3961), 1,
      anon_sym_LPAREN2,
    ACTIONS(3963), 1,
      anon_sym_STAR,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2712), 1,
      sym__expression,
    STATE(4877), 1,
      sym_statement_label,
    STATE(5069), 1,
      sym_format_identifier,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 2,
      sym__float_literal,
      sym__boz_literal,
    STATE(4876), 2,
      sym_statement_label_reference,
      sym__io_expressions,
    STATE(3209), 7,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
      sym_identifier,
    STATE(2110), 9,
      sym_logical_expression,
      sym_relational_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [2060] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 14,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3967), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      anon_sym_GT_GT_GT,
      aux_sym_include_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [2130] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2200] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2270] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2340] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2410] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2480] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2550] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2620] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2690] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2760] = 25,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3927), 1,
      anon_sym_STAR,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3971), 1,
      anon_sym_COLON,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2485), 1,
      sym__expression,
    STATE(4584), 1,
      sym_assumed_size,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3969), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [2874] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [2944] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3014] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3084] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3154] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3294] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3364] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3434] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token2,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3504] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3574] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3644] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3714] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 14,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3975), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      anon_sym_GT_GT_GT,
      aux_sym_include_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [3784] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3924] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [3994] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4134] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token2,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4204] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4274] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4344] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4414] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4484] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4554] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4624] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 49,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_end_program_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_contains_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4694] = 25,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3927), 1,
      anon_sym_STAR,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2487), 1,
      sym__expression,
    STATE(4598), 1,
      sym_assumed_size,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3977), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [4808] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4877] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [4946] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [5015] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [5084] = 26,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3448), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_STAR,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2712), 1,
      sym__expression,
    STATE(3289), 1,
      sym_number_literal,
    STATE(5116), 1,
      sym__io_expressions,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(5114), 2,
      sym_unit_identifier,
      sym__file_position_spec,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3209), 7,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
      sym_identifier,
    STATE(2110), 8,
      sym_logical_expression,
      sym_relational_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [5199] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [5268] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [5337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [5406] = 28,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3985), 1,
      anon_sym_STAR,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2752), 1,
      sym__expression,
    STATE(2915), 1,
      sym_identifier,
    STATE(3231), 1,
      sym_number_literal,
    STATE(4686), 1,
      sym_keyword_argument,
    STATE(4893), 1,
      sym__io_expressions,
    STATE(5035), 1,
      sym_unit_identifier,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3233), 6,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
    STATE(2110), 8,
      sym_logical_expression,
      sym_relational_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [5525] = 28,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3985), 1,
      anon_sym_STAR,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2752), 1,
      sym__expression,
    STATE(2915), 1,
      sym_identifier,
    STATE(3231), 1,
      sym_number_literal,
    STATE(4463), 1,
      sym_keyword_argument,
    STATE(4893), 1,
      sym__io_expressions,
    STATE(5020), 1,
      sym_unit_identifier,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3233), 6,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
    STATE(2110), 8,
      sym_logical_expression,
      sym_relational_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [5644] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3985), 1,
      anon_sym_STAR,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2513), 1,
      sym__expression,
    STATE(2912), 1,
      sym_identifier,
    STATE(3200), 1,
      sym_unary_expression,
    STATE(3230), 1,
      sym_number_literal,
    STATE(4467), 1,
      sym_keyword_argument,
    STATE(4893), 1,
      sym__io_expressions,
    STATE(5432), 1,
      sym_unit_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3191), 6,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
    STATE(2110), 7,
      sym_logical_expression,
      sym_relational_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [5765] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [5834] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3985), 1,
      anon_sym_STAR,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2513), 1,
      sym__expression,
    STATE(2913), 1,
      sym_identifier,
    STATE(3200), 1,
      sym_unary_expression,
    STATE(3226), 1,
      sym_number_literal,
    STATE(4686), 1,
      sym_keyword_argument,
    STATE(4893), 1,
      sym__io_expressions,
    STATE(5035), 1,
      sym_unit_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3233), 6,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_string_literal,
    STATE(2110), 7,
      sym_logical_expression,
      sym_relational_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [5955] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6024] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6093] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6162] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6231] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6300] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6369] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6438] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6507] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6576] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6645] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6714] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6783] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6852] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6921] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [6990] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7059] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3927), 1,
      anon_sym_STAR,
    ACTIONS(3987), 1,
      anon_sym_COLON,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2535), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4951), 2,
      sym_assumed_size,
      sym_assumed_shape,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [7170] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7239] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7308] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7446] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7515] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7584] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7653] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7722] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7791] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7860] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7929] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [7998] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8067] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8136] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_end_block_construct_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8205] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8274] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8343] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_end_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8412] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_end_forall_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8481] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym_end_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8550] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 48,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8619] = 24,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3989), 1,
      anon_sym_COMMA,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(3995), 1,
      sym__end_of_statement,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2522), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5341), 1,
      sym_output_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [8729] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3929), 1,
      anon_sym_COLON,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2399), 1,
      sym__expression,
    STATE(4780), 1,
      sym_extent_specifier,
    STATE(5954), 1,
      sym_case_value_range_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [8839] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2455), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2453), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8907] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2463), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2461), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [8975] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2459), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2457), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9043] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3715), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3713), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9111] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3929), 1,
      anon_sym_COLON,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2399), 1,
      sym__expression,
    STATE(4780), 1,
      sym_extent_specifier,
    STATE(5924), 1,
      sym_case_value_range_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [9221] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2435), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2433), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9289] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2419), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2417), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9357] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3711), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(1562), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9425] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2443), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2441), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9493] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2423), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(2421), 47,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      sym_preproc_directive,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [9561] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3505), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3503), 49,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [9628] = 23,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(3997), 1,
      sym__end_of_statement,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2522), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5495), 1,
      sym_output_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [9735] = 23,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(3999), 1,
      sym__end_of_statement,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2522), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5428), 1,
      sym_output_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [9842] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2400), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4001), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [9947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3497), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3495), 49,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [10014] = 23,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(4003), 1,
      sym__end_of_statement,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2522), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5431), 1,
      sym_output_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10121] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3929), 1,
      anon_sym_COLON,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2483), 1,
      sym__expression,
    STATE(4887), 1,
      sym_extent_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10228] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3501), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3499), 49,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [10295] = 23,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    ACTIONS(4007), 1,
      sym__end_of_statement,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2589), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10402] = 23,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(4009), 1,
      sym__end_of_statement,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2493), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5339), 1,
      sym_input_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10509] = 22,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(4011), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2657), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10613] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4015), 13,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4013), 44,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [10679] = 22,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(4017), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2652), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10783] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4021), 13,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4019), 44,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [10849] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2617), 1,
      sym__expression,
    STATE(3206), 1,
      sym_identifier,
    STATE(4895), 1,
      sym_concurrent_control,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [10955] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2646), 1,
      sym__expression,
    STATE(3206), 1,
      sym_identifier,
    STATE(4895), 1,
      sym_concurrent_control,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11061] = 22,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2493), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5494), 1,
      sym_input_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11165] = 22,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2522), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    STATE(5563), 1,
      sym_output_item_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11269] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2591), 1,
      sym__expression,
    STATE(5420), 1,
      sym_pointer_association_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11373] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    STATE(5007), 1,
      sym_data_set,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3115), 4,
      sym_derived_type_member_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_identifier,
    STATE(2110), 12,
      sym_parenthesized_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11479] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4025), 13,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4023), 44,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [11545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4029), 13,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4027), 44,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [11611] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    STATE(4635), 1,
      sym_data_set,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3115), 4,
      sym_derived_type_member_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_identifier,
    STATE(2110), 12,
      sym_parenthesized_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11717] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2432), 1,
      sym__expression,
    STATE(3192), 1,
      sym_identifier,
    STATE(5488), 1,
      sym_loop_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11823] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2623), 1,
      sym__expression,
    STATE(3206), 1,
      sym_identifier,
    STATE(4895), 1,
      sym_concurrent_control,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [11929] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4025), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4023), 45,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym__block_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [11995] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2655), 1,
      sym__expression,
    STATE(3206), 1,
      sym_identifier,
    STATE(4895), 1,
      sym_concurrent_control,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12101] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2839), 1,
      sym__expression,
    STATE(3263), 1,
      sym_identifier,
    STATE(4918), 1,
      sym_triplet_spec,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(3268), 2,
      sym_logical_expression,
      sym_relational_expression,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12209] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2839), 1,
      sym__expression,
    STATE(3263), 1,
      sym_identifier,
    STATE(4918), 1,
      sym_triplet_spec,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(3336), 2,
      sym_logical_expression,
      sym_relational_expression,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12317] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2432), 1,
      sym__expression,
    STATE(3192), 1,
      sym_identifier,
    STATE(5686), 1,
      sym_loop_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12423] = 22,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    ACTIONS(4031), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2610), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12527] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2432), 1,
      sym__expression,
    STATE(3192), 1,
      sym_identifier,
    STATE(5203), 1,
      sym_loop_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12633] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2432), 1,
      sym__expression,
    STATE(3192), 1,
      sym_identifier,
    STATE(5160), 1,
      sym_loop_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 15,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12739] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4035), 13,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4033), 44,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_keyword_statement_token6,
      aux_sym_keyword_statement_token7,
      aux_sym_include_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_close_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_file_position_statement_token1,
      aux_sym_file_position_statement_token2,
      aux_sym_file_position_statement_token3,
      aux_sym_file_position_statement_token4,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [12805] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2839), 1,
      sym__expression,
    STATE(3263), 1,
      sym_identifier,
    STATE(4918), 1,
      sym_triplet_spec,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(3297), 2,
      sym_logical_expression,
      sym_relational_expression,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [12913] = 24,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2839), 1,
      sym__expression,
    STATE(3263), 1,
      sym_identifier,
    STATE(4918), 1,
      sym_triplet_spec,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(3290), 2,
      sym_logical_expression,
      sym_relational_expression,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13021] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2509), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13122] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4045), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4618), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [13205] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2491), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13306] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2657), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13407] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2611), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13508] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2654), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13609] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4053), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4065), 1,
      sym_preproc_comment,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6126), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2037), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [13728] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3352), 4,
      sym_derived_type_member_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_identifier,
    STATE(2110), 12,
      sym_parenthesized_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13831] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2536), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [13932] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2552), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [14033] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4089), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4091), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5859), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2010), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [14152] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4095), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4504), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [14235] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4097), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4099), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5842), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2026), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [14354] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2595), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [14455] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4103), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4502), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [14538] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4105), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4107), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4415), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [14621] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2523), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [14722] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 8,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
    STATE(3205), 8,
      sym_unary_expression,
      sym_call_expression,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [14825] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2482), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [14926] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4111), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4414), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [15009] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2608), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15110] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2495), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15211] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2496), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15312] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2497), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15413] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2554), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15514] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2498), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15615] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2499), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [15716] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 14,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3975), 42,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [15781] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4113), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4115), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5189), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2017), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [15900] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    STATE(3247), 1,
      sym_number_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3246), 7,
      sym_unary_expression,
      sym_call_expression,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    STATE(2110), 8,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16005] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4117), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4119), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5140), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2035), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [16124] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2502), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16225] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2624), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16326] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2512), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16427] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2514), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16528] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2515), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16629] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2649), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16730] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2432), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16831] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2612), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [16932] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2606), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17033] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2569), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17134] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(2943), 2,
      sym_call_expression,
      sym_identifier,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 14,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17237] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2636), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17338] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4121), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4123), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4759), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [17421] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4125), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4127), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4761), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [17504] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2622), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17605] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2581), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17706] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2641), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17807] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2582), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [17908] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2368), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18009] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2367), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18110] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4464), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [18193] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2366), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18294] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2365), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18395] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4135), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4738), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [18478] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2364), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18579] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4139), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4743), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [18662] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2647), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18763] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2361), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [18864] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4143), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4349), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [18947] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4145), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4147), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4466), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [19030] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4151), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4354), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [19113] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4155), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4599), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [19196] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4159), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4597), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [19279] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2453), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [19380] = 23,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    STATE(3314), 1,
      sym_number_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3313), 7,
      sym_unary_expression,
      sym_call_expression,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    STATE(2110), 8,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [19485] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 8,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
    STATE(3264), 8,
      sym_unary_expression,
      sym_call_expression,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [19588] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2618), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [19689] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4179), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4783), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [19772] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2180), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [19873] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2179), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [19974] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2464), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20075] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2363), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20176] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2371), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20277] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2370), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20378] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2628), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20479] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4189), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4191), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5104), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2058), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [20598] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2521), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3200), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20701] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2467), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20802] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2511), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [20903] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2518), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21004] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2500), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3219), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21107] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2532), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21208] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2546), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21309] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2592), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21410] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2527), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21511] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4193), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4195), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5703), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2054), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [21630] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2530), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21731] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4197), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4199), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4600), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [21814] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2619), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [21915] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4201), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4203), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4601), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [21998] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2575), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22099] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2562), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22200] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2494), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22301] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2625), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22402] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2481), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22503] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2555), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22604] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4205), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4207), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5276), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2031), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [22723] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2517), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22824] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2613), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [22925] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2651), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23026] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 14,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3967), 42,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [23091] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2616), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23192] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2639), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23293] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2174), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23394] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2185), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23495] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2182), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23596] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2181), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23697] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4211), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4786), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [23780] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2550), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23881] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2638), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [23982] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2556), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24083] = 21,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(3474), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(3479), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(3481), 1,
      anon_sym_LBRACK,
    ACTIONS(3485), 1,
      aux_sym_null_literal_token1,
    ACTIONS(3991), 1,
      anon_sym_LPAREN2,
    STATE(1941), 1,
      sym_user_defined_operator,
    STATE(2652), 1,
      sym__expression,
    STATE(2855), 1,
      sym__array_constructor_legacy,
    STATE(2856), 1,
      sym__array_constructor_f2003,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3993), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3487), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2910), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24184] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2559), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24285] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2178), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24386] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2563), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24487] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2513), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3200), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    STATE(2110), 13,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24590] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4215), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4699), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [24673] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4219), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4760), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [24756] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(3225), 2,
      sym_call_expression,
      sym_identifier,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 14,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24859] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2538), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [24960] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2439), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25061] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2173), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25162] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2526), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25263] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2369), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25364] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4221), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4223), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4624), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [25447] = 22,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(149), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(1966), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2770), 1,
      sym__expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    STATE(3320), 2,
      sym_call_expression,
      sym_identifier,
    ACTIONS(163), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 14,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25550] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2183), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25651] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2177), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [25752] = 30,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4225), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4227), 1,
      sym_preproc_comment,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5503), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2008), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25871] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4231), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4637), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [25954] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2362), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26055] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2176), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26156] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2175), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26257] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3697), 1,
      aux_sym_logical_expression_token5,
    STATE(1974), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2568), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3691), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26358] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4183), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4185), 1,
      sym__string_literal,
    ACTIONS(4187), 1,
      sym__string_literal_kind,
    STATE(1970), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2184), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26459] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4235), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4475), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [26542] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4239), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4477), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [26625] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2501), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26726] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2503), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26827] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2440), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [26928] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2504), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27029] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(4241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4243), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4787), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [27112] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2505), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27213] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2441), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27314] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2442), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27415] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2443), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27516] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2506), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27617] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2507), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27718] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2455), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27819] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2415), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [27920] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2508), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [28021] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(3931), 1,
      aux_sym_logical_expression_token5,
    STATE(1922), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2510), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(3925), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(115), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [28122] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2457), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [28223] = 21,
    ACTIONS(17), 1,
      anon_sym_LPAREN2,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(153), 1,
      anon_sym_LPAREN_SLASH,
    ACTIONS(155), 1,
      anon_sym_LBRACK,
    ACTIONS(159), 1,
      aux_sym_null_literal_token1,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4171), 1,
      aux_sym_logical_expression_token5,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(1921), 1,
      sym_user_defined_operator,
    STATE(2105), 1,
      sym__array_constructor_f2003,
    STATE(2111), 1,
      sym__array_constructor_legacy,
    STATE(2458), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(157), 2,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(4161), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(2110), 16,
      sym_parenthesized_expression,
      sym_derived_type_member_expression,
      sym_logical_expression,
      sym_relational_expression,
      sym_concatenation_expression,
      sym_math_expression,
      sym_unary_expression,
      sym_call_expression,
      sym_implied_do_loop_expression,
      sym_array_literal,
      sym_complex_literal,
      sym_number_literal,
      sym_boolean_literal,
      sym_null_literal,
      sym_string_literal,
      sym_identifier,
    ACTIONS(4165), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_identifier_token1,
  [28324] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4245), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5088), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28440] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4247), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6127), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28556] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4249), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5363), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28672] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4251), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5370), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2039), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28788] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4251), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5370), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28904] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4247), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6127), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2043), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29020] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4253), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5291), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29136] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4255), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6014), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(1999), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29252] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4253), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5291), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2027), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29368] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4257), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6125), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29484] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4259), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5394), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29600] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4261), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6024), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2007), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29716] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4261), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6024), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29832] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4259), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5394), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2000), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29948] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4263), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5208), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30064] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4265), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5206), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30180] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4267), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5204), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2012), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30296] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4267), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5204), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30412] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4269), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5293), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30528] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4271), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5199), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30644] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4273), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5443), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2002), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30760] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4271), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5199), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2013), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30876] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4275), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5196), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2015), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30992] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4277), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5786), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2029), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31108] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4279), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5778), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2038), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31224] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4281), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5994), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31340] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4283), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5995), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31456] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4285), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5997), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2045), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31572] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4279), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5778), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31688] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4287), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5295), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31804] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4289), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5804), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31920] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4291), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5754), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32036] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4291), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5754), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2047), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32152] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4293), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5286), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32268] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4295), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5112), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(1998), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32384] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4293), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5286), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2016), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32500] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4297), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5111), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2060), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32616] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4297), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5111), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32732] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4299), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5283), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2004), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32848] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4301), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6051), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32964] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4303), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5748), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33080] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4305), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5360), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33196] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4301), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6051), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2023), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33312] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4307), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5986), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2024), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33428] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4309), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5788), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33544] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4311), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(6053), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33660] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4313), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5782), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2028), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33776] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4315), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5965), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33892] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4313), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5782), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34008] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4317), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5740), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34124] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4319), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5121), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34240] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4321), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5076), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34356] = 5,
    ACTIONS(4327), 1,
      anon_sym__,
    STATE(2103), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4325), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4323), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [34424] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4329), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5117), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34540] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4331), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5110), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2051), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34656] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4333), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5751), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2042), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34772] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4333), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5751), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34888] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4335), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5738), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2046), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35004] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4337), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5113), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2059), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35120] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4329), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5117), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2048), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35236] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4337), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5113), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35352] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4339), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5119), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35468] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4341), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5085), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35584] = 29,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4059), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4245), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(4061), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(5088), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2049), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35700] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4343), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4345), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5470), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [35779] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4347), 1,
      aux_sym_program_statement_token1,
    ACTIONS(4349), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5307), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [35858] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4351), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4353), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5529), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [35937] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4355), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4357), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5909), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36016] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4359), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4361), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(6027), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36095] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4363), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4365), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5092), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36174] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4367), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4369), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5176), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36253] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4371), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4373), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5353), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36332] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4375), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4377), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5350), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36411] = 5,
    ACTIONS(4327), 1,
      anon_sym__,
    STATE(2116), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3460), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3462), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [36478] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4379), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4381), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5910), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36557] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4383), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4385), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5591), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36636] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4387), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4389), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5267), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36715] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4391), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4393), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5095), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36794] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4023), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4025), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym__block_if_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [36857] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4395), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4397), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5202), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [36936] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4399), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4401), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5115), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37015] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4403), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4405), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5759), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37094] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4407), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4409), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5371), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37173] = 15,
    ACTIONS(81), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(83), 1,
      aux_sym__standalone_type_qualifier_token5,
    ACTIONS(617), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4411), 1,
      anon_sym_COLON_COLON,
    STATE(2167), 1,
      sym__standalone_type_qualifier,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
    STATE(2130), 2,
      sym_variable_attributes,
      aux_sym_variable_modification_repeat1,
    STATE(4495), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(47), 22,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [37260] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4415), 1,
      aux_sym_program_statement_token1,
    ACTIONS(4417), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5263), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37339] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4419), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4421), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5770), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37418] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4423), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4425), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5660), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37497] = 26,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_program_statement_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5949), 1,
      sym_module_procedure_statement,
    STATE(6006), 1,
      sym_subroutine_statement,
    STATE(6007), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4427), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2097), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37606] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4431), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4433), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5410), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37685] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4435), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4437), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5170), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37764] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4439), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4441), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5668), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37843] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4443), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4445), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5532), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [37922] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4447), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4449), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5107), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38001] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4451), 1,
      aux_sym_program_statement_token1,
    ACTIONS(4453), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5923), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38080] = 26,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_program_statement_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5949), 1,
      sym_module_procedure_statement,
    STATE(6006), 1,
      sym_subroutine_statement,
    STATE(6007), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4455), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2085), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38189] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4459), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4461), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5180), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38268] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4463), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4465), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5264), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38347] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4467), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4469), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5553), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38426] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4471), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4473), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5413), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38505] = 26,
    ACTIONS(4475), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4478), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4481), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4489), 1,
      sym_preproc_directive,
    ACTIONS(4492), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4524), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5949), 1,
      sym_module_procedure_statement,
    STATE(6006), 1,
      sym_subroutine_statement,
    STATE(6007), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4486), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4484), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2097), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38614] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4527), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4529), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5289), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38693] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4531), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4533), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5586), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38772] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4535), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4537), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5537), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38851] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4539), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4541), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5473), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [38930] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4543), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4545), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5177), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [39009] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4549), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4547), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39071] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4551), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39133] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4555), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39195] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4559), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39257] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4563), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39319] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4567), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39381] = 4,
    ACTIONS(4571), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(2353), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39445] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4573), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39507] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4555), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39569] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4579), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4577), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39631] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4583), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4581), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39693] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4587), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4585), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39755] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4591), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4589), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39817] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4595), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4593), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [39879] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4597), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5916), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2353), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [39955] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3503), 24,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
    ACTIONS(3505), 28,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40016] = 25,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4455), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2120), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40121] = 25,
    ACTIONS(4047), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4049), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4051), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4063), 1,
      sym_preproc_directive,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4087), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4055), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4427), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40226] = 25,
    ACTIONS(4475), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4478), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4481), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4489), 1,
      sym_preproc_directive,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4524), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    STATE(5949), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4486), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4484), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2121), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40331] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3495), 24,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
    ACTIONS(3497), 28,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40392] = 7,
    ACTIONS(3703), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3701), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(2351), 6,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
    ACTIONS(3709), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40461] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3491), 24,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
    ACTIONS(3493), 28,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40522] = 4,
    ACTIONS(3509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2353), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3507), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40585] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4599), 1,
      sym__end_of_statement,
    STATE(5430), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(2353), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [40658] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3499), 24,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
    ACTIONS(3501), 28,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40719] = 6,
    ACTIONS(3509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    STATE(1292), 1,
      sym__argument_list,
    STATE(2164), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3507), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [40785] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4603), 1,
      anon_sym_SLASH,
    ACTIONS(4605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4607), 1,
      sym__end_of_statement,
    STATE(4745), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token15,
  [40859] = 9,
    ACTIONS(4611), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4617), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4619), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(4622), 1,
      aux_sym__standalone_type_qualifier_token5,
    STATE(2167), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2130), 2,
      sym_variable_attributes,
      aux_sym_variable_modification_repeat1,
    ACTIONS(4609), 20,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(4614), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
  [40931] = 5,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2132), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4627), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4625), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [40995] = 6,
    ACTIONS(4633), 1,
      anon_sym_LPAREN2,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2132), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4631), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4629), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [41061] = 26,
    ACTIONS(4492), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4636), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4639), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4642), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4648), 1,
      sym_preproc_directive,
    ACTIONS(4651), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4484), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(4645), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2133), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41166] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4457), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4664), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4455), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2135), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41271] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4429), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4664), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4427), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2133), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41376] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3493), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3491), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [41435] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4025), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
    ACTIONS(4023), 27,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [41494] = 26,
    ACTIONS(4484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4492), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4666), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4669), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4672), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4678), 1,
      sym_preproc_directive,
    ACTIONS(4681), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(6015), 1,
      sym_module_procedure_statement,
    STATE(6058), 1,
      sym_subroutine_statement,
    STATE(6059), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4675), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2138), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41598] = 26,
    ACTIONS(4484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4492), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4684), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4687), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4690), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4696), 1,
      sym_preproc_directive,
    ACTIONS(4699), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5857), 1,
      sym_module_procedure_statement,
    STATE(5973), 1,
      sym_subroutine_statement,
    STATE(5974), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4693), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2139), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41702] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(4702), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4704), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4706), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4710), 1,
      sym_preproc_directive,
    ACTIONS(4712), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5857), 1,
      sym_module_procedure_statement,
    STATE(5973), 1,
      sym_subroutine_statement,
    STATE(5974), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4708), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2148), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41806] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(4714), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4716), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4718), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4722), 1,
      sym_preproc_directive,
    ACTIONS(4724), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5925), 1,
      sym_module_procedure_statement,
    STATE(5990), 1,
      sym_subroutine_statement,
    STATE(5991), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2144), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41910] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(4726), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4728), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4730), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4734), 1,
      sym_preproc_directive,
    ACTIONS(4736), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5983), 1,
      sym_module_procedure_statement,
    STATE(6034), 1,
      sym_subroutine_statement,
    STATE(6035), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2143), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42014] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(4726), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4728), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4730), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4734), 1,
      sym_preproc_directive,
    ACTIONS(4736), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5983), 1,
      sym_module_procedure_statement,
    STATE(6034), 1,
      sym_subroutine_statement,
    STATE(6035), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4732), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2145), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42118] = 26,
    ACTIONS(4484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4492), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4738), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4741), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4744), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4750), 1,
      sym_preproc_directive,
    ACTIONS(4753), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5925), 1,
      sym_module_procedure_statement,
    STATE(5990), 1,
      sym_subroutine_statement,
    STATE(5991), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4747), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2144), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42222] = 26,
    ACTIONS(4484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4492), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4756), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4759), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4762), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4768), 1,
      sym_preproc_directive,
    ACTIONS(4771), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5983), 1,
      sym_module_procedure_statement,
    STATE(6034), 1,
      sym_subroutine_statement,
    STATE(6035), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4765), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2145), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42326] = 26,
    ACTIONS(4484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4492), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4774), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4777), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4780), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4786), 1,
      sym_preproc_directive,
    ACTIONS(4789), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5444), 1,
      sym_module_procedure_statement,
    STATE(5937), 1,
      sym_subroutine_statement,
    STATE(5938), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4783), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2146), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42430] = 4,
    ACTIONS(3509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4792), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3507), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [42490] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(4702), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4704), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4706), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4710), 1,
      sym_preproc_directive,
    ACTIONS(4712), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5857), 1,
      sym_module_procedure_statement,
    STATE(5973), 1,
      sym_subroutine_statement,
    STATE(5974), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4708), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2139), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42594] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4794), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4796), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4798), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4802), 1,
      sym_preproc_directive,
    ACTIONS(4804), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5444), 1,
      sym_module_procedure_statement,
    STATE(5937), 1,
      sym_subroutine_statement,
    STATE(5938), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4800), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2146), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42698] = 4,
    ACTIONS(3509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4806), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3507), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [42758] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4810), 1,
      sym_preproc_comment,
    ACTIONS(4812), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2172), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42862] = 26,
    ACTIONS(4484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4492), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4814), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4817), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4820), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4826), 1,
      sym_preproc_directive,
    ACTIONS(4829), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5966), 1,
      sym_module_procedure_statement,
    STATE(6022), 1,
      sym_subroutine_statement,
    STATE(6023), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4823), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2152), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42966] = 8,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4832), 1,
      anon_sym_COMMA,
    ACTIONS(4836), 1,
      anon_sym_COLON_COLON,
    STATE(2786), 1,
      sym_identifier,
    STATE(3232), 1,
      sym__import_names,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(4834), 27,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [43034] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(4714), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4716), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4718), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4722), 1,
      sym_preproc_directive,
    ACTIONS(4724), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5925), 1,
      sym_module_procedure_statement,
    STATE(5990), 1,
      sym_subroutine_statement,
    STATE(5991), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4720), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2141), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43138] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(4794), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4796), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4798), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4802), 1,
      sym_preproc_directive,
    ACTIONS(4804), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5444), 1,
      sym_module_procedure_statement,
    STATE(5937), 1,
      sym_subroutine_statement,
    STATE(5938), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4800), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2149), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43242] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(4838), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4840), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4842), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4846), 1,
      sym_preproc_directive,
    ACTIONS(4848), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(6015), 1,
      sym_module_procedure_statement,
    STATE(6058), 1,
      sym_subroutine_statement,
    STATE(6059), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4844), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2138), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43346] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4429), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(4850), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4852), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4858), 1,
      sym_preproc_directive,
    ACTIONS(4860), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5966), 1,
      sym_module_procedure_statement,
    STATE(6022), 1,
      sym_subroutine_statement,
    STATE(6023), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2152), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43450] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(4838), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4840), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4842), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4846), 1,
      sym_preproc_directive,
    ACTIONS(4848), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(6015), 1,
      sym_module_procedure_statement,
    STATE(6058), 1,
      sym_subroutine_statement,
    STATE(6059), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4844), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2156), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43554] = 26,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4457), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(4850), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4852), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4858), 1,
      sym_preproc_directive,
    ACTIONS(4860), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5966), 1,
      sym_module_procedure_statement,
    STATE(6022), 1,
      sym_subroutine_statement,
    STATE(6023), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2157), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43658] = 25,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4427), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4812), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2163), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43759] = 25,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4812), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4862), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2171), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43860] = 25,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4455), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4812), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2160), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43961] = 25,
    ACTIONS(4484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4494), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4497), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4500), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4503), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4506), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4515), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4518), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4636), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4639), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4642), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4648), 1,
      sym_preproc_directive,
    ACTIONS(4864), 1,
      aux_sym_include_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4645), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4521), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4509), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2163), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [44062] = 3,
    ACTIONS(4869), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4867), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44119] = 3,
    ACTIONS(3509), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3507), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44176] = 3,
    ACTIONS(4873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4871), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44233] = 3,
    ACTIONS(4877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4875), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44290] = 3,
    ACTIONS(3951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3947), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44347] = 3,
    ACTIONS(4881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4879), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44404] = 3,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4883), 47,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [44461] = 25,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4812), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4887), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2163), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [44562] = 25,
    ACTIONS(4067), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4654), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(4656), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(4658), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4662), 1,
      sym_preproc_directive,
    ACTIONS(4812), 1,
      aux_sym_include_statement_token1,
    ACTIONS(4862), 1,
      aux_sym_preproc_if_token2,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5999), 1,
      sym_module_procedure_statement,
    STATE(6046), 1,
      sym_subroutine_statement,
    STATE(6047), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4660), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3466), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(2163), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [44663] = 15,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4905), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4891), 3,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4889), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
  [44743] = 17,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4905), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4915), 1,
      aux_sym_logical_expression_token1,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4917), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 3,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4911), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [44827] = 10,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4911), 33,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [44897] = 9,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4911), 33,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [44965] = 12,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4921), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4919), 30,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [45039] = 14,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4891), 3,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4889), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
  [45117] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4905), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4915), 1,
      aux_sym_logical_expression_token1,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4917), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(4925), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4923), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [45203] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4905), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4915), 1,
      aux_sym_logical_expression_token1,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4917), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(4929), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4927), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [45289] = 16,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4905), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4915), 1,
      aux_sym_logical_expression_token1,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4891), 3,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4889), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
  [45371] = 12,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4933), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4931), 30,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [45445] = 7,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4937), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4935), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [45509] = 14,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4907), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4909), 1,
      anon_sym_STAR_STAR,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4897), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4903), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4941), 3,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4901), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(4939), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
  [45587] = 8,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1947), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(4911), 34,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [45653] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4943), 1,
      anon_sym_COMMA,
    ACTIONS(4947), 1,
      anon_sym_COLON_COLON,
    STATE(2516), 1,
      sym_identifier,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(5282), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
    ACTIONS(4945), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [45726] = 7,
    ACTIONS(4951), 1,
      anon_sym_LPAREN2,
    ACTIONS(4953), 1,
      anon_sym_STAR,
    STATE(2198), 1,
      sym__argument_list,
    STATE(2224), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4949), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4955), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [45787] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4957), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(4959), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [45839] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4961), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(4963), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [45891] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3967), 36,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [45943] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(3975), 36,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [45995] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3701), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(3709), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [46047] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4965), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(4967), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [46099] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4969), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4973), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    STATE(1434), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46190] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4979), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4981), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1305), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46281] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4983), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4985), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1061), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2217), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46372] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4987), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4989), 1,
      aux_sym_end_interface_statement_token1,
    STATE(652), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2214), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46463] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4991), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(4993), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [46514] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4995), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4997), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1234), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2210), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46605] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5001), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1053), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46696] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5003), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5005), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1466), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2206), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46787] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5009), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1282), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46878] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5009), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1272), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2202), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [46969] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5011), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5013), 1,
      aux_sym_end_interface_statement_token1,
    STATE(870), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2220), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47060] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5015), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5017), 1,
      aux_sym_end_interface_statement_token1,
    STATE(516), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2213), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47151] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5003), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5005), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1377), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47242] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5019), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(5021), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [47293] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5023), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5025), 1,
      aux_sym_end_interface_statement_token1,
    STATE(714), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47384] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5027), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(5029), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [47435] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4995), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4997), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1250), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47526] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5031), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5033), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1097), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2221), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47617] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5023), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5025), 1,
      aux_sym_end_interface_statement_token1,
    STATE(732), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2208), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47708] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5015), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5017), 1,
      aux_sym_end_interface_statement_token1,
    STATE(512), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47799] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4987), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4989), 1,
      aux_sym_end_interface_statement_token1,
    STATE(618), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47890] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4969), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4973), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    STATE(1457), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2194), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [47981] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5035), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(5038), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [48032] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4983), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4985), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1124), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48123] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5001), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1134), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2200), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48214] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5041), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5043), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1491), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48305] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5011), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5013), 1,
      aux_sym_end_interface_statement_token1,
    STATE(853), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48396] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5031), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5033), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1013), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48487] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5045), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5047), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1184), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48578] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5049), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(5051), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [48629] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5053), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(5055), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [48680] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(4979), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4981), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1343), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2195), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48771] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5045), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5047), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1082), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2222), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48862] = 23,
    ACTIONS(4069), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4071), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(4971), 1,
      aux_sym_module_statement_token1,
    ACTIONS(4977), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5041), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5043), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1482), 1,
      sym_end_interface_statement,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4975), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2219), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [48953] = 22,
    ACTIONS(5057), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5059), 1,
      aux_sym_module_statement_token1,
    ACTIONS(5062), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(5064), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(5070), 1,
      aux_sym_function_statement_token1,
    ACTIONS(5073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(5076), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5079), 1,
      aux_sym_import_statement_token1,
    ACTIONS(5085), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5088), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5091), 1,
      aux_sym_derived_type_token1,
    STATE(2389), 1,
      sym__procedure_kind,
    STATE(3627), 1,
      sym__intrinsic_type,
    STATE(5819), 1,
      sym_subroutine_statement,
    STATE(5820), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3443), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(5094), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(5067), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
    STATE(2228), 5,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
    ACTIONS(5082), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [49041] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3497), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49090] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5101), 1,
      sym_preproc_comment,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3898), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49161] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5119), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5121), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49210] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5123), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5125), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49259] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5127), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5129), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49308] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5131), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5133), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49357] = 9,
    ACTIONS(5135), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5144), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5147), 1,
      aux_sym_select_case_statement_token1,
    STATE(1463), 1,
      sym__name,
    STATE(1473), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5141), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(5137), 16,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(5139), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49418] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3505), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49467] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5149), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5151), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49516] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3501), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49565] = 14,
    ACTIONS(5153), 1,
      anon_sym_RPAREN,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3793), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49636] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5175), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3907), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49707] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5177), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5179), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49756] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5181), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3906), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49827] = 14,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    ACTIONS(5183), 1,
      anon_sym_RPAREN,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3796), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49898] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5185), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3899), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [49969] = 14,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    ACTIONS(5187), 1,
      anon_sym_RPAREN,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3781), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50040] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5189), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3909), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50111] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5191), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3908), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50182] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5193), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5195), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50231] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5197), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3902), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50302] = 14,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    ACTIONS(5199), 1,
      sym_preproc_comment,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3911), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50373] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5201), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5203), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50422] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5205), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5207), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50471] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5209), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5211), 38,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50520] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3863), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50588] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3824), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50656] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [50704] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [50752] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3832), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50820] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3798), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50888] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3862), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [50956] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3828), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51024] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3903), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51092] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3845), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51160] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3841), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51228] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3837), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51296] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [51344] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3887), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51412] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3844), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51480] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3849), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51548] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3912), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51616] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [51664] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3892), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51732] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3897), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51800] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3811), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [51916] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3894), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [51984] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [52032] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3856), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52100] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3836), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52168] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3878), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52236] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [52284] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3905), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52352] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3812), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52420] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3823), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52488] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3822), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52556] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3842), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52624] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [52672] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [52720] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3864), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52788] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3870), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52856] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3850), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52924] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3874), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [52992] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3839), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53060] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3910), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53128] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [53176] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3855), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53244] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3915), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53312] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [53360] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3819), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53428] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3904), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53496] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3821), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53564] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3820), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53632] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3815), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53700] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3901), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53768] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [53816] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3881), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53884] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3816), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [53952] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3804), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54020] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3829), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54088] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3808), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54156] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3900), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [54272] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3883), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54340] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [54388] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3809), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54456] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3817), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54524] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3847), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54592] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3879), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54660] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3882), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54728] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3886), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54796] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [54844] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3869), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [54912] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [54960] = 13,
    ACTIONS(5155), 1,
      anon_sym_LPAREN2,
    ACTIONS(5157), 1,
      anon_sym_defined,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5169), 1,
      sym__string_literal,
    ACTIONS(5171), 1,
      sym__string_literal_kind,
    ACTIONS(5173), 1,
      sym__preproc_unary_operator,
    STATE(3770), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5167), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3805), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55028] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3802), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55096] = 13,
    ACTIONS(5097), 1,
      anon_sym_LPAREN2,
    ACTIONS(5099), 1,
      anon_sym_defined,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5113), 1,
      sym__string_literal,
    ACTIONS(5115), 1,
      sym__string_literal_kind,
    ACTIONS(5117), 1,
      sym__preproc_unary_operator,
    STATE(3769), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5111), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(3896), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_string_literal,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55164] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5213), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5215), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55211] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5219), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5217), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55258] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5221), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5223), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55305] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5225), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5227), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55352] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5229), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5231), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55399] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5233), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5235), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55446] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5237), 14,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5239), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [55493] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5245), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5259), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    STATE(1108), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4593), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [55578] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5271), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5273), 1,
      aux_sym_end_type_statement_token1,
    STATE(902), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4511), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [55663] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5277), 1,
      aux_sym_end_type_statement_token1,
    STATE(1241), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4486), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2344), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [55748] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5279), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5281), 1,
      aux_sym_end_type_statement_token1,
    STATE(1453), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4622), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2352), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [55833] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5283), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5285), 1,
      aux_sym_end_type_statement_token1,
    STATE(1485), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4851), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2359), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [55918] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5287), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5289), 1,
      aux_sym_end_type_statement_token1,
    STATE(1219), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4532), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56003] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5291), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5293), 1,
      aux_sym_end_type_statement_token1,
    STATE(1337), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4310), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2353), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56088] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5295), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5297), 1,
      aux_sym_end_type_statement_token1,
    STATE(1260), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4740), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2346), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56173] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5271), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5273), 1,
      aux_sym_end_type_statement_token1,
    STATE(918), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4655), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2335), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56258] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5299), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5301), 1,
      aux_sym_end_type_statement_token1,
    STATE(1399), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4387), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2349), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56343] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5277), 1,
      aux_sym_end_type_statement_token1,
    STATE(1224), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4694), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56428] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5305), 12,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_logical_expression_token5,
      anon_sym_LPAREN_SLASH,
      anon_sym_LBRACK,
      aux_sym_boolean_literal_token1,
      aux_sym_boolean_literal_token2,
    ACTIONS(5303), 24,
      anon_sym_LPAREN2,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      anon_sym_DOT,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [56473] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5295), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5297), 1,
      aux_sym_end_type_statement_token1,
    STATE(1256), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4702), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56558] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5309), 1,
      aux_sym_end_type_statement_token1,
    STATE(807), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4845), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56643] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5311), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5313), 1,
      aux_sym_end_type_statement_token1,
    STATE(1025), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4674), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56728] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5299), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5301), 1,
      aux_sym_end_type_statement_token1,
    STATE(1378), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4364), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56813] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5287), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5289), 1,
      aux_sym_end_type_statement_token1,
    STATE(1202), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4308), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2339), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56898] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5311), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5313), 1,
      aux_sym_end_type_statement_token1,
    STATE(1049), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4446), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2348), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [56983] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5279), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5281), 1,
      aux_sym_end_type_statement_token1,
    STATE(1383), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4683), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57068] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5291), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5293), 1,
      aux_sym_end_type_statement_token1,
    STATE(1356), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4388), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57153] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5315), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5317), 1,
      aux_sym_end_type_statement_token1,
    STATE(965), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4609), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57238] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5245), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5259), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    STATE(1207), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4408), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2334), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57323] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5315), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5317), 1,
      aux_sym_end_type_statement_token1,
    STATE(929), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4335), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2354), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57408] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5319), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5321), 1,
      aux_sym_end_type_statement_token1,
    STATE(1181), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4423), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57493] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5319), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5321), 1,
      aux_sym_end_type_statement_token1,
    STATE(1075), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4459), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2357), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57578] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5283), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5285), 1,
      aux_sym_end_type_statement_token1,
    STATE(1488), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4509), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57663] = 23,
    ACTIONS(5241), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5249), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5257), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5269), 1,
      aux_sym_include_statement_token1,
    ACTIONS(5307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5309), 1,
      aux_sym_end_type_statement_token1,
    STATE(801), 1,
      sym_end_type_statement,
    STATE(2859), 1,
      sym__intrinsic_type,
    STATE(3922), 1,
      sym_contains_statement,
    STATE(4842), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5243), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2347), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [57748] = 15,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57816] = 7,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4937), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4935), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [57868] = 12,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4921), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4919), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [57930] = 14,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57996] = 16,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58066] = 12,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4933), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4931), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [58128] = 8,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [58182] = 17,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4911), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58254] = 14,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_DOT,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4939), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58320] = 10,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [58378] = 9,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [58434] = 5,
    STATE(1292), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2373), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4627), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4625), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [58482] = 6,
    ACTIONS(5341), 1,
      anon_sym_LPAREN2,
    STATE(1292), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2373), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4631), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4629), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [58532] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5352), 1,
      anon_sym_COLON_COLON,
    STATE(2391), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4742), 1,
      sym_method_name,
    STATE(5841), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [58599] = 4,
    ACTIONS(5356), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [58644] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5360), 1,
      anon_sym_COLON_COLON,
    STATE(2379), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4540), 1,
      sym_method_name,
    STATE(6160), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [58711] = 4,
    ACTIONS(5364), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [58756] = 4,
    ACTIONS(5370), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [58801] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5374), 1,
      anon_sym_COLON_COLON,
    STATE(3198), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4551), 1,
      sym_method_name,
    STATE(6161), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [58868] = 4,
    ACTIONS(5378), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [58913] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5382), 1,
      anon_sym_COLON_COLON,
    STATE(3198), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4344), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6016), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [58980] = 4,
    ACTIONS(5386), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59025] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5390), 1,
      anon_sym_COLON_COLON,
    STATE(2390), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4456), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6154), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59092] = 15,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5392), 1,
      anon_sym_COMMA,
    ACTIONS(5394), 1,
      aux_sym_while_statement_token1,
    ACTIONS(5396), 1,
      aux_sym_concurrent_header_token1,
    ACTIONS(5398), 1,
      sym__integer_literal,
    ACTIONS(5400), 1,
      sym__end_of_statement,
    STATE(3509), 1,
      sym_statement_label_reference,
    STATE(3537), 1,
      sym_statement_label,
    STATE(4132), 1,
      sym_concurrent_header,
    STATE(5296), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5318), 3,
      sym_while_statement,
      sym_concurrent_statement,
      sym_loop_control_expression,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59159] = 5,
    ACTIONS(5402), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(5404), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2389), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2391), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [59206] = 4,
    ACTIONS(5408), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59251] = 4,
    ACTIONS(5414), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59296] = 4,
    ACTIONS(5420), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59341] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5424), 1,
      anon_sym_COMMA,
    ACTIONS(5426), 1,
      anon_sym_LPAREN2,
    ACTIONS(5428), 1,
      anon_sym_COLON_COLON,
    STATE(4524), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(5438), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59408] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5430), 1,
      anon_sym_COLON_COLON,
    STATE(3198), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4489), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6155), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59475] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5432), 1,
      anon_sym_COLON_COLON,
    STATE(3198), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4554), 1,
      sym_method_name,
    STATE(5984), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59542] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5344), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5434), 1,
      anon_sym_COLON_COLON,
    STATE(2381), 1,
      aux_sym_procedure_statement_repeat1,
    STATE(4514), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6071), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59609] = 4,
    ACTIONS(5438), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59654] = 4,
    ACTIONS(5444), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59699] = 4,
    ACTIONS(5450), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59744] = 15,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5454), 1,
      anon_sym_COMMA,
    ACTIONS(5456), 1,
      anon_sym_LPAREN2,
    ACTIONS(5458), 1,
      anon_sym_COLON_COLON,
    STATE(4350), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6148), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [59811] = 4,
    ACTIONS(5462), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59856] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [59898] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    ACTIONS(5472), 1,
      anon_sym_RPAREN,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4847), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59974] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5494), 1,
      anon_sym_COMMA,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    STATE(4261), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5496), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60048] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60090] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60132] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60174] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60216] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60258] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60300] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60342] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60384] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60426] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60468] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60510] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60552] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60594] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5500), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4696), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60670] = 17,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5512), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5514), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4913), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5510), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5516), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4911), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(5508), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60740] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60782] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60824] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60866] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60908] = 6,
    ACTIONS(5526), 1,
      anon_sym_LPAREN2,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2420), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4631), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4629), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [60956] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [60998] = 14,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5529), 1,
      anon_sym_COMMA,
    ACTIONS(5531), 1,
      anon_sym_COLON_COLON,
    STATE(4300), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6000), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [61062] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61104] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61146] = 13,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5533), 1,
      anon_sym_STAR,
    STATE(4216), 1,
      sym__type_name,
    STATE(4217), 1,
      sym__intrinsic_type,
    STATE(4670), 1,
      sym_identifier,
    STATE(5373), 1,
      sym_unlimited_polymorphic,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(71), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [61208] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61250] = 14,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    ACTIONS(5535), 1,
      anon_sym_COMMA,
    ACTIONS(5537), 1,
      anon_sym_COLON_COLON,
    STATE(4491), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6157), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [61314] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61356] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61398] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61440] = 7,
    ACTIONS(3456), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4327), 1,
      anon_sym__,
    STATE(2116), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(3460), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3462), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [61490] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5539), 4,
      anon_sym_COMMA,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [61560] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61602] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5541), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4871), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [61678] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [61720] = 5,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2420), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4627), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4625), 24,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [61766] = 13,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5533), 1,
      anon_sym_STAR,
    STATE(4200), 1,
      sym__intrinsic_type,
    STATE(4201), 1,
      sym__type_name,
    STATE(4670), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_unlimited_polymorphic,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(71), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [61828] = 13,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5533), 1,
      anon_sym_STAR,
    STATE(4202), 1,
      sym__intrinsic_type,
    STATE(4203), 1,
      sym__type_name,
    STATE(4670), 1,
      sym_identifier,
    STATE(5240), 1,
      sym_unlimited_polymorphic,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(71), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [61890] = 10,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(4911), 20,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [61946] = 9,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(4911), 20,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [62000] = 12,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4921), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(4919), 17,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62060] = 15,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5514), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4891), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5510), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 6,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5508), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62126] = 14,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4891), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5510), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 7,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5508), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62190] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [62232] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [62274] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [62316] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5551), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4696), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62392] = 13,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5533), 1,
      anon_sym_STAR,
    STATE(4196), 1,
      sym__intrinsic_type,
    STATE(4205), 1,
      sym__type_name,
    STATE(4670), 1,
      sym_identifier,
    STATE(5384), 1,
      sym_unlimited_polymorphic,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(71), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [62454] = 13,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5533), 1,
      anon_sym_STAR,
    STATE(4186), 1,
      sym__type_name,
    STATE(4187), 1,
      sym__intrinsic_type,
    STATE(4670), 1,
      sym_identifier,
    STATE(5463), 1,
      sym_unlimited_polymorphic,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(71), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [62516] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5553), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4871), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62592] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [62634] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5555), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4714), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62710] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4937), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5512), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5514), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5510), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5516), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4935), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(5508), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62782] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [62824] = 16,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5512), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5514), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4891), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5510), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5508), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62892] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [62934] = 12,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4933), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(4931), 17,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62994] = 8,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(4911), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [63046] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5565), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4358), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63122] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5567), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4403), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63198] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63240] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63282] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63324] = 14,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    ACTIONS(5518), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5520), 1,
      anon_sym_STAR_STAR,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4941), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(5502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5504), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5510), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4939), 7,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5508), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63388] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63430] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5581), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4403), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63506] = 7,
    ACTIONS(5506), 1,
      anon_sym_PERCENT,
    STATE(1993), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4937), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(4935), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [63556] = 13,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5533), 1,
      anon_sym_STAR,
    STATE(4188), 1,
      sym__type_name,
    STATE(4190), 1,
      sym__intrinsic_type,
    STATE(4670), 1,
      sym_identifier,
    STATE(5466), 1,
      sym_unlimited_polymorphic,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(71), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [63618] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63660] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5567), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    STATE(4358), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63736] = 19,
    ACTIONS(5587), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(5593), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5595), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5600), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5603), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5606), 1,
      aux_sym_public_statement_token1,
    ACTIONS(5609), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(5615), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5618), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5621), 1,
      aux_sym_derived_type_token1,
    ACTIONS(5624), 1,
      aux_sym_include_statement_token1,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5590), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(5598), 2,
      aux_sym_contains_statement_token1,
      aux_sym_end_type_statement_token1,
    STATE(5253), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(2656), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(2471), 5,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
    ACTIONS(5612), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [63810] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63852] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63894] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [63936] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5494), 1,
      anon_sym_COMMA,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    STATE(4273), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5635), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64010] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [64052] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [64094] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [64136] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [64178] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [64220] = 20,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5669), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5681), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    STATE(2436), 1,
      aux_sym_call_expression_repeat1,
    STATE(3207), 1,
      sym_argument_list,
    STATE(4290), 1,
      sym_cuda_kernel_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64295] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5494), 1,
      anon_sym_COMMA,
    ACTIONS(5683), 1,
      anon_sym_GT_GT_GT,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    STATE(4689), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64368] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64439] = 12,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4143), 1,
      sym__intrinsic_type,
    STATE(4393), 1,
      sym_concurrent_control,
    STATE(5531), 1,
      sym_identifier,
    STATE(5572), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [64498] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3977), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64569] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5689), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64640] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5693), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 26,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [64752] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 26,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [64793] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2389), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2391), 26,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [64834] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5697), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5695), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64905] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2301), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2303), 26,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [64946] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 1,
      anon_sym_COMMA,
    ACTIONS(5701), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    STATE(4789), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65019] = 14,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_DOT,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4939), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65082] = 17,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4911), 3,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LT_LT_LT,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65151] = 8,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 21,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [65202] = 12,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4933), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4931), 17,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65261] = 16,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 5,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65328] = 14,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 7,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65391] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5703), 1,
      anon_sym_COMMA,
    ACTIONS(5705), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    STATE(4879), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65464] = 10,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [65519] = 15,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 6,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65584] = 9,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [65637] = 12,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4921), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4919), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65696] = 15,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65761] = 14,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65824] = 16,
    ACTIONS(4891), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65891] = 12,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4933), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4931), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65950] = 8,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [66001] = 17,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4911), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66070] = 7,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4937), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4935), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [66119] = 12,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4921), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4919), 17,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66178] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5705), 1,
      anon_sym_RPAREN,
    ACTIONS(5707), 1,
      anon_sym_COMMA,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    STATE(5042), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66251] = 9,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 20,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [66304] = 10,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4911), 20,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [66359] = 8,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5711), 1,
      anon_sym_STAR,
    STATE(2124), 1,
      sym__argument_list,
    STATE(3208), 1,
      sym_argument_list,
    STATE(3218), 1,
      sym_character_length,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5709), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(5713), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [66410] = 7,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4937), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4935), 22,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [66459] = 14,
    ACTIONS(4941), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4939), 7,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66522] = 10,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5717), 1,
      anon_sym_DOT,
    STATE(1890), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(5201), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [66577] = 10,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5717), 1,
      anon_sym_DOT,
    STATE(1890), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(5490), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [66632] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5707), 1,
      anon_sym_COMMA,
    ACTIONS(5719), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    STATE(5042), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66705] = 19,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 1,
      anon_sym_COMMA,
    ACTIONS(5721), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    STATE(4794), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66778] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5725), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66849] = 10,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4143), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(5947), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [66903] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5727), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5574), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [66959] = 7,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4937), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4935), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [67007] = 12,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4933), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4931), 15,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67065] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5737), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6102), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67121] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4489), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6155), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67179] = 16,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 3,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67245] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5747), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5175), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67301] = 17,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4911), 1,
      anon_sym_EQ_GT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4913), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5749), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67369] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5751), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5596), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67425] = 10,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4143), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(5948), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67479] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5753), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67547] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5755), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67615] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5757), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6098), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67671] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5759), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67739] = 13,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5761), 1,
      anon_sym_COMMA,
    ACTIONS(5763), 1,
      anon_sym_COLON_COLON,
    STATE(3382), 1,
      sym_identifier,
    STATE(3487), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(3848), 1,
      sym__declaration_assignment,
    STATE(3854), 1,
      sym__declaration_pointer_association,
    STATE(3916), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3775), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67799] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5765), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5450), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67855] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5767), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5582), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67911] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5769), 1,
      sym__end_of_statement,
    STATE(4265), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4564), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_use_alias,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [67967] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5771), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5446), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68023] = 13,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5761), 1,
      anon_sym_COMMA,
    ACTIONS(5773), 1,
      anon_sym_COLON_COLON,
    STATE(2539), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(3382), 1,
      sym_identifier,
    STATE(3848), 1,
      sym__declaration_assignment,
    STATE(3854), 1,
      sym__declaration_pointer_association,
    STATE(3918), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3775), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68083] = 12,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5394), 1,
      aux_sym_while_statement_token1,
    ACTIONS(5396), 1,
      aux_sym_concurrent_header_token1,
    ACTIONS(5775), 1,
      anon_sym_COMMA,
    ACTIONS(5777), 1,
      sym__end_of_statement,
    STATE(4132), 1,
      sym_concurrent_header,
    STATE(5296), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5397), 3,
      sym_while_statement,
      sym_concurrent_statement,
      sym_loop_control_expression,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68141] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5779), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68209] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5781), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5390), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68265] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5783), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5527), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68321] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5785), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5650), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68377] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5787), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68445] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5789), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5330), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68501] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5791), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68569] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4753), 1,
      sym_method_name,
    STATE(5585), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68627] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68695] = 15,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 4,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68759] = 12,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4921), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4919), 15,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68817] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5793), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5509), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68873] = 10,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4143), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(6169), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [68927] = 9,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4911), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [68979] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4909), 1,
      sym_method_name,
    STATE(5845), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69037] = 10,
    ACTIONS(75), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(77), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4143), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(6170), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(73), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(115), 17,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69091] = 14,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4889), 5,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [69153] = 10,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4911), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
  [69207] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4519), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6158), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69265] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4520), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6159), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69323] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5795), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5445), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69379] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5797), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5157), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69435] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5799), 1,
      anon_sym_COMMA,
    ACTIONS(5801), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [69505] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [69573] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4554), 1,
      sym_method_name,
    STATE(5984), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69631] = 13,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5761), 1,
      anon_sym_COMMA,
    ACTIONS(5805), 1,
      anon_sym_COLON_COLON,
    STATE(2516), 1,
      sym_identifier,
    STATE(3487), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(5866), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69691] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5807), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5178), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69747] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5809), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5600), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69803] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4557), 1,
      sym_method_name,
    STATE(6162), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69861] = 14,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4941), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4939), 5,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [69923] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4344), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6016), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [69981] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5811), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5225), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70037] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5813), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5569), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70093] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5815), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5652), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70149] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5817), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5911), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70205] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4927), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70273] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4923), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70341] = 6,
    ACTIONS(5819), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5821), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(5823), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2301), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2303), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [70387] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4816), 1,
      sym_method_name,
    STATE(6144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70445] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    ACTIONS(4007), 1,
      sym__end_of_statement,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70515] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5825), 1,
      anon_sym_EQ,
    ACTIONS(5827), 1,
      anon_sym_EQ_GT,
    STATE(1925), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5749), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70585] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4814), 1,
      sym_method_name,
    STATE(6143), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70643] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5829), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5408), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70699] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5831), 1,
      anon_sym_COMMA,
    ACTIONS(5833), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70769] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4551), 1,
      sym_method_name,
    STATE(6161), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [70827] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5835), 1,
      anon_sym_RPAREN,
    ACTIONS(5837), 1,
      anon_sym_EQ_GT,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70897] = 8,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(4913), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4911), 19,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [70947] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5839), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5566), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71003] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5841), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5468), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71059] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5539), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [71127] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5843), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5348), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71183] = 13,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5761), 1,
      anon_sym_COMMA,
    ACTIONS(5845), 1,
      anon_sym_COLON_COLON,
    STATE(2516), 1,
      sym_identifier,
    STATE(2571), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(5595), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71243] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5847), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5244), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71299] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5849), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5262), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71355] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5851), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5508), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71411] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5853), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5855), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4832), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71467] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4526), 1,
      sym_identifier,
    STATE(4730), 1,
      sym_method_name,
    STATE(5978), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71525] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5857), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5626), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71581] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5859), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5090), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym__name,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71637] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5346), 1,
      aux_sym_assignment_token1,
    ACTIONS(5348), 1,
      aux_sym_operator_token1,
    STATE(4417), 1,
      sym_method_name,
    STATE(4526), 1,
      sym_identifier,
    STATE(6152), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5350), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5437), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71695] = 18,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5801), 1,
      sym__end_of_statement,
    ACTIONS(5861), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [71765] = 11,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(5863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5865), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4831), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [71821] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5867), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [71888] = 5,
    ACTIONS(5869), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(5871), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [71931] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5873), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [71998] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5875), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72065] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5877), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72132] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5879), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72199] = 11,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5394), 1,
      aux_sym_while_statement_token1,
    ACTIONS(5396), 1,
      aux_sym_concurrent_header_token1,
    ACTIONS(5777), 1,
      sym__end_of_statement,
    STATE(4132), 1,
      sym_concurrent_header,
    STATE(5296), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5397), 3,
      sym_while_statement,
      sym_concurrent_statement,
      sym_loop_control_expression,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [72254] = 7,
    ACTIONS(5883), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(5885), 1,
      aux_sym__standalone_type_qualifier_token5,
    STATE(2544), 1,
      sym_type_qualifier,
    STATE(3527), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5887), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    ACTIONS(5881), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
  [72301] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5889), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72368] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5891), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72435] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5893), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72502] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5705), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72569] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    STATE(4631), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4883), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_use_alias,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [72622] = 7,
    ACTIONS(5883), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(5885), 1,
      aux_sym__standalone_type_qualifier_token5,
    STATE(2597), 1,
      sym_type_qualifier,
    STATE(3527), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5887), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    ACTIONS(5881), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
  [72669] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5895), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72736] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5897), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72803] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5899), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72870] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5719), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [72937] = 5,
    ACTIONS(5901), 1,
      anon_sym_COMMA,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5906), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5904), 26,
      anon_sym_RPAREN,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [72980] = 5,
    ACTIONS(5908), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(5910), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2389), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2391), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [73023] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5484), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5486), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5490), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5492), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5912), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_user_defined_operator,
    STATE(2136), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5488), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2131), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5478), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [73090] = 7,
    ACTIONS(5883), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(5885), 1,
      aux_sym__standalone_type_qualifier_token5,
    STATE(3527), 1,
      sym__standalone_type_qualifier,
    STATE(3596), 1,
      sym_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5887), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    ACTIONS(5881), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token9,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
  [73137] = 4,
    ACTIONS(5914), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73178] = 4,
    ACTIONS(5916), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73219] = 5,
    ACTIONS(5869), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(5918), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [73262] = 4,
    ACTIONS(5920), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73303] = 4,
    ACTIONS(5922), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73344] = 5,
    ACTIONS(5924), 1,
      anon_sym__,
    STATE(2858), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3460), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3462), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [73387] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5875), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [73454] = 4,
    ACTIONS(5926), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73495] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5928), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [73562] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5899), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [73629] = 4,
    ACTIONS(5930), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73670] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(4935), 1,
      anon_sym_RPAREN,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [73737] = 12,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5932), 1,
      anon_sym_COMMA,
    ACTIONS(5934), 1,
      anon_sym_COLON_COLON,
    STATE(3382), 1,
      sym_identifier,
    STATE(3848), 1,
      sym__declaration_assignment,
    STATE(3854), 1,
      sym__declaration_pointer_association,
    STATE(3921), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3775), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [73794] = 5,
    ACTIONS(5924), 1,
      anon_sym__,
    STATE(2876), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4325), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4323), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [73837] = 4,
    ACTIONS(5936), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73878] = 4,
    ACTIONS(5938), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [73919] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5940), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [73986] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5942), 1,
      anon_sym_COMMA,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74053] = 4,
    ACTIONS(5944), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74094] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5946), 1,
      anon_sym_COMMA,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74161] = 4,
    ACTIONS(5948), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74202] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5950), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74269] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5952), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74336] = 11,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5394), 1,
      aux_sym_while_statement_token1,
    ACTIONS(5396), 1,
      aux_sym_concurrent_header_token1,
    ACTIONS(5954), 1,
      sym__end_of_statement,
    STATE(4132), 1,
      sym_concurrent_header,
    STATE(5296), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5622), 3,
      sym_while_statement,
      sym_concurrent_statement,
      sym_loop_control_expression,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [74391] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74458] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74525] = 12,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4943), 1,
      anon_sym_COMMA,
    ACTIONS(4947), 1,
      anon_sym_COLON_COLON,
    STATE(2516), 1,
      sym_identifier,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(5275), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [74582] = 17,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5671), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5673), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5960), 1,
      sym__end_of_statement,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5667), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5675), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5665), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [74649] = 4,
    ACTIONS(5962), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74690] = 4,
    ACTIONS(5964), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74731] = 4,
    ACTIONS(5966), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74771] = 4,
    ACTIONS(5968), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74811] = 4,
    ACTIONS(5970), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74851] = 4,
    ACTIONS(5972), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74891] = 4,
    ACTIONS(5974), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74931] = 4,
    ACTIONS(5976), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [74971] = 4,
    ACTIONS(5978), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75011] = 4,
    ACTIONS(5980), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75051] = 4,
    ACTIONS(5982), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75091] = 4,
    ACTIONS(5984), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75131] = 4,
    ACTIONS(5986), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75171] = 4,
    ACTIONS(5988), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75211] = 4,
    ACTIONS(5990), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75251] = 4,
    ACTIONS(5992), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75291] = 4,
    ACTIONS(5994), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75331] = 4,
    ACTIONS(5996), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75371] = 5,
    ACTIONS(4327), 1,
      anon_sym__,
    STATE(3237), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3460), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3462), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [75413] = 4,
    ACTIONS(5998), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75453] = 4,
    ACTIONS(6000), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75493] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4575), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [75543] = 4,
    ACTIONS(6002), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [75583] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75621] = 4,
    ACTIONS(6004), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75661] = 4,
    ACTIONS(6006), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75701] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4766), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [75751] = 4,
    ACTIONS(6008), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75791] = 4,
    ACTIONS(6010), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75831] = 4,
    ACTIONS(6012), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [75871] = 4,
    ACTIONS(6014), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [75911] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4569), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [75961] = 4,
    ACTIONS(6016), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76001] = 4,
    ACTIONS(6018), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76041] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4545), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [76091] = 4,
    ACTIONS(6020), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76131] = 4,
    ACTIONS(6022), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76171] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4338), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [76221] = 4,
    ACTIONS(6024), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76261] = 4,
    ACTIONS(6026), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76301] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4319), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [76351] = 4,
    ACTIONS(6028), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76391] = 4,
    ACTIONS(6030), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76431] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4583), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [76481] = 4,
    ACTIONS(6032), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76521] = 4,
    ACTIONS(6034), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76561] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(5010), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [76611] = 4,
    ACTIONS(6036), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76651] = 4,
    ACTIONS(6038), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76691] = 4,
    ACTIONS(6040), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76731] = 4,
    ACTIONS(6042), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76771] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4803), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [76821] = 4,
    ACTIONS(6044), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76861] = 4,
    ACTIONS(6046), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [76901] = 16,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(5663), 1,
      anon_sym_PERCENT,
    ACTIONS(5677), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5679), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    STATE(1864), 1,
      sym_user_defined_operator,
    STATE(2124), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5659), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5749), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2436), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [76965] = 4,
    ACTIONS(6048), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77005] = 4,
    ACTIONS(6050), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77045] = 4,
    ACTIONS(6052), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77085] = 4,
    ACTIONS(6054), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77125] = 5,
    ACTIONS(6058), 1,
      anon_sym_LPAREN2,
    ACTIONS(6062), 1,
      aux_sym_kind_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6056), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(6060), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [77167] = 4,
    ACTIONS(6064), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77207] = 4,
    ACTIONS(6066), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77247] = 10,
    ACTIONS(6068), 1,
      anon_sym_SLASH,
    ACTIONS(6071), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6077), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6080), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6083), 1,
      sym__end_of_statement,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2720), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3335), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(6074), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [77299] = 4,
    ACTIONS(6085), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77339] = 4,
    ACTIONS(6087), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77379] = 5,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6091), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6093), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [77421] = 4,
    ACTIONS(6095), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77461] = 4,
    ACTIONS(6097), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [77501] = 4,
    ACTIONS(6099), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77541] = 5,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6101), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6103), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [77583] = 4,
    ACTIONS(6105), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77623] = 4,
    ACTIONS(5871), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [77663] = 5,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    STATE(2768), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6101), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6103), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [77705] = 4,
    ACTIONS(6107), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77745] = 5,
    ACTIONS(6109), 1,
      anon_sym_LPAREN2,
    STATE(642), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [77787] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4483), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [77837] = 4,
    ACTIONS(6111), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77877] = 4,
    ACTIONS(6113), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [77917] = 4,
    ACTIONS(6115), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77957] = 4,
    ACTIONS(6117), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [77997] = 4,
    ACTIONS(6119), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [78037] = 4,
    ACTIONS(6121), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5384), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5388), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78077] = 4,
    ACTIONS(6123), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78117] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4522), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [78167] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4849), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [78217] = 4,
    ACTIONS(6125), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78257] = 4,
    ACTIONS(6127), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5354), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5358), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78297] = 4,
    ACTIONS(6129), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78337] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4726), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [78387] = 4,
    ACTIONS(6131), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5440), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78427] = 4,
    ACTIONS(6133), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78467] = 4,
    ACTIONS(6135), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78507] = 4,
    ACTIONS(6137), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5368), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5372), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78547] = 4,
    ACTIONS(6139), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78587] = 16,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5333), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1892), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5749), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78651] = 4,
    ACTIONS(5918), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [78691] = 4,
    ACTIONS(6141), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78731] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4321), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [78781] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4330), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [78831] = 5,
    ACTIONS(6143), 1,
      anon_sym_LPAREN2,
    STATE(5919), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [78873] = 4,
    ACTIONS(6146), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78913] = 4,
    ACTIONS(6148), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5448), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5452), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [78953] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4449), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79003] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4453), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79053] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79091] = 4,
    ACTIONS(6150), 1,
      aux_sym_stop_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [79131] = 4,
    ACTIONS(6152), 1,
      aux_sym_block_construct_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [79171] = 6,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6157), 1,
      anon_sym_COLON,
    STATE(5315), 1,
      sym__statement_function_arg_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [79215] = 4,
    ACTIONS(6159), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5362), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5366), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79255] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79293] = 5,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6161), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6163), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [79335] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79373] = 16,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5745), 1,
      aux_sym_logical_expression_token2,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5741), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5749), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5739), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79437] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4578), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79487] = 5,
    ACTIONS(6165), 1,
      anon_sym_LPAREN2,
    STATE(1812), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [79529] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4582), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79617] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4853), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79667] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4855), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79717] = 4,
    ACTIONS(6167), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79757] = 4,
    ACTIONS(6169), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5412), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5416), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79797] = 5,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    STATE(2723), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6171), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6173), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [79839] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79877] = 10,
    ACTIONS(6175), 1,
      anon_sym_SLASH,
    ACTIONS(6177), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6181), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6183), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6185), 1,
      sym__end_of_statement,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2720), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3335), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(6179), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [79929] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [79967] = 4,
    ACTIONS(6187), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80007] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80045] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80083] = 5,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    STATE(2727), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6189), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6191), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [80125] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80163] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4653), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [80213] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4651), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [80263] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80301] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80339] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80415] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80491] = 4,
    ACTIONS(6193), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5442), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5446), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80531] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80569] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80607] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80645] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80683] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4426), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [80733] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80771] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5906), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5904), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [80809] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4476), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [80859] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80935] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [80973] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81011] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81049] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81087] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81125] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81163] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81201] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81239] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81277] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81315] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81353] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81391] = 6,
    ACTIONS(3701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3703), 1,
      anon_sym_LPAREN2,
    ACTIONS(3706), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(2353), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [81435] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81473] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81511] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81549] = 6,
    ACTIONS(4327), 1,
      anon_sym__,
    STATE(2116), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3458), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
    ACTIONS(3460), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3462), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [81593] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4734), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [81643] = 4,
    ACTIONS(5869), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [81683] = 4,
    ACTIONS(6195), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2385), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2387), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [81723] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4727), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [81773] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4327), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [81823] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81861] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4037), 1,
      aux_sym_assignment_token1,
    ACTIONS(4039), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4041), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(4325), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(3442), 17,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [81911] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81949] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [81987] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82025] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82063] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82101] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82139] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82177] = 5,
    ACTIONS(6165), 1,
      anon_sym_LPAREN2,
    STATE(1795), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [82219] = 16,
    ACTIONS(151), 1,
      anon_sym_DOT,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(4899), 1,
      anon_sym_PERCENT,
    ACTIONS(5331), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(5337), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(5733), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5735), 1,
      anon_sym_STAR_STAR,
    STATE(1292), 1,
      sym__argument_list,
    STATE(1925), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5339), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(5729), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2372), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(5327), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82283] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82320] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82357] = 4,
    ACTIONS(6157), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [82396] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82433] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82470] = 10,
    ACTIONS(6197), 1,
      sym_system_lib_string,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    STATE(4765), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5719), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [82521] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82558] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82595] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82632] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82669] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4551), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [82706] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82743] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82780] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82817] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4555), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [82891] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4555), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [82928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [82965] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4595), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4593), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [83002] = 7,
    ACTIONS(6211), 1,
      anon_sym_LPAREN2,
    ACTIONS(6213), 1,
      anon_sym_STAR,
    STATE(3548), 1,
      sym_kind,
    STATE(3550), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4949), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4955), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [83047] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83084] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83121] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83195] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83232] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83269] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83306] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83343] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83380] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83417] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83454] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83528] = 4,
    ACTIONS(6215), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2353), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [83567] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83604] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6217), 1,
      sym_system_lib_string,
    STATE(4606), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5327), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [83655] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4549), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4547), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [83692] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83729] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83766] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83803] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(5451), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [83854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83891] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [83965] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84002] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84039] = 10,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(3382), 1,
      sym_identifier,
    STATE(3848), 1,
      sym__declaration_assignment,
    STATE(3854), 1,
      sym__declaration_pointer_association,
    STATE(3919), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3775), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [84090] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84127] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84164] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84201] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84238] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84275] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84312] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84349] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84423] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84460] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6219), 1,
      sym_system_lib_string,
    STATE(4479), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5131), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [84511] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84548] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84585] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84622] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84659] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84696] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84733] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84770] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84807] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6221), 1,
      sym_system_lib_string,
    STATE(4688), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5268), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [84858] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84895] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6223), 1,
      sym_system_lib_string,
    STATE(4366), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5219), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [84946] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [84983] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [85020] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6225), 1,
      sym_system_lib_string,
    STATE(4826), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5893), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [85071] = 5,
    ACTIONS(6113), 1,
      anon_sym_EQ,
    ACTIONS(6227), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [85112] = 5,
    ACTIONS(6113), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6227), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [85153] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85190] = 5,
    ACTIONS(6113), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6227), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [85231] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85268] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85305] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85342] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85379] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85416] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85490] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85527] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85564] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85601] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85675] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85712] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85749] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85786] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85823] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85860] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85934] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [85971] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86008] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86045] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86082] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86119] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86156] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86193] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86230] = 6,
    ACTIONS(6229), 1,
      anon_sym_COMMA,
    ACTIONS(6231), 1,
      anon_sym_RPAREN,
    STATE(4468), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [86273] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4559), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [86310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86347] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86384] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86421] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86458] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86495] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86532] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86569] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6233), 1,
      sym_system_lib_string,
    STATE(4471), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5305), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [86620] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86657] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86694] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86731] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86768] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86805] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86842] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86879] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86916] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [86953] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4579), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4577), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [86990] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87101] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87138] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87175] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87212] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87249] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87286] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87323] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87360] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87397] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87434] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87471] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87508] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87582] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87619] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87656] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87693] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87730] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87767] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87804] = 4,
    ACTIONS(6237), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6235), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(6239), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [87843] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87880] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6241), 1,
      sym_system_lib_string,
    STATE(4784), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5366), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [87931] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [87968] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88005] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88042] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88079] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88116] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6243), 1,
      sym_system_lib_string,
    STATE(4441), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5426), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [88167] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88204] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88241] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88278] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4591), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4589), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [88315] = 9,
    ACTIONS(6175), 1,
      anon_sym_SLASH,
    ACTIONS(6177), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6181), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6183), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(2781), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3335), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(6179), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [88364] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88401] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88438] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88475] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88512] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88549] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88586] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88623] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88660] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88697] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88734] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(6064), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [88785] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88822] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88859] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88896] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88933] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [88970] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89007] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89081] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89118] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89155] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89192] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89229] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89266] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89303] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89340] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89414] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89451] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89488] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89525] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89562] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89599] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89636] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89673] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89710] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6245), 1,
      sym_system_lib_string,
    STATE(4754), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5639), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [89761] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89798] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89835] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89909] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89946] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [89983] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90020] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90057] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90094] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90131] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90168] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90205] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90242] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90279] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90316] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90353] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90390] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90427] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90464] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90501] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90575] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90612] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90649] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5549), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90686] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90723] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6247), 1,
      sym_system_lib_string,
    STATE(4303), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5733), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [90774] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6249), 1,
      sym_system_lib_string,
    STATE(4775), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5486), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [90825] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90862] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5543), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5545), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90899] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5418), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5422), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90936] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5575), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [90973] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5376), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5380), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91010] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91047] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91084] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5579), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91121] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5583), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5585), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91195] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5627), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5629), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91232] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5631), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5633), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91269] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91306] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4587), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4585), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [91343] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6251), 1,
      sym_system_lib_string,
    STATE(4399), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5545), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [91394] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91431] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4583), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4581), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [91468] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91505] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91542] = 4,
    ACTIONS(6253), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(2353), 22,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [91581] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91618] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91655] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91692] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6255), 1,
      sym_system_lib_string,
    STATE(4693), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5580), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [91743] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91780] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91817] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6257), 1,
      sym_system_lib_string,
    STATE(4663), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5604), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [91868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5639), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91905] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5653), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5655), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91942] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [91979] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5649), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5651), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92016] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6259), 1,
      sym_system_lib_string,
    STATE(4841), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5613), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92067] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6261), 1,
      sym_system_lib_string,
    STATE(4508), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5621), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92118] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6263), 1,
      sym_system_lib_string,
    STATE(4460), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5629), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92169] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92206] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6265), 1,
      sym_system_lib_string,
    STATE(4390), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5637), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92257] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6267), 1,
      sym_system_lib_string,
    STATE(4343), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5645), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92308] = 4,
    ACTIONS(6269), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [92347] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6271), 1,
      sym_system_lib_string,
    STATE(4368), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5653), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92398] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5645), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5647), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92435] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92472] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6273), 1,
      sym_system_lib_string,
    STATE(4351), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5661), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92523] = 10,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(3382), 1,
      sym_identifier,
    STATE(3848), 1,
      sym__declaration_assignment,
    STATE(3854), 1,
      sym__declaration_pointer_association,
    STATE(3917), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3775), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92574] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92611] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3967), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [92648] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6275), 1,
      sym_system_lib_string,
    STATE(4546), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5669), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92699] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6277), 1,
      sym_system_lib_string,
    STATE(4409), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5677), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [92750] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92787] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5522), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5524), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92824] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92861] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92898] = 7,
    ACTIONS(6279), 1,
      anon_sym_COMMA,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    STATE(4285), 1,
      aux_sym_data_set_repeat1,
    STATE(5022), 1,
      sym_data_value,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [92943] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [92980] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6283), 1,
      sym_system_lib_string,
    STATE(4649), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5685), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93031] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93068] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6285), 1,
      sym_system_lib_string,
    STATE(4687), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5693), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93119] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6287), 1,
      sym_system_lib_string,
    STATE(4619), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5701), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93170] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6289), 1,
      sym_system_lib_string,
    STATE(4833), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5709), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93221] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93258] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6291), 1,
      sym_system_lib_string,
    STATE(4858), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5717), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93309] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93346] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5643), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93383] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6293), 1,
      sym_system_lib_string,
    STATE(4369), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5725), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93434] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3967), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93471] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2457), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2459), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93508] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93582] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3975), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93619] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2421), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2423), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93656] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6295), 1,
      sym_system_lib_string,
    STATE(4306), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5741), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93707] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6297), 1,
      sym_system_lib_string,
    STATE(4355), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5749), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93758] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6299), 1,
      sym_system_lib_string,
    STATE(4405), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5757), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93809] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6301), 1,
      sym_system_lib_string,
    STATE(4537), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5765), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [93860] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2433), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2435), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5466), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5468), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93934] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5571), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [93971] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6303), 1,
      sym_system_lib_string,
    STATE(4568), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5773), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [94022] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2417), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2419), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94059] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5563), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94096] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3973), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3975), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [94133] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5559), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94170] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94207] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94244] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    STATE(4613), 1,
      sym__declaration_assignment,
    STATE(4673), 1,
      sym__declaration_pointer_association,
    STATE(5865), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4211), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [94295] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2441), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2443), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94332] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5406), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5410), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94369] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6305), 1,
      sym_system_lib_string,
    STATE(4644), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5781), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [94420] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2453), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2455), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94457] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94494] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94531] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94568] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2639), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94642] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2641), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2643), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94679] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2571), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94716] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2549), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2551), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94753] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94790] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94827] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5464), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [94864] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4567), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [94901] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4563), 23,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [94938] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6307), 1,
      sym_system_lib_string,
    STATE(4680), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5789), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [94989] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2463), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95026] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6309), 1,
      sym_system_lib_string,
    STATE(4591), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5288), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [95077] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6311), 1,
      sym_system_lib_string,
    STATE(4718), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5797), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [95128] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2465), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2467), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95165] = 10,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(3382), 1,
      sym_identifier,
    STATE(3848), 1,
      sym__declaration_assignment,
    STATE(3854), 1,
      sym__declaration_pointer_association,
    STATE(3920), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3775), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [95216] = 10,
    ACTIONS(6199), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6205), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6207), 1,
      sym__string_literal,
    ACTIONS(6209), 1,
      sym__string_literal_kind,
    ACTIONS(6313), 1,
      sym_system_lib_string,
    STATE(4750), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5805), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(6201), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [95267] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2545), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2547), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95304] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2617), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2619), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95341] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2407), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95378] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2613), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2615), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95415] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2609), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2611), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95452] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95489] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2493), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2495), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95526] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95563] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95600] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2555), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95637] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95674] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2541), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2543), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2567), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95748] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2411), 20,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95785] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2587), 20,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_include_statement_token1,
  [95822] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6315), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6317), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [95858] = 10,
    ACTIONS(2387), 1,
      anon_sym_LPAREN2,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6319), 1,
      aux_sym_module_statement_token1,
    ACTIONS(6321), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5780), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [95908] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6323), 1,
      anon_sym_LPAREN2,
    ACTIONS(6325), 1,
      sym__end_of_statement,
    STATE(3409), 1,
      sym_parenthesized_expression,
    STATE(5528), 1,
      sym_identifier,
    STATE(5926), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [95958] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6327), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6329), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [95994] = 4,
    ACTIONS(6227), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96032] = 4,
    ACTIONS(6331), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96070] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6333), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6335), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [96106] = 16,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6337), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6345), 1,
      sym_preproc_comment,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3353), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6056), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [96168] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    STATE(4995), 1,
      sym__declaration_assignment,
    STATE(4998), 1,
      sym__declaration_pointer_association,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4244), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96216] = 16,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6347), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(6349), 1,
      sym_preproc_comment,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3341), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5593), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [96278] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6351), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6353), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [96314] = 5,
    ACTIONS(6355), 1,
      anon_sym_COMMA,
    ACTIONS(6360), 1,
      anon_sym_COLON_COLON,
    STATE(3198), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6358), 24,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96354] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6362), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(6364), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96390] = 4,
    ACTIONS(6366), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96428] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6369), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(6371), 24,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96464] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6373), 1,
      anon_sym_COMMA,
    ACTIONS(6375), 1,
      anon_sym_LPAREN2,
    ACTIONS(6377), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96514] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3017), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3019), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [96550] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3021), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3023), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [96586] = 6,
    ACTIONS(6379), 1,
      anon_sym_COMMA,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    STATE(4778), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96628] = 4,
    ACTIONS(6384), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96666] = 4,
    ACTIONS(6390), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6388), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6386), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96704] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6392), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(6394), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96740] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6227), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [96778] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2353), 5,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2351), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96814] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2387), 5,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96850] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2391), 5,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96886] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2303), 5,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [96922] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6396), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6398), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [96958] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6400), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6402), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [96994] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3043), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3045), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [97030] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3047), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3049), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [97066] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6404), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(6406), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97102] = 4,
    ACTIONS(6408), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97140] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6411), 1,
      anon_sym_COMMA,
    ACTIONS(6413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6415), 1,
      sym__end_of_statement,
    STATE(4705), 1,
      sym_identifier,
    STATE(5618), 1,
      sym__import_names,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97190] = 9,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(3382), 1,
      sym_identifier,
    STATE(3913), 1,
      sym__declaration_pointer_association,
    STATE(3914), 1,
      sym__declaration_assignment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3778), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97238] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6373), 1,
      anon_sym_COMMA,
    ACTIONS(6377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6417), 1,
      anon_sym_LPAREN2,
    STATE(4236), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97288] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6101), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6103), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97324] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6419), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6421), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97360] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97398] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97436] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6427), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6429), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97472] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6431), 4,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
    ACTIONS(6433), 23,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97508] = 4,
    ACTIONS(6437), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6435), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6439), 24,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97546] = 4,
    ACTIONS(6425), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 21,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97584] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97622] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6441), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6443), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97658] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6227), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97696] = 4,
    ACTIONS(4571), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2351), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(2353), 21,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97734] = 6,
    ACTIONS(6211), 1,
      anon_sym_LPAREN2,
    STATE(3529), 1,
      sym_argument_list,
    STATE(3546), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3509), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3507), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [97776] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6445), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6447), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97812] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4595), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4593), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [97848] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6449), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6451), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97884] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3089), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3091), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [97920] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3001), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3003), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [97956] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6453), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6455), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [97992] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6457), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6459), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98028] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6461), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6463), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6465), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6467), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98100] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6469), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6471), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98136] = 6,
    ACTIONS(6379), 1,
      anon_sym_COMMA,
    ACTIONS(6473), 1,
      anon_sym_SLASH,
    STATE(4724), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [98178] = 7,
    ACTIONS(6379), 1,
      anon_sym_COMMA,
    ACTIONS(6473), 1,
      anon_sym_SLASH,
    ACTIONS(6476), 1,
      anon_sym_STAR,
    STATE(4736), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [98222] = 10,
    ACTIONS(2387), 1,
      anon_sym_LPAREN2,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6478), 1,
      aux_sym_module_statement_token1,
    ACTIONS(6480), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5229), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6482), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6484), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98308] = 10,
    ACTIONS(2387), 1,
      anon_sym_LPAREN2,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6486), 1,
      aux_sym_submodule_statement_token1,
    ACTIONS(6488), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5226), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98358] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6490), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6492), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98394] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6494), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6496), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98430] = 10,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6323), 1,
      anon_sym_LPAREN2,
    ACTIONS(6498), 1,
      sym__end_of_statement,
    STATE(3516), 1,
      sym_parenthesized_expression,
    STATE(5528), 1,
      sym_identifier,
    STATE(5817), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98480] = 10,
    ACTIONS(2387), 1,
      anon_sym_LPAREN2,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6500), 1,
      aux_sym_submodule_statement_token1,
    ACTIONS(6502), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5412), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98530] = 10,
    ACTIONS(2387), 1,
      anon_sym_LPAREN2,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6504), 1,
      aux_sym_module_statement_token1,
    ACTIONS(6506), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5433), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98580] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3055), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3057), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [98616] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3051), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3053), 24,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [98652] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6508), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6510), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98688] = 10,
    ACTIONS(2387), 1,
      anon_sym_LPAREN2,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6512), 1,
      aux_sym_submodule_statement_token1,
    ACTIONS(6514), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5383), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98738] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6516), 2,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6518), 25,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [98774] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4363), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4365), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5092), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98821] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6520), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6522), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5462), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98868] = 4,
    ACTIONS(6524), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [98905] = 5,
    ACTIONS(6526), 1,
      anon_sym_COMMA,
    ACTIONS(6528), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [98944] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6531), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6533), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5521), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [98991] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6535), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6537), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5547), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99038] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4459), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4461), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5180), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99085] = 4,
    ACTIONS(6539), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [99122] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4543), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4545), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5177), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99169] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4379), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4381), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5910), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99216] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4395), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4397), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5202), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99263] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6512), 1,
      aux_sym_submodule_statement_token1,
    ACTIONS(6514), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5383), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99310] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6319), 1,
      aux_sym_module_statement_token1,
    ACTIONS(6321), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5780), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99357] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6541), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6543), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5084), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99404] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4347), 1,
      aux_sym_program_statement_token1,
    ACTIONS(4349), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5307), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99451] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4355), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4357), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5909), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99498] = 4,
    ACTIONS(3703), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3701), 3,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(3709), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99535] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4463), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4465), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5264), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99582] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4423), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4425), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5660), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99629] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4387), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4389), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5267), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99676] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4527), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4529), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5289), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99723] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4439), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4441), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5668), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99770] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6545), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6038), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [99829] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6545), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3316), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6038), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [99888] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6547), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6062), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [99947] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4375), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4377), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5350), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [99994] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4371), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4373), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5353), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100041] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4447), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4449), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5107), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100088] = 4,
    ACTIONS(6425), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [100125] = 4,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [100162] = 5,
    ACTIONS(6551), 1,
      anon_sym_COMMA,
    STATE(3319), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6553), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
    ACTIONS(6555), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100201] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6557), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6559), 24,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100236] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6561), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6563), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5169), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100283] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6565), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3351), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6121), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [100342] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4399), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4401), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5115), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100389] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6567), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3350), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6122), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [100448] = 4,
    ACTIONS(6569), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [100485] = 5,
    ACTIONS(6551), 1,
      anon_sym_COMMA,
    STATE(3291), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6571), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
    ACTIONS(6573), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100524] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4431), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4433), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5410), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100571] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4471), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4473), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5413), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100618] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4343), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4345), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5470), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100665] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6575), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6577), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5568), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100712] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4539), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4541), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5473), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100759] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6360), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6358), 24,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100794] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4383), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4385), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5591), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100841] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6500), 1,
      aux_sym_submodule_statement_token1,
    ACTIONS(6502), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5412), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100888] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6504), 1,
      aux_sym_module_statement_token1,
    ACTIONS(6506), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5433), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100935] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4435), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4437), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5170), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [100982] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4367), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4369), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5176), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101029] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6579), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5993), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [101088] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4351), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4353), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5529), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101135] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4443), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4445), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5532), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101182] = 5,
    ACTIONS(6581), 1,
      anon_sym_COMMA,
    ACTIONS(6583), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [101221] = 6,
    ACTIONS(6581), 1,
      anon_sym_COMMA,
    ACTIONS(6583), 1,
      anon_sym_SLASH,
    ACTIONS(6586), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [101262] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4391), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4393), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5095), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101309] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6588), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6123), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [101368] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6590), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6592), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5988), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101415] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4359), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4361), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(6027), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101462] = 5,
    ACTIONS(6594), 1,
      anon_sym_COMMA,
    STATE(3319), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6597), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
    ACTIONS(6599), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101501] = 4,
    ACTIONS(6601), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [101538] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6603), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6605), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5402), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101585] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4451), 1,
      aux_sym_program_statement_token1,
    ACTIONS(4453), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5923), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101632] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4531), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4533), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5586), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101679] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6607), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3283), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5862), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [101738] = 5,
    ACTIONS(6551), 1,
      anon_sym_COMMA,
    STATE(3319), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6083), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
    ACTIONS(6609), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101777] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6486), 1,
      aux_sym_submodule_statement_token1,
    ACTIONS(6488), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5226), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101824] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6478), 1,
      aux_sym_module_statement_token1,
    ACTIONS(6480), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5229), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101871] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6611), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3285), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5864), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [101930] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4403), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4405), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5759), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [101977] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6613), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6615), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5447), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102024] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6617), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6619), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5612), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102071] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6621), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6623), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102118] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4467), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(4469), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5553), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102165] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6435), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6439), 24,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102200] = 5,
    ACTIONS(6551), 1,
      anon_sym_COMMA,
    STATE(3325), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6625), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
    ACTIONS(6627), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102239] = 4,
    ACTIONS(6629), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [102276] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4535), 1,
      aux_sym_function_statement_token1,
    ACTIONS(4537), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5537), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102323] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4415), 1,
      aux_sym_program_statement_token1,
    ACTIONS(4417), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5263), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102370] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4957), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(4959), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102405] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4965), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(4967), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102440] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6611), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5864), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [102499] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6631), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6633), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5223), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102546] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6635), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6637), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5342), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102593] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4961), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(4963), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102628] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3701), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(3709), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102663] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4407), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4409), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5371), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102710] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4419), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(4421), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5770), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102757] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6639), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3310), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6050), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [102816] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6641), 1,
      anon_sym_COMMA,
    ACTIONS(6643), 1,
      anon_sym_COLON_COLON,
    STATE(4253), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [102863] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6645), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6049), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [102922] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6647), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6048), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [102981] = 5,
    ACTIONS(6649), 1,
      anon_sym_COMMA,
    ACTIONS(6651), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4575), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4573), 20,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
  [103020] = 15,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6339), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(6341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(6565), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6343), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(6121), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [103079] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6654), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5417), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103123] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4453), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5923), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103167] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6656), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5241), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103211] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6658), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5670), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103255] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6660), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5273), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103299] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6662), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5516), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103343] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6664), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5534), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103387] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4529), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5289), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103431] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4417), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5263), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103475] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6666), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6167), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103519] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6668), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5271), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103563] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6670), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5511), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103607] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6672), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5806), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103651] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6674), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5294), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103695] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6480), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5229), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103739] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4425), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5660), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103783] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6676), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5647), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103827] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6678), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5522), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103871] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6680), 1,
      sym__end_of_statement,
    STATE(5073), 1,
      sym__block_label,
    STATE(5528), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103915] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6682), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5535), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [103959] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4537), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5537), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104003] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6684), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104047] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4469), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5553), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104091] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4707), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104133] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6488), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5226), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104177] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6686), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6688), 1,
      anon_sym_RPAREN,
    STATE(4716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104221] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6637), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5342), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104265] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6690), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5700), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104309] = 8,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(6692), 1,
      anon_sym_STAR,
    STATE(2136), 1,
      sym__argument_list,
    STATE(3788), 1,
      sym_argument_list,
    STATE(3789), 1,
      sym_character_length,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5713), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5709), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [104353] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6633), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5223), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104397] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4389), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5267), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104441] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4465), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5264), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104485] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6694), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5329), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104529] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6696), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6171), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104573] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6698), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5536), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104617] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4377), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5350), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104661] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6700), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5908), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104705] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6615), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5447), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104749] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3444), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104791] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6623), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5256), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104835] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6619), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5612), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104879] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4373), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5353), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104923] = 5,
    ACTIONS(6702), 1,
      anon_sym_COMMA,
    ACTIONS(6707), 1,
      anon_sym_COLON_COLON,
    STATE(3404), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6705), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [104961] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6709), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5181), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105005] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6711), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5179), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105049] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4405), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5759), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105093] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6713), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5355), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105137] = 4,
    ACTIONS(6715), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6435), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6439), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105173] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4445), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5532), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105217] = 5,
    ACTIONS(6717), 1,
      anon_sym_COMMA,
    ACTIONS(6722), 1,
      anon_sym_COLON_COLON,
    STATE(3521), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6720), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105255] = 5,
    ACTIONS(6360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6724), 1,
      anon_sym_COMMA,
    STATE(3404), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6358), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105293] = 5,
    ACTIONS(6727), 1,
      anon_sym_COMMA,
    ACTIONS(6732), 1,
      anon_sym_COLON_COLON,
    STATE(3468), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6730), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105331] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6734), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5356), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105375] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6736), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5357), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105419] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6738), 1,
      aux_sym_included_items_token1,
    STATE(4846), 1,
      sym_use_alias,
    STATE(5499), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105463] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6740), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6175), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105507] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6742), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5644), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105551] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6744), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5816), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105595] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4397), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5202), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105639] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6746), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5853), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105683] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6748), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5794), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105727] = 7,
    ACTIONS(6177), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6181), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6183), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3444), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(6179), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105769] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6750), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5702), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105813] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6752), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5746), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105857] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4421), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5770), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105901] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6754), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6085), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105945] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4369), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5176), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [105989] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4437), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5170), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106033] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6756), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6087), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106077] = 12,
    ACTIONS(6763), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(6766), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(6772), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6775), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(6778), 1,
      aux_sym_derived_type_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6761), 2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3423), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(6758), 5,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(6769), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [106129] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6605), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5402), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106173] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6781), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6115), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106217] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4353), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5529), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106261] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6783), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5168), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106305] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6785), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6089), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106349] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4433), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5410), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106393] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6680), 1,
      sym__end_of_statement,
    STATE(5073), 1,
      sym__block_label,
    STATE(5528), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106437] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4473), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5413), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106481] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6787), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5415), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106525] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6789), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5539), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106569] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6791), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106613] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6793), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5416), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106657] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6795), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5913), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106701] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6797), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5207), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106745] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6799), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5272), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106789] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4441), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5668), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106833] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4597), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5916), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106877] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6592), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5988), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106921] = 7,
    ACTIONS(6177), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6181), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6183), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3298), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(6179), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [106963] = 13,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6801), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(6803), 1,
      aux_sym_function_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3423), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 5,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [107017] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6597), 3,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
    ACTIONS(6599), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107051] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4267), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107093] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6502), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5412), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107137] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6805), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5186), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107181] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6807), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5185), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107225] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6809), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5827), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107269] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6811), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5577), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107313] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6813), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5143), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107357] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6815), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6090), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107401] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6817), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5581), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107445] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6819), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5141), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107489] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6821), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5854), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107533] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6823), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107577] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4409), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5371), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107621] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6522), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5462), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107665] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6825), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5830), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107709] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6506), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5433), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107753] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6827), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5878), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107797] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4461), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5180), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107841] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4533), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5586), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107885] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4385), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5591), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107929] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6738), 1,
      aux_sym_included_items_token1,
    STATE(4665), 1,
      sym_use_alias,
    STATE(5499), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [107973] = 14,
    ACTIONS(4073), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(4075), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(4079), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4081), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(4083), 1,
      aux_sym_derived_type_token1,
    ACTIONS(6801), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(6803), 1,
      aux_sym_function_statement_token1,
    ACTIONS(6829), 1,
      aux_sym_module_statement_token1,
    STATE(3627), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3813), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(3423), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(4085), 4,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
    ACTIONS(4077), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [108029] = 5,
    ACTIONS(6831), 1,
      anon_sym_COMMA,
    ACTIONS(6836), 1,
      anon_sym_COLON_COLON,
    STATE(3396), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6834), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108067] = 5,
    ACTIONS(6838), 1,
      anon_sym_COMMA,
    ACTIONS(6843), 1,
      anon_sym_COLON_COLON,
    STATE(3404), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6841), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108105] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6845), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6094), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108149] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6577), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5568), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108193] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4545), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5177), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108237] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6563), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5169), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108281] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4640), 1,
      sym_identifier,
    STATE(5039), 1,
      sym__name,
    STATE(5041), 1,
      sym_module_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108325] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4449), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5107), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108369] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4345), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5470), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108413] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6847), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5614), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108457] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6849), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5120), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108501] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6851), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5594), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108545] = 5,
    ACTIONS(6853), 1,
      anon_sym_COMMA,
    ACTIONS(6856), 1,
      anon_sym_LPAREN2,
    ACTIONS(6860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6858), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108583] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4541), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5473), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108627] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6862), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5872), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108671] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6864), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5083), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108715] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6866), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5475), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108759] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(2516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4983), 2,
      sym__variable_declarator,
      sym_sized_declarator,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108801] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6868), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5476), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108845] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6870), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5477), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108889] = 5,
    ACTIONS(6872), 1,
      anon_sym_COMMA,
    ACTIONS(6877), 1,
      anon_sym_COLON_COLON,
    STATE(3487), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6875), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108927] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4401), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5115), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [108971] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6879), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5876), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109015] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6881), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5101), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109059] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6883), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5100), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109103] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6885), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109147] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4361), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(6027), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109191] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6672), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5806), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109235] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4393), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5095), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109279] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6887), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6100), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109323] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4365), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5092), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109367] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4349), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5307), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109411] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6889), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6025), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109455] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4381), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5910), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109499] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4640), 1,
      sym_identifier,
    STATE(5039), 1,
      sym__name,
    STATE(5687), 1,
      sym_module_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109543] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6891), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6026), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109587] = 9,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6893), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(6895), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5917), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 18,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109633] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(4357), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5909), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109677] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6543), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5084), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109721] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6897), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5942), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109765] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6899), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5959), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109809] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6901), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5461), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109853] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6903), 1,
      anon_sym_COMMA,
    STATE(5296), 1,
      sym_identifier,
    STATE(5399), 1,
      sym_loop_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109897] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6321), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5780), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109941] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6905), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5941), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [109985] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6514), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5383), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110029] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6907), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5575), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110073] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6909), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(6030), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110117] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6911), 1,
      anon_sym_COMMA,
    ACTIONS(6913), 1,
      anon_sym_COLON_COLON,
    STATE(4777), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110161] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6915), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5927), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110205] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6917), 1,
      sym__end_of_statement,
    STATE(5528), 1,
      sym_identifier,
    STATE(5868), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110249] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6533), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5521), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110293] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6537), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5547), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110337] = 8,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6738), 1,
      aux_sym_included_items_token1,
    STATE(4301), 1,
      sym_use_alias,
    STATE(5499), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110381] = 5,
    ACTIONS(6919), 1,
      anon_sym_COMMA,
    ACTIONS(6924), 1,
      anon_sym_COLON_COLON,
    STATE(3404), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6922), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110419] = 8,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6926), 1,
      sym__end_of_statement,
    STATE(4251), 1,
      sym_identifier,
    STATE(5361), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110463] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4339), 1,
      sym_triplet_spec,
    STATE(5411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110504] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4561), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5035), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5038), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110578] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6928), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6930), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110611] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6932), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6934), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110644] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4662), 1,
      sym_keyword_argument,
    STATE(5710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110685] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4869), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4867), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110718] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3456), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110751] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4550), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110792] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4251), 1,
      sym_identifier,
    STATE(5860), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110833] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4279), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110874] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4540), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110915] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4258), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110956] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4538), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [110997] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6938), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111030] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4404), 1,
      sym_triplet_spec,
    STATE(5411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111071] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4918), 1,
      sym_triplet_spec,
    STATE(5411), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111112] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4519), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111153] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3505), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111186] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5103), 1,
      sym_keyword_argument,
    STATE(5710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111227] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5710), 1,
      sym_identifier,
    STATE(6112), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111268] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6557), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6559), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111301] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4489), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111342] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3493), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111375] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4551), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111416] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5053), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5055), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111449] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4557), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111490] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4991), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4993), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111523] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4790), 1,
      sym_keyword_argument,
    STATE(5710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111564] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3497), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111597] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4329), 1,
      sym_parameter_assignment,
    STATE(5387), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4881), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4879), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111671] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5193), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5195), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111704] = 4,
    ACTIONS(6940), 1,
      anon_sym_COMMA,
    ACTIONS(6945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6943), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111739] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6360), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6358), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111772] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6947), 1,
      anon_sym_RPAREN,
    STATE(4796), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111813] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5123), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5125), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111846] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6435), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6439), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111879] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4433), 1,
      sym_association,
    STATE(5423), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111920] = 4,
    ACTIONS(6722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6949), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6720), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111955] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4558), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [111996] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3509), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3507), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112029] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(3501), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112062] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4274), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112103] = 7,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6952), 1,
      anon_sym_COLON_COLON,
    STATE(4168), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112144] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5119), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5121), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112177] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4906), 1,
      sym_use_alias,
    STATE(5499), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112218] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5131), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5133), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112251] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4924), 1,
      sym_parameter_assignment,
    STATE(5387), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112292] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4331), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112333] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4542), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112374] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4437), 1,
      sym_association,
    STATE(5423), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112415] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4640), 1,
      sym_identifier,
    STATE(5849), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112456] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4514), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112497] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4456), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112538] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4797), 1,
      sym_keyword_argument,
    STATE(5710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112579] = 7,
    ACTIONS(6954), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6958), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6960), 1,
      aux_sym_select_case_statement_token1,
    STATE(1113), 1,
      sym__name,
    STATE(1115), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6956), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112620] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4347), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112661] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4142), 1,
      sym__name,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112702] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4741), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112743] = 7,
    ACTIONS(5159), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5163), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5165), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6962), 1,
      anon_sym_LPAREN2,
    STATE(3840), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5161), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112784] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4344), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112825] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5029), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112858] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4007), 1,
      sym__name,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112899] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6964), 1,
      anon_sym_SLASH,
    STATE(5011), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112940] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4246), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [112981] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4816), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113022] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5049), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5051), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113055] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4640), 1,
      sym_identifier,
    STATE(5376), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113096] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5021), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113129] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4251), 1,
      sym_identifier,
    STATE(6032), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113170] = 7,
    ACTIONS(6966), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6970), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6972), 1,
      aux_sym_select_case_statement_token1,
    STATE(1394), 1,
      sym_identifier,
    STATE(1472), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6968), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113211] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6974), 1,
      anon_sym_RPAREN,
    STATE(5347), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113252] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6976), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6978), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113285] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4880), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113326] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6980), 1,
      anon_sym_SLASH,
    STATE(4497), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113367] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4912), 1,
      sym_association,
    STATE(5423), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113408] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4742), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113449] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4873), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4871), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113482] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4428), 1,
      sym_concurrent_control,
    STATE(5531), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113523] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4554), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113564] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4885), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113597] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5205), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5207), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113630] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5209), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5211), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113663] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4895), 1,
      sym_concurrent_control,
    STATE(5531), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113704] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4253), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113745] = 7,
    ACTIONS(5103), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5107), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5109), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6982), 1,
      anon_sym_LPAREN2,
    STATE(3838), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5105), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113786] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5201), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5203), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113819] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4270), 1,
      sym__type_name,
    STATE(4957), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113860] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5127), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5129), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113893] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4730), 1,
      sym_method_name,
    STATE(4911), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113934] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5177), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5179), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [113967] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4942), 1,
      sym_keyword_argument,
    STATE(5710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114008] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5149), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5151), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114041] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4175), 1,
      sym__name,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114082] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5296), 1,
      sym_identifier,
    STATE(5533), 1,
      sym_loop_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114123] = 7,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(3993), 1,
      sym__name,
    STATE(4251), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114164] = 7,
    ACTIONS(6966), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6970), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6972), 1,
      aux_sym_select_case_statement_token1,
    STATE(1365), 1,
      sym__name,
    STATE(1394), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6968), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114205] = 7,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(6984), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(4908), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114246] = 6,
    ACTIONS(6986), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6990), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6992), 1,
      aux_sym_select_case_statement_token1,
    STATE(560), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6988), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114284] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4704), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114322] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(3194), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114360] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(110), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114398] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4565), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114436] = 7,
    ACTIONS(4893), 1,
      anon_sym_LPAREN2,
    ACTIONS(4955), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7002), 1,
      anon_sym_STAR,
    STATE(3851), 1,
      sym_kind,
    STATE(3853), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4949), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [114476] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4231), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114514] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4289), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114552] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4292), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114590] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(3077), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114628] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4255), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114666] = 6,
    ACTIONS(7012), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7016), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7018), 1,
      aux_sym_select_case_statement_token1,
    STATE(18), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7014), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114704] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(6151), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114742] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(91), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114780] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4222), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114818] = 6,
    ACTIONS(7012), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7016), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7018), 1,
      aux_sym_select_case_statement_token1,
    STATE(5), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7014), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114856] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4294), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [114894] = 4,
    ACTIONS(7024), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7020), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7022), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [114928] = 4,
    ACTIONS(7030), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7026), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7028), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [114962] = 6,
    ACTIONS(6986), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6990), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6992), 1,
      aux_sym_select_case_statement_token1,
    STATE(559), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6988), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115000] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4239), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115038] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4232), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115076] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4249), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115114] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(84), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115152] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4252), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115190] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4276), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115228] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(69), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115266] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5758), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115304] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1940), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115342] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(3196), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115380] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4250), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115418] = 3,
    ACTIONS(7034), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7032), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115450] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(2779), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115488] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4776), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115526] = 6,
    ACTIONS(7036), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7040), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7042), 1,
      aux_sym_select_case_statement_token1,
    STATE(221), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7038), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115564] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4287), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115602] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(4950), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115640] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(5009), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115678] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5726), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115716] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5479), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115754] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4241), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115792] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1871), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115830] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4245), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115868] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5216), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115906] = 4,
    ACTIONS(7048), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7044), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7046), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [115940] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(4173), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [115978] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(50), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116016] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(2730), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116054] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4288), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116092] = 6,
    ACTIONS(6986), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6990), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6992), 1,
      aux_sym_select_case_statement_token1,
    STATE(558), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6988), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116130] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(126), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116168] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4233), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116206] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5375), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116244] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4228), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116282] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4277), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116320] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4905), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116358] = 4,
    ACTIONS(7054), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7050), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7052), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [116392] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(51), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116430] = 6,
    ACTIONS(7036), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7040), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7042), 1,
      aux_sym_select_case_statement_token1,
    STATE(219), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7038), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116468] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1849), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116506] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1873), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116544] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5065), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116582] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4801), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116620] = 4,
    ACTIONS(7060), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7056), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7058), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [116654] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4281), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116692] = 6,
    ACTIONS(7036), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7040), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7042), 1,
      aux_sym_select_case_statement_token1,
    STATE(218), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7038), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116730] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4272), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116768] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4262), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116806] = 4,
    ACTIONS(7066), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7062), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7064), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [116840] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5158), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116878] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4237), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116916] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1919), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116954] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4248), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [116992] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4268), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117030] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4283), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117068] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4260), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117106] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4238), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117144] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4278), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117182] = 4,
    ACTIONS(7072), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7068), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7070), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [117216] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5505), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117254] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1853), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117292] = 6,
    ACTIONS(7012), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7016), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7018), 1,
      aux_sym_select_case_statement_token1,
    STATE(3), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7014), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117330] = 4,
    ACTIONS(7078), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7074), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7076), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [117364] = 6,
    ACTIONS(7012), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7016), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7018), 1,
      aux_sym_select_case_statement_token1,
    STATE(4), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7014), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117402] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(2114), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117440] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(4195), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117478] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1855), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117516] = 6,
    ACTIONS(7012), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7016), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7018), 1,
      aux_sym_select_case_statement_token1,
    STATE(2), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7014), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117554] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4259), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117592] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4227), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117630] = 12,
    ACTIONS(7082), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7084), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(7087), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7093), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7096), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(7099), 1,
      aux_sym_derived_type_token1,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    ACTIONS(7080), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(7090), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [117680] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5584), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117718] = 3,
    ACTIONS(7104), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7102), 22,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117750] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4223), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117788] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1929), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117826] = 4,
    ACTIONS(7110), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7106), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7108), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [117860] = 6,
    ACTIONS(4163), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4167), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4169), 1,
      aux_sym_select_case_statement_token1,
    STATE(1972), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4165), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117898] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4322), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117936] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5766), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [117974] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(49), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118012] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4235), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118050] = 6,
    ACTIONS(3440), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3444), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(3446), 1,
      aux_sym_select_case_statement_token1,
    STATE(4311), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3442), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118088] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4293), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118126] = 4,
    ACTIONS(7116), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7112), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7114), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118160] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(2803), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118198] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(2114), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118236] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4219), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118274] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4291), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118312] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4282), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118350] = 4,
    ACTIONS(7122), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7118), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7120), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118384] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4242), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118422] = 6,
    ACTIONS(615), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1262), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2673), 1,
      aux_sym_select_case_statement_token1,
    STATE(5727), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(115), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118460] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4263), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118498] = 6,
    ACTIONS(7004), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7008), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7010), 1,
      aux_sym_select_case_statement_token1,
    STATE(4225), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7006), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118536] = 6,
    ACTIONS(7036), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7040), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7042), 1,
      aux_sym_select_case_statement_token1,
    STATE(220), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7038), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118574] = 4,
    ACTIONS(7128), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7124), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7126), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118608] = 6,
    ACTIONS(6994), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6998), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7000), 1,
      aux_sym_select_case_statement_token1,
    STATE(48), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6996), 19,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_identifier_token1,
  [118646] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7130), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7132), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118677] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7134), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7136), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118708] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7138), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7140), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118739] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7142), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7144), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118770] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7146), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7148), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118801] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5593), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5598), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118832] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7026), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7028), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118863] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7150), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7152), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118894] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7154), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7156), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118925] = 5,
    ACTIONS(7158), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      aux_sym_kind_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6060), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6056), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [118960] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7162), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7164), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [118991] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7166), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7168), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119022] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7170), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7172), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119053] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7068), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7070), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119084] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7174), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7176), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119115] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7178), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7180), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119146] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7182), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7184), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119177] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7186), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7188), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119208] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7190), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7192), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119239] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7118), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7120), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119270] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7056), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7058), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119301] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7194), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7196), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119332] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7198), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7200), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119363] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7202), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7204), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119394] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7206), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7208), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119425] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7210), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7212), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119456] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7214), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7216), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119487] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7218), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7220), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119518] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7222), 3,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7224), 19,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_include_statement_token1,
  [119549] = 3,
    ACTIONS(4967), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4965), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [119579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      anon_sym_LF,
    ACTIONS(7228), 1,
      anon_sym_LPAREN2,
    STATE(3830), 1,
      sym_preproc_argument_list,
    ACTIONS(7230), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [119613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_LPAREN2,
    STATE(3866), 1,
      sym_preproc_argument_list,
    ACTIONS(7230), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7226), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [119647] = 3,
    ACTIONS(4963), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4961), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [119677] = 3,
    ACTIONS(3709), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3701), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [119707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 1,
      anon_sym_LF,
    ACTIONS(7234), 1,
      anon_sym__,
    STATE(3857), 1,
      sym__kind,
    ACTIONS(3460), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [119741] = 3,
    ACTIONS(4959), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4957), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [119771] = 7,
    ACTIONS(7236), 1,
      anon_sym_COMMA,
    ACTIONS(7242), 1,
      anon_sym_EQ,
    ACTIONS(7244), 1,
      anon_sym_EQ_GT,
    STATE(3876), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7240), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7238), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [119809] = 4,
    ACTIONS(7246), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6239), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6235), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [119841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7248), 1,
      anon_sym__,
    STATE(3803), 1,
      sym__kind,
    ACTIONS(3460), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3462), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [119875] = 5,
    ACTIONS(7242), 1,
      anon_sym_EQ,
    ACTIONS(7244), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7252), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7250), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [119908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2391), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [119937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2387), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [119966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7254), 1,
      anon_sym_COMMA,
    ACTIONS(7256), 1,
      anon_sym_RPAREN,
    ACTIONS(7262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    STATE(4352), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [120021] = 12,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7282), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7284), 1,
      sym_preproc_comment,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3891), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [120068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_LF,
    ACTIONS(2351), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120097] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6364), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6362), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [120126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_LF,
    ACTIONS(2301), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120155] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6433), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6431), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [120184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2353), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120213] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6394), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6392), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [120242] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6406), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6404), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [120271] = 4,
    ACTIONS(5137), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7288), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7286), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_LF,
    ACTIONS(2389), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_LF,
    ACTIONS(2385), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120360] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7254), 1,
      anon_sym_COMMA,
    ACTIONS(7262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7290), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [120415] = 4,
    ACTIONS(5137), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7292), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7286), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120446] = 4,
    ACTIONS(5137), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7294), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7286), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7254), 1,
      anon_sym_COMMA,
    ACTIONS(7262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7296), 1,
      anon_sym_RPAREN,
    STATE(4733), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [120532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2303), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120561] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7298), 1,
      anon_sym_LF,
    ACTIONS(7300), 1,
      sym_preproc_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [120609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7324), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7322), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120637] = 3,
    ACTIONS(5207), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5205), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120665] = 3,
    ACTIONS(5133), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5131), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7326), 1,
      anon_sym_LF,
    ACTIONS(7328), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4595), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4593), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7332), 1,
      anon_sym_PIPE,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7330), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [120795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7330), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 1,
      anon_sym_LF,
    ACTIONS(3965), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [120855] = 3,
    ACTIONS(5125), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5123), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7332), 1,
      anon_sym_PIPE,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7330), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [120927] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7332), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7330), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [120969] = 3,
    ACTIONS(5121), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5119), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [120997] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7334), 1,
      anon_sym_LF,
    ACTIONS(7336), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121045] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7338), 1,
      anon_sym_LF,
    ACTIONS(7340), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121093] = 3,
    ACTIONS(4945), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7342), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [121121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_LF,
    ACTIONS(4553), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121149] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7330), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [121197] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7330), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [121243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
    ACTIONS(7330), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
  [121281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      anon_sym_LF,
    ACTIONS(7346), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121309] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7348), 1,
      anon_sym_LF,
    ACTIONS(7350), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7330), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7330), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 14,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 12,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121481] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_LF,
    ACTIONS(7354), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7358), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7356), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121557] = 3,
    ACTIONS(5211), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5209), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [121585] = 3,
    ACTIONS(5203), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5201), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [121613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7332), 6,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [121651] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7360), 1,
      anon_sym_LF,
    ACTIONS(7362), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7364), 1,
      anon_sym_LF,
    ACTIONS(7366), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3975), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [121755] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7368), 1,
      anon_sym_LF,
    ACTIONS(7370), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121803] = 3,
    ACTIONS(5129), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5127), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [121831] = 3,
    ACTIONS(5179), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5177), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [121859] = 3,
    ACTIONS(5195), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5193), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [121887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7332), 5,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
  [121927] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7372), 1,
      anon_sym_LF,
    ACTIONS(7374), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [121975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7376), 1,
      anon_sym_LF,
    ACTIONS(7378), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7328), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7326), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7378), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7376), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122059] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7380), 1,
      anon_sym_LF,
    ACTIONS(7382), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122107] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7384), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [122157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7386), 1,
      anon_sym_LF,
    ACTIONS(7388), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122185] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7390), 1,
      anon_sym_LF,
    ACTIONS(7392), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122233] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7394), 1,
      anon_sym_LF,
    ACTIONS(7396), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122281] = 3,
    ACTIONS(5151), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5149), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [122309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7330), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [122343] = 5,
    ACTIONS(7236), 1,
      anon_sym_COMMA,
    STATE(3872), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7400), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7398), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [122375] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_LF,
    ACTIONS(7404), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122423] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7406), 1,
      anon_sym_LF,
    ACTIONS(7408), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122471] = 3,
    ACTIONS(5055), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5053), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [122499] = 3,
    ACTIONS(3949), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7410), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [122527] = 3,
    ACTIONS(4993), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4991), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [122555] = 5,
    ACTIONS(7236), 1,
      anon_sym_COMMA,
    STATE(3867), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7400), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7398), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [122587] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7412), 1,
      anon_sym_LF,
    ACTIONS(7414), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122635] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7416), 1,
      anon_sym_LF,
    ACTIONS(7418), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4593), 1,
      anon_sym_LF,
    ACTIONS(4595), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_LF,
    ACTIONS(7422), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7388), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7386), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122767] = 11,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7424), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [122811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4553), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4551), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [122839] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_LF,
    ACTIONS(7428), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122887] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7430), 1,
      anon_sym_LF,
    ACTIONS(7432), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7434), 1,
      anon_sym_LF,
    ACTIONS(7436), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [122983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LF,
    ACTIONS(3973), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7366), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7364), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123039] = 5,
    ACTIONS(7236), 1,
      anon_sym_COMMA,
    STATE(3885), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7440), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7438), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [123071] = 3,
    ACTIONS(5021), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5019), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [123099] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7442), 1,
      anon_sym_LF,
    ACTIONS(7444), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123147] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7446), 1,
      anon_sym_LF,
    ACTIONS(7448), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123195] = 3,
    ACTIONS(5051), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5049), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [123223] = 5,
    ACTIONS(7236), 1,
      anon_sym_COMMA,
    STATE(3885), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7440), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7438), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [123255] = 3,
    ACTIONS(5029), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5027), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [123283] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7450), 1,
      anon_sym_LF,
    ACTIONS(7452), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7356), 1,
      anon_sym_LF,
    ACTIONS(7358), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123359] = 5,
    ACTIONS(7236), 1,
      anon_sym_COMMA,
    STATE(3885), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7456), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7454), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [123391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3967), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7332), 8,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [123455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 16,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123485] = 3,
    ACTIONS(7460), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7458), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [123513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7462), 1,
      anon_sym_LF,
    ACTIONS(7464), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7332), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123589] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym_LF,
    ACTIONS(7468), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123637] = 11,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7470), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3860), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [123681] = 5,
    ACTIONS(7472), 1,
      anon_sym_COMMA,
    STATE(3885), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7477), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7475), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [123713] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7332), 2,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7332), 3,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [123803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7346), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7344), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_LF,
    ACTIONS(7324), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123859] = 3,
    ACTIONS(5038), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5035), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [123887] = 11,
    ACTIONS(5247), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(5251), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(5263), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5265), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(5267), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7470), 1,
      aux_sym_preproc_if_token2,
    STATE(2859), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3712), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(2642), 3,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
    ACTIONS(5261), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [123931] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7330), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7332), 4,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
  [123973] = 3,
    ACTIONS(5137), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7286), 18,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
  [124001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7479), 1,
      anon_sym_LF,
    ACTIONS(7481), 1,
      sym_preproc_comment,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7420), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [124077] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7483), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124122] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7485), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124167] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124212] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7489), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124257] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7491), 1,
      anon_sym_RPAREN,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [124306] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7493), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124351] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7495), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124396] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7497), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124441] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7499), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124486] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7501), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124531] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124576] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7505), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124621] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124666] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7509), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124711] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7511), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124756] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7513), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124801] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7266), 1,
      anon_sym_PIPE,
    ACTIONS(7268), 1,
      anon_sym_CARET,
    ACTIONS(7270), 1,
      anon_sym_AMP,
    ACTIONS(7272), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7274), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7515), 1,
      anon_sym_RPAREN,
    ACTIONS(7258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7276), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7278), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7280), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7260), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [124850] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7519), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7517), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [124877] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7519), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7517), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [124904] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7308), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7310), 1,
      anon_sym_PIPE,
    ACTIONS(7312), 1,
      anon_sym_CARET,
    ACTIONS(7314), 1,
      anon_sym_AMP,
    ACTIONS(7521), 1,
      anon_sym_LF,
    ACTIONS(7302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7316), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7320), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7304), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7318), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [124949] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7525), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7523), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [124975] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7529), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7527), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [125001] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7533), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7531), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [125027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7537), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7535), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [125053] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7541), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7539), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [125079] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7545), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7543), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
  [125105] = 11,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(5255), 1,
      aux_sym_public_statement_token1,
    ACTIONS(7547), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7553), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    STATE(3927), 1,
      sym_public_statement,
    STATE(3974), 1,
      sym_private_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3977), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [125145] = 13,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    STATE(4820), 1,
      sym_statement_label,
    STATE(5930), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3933), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125187] = 13,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    STATE(4808), 1,
      sym_statement_label,
    STATE(5828), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3933), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125229] = 13,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    STATE(4676), 1,
      sym_statement_label,
    STATE(6117), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3933), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125271] = 13,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    STATE(4563), 1,
      sym_statement_label,
    STATE(6076), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3933), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125313] = 9,
    ACTIONS(5253), 1,
      aux_sym_private_statement_token1,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7569), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7571), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    STATE(3950), 1,
      sym_private_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3947), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [125347] = 7,
    ACTIONS(7573), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(7577), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7579), 1,
      aux_sym__intrinsic_type_token8,
    STATE(4275), 1,
      sym__intrinsic_type,
    STATE(5735), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7575), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [125376] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7581), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5960), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(6037), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125404] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7587), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5972), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(6107), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125432] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7589), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5730), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5944), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125460] = 9,
    ACTIONS(7591), 1,
      anon_sym_COMMA,
    ACTIONS(7593), 1,
      anon_sym_RPAREN,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      sym_edit_descriptor,
    ACTIONS(7599), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(7601), 1,
      sym__string_literal,
    ACTIONS(7603), 1,
      sym__string_literal_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3944), 4,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [125492] = 10,
    ACTIONS(7605), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7607), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7610), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7615), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7618), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7621), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7613), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(3933), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125526] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7624), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5118), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5610), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125554] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7626), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5634), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(5810), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [125582] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5855), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125614] = 12,
    ACTIONS(5821), 1,
      aux_sym_select_case_statement_token3,
    ACTIONS(7638), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(7640), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(7642), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(7644), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(7646), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7648), 1,
      aux_sym_select_type_statement_token1,
    ACTIONS(7650), 1,
      aux_sym_select_rank_statement_token2,
    ACTIONS(7652), 1,
      aux_sym_block_construct_token1,
    ACTIONS(7654), 1,
      aux_sym_associate_statement_token1,
    STATE(5312), 1,
      sym__forall_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [125652] = 7,
    ACTIONS(7656), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7658), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7664), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3938), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7661), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [125680] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7666), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5075), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5764), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125708] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7668), 1,
      aux_sym_preproc_if_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5879), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125740] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7670), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6010), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(6096), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125768] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7672), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5210), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6005), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [125796] = 9,
    ACTIONS(7591), 1,
      anon_sym_COMMA,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7599), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(7601), 1,
      sym__string_literal,
    ACTIONS(7603), 1,
      sym__string_literal_kind,
    ACTIONS(7674), 1,
      anon_sym_RPAREN,
    ACTIONS(7676), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3932), 4,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [125828] = 9,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    ACTIONS(7681), 1,
      anon_sym_RPAREN,
    ACTIONS(7683), 1,
      anon_sym_LPAREN2,
    ACTIONS(7686), 1,
      sym_edit_descriptor,
    ACTIONS(7689), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(7692), 1,
      sym__string_literal,
    ACTIONS(7695), 1,
      sym__string_literal_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3944), 4,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [125860] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7698), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5094), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5674), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125888] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7700), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5165), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6141), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [125916] = 7,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7702), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7704), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3938), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [125944] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7581), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6037), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [125976] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7668), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5879), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126008] = 7,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7702), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7704), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3971), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [126036] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7587), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6107), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126068] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7706), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5078), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5716), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126096] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7708), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5487), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126128] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7710), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5079), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5708), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126156] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7712), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5163), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6131), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126184] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7714), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6110), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126216] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7716), 1,
      aux_sym_preproc_if_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126248] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7718), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5654), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126280] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7720), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5887), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126312] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7720), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5887), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6067), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126340] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7722), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5975), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(6108), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126368] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7724), 1,
      aux_sym_preproc_if_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6101), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126400] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7726), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5791), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(5802), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126428] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7714), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5976), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(6110), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126456] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7728), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5798), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(5799), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126484] = 6,
    ACTIONS(7577), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7579), 1,
      aux_sym__intrinsic_type_token8,
    STATE(4275), 1,
      sym__intrinsic_type,
    STATE(6119), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7575), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [126510] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7730), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5775), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5902), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126538] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7732), 1,
      aux_sym_preproc_if_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126570] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7734), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5133), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6061), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126598] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7724), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6009), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(6101), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126626] = 7,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7736), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7738), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3938), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [126654] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7670), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6096), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126686] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7740), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5138), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6070), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126714] = 7,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7569), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7571), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3947), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [126742] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7742), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5891), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(5904), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126770] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7724), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6101), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126802] = 7,
    ACTIONS(7549), 1,
      aux_sym_module_statement_token1,
    ACTIONS(7569), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7571), 1,
      aux_sym_end_type_statement_token1,
    STATE(2396), 1,
      sym__procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3938), 2,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
    ACTIONS(7551), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [126830] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7744), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5106), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(6013), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [126858] = 7,
    ACTIONS(607), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7583), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7746), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7585), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5091), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(5694), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126886] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7722), 1,
      aux_sym_preproc_if_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6108), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126918] = 9,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(7732), 1,
      aux_sym_preproc_if_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [126950] = 10,
    ACTIONS(1882), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7752), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4215), 1,
      sym_else_clause,
    STATE(4861), 1,
      sym_statement_label,
    STATE(6178), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4127), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [126983] = 8,
    ACTIONS(7756), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7760), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(7762), 1,
      aux_sym_base_type_specifier_token1,
    STATE(5025), 1,
      sym_base_type_specifier,
    STATE(5026), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7758), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(4627), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [127012] = 10,
    ACTIONS(1882), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7752), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4214), 1,
      sym_else_clause,
    STATE(4827), 1,
      sym_statement_label,
    STATE(5921), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4127), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [127045] = 10,
    ACTIONS(1882), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7752), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4209), 1,
      sym_else_clause,
    STATE(4371), 1,
      sym_statement_label,
    STATE(6029), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4127), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [127078] = 8,
    ACTIONS(7756), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7760), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(7762), 1,
      aux_sym_base_type_specifier_token1,
    STATE(5025), 1,
      sym_base_type_specifier,
    STATE(5026), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7758), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(4737), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [127107] = 3,
    ACTIONS(7764), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7766), 9,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [127126] = 8,
    ACTIONS(7756), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7760), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(7762), 1,
      aux_sym_base_type_specifier_token1,
    STATE(5025), 1,
      sym_base_type_specifier,
    STATE(5026), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7758), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(4932), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [127155] = 10,
    ACTIONS(1882), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7752), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4178), 1,
      sym_else_clause,
    STATE(4611), 1,
      sym_statement_label,
    STATE(6099), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4127), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [127188] = 3,
    ACTIONS(7770), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7768), 9,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token2,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
  [127207] = 4,
    ACTIONS(7774), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3304), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7772), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127227] = 8,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7599), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(7601), 1,
      sym__string_literal,
    ACTIONS(7603), 1,
      sym__string_literal_kind,
    ACTIONS(7776), 1,
      sym_edit_descriptor,
    STATE(5561), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3943), 3,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
  [127255] = 7,
    ACTIONS(7778), 1,
      anon_sym_LPAREN2,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(7784), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4138), 2,
      sym__parameters,
      sym_parameters,
    STATE(4136), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [127281] = 4,
    ACTIONS(7774), 1,
      aux_sym_procedure_attribute_token2,
    STATE(2376), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7772), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127301] = 4,
    ACTIONS(7788), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3405), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7786), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127321] = 4,
    ACTIONS(7774), 1,
      aux_sym_procedure_attribute_token2,
    STATE(2383), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7772), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127341] = 6,
    ACTIONS(5717), 1,
      anon_sym_DOT,
    STATE(1907), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4194), 2,
      sym_unary_expression,
      sym_number_literal,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
  [127365] = 6,
    ACTIONS(5717), 1,
      anon_sym_DOT,
    STATE(1907), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4179), 2,
      sym_unary_expression,
      sym_number_literal,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
  [127389] = 4,
    ACTIONS(7788), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3467), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7786), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127409] = 4,
    ACTIONS(7788), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3557), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7786), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127429] = 8,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7599), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(7601), 1,
      sym__string_literal,
    ACTIONS(7603), 1,
      sym__string_literal_kind,
    ACTIONS(7776), 1,
      sym_edit_descriptor,
    STATE(5427), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3943), 3,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
  [127457] = 4,
    ACTIONS(7774), 1,
      aux_sym_procedure_attribute_token2,
    STATE(2374), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7772), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127477] = 6,
    ACTIONS(5717), 1,
      anon_sym_DOT,
    STATE(1907), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4218), 2,
      sym_unary_expression,
      sym_number_literal,
    ACTIONS(3699), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
  [127501] = 4,
    ACTIONS(7788), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3403), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7786), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127521] = 4,
    ACTIONS(7794), 1,
      aux_sym_procedure_attributes_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7792), 3,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
    ACTIONS(7796), 5,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [127541] = 4,
    ACTIONS(7774), 1,
      aux_sym_procedure_attribute_token2,
    STATE(2392), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7772), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [127561] = 7,
    ACTIONS(7778), 1,
      anon_sym_LPAREN2,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(7798), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4162), 2,
      sym__parameters,
      sym_parameters,
    STATE(4161), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [127587] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7800), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5210), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [127610] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6005), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [127633] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7720), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5887), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [127656] = 8,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3926), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [127683] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5118), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [127706] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7810), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5163), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [127729] = 3,
    ACTIONS(6461), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6463), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [127746] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7722), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6108), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [127769] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7812), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5982), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [127792] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7818), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5772), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [127815] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7820), 1,
      aux_sym_select_case_statement_token2,
    STATE(4823), 1,
      sym_statement_label,
    STATE(5824), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4146), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [127842] = 8,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3924), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [127869] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7822), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5775), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [127892] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7824), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5152), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [127915] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7718), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5654), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [127938] = 3,
    ACTIONS(6465), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6467), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [127955] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7826), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6013), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [127978] = 3,
    ACTIONS(6469), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6471), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [127995] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6010), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128018] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5764), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128041] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6141), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128064] = 3,
    ACTIONS(6457), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6459), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [128081] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7834), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5904), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128104] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    STATE(4824), 1,
      sym_statement_label,
    STATE(5829), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4147), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [128131] = 3,
    ACTIONS(6490), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6492), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [128148] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7838), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6009), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128171] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7708), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5487), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128194] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7724), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6101), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128217] = 3,
    ACTIONS(6494), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6496), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [128234] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5138), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128257] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7842), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5979), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128280] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7668), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5879), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128303] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7714), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6110), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128326] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7844), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5756), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128349] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7846), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6061), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128372] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5634), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128395] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7850), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5133), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128418] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7852), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5128), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128441] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7854), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5124), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128464] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7856), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6147), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128487] = 3,
    ACTIONS(6427), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6429), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [128504] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7858), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5610), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128527] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7860), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6149), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128550] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7862), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6106), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128573] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7864), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5799), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128596] = 7,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7599), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(7601), 1,
      sym__string_literal,
    ACTIONS(7603), 1,
      sym__string_literal_kind,
    ACTIONS(7866), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4131), 3,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
  [128621] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7868), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6070), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128644] = 3,
    ACTIONS(6508), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6510), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [128661] = 3,
    ACTIONS(6516), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6518), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [128678] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7870), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6156), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128701] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7872), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5716), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128724] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7874), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5971), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128747] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7876), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5106), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128770] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7878), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5708), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128793] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5810), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128816] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7882), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5976), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128839] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7884), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5105), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128862] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7886), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5102), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [128885] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7888), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6111), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [128908] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7890), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5975), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128931] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7892), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5972), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128954] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7894), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5802), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [128977] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7896), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5097), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [129000] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5796), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129023] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7900), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6131), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129046] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7587), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6107), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129069] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7902), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5742), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129092] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7904), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5960), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129115] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7716), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129138] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7820), 1,
      aux_sym_select_case_statement_token2,
    STATE(4800), 1,
      sym_statement_label,
    STATE(5936), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4146), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [129165] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7906), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5367), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129188] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    STATE(4782), 1,
      sym_statement_label,
    STATE(5939), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4147), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [129215] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7908), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6067), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129238] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5080), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [129261] = 3,
    ACTIONS(6482), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6484), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129278] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7912), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5730), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129301] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5094), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129324] = 3,
    ACTIONS(6400), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6402), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129341] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5855), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129364] = 3,
    ACTIONS(6396), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6398), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129381] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7916), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5091), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129404] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7918), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5694), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129427] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7920), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5791), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129450] = 8,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3923), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [129477] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7922), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5798), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129500] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7732), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5671), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129523] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5840), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [129546] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7926), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6073), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [129569] = 3,
    ACTIONS(6445), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6447), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129586] = 3,
    ACTIONS(6449), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6451), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129603] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7928), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6075), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [129626] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7930), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5989), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129649] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7932), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6078), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [129672] = 8,
    ACTIONS(7557), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(7559), 1,
      aux_sym_derived_type_token1,
    ACTIONS(7563), 1,
      aux_sym_type_statement_token2,
    ACTIONS(7565), 1,
      aux_sym_type_statement_token3,
    ACTIONS(7567), 1,
      aux_sym__class_default_token1,
    STATE(3449), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(3925), 2,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [129699] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7820), 1,
      aux_sym_select_case_statement_token2,
    STATE(4615), 1,
      sym_statement_label,
    STATE(6116), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4146), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [129726] = 3,
    ACTIONS(6333), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6335), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129743] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7934), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6033), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129766] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7936), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5165), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129789] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5079), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129812] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6036), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129835] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    STATE(4669), 1,
      sym_statement_label,
    STATE(6054), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4147), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [129862] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7942), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5078), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129885] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7944), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5944), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129908] = 3,
    ACTIONS(6453), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6455), 7,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__procedure_kind_token1,
      aux_sym__procedure_kind_token2,
      aux_sym__procedure_kind_token3,
      aux_sym__procedure_kind_token4,
  [129925] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7946), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5902), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129948] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7581), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6037), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [129971] = 6,
    ACTIONS(1286), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7804), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7948), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7806), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5075), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [129994] = 8,
    ACTIONS(2675), 1,
      sym__integer_literal,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    STATE(4570), 1,
      sym_statement_label,
    STATE(6081), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4147), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [130021] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7950), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5891), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [130044] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7670), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6096), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [130067] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7952), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6018), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [130090] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7954), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6020), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [130113] = 6,
    ACTIONS(729), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7630), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7956), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7632), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5674), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [130136] = 6,
    ACTIONS(2657), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(7814), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(7958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7816), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6021), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [130159] = 7,
    ACTIONS(1752), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7960), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7962), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(7964), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(5928), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4141), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [130183] = 3,
    ACTIONS(3965), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3967), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [130199] = 6,
    ACTIONS(7968), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(7970), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(7972), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7966), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(4133), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [130221] = 7,
    ACTIONS(1752), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7960), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7962), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(7964), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(5818), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4141), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [130245] = 7,
    ACTIONS(1752), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7960), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7962), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(7964), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(6118), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4141), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [130269] = 6,
    ACTIONS(7974), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7978), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(7981), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7976), 2,
      sym__integer_literal,
      aux_sym_end_if_statement_token1,
    STATE(4127), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [130291] = 3,
    ACTIONS(3973), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3975), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [130307] = 3,
    ACTIONS(7986), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7984), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [130323] = 3,
    ACTIONS(7990), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7988), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [130339] = 3,
    ACTIONS(7992), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7681), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [130355] = 6,
    ACTIONS(7968), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(7970), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(7994), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7966), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(4124), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [130377] = 6,
    ACTIONS(7999), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(8002), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(8005), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7996), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(4133), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [130399] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5300), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4155), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130420] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5321), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4160), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130441] = 5,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(8013), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4139), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130460] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5550), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130481] = 5,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(8015), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4156), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130500] = 5,
    ACTIONS(8017), 1,
      aux_sym_language_binding_token1,
    ACTIONS(8020), 1,
      aux_sym_function_result_token1,
    ACTIONS(8023), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4139), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130519] = 5,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(8025), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4139), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130538] = 6,
    ACTIONS(8027), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8029), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(8032), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(8034), 1,
      aux_sym_elsewhere_clause_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4141), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [130559] = 6,
    ACTIONS(7778), 1,
      anon_sym_LPAREN2,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(8037), 1,
      sym__end_of_statement,
    STATE(5346), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4454), 2,
      sym__parameters,
      sym_parameters,
  [130580] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    STATE(2198), 1,
      sym__argument_list,
    STATE(2224), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4949), 2,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [130601] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5250), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4152), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130622] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5086), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130643] = 5,
    ACTIONS(8041), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8043), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8046), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(4146), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [130662] = 5,
    ACTIONS(8048), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8050), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8053), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(4147), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [130681] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5247), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4145), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130702] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5684), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4159), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130723] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5148), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4151), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130744] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5171), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130765] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5221), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130786] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6133), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4163), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130807] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5235), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4157), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130828] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5436), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130849] = 5,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(8055), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4139), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130868] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5258), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130889] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7796), 6,
      aux_sym_procedure_attributes_token3,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [130902] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5606), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130923] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5344), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [130944] = 5,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(8057), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4139), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130963] = 5,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(7782), 1,
      aux_sym_function_result_token1,
    ACTIONS(8059), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4140), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [130982] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5964), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131003] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5381), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4165), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131024] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5404), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131045] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5441), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4167), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131066] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5464), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131087] = 6,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8063), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8065), 1,
      anon_sym_EQ,
    STATE(4176), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8067), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131108] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5351), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4137), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131129] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5523), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131150] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5501), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4170), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131171] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5558), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4174), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131192] = 6,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8069), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8071), 1,
      anon_sym_EQ,
    STATE(4197), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8073), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131213] = 6,
    ACTIONS(8007), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8009), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8011), 1,
      aux_sym_end_enum_statement_token1,
    STATE(5570), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131234] = 6,
    ACTIONS(7778), 1,
      anon_sym_LPAREN2,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(8075), 1,
      sym__end_of_statement,
    STATE(5592), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4850), 2,
      sym__parameters,
      sym_parameters,
  [131255] = 5,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8069), 1,
      aux_sym_end_program_statement_token1,
    STATE(4192), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8073), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131273] = 5,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8077), 1,
      aux_sym_end_program_statement_token1,
    STATE(4192), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8079), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131291] = 6,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4371), 1,
      sym_statement_label,
    STATE(6029), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131311] = 5,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8077), 1,
      aux_sym_end_program_statement_token1,
    STATE(4198), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8079), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131329] = 4,
    ACTIONS(2353), 1,
      anon_sym_EQ,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3701), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
  [131345] = 3,
    ACTIONS(8083), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8081), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131359] = 3,
    ACTIONS(8087), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8085), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131373] = 3,
    ACTIONS(8091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8089), 4,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131387] = 5,
    ACTIONS(8093), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8095), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(8098), 1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4184), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [131405] = 3,
    ACTIONS(8102), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8100), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131419] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8104), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5620), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131439] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8106), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5628), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131459] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8108), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5525), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131479] = 3,
    ACTIONS(8112), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8110), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131493] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8114), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5636), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131513] = 3,
    ACTIONS(8118), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8116), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131527] = 5,
    ACTIONS(8120), 1,
      anon_sym_COMMA,
    ACTIONS(8123), 1,
      aux_sym_end_program_statement_token1,
    STATE(4192), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8125), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131545] = 3,
    ACTIONS(8129), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8127), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131559] = 5,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8131), 1,
      aux_sym_end_program_statement_token1,
    STATE(4177), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8133), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131577] = 4,
    ACTIONS(8123), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8135), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8125), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131593] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8137), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5513), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131613] = 5,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8131), 1,
      aux_sym_end_program_statement_token1,
    STATE(4192), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8133), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131631] = 5,
    ACTIONS(8061), 1,
      anon_sym_COMMA,
    ACTIONS(8139), 1,
      aux_sym_end_program_statement_token1,
    STATE(4192), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8141), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131649] = 3,
    ACTIONS(8145), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8143), 4,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [131663] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8147), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5190), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131683] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8149), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5191), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131703] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5192), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131723] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5193), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131743] = 3,
    ACTIONS(8157), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8155), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131757] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8159), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5512), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131777] = 3,
    ACTIONS(8163), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8161), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131791] = 4,
    ACTIONS(8165), 1,
      anon_sym_COMMA,
    STATE(4207), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5539), 3,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [131807] = 3,
    ACTIONS(8170), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8168), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131821] = 6,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4860), 1,
      sym_statement_label,
    STATE(5940), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131841] = 3,
    ACTIONS(8174), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8172), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131855] = 6,
    ACTIONS(7238), 1,
      sym__end_of_statement,
    ACTIONS(8176), 1,
      anon_sym_COMMA,
    ACTIONS(8178), 1,
      anon_sym_EQ,
    ACTIONS(8180), 1,
      anon_sym_EQ_GT,
    STATE(4616), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131875] = 3,
    ACTIONS(8184), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8182), 4,
      sym__end_of_statement,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
  [131889] = 6,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4827), 1,
      sym_statement_label,
    STATE(5921), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131909] = 6,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4861), 1,
      sym_statement_label,
    STATE(6178), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131929] = 6,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(7754), 1,
      sym__integer_literal,
    STATE(4611), 1,
      sym_statement_label,
    STATE(6099), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131949] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5504), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131969] = 6,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8188), 1,
      anon_sym_RPAREN,
    STATE(2198), 1,
      sym__argument_list,
    STATE(5483), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131989] = 3,
    ACTIONS(8192), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8190), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [132002] = 5,
    ACTIONS(8194), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8198), 1,
      sym_preproc_arg,
    STATE(4940), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132019] = 3,
    ACTIONS(8200), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2353), 3,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [132032] = 5,
    ACTIONS(8202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    STATE(629), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132049] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8208), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8210), 1,
      sym_preproc_arg,
    STATE(4977), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132066] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8212), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8214), 1,
      sym_preproc_arg,
    STATE(4949), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132083] = 5,
    ACTIONS(8216), 1,
      anon_sym_LPAREN2,
    ACTIONS(8218), 1,
      aux_sym_kind_token1,
    STATE(3868), 1,
      sym__argument_list,
    STATE(3871), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132100] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8220), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8222), 1,
      sym_preproc_arg,
    STATE(4931), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132117] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8224), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [132128] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8226), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8228), 1,
      sym_preproc_arg,
    STATE(4953), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132145] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8232), 1,
      sym_preproc_arg,
    STATE(4875), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132162] = 3,
    ACTIONS(8234), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2353), 3,
      sym__end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [132175] = 3,
    ACTIONS(3456), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3458), 3,
      aux_sym_implicit_statement_token3,
      aux_sym_end_select_statement_token1,
      aux_sym_format_statement_token1,
  [132188] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8236), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8238), 1,
      sym_preproc_arg,
    STATE(4913), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132205] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8240), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8242), 1,
      sym_preproc_arg,
    STATE(5044), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132222] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8246), 1,
      sym_preproc_arg,
    STATE(5012), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132239] = 5,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8248), 1,
      aux_sym_preproc_if_token2,
    STATE(615), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132256] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8252), 1,
      sym_preproc_arg,
    STATE(4971), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132273] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8254), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(5374), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132290] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8256), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8258), 1,
      sym_preproc_arg,
    STATE(4956), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132307] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8260), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8262), 1,
      sym_preproc_arg,
    STATE(4996), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132324] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8264), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8266), 1,
      sym_preproc_arg,
    STATE(4916), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132341] = 4,
    ACTIONS(8268), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4266), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [132356] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8274), 1,
      sym_preproc_arg,
    STATE(4963), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132373] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8276), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8278), 1,
      sym_preproc_arg,
    STATE(4929), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132390] = 5,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      aux_sym_kind_token1,
    STATE(2207), 1,
      sym__argument_list,
    STATE(2223), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132407] = 4,
    ACTIONS(8178), 1,
      anon_sym_EQ,
    ACTIONS(8180), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7250), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [132422] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8284), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8286), 1,
      sym_preproc_arg,
    STATE(4920), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132439] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8288), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(6045), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132456] = 5,
    ACTIONS(8202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    STATE(615), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132473] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8290), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8292), 1,
      sym_preproc_arg,
    STATE(4923), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132490] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8294), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8296), 1,
      sym_preproc_arg,
    STATE(5059), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132507] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8298), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8300), 1,
      sym_preproc_arg,
    STATE(4967), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132524] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3434), 4,
      sym__end_of_statement,
      anon_sym_LPAREN2,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [132535] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8302), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8304), 1,
      sym_preproc_arg,
    STATE(4969), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132552] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8306), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(5506), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132569] = 5,
    ACTIONS(8308), 1,
      anon_sym_LPAREN2,
    ACTIONS(8310), 1,
      sym__integer_literal,
    STATE(4877), 1,
      sym_statement_label,
    STATE(5393), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132586] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8312), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8314), 1,
      sym_preproc_arg,
    STATE(5024), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132603] = 5,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8316), 1,
      aux_sym_preproc_if_token2,
    STATE(629), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132620] = 5,
    ACTIONS(8318), 1,
      anon_sym_LPAREN2,
    ACTIONS(8320), 1,
      aux_sym_kind_token1,
    STATE(3590), 1,
      sym_parenthesized_expression,
    STATE(3592), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132637] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8322), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(5867), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132654] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8324), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8326), 1,
      sym_preproc_arg,
    STATE(4926), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132671] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8328), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8330), 1,
      sym_preproc_arg,
    STATE(4992), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132688] = 4,
    ACTIONS(5494), 1,
      anon_sym_COMMA,
    STATE(4207), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8332), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [132703] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8334), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8336), 1,
      sym_preproc_arg,
    STATE(5062), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132720] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8338), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8340), 1,
      sym_preproc_arg,
    STATE(5027), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132737] = 5,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    ACTIONS(8342), 1,
      sym__end_of_statement,
    STATE(5114), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132754] = 5,
    ACTIONS(8344), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_EQ_GT,
    ACTIONS(8348), 1,
      sym__end_of_statement,
    STATE(4821), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132771] = 4,
    ACTIONS(8350), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4266), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [132786] = 4,
    ACTIONS(8355), 1,
      anon_sym_COMMA,
    STATE(4271), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6571), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
  [132801] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8359), 1,
      sym_preproc_arg,
    STATE(4990), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132818] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7792), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [132829] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8361), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(6129), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132846] = 4,
    ACTIONS(8355), 1,
      anon_sym_COMMA,
    STATE(4280), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6553), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
  [132861] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8363), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8365), 1,
      sym_preproc_arg,
    STATE(5067), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132878] = 4,
    ACTIONS(5494), 1,
      anon_sym_COMMA,
    STATE(4207), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8367), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [132893] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8369), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(6120), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132910] = 5,
    ACTIONS(8039), 1,
      anon_sym_STAR,
    ACTIONS(8371), 1,
      anon_sym_LPAREN2,
    STATE(2198), 1,
      sym__argument_list,
    STATE(2224), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132927] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8374), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8376), 1,
      sym_preproc_arg,
    STATE(5019), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132944] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8380), 1,
      sym_preproc_arg,
    STATE(4986), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132961] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8382), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8384), 1,
      sym_preproc_arg,
    STATE(4999), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132978] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(5903), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132995] = 4,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    STATE(4280), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6597), 2,
      sym__end_of_statement,
      anon_sym_SLASH,
  [133010] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8391), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8393), 1,
      sym_preproc_arg,
    STATE(4988), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133027] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8395), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8397), 1,
      sym_preproc_arg,
    STATE(4934), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133044] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8399), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8401), 1,
      sym_preproc_arg,
    STATE(4972), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133061] = 5,
    ACTIONS(8310), 1,
      sym__integer_literal,
    ACTIONS(8403), 1,
      anon_sym_LPAREN2,
    STATE(4877), 1,
      sym_statement_label,
    STATE(5430), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133078] = 5,
    ACTIONS(6279), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    STATE(4503), 1,
      aux_sym_data_set_repeat1,
    STATE(5006), 1,
      sym_data_value,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133095] = 5,
    ACTIONS(8282), 1,
      aux_sym_kind_token1,
    ACTIONS(8407), 1,
      anon_sym_LPAREN2,
    STATE(2207), 1,
      sym__argument_list,
    STATE(2223), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133112] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8409), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8411), 1,
      sym_preproc_arg,
    STATE(5060), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133129] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8413), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8415), 1,
      sym_preproc_arg,
    STATE(4982), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133146] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8417), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8419), 1,
      sym_preproc_arg,
    STATE(5043), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133163] = 5,
    ACTIONS(5657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6390), 1,
      sym__end_of_statement,
    STATE(2124), 1,
      sym__argument_list,
    STATE(5520), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133180] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8421), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8423), 1,
      sym_preproc_arg,
    STATE(4937), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133197] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8425), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8427), 1,
      sym_preproc_arg,
    STATE(4979), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133214] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8429), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8431), 1,
      sym_preproc_arg,
    STATE(4947), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133231] = 5,
    ACTIONS(8196), 1,
      anon_sym_LPAREN,
    ACTIONS(8433), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(8435), 1,
      sym_preproc_arg,
    STATE(4975), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133248] = 4,
    ACTIONS(8437), 1,
      sym__string_literal,
    ACTIONS(8439), 1,
      sym__string_literal_kind,
    STATE(2805), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133262] = 4,
    ACTIONS(8441), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8443), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2883), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133276] = 4,
    ACTIONS(8310), 1,
      sym__integer_literal,
    STATE(4877), 1,
      sym_statement_label,
    STATE(6176), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133290] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5478), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133304] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5155), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133318] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8451), 1,
      sym__end_of_statement,
    STATE(4804), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133332] = 4,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    ACTIONS(8455), 1,
      sym__end_of_statement,
    STATE(4602), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133346] = 4,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(518), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133360] = 4,
    ACTIONS(8457), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133374] = 4,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    ACTIONS(8461), 1,
      sym__end_of_statement,
    STATE(4363), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133388] = 4,
    ACTIONS(8463), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8465), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2429), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133402] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8467), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133416] = 4,
    ACTIONS(8469), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8471), 1,
      aux_sym_end_function_statement_token1,
    STATE(686), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133430] = 4,
    ACTIONS(5287), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5289), 1,
      aux_sym_end_type_statement_token1,
    STATE(1219), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133444] = 4,
    ACTIONS(8473), 1,
      anon_sym_COMMA,
    ACTIONS(8475), 1,
      anon_sym_RPAREN,
    STATE(4516), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133458] = 4,
    ACTIONS(5291), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5293), 1,
      aux_sym_end_type_statement_token1,
    STATE(1356), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133472] = 4,
    ACTIONS(6103), 1,
      sym__end_of_statement,
    ACTIONS(8477), 1,
      anon_sym_COMMA,
    STATE(4383), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133486] = 4,
    ACTIONS(6103), 1,
      sym__end_of_statement,
    ACTIONS(8477), 1,
      anon_sym_COMMA,
    STATE(4341), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133500] = 4,
    ACTIONS(2353), 1,
      sym__end_of_statement,
    ACTIONS(8479), 1,
      anon_sym_LPAREN2,
    STATE(6179), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133514] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [133524] = 4,
    ACTIONS(8483), 1,
      anon_sym_COMMA,
    ACTIONS(8485), 1,
      anon_sym_RPAREN,
    STATE(4647), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133538] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5565), 1,
      anon_sym_RPAREN,
    STATE(4358), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133552] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5242), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133566] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8489), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133580] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8491), 1,
      sym__end_of_statement,
    STATE(4396), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133594] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8491), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133608] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8489), 1,
      sym__end_of_statement,
    STATE(4645), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133622] = 4,
    ACTIONS(8493), 1,
      anon_sym_COMMA,
    ACTIONS(8495), 1,
      sym__end_of_statement,
    STATE(5497), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133636] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133650] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8499), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133664] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8501), 1,
      sym__end_of_statement,
    STATE(4397), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133678] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8501), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133692] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8503), 1,
      sym__end_of_statement,
    STATE(4398), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133706] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8503), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133720] = 4,
    ACTIONS(8483), 1,
      anon_sym_COMMA,
    ACTIONS(8505), 1,
      anon_sym_RPAREN,
    STATE(4315), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133734] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8499), 1,
      sym__end_of_statement,
    STATE(4639), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133748] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      sym__end_of_statement,
    STATE(4365), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133762] = 4,
    ACTIONS(8507), 1,
      sym__string_literal,
    ACTIONS(8509), 1,
      sym__string_literal_kind,
    STATE(3002), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133776] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5581), 1,
      anon_sym_RPAREN,
    STATE(4403), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133790] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133804] = 4,
    ACTIONS(5315), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5317), 1,
      aux_sym_end_type_statement_token1,
    STATE(965), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133818] = 4,
    ACTIONS(8513), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8515), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(700), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133832] = 4,
    ACTIONS(8517), 1,
      anon_sym_COMMA,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    STATE(4337), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133846] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8522), 1,
      sym__end_of_statement,
    STATE(4401), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133860] = 4,
    ACTIONS(8524), 1,
      anon_sym_COMMA,
    ACTIONS(8526), 1,
      anon_sym_RPAREN,
    STATE(4406), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133874] = 4,
    ACTIONS(8528), 1,
      anon_sym_COMMA,
    ACTIONS(8530), 1,
      anon_sym_RPAREN,
    STATE(4642), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133888] = 4,
    ACTIONS(5904), 1,
      sym__end_of_statement,
    ACTIONS(8532), 1,
      anon_sym_COMMA,
    STATE(4341), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133902] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8522), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133916] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8535), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133930] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      sym__end_of_statement,
    STATE(4721), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133944] = 4,
    ACTIONS(8537), 1,
      anon_sym_COMMA,
    ACTIONS(8539), 1,
      sym__end_of_statement,
    STATE(4439), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133958] = 4,
    ACTIONS(5398), 1,
      sym__integer_literal,
    STATE(3537), 1,
      sym_statement_label,
    STATE(5815), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133972] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8541), 1,
      sym__end_of_statement,
    STATE(4692), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133986] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8541), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134000] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8543), 1,
      sym__end_of_statement,
    STATE(4318), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134014] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8545), 1,
      sym__end_of_statement,
    STATE(4418), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134028] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8547), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134042] = 4,
    ACTIONS(7254), 1,
      anon_sym_COMMA,
    ACTIONS(8549), 1,
      anon_sym_RPAREN,
    STATE(4643), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134056] = 4,
    ACTIONS(8551), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8553), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2312), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134070] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8555), 1,
      sym__end_of_statement,
    STATE(4324), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134084] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8557), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134098] = 4,
    ACTIONS(5398), 1,
      sym__integer_literal,
    STATE(3537), 1,
      sym_statement_label,
    STATE(4835), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134112] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8559), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134126] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_RPAREN,
    STATE(4572), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134140] = 4,
    ACTIONS(8563), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8565), 1,
      aux_sym_end_function_statement_token1,
    STATE(2305), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134154] = 4,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    STATE(4717), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134168] = 3,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4079), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [134180] = 4,
    ACTIONS(8571), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      sym__end_of_statement,
    STATE(4362), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134194] = 4,
    ACTIONS(8576), 1,
      anon_sym_COMMA,
    ACTIONS(8579), 1,
      sym__end_of_statement,
    STATE(4363), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134208] = 4,
    ACTIONS(5299), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5301), 1,
      aux_sym_end_type_statement_token1,
    STATE(1420), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134222] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8581), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134236] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134250] = 4,
    ACTIONS(8585), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8587), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3088), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134264] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8589), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134278] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8591), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134292] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8593), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134306] = 4,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    STATE(5940), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134320] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5328), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134334] = 3,
    ACTIONS(7820), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4077), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [134346] = 4,
    ACTIONS(8595), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8597), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3028), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134360] = 4,
    ACTIONS(8599), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8601), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3138), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134374] = 4,
    ACTIONS(8603), 1,
      anon_sym_COMMA,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    STATE(4843), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134388] = 4,
    ACTIONS(8603), 1,
      anon_sym_COMMA,
    ACTIONS(8607), 1,
      anon_sym_RPAREN,
    STATE(4843), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134402] = 4,
    ACTIONS(8609), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_RPAREN,
    STATE(4768), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134416] = 4,
    ACTIONS(4173), 1,
      sym__string_literal,
    ACTIONS(4175), 1,
      sym__string_literal_kind,
    STATE(2805), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134430] = 4,
    ACTIONS(8613), 1,
      anon_sym_COMMA,
    ACTIONS(8615), 1,
      sym__end_of_statement,
    STATE(4515), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134444] = 4,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    ACTIONS(8617), 1,
      anon_sym_RPAREN,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134458] = 4,
    ACTIONS(8619), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8621), 1,
      aux_sym_end_function_statement_token1,
    STATE(3093), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134472] = 4,
    ACTIONS(6163), 1,
      sym__end_of_statement,
    ACTIONS(8477), 1,
      anon_sym_COMMA,
    STATE(4341), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134486] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134500] = 4,
    ACTIONS(8625), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8627), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3045), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134514] = 4,
    ACTIONS(8629), 1,
      anon_sym_COMMA,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    STATE(4386), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134528] = 4,
    ACTIONS(5299), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5301), 1,
      aux_sym_end_type_statement_token1,
    STATE(1378), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134542] = 4,
    ACTIONS(5291), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5293), 1,
      aux_sym_end_type_statement_token1,
    STATE(1344), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134556] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5388), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134570] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8634), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134584] = 4,
    ACTIONS(165), 1,
      sym__string_literal,
    ACTIONS(167), 1,
      sym__string_literal_kind,
    STATE(2868), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134598] = 4,
    ACTIONS(6936), 1,
      anon_sym_COMMA,
    ACTIONS(8636), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8638), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134612] = 4,
    ACTIONS(8640), 1,
      anon_sym_COMMA,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    STATE(4774), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134626] = 4,
    ACTIONS(8644), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8646), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2798), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134640] = 4,
    ACTIONS(8648), 1,
      anon_sym_COMMA,
    ACTIONS(8650), 1,
      sym__end_of_statement,
    STATE(4362), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134654] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8652), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134668] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8654), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134682] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8656), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134696] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8658), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134710] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8660), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134724] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8662), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134738] = 4,
    ACTIONS(5539), 1,
      sym__end_of_statement,
    ACTIONS(8664), 1,
      anon_sym_COMMA,
    STATE(4402), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134752] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(8667), 1,
      anon_sym_RPAREN,
    STATE(4572), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134766] = 4,
    ACTIONS(8669), 1,
      anon_sym_COMMA,
    ACTIONS(8671), 1,
      anon_sym_RPAREN,
    STATE(4612), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134780] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134794] = 4,
    ACTIONS(8675), 1,
      anon_sym_COMMA,
    ACTIONS(8677), 1,
      anon_sym_RPAREN,
    STATE(4828), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134808] = 4,
    ACTIONS(8679), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8681), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2972), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134822] = 4,
    ACTIONS(5245), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5259), 1,
      aux_sym_end_type_statement_token1,
    STATE(1108), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134836] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8683), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134850] = 4,
    ACTIONS(8685), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8687), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(644), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134864] = 4,
    ACTIONS(8689), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8691), 1,
      aux_sym_end_program_statement_token2,
    STATE(635), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134878] = 3,
    ACTIONS(7820), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4018), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [134890] = 4,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8695), 1,
      aux_sym_end_function_statement_token1,
    STATE(2426), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134904] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8697), 1,
      sym__end_of_statement,
    STATE(4499), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134918] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8699), 1,
      sym__end_of_statement,
    STATE(4607), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134932] = 4,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    ACTIONS(8701), 1,
      anon_sym_RPAREN,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134946] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8703), 1,
      sym__end_of_statement,
    STATE(4457), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134960] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8703), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134974] = 3,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4031), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [134986] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8705), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135000] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135014] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8709), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135028] = 4,
    ACTIONS(5319), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5321), 1,
      aux_sym_end_type_statement_token1,
    STATE(1146), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135042] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5435), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135056] = 4,
    ACTIONS(8711), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8713), 1,
      aux_sym_end_function_statement_token1,
    STATE(3129), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135070] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8660), 1,
      sym__end_of_statement,
    STATE(4484), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135084] = 4,
    ACTIONS(8715), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8717), 1,
      aux_sym_end_module_statement_token1,
    STATE(663), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135098] = 4,
    ACTIONS(8719), 1,
      anon_sym_COMMA,
    ACTIONS(8721), 1,
      anon_sym_RPAREN,
    STATE(4792), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135112] = 4,
    ACTIONS(8723), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8725), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3146), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135126] = 4,
    ACTIONS(8727), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8729), 1,
      aux_sym_end_function_statement_token1,
    STATE(2887), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135140] = 4,
    ACTIONS(8731), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8733), 1,
      aux_sym_end_function_statement_token1,
    STATE(2969), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135154] = 4,
    ACTIONS(7254), 1,
      anon_sym_COMMA,
    ACTIONS(8735), 1,
      anon_sym_RPAREN,
    STATE(4643), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135168] = 4,
    ACTIONS(8737), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_RPAREN,
    STATE(4659), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135182] = 4,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(541), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135196] = 4,
    ACTIONS(8741), 1,
      anon_sym_COMMA,
    ACTIONS(8744), 1,
      anon_sym_SLASH,
    STATE(4435), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135210] = 3,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4115), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [135222] = 4,
    ACTIONS(8737), 1,
      anon_sym_COMMA,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    STATE(4448), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135236] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5448), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135250] = 4,
    ACTIONS(8748), 1,
      anon_sym_COMMA,
    ACTIONS(8751), 1,
      sym__end_of_statement,
    STATE(4439), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135264] = 4,
    ACTIONS(8753), 1,
      anon_sym_COMMA,
    ACTIONS(8756), 1,
      anon_sym_COLON_COLON,
    STATE(4440), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135278] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8758), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135292] = 4,
    ACTIONS(8441), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8443), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2891), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135306] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8760), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135320] = 4,
    ACTIONS(8711), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8713), 1,
      aux_sym_end_function_statement_token1,
    STATE(3155), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135334] = 4,
    ACTIONS(8609), 1,
      anon_sym_COMMA,
    ACTIONS(8762), 1,
      anon_sym_RPAREN,
    STATE(4507), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135348] = 4,
    ACTIONS(5311), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5313), 1,
      aux_sym_end_type_statement_token1,
    STATE(1025), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135362] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8764), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135376] = 4,
    ACTIONS(8737), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_RPAREN,
    STATE(4799), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135390] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8764), 1,
      sym__end_of_statement,
    STATE(4421), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135404] = 4,
    ACTIONS(8766), 1,
      anon_sym_COMMA,
    ACTIONS(8769), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135418] = 4,
    ACTIONS(8689), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8691), 1,
      aux_sym_end_program_statement_token2,
    STATE(669), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135432] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135446] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      sym__end_of_statement,
    STATE(4422), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135460] = 4,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(8773), 1,
      sym__end_of_statement,
    STATE(5496), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135474] = 4,
    ACTIONS(8723), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8725), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2996), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135488] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      sym__end_of_statement,
    STATE(4490), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135502] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135516] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135530] = 4,
    ACTIONS(5319), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5321), 1,
      aux_sym_end_type_statement_token1,
    STATE(1181), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135544] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8779), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135558] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135572] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8783), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135586] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(8787), 1,
      anon_sym_RPAREN,
    STATE(4533), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135600] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8789), 1,
      sym__end_of_statement,
    STATE(4573), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135614] = 3,
    ACTIONS(8791), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8793), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [135626] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8795), 1,
      sym__end_of_statement,
    STATE(4813), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135640] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(8797), 1,
      anon_sym_RPAREN,
    STATE(4608), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135654] = 4,
    ACTIONS(6229), 1,
      anon_sym_COMMA,
    ACTIONS(8799), 1,
      anon_sym_RPAREN,
    STATE(4767), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135668] = 4,
    ACTIONS(8551), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8553), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2271), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135682] = 4,
    ACTIONS(8801), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8803), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(8805), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135696] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8807), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135710] = 4,
    ACTIONS(8809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8811), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3060), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135724] = 4,
    ACTIONS(8813), 1,
      anon_sym_COMMA,
    ACTIONS(8816), 1,
      sym__end_of_statement,
    STATE(4473), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135738] = 4,
    ACTIONS(8818), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8820), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(503), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135752] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8822), 1,
      sym__end_of_statement,
    STATE(4447), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135766] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      sym__end_of_statement,
    STATE(4462), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135780] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8824), 1,
      sym__end_of_statement,
    STATE(4452), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135794] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135808] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8828), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135822] = 4,
    ACTIONS(8563), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8565), 1,
      aux_sym_end_function_statement_token1,
    STATE(2288), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135836] = 4,
    ACTIONS(6093), 1,
      sym__end_of_statement,
    ACTIONS(8477), 1,
      anon_sym_COMMA,
    STATE(4341), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135850] = 4,
    ACTIONS(8689), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8691), 1,
      aux_sym_end_program_statement_token2,
    STATE(757), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135864] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8830), 1,
      sym__end_of_statement,
    STATE(4677), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135878] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8832), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135892] = 4,
    ACTIONS(8834), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8836), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2933), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135906] = 4,
    ACTIONS(5275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5277), 1,
      aux_sym_end_type_statement_token1,
    STATE(1224), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135920] = 4,
    ACTIONS(8715), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8717), 1,
      aux_sym_end_module_statement_token1,
    STATE(772), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135934] = 4,
    ACTIONS(8838), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8840), 1,
      aux_sym_end_function_statement_token1,
    STATE(555), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135948] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8842), 1,
      sym__end_of_statement,
    STATE(4518), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135962] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8842), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135976] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8844), 1,
      sym__end_of_statement,
    STATE(4521), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135990] = 4,
    ACTIONS(8679), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8681), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2965), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136004] = 4,
    ACTIONS(8685), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8687), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(769), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136018] = 4,
    ACTIONS(8846), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      sym__end_of_statement,
    STATE(4648), 1,
      aux_sym_data_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136032] = 4,
    ACTIONS(8648), 1,
      anon_sym_COMMA,
    ACTIONS(8850), 1,
      sym__end_of_statement,
    STATE(4712), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136046] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(8854), 1,
      sym__end_of_statement,
    STATE(4473), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136060] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      sym__end_of_statement,
    STATE(4793), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136074] = 4,
    ACTIONS(8689), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8691), 1,
      aux_sym_end_program_statement_token2,
    STATE(640), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136088] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8830), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136102] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(8858), 1,
      sym__end_of_statement,
    STATE(4473), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136116] = 4,
    ACTIONS(8860), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8862), 1,
      aux_sym_end_module_statement_token1,
    STATE(500), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136130] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8864), 1,
      sym__end_of_statement,
    STATE(4812), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136144] = 4,
    ACTIONS(6649), 1,
      anon_sym_SLASH,
    ACTIONS(8866), 1,
      anon_sym_COMMA,
    STATE(4503), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136158] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8869), 1,
      sym__end_of_statement,
    STATE(4830), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136172] = 4,
    ACTIONS(8871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8873), 1,
      aux_sym_end_function_statement_token1,
    STATE(2837), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136186] = 4,
    ACTIONS(8834), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8836), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2950), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136200] = 4,
    ACTIONS(8875), 1,
      anon_sym_COMMA,
    ACTIONS(8878), 1,
      anon_sym_RPAREN,
    STATE(4507), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136214] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8880), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [136228] = 4,
    ACTIONS(5283), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5285), 1,
      aux_sym_end_type_statement_token1,
    STATE(1483), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136242] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8882), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136256] = 4,
    ACTIONS(5271), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5273), 1,
      aux_sym_end_type_statement_token1,
    STATE(880), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136270] = 4,
    ACTIONS(8884), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8886), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2822), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136284] = 4,
    ACTIONS(8613), 1,
      anon_sym_COMMA,
    ACTIONS(8888), 1,
      sym__end_of_statement,
    STATE(4739), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136298] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8882), 1,
      sym__end_of_statement,
    STATE(4334), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136312] = 4,
    ACTIONS(8613), 1,
      anon_sym_COMMA,
    ACTIONS(8888), 1,
      sym__end_of_statement,
    STATE(4732), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136326] = 4,
    ACTIONS(8890), 1,
      anon_sym_COMMA,
    ACTIONS(8893), 1,
      anon_sym_RPAREN,
    STATE(4516), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136340] = 4,
    ACTIONS(8895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8897), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(535), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136354] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8899), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136368] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8899), 1,
      sym__end_of_statement,
    STATE(4539), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136382] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8901), 1,
      sym__end_of_statement,
    STATE(4541), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136396] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8901), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136410] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8903), 1,
      sym__end_of_statement,
    STATE(4681), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136424] = 4,
    ACTIONS(8731), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8733), 1,
      aux_sym_end_function_statement_token1,
    STATE(2959), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136438] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8905), 1,
      sym__end_of_statement,
    STATE(4757), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136452] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8907), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136466] = 3,
    ACTIONS(8911), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8909), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [136478] = 4,
    ACTIONS(8871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8873), 1,
      aux_sym_end_function_statement_token1,
    STATE(2817), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136492] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(8854), 1,
      sym__end_of_statement,
    STATE(4500), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136506] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8913), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136520] = 4,
    ACTIONS(8884), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8886), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2810), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136534] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8915), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136548] = 4,
    ACTIONS(5287), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5289), 1,
      aux_sym_end_type_statement_token1,
    STATE(1141), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136562] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(8917), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136576] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      sym__end_of_statement,
    STATE(4473), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136590] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8919), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136604] = 4,
    ACTIONS(8731), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8733), 1,
      aux_sym_end_function_statement_token1,
    STATE(2980), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136618] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8921), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [136632] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8923), 1,
      sym__end_of_statement,
    STATE(4549), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136646] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8923), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136660] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8925), 1,
      sym__end_of_statement,
    STATE(4552), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136674] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8925), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136688] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8915), 1,
      sym__end_of_statement,
    STATE(4348), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136702] = 4,
    ACTIONS(8927), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8929), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(763), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136716] = 4,
    ACTIONS(8860), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8862), 1,
      aux_sym_end_module_statement_token1,
    STATE(521), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136730] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      sym__end_of_statement,
    STATE(4478), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136744] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8931), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [136758] = 4,
    ACTIONS(8933), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8935), 1,
      aux_sym_end_function_statement_token1,
    STATE(759), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136772] = 4,
    ACTIONS(8679), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8681), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2982), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136786] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8937), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136800] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8937), 1,
      sym__end_of_statement,
    STATE(4555), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136814] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8939), 1,
      sym__end_of_statement,
    STATE(4556), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136828] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8939), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136842] = 4,
    ACTIONS(8711), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8713), 1,
      aux_sym_end_function_statement_token1,
    STATE(3184), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136856] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8760), 1,
      sym__end_of_statement,
    STATE(4818), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136870] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8941), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136884] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8943), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136898] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8943), 1,
      sym__end_of_statement,
    STATE(4559), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136912] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8945), 1,
      sym__end_of_statement,
    STATE(4560), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136926] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8945), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136940] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8947), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136954] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8947), 1,
      sym__end_of_statement,
    STATE(4562), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136968] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8949), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136982] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6114), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136996] = 4,
    ACTIONS(8344), 1,
      anon_sym_COMMA,
    ACTIONS(8348), 1,
      sym__end_of_statement,
    STATE(4821), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137010] = 4,
    ACTIONS(6173), 1,
      sym__end_of_statement,
    ACTIONS(8477), 1,
      anon_sym_COMMA,
    STATE(4481), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137024] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8951), 3,
      sym__end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [137034] = 3,
    ACTIONS(8268), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4240), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [137046] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8953), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [137060] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8955), 1,
      sym__end_of_statement,
    STATE(4695), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137074] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6113), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137088] = 3,
    ACTIONS(2385), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2387), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [137100] = 4,
    ACTIONS(5689), 1,
      anon_sym_RPAREN,
    ACTIONS(8957), 1,
      anon_sym_COMMA,
    STATE(4572), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137114] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8955), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137128] = 4,
    ACTIONS(8960), 1,
      sym__string_literal,
    ACTIONS(8962), 1,
      sym__string_literal_kind,
    STATE(3125), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137142] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      sym__end_of_statement,
    STATE(4701), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137156] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8089), 3,
      sym__end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [137166] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8966), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137180] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8966), 1,
      sym__end_of_statement,
    STATE(4525), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137194] = 4,
    ACTIONS(8551), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8553), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2323), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137208] = 4,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    STATE(615), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137222] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8968), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137236] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8968), 1,
      sym__end_of_statement,
    STATE(4529), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137250] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8970), 1,
      sym__end_of_statement,
    STATE(4384), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137264] = 3,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3977), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [137276] = 4,
    ACTIONS(8723), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8725), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3180), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137290] = 4,
    ACTIONS(8619), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8621), 1,
      aux_sym_end_function_statement_token1,
    STATE(3124), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137304] = 4,
    ACTIONS(8563), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8565), 1,
      aux_sym_end_function_statement_token1,
    STATE(2266), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137318] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8972), 3,
      sym__end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [137328] = 4,
    ACTIONS(8585), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8587), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3118), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137342] = 4,
    ACTIONS(5685), 1,
      anon_sym_RPAREN,
    ACTIONS(8974), 1,
      anon_sym_COMMA,
    STATE(4590), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137356] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8977), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [137370] = 4,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(497), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137384] = 4,
    ACTIONS(5245), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5259), 1,
      aux_sym_end_type_statement_token1,
    STATE(1041), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137398] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(8979), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137412] = 4,
    ACTIONS(8619), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8621), 1,
      aux_sym_end_function_statement_token1,
    STATE(3114), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137426] = 4,
    ACTIONS(8585), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8587), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3107), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137440] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8981), 1,
      sym__end_of_statement,
    STATE(4577), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137454] = 3,
    ACTIONS(5693), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [137466] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8983), 1,
      sym__end_of_statement,
    STATE(4581), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137480] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8985), 1,
      sym__end_of_statement,
    STATE(4652), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137494] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8987), 1,
      sym__end_of_statement,
    STATE(4654), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137508] = 4,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    ACTIONS(8989), 1,
      sym__end_of_statement,
    STATE(4363), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137522] = 4,
    ACTIONS(8625), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8627), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3075), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137536] = 4,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    STATE(629), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137550] = 4,
    ACTIONS(8513), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8515), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(660), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137564] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(8991), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [137578] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8903), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137592] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(8993), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137606] = 4,
    ACTIONS(5315), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5317), 1,
      aux_sym_end_type_statement_token1,
    STATE(946), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137620] = 4,
    ACTIONS(8995), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8997), 1,
      aux_sym_end_module_statement_token1,
    STATE(631), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137634] = 4,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    STATE(6029), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137648] = 4,
    ACTIONS(8999), 1,
      anon_sym_COMMA,
    ACTIONS(9001), 1,
      anon_sym_RPAREN,
    STATE(4828), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137662] = 4,
    ACTIONS(7398), 1,
      sym__end_of_statement,
    ACTIONS(8176), 1,
      anon_sym_COMMA,
    STATE(4617), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137676] = 4,
    ACTIONS(9003), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9005), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(633), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137690] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6041), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137704] = 4,
    ACTIONS(7454), 1,
      sym__end_of_statement,
    ACTIONS(8176), 1,
      anon_sym_COMMA,
    STATE(4666), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137718] = 4,
    ACTIONS(7438), 1,
      sym__end_of_statement,
    ACTIONS(8176), 1,
      anon_sym_COMMA,
    STATE(4666), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137732] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9007), 1,
      sym__end_of_statement,
    STATE(4728), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137746] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [137760] = 4,
    ACTIONS(9011), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9013), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2474), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137774] = 4,
    ACTIONS(9015), 1,
      aux_sym_included_items_token1,
    ACTIONS(9017), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(9019), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137788] = 4,
    ACTIONS(5279), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5281), 1,
      aux_sym_end_type_statement_token1,
    STATE(1383), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137802] = 3,
    ACTIONS(2389), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2391), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [137814] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9021), 1,
      sym__end_of_statement,
    STATE(4328), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137828] = 4,
    ACTIONS(9023), 1,
      sym__string_literal,
    ACTIONS(9025), 1,
      sym__string_literal_kind,
    STATE(2904), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137842] = 4,
    ACTIONS(7438), 1,
      sym__end_of_statement,
    ACTIONS(8176), 1,
      anon_sym_COMMA,
    STATE(4666), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137856] = 4,
    ACTIONS(9027), 1,
      anon_sym_COMMA,
    ACTIONS(9029), 1,
      anon_sym_COLON_COLON,
    STATE(4706), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137870] = 3,
    ACTIONS(2301), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2303), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [137882] = 4,
    ACTIONS(9031), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9033), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2973), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137896] = 4,
    ACTIONS(9035), 1,
      anon_sym_COMMA,
    ACTIONS(9038), 1,
      sym__end_of_statement,
    STATE(4630), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137910] = 3,
    ACTIONS(8346), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9038), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [137922] = 4,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    ACTIONS(9040), 1,
      sym__end_of_statement,
    STATE(4363), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137936] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8143), 3,
      sym__end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [137946] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9042), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137960] = 4,
    ACTIONS(8846), 1,
      anon_sym_COMMA,
    ACTIONS(9044), 1,
      sym__end_of_statement,
    STATE(4494), 1,
      aux_sym_data_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137974] = 4,
    ACTIONS(8884), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8886), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2785), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137988] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9046), 1,
      sym__end_of_statement,
    STATE(4326), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138002] = 4,
    ACTIONS(9048), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9050), 1,
      aux_sym_end_function_statement_token1,
    STATE(3038), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138016] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9052), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138030] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(3434), 3,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_COLON,
  [138040] = 4,
    ACTIONS(5398), 1,
      sym__integer_literal,
    STATE(3537), 1,
      sym_statement_label,
    STATE(4360), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138054] = 4,
    ACTIONS(9054), 1,
      anon_sym_COMMA,
    ACTIONS(9057), 1,
      anon_sym_RPAREN,
    STATE(4642), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138068] = 4,
    ACTIONS(7384), 1,
      anon_sym_RPAREN,
    ACTIONS(9059), 1,
      anon_sym_COMMA,
    STATE(4643), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138082] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9062), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138096] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9064), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138110] = 4,
    ACTIONS(8809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8811), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2984), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138124] = 4,
    ACTIONS(9066), 1,
      anon_sym_COMMA,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    STATE(4647), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138138] = 4,
    ACTIONS(9071), 1,
      anon_sym_COMMA,
    ACTIONS(9074), 1,
      sym__end_of_statement,
    STATE(4648), 1,
      aux_sym_data_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138152] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9076), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138166] = 4,
    ACTIONS(8595), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8597), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3052), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138180] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9078), 1,
      sym__end_of_statement,
    STATE(4710), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138194] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9078), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138208] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9080), 1,
      sym__end_of_statement,
    STATE(4711), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138222] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9080), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138236] = 4,
    ACTIONS(5271), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5273), 1,
      aux_sym_end_type_statement_token1,
    STATE(902), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138250] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5159), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138264] = 4,
    ACTIONS(9048), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9050), 1,
      aux_sym_end_function_statement_token1,
    STATE(3073), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138278] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5555), 1,
      anon_sym_RPAREN,
    STATE(4714), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138292] = 4,
    ACTIONS(8737), 1,
      anon_sym_COMMA,
    ACTIONS(9082), 1,
      anon_sym_RPAREN,
    STATE(4799), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138306] = 4,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9086), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2934), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138320] = 3,
    ACTIONS(7836), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4108), 2,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [138332] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9088), 1,
      anon_sym_RPAREN,
    STATE(4634), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138346] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9090), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138360] = 3,
    ACTIONS(7820), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4102), 2,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [138372] = 4,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    ACTIONS(9092), 1,
      sym__end_of_statement,
    STATE(4632), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138386] = 4,
    ACTIONS(7475), 1,
      sym__end_of_statement,
    ACTIONS(9094), 1,
      anon_sym_COMMA,
    STATE(4666), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138400] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(6103), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138414] = 4,
    ACTIONS(8469), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8471), 1,
      aux_sym_end_function_statement_token1,
    STATE(636), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138428] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6039), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138442] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9097), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
  [138452] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138466] = 4,
    ACTIONS(8895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8897), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(493), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138480] = 4,
    ACTIONS(7398), 1,
      sym__end_of_statement,
    ACTIONS(8176), 1,
      anon_sym_COMMA,
    STATE(4626), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138494] = 4,
    ACTIONS(5311), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5313), 1,
      aux_sym_end_type_statement_token1,
    STATE(1065), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138508] = 4,
    ACTIONS(8537), 1,
      anon_sym_COMMA,
    ACTIONS(9101), 1,
      sym__end_of_statement,
    STATE(4345), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138522] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6042), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138536] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9103), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138550] = 4,
    ACTIONS(8838), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8840), 1,
      aux_sym_end_function_statement_token1,
    STATE(534), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138564] = 4,
    ACTIONS(8595), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8597), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3016), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138578] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138592] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9107), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138606] = 4,
    ACTIONS(8871), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8873), 1,
      aux_sym_end_function_statement_token1,
    STATE(2802), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138620] = 4,
    ACTIONS(5279), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5281), 1,
      aux_sym_end_type_statement_token1,
    STATE(1418), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138634] = 4,
    ACTIONS(9109), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(9111), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(9113), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138648] = 4,
    ACTIONS(9048), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9050), 1,
      aux_sym_end_function_statement_token1,
    STATE(3057), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138662] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9115), 1,
      anon_sym_RPAREN,
    STATE(4788), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138676] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9117), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138690] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9119), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138704] = 4,
    ACTIONS(5494), 1,
      anon_sym_COMMA,
    ACTIONS(9121), 1,
      anon_sym_GT_GT_GT,
    STATE(4207), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138718] = 4,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9086), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3049), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138732] = 4,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(9123), 1,
      anon_sym_RPAREN,
    STATE(4715), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138746] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9125), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138760] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9127), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138774] = 4,
    ACTIONS(5275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5277), 1,
      aux_sym_end_type_statement_token1,
    STATE(1228), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138788] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9129), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138802] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(9131), 1,
      anon_sym_RPAREN,
    STATE(4572), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138816] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9133), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138830] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9135), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138844] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9137), 1,
      sym__end_of_statement,
    STATE(4342), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138858] = 4,
    ACTIONS(9011), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9013), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2398), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138872] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9139), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138886] = 4,
    ACTIONS(5295), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5297), 1,
      aux_sym_end_type_statement_token1,
    STATE(1254), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138900] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9141), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138914] = 4,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    ACTIONS(9143), 1,
      anon_sym_RPAREN,
    STATE(4416), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138928] = 4,
    ACTIONS(6191), 1,
      sym__end_of_statement,
    ACTIONS(8477), 1,
      anon_sym_COMMA,
    STATE(4312), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138942] = 4,
    ACTIONS(9027), 1,
      anon_sym_COMMA,
    ACTIONS(9145), 1,
      anon_sym_COLON_COLON,
    STATE(4440), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138956] = 4,
    ACTIONS(8648), 1,
      anon_sym_COMMA,
    ACTIONS(9147), 1,
      sym__end_of_statement,
    STATE(4395), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138970] = 4,
    ACTIONS(8469), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8471), 1,
      aux_sym_end_function_statement_token1,
    STATE(743), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138984] = 4,
    ACTIONS(8834), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8836), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2921), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138998] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9149), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139012] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9151), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139026] = 4,
    ACTIONS(8648), 1,
      anon_sym_COMMA,
    ACTIONS(9153), 1,
      sym__end_of_statement,
    STATE(4362), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139040] = 4,
    ACTIONS(8513), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8515), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(745), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139054] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(9155), 1,
      anon_sym_RPAREN,
    STATE(4572), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139068] = 4,
    ACTIONS(9157), 1,
      anon_sym_COMMA,
    ACTIONS(9160), 1,
      anon_sym_RPAREN,
    STATE(4715), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139082] = 4,
    ACTIONS(8528), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RPAREN,
    STATE(4340), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139096] = 4,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    STATE(4715), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139110] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9166), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139124] = 4,
    ACTIONS(8599), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8601), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2999), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139138] = 4,
    ACTIONS(9168), 1,
      aux_sym_included_items_token1,
    ACTIONS(9170), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(9172), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139152] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9174), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139166] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5551), 1,
      anon_sym_RPAREN,
    STATE(4696), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139180] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9176), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139194] = 4,
    ACTIONS(6379), 1,
      anon_sym_COMMA,
    ACTIONS(9178), 1,
      anon_sym_SLASH,
    STATE(4435), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139208] = 4,
    ACTIONS(8809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8811), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2928), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139222] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9141), 1,
      sym__end_of_statement,
    STATE(4840), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139236] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9176), 1,
      sym__end_of_statement,
    STATE(4697), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139250] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9180), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139264] = 4,
    ACTIONS(8838), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8840), 1,
      aux_sym_end_function_statement_token1,
    STATE(528), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139278] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9174), 1,
      sym__end_of_statement,
    STATE(4370), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139292] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9182), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139306] = 4,
    ACTIONS(9184), 1,
      anon_sym_COMMA,
    ACTIONS(9187), 1,
      sym__end_of_statement,
    STATE(4732), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139320] = 4,
    ACTIONS(7254), 1,
      anon_sym_COMMA,
    ACTIONS(9189), 1,
      anon_sym_RPAREN,
    STATE(4643), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139334] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9182), 1,
      sym__end_of_statement,
    STATE(4698), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139348] = 4,
    ACTIONS(5398), 1,
      sym__integer_literal,
    STATE(3537), 1,
      sym_statement_label,
    STATE(4945), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139362] = 4,
    ACTIONS(6379), 1,
      anon_sym_COMMA,
    ACTIONS(9191), 1,
      anon_sym_SLASH,
    STATE(4435), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139376] = 4,
    ACTIONS(9027), 1,
      anon_sym_COMMA,
    ACTIONS(9193), 1,
      anon_sym_COLON_COLON,
    STATE(4868), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139390] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9195), 1,
      sym__end_of_statement,
    STATE(4400), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139404] = 4,
    ACTIONS(8613), 1,
      anon_sym_COMMA,
    ACTIONS(9197), 1,
      sym__end_of_statement,
    STATE(4732), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139418] = 4,
    ACTIONS(5295), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5297), 1,
      aux_sym_end_type_statement_token1,
    STATE(1256), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139432] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(8593), 1,
      sym__end_of_statement,
    STATE(4323), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139446] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9199), 1,
      sym__end_of_statement,
    STATE(4443), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139460] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9201), 1,
      sym__end_of_statement,
    STATE(4458), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139474] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9203), 1,
      anon_sym_RPAREN,
    STATE(4594), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139488] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(9205), 1,
      sym__end_of_statement,
    STATE(4534), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139502] = 4,
    ACTIONS(8599), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8601), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2979), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139516] = 4,
    ACTIONS(8895), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8897), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(548), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139530] = 4,
    ACTIONS(9031), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9033), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2954), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139544] = 4,
    ACTIONS(8933), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8935), 1,
      aux_sym_end_function_statement_token1,
    STATE(672), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139558] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9207), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139572] = 4,
    ACTIONS(8927), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8929), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(690), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139586] = 4,
    ACTIONS(9209), 1,
      anon_sym_COMMA,
    ACTIONS(9212), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139600] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9214), 1,
      sym__end_of_statement,
    STATE(4762), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139614] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9216), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139628] = 4,
    ACTIONS(7634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7636), 1,
      aux_sym_end_program_statement_token2,
    STATE(532), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139642] = 4,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8695), 1,
      aux_sym_end_function_statement_token1,
    STATE(2401), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139656] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9214), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139670] = 4,
    ACTIONS(8625), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8627), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(3012), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139684] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9218), 1,
      sym__end_of_statement,
    STATE(4723), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139698] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9220), 1,
      sym__end_of_statement,
    STATE(4320), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139712] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9222), 1,
      sym__end_of_statement,
    STATE(4731), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139726] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9199), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139740] = 4,
    ACTIONS(3452), 1,
      sym__string_literal,
    ACTIONS(3454), 1,
      sym__string_literal_kind,
    STATE(5358), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139754] = 4,
    ACTIONS(8463), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8465), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2412), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139768] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9224), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139782] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8919), 1,
      sym__end_of_statement,
    STATE(4357), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139796] = 4,
    ACTIONS(6423), 1,
      anon_sym_RPAREN,
    ACTIONS(9226), 1,
      anon_sym_COMMA,
    STATE(4767), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139810] = 4,
    ACTIONS(8609), 1,
      anon_sym_COMMA,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    STATE(4507), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139824] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5228), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139838] = 4,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8695), 1,
      aux_sym_end_function_statement_token1,
    STATE(2417), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139852] = 4,
    ACTIONS(9231), 1,
      anon_sym_COMMA,
    ACTIONS(9234), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139866] = 4,
    ACTIONS(8463), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8465), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2421), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139880] = 4,
    ACTIONS(9236), 1,
      sym__string_literal,
    ACTIONS(9238), 1,
      sym__string_literal_kind,
    STATE(3001), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139894] = 4,
    ACTIONS(9240), 1,
      anon_sym_COMMA,
    ACTIONS(9242), 1,
      anon_sym_RPAREN,
    STATE(4386), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139908] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9244), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139922] = 4,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    ACTIONS(9246), 1,
      anon_sym_RPAREN,
    STATE(4381), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139936] = 4,
    ACTIONS(9248), 1,
      anon_sym_COMMA,
    ACTIONS(9250), 1,
      sym__end_of_statement,
    STATE(5359), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139950] = 4,
    ACTIONS(6379), 1,
      anon_sym_COMMA,
    ACTIONS(9252), 1,
      anon_sym_SLASH,
    STATE(4435), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139964] = 3,
    ACTIONS(2351), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(2353), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [139976] = 4,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    ACTIONS(5472), 1,
      anon_sym_RPAREN,
    STATE(4847), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139990] = 4,
    ACTIONS(9031), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9033), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2926), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140004] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6172), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140018] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9254), 1,
      sym__end_of_statement,
    STATE(4703), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140032] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9256), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140046] = 4,
    ACTIONS(9258), 1,
      sym__string_literal,
    ACTIONS(9260), 1,
      sym__string_literal_kind,
    STATE(2852), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140060] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9262), 1,
      sym__end_of_statement,
    STATE(4535), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140074] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9264), 1,
      sym__end_of_statement,
    STATE(4461), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140088] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9266), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140102] = 4,
    ACTIONS(5699), 1,
      anon_sym_COMMA,
    ACTIONS(9268), 1,
      sym__end_of_statement,
    STATE(4402), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140116] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9270), 1,
      anon_sym_RPAREN,
    STATE(4798), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140130] = 4,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    STATE(678), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140144] = 4,
    ACTIONS(9272), 1,
      anon_sym_COMMA,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
    STATE(4386), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140158] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(9276), 1,
      sym__end_of_statement,
    STATE(4473), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140172] = 4,
    ACTIONS(5699), 1,
      anon_sym_COMMA,
    ACTIONS(9278), 1,
      sym__end_of_statement,
    STATE(4402), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140186] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9280), 3,
      sym__end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [140196] = 4,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    ACTIONS(9282), 1,
      anon_sym_RPAREN,
    STATE(4852), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140210] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9284), 1,
      anon_sym_RPAREN,
    STATE(4837), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140224] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9286), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140238] = 4,
    ACTIONS(9288), 1,
      anon_sym_COMMA,
    ACTIONS(9291), 1,
      anon_sym_RPAREN,
    STATE(4799), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140252] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6173), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140266] = 4,
    ACTIONS(9293), 1,
      anon_sym_COMMA,
    ACTIONS(9295), 1,
      sym__end_of_statement,
    STATE(5889), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140280] = 4,
    ACTIONS(9297), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(9299), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(9301), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140294] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9303), 1,
      sym__end_of_statement,
    STATE(4420), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140308] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9305), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140322] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(9276), 1,
      sym__end_of_statement,
    STATE(4496), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140336] = 4,
    ACTIONS(9011), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9013), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2446), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140350] = 4,
    ACTIONS(8644), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8646), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2814), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140364] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(5950), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140378] = 4,
    ACTIONS(8204), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8206), 1,
      aux_sym_end_program_statement_token2,
    STATE(653), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140392] = 4,
    ACTIONS(9307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9309), 1,
      aux_sym_end_function_statement_token1,
    STATE(3156), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140406] = 4,
    ACTIONS(8995), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8997), 1,
      aux_sym_end_module_statement_token1,
    STATE(656), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140420] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9303), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140434] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140448] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9305), 1,
      sym__end_of_statement,
    STATE(4510), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140462] = 4,
    ACTIONS(8644), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8646), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(2833), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140476] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9311), 1,
      sym__end_of_statement,
    STATE(4531), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140490] = 4,
    ACTIONS(9313), 1,
      sym__string_literal,
    ACTIONS(9315), 1,
      sym__string_literal_kind,
    STATE(2477), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140504] = 4,
    ACTIONS(8449), 1,
      anon_sym_COMMA,
    ACTIONS(9311), 1,
      sym__end_of_statement,
    STATE(4752), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140518] = 4,
    ACTIONS(9317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9319), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3158), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140532] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(6174), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140546] = 4,
    ACTIONS(8344), 1,
      anon_sym_COMMA,
    ACTIONS(9321), 1,
      sym__end_of_statement,
    STATE(4630), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140560] = 4,
    ACTIONS(9003), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9005), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(659), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140574] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(5943), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140588] = 4,
    ACTIONS(7555), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7561), 1,
      aux_sym_end_select_statement_token1,
    STATE(5961), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140602] = 4,
    ACTIONS(8727), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8729), 1,
      aux_sym_end_function_statement_token1,
    STATE(2863), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140616] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9323), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140630] = 4,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    STATE(6178), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140644] = 4,
    ACTIONS(9325), 1,
      anon_sym_COMMA,
    ACTIONS(9328), 1,
      anon_sym_RPAREN,
    STATE(4828), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140658] = 4,
    ACTIONS(8441), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8443), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(2866), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140672] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(8970), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140686] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9330), 1,
      sym__end_of_statement,
    STATE(4854), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140700] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9332), 1,
      sym__end_of_statement,
    STATE(4856), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140714] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9334), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140728] = 4,
    ACTIONS(9084), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9086), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3034), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140742] = 4,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    STATE(4691), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140756] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9336), 3,
      sym__end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [140766] = 4,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    ACTIONS(9338), 1,
      anon_sym_RPAREN,
    STATE(4771), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140780] = 4,
    ACTIONS(8727), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8729), 1,
      aux_sym_end_function_statement_token1,
    STATE(2870), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140794] = 4,
    ACTIONS(8927), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8929), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(682), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140808] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9340), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140822] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9342), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140836] = 4,
    ACTIONS(5307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5309), 1,
      aux_sym_end_type_statement_token1,
    STATE(807), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140850] = 4,
    ACTIONS(8603), 1,
      anon_sym_COMMA,
    ACTIONS(9344), 1,
      anon_sym_RPAREN,
    STATE(4337), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140864] = 4,
    ACTIONS(8818), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8820), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(525), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140878] = 4,
    ACTIONS(5307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5309), 1,
      aux_sym_end_type_statement_token1,
    STATE(812), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140892] = 4,
    ACTIONS(8453), 1,
      anon_sym_COMMA,
    ACTIONS(9346), 1,
      sym__end_of_statement,
    STATE(4304), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140906] = 4,
    ACTIONS(5470), 1,
      anon_sym_COMMA,
    ACTIONS(9348), 1,
      anon_sym_RPAREN,
    STATE(4590), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140920] = 4,
    ACTIONS(8933), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8935), 1,
      aux_sym_end_function_statement_token1,
    STATE(685), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140934] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9180), 1,
      sym__end_of_statement,
    STATE(4671), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140948] = 4,
    ACTIONS(7780), 1,
      aux_sym_language_binding_token1,
    ACTIONS(9350), 1,
      sym__end_of_statement,
    STATE(5822), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140962] = 4,
    ACTIONS(5283), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5285), 1,
      aux_sym_end_type_statement_token1,
    STATE(1488), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140976] = 4,
    ACTIONS(6089), 1,
      anon_sym_COMMA,
    ACTIONS(9352), 1,
      anon_sym_RPAREN,
    STATE(2626), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140990] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9354), 1,
      sym__end_of_statement,
    STATE(4862), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141004] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9354), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141018] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9356), 1,
      sym__end_of_statement,
    STATE(4866), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141032] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9356), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141046] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(5553), 1,
      anon_sym_RPAREN,
    STATE(4871), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141060] = 4,
    ACTIONS(8459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9358), 1,
      aux_sym_preproc_include_token2,
    STATE(5316), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141074] = 4,
    ACTIONS(8473), 1,
      anon_sym_COMMA,
    ACTIONS(9360), 1,
      anon_sym_RPAREN,
    STATE(4309), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141088] = 4,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    STATE(5958), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141102] = 4,
    ACTIONS(7748), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7750), 1,
      aux_sym_end_if_statement_token1,
    STATE(6099), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141116] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9362), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141130] = 3,
    ACTIONS(9366), 1,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9364), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141142] = 4,
    ACTIONS(8609), 1,
      anon_sym_COMMA,
    ACTIONS(9368), 1,
      anon_sym_RPAREN,
    STATE(4445), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141156] = 4,
    ACTIONS(9317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9319), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3185), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141170] = 4,
    ACTIONS(8487), 1,
      anon_sym_COMMA,
    ACTIONS(9370), 1,
      sym__end_of_statement,
    STATE(4450), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141184] = 4,
    ACTIONS(8445), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8447), 1,
      aux_sym_format_statement_token1,
    STATE(5658), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141198] = 4,
    ACTIONS(9027), 1,
      anon_sym_COMMA,
    ACTIONS(9372), 1,
      anon_sym_COLON_COLON,
    STATE(4440), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141212] = 4,
    ACTIONS(9307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9309), 1,
      aux_sym_end_function_statement_token1,
    STATE(3172), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141226] = 4,
    ACTIONS(9307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9309), 1,
      aux_sym_end_function_statement_token1,
    STATE(3182), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141240] = 4,
    ACTIONS(5498), 1,
      anon_sym_COMMA,
    ACTIONS(9374), 1,
      anon_sym_RPAREN,
    STATE(4572), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141254] = 4,
    ACTIONS(9317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9319), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(3175), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141268] = 3,
    ACTIONS(9376), 1,
      anon_sym_RPAREN,
    ACTIONS(9378), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141279] = 3,
    ACTIONS(7756), 1,
      aux_sym_language_binding_token1,
    STATE(4465), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141290] = 3,
    ACTIONS(9380), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9382), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141301] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9384), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141310] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6936), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141319] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9386), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [141328] = 3,
    ACTIONS(9388), 1,
      anon_sym_COMMA,
    STATE(4207), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141339] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9390), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141348] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9392), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141357] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9394), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141366] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9038), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141375] = 3,
    ACTIONS(9396), 1,
      aux_sym_implicit_range_token1,
    STATE(4378), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141386] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9398), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141395] = 3,
    ACTIONS(8479), 1,
      anon_sym_LPAREN2,
    STATE(6179), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141406] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141415] = 3,
    ACTIONS(9400), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9402), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141426] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9404), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141435] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9406), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141444] = 3,
    ACTIONS(2351), 1,
      anon_sym_LPAREN2,
    ACTIONS(2353), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141455] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9384), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141464] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141473] = 3,
    ACTIONS(8479), 1,
      anon_sym_LPAREN2,
    STATE(5919), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141484] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8632), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141493] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9408), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141502] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9408), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141511] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9410), 2,
      sym__end_of_statement,
      anon_sym_LPAREN2,
  [141520] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9412), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141529] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9414), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141538] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9416), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [141547] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8878), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141556] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9418), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141565] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141574] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9420), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141583] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8579), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141592] = 3,
    ACTIONS(9422), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9424), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141603] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9057), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141612] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9212), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141621] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9426), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [141630] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8909), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141639] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9291), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141648] = 3,
    ACTIONS(9428), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9430), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141659] = 3,
    ACTIONS(9432), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9434), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141670] = 3,
    ACTIONS(9436), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9438), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141681] = 3,
    ACTIONS(9440), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9442), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141692] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9444), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [141701] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141710] = 3,
    ACTIONS(9446), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9448), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141721] = 3,
    ACTIONS(9450), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9452), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141732] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9454), 2,
      sym__end_of_statement,
      anon_sym_LPAREN2,
  [141741] = 3,
    ACTIONS(9456), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9458), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141752] = 3,
    ACTIONS(9460), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9462), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141763] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141772] = 3,
    ACTIONS(9464), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9466), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141783] = 3,
    ACTIONS(9468), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9470), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141794] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5689), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141803] = 3,
    ACTIONS(9472), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9474), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141814] = 3,
    ACTIONS(9476), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9478), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141825] = 3,
    ACTIONS(9480), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9482), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141836] = 3,
    ACTIONS(9484), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9486), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141847] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9488), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [141856] = 3,
    ACTIONS(9490), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9492), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141867] = 3,
    ACTIONS(9494), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9496), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141878] = 3,
    ACTIONS(9396), 1,
      aux_sym_implicit_range_token1,
    STATE(4902), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141889] = 3,
    ACTIONS(9498), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9500), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141900] = 3,
    ACTIONS(9502), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9504), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141911] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9506), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [141920] = 3,
    ACTIONS(9508), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9510), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141931] = 3,
    ACTIONS(9512), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9514), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141942] = 3,
    ACTIONS(9516), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9518), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141953] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9234), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141962] = 3,
    ACTIONS(9520), 1,
      anon_sym_LPAREN2,
    ACTIONS(9522), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141973] = 3,
    ACTIONS(5402), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(5404), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141984] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9160), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141993] = 3,
    ACTIONS(9524), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9526), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142004] = 3,
    ACTIONS(9528), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9530), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142015] = 3,
    ACTIONS(9532), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9534), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142026] = 3,
    ACTIONS(9536), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9538), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142037] = 3,
    ACTIONS(9540), 1,
      anon_sym_COMMA,
    ACTIONS(9542), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142048] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5753), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142057] = 3,
    ACTIONS(9544), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9546), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142068] = 3,
    ACTIONS(9548), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9550), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142079] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9552), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142088] = 3,
    ACTIONS(9554), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9556), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142099] = 3,
    ACTIONS(9558), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9560), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142110] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9097), 2,
      sym__end_of_statement,
      anon_sym_LPAREN2,
  [142119] = 3,
    ACTIONS(9203), 1,
      anon_sym_RPAREN,
    ACTIONS(9562), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142130] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9564), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142139] = 3,
    ACTIONS(9566), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9568), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142150] = 3,
    ACTIONS(2301), 1,
      anon_sym_LPAREN2,
    ACTIONS(2303), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142161] = 3,
    ACTIONS(2389), 1,
      anon_sym_LPAREN2,
    ACTIONS(2391), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142172] = 3,
    ACTIONS(9570), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9572), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142183] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9574), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142192] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9576), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142201] = 3,
    ACTIONS(9578), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9580), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142212] = 3,
    ACTIONS(9582), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9584), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142223] = 3,
    ACTIONS(9586), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9588), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142234] = 3,
    ACTIONS(9590), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9592), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142245] = 3,
    ACTIONS(9594), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9596), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142256] = 3,
    ACTIONS(9598), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9600), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142267] = 3,
    ACTIONS(9602), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9604), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142278] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8520), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142287] = 3,
    ACTIONS(9606), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9608), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142298] = 3,
    ACTIONS(9610), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9612), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142309] = 3,
    ACTIONS(9614), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9616), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142320] = 3,
    ACTIONS(9618), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9620), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142331] = 3,
    ACTIONS(9622), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9624), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142342] = 3,
    ACTIONS(9626), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9628), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142353] = 3,
    ACTIONS(9630), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9632), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142364] = 3,
    ACTIONS(9634), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9636), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142375] = 3,
    ACTIONS(9638), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9640), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142386] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9642), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142395] = 3,
    ACTIONS(2385), 1,
      anon_sym_LPAREN2,
    ACTIONS(2387), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142406] = 3,
    ACTIONS(9644), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9646), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142417] = 3,
    ACTIONS(9648), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9650), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142428] = 3,
    ACTIONS(9652), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9654), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142439] = 3,
    ACTIONS(9656), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9658), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142450] = 3,
    ACTIONS(9660), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9662), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142461] = 3,
    ACTIONS(9664), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9666), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142472] = 3,
    ACTIONS(9668), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9670), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142483] = 3,
    ACTIONS(9672), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9674), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142494] = 3,
    ACTIONS(3456), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(3458), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142505] = 3,
    ACTIONS(9676), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9678), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142516] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7517), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142525] = 3,
    ACTIONS(9680), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9682), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142536] = 3,
    ACTIONS(9684), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9686), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142547] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7517), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142556] = 3,
    ACTIONS(9688), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9690), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142567] = 3,
    ACTIONS(9692), 1,
      anon_sym_LPAREN2,
    ACTIONS(9694), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142578] = 3,
    ACTIONS(9696), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(9698), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142589] = 3,
    ACTIONS(9700), 1,
      anon_sym_LPAREN2,
    ACTIONS(9702), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142600] = 3,
    ACTIONS(9704), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9706), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142611] = 3,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    ACTIONS(9710), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142622] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9712), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [142631] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9714), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142640] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9074), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142649] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8751), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142658] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5904), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142667] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8769), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142676] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8816), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142685] = 3,
    ACTIONS(9716), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9718), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142696] = 3,
    ACTIONS(9720), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9722), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142707] = 3,
    ACTIONS(9724), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9726), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142718] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5631), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142729] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9730), 2,
      aux_sym_use_statement_token2,
      aux_sym_use_statement_token3,
  [142738] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5630), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142749] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5623), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142760] = 3,
    ACTIONS(9732), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9734), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142771] = 3,
    ACTIONS(8787), 1,
      anon_sym_RPAREN,
    ACTIONS(9736), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142782] = 3,
    ACTIONS(9738), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9740), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142793] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9742), 2,
      sym__end_of_statement,
      anon_sym_COMMA,
  [142802] = 3,
    ACTIONS(9744), 1,
      anon_sym_LPAREN2,
    STATE(5008), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142813] = 3,
    ACTIONS(9746), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9748), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142824] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9750), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [142833] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9752), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [142842] = 3,
    ACTIONS(9754), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9756), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142853] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9758), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [142862] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9760), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [142871] = 3,
    ACTIONS(9396), 1,
      aux_sym_implicit_range_token1,
    STATE(4864), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142882] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [142891] = 3,
    ACTIONS(9764), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9766), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142902] = 3,
    ACTIONS(9768), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9770), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142913] = 3,
    ACTIONS(9772), 1,
      anon_sym_LPAREN2,
    STATE(781), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142924] = 3,
    ACTIONS(9115), 1,
      anon_sym_RPAREN,
    ACTIONS(9774), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142935] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9776), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [142944] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5077), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142955] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5151), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142966] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9778), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [142975] = 3,
    ACTIONS(6323), 1,
      anon_sym_LPAREN2,
    STATE(5398), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142986] = 3,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    ACTIONS(9782), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142997] = 3,
    ACTIONS(9784), 1,
      anon_sym_COMMA,
    STATE(4207), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143008] = 3,
    ACTIONS(9786), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9788), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143019] = 3,
    ACTIONS(9790), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9792), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143030] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5089), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143041] = 3,
    ACTIONS(9744), 1,
      anon_sym_LPAREN2,
    STATE(4675), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143052] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5469), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143063] = 3,
    ACTIONS(5908), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(5910), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143074] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5467), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143085] = 3,
    ACTIONS(6323), 1,
      anon_sym_LPAREN2,
    STATE(5459), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143096] = 3,
    ACTIONS(8479), 1,
      anon_sym_LPAREN2,
    STATE(5458), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143107] = 3,
    ACTIONS(9794), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9796), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143118] = 3,
    ACTIONS(8636), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8638), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143129] = 3,
    ACTIONS(6165), 1,
      anon_sym_LPAREN2,
    STATE(1809), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143140] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9798), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [143149] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9800), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [143158] = 3,
    ACTIONS(9802), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(9804), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143169] = 3,
    ACTIONS(9806), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9808), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143180] = 3,
    ACTIONS(9810), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9812), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143191] = 3,
    ACTIONS(9814), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9816), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143202] = 3,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    ACTIONS(9820), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143213] = 3,
    ACTIONS(9822), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9824), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143224] = 3,
    ACTIONS(9826), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9828), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143235] = 3,
    ACTIONS(9830), 1,
      anon_sym_LPAREN2,
    STATE(5315), 1,
      sym__statement_function_arg_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143246] = 3,
    ACTIONS(9832), 1,
      anon_sym_COMMA,
    ACTIONS(9834), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143257] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5378), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143268] = 3,
    ACTIONS(9836), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9838), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143279] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5414), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143290] = 3,
    ACTIONS(9840), 1,
      anon_sym_COMMA,
    ACTIONS(9842), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143301] = 3,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(5419), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143312] = 3,
    ACTIONS(9844), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9846), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143323] = 3,
    ACTIONS(9848), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(9850), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143334] = 2,
    ACTIONS(9852), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143342] = 2,
    ACTIONS(9854), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143350] = 2,
    ACTIONS(9856), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143358] = 2,
    ACTIONS(9858), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143366] = 2,
    ACTIONS(9860), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143374] = 2,
    ACTIONS(9862), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143382] = 2,
    ACTIONS(9864), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143390] = 2,
    ACTIONS(9866), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143398] = 2,
    ACTIONS(9868), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143406] = 2,
    ACTIONS(9870), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143414] = 2,
    ACTIONS(9872), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143422] = 2,
    ACTIONS(9874), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143430] = 2,
    ACTIONS(9876), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143438] = 2,
    ACTIONS(9878), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143446] = 2,
    ACTIONS(9880), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143454] = 2,
    ACTIONS(9882), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143462] = 2,
    ACTIONS(9884), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143470] = 2,
    ACTIONS(9886), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143478] = 2,
    ACTIONS(9888), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143486] = 2,
    ACTIONS(9890), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143494] = 2,
    ACTIONS(9892), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143502] = 2,
    ACTIONS(9894), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143510] = 2,
    ACTIONS(9896), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143518] = 2,
    ACTIONS(9898), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143526] = 2,
    ACTIONS(9900), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143534] = 2,
    ACTIONS(9902), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143542] = 2,
    ACTIONS(9904), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143550] = 2,
    ACTIONS(9906), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143558] = 2,
    ACTIONS(9908), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143566] = 2,
    ACTIONS(9910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143574] = 2,
    ACTIONS(9912), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143582] = 2,
    ACTIONS(9914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143590] = 2,
    ACTIONS(9916), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143598] = 2,
    ACTIONS(9918), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143606] = 2,
    ACTIONS(9920), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143614] = 2,
    ACTIONS(9922), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143622] = 2,
    ACTIONS(9924), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143630] = 2,
    ACTIONS(9926), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143638] = 2,
    ACTIONS(9928), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143646] = 2,
    ACTIONS(9930), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143654] = 2,
    ACTIONS(9932), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143662] = 2,
    ACTIONS(9934), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143670] = 2,
    ACTIONS(9936), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143678] = 2,
    ACTIONS(6425), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143686] = 2,
    ACTIONS(9938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143694] = 2,
    ACTIONS(9940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143702] = 2,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143710] = 2,
    ACTIONS(9944), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143718] = 2,
    ACTIONS(9946), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143726] = 2,
    ACTIONS(9948), 1,
      anon_sym_DOT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143734] = 2,
    ACTIONS(9950), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143742] = 2,
    ACTIONS(9952), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143750] = 2,
    ACTIONS(6375), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143758] = 2,
    ACTIONS(9954), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143766] = 2,
    ACTIONS(9956), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143774] = 2,
    ACTIONS(9958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143782] = 2,
    ACTIONS(9960), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143790] = 2,
    ACTIONS(9962), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143798] = 2,
    ACTIONS(8828), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143806] = 2,
    ACTIONS(9964), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143814] = 2,
    ACTIONS(9966), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143822] = 2,
    ACTIONS(9968), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143830] = 2,
    ACTIONS(9970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143838] = 2,
    ACTIONS(9972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143846] = 2,
    ACTIONS(9974), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143854] = 2,
    ACTIONS(9976), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143862] = 2,
    ACTIONS(9978), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143870] = 2,
    ACTIONS(9980), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143878] = 2,
    ACTIONS(9982), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143886] = 2,
    ACTIONS(9984), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143894] = 2,
    ACTIONS(9986), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143902] = 2,
    ACTIONS(9988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143910] = 2,
    ACTIONS(9990), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143918] = 2,
    ACTIONS(9992), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143926] = 2,
    ACTIONS(9994), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143934] = 2,
    ACTIONS(9996), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143942] = 2,
    ACTIONS(9998), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143950] = 2,
    ACTIONS(10000), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143958] = 2,
    ACTIONS(10002), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143966] = 2,
    ACTIONS(10004), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143974] = 2,
    ACTIONS(10006), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143982] = 2,
    ACTIONS(10008), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143990] = 2,
    ACTIONS(10010), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143998] = 2,
    ACTIONS(10012), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144006] = 2,
    ACTIONS(10014), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144014] = 2,
    ACTIONS(10016), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144022] = 2,
    ACTIONS(10018), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144030] = 2,
    ACTIONS(10020), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144038] = 2,
    ACTIONS(10022), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144046] = 2,
    ACTIONS(10024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144054] = 2,
    ACTIONS(10026), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144062] = 2,
    ACTIONS(10028), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144070] = 2,
    ACTIONS(10030), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144078] = 2,
    ACTIONS(10032), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144086] = 2,
    ACTIONS(10022), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144094] = 2,
    ACTIONS(10034), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144102] = 2,
    ACTIONS(10036), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144110] = 2,
    ACTIONS(10038), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144118] = 2,
    ACTIONS(10040), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144126] = 2,
    ACTIONS(10042), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144134] = 2,
    ACTIONS(10044), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144142] = 2,
    ACTIONS(10046), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144150] = 2,
    ACTIONS(10048), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144158] = 2,
    ACTIONS(10050), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144166] = 2,
    ACTIONS(10052), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144174] = 2,
    ACTIONS(10054), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144182] = 2,
    ACTIONS(10056), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144190] = 2,
    ACTIONS(10058), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144198] = 2,
    ACTIONS(10060), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144206] = 2,
    ACTIONS(10062), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144214] = 2,
    ACTIONS(10064), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144222] = 2,
    ACTIONS(10066), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144230] = 2,
    ACTIONS(10068), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144238] = 2,
    ACTIONS(10070), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144246] = 2,
    ACTIONS(10072), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144254] = 2,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144262] = 2,
    ACTIONS(10076), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144270] = 2,
    ACTIONS(10078), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144278] = 2,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144286] = 2,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144294] = 2,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144302] = 2,
    ACTIONS(10086), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144310] = 2,
    ACTIONS(10088), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144318] = 2,
    ACTIONS(10090), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144326] = 2,
    ACTIONS(10092), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144334] = 2,
    ACTIONS(10094), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144342] = 2,
    ACTIONS(10096), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144350] = 2,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144358] = 2,
    ACTIONS(10100), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144366] = 2,
    ACTIONS(10102), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144374] = 2,
    ACTIONS(10104), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144382] = 2,
    ACTIONS(10106), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144390] = 2,
    ACTIONS(10108), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144398] = 2,
    ACTIONS(10110), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144406] = 2,
    ACTIONS(10112), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144414] = 2,
    ACTIONS(10114), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144422] = 2,
    ACTIONS(10116), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144430] = 2,
    ACTIONS(10118), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144438] = 2,
    ACTIONS(10120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144446] = 2,
    ACTIONS(10122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144454] = 2,
    ACTIONS(10124), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144462] = 2,
    ACTIONS(10126), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144470] = 2,
    ACTIONS(10128), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144478] = 2,
    ACTIONS(10130), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144486] = 2,
    ACTIONS(10132), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144494] = 2,
    ACTIONS(10134), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144502] = 2,
    ACTIONS(8583), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144510] = 2,
    ACTIONS(10136), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144518] = 2,
    ACTIONS(10138), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144526] = 2,
    ACTIONS(10140), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144534] = 2,
    ACTIONS(10142), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144542] = 2,
    ACTIONS(10144), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144550] = 2,
    ACTIONS(10146), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144558] = 2,
    ACTIONS(10148), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144566] = 2,
    ACTIONS(10150), 1,
      ts_builtin_sym_end,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144574] = 2,
    ACTIONS(10152), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144582] = 2,
    ACTIONS(10154), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144590] = 2,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144598] = 2,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144606] = 2,
    ACTIONS(10158), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144614] = 2,
    ACTIONS(10160), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144622] = 2,
    ACTIONS(10162), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144630] = 2,
    ACTIONS(10164), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144638] = 2,
    ACTIONS(10166), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144646] = 2,
    ACTIONS(10168), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144654] = 2,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144662] = 2,
    ACTIONS(10172), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144670] = 2,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144678] = 2,
    ACTIONS(10176), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144686] = 2,
    ACTIONS(10178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144694] = 2,
    ACTIONS(10180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144702] = 2,
    ACTIONS(10182), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144710] = 2,
    ACTIONS(10184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144718] = 2,
    ACTIONS(10186), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144726] = 2,
    ACTIONS(10188), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144734] = 2,
    ACTIONS(10190), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144742] = 2,
    ACTIONS(10192), 1,
      aux_sym_user_defined_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144750] = 2,
    ACTIONS(10194), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144758] = 2,
    ACTIONS(10196), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144766] = 2,
    ACTIONS(3458), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144774] = 2,
    ACTIONS(10198), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144782] = 2,
    ACTIONS(10200), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144790] = 2,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144798] = 2,
    ACTIONS(10204), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144806] = 2,
    ACTIONS(10206), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144814] = 2,
    ACTIONS(10208), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144822] = 2,
    ACTIONS(10210), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144830] = 2,
    ACTIONS(10212), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144838] = 2,
    ACTIONS(10214), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144846] = 2,
    ACTIONS(10216), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144854] = 2,
    ACTIONS(6656), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144862] = 2,
    ACTIONS(10218), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144870] = 2,
    ACTIONS(10220), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144878] = 2,
    ACTIONS(10222), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144886] = 2,
    ACTIONS(10224), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144894] = 2,
    ACTIONS(9119), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144902] = 2,
    ACTIONS(10226), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144910] = 2,
    ACTIONS(10228), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144918] = 2,
    ACTIONS(10230), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144926] = 2,
    ACTIONS(10232), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144934] = 2,
    ACTIONS(10234), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144942] = 2,
    ACTIONS(10236), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144950] = 2,
    ACTIONS(7543), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144958] = 2,
    ACTIONS(10238), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144966] = 2,
    ACTIONS(10240), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144974] = 2,
    ACTIONS(10242), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144982] = 2,
    ACTIONS(10244), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144990] = 2,
    ACTIONS(10246), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144998] = 2,
    ACTIONS(10248), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145006] = 2,
    ACTIONS(7543), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145014] = 2,
    ACTIONS(10250), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145022] = 2,
    ACTIONS(10252), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145030] = 2,
    ACTIONS(10254), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145038] = 2,
    ACTIONS(10256), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145046] = 2,
    ACTIONS(10258), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145054] = 2,
    ACTIONS(8977), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145062] = 2,
    ACTIONS(10260), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145070] = 2,
    ACTIONS(10262), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145078] = 2,
    ACTIONS(10264), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145086] = 2,
    ACTIONS(10266), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145094] = 2,
    ACTIONS(10268), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145102] = 2,
    ACTIONS(10270), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145110] = 2,
    ACTIONS(10272), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145118] = 2,
    ACTIONS(10274), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145126] = 2,
    ACTIONS(10276), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145134] = 2,
    ACTIONS(10278), 1,
      aux_sym_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145142] = 2,
    ACTIONS(10280), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145150] = 2,
    ACTIONS(10282), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145158] = 2,
    ACTIONS(10284), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145166] = 2,
    ACTIONS(10286), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145174] = 2,
    ACTIONS(10288), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145182] = 2,
    ACTIONS(10290), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145190] = 2,
    ACTIONS(8807), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145198] = 2,
    ACTIONS(10292), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145206] = 2,
    ACTIONS(6901), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145214] = 2,
    ACTIONS(10294), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145222] = 2,
    ACTIONS(10296), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145230] = 2,
    ACTIONS(10298), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145238] = 2,
    ACTIONS(10300), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145246] = 2,
    ACTIONS(10302), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145254] = 2,
    ACTIONS(10304), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145262] = 2,
    ACTIONS(10306), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145270] = 2,
    ACTIONS(10308), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145278] = 2,
    ACTIONS(7364), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145286] = 2,
    ACTIONS(10310), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145294] = 2,
    ACTIONS(5777), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145302] = 2,
    ACTIONS(10312), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145310] = 2,
    ACTIONS(10314), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145318] = 2,
    ACTIONS(10316), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145326] = 2,
    ACTIONS(10318), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145334] = 2,
    ACTIONS(10320), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145342] = 2,
    ACTIONS(6421), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145350] = 2,
    ACTIONS(10322), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145358] = 2,
    ACTIONS(10324), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145366] = 2,
    ACTIONS(8991), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145374] = 2,
    ACTIONS(10326), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145382] = 2,
    ACTIONS(10328), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145390] = 2,
    ACTIONS(10330), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145398] = 2,
    ACTIONS(10332), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145406] = 2,
    ACTIONS(10334), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145414] = 2,
    ACTIONS(10336), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145422] = 2,
    ACTIONS(10304), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145430] = 2,
    ACTIONS(10338), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145438] = 2,
    ACTIONS(10340), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145446] = 2,
    ACTIONS(10342), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145454] = 2,
    ACTIONS(10018), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145462] = 2,
    ACTIONS(10344), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145470] = 2,
    ACTIONS(10346), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145478] = 2,
    ACTIONS(3997), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145486] = 2,
    ACTIONS(10348), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145494] = 2,
    ACTIONS(10350), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145502] = 2,
    ACTIONS(10352), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145510] = 2,
    ACTIONS(10354), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145518] = 2,
    ACTIONS(10356), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145526] = 2,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145534] = 2,
    ACTIONS(10360), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145542] = 2,
    ACTIONS(10362), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145550] = 2,
    ACTIONS(10364), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145558] = 2,
    ACTIONS(10366), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145566] = 2,
    ACTIONS(10368), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145574] = 2,
    ACTIONS(10370), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145582] = 2,
    ACTIONS(10372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145590] = 2,
    ACTIONS(10374), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145598] = 2,
    ACTIONS(10376), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145606] = 2,
    ACTIONS(10378), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145614] = 2,
    ACTIONS(5643), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145622] = 2,
    ACTIONS(10380), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145630] = 2,
    ACTIONS(10382), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145638] = 2,
    ACTIONS(10384), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145646] = 2,
    ACTIONS(10386), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145654] = 2,
    ACTIONS(10388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145662] = 2,
    ACTIONS(10390), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145670] = 2,
    ACTIONS(10392), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145678] = 2,
    ACTIONS(9256), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145686] = 2,
    ACTIONS(10394), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145694] = 2,
    ACTIONS(10396), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145702] = 2,
    ACTIONS(10398), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145710] = 2,
    ACTIONS(10400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145718] = 2,
    ACTIONS(10402), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145726] = 2,
    ACTIONS(10404), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145734] = 2,
    ACTIONS(10406), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145742] = 2,
    ACTIONS(10408), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145750] = 2,
    ACTIONS(10410), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145758] = 2,
    ACTIONS(10412), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145766] = 2,
    ACTIONS(10414), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145774] = 2,
    ACTIONS(10416), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145782] = 2,
    ACTIONS(6103), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145790] = 2,
    ACTIONS(10418), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145798] = 2,
    ACTIONS(10420), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145806] = 2,
    ACTIONS(10422), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145814] = 2,
    ACTIONS(10424), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145822] = 2,
    ACTIONS(10426), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145830] = 2,
    ACTIONS(9376), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145838] = 2,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145846] = 2,
    ACTIONS(10430), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145854] = 2,
    ACTIONS(10162), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145862] = 2,
    ACTIONS(10432), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145870] = 2,
    ACTIONS(10434), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145878] = 2,
    ACTIONS(10436), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145886] = 2,
    ACTIONS(10438), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145894] = 2,
    ACTIONS(10440), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145902] = 2,
    ACTIONS(10442), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145910] = 2,
    ACTIONS(10444), 1,
      aux_sym_keyword_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145918] = 2,
    ACTIONS(10446), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145926] = 2,
    ACTIONS(5954), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145934] = 2,
    ACTIONS(10448), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145942] = 2,
    ACTIONS(10450), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145950] = 2,
    ACTIONS(4599), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145958] = 2,
    ACTIONS(10452), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145966] = 2,
    ACTIONS(10454), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145974] = 2,
    ACTIONS(10456), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145982] = 2,
    ACTIONS(10458), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145990] = 2,
    ACTIONS(10460), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145998] = 2,
    ACTIONS(10462), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146006] = 2,
    ACTIONS(10464), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146014] = 2,
    ACTIONS(10466), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146022] = 2,
    ACTIONS(10468), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146030] = 2,
    ACTIONS(10470), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146038] = 2,
    ACTIONS(10472), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146046] = 2,
    ACTIONS(10474), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146054] = 2,
    ACTIONS(10476), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146062] = 2,
    ACTIONS(10478), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146070] = 2,
    ACTIONS(10480), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146078] = 2,
    ACTIONS(10482), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146086] = 2,
    ACTIONS(10484), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146094] = 2,
    ACTIONS(10486), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146102] = 2,
    ACTIONS(10488), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146110] = 2,
    ACTIONS(5835), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146118] = 2,
    ACTIONS(10490), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146126] = 2,
    ACTIONS(10296), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146134] = 2,
    ACTIONS(10492), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146142] = 2,
    ACTIONS(10494), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146150] = 2,
    ACTIONS(10496), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146158] = 2,
    ACTIONS(8758), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146166] = 2,
    ACTIONS(10498), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146174] = 2,
    ACTIONS(10500), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146182] = 2,
    ACTIONS(10502), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146190] = 2,
    ACTIONS(10504), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146198] = 2,
    ACTIONS(10506), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146206] = 2,
    ACTIONS(10508), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146214] = 2,
    ACTIONS(10510), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146222] = 2,
    ACTIONS(6215), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146230] = 2,
    ACTIONS(10512), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146238] = 2,
    ACTIONS(10514), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146246] = 2,
    ACTIONS(8911), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146254] = 2,
    ACTIONS(10516), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146262] = 2,
    ACTIONS(10518), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146270] = 2,
    ACTIONS(10520), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146278] = 2,
    ACTIONS(10522), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146286] = 2,
    ACTIONS(10524), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146294] = 2,
    ACTIONS(10526), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146302] = 2,
    ACTIONS(10528), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146310] = 2,
    ACTIONS(10530), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146318] = 2,
    ACTIONS(10532), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146326] = 2,
    ACTIONS(10534), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146334] = 2,
    ACTIONS(10314), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146342] = 2,
    ACTIONS(7288), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146350] = 2,
    ACTIONS(10536), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146358] = 2,
    ACTIONS(7535), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146366] = 2,
    ACTIONS(10538), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146374] = 2,
    ACTIONS(5869), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146382] = 2,
    ACTIONS(10540), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146390] = 2,
    ACTIONS(10542), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146398] = 2,
    ACTIONS(10544), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146406] = 2,
    ACTIONS(10546), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146414] = 2,
    ACTIONS(10548), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146422] = 2,
    ACTIONS(10550), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146430] = 2,
    ACTIONS(10552), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146438] = 2,
    ACTIONS(10554), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146446] = 2,
    ACTIONS(10556), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146454] = 2,
    ACTIONS(10558), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146462] = 2,
    ACTIONS(10560), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146470] = 2,
    ACTIONS(10562), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146478] = 2,
    ACTIONS(10564), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146486] = 2,
    ACTIONS(10566), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146494] = 2,
    ACTIONS(10568), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146502] = 2,
    ACTIONS(10570), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146510] = 2,
    ACTIONS(10572), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146518] = 2,
    ACTIONS(7386), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146526] = 2,
    ACTIONS(10574), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146534] = 2,
    ACTIONS(10576), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146542] = 2,
    ACTIONS(10578), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146550] = 2,
    ACTIONS(10580), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146558] = 2,
    ACTIONS(10582), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146566] = 2,
    ACTIONS(10584), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146574] = 2,
    ACTIONS(10266), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146582] = 2,
    ACTIONS(10586), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146590] = 2,
    ACTIONS(10588), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146598] = 2,
    ACTIONS(10590), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146606] = 2,
    ACTIONS(10592), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146614] = 2,
    ACTIONS(10594), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146622] = 2,
    ACTIONS(10596), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146630] = 2,
    ACTIONS(10598), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146638] = 2,
    ACTIONS(9244), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146646] = 2,
    ACTIONS(10600), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146654] = 2,
    ACTIONS(10602), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146662] = 2,
    ACTIONS(10604), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146670] = 2,
    ACTIONS(10606), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146678] = 2,
    ACTIONS(10608), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146686] = 2,
    ACTIONS(10610), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146694] = 2,
    ACTIONS(10612), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146702] = 2,
    ACTIONS(10614), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146710] = 2,
    ACTIONS(10616), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146718] = 2,
    ACTIONS(10618), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146726] = 2,
    ACTIONS(10620), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146734] = 2,
    ACTIONS(10622), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146742] = 2,
    ACTIONS(8346), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146750] = 2,
    ACTIONS(10624), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146758] = 2,
    ACTIONS(10626), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146766] = 2,
    ACTIONS(10628), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146774] = 2,
    ACTIONS(10630), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146782] = 2,
    ACTIONS(10632), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146790] = 2,
    ACTIONS(10634), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146798] = 2,
    ACTIONS(10636), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146806] = 2,
    ACTIONS(10638), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146814] = 2,
    ACTIONS(10640), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146822] = 2,
    ACTIONS(10642), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146830] = 2,
    ACTIONS(10644), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146838] = 2,
    ACTIONS(10646), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146846] = 2,
    ACTIONS(10648), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146854] = 2,
    ACTIONS(10650), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146862] = 2,
    ACTIONS(10652), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146870] = 2,
    ACTIONS(10654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146878] = 2,
    ACTIONS(10656), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146886] = 2,
    ACTIONS(10658), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146894] = 2,
    ACTIONS(10660), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146902] = 2,
    ACTIONS(10662), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146910] = 2,
    ACTIONS(10664), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146918] = 2,
    ACTIONS(10666), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146926] = 2,
    ACTIONS(10668), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146934] = 2,
    ACTIONS(10670), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146942] = 2,
    ACTIONS(10672), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146950] = 2,
    ACTIONS(10674), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146958] = 2,
    ACTIONS(10676), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146966] = 2,
    ACTIONS(10678), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146974] = 2,
    ACTIONS(10680), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146982] = 2,
    ACTIONS(10682), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146990] = 2,
    ACTIONS(10684), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146998] = 2,
    ACTIONS(10686), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147006] = 2,
    ACTIONS(10688), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147014] = 2,
    ACTIONS(10690), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147022] = 2,
    ACTIONS(10692), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147030] = 2,
    ACTIONS(10694), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147038] = 2,
    ACTIONS(10696), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147046] = 2,
    ACTIONS(10698), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147054] = 2,
    ACTIONS(10700), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147062] = 2,
    ACTIONS(6862), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147070] = 2,
    ACTIONS(10702), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147078] = 2,
    ACTIONS(9974), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147086] = 2,
    ACTIONS(10704), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147094] = 2,
    ACTIONS(10706), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147102] = 2,
    ACTIONS(10708), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147110] = 2,
    ACTIONS(8658), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147118] = 2,
    ACTIONS(10710), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147126] = 2,
    ACTIONS(10712), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147134] = 2,
    ACTIONS(10714), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147142] = 2,
    ACTIONS(10716), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147150] = 2,
    ACTIONS(10718), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147158] = 2,
    ACTIONS(10720), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147166] = 2,
    ACTIONS(10722), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147174] = 2,
    ACTIONS(10724), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147182] = 2,
    ACTIONS(10726), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147190] = 2,
    ACTIONS(10728), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147198] = 2,
    ACTIONS(10730), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147206] = 2,
    ACTIONS(10732), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147214] = 2,
    ACTIONS(10734), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147222] = 2,
    ACTIONS(10736), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147230] = 2,
    ACTIONS(10738), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147238] = 2,
    ACTIONS(10740), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147246] = 2,
    ACTIONS(10742), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147254] = 2,
    ACTIONS(10744), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147262] = 2,
    ACTIONS(10746), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147270] = 2,
    ACTIONS(10748), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147278] = 2,
    ACTIONS(10750), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147286] = 2,
    ACTIONS(10752), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147294] = 2,
    ACTIONS(10754), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147302] = 2,
    ACTIONS(10756), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147310] = 2,
    ACTIONS(10758), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147318] = 2,
    ACTIONS(10760), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147326] = 2,
    ACTIONS(10762), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147334] = 2,
    ACTIONS(10764), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147342] = 2,
    ACTIONS(10766), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147350] = 2,
    ACTIONS(10768), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147358] = 2,
    ACTIONS(10770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147366] = 2,
    ACTIONS(10772), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147374] = 2,
    ACTIONS(10774), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147382] = 2,
    ACTIONS(10776), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147390] = 2,
    ACTIONS(9127), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147398] = 2,
    ACTIONS(10778), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147406] = 2,
    ACTIONS(10780), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147414] = 2,
    ACTIONS(10782), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147422] = 2,
    ACTIONS(10784), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147430] = 2,
    ACTIONS(10786), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147438] = 2,
    ACTIONS(10788), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147446] = 2,
    ACTIONS(10790), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147454] = 2,
    ACTIONS(10792), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147462] = 2,
    ACTIONS(10794), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147470] = 2,
    ACTIONS(10796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147478] = 2,
    ACTIONS(10798), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147486] = 2,
    ACTIONS(10800), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147494] = 2,
    ACTIONS(10802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147502] = 2,
    ACTIONS(10804), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147510] = 2,
    ACTIONS(7531), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147518] = 2,
    ACTIONS(10806), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147526] = 2,
    ACTIONS(10808), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147534] = 2,
    ACTIONS(10810), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147542] = 2,
    ACTIONS(10812), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147550] = 2,
    ACTIONS(10814), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147558] = 2,
    ACTIONS(10816), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147566] = 2,
    ACTIONS(10818), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147574] = 2,
    ACTIONS(10820), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147582] = 2,
    ACTIONS(9090), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147590] = 2,
    ACTIONS(10822), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147598] = 2,
    ACTIONS(10824), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147606] = 2,
    ACTIONS(10826), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147614] = 2,
    ACTIONS(10828), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147622] = 2,
    ACTIONS(10830), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147630] = 2,
    ACTIONS(10832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147638] = 2,
    ACTIONS(10834), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147646] = 2,
    ACTIONS(10836), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147654] = 2,
    ACTIONS(9342), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147662] = 2,
    ACTIONS(10838), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147670] = 2,
    ACTIONS(10840), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147678] = 2,
    ACTIONS(10842), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147686] = 2,
    ACTIONS(10844), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147694] = 2,
    ACTIONS(6443), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147702] = 2,
    ACTIONS(10846), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147710] = 2,
    ACTIONS(10848), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147718] = 2,
    ACTIONS(8880), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147726] = 2,
    ACTIONS(10850), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147734] = 2,
    ACTIONS(10852), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147742] = 2,
    ACTIONS(10854), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147750] = 2,
    ACTIONS(10856), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147758] = 2,
    ACTIONS(10858), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147766] = 2,
    ACTIONS(10860), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147774] = 2,
    ACTIONS(10862), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147782] = 2,
    ACTIONS(8779), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147790] = 2,
    ACTIONS(10864), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147798] = 2,
    ACTIONS(10866), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147806] = 2,
    ACTIONS(10868), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147814] = 2,
    ACTIONS(10870), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147822] = 2,
    ACTIONS(10872), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147830] = 2,
    ACTIONS(10874), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147838] = 2,
    ACTIONS(10876), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147846] = 2,
    ACTIONS(8634), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147854] = 2,
    ACTIONS(10878), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147862] = 2,
    ACTIONS(9216), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147870] = 2,
    ACTIONS(10880), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147878] = 2,
    ACTIONS(10882), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147886] = 2,
    ACTIONS(10884), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147894] = 2,
    ACTIONS(10886), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147902] = 2,
    ACTIONS(10888), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147910] = 2,
    ACTIONS(8535), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147918] = 2,
    ACTIONS(7322), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147926] = 2,
    ACTIONS(10890), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147934] = 2,
    ACTIONS(10892), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147942] = 2,
    ACTIONS(10894), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147950] = 2,
    ACTIONS(10896), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147958] = 2,
    ACTIONS(10898), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147966] = 2,
    ACTIONS(10900), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147974] = 2,
    ACTIONS(8589), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147982] = 2,
    ACTIONS(10902), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147990] = 2,
    ACTIONS(10904), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147998] = 2,
    ACTIONS(10906), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148006] = 2,
    ACTIONS(10908), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148014] = 2,
    ACTIONS(9994), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148022] = 2,
    ACTIONS(10910), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148030] = 2,
    ACTIONS(10912), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148038] = 2,
    ACTIONS(8547), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148046] = 2,
    ACTIONS(8202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148054] = 2,
    ACTIONS(10914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148062] = 2,
    ACTIONS(10916), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148070] = 2,
    ACTIONS(10918), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148078] = 2,
    ACTIONS(10920), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148086] = 2,
    ACTIONS(10922), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148094] = 2,
    ACTIONS(10924), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148102] = 2,
    ACTIONS(8931), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148110] = 2,
    ACTIONS(10926), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148118] = 2,
    ACTIONS(10928), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148126] = 2,
    ACTIONS(10930), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148134] = 2,
    ACTIONS(10932), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148142] = 2,
    ACTIONS(10934), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148150] = 2,
    ACTIONS(10936), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148158] = 2,
    ACTIONS(10938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148166] = 2,
    ACTIONS(8683), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148174] = 2,
    ACTIONS(10940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148182] = 2,
    ACTIONS(8248), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148190] = 2,
    ACTIONS(10942), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148198] = 2,
    ACTIONS(10944), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148206] = 2,
    ACTIONS(10946), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148214] = 2,
    ACTIONS(10948), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148222] = 2,
    ACTIONS(10950), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148230] = 2,
    ACTIONS(9076), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148238] = 2,
    ACTIONS(10952), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148246] = 2,
    ACTIONS(10954), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148254] = 2,
    ACTIONS(10956), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148262] = 2,
    ACTIONS(10958), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148270] = 2,
    ACTIONS(10326), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148278] = 2,
    ACTIONS(10960), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148286] = 2,
    ACTIONS(10962), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148294] = 2,
    ACTIONS(9117), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148302] = 2,
    ACTIONS(10964), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148310] = 2,
    ACTIONS(10966), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148318] = 2,
    ACTIONS(10968), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148326] = 2,
    ACTIONS(10970), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148334] = 2,
    ACTIONS(10972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148342] = 2,
    ACTIONS(10974), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148350] = 2,
    ACTIONS(10976), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148358] = 2,
    ACTIONS(9009), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148366] = 2,
    ACTIONS(10978), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148374] = 2,
    ACTIONS(10980), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148382] = 2,
    ACTIONS(10982), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148390] = 2,
    ACTIONS(10984), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148398] = 2,
    ACTIONS(10284), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148406] = 2,
    ACTIONS(10986), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148414] = 2,
    ACTIONS(10988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148422] = 2,
    ACTIONS(9334), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148430] = 2,
    ACTIONS(10990), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148438] = 2,
    ACTIONS(10992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148446] = 2,
    ACTIONS(10994), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148454] = 2,
    ACTIONS(10996), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148462] = 2,
    ACTIONS(10998), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148470] = 2,
    ACTIONS(11000), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148478] = 2,
    ACTIONS(11002), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148486] = 2,
    ACTIONS(9358), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148494] = 2,
    ACTIONS(11004), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148502] = 2,
    ACTIONS(9224), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148510] = 2,
    ACTIONS(11006), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148518] = 2,
    ACTIONS(11008), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148526] = 2,
    ACTIONS(11010), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148534] = 2,
    ACTIONS(11012), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148542] = 2,
    ACTIONS(11014), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148550] = 2,
    ACTIONS(8591), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148558] = 2,
    ACTIONS(11016), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148566] = 2,
    ACTIONS(11018), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148574] = 2,
    ACTIONS(11020), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148582] = 2,
    ACTIONS(11022), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148590] = 2,
    ACTIONS(11024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148598] = 2,
    ACTIONS(11026), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148606] = 2,
    ACTIONS(10200), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148614] = 2,
    ACTIONS(8457), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148622] = 2,
    ACTIONS(11028), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148630] = 2,
    ACTIONS(11030), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148638] = 2,
    ACTIONS(11032), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148646] = 2,
    ACTIONS(11034), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148654] = 2,
    ACTIONS(11036), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148662] = 2,
    ACTIONS(11038), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148670] = 2,
    ACTIONS(11040), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148678] = 2,
    ACTIONS(8467), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148686] = 2,
    ACTIONS(11042), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148694] = 2,
    ACTIONS(8615), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148702] = 2,
    ACTIONS(11044), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148710] = 2,
    ACTIONS(11046), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148718] = 2,
    ACTIONS(11048), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148726] = 2,
    ACTIONS(11050), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148734] = 2,
    ACTIONS(11052), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148742] = 2,
    ACTIONS(8557), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148750] = 2,
    ACTIONS(11054), 1,
      aux_sym_implicit_range_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148758] = 2,
    ACTIONS(11056), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148766] = 2,
    ACTIONS(11058), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148774] = 2,
    ACTIONS(11060), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148782] = 2,
    ACTIONS(11062), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148790] = 2,
    ACTIONS(11064), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148798] = 2,
    ACTIONS(11066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148806] = 2,
    ACTIONS(8673), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148814] = 2,
    ACTIONS(11068), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148822] = 2,
    ACTIONS(11070), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148830] = 2,
    ACTIONS(11072), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148838] = 2,
    ACTIONS(11074), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148846] = 2,
    ACTIONS(11076), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148854] = 2,
    ACTIONS(11078), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148862] = 2,
    ACTIONS(11080), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148870] = 2,
    ACTIONS(8921), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148878] = 2,
    ACTIONS(11082), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148886] = 2,
    ACTIONS(11084), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148894] = 2,
    ACTIONS(11086), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148902] = 2,
    ACTIONS(11088), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148910] = 2,
    ACTIONS(11090), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148918] = 2,
    ACTIONS(11092), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148926] = 2,
    ACTIONS(11094), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148934] = 2,
    ACTIONS(8953), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148942] = 2,
    ACTIONS(11096), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148950] = 2,
    ACTIONS(11098), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148958] = 2,
    ACTIONS(11100), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148966] = 2,
    ACTIONS(11102), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148974] = 2,
    ACTIONS(11104), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148982] = 2,
    ACTIONS(11106), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148990] = 2,
    ACTIONS(11108), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148998] = 2,
    ACTIONS(9062), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149006] = 2,
    ACTIONS(11110), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149014] = 2,
    ACTIONS(11112), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149022] = 2,
    ACTIONS(11114), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149030] = 2,
    ACTIONS(11116), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149038] = 2,
    ACTIONS(11118), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149046] = 2,
    ACTIONS(11120), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149054] = 2,
    ACTIONS(11122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149062] = 2,
    ACTIONS(9105), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149070] = 2,
    ACTIONS(11124), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149078] = 2,
    ACTIONS(11126), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149086] = 2,
    ACTIONS(11128), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149094] = 2,
    ACTIONS(11130), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149102] = 2,
    ACTIONS(11132), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149110] = 2,
    ACTIONS(11134), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149118] = 2,
    ACTIONS(11136), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149126] = 2,
    ACTIONS(9166), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149134] = 2,
    ACTIONS(11138), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149142] = 2,
    ACTIONS(11140), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149150] = 2,
    ACTIONS(11142), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149158] = 2,
    ACTIONS(11144), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149166] = 2,
    ACTIONS(11146), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149174] = 2,
    ACTIONS(11148), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149182] = 2,
    ACTIONS(11150), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149190] = 2,
    ACTIONS(9207), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149198] = 2,
    ACTIONS(11152), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149206] = 2,
    ACTIONS(11154), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149214] = 2,
    ACTIONS(11156), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149222] = 2,
    ACTIONS(11158), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149230] = 2,
    ACTIONS(11160), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149238] = 2,
    ACTIONS(11162), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149246] = 2,
    ACTIONS(11164), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149254] = 2,
    ACTIONS(11166), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149262] = 2,
    ACTIONS(11168), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149270] = 2,
    ACTIONS(11170), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149278] = 2,
    ACTIONS(11172), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149286] = 2,
    ACTIONS(6915), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149294] = 2,
    ACTIONS(11174), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149302] = 2,
    ACTIONS(11176), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149310] = 2,
    ACTIONS(11178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149318] = 2,
    ACTIONS(6097), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149326] = 2,
    ACTIONS(11180), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149334] = 2,
    ACTIONS(11182), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149342] = 2,
    ACTIONS(11184), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149350] = 2,
    ACTIONS(11186), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149358] = 2,
    ACTIONS(11188), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149366] = 2,
    ACTIONS(11190), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149374] = 2,
    ACTIONS(11192), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149382] = 2,
    ACTIONS(11194), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149390] = 2,
    ACTIONS(11196), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149398] = 2,
    ACTIONS(11198), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149406] = 2,
    ACTIONS(11200), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149414] = 2,
    ACTIONS(11202), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149422] = 2,
    ACTIONS(11204), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149430] = 2,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149438] = 2,
    ACTIONS(11208), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149446] = 2,
    ACTIONS(11210), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149454] = 2,
    ACTIONS(11212), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149462] = 2,
    ACTIONS(11214), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149470] = 2,
    ACTIONS(11216), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149478] = 2,
    ACTIONS(11218), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149486] = 2,
    ACTIONS(11220), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149494] = 2,
    ACTIONS(11222), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149502] = 2,
    ACTIONS(7766), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149510] = 2,
    ACTIONS(11224), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149518] = 2,
    ACTIONS(11226), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149526] = 2,
    ACTIONS(11228), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149534] = 2,
    ACTIONS(11230), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149542] = 2,
    ACTIONS(11232), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149550] = 2,
    ACTIONS(11234), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149558] = 2,
    ACTIONS(11236), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149566] = 2,
    ACTIONS(11238), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149574] = 2,
    ACTIONS(11240), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149582] = 2,
    ACTIONS(11242), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149590] = 2,
    ACTIONS(11244), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149598] = 2,
    ACTIONS(11246), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149606] = 2,
    ACTIONS(11248), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149614] = 2,
    ACTIONS(11250), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149622] = 2,
    ACTIONS(11252), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149630] = 2,
    ACTIONS(11254), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149638] = 2,
    ACTIONS(11256), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149646] = 2,
    ACTIONS(11258), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149654] = 2,
    ACTIONS(11260), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149662] = 2,
    ACTIONS(11262), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149670] = 2,
    ACTIONS(7539), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149678] = 2,
    ACTIONS(7523), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149686] = 2,
    ACTIONS(11264), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149694] = 2,
    ACTIONS(11266), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149702] = 2,
    ACTIONS(11268), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149710] = 2,
    ACTIONS(11270), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149718] = 2,
    ACTIONS(4035), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149726] = 2,
    ACTIONS(11272), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149734] = 2,
    ACTIONS(11274), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149742] = 2,
    ACTIONS(7344), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149750] = 2,
    ACTIONS(11276), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149758] = 2,
    ACTIONS(11278), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149766] = 2,
    ACTIONS(11280), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149774] = 2,
    ACTIONS(11282), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149782] = 2,
    ACTIONS(11284), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149790] = 2,
    ACTIONS(11286), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149798] = 2,
    ACTIONS(8316), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149806] = 2,
    ACTIONS(11288), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149814] = 2,
    ACTIONS(11290), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149822] = 2,
    ACTIONS(11292), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149830] = 2,
    ACTIONS(4015), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149838] = 2,
    ACTIONS(11294), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149846] = 2,
    ACTIONS(11296), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149854] = 2,
    ACTIONS(4029), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149862] = 2,
    ACTIONS(11298), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149870] = 2,
    ACTIONS(11300), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149878] = 2,
    ACTIONS(11302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149886] = 2,
    ACTIONS(4021), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149894] = 2,
    ACTIONS(9323), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149902] = 2,
    ACTIONS(8888), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149910] = 2,
    ACTIONS(9564), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149918] = 2,
    ACTIONS(9574), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149926] = 2,
    ACTIONS(9576), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149934] = 2,
    ACTIONS(11304), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149942] = 2,
    ACTIONS(11306), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149950] = 2,
    ACTIONS(11308), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149958] = 2,
    ACTIONS(11310), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149966] = 2,
    ACTIONS(11312), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149974] = 2,
    ACTIONS(11314), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149982] = 2,
    ACTIONS(11316), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149990] = 2,
    ACTIONS(11318), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149998] = 2,
    ACTIONS(11320), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150006] = 2,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150014] = 2,
    ACTIONS(11324), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150022] = 2,
    ACTIONS(11326), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150030] = 2,
    ACTIONS(11328), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150038] = 2,
    ACTIONS(11330), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150046] = 2,
    ACTIONS(11332), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150054] = 2,
    ACTIONS(11334), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150062] = 2,
    ACTIONS(11336), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150070] = 2,
    ACTIONS(6417), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150078] = 2,
    ACTIONS(11338), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150086] = 2,
    ACTIONS(11340), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150094] = 2,
    ACTIONS(11342), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150102] = 2,
    ACTIONS(11344), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150110] = 2,
    ACTIONS(11346), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150118] = 2,
    ACTIONS(11348), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150126] = 2,
    ACTIONS(5918), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150134] = 2,
    ACTIONS(6694), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150142] = 2,
    ACTIONS(11350), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150150] = 2,
    ACTIONS(11352), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150158] = 2,
    ACTIONS(6740), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150166] = 2,
    ACTIONS(11354), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150174] = 2,
    ACTIONS(11356), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150182] = 2,
    ACTIONS(11358), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150190] = 2,
    ACTIONS(11360), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150198] = 2,
    ACTIONS(11362), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150206] = 2,
    ACTIONS(11364), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150214] = 2,
    ACTIONS(11366), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150222] = 2,
    ACTIONS(11368), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150230] = 2,
    ACTIONS(3975), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150238] = 2,
    ACTIONS(11370), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150246] = 2,
    ACTIONS(11372), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150254] = 2,
    ACTIONS(11374), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150262] = 2,
    ACTIONS(11376), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150270] = 2,
    ACTIONS(11378), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150278] = 2,
    ACTIONS(11380), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150286] = 2,
    ACTIONS(11382), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150294] = 2,
    ACTIONS(11384), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150302] = 2,
    ACTIONS(11386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150310] = 2,
    ACTIONS(11388), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150318] = 2,
    ACTIONS(11390), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150326] = 2,
    ACTIONS(11392), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150334] = 2,
    ACTIONS(11394), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150342] = 2,
    ACTIONS(11396), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150350] = 2,
    ACTIONS(11398), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150358] = 2,
    ACTIONS(11400), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150366] = 2,
    ACTIONS(11402), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150374] = 2,
    ACTIONS(11404), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150382] = 2,
    ACTIONS(11406), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150390] = 2,
    ACTIONS(3967), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150398] = 2,
    ACTIONS(11408), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150406] = 2,
    ACTIONS(11410), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150414] = 2,
    ACTIONS(11412), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150422] = 2,
    ACTIONS(11414), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150430] = 2,
    ACTIONS(11416), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150438] = 2,
    ACTIONS(11418), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150446] = 2,
    ACTIONS(11420), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150454] = 2,
    ACTIONS(11422), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150462] = 2,
    ACTIONS(11424), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150470] = 2,
    ACTIONS(11426), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150478] = 2,
    ACTIONS(11428), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150486] = 2,
    ACTIONS(11430), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150494] = 2,
    ACTIONS(11432), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150502] = 2,
    ACTIONS(11434), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150510] = 2,
    ACTIONS(11436), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150518] = 2,
    ACTIONS(11438), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150526] = 2,
    ACTIONS(11440), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150534] = 2,
    ACTIONS(11442), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150542] = 2,
    ACTIONS(11444), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150550] = 2,
    ACTIONS(11446), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150558] = 2,
    ACTIONS(11448), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150566] = 2,
    ACTIONS(11450), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150574] = 2,
    ACTIONS(11452), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150582] = 2,
    ACTIONS(11454), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150590] = 2,
    ACTIONS(11456), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150598] = 2,
    ACTIONS(11458), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150606] = 2,
    ACTIONS(11460), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150614] = 2,
    ACTIONS(11462), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150622] = 2,
    ACTIONS(11464), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150630] = 2,
    ACTIONS(11466), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150638] = 2,
    ACTIONS(11468), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150646] = 2,
    ACTIONS(11470), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150654] = 2,
    ACTIONS(11472), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150662] = 2,
    ACTIONS(11474), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150670] = 2,
    ACTIONS(11476), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150678] = 2,
    ACTIONS(11478), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150686] = 2,
    ACTIONS(11480), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150694] = 2,
    ACTIONS(11482), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150702] = 2,
    ACTIONS(11484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150710] = 2,
    ACTIONS(11486), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150718] = 2,
    ACTIONS(11488), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150726] = 2,
    ACTIONS(11490), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150734] = 2,
    ACTIONS(11492), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150742] = 2,
    ACTIONS(11494), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150750] = 2,
    ACTIONS(11496), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150758] = 2,
    ACTIONS(11498), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150766] = 2,
    ACTIONS(11500), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150774] = 2,
    ACTIONS(11502), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150782] = 2,
    ACTIONS(11504), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150790] = 2,
    ACTIONS(11506), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150798] = 2,
    ACTIONS(11508), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150806] = 2,
    ACTIONS(11510), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150814] = 2,
    ACTIONS(11512), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150822] = 2,
    ACTIONS(11514), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150830] = 2,
    ACTIONS(11516), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150838] = 2,
    ACTIONS(11518), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150846] = 2,
    ACTIONS(11520), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150854] = 2,
    ACTIONS(11522), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150862] = 2,
    ACTIONS(11524), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150870] = 2,
    ACTIONS(11526), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150878] = 2,
    ACTIONS(11528), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150886] = 2,
    ACTIONS(11530), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150894] = 2,
    ACTIONS(11532), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150902] = 2,
    ACTIONS(11534), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150910] = 2,
    ACTIONS(11536), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150918] = 2,
    ACTIONS(11538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150926] = 2,
    ACTIONS(11540), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150934] = 2,
    ACTIONS(11542), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150942] = 2,
    ACTIONS(11544), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150950] = 2,
    ACTIONS(11546), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150958] = 2,
    ACTIONS(11548), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150966] = 2,
    ACTIONS(11550), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150974] = 2,
    ACTIONS(11552), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150982] = 2,
    ACTIONS(11554), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150990] = 2,
    ACTIONS(11556), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150998] = 2,
    ACTIONS(11558), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151006] = 2,
    ACTIONS(11560), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151014] = 2,
    ACTIONS(11562), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151022] = 2,
    ACTIONS(11564), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151030] = 2,
    ACTIONS(11566), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151038] = 2,
    ACTIONS(11568), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151046] = 2,
    ACTIONS(11570), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151054] = 2,
    ACTIONS(11572), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151062] = 2,
    ACTIONS(11574), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151070] = 2,
    ACTIONS(11576), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151078] = 2,
    ACTIONS(11578), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151086] = 2,
    ACTIONS(11580), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151094] = 2,
    ACTIONS(11582), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151102] = 2,
    ACTIONS(11584), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151110] = 2,
    ACTIONS(11586), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151118] = 2,
    ACTIONS(11588), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151126] = 2,
    ACTIONS(11590), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151134] = 2,
    ACTIONS(11592), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151142] = 2,
    ACTIONS(11594), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151150] = 2,
    ACTIONS(11596), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151158] = 2,
    ACTIONS(11598), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151166] = 2,
    ACTIONS(11600), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151174] = 2,
    ACTIONS(11602), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151182] = 2,
    ACTIONS(11604), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151190] = 2,
    ACTIONS(11606), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151198] = 2,
    ACTIONS(11608), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151206] = 2,
    ACTIONS(8248), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151214] = 2,
    ACTIONS(11610), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151222] = 2,
    ACTIONS(11612), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151230] = 2,
    ACTIONS(11614), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151238] = 2,
    ACTIONS(11616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151246] = 2,
    ACTIONS(11618), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151254] = 2,
    ACTIONS(11620), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151262] = 2,
    ACTIONS(7527), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151270] = 2,
    ACTIONS(11622), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151278] = 2,
    ACTIONS(11624), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151286] = 2,
    ACTIONS(11626), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151294] = 2,
    ACTIONS(11628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151302] = 2,
    ACTIONS(8316), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151310] = 2,
    ACTIONS(11630), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151318] = 2,
    ACTIONS(11632), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151326] = 2,
    ACTIONS(11634), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151334] = 2,
    ACTIONS(11636), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151342] = 2,
    ACTIONS(11638), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151350] = 2,
    ACTIONS(11640), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151358] = 2,
    ACTIONS(11642), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151366] = 2,
    ACTIONS(11644), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151374] = 2,
    ACTIONS(11646), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151382] = 2,
    ACTIONS(11648), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151390] = 2,
    ACTIONS(11650), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151398] = 2,
    ACTIONS(11652), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151406] = 2,
    ACTIONS(11654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151414] = 2,
    ACTIONS(11656), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151422] = 2,
    ACTIONS(11658), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151430] = 2,
    ACTIONS(11660), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151438] = 2,
    ACTIONS(11662), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151446] = 2,
    ACTIONS(11664), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151454] = 2,
    ACTIONS(11666), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151462] = 2,
    ACTIONS(11668), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151470] = 2,
    ACTIONS(11670), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151478] = 2,
    ACTIONS(11672), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151486] = 2,
    ACTIONS(11674), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151494] = 2,
    ACTIONS(9956), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151502] = 2,
    ACTIONS(11676), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151510] = 2,
    ACTIONS(11678), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151518] = 2,
    ACTIONS(11680), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151526] = 2,
    ACTIONS(11682), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151534] = 2,
    ACTIONS(5795), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151542] = 2,
    ACTIONS(11684), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151550] = 2,
    ACTIONS(11686), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151558] = 2,
    ACTIONS(11688), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151566] = 2,
    ACTIONS(11690), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151574] = 2,
    ACTIONS(11692), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151582] = 2,
    ACTIONS(11694), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151590] = 2,
    ACTIONS(11696), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151598] = 2,
    ACTIONS(11698), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151606] = 2,
    ACTIONS(11700), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151614] = 2,
    ACTIONS(11702), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151622] = 2,
    ACTIONS(11704), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151630] = 2,
    ACTIONS(11706), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151638] = 2,
    ACTIONS(11708), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151646] = 2,
    ACTIONS(11710), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151654] = 2,
    ACTIONS(11712), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151662] = 2,
    ACTIONS(11714), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151670] = 2,
    ACTIONS(11716), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151678] = 2,
    ACTIONS(11718), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151686] = 2,
    ACTIONS(11720), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151694] = 2,
    ACTIONS(11722), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151702] = 2,
    ACTIONS(11724), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151710] = 2,
    ACTIONS(11726), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151718] = 2,
    ACTIONS(11728), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151726] = 2,
    ACTIONS(11730), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151734] = 2,
    ACTIONS(11732), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151742] = 2,
    ACTIONS(11734), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151750] = 2,
    ACTIONS(11736), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151758] = 2,
    ACTIONS(11738), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151766] = 2,
    ACTIONS(11740), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151774] = 2,
    ACTIONS(11742), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151782] = 2,
    ACTIONS(11744), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151790] = 2,
    ACTIONS(11746), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [151798] = 2,
    ACTIONS(11748), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151806] = 2,
    ACTIONS(11750), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151814] = 2,
    ACTIONS(11752), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151822] = 2,
    ACTIONS(11754), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151830] = 2,
    ACTIONS(11756), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151838] = 2,
    ACTIONS(11758), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151846] = 2,
    ACTIONS(11760), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151854] = 2,
    ACTIONS(8202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151862] = 2,
    ACTIONS(11762), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151870] = 2,
    ACTIONS(11764), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151878] = 2,
    ACTIONS(11766), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151886] = 2,
    ACTIONS(10178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151894] = 2,
    ACTIONS(11768), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151902] = 2,
    ACTIONS(11770), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151910] = 2,
    ACTIONS(11772), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151918] = 2,
    ACTIONS(11774), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151926] = 2,
    ACTIONS(11776), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151934] = 2,
    ACTIONS(11778), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151942] = 2,
    ACTIONS(11780), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151950] = 2,
    ACTIONS(11782), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151958] = 2,
    ACTIONS(11784), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151966] = 2,
    ACTIONS(11786), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151974] = 2,
    ACTIONS(11788), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151982] = 2,
    ACTIONS(11790), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151990] = 2,
    ACTIONS(11792), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151998] = 2,
    ACTIONS(11794), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152006] = 2,
    ACTIONS(11796), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152014] = 2,
    ACTIONS(11798), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152022] = 2,
    ACTIONS(11800), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152030] = 2,
    ACTIONS(11802), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152038] = 2,
    ACTIONS(11804), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152046] = 2,
    ACTIONS(11806), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152054] = 2,
    ACTIONS(11808), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152062] = 2,
    ACTIONS(11810), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152070] = 2,
    ACTIONS(11812), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152078] = 2,
    ACTIONS(11814), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152086] = 2,
    ACTIONS(11816), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152094] = 2,
    ACTIONS(11818), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152102] = 2,
    ACTIONS(11820), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152110] = 2,
    ACTIONS(11822), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152118] = 2,
    ACTIONS(11824), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152126] = 2,
    ACTIONS(11826), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152134] = 2,
    ACTIONS(11828), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152142] = 2,
    ACTIONS(11830), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152150] = 2,
    ACTIONS(11832), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152158] = 2,
    ACTIONS(11834), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152166] = 2,
    ACTIONS(11836), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152174] = 2,
    ACTIONS(11838), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152182] = 2,
    ACTIONS(11840), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1679)] = 0,
  [SMALL_STATE(1680)] = 71,
  [SMALL_STATE(1681)] = 142,
  [SMALL_STATE(1682)] = 213,
  [SMALL_STATE(1683)] = 284,
  [SMALL_STATE(1684)] = 355,
  [SMALL_STATE(1685)] = 426,
  [SMALL_STATE(1686)] = 543,
  [SMALL_STATE(1687)] = 614,
  [SMALL_STATE(1688)] = 685,
  [SMALL_STATE(1689)] = 808,
  [SMALL_STATE(1690)] = 879,
  [SMALL_STATE(1691)] = 950,
  [SMALL_STATE(1692)] = 1021,
  [SMALL_STATE(1693)] = 1092,
  [SMALL_STATE(1694)] = 1163,
  [SMALL_STATE(1695)] = 1234,
  [SMALL_STATE(1696)] = 1305,
  [SMALL_STATE(1697)] = 1376,
  [SMALL_STATE(1698)] = 1447,
  [SMALL_STATE(1699)] = 1518,
  [SMALL_STATE(1700)] = 1589,
  [SMALL_STATE(1701)] = 1660,
  [SMALL_STATE(1702)] = 1731,
  [SMALL_STATE(1703)] = 1802,
  [SMALL_STATE(1704)] = 1872,
  [SMALL_STATE(1705)] = 1942,
  [SMALL_STATE(1706)] = 2060,
  [SMALL_STATE(1707)] = 2130,
  [SMALL_STATE(1708)] = 2200,
  [SMALL_STATE(1709)] = 2270,
  [SMALL_STATE(1710)] = 2340,
  [SMALL_STATE(1711)] = 2410,
  [SMALL_STATE(1712)] = 2480,
  [SMALL_STATE(1713)] = 2550,
  [SMALL_STATE(1714)] = 2620,
  [SMALL_STATE(1715)] = 2690,
  [SMALL_STATE(1716)] = 2760,
  [SMALL_STATE(1717)] = 2874,
  [SMALL_STATE(1718)] = 2944,
  [SMALL_STATE(1719)] = 3014,
  [SMALL_STATE(1720)] = 3084,
  [SMALL_STATE(1721)] = 3154,
  [SMALL_STATE(1722)] = 3224,
  [SMALL_STATE(1723)] = 3294,
  [SMALL_STATE(1724)] = 3364,
  [SMALL_STATE(1725)] = 3434,
  [SMALL_STATE(1726)] = 3504,
  [SMALL_STATE(1727)] = 3574,
  [SMALL_STATE(1728)] = 3644,
  [SMALL_STATE(1729)] = 3714,
  [SMALL_STATE(1730)] = 3784,
  [SMALL_STATE(1731)] = 3854,
  [SMALL_STATE(1732)] = 3924,
  [SMALL_STATE(1733)] = 3994,
  [SMALL_STATE(1734)] = 4064,
  [SMALL_STATE(1735)] = 4134,
  [SMALL_STATE(1736)] = 4204,
  [SMALL_STATE(1737)] = 4274,
  [SMALL_STATE(1738)] = 4344,
  [SMALL_STATE(1739)] = 4414,
  [SMALL_STATE(1740)] = 4484,
  [SMALL_STATE(1741)] = 4554,
  [SMALL_STATE(1742)] = 4624,
  [SMALL_STATE(1743)] = 4694,
  [SMALL_STATE(1744)] = 4808,
  [SMALL_STATE(1745)] = 4877,
  [SMALL_STATE(1746)] = 4946,
  [SMALL_STATE(1747)] = 5015,
  [SMALL_STATE(1748)] = 5084,
  [SMALL_STATE(1749)] = 5199,
  [SMALL_STATE(1750)] = 5268,
  [SMALL_STATE(1751)] = 5337,
  [SMALL_STATE(1752)] = 5406,
  [SMALL_STATE(1753)] = 5525,
  [SMALL_STATE(1754)] = 5644,
  [SMALL_STATE(1755)] = 5765,
  [SMALL_STATE(1756)] = 5834,
  [SMALL_STATE(1757)] = 5955,
  [SMALL_STATE(1758)] = 6024,
  [SMALL_STATE(1759)] = 6093,
  [SMALL_STATE(1760)] = 6162,
  [SMALL_STATE(1761)] = 6231,
  [SMALL_STATE(1762)] = 6300,
  [SMALL_STATE(1763)] = 6369,
  [SMALL_STATE(1764)] = 6438,
  [SMALL_STATE(1765)] = 6507,
  [SMALL_STATE(1766)] = 6576,
  [SMALL_STATE(1767)] = 6645,
  [SMALL_STATE(1768)] = 6714,
  [SMALL_STATE(1769)] = 6783,
  [SMALL_STATE(1770)] = 6852,
  [SMALL_STATE(1771)] = 6921,
  [SMALL_STATE(1772)] = 6990,
  [SMALL_STATE(1773)] = 7059,
  [SMALL_STATE(1774)] = 7170,
  [SMALL_STATE(1775)] = 7239,
  [SMALL_STATE(1776)] = 7308,
  [SMALL_STATE(1777)] = 7377,
  [SMALL_STATE(1778)] = 7446,
  [SMALL_STATE(1779)] = 7515,
  [SMALL_STATE(1780)] = 7584,
  [SMALL_STATE(1781)] = 7653,
  [SMALL_STATE(1782)] = 7722,
  [SMALL_STATE(1783)] = 7791,
  [SMALL_STATE(1784)] = 7860,
  [SMALL_STATE(1785)] = 7929,
  [SMALL_STATE(1786)] = 7998,
  [SMALL_STATE(1787)] = 8067,
  [SMALL_STATE(1788)] = 8136,
  [SMALL_STATE(1789)] = 8205,
  [SMALL_STATE(1790)] = 8274,
  [SMALL_STATE(1791)] = 8343,
  [SMALL_STATE(1792)] = 8412,
  [SMALL_STATE(1793)] = 8481,
  [SMALL_STATE(1794)] = 8550,
  [SMALL_STATE(1795)] = 8619,
  [SMALL_STATE(1796)] = 8729,
  [SMALL_STATE(1797)] = 8839,
  [SMALL_STATE(1798)] = 8907,
  [SMALL_STATE(1799)] = 8975,
  [SMALL_STATE(1800)] = 9043,
  [SMALL_STATE(1801)] = 9111,
  [SMALL_STATE(1802)] = 9221,
  [SMALL_STATE(1803)] = 9289,
  [SMALL_STATE(1804)] = 9357,
  [SMALL_STATE(1805)] = 9425,
  [SMALL_STATE(1806)] = 9493,
  [SMALL_STATE(1807)] = 9561,
  [SMALL_STATE(1808)] = 9628,
  [SMALL_STATE(1809)] = 9735,
  [SMALL_STATE(1810)] = 9842,
  [SMALL_STATE(1811)] = 9947,
  [SMALL_STATE(1812)] = 10014,
  [SMALL_STATE(1813)] = 10121,
  [SMALL_STATE(1814)] = 10228,
  [SMALL_STATE(1815)] = 10295,
  [SMALL_STATE(1816)] = 10402,
  [SMALL_STATE(1817)] = 10509,
  [SMALL_STATE(1818)] = 10613,
  [SMALL_STATE(1819)] = 10679,
  [SMALL_STATE(1820)] = 10783,
  [SMALL_STATE(1821)] = 10849,
  [SMALL_STATE(1822)] = 10955,
  [SMALL_STATE(1823)] = 11061,
  [SMALL_STATE(1824)] = 11165,
  [SMALL_STATE(1825)] = 11269,
  [SMALL_STATE(1826)] = 11373,
  [SMALL_STATE(1827)] = 11479,
  [SMALL_STATE(1828)] = 11545,
  [SMALL_STATE(1829)] = 11611,
  [SMALL_STATE(1830)] = 11717,
  [SMALL_STATE(1831)] = 11823,
  [SMALL_STATE(1832)] = 11929,
  [SMALL_STATE(1833)] = 11995,
  [SMALL_STATE(1834)] = 12101,
  [SMALL_STATE(1835)] = 12209,
  [SMALL_STATE(1836)] = 12317,
  [SMALL_STATE(1837)] = 12423,
  [SMALL_STATE(1838)] = 12527,
  [SMALL_STATE(1839)] = 12633,
  [SMALL_STATE(1840)] = 12739,
  [SMALL_STATE(1841)] = 12805,
  [SMALL_STATE(1842)] = 12913,
  [SMALL_STATE(1843)] = 13021,
  [SMALL_STATE(1844)] = 13122,
  [SMALL_STATE(1845)] = 13205,
  [SMALL_STATE(1846)] = 13306,
  [SMALL_STATE(1847)] = 13407,
  [SMALL_STATE(1848)] = 13508,
  [SMALL_STATE(1849)] = 13609,
  [SMALL_STATE(1850)] = 13728,
  [SMALL_STATE(1851)] = 13831,
  [SMALL_STATE(1852)] = 13932,
  [SMALL_STATE(1853)] = 14033,
  [SMALL_STATE(1854)] = 14152,
  [SMALL_STATE(1855)] = 14235,
  [SMALL_STATE(1856)] = 14354,
  [SMALL_STATE(1857)] = 14455,
  [SMALL_STATE(1858)] = 14538,
  [SMALL_STATE(1859)] = 14621,
  [SMALL_STATE(1860)] = 14722,
  [SMALL_STATE(1861)] = 14825,
  [SMALL_STATE(1862)] = 14926,
  [SMALL_STATE(1863)] = 15009,
  [SMALL_STATE(1864)] = 15110,
  [SMALL_STATE(1865)] = 15211,
  [SMALL_STATE(1866)] = 15312,
  [SMALL_STATE(1867)] = 15413,
  [SMALL_STATE(1868)] = 15514,
  [SMALL_STATE(1869)] = 15615,
  [SMALL_STATE(1870)] = 15716,
  [SMALL_STATE(1871)] = 15781,
  [SMALL_STATE(1872)] = 15900,
  [SMALL_STATE(1873)] = 16005,
  [SMALL_STATE(1874)] = 16124,
  [SMALL_STATE(1875)] = 16225,
  [SMALL_STATE(1876)] = 16326,
  [SMALL_STATE(1877)] = 16427,
  [SMALL_STATE(1878)] = 16528,
  [SMALL_STATE(1879)] = 16629,
  [SMALL_STATE(1880)] = 16730,
  [SMALL_STATE(1881)] = 16831,
  [SMALL_STATE(1882)] = 16932,
  [SMALL_STATE(1883)] = 17033,
  [SMALL_STATE(1884)] = 17134,
  [SMALL_STATE(1885)] = 17237,
  [SMALL_STATE(1886)] = 17338,
  [SMALL_STATE(1887)] = 17421,
  [SMALL_STATE(1888)] = 17504,
  [SMALL_STATE(1889)] = 17605,
  [SMALL_STATE(1890)] = 17706,
  [SMALL_STATE(1891)] = 17807,
  [SMALL_STATE(1892)] = 17908,
  [SMALL_STATE(1893)] = 18009,
  [SMALL_STATE(1894)] = 18110,
  [SMALL_STATE(1895)] = 18193,
  [SMALL_STATE(1896)] = 18294,
  [SMALL_STATE(1897)] = 18395,
  [SMALL_STATE(1898)] = 18478,
  [SMALL_STATE(1899)] = 18579,
  [SMALL_STATE(1900)] = 18662,
  [SMALL_STATE(1901)] = 18763,
  [SMALL_STATE(1902)] = 18864,
  [SMALL_STATE(1903)] = 18947,
  [SMALL_STATE(1904)] = 19030,
  [SMALL_STATE(1905)] = 19113,
  [SMALL_STATE(1906)] = 19196,
  [SMALL_STATE(1907)] = 19279,
  [SMALL_STATE(1908)] = 19380,
  [SMALL_STATE(1909)] = 19485,
  [SMALL_STATE(1910)] = 19588,
  [SMALL_STATE(1911)] = 19689,
  [SMALL_STATE(1912)] = 19772,
  [SMALL_STATE(1913)] = 19873,
  [SMALL_STATE(1914)] = 19974,
  [SMALL_STATE(1915)] = 20075,
  [SMALL_STATE(1916)] = 20176,
  [SMALL_STATE(1917)] = 20277,
  [SMALL_STATE(1918)] = 20378,
  [SMALL_STATE(1919)] = 20479,
  [SMALL_STATE(1920)] = 20598,
  [SMALL_STATE(1921)] = 20701,
  [SMALL_STATE(1922)] = 20802,
  [SMALL_STATE(1923)] = 20903,
  [SMALL_STATE(1924)] = 21004,
  [SMALL_STATE(1925)] = 21107,
  [SMALL_STATE(1926)] = 21208,
  [SMALL_STATE(1927)] = 21309,
  [SMALL_STATE(1928)] = 21410,
  [SMALL_STATE(1929)] = 21511,
  [SMALL_STATE(1930)] = 21630,
  [SMALL_STATE(1931)] = 21731,
  [SMALL_STATE(1932)] = 21814,
  [SMALL_STATE(1933)] = 21915,
  [SMALL_STATE(1934)] = 21998,
  [SMALL_STATE(1935)] = 22099,
  [SMALL_STATE(1936)] = 22200,
  [SMALL_STATE(1937)] = 22301,
  [SMALL_STATE(1938)] = 22402,
  [SMALL_STATE(1939)] = 22503,
  [SMALL_STATE(1940)] = 22604,
  [SMALL_STATE(1941)] = 22723,
  [SMALL_STATE(1942)] = 22824,
  [SMALL_STATE(1943)] = 22925,
  [SMALL_STATE(1944)] = 23026,
  [SMALL_STATE(1945)] = 23091,
  [SMALL_STATE(1946)] = 23192,
  [SMALL_STATE(1947)] = 23293,
  [SMALL_STATE(1948)] = 23394,
  [SMALL_STATE(1949)] = 23495,
  [SMALL_STATE(1950)] = 23596,
  [SMALL_STATE(1951)] = 23697,
  [SMALL_STATE(1952)] = 23780,
  [SMALL_STATE(1953)] = 23881,
  [SMALL_STATE(1954)] = 23982,
  [SMALL_STATE(1955)] = 24083,
  [SMALL_STATE(1956)] = 24184,
  [SMALL_STATE(1957)] = 24285,
  [SMALL_STATE(1958)] = 24386,
  [SMALL_STATE(1959)] = 24487,
  [SMALL_STATE(1960)] = 24590,
  [SMALL_STATE(1961)] = 24673,
  [SMALL_STATE(1962)] = 24756,
  [SMALL_STATE(1963)] = 24859,
  [SMALL_STATE(1964)] = 24960,
  [SMALL_STATE(1965)] = 25061,
  [SMALL_STATE(1966)] = 25162,
  [SMALL_STATE(1967)] = 25263,
  [SMALL_STATE(1968)] = 25364,
  [SMALL_STATE(1969)] = 25447,
  [SMALL_STATE(1970)] = 25550,
  [SMALL_STATE(1971)] = 25651,
  [SMALL_STATE(1972)] = 25752,
  [SMALL_STATE(1973)] = 25871,
  [SMALL_STATE(1974)] = 25954,
  [SMALL_STATE(1975)] = 26055,
  [SMALL_STATE(1976)] = 26156,
  [SMALL_STATE(1977)] = 26257,
  [SMALL_STATE(1978)] = 26358,
  [SMALL_STATE(1979)] = 26459,
  [SMALL_STATE(1980)] = 26542,
  [SMALL_STATE(1981)] = 26625,
  [SMALL_STATE(1982)] = 26726,
  [SMALL_STATE(1983)] = 26827,
  [SMALL_STATE(1984)] = 26928,
  [SMALL_STATE(1985)] = 27029,
  [SMALL_STATE(1986)] = 27112,
  [SMALL_STATE(1987)] = 27213,
  [SMALL_STATE(1988)] = 27314,
  [SMALL_STATE(1989)] = 27415,
  [SMALL_STATE(1990)] = 27516,
  [SMALL_STATE(1991)] = 27617,
  [SMALL_STATE(1992)] = 27718,
  [SMALL_STATE(1993)] = 27819,
  [SMALL_STATE(1994)] = 27920,
  [SMALL_STATE(1995)] = 28021,
  [SMALL_STATE(1996)] = 28122,
  [SMALL_STATE(1997)] = 28223,
  [SMALL_STATE(1998)] = 28324,
  [SMALL_STATE(1999)] = 28440,
  [SMALL_STATE(2000)] = 28556,
  [SMALL_STATE(2001)] = 28672,
  [SMALL_STATE(2002)] = 28788,
  [SMALL_STATE(2003)] = 28904,
  [SMALL_STATE(2004)] = 29020,
  [SMALL_STATE(2005)] = 29136,
  [SMALL_STATE(2006)] = 29252,
  [SMALL_STATE(2007)] = 29368,
  [SMALL_STATE(2008)] = 29484,
  [SMALL_STATE(2009)] = 29600,
  [SMALL_STATE(2010)] = 29716,
  [SMALL_STATE(2011)] = 29832,
  [SMALL_STATE(2012)] = 29948,
  [SMALL_STATE(2013)] = 30064,
  [SMALL_STATE(2014)] = 30180,
  [SMALL_STATE(2015)] = 30296,
  [SMALL_STATE(2016)] = 30412,
  [SMALL_STATE(2017)] = 30528,
  [SMALL_STATE(2018)] = 30644,
  [SMALL_STATE(2019)] = 30760,
  [SMALL_STATE(2020)] = 30876,
  [SMALL_STATE(2021)] = 30992,
  [SMALL_STATE(2022)] = 31108,
  [SMALL_STATE(2023)] = 31224,
  [SMALL_STATE(2024)] = 31340,
  [SMALL_STATE(2025)] = 31456,
  [SMALL_STATE(2026)] = 31572,
  [SMALL_STATE(2027)] = 31688,
  [SMALL_STATE(2028)] = 31804,
  [SMALL_STATE(2029)] = 31920,
  [SMALL_STATE(2030)] = 32036,
  [SMALL_STATE(2031)] = 32152,
  [SMALL_STATE(2032)] = 32268,
  [SMALL_STATE(2033)] = 32384,
  [SMALL_STATE(2034)] = 32500,
  [SMALL_STATE(2035)] = 32616,
  [SMALL_STATE(2036)] = 32732,
  [SMALL_STATE(2037)] = 32848,
  [SMALL_STATE(2038)] = 32964,
  [SMALL_STATE(2039)] = 33080,
  [SMALL_STATE(2040)] = 33196,
  [SMALL_STATE(2041)] = 33312,
  [SMALL_STATE(2042)] = 33428,
  [SMALL_STATE(2043)] = 33544,
  [SMALL_STATE(2044)] = 33660,
  [SMALL_STATE(2045)] = 33776,
  [SMALL_STATE(2046)] = 33892,
  [SMALL_STATE(2047)] = 34008,
  [SMALL_STATE(2048)] = 34124,
  [SMALL_STATE(2049)] = 34240,
  [SMALL_STATE(2050)] = 34356,
  [SMALL_STATE(2051)] = 34424,
  [SMALL_STATE(2052)] = 34540,
  [SMALL_STATE(2053)] = 34656,
  [SMALL_STATE(2054)] = 34772,
  [SMALL_STATE(2055)] = 34888,
  [SMALL_STATE(2056)] = 35004,
  [SMALL_STATE(2057)] = 35120,
  [SMALL_STATE(2058)] = 35236,
  [SMALL_STATE(2059)] = 35352,
  [SMALL_STATE(2060)] = 35468,
  [SMALL_STATE(2061)] = 35584,
  [SMALL_STATE(2062)] = 35700,
  [SMALL_STATE(2063)] = 35779,
  [SMALL_STATE(2064)] = 35858,
  [SMALL_STATE(2065)] = 35937,
  [SMALL_STATE(2066)] = 36016,
  [SMALL_STATE(2067)] = 36095,
  [SMALL_STATE(2068)] = 36174,
  [SMALL_STATE(2069)] = 36253,
  [SMALL_STATE(2070)] = 36332,
  [SMALL_STATE(2071)] = 36411,
  [SMALL_STATE(2072)] = 36478,
  [SMALL_STATE(2073)] = 36557,
  [SMALL_STATE(2074)] = 36636,
  [SMALL_STATE(2075)] = 36715,
  [SMALL_STATE(2076)] = 36794,
  [SMALL_STATE(2077)] = 36857,
  [SMALL_STATE(2078)] = 36936,
  [SMALL_STATE(2079)] = 37015,
  [SMALL_STATE(2080)] = 37094,
  [SMALL_STATE(2081)] = 37173,
  [SMALL_STATE(2082)] = 37260,
  [SMALL_STATE(2083)] = 37339,
  [SMALL_STATE(2084)] = 37418,
  [SMALL_STATE(2085)] = 37497,
  [SMALL_STATE(2086)] = 37606,
  [SMALL_STATE(2087)] = 37685,
  [SMALL_STATE(2088)] = 37764,
  [SMALL_STATE(2089)] = 37843,
  [SMALL_STATE(2090)] = 37922,
  [SMALL_STATE(2091)] = 38001,
  [SMALL_STATE(2092)] = 38080,
  [SMALL_STATE(2093)] = 38189,
  [SMALL_STATE(2094)] = 38268,
  [SMALL_STATE(2095)] = 38347,
  [SMALL_STATE(2096)] = 38426,
  [SMALL_STATE(2097)] = 38505,
  [SMALL_STATE(2098)] = 38614,
  [SMALL_STATE(2099)] = 38693,
  [SMALL_STATE(2100)] = 38772,
  [SMALL_STATE(2101)] = 38851,
  [SMALL_STATE(2102)] = 38930,
  [SMALL_STATE(2103)] = 39009,
  [SMALL_STATE(2104)] = 39071,
  [SMALL_STATE(2105)] = 39133,
  [SMALL_STATE(2106)] = 39195,
  [SMALL_STATE(2107)] = 39257,
  [SMALL_STATE(2108)] = 39319,
  [SMALL_STATE(2109)] = 39381,
  [SMALL_STATE(2110)] = 39445,
  [SMALL_STATE(2111)] = 39507,
  [SMALL_STATE(2112)] = 39569,
  [SMALL_STATE(2113)] = 39631,
  [SMALL_STATE(2114)] = 39693,
  [SMALL_STATE(2115)] = 39755,
  [SMALL_STATE(2116)] = 39817,
  [SMALL_STATE(2117)] = 39879,
  [SMALL_STATE(2118)] = 39955,
  [SMALL_STATE(2119)] = 40016,
  [SMALL_STATE(2120)] = 40121,
  [SMALL_STATE(2121)] = 40226,
  [SMALL_STATE(2122)] = 40331,
  [SMALL_STATE(2123)] = 40392,
  [SMALL_STATE(2124)] = 40461,
  [SMALL_STATE(2125)] = 40522,
  [SMALL_STATE(2126)] = 40585,
  [SMALL_STATE(2127)] = 40658,
  [SMALL_STATE(2128)] = 40719,
  [SMALL_STATE(2129)] = 40785,
  [SMALL_STATE(2130)] = 40859,
  [SMALL_STATE(2131)] = 40931,
  [SMALL_STATE(2132)] = 40995,
  [SMALL_STATE(2133)] = 41061,
  [SMALL_STATE(2134)] = 41166,
  [SMALL_STATE(2135)] = 41271,
  [SMALL_STATE(2136)] = 41376,
  [SMALL_STATE(2137)] = 41435,
  [SMALL_STATE(2138)] = 41494,
  [SMALL_STATE(2139)] = 41598,
  [SMALL_STATE(2140)] = 41702,
  [SMALL_STATE(2141)] = 41806,
  [SMALL_STATE(2142)] = 41910,
  [SMALL_STATE(2143)] = 42014,
  [SMALL_STATE(2144)] = 42118,
  [SMALL_STATE(2145)] = 42222,
  [SMALL_STATE(2146)] = 42326,
  [SMALL_STATE(2147)] = 42430,
  [SMALL_STATE(2148)] = 42490,
  [SMALL_STATE(2149)] = 42594,
  [SMALL_STATE(2150)] = 42698,
  [SMALL_STATE(2151)] = 42758,
  [SMALL_STATE(2152)] = 42862,
  [SMALL_STATE(2153)] = 42966,
  [SMALL_STATE(2154)] = 43034,
  [SMALL_STATE(2155)] = 43138,
  [SMALL_STATE(2156)] = 43242,
  [SMALL_STATE(2157)] = 43346,
  [SMALL_STATE(2158)] = 43450,
  [SMALL_STATE(2159)] = 43554,
  [SMALL_STATE(2160)] = 43658,
  [SMALL_STATE(2161)] = 43759,
  [SMALL_STATE(2162)] = 43860,
  [SMALL_STATE(2163)] = 43961,
  [SMALL_STATE(2164)] = 44062,
  [SMALL_STATE(2165)] = 44119,
  [SMALL_STATE(2166)] = 44176,
  [SMALL_STATE(2167)] = 44233,
  [SMALL_STATE(2168)] = 44290,
  [SMALL_STATE(2169)] = 44347,
  [SMALL_STATE(2170)] = 44404,
  [SMALL_STATE(2171)] = 44461,
  [SMALL_STATE(2172)] = 44562,
  [SMALL_STATE(2173)] = 44663,
  [SMALL_STATE(2174)] = 44743,
  [SMALL_STATE(2175)] = 44827,
  [SMALL_STATE(2176)] = 44897,
  [SMALL_STATE(2177)] = 44965,
  [SMALL_STATE(2178)] = 45039,
  [SMALL_STATE(2179)] = 45117,
  [SMALL_STATE(2180)] = 45203,
  [SMALL_STATE(2181)] = 45289,
  [SMALL_STATE(2182)] = 45371,
  [SMALL_STATE(2183)] = 45445,
  [SMALL_STATE(2184)] = 45509,
  [SMALL_STATE(2185)] = 45587,
  [SMALL_STATE(2186)] = 45653,
  [SMALL_STATE(2187)] = 45726,
  [SMALL_STATE(2188)] = 45787,
  [SMALL_STATE(2189)] = 45839,
  [SMALL_STATE(2190)] = 45891,
  [SMALL_STATE(2191)] = 45943,
  [SMALL_STATE(2192)] = 45995,
  [SMALL_STATE(2193)] = 46047,
  [SMALL_STATE(2194)] = 46099,
  [SMALL_STATE(2195)] = 46190,
  [SMALL_STATE(2196)] = 46281,
  [SMALL_STATE(2197)] = 46372,
  [SMALL_STATE(2198)] = 46463,
  [SMALL_STATE(2199)] = 46514,
  [SMALL_STATE(2200)] = 46605,
  [SMALL_STATE(2201)] = 46696,
  [SMALL_STATE(2202)] = 46787,
  [SMALL_STATE(2203)] = 46878,
  [SMALL_STATE(2204)] = 46969,
  [SMALL_STATE(2205)] = 47060,
  [SMALL_STATE(2206)] = 47151,
  [SMALL_STATE(2207)] = 47242,
  [SMALL_STATE(2208)] = 47293,
  [SMALL_STATE(2209)] = 47384,
  [SMALL_STATE(2210)] = 47435,
  [SMALL_STATE(2211)] = 47526,
  [SMALL_STATE(2212)] = 47617,
  [SMALL_STATE(2213)] = 47708,
  [SMALL_STATE(2214)] = 47799,
  [SMALL_STATE(2215)] = 47890,
  [SMALL_STATE(2216)] = 47981,
  [SMALL_STATE(2217)] = 48032,
  [SMALL_STATE(2218)] = 48123,
  [SMALL_STATE(2219)] = 48214,
  [SMALL_STATE(2220)] = 48305,
  [SMALL_STATE(2221)] = 48396,
  [SMALL_STATE(2222)] = 48487,
  [SMALL_STATE(2223)] = 48578,
  [SMALL_STATE(2224)] = 48629,
  [SMALL_STATE(2225)] = 48680,
  [SMALL_STATE(2226)] = 48771,
  [SMALL_STATE(2227)] = 48862,
  [SMALL_STATE(2228)] = 48953,
  [SMALL_STATE(2229)] = 49041,
  [SMALL_STATE(2230)] = 49090,
  [SMALL_STATE(2231)] = 49161,
  [SMALL_STATE(2232)] = 49210,
  [SMALL_STATE(2233)] = 49259,
  [SMALL_STATE(2234)] = 49308,
  [SMALL_STATE(2235)] = 49357,
  [SMALL_STATE(2236)] = 49418,
  [SMALL_STATE(2237)] = 49467,
  [SMALL_STATE(2238)] = 49516,
  [SMALL_STATE(2239)] = 49565,
  [SMALL_STATE(2240)] = 49636,
  [SMALL_STATE(2241)] = 49707,
  [SMALL_STATE(2242)] = 49756,
  [SMALL_STATE(2243)] = 49827,
  [SMALL_STATE(2244)] = 49898,
  [SMALL_STATE(2245)] = 49969,
  [SMALL_STATE(2246)] = 50040,
  [SMALL_STATE(2247)] = 50111,
  [SMALL_STATE(2248)] = 50182,
  [SMALL_STATE(2249)] = 50231,
  [SMALL_STATE(2250)] = 50302,
  [SMALL_STATE(2251)] = 50373,
  [SMALL_STATE(2252)] = 50422,
  [SMALL_STATE(2253)] = 50471,
  [SMALL_STATE(2254)] = 50520,
  [SMALL_STATE(2255)] = 50588,
  [SMALL_STATE(2256)] = 50656,
  [SMALL_STATE(2257)] = 50704,
  [SMALL_STATE(2258)] = 50752,
  [SMALL_STATE(2259)] = 50820,
  [SMALL_STATE(2260)] = 50888,
  [SMALL_STATE(2261)] = 50956,
  [SMALL_STATE(2262)] = 51024,
  [SMALL_STATE(2263)] = 51092,
  [SMALL_STATE(2264)] = 51160,
  [SMALL_STATE(2265)] = 51228,
  [SMALL_STATE(2266)] = 51296,
  [SMALL_STATE(2267)] = 51344,
  [SMALL_STATE(2268)] = 51412,
  [SMALL_STATE(2269)] = 51480,
  [SMALL_STATE(2270)] = 51548,
  [SMALL_STATE(2271)] = 51616,
  [SMALL_STATE(2272)] = 51664,
  [SMALL_STATE(2273)] = 51732,
  [SMALL_STATE(2274)] = 51800,
  [SMALL_STATE(2275)] = 51868,
  [SMALL_STATE(2276)] = 51916,
  [SMALL_STATE(2277)] = 51984,
  [SMALL_STATE(2278)] = 52032,
  [SMALL_STATE(2279)] = 52100,
  [SMALL_STATE(2280)] = 52168,
  [SMALL_STATE(2281)] = 52236,
  [SMALL_STATE(2282)] = 52284,
  [SMALL_STATE(2283)] = 52352,
  [SMALL_STATE(2284)] = 52420,
  [SMALL_STATE(2285)] = 52488,
  [SMALL_STATE(2286)] = 52556,
  [SMALL_STATE(2287)] = 52624,
  [SMALL_STATE(2288)] = 52672,
  [SMALL_STATE(2289)] = 52720,
  [SMALL_STATE(2290)] = 52788,
  [SMALL_STATE(2291)] = 52856,
  [SMALL_STATE(2292)] = 52924,
  [SMALL_STATE(2293)] = 52992,
  [SMALL_STATE(2294)] = 53060,
  [SMALL_STATE(2295)] = 53128,
  [SMALL_STATE(2296)] = 53176,
  [SMALL_STATE(2297)] = 53244,
  [SMALL_STATE(2298)] = 53312,
  [SMALL_STATE(2299)] = 53360,
  [SMALL_STATE(2300)] = 53428,
  [SMALL_STATE(2301)] = 53496,
  [SMALL_STATE(2302)] = 53564,
  [SMALL_STATE(2303)] = 53632,
  [SMALL_STATE(2304)] = 53700,
  [SMALL_STATE(2305)] = 53768,
  [SMALL_STATE(2306)] = 53816,
  [SMALL_STATE(2307)] = 53884,
  [SMALL_STATE(2308)] = 53952,
  [SMALL_STATE(2309)] = 54020,
  [SMALL_STATE(2310)] = 54088,
  [SMALL_STATE(2311)] = 54156,
  [SMALL_STATE(2312)] = 54224,
  [SMALL_STATE(2313)] = 54272,
  [SMALL_STATE(2314)] = 54340,
  [SMALL_STATE(2315)] = 54388,
  [SMALL_STATE(2316)] = 54456,
  [SMALL_STATE(2317)] = 54524,
  [SMALL_STATE(2318)] = 54592,
  [SMALL_STATE(2319)] = 54660,
  [SMALL_STATE(2320)] = 54728,
  [SMALL_STATE(2321)] = 54796,
  [SMALL_STATE(2322)] = 54844,
  [SMALL_STATE(2323)] = 54912,
  [SMALL_STATE(2324)] = 54960,
  [SMALL_STATE(2325)] = 55028,
  [SMALL_STATE(2326)] = 55096,
  [SMALL_STATE(2327)] = 55164,
  [SMALL_STATE(2328)] = 55211,
  [SMALL_STATE(2329)] = 55258,
  [SMALL_STATE(2330)] = 55305,
  [SMALL_STATE(2331)] = 55352,
  [SMALL_STATE(2332)] = 55399,
  [SMALL_STATE(2333)] = 55446,
  [SMALL_STATE(2334)] = 55493,
  [SMALL_STATE(2335)] = 55578,
  [SMALL_STATE(2336)] = 55663,
  [SMALL_STATE(2337)] = 55748,
  [SMALL_STATE(2338)] = 55833,
  [SMALL_STATE(2339)] = 55918,
  [SMALL_STATE(2340)] = 56003,
  [SMALL_STATE(2341)] = 56088,
  [SMALL_STATE(2342)] = 56173,
  [SMALL_STATE(2343)] = 56258,
  [SMALL_STATE(2344)] = 56343,
  [SMALL_STATE(2345)] = 56428,
  [SMALL_STATE(2346)] = 56473,
  [SMALL_STATE(2347)] = 56558,
  [SMALL_STATE(2348)] = 56643,
  [SMALL_STATE(2349)] = 56728,
  [SMALL_STATE(2350)] = 56813,
  [SMALL_STATE(2351)] = 56898,
  [SMALL_STATE(2352)] = 56983,
  [SMALL_STATE(2353)] = 57068,
  [SMALL_STATE(2354)] = 57153,
  [SMALL_STATE(2355)] = 57238,
  [SMALL_STATE(2356)] = 57323,
  [SMALL_STATE(2357)] = 57408,
  [SMALL_STATE(2358)] = 57493,
  [SMALL_STATE(2359)] = 57578,
  [SMALL_STATE(2360)] = 57663,
  [SMALL_STATE(2361)] = 57748,
  [SMALL_STATE(2362)] = 57816,
  [SMALL_STATE(2363)] = 57868,
  [SMALL_STATE(2364)] = 57930,
  [SMALL_STATE(2365)] = 57996,
  [SMALL_STATE(2366)] = 58066,
  [SMALL_STATE(2367)] = 58128,
  [SMALL_STATE(2368)] = 58182,
  [SMALL_STATE(2369)] = 58254,
  [SMALL_STATE(2370)] = 58320,
  [SMALL_STATE(2371)] = 58378,
  [SMALL_STATE(2372)] = 58434,
  [SMALL_STATE(2373)] = 58482,
  [SMALL_STATE(2374)] = 58532,
  [SMALL_STATE(2375)] = 58599,
  [SMALL_STATE(2376)] = 58644,
  [SMALL_STATE(2377)] = 58711,
  [SMALL_STATE(2378)] = 58756,
  [SMALL_STATE(2379)] = 58801,
  [SMALL_STATE(2380)] = 58868,
  [SMALL_STATE(2381)] = 58913,
  [SMALL_STATE(2382)] = 58980,
  [SMALL_STATE(2383)] = 59025,
  [SMALL_STATE(2384)] = 59092,
  [SMALL_STATE(2385)] = 59159,
  [SMALL_STATE(2386)] = 59206,
  [SMALL_STATE(2387)] = 59251,
  [SMALL_STATE(2388)] = 59296,
  [SMALL_STATE(2389)] = 59341,
  [SMALL_STATE(2390)] = 59408,
  [SMALL_STATE(2391)] = 59475,
  [SMALL_STATE(2392)] = 59542,
  [SMALL_STATE(2393)] = 59609,
  [SMALL_STATE(2394)] = 59654,
  [SMALL_STATE(2395)] = 59699,
  [SMALL_STATE(2396)] = 59744,
  [SMALL_STATE(2397)] = 59811,
  [SMALL_STATE(2398)] = 59856,
  [SMALL_STATE(2399)] = 59898,
  [SMALL_STATE(2400)] = 59974,
  [SMALL_STATE(2401)] = 60048,
  [SMALL_STATE(2402)] = 60090,
  [SMALL_STATE(2403)] = 60132,
  [SMALL_STATE(2404)] = 60174,
  [SMALL_STATE(2405)] = 60216,
  [SMALL_STATE(2406)] = 60258,
  [SMALL_STATE(2407)] = 60300,
  [SMALL_STATE(2408)] = 60342,
  [SMALL_STATE(2409)] = 60384,
  [SMALL_STATE(2410)] = 60426,
  [SMALL_STATE(2411)] = 60468,
  [SMALL_STATE(2412)] = 60510,
  [SMALL_STATE(2413)] = 60552,
  [SMALL_STATE(2414)] = 60594,
  [SMALL_STATE(2415)] = 60670,
  [SMALL_STATE(2416)] = 60740,
  [SMALL_STATE(2417)] = 60782,
  [SMALL_STATE(2418)] = 60824,
  [SMALL_STATE(2419)] = 60866,
  [SMALL_STATE(2420)] = 60908,
  [SMALL_STATE(2421)] = 60956,
  [SMALL_STATE(2422)] = 60998,
  [SMALL_STATE(2423)] = 61062,
  [SMALL_STATE(2424)] = 61104,
  [SMALL_STATE(2425)] = 61146,
  [SMALL_STATE(2426)] = 61208,
  [SMALL_STATE(2427)] = 61250,
  [SMALL_STATE(2428)] = 61314,
  [SMALL_STATE(2429)] = 61356,
  [SMALL_STATE(2430)] = 61398,
  [SMALL_STATE(2431)] = 61440,
  [SMALL_STATE(2432)] = 61490,
  [SMALL_STATE(2433)] = 61560,
  [SMALL_STATE(2434)] = 61602,
  [SMALL_STATE(2435)] = 61678,
  [SMALL_STATE(2436)] = 61720,
  [SMALL_STATE(2437)] = 61766,
  [SMALL_STATE(2438)] = 61828,
  [SMALL_STATE(2439)] = 61890,
  [SMALL_STATE(2440)] = 61946,
  [SMALL_STATE(2441)] = 62000,
  [SMALL_STATE(2442)] = 62060,
  [SMALL_STATE(2443)] = 62126,
  [SMALL_STATE(2444)] = 62190,
  [SMALL_STATE(2445)] = 62232,
  [SMALL_STATE(2446)] = 62274,
  [SMALL_STATE(2447)] = 62316,
  [SMALL_STATE(2448)] = 62392,
  [SMALL_STATE(2449)] = 62454,
  [SMALL_STATE(2450)] = 62516,
  [SMALL_STATE(2451)] = 62592,
  [SMALL_STATE(2452)] = 62634,
  [SMALL_STATE(2453)] = 62710,
  [SMALL_STATE(2454)] = 62782,
  [SMALL_STATE(2455)] = 62824,
  [SMALL_STATE(2456)] = 62892,
  [SMALL_STATE(2457)] = 62934,
  [SMALL_STATE(2458)] = 62994,
  [SMALL_STATE(2459)] = 63046,
  [SMALL_STATE(2460)] = 63122,
  [SMALL_STATE(2461)] = 63198,
  [SMALL_STATE(2462)] = 63240,
  [SMALL_STATE(2463)] = 63282,
  [SMALL_STATE(2464)] = 63324,
  [SMALL_STATE(2465)] = 63388,
  [SMALL_STATE(2466)] = 63430,
  [SMALL_STATE(2467)] = 63506,
  [SMALL_STATE(2468)] = 63556,
  [SMALL_STATE(2469)] = 63618,
  [SMALL_STATE(2470)] = 63660,
  [SMALL_STATE(2471)] = 63736,
  [SMALL_STATE(2472)] = 63810,
  [SMALL_STATE(2473)] = 63852,
  [SMALL_STATE(2474)] = 63894,
  [SMALL_STATE(2475)] = 63936,
  [SMALL_STATE(2476)] = 64010,
  [SMALL_STATE(2477)] = 64052,
  [SMALL_STATE(2478)] = 64094,
  [SMALL_STATE(2479)] = 64136,
  [SMALL_STATE(2480)] = 64178,
  [SMALL_STATE(2481)] = 64220,
  [SMALL_STATE(2482)] = 64295,
  [SMALL_STATE(2483)] = 64368,
  [SMALL_STATE(2484)] = 64439,
  [SMALL_STATE(2485)] = 64498,
  [SMALL_STATE(2486)] = 64569,
  [SMALL_STATE(2487)] = 64640,
  [SMALL_STATE(2488)] = 64711,
  [SMALL_STATE(2489)] = 64752,
  [SMALL_STATE(2490)] = 64793,
  [SMALL_STATE(2491)] = 64834,
  [SMALL_STATE(2492)] = 64905,
  [SMALL_STATE(2493)] = 64946,
  [SMALL_STATE(2494)] = 65019,
  [SMALL_STATE(2495)] = 65082,
  [SMALL_STATE(2496)] = 65151,
  [SMALL_STATE(2497)] = 65202,
  [SMALL_STATE(2498)] = 65261,
  [SMALL_STATE(2499)] = 65328,
  [SMALL_STATE(2500)] = 65391,
  [SMALL_STATE(2501)] = 65464,
  [SMALL_STATE(2502)] = 65519,
  [SMALL_STATE(2503)] = 65584,
  [SMALL_STATE(2504)] = 65637,
  [SMALL_STATE(2505)] = 65696,
  [SMALL_STATE(2506)] = 65761,
  [SMALL_STATE(2507)] = 65824,
  [SMALL_STATE(2508)] = 65891,
  [SMALL_STATE(2509)] = 65950,
  [SMALL_STATE(2510)] = 66001,
  [SMALL_STATE(2511)] = 66070,
  [SMALL_STATE(2512)] = 66119,
  [SMALL_STATE(2513)] = 66178,
  [SMALL_STATE(2514)] = 66251,
  [SMALL_STATE(2515)] = 66304,
  [SMALL_STATE(2516)] = 66359,
  [SMALL_STATE(2517)] = 66410,
  [SMALL_STATE(2518)] = 66459,
  [SMALL_STATE(2519)] = 66522,
  [SMALL_STATE(2520)] = 66577,
  [SMALL_STATE(2521)] = 66632,
  [SMALL_STATE(2522)] = 66705,
  [SMALL_STATE(2523)] = 66778,
  [SMALL_STATE(2524)] = 66849,
  [SMALL_STATE(2525)] = 66903,
  [SMALL_STATE(2526)] = 66959,
  [SMALL_STATE(2527)] = 67007,
  [SMALL_STATE(2528)] = 67065,
  [SMALL_STATE(2529)] = 67121,
  [SMALL_STATE(2530)] = 67179,
  [SMALL_STATE(2531)] = 67245,
  [SMALL_STATE(2532)] = 67301,
  [SMALL_STATE(2533)] = 67369,
  [SMALL_STATE(2534)] = 67425,
  [SMALL_STATE(2535)] = 67479,
  [SMALL_STATE(2536)] = 67547,
  [SMALL_STATE(2537)] = 67615,
  [SMALL_STATE(2538)] = 67671,
  [SMALL_STATE(2539)] = 67739,
  [SMALL_STATE(2540)] = 67799,
  [SMALL_STATE(2541)] = 67855,
  [SMALL_STATE(2542)] = 67911,
  [SMALL_STATE(2543)] = 67967,
  [SMALL_STATE(2544)] = 68023,
  [SMALL_STATE(2545)] = 68083,
  [SMALL_STATE(2546)] = 68141,
  [SMALL_STATE(2547)] = 68209,
  [SMALL_STATE(2548)] = 68265,
  [SMALL_STATE(2549)] = 68321,
  [SMALL_STATE(2550)] = 68377,
  [SMALL_STATE(2551)] = 68445,
  [SMALL_STATE(2552)] = 68501,
  [SMALL_STATE(2553)] = 68569,
  [SMALL_STATE(2554)] = 68627,
  [SMALL_STATE(2555)] = 68695,
  [SMALL_STATE(2556)] = 68759,
  [SMALL_STATE(2557)] = 68817,
  [SMALL_STATE(2558)] = 68873,
  [SMALL_STATE(2559)] = 68927,
  [SMALL_STATE(2560)] = 68979,
  [SMALL_STATE(2561)] = 69037,
  [SMALL_STATE(2562)] = 69091,
  [SMALL_STATE(2563)] = 69153,
  [SMALL_STATE(2564)] = 69207,
  [SMALL_STATE(2565)] = 69265,
  [SMALL_STATE(2566)] = 69323,
  [SMALL_STATE(2567)] = 69379,
  [SMALL_STATE(2568)] = 69435,
  [SMALL_STATE(2569)] = 69505,
  [SMALL_STATE(2570)] = 69573,
  [SMALL_STATE(2571)] = 69631,
  [SMALL_STATE(2572)] = 69691,
  [SMALL_STATE(2573)] = 69747,
  [SMALL_STATE(2574)] = 69803,
  [SMALL_STATE(2575)] = 69861,
  [SMALL_STATE(2576)] = 69923,
  [SMALL_STATE(2577)] = 69981,
  [SMALL_STATE(2578)] = 70037,
  [SMALL_STATE(2579)] = 70093,
  [SMALL_STATE(2580)] = 70149,
  [SMALL_STATE(2581)] = 70205,
  [SMALL_STATE(2582)] = 70273,
  [SMALL_STATE(2583)] = 70341,
  [SMALL_STATE(2584)] = 70387,
  [SMALL_STATE(2585)] = 70445,
  [SMALL_STATE(2586)] = 70515,
  [SMALL_STATE(2587)] = 70585,
  [SMALL_STATE(2588)] = 70643,
  [SMALL_STATE(2589)] = 70699,
  [SMALL_STATE(2590)] = 70769,
  [SMALL_STATE(2591)] = 70827,
  [SMALL_STATE(2592)] = 70897,
  [SMALL_STATE(2593)] = 70947,
  [SMALL_STATE(2594)] = 71003,
  [SMALL_STATE(2595)] = 71059,
  [SMALL_STATE(2596)] = 71127,
  [SMALL_STATE(2597)] = 71183,
  [SMALL_STATE(2598)] = 71243,
  [SMALL_STATE(2599)] = 71299,
  [SMALL_STATE(2600)] = 71355,
  [SMALL_STATE(2601)] = 71411,
  [SMALL_STATE(2602)] = 71467,
  [SMALL_STATE(2603)] = 71525,
  [SMALL_STATE(2604)] = 71581,
  [SMALL_STATE(2605)] = 71637,
  [SMALL_STATE(2606)] = 71695,
  [SMALL_STATE(2607)] = 71765,
  [SMALL_STATE(2608)] = 71821,
  [SMALL_STATE(2609)] = 71888,
  [SMALL_STATE(2610)] = 71931,
  [SMALL_STATE(2611)] = 71998,
  [SMALL_STATE(2612)] = 72065,
  [SMALL_STATE(2613)] = 72132,
  [SMALL_STATE(2614)] = 72199,
  [SMALL_STATE(2615)] = 72254,
  [SMALL_STATE(2616)] = 72301,
  [SMALL_STATE(2617)] = 72368,
  [SMALL_STATE(2618)] = 72435,
  [SMALL_STATE(2619)] = 72502,
  [SMALL_STATE(2620)] = 72569,
  [SMALL_STATE(2621)] = 72622,
  [SMALL_STATE(2622)] = 72669,
  [SMALL_STATE(2623)] = 72736,
  [SMALL_STATE(2624)] = 72803,
  [SMALL_STATE(2625)] = 72870,
  [SMALL_STATE(2626)] = 72937,
  [SMALL_STATE(2627)] = 72980,
  [SMALL_STATE(2628)] = 73023,
  [SMALL_STATE(2629)] = 73090,
  [SMALL_STATE(2630)] = 73137,
  [SMALL_STATE(2631)] = 73178,
  [SMALL_STATE(2632)] = 73219,
  [SMALL_STATE(2633)] = 73262,
  [SMALL_STATE(2634)] = 73303,
  [SMALL_STATE(2635)] = 73344,
  [SMALL_STATE(2636)] = 73387,
  [SMALL_STATE(2637)] = 73454,
  [SMALL_STATE(2638)] = 73495,
  [SMALL_STATE(2639)] = 73562,
  [SMALL_STATE(2640)] = 73629,
  [SMALL_STATE(2641)] = 73670,
  [SMALL_STATE(2642)] = 73737,
  [SMALL_STATE(2643)] = 73794,
  [SMALL_STATE(2644)] = 73837,
  [SMALL_STATE(2645)] = 73878,
  [SMALL_STATE(2646)] = 73919,
  [SMALL_STATE(2647)] = 73986,
  [SMALL_STATE(2648)] = 74053,
  [SMALL_STATE(2649)] = 74094,
  [SMALL_STATE(2650)] = 74161,
  [SMALL_STATE(2651)] = 74202,
  [SMALL_STATE(2652)] = 74269,
  [SMALL_STATE(2653)] = 74336,
  [SMALL_STATE(2654)] = 74391,
  [SMALL_STATE(2655)] = 74458,
  [SMALL_STATE(2656)] = 74525,
  [SMALL_STATE(2657)] = 74582,
  [SMALL_STATE(2658)] = 74649,
  [SMALL_STATE(2659)] = 74690,
  [SMALL_STATE(2660)] = 74731,
  [SMALL_STATE(2661)] = 74771,
  [SMALL_STATE(2662)] = 74811,
  [SMALL_STATE(2663)] = 74851,
  [SMALL_STATE(2664)] = 74891,
  [SMALL_STATE(2665)] = 74931,
  [SMALL_STATE(2666)] = 74971,
  [SMALL_STATE(2667)] = 75011,
  [SMALL_STATE(2668)] = 75051,
  [SMALL_STATE(2669)] = 75091,
  [SMALL_STATE(2670)] = 75131,
  [SMALL_STATE(2671)] = 75171,
  [SMALL_STATE(2672)] = 75211,
  [SMALL_STATE(2673)] = 75251,
  [SMALL_STATE(2674)] = 75291,
  [SMALL_STATE(2675)] = 75331,
  [SMALL_STATE(2676)] = 75371,
  [SMALL_STATE(2677)] = 75413,
  [SMALL_STATE(2678)] = 75453,
  [SMALL_STATE(2679)] = 75493,
  [SMALL_STATE(2680)] = 75543,
  [SMALL_STATE(2681)] = 75583,
  [SMALL_STATE(2682)] = 75621,
  [SMALL_STATE(2683)] = 75661,
  [SMALL_STATE(2684)] = 75701,
  [SMALL_STATE(2685)] = 75751,
  [SMALL_STATE(2686)] = 75791,
  [SMALL_STATE(2687)] = 75831,
  [SMALL_STATE(2688)] = 75871,
  [SMALL_STATE(2689)] = 75911,
  [SMALL_STATE(2690)] = 75961,
  [SMALL_STATE(2691)] = 76001,
  [SMALL_STATE(2692)] = 76041,
  [SMALL_STATE(2693)] = 76091,
  [SMALL_STATE(2694)] = 76131,
  [SMALL_STATE(2695)] = 76171,
  [SMALL_STATE(2696)] = 76221,
  [SMALL_STATE(2697)] = 76261,
  [SMALL_STATE(2698)] = 76301,
  [SMALL_STATE(2699)] = 76351,
  [SMALL_STATE(2700)] = 76391,
  [SMALL_STATE(2701)] = 76431,
  [SMALL_STATE(2702)] = 76481,
  [SMALL_STATE(2703)] = 76521,
  [SMALL_STATE(2704)] = 76561,
  [SMALL_STATE(2705)] = 76611,
  [SMALL_STATE(2706)] = 76651,
  [SMALL_STATE(2707)] = 76691,
  [SMALL_STATE(2708)] = 76731,
  [SMALL_STATE(2709)] = 76771,
  [SMALL_STATE(2710)] = 76821,
  [SMALL_STATE(2711)] = 76861,
  [SMALL_STATE(2712)] = 76901,
  [SMALL_STATE(2713)] = 76965,
  [SMALL_STATE(2714)] = 77005,
  [SMALL_STATE(2715)] = 77045,
  [SMALL_STATE(2716)] = 77085,
  [SMALL_STATE(2717)] = 77125,
  [SMALL_STATE(2718)] = 77167,
  [SMALL_STATE(2719)] = 77207,
  [SMALL_STATE(2720)] = 77247,
  [SMALL_STATE(2721)] = 77299,
  [SMALL_STATE(2722)] = 77339,
  [SMALL_STATE(2723)] = 77379,
  [SMALL_STATE(2724)] = 77421,
  [SMALL_STATE(2725)] = 77461,
  [SMALL_STATE(2726)] = 77501,
  [SMALL_STATE(2727)] = 77541,
  [SMALL_STATE(2728)] = 77583,
  [SMALL_STATE(2729)] = 77623,
  [SMALL_STATE(2730)] = 77663,
  [SMALL_STATE(2731)] = 77705,
  [SMALL_STATE(2732)] = 77745,
  [SMALL_STATE(2733)] = 77787,
  [SMALL_STATE(2734)] = 77837,
  [SMALL_STATE(2735)] = 77877,
  [SMALL_STATE(2736)] = 77917,
  [SMALL_STATE(2737)] = 77957,
  [SMALL_STATE(2738)] = 77997,
  [SMALL_STATE(2739)] = 78037,
  [SMALL_STATE(2740)] = 78077,
  [SMALL_STATE(2741)] = 78117,
  [SMALL_STATE(2742)] = 78167,
  [SMALL_STATE(2743)] = 78217,
  [SMALL_STATE(2744)] = 78257,
  [SMALL_STATE(2745)] = 78297,
  [SMALL_STATE(2746)] = 78337,
  [SMALL_STATE(2747)] = 78387,
  [SMALL_STATE(2748)] = 78427,
  [SMALL_STATE(2749)] = 78467,
  [SMALL_STATE(2750)] = 78507,
  [SMALL_STATE(2751)] = 78547,
  [SMALL_STATE(2752)] = 78587,
  [SMALL_STATE(2753)] = 78651,
  [SMALL_STATE(2754)] = 78691,
  [SMALL_STATE(2755)] = 78731,
  [SMALL_STATE(2756)] = 78781,
  [SMALL_STATE(2757)] = 78831,
  [SMALL_STATE(2758)] = 78873,
  [SMALL_STATE(2759)] = 78913,
  [SMALL_STATE(2760)] = 78953,
  [SMALL_STATE(2761)] = 79003,
  [SMALL_STATE(2762)] = 79053,
  [SMALL_STATE(2763)] = 79091,
  [SMALL_STATE(2764)] = 79131,
  [SMALL_STATE(2765)] = 79171,
  [SMALL_STATE(2766)] = 79215,
  [SMALL_STATE(2767)] = 79255,
  [SMALL_STATE(2768)] = 79293,
  [SMALL_STATE(2769)] = 79335,
  [SMALL_STATE(2770)] = 79373,
  [SMALL_STATE(2771)] = 79437,
  [SMALL_STATE(2772)] = 79487,
  [SMALL_STATE(2773)] = 79529,
  [SMALL_STATE(2774)] = 79579,
  [SMALL_STATE(2775)] = 79617,
  [SMALL_STATE(2776)] = 79667,
  [SMALL_STATE(2777)] = 79717,
  [SMALL_STATE(2778)] = 79757,
  [SMALL_STATE(2779)] = 79797,
  [SMALL_STATE(2780)] = 79839,
  [SMALL_STATE(2781)] = 79877,
  [SMALL_STATE(2782)] = 79929,
  [SMALL_STATE(2783)] = 79967,
  [SMALL_STATE(2784)] = 80007,
  [SMALL_STATE(2785)] = 80045,
  [SMALL_STATE(2786)] = 80083,
  [SMALL_STATE(2787)] = 80125,
  [SMALL_STATE(2788)] = 80163,
  [SMALL_STATE(2789)] = 80213,
  [SMALL_STATE(2790)] = 80263,
  [SMALL_STATE(2791)] = 80301,
  [SMALL_STATE(2792)] = 80339,
  [SMALL_STATE(2793)] = 80377,
  [SMALL_STATE(2794)] = 80415,
  [SMALL_STATE(2795)] = 80453,
  [SMALL_STATE(2796)] = 80491,
  [SMALL_STATE(2797)] = 80531,
  [SMALL_STATE(2798)] = 80569,
  [SMALL_STATE(2799)] = 80607,
  [SMALL_STATE(2800)] = 80645,
  [SMALL_STATE(2801)] = 80683,
  [SMALL_STATE(2802)] = 80733,
  [SMALL_STATE(2803)] = 80771,
  [SMALL_STATE(2804)] = 80809,
  [SMALL_STATE(2805)] = 80859,
  [SMALL_STATE(2806)] = 80897,
  [SMALL_STATE(2807)] = 80935,
  [SMALL_STATE(2808)] = 80973,
  [SMALL_STATE(2809)] = 81011,
  [SMALL_STATE(2810)] = 81049,
  [SMALL_STATE(2811)] = 81087,
  [SMALL_STATE(2812)] = 81125,
  [SMALL_STATE(2813)] = 81163,
  [SMALL_STATE(2814)] = 81201,
  [SMALL_STATE(2815)] = 81239,
  [SMALL_STATE(2816)] = 81277,
  [SMALL_STATE(2817)] = 81315,
  [SMALL_STATE(2818)] = 81353,
  [SMALL_STATE(2819)] = 81391,
  [SMALL_STATE(2820)] = 81435,
  [SMALL_STATE(2821)] = 81473,
  [SMALL_STATE(2822)] = 81511,
  [SMALL_STATE(2823)] = 81549,
  [SMALL_STATE(2824)] = 81593,
  [SMALL_STATE(2825)] = 81643,
  [SMALL_STATE(2826)] = 81683,
  [SMALL_STATE(2827)] = 81723,
  [SMALL_STATE(2828)] = 81773,
  [SMALL_STATE(2829)] = 81823,
  [SMALL_STATE(2830)] = 81861,
  [SMALL_STATE(2831)] = 81911,
  [SMALL_STATE(2832)] = 81949,
  [SMALL_STATE(2833)] = 81987,
  [SMALL_STATE(2834)] = 82025,
  [SMALL_STATE(2835)] = 82063,
  [SMALL_STATE(2836)] = 82101,
  [SMALL_STATE(2837)] = 82139,
  [SMALL_STATE(2838)] = 82177,
  [SMALL_STATE(2839)] = 82219,
  [SMALL_STATE(2840)] = 82283,
  [SMALL_STATE(2841)] = 82320,
  [SMALL_STATE(2842)] = 82357,
  [SMALL_STATE(2843)] = 82396,
  [SMALL_STATE(2844)] = 82433,
  [SMALL_STATE(2845)] = 82470,
  [SMALL_STATE(2846)] = 82521,
  [SMALL_STATE(2847)] = 82558,
  [SMALL_STATE(2848)] = 82595,
  [SMALL_STATE(2849)] = 82632,
  [SMALL_STATE(2850)] = 82669,
  [SMALL_STATE(2851)] = 82706,
  [SMALL_STATE(2852)] = 82743,
  [SMALL_STATE(2853)] = 82780,
  [SMALL_STATE(2854)] = 82817,
  [SMALL_STATE(2855)] = 82854,
  [SMALL_STATE(2856)] = 82891,
  [SMALL_STATE(2857)] = 82928,
  [SMALL_STATE(2858)] = 82965,
  [SMALL_STATE(2859)] = 83002,
  [SMALL_STATE(2860)] = 83047,
  [SMALL_STATE(2861)] = 83084,
  [SMALL_STATE(2862)] = 83121,
  [SMALL_STATE(2863)] = 83158,
  [SMALL_STATE(2864)] = 83195,
  [SMALL_STATE(2865)] = 83232,
  [SMALL_STATE(2866)] = 83269,
  [SMALL_STATE(2867)] = 83306,
  [SMALL_STATE(2868)] = 83343,
  [SMALL_STATE(2869)] = 83380,
  [SMALL_STATE(2870)] = 83417,
  [SMALL_STATE(2871)] = 83454,
  [SMALL_STATE(2872)] = 83491,
  [SMALL_STATE(2873)] = 83528,
  [SMALL_STATE(2874)] = 83567,
  [SMALL_STATE(2875)] = 83604,
  [SMALL_STATE(2876)] = 83655,
  [SMALL_STATE(2877)] = 83692,
  [SMALL_STATE(2878)] = 83729,
  [SMALL_STATE(2879)] = 83766,
  [SMALL_STATE(2880)] = 83803,
  [SMALL_STATE(2881)] = 83854,
  [SMALL_STATE(2882)] = 83891,
  [SMALL_STATE(2883)] = 83928,
  [SMALL_STATE(2884)] = 83965,
  [SMALL_STATE(2885)] = 84002,
  [SMALL_STATE(2886)] = 84039,
  [SMALL_STATE(2887)] = 84090,
  [SMALL_STATE(2888)] = 84127,
  [SMALL_STATE(2889)] = 84164,
  [SMALL_STATE(2890)] = 84201,
  [SMALL_STATE(2891)] = 84238,
  [SMALL_STATE(2892)] = 84275,
  [SMALL_STATE(2893)] = 84312,
  [SMALL_STATE(2894)] = 84349,
  [SMALL_STATE(2895)] = 84386,
  [SMALL_STATE(2896)] = 84423,
  [SMALL_STATE(2897)] = 84460,
  [SMALL_STATE(2898)] = 84511,
  [SMALL_STATE(2899)] = 84548,
  [SMALL_STATE(2900)] = 84585,
  [SMALL_STATE(2901)] = 84622,
  [SMALL_STATE(2902)] = 84659,
  [SMALL_STATE(2903)] = 84696,
  [SMALL_STATE(2904)] = 84733,
  [SMALL_STATE(2905)] = 84770,
  [SMALL_STATE(2906)] = 84807,
  [SMALL_STATE(2907)] = 84858,
  [SMALL_STATE(2908)] = 84895,
  [SMALL_STATE(2909)] = 84946,
  [SMALL_STATE(2910)] = 84983,
  [SMALL_STATE(2911)] = 85020,
  [SMALL_STATE(2912)] = 85071,
  [SMALL_STATE(2913)] = 85112,
  [SMALL_STATE(2914)] = 85153,
  [SMALL_STATE(2915)] = 85190,
  [SMALL_STATE(2916)] = 85231,
  [SMALL_STATE(2917)] = 85268,
  [SMALL_STATE(2918)] = 85305,
  [SMALL_STATE(2919)] = 85342,
  [SMALL_STATE(2920)] = 85379,
  [SMALL_STATE(2921)] = 85416,
  [SMALL_STATE(2922)] = 85453,
  [SMALL_STATE(2923)] = 85490,
  [SMALL_STATE(2924)] = 85527,
  [SMALL_STATE(2925)] = 85564,
  [SMALL_STATE(2926)] = 85601,
  [SMALL_STATE(2927)] = 85638,
  [SMALL_STATE(2928)] = 85675,
  [SMALL_STATE(2929)] = 85712,
  [SMALL_STATE(2930)] = 85749,
  [SMALL_STATE(2931)] = 85786,
  [SMALL_STATE(2932)] = 85823,
  [SMALL_STATE(2933)] = 85860,
  [SMALL_STATE(2934)] = 85897,
  [SMALL_STATE(2935)] = 85934,
  [SMALL_STATE(2936)] = 85971,
  [SMALL_STATE(2937)] = 86008,
  [SMALL_STATE(2938)] = 86045,
  [SMALL_STATE(2939)] = 86082,
  [SMALL_STATE(2940)] = 86119,
  [SMALL_STATE(2941)] = 86156,
  [SMALL_STATE(2942)] = 86193,
  [SMALL_STATE(2943)] = 86230,
  [SMALL_STATE(2944)] = 86273,
  [SMALL_STATE(2945)] = 86310,
  [SMALL_STATE(2946)] = 86347,
  [SMALL_STATE(2947)] = 86384,
  [SMALL_STATE(2948)] = 86421,
  [SMALL_STATE(2949)] = 86458,
  [SMALL_STATE(2950)] = 86495,
  [SMALL_STATE(2951)] = 86532,
  [SMALL_STATE(2952)] = 86569,
  [SMALL_STATE(2953)] = 86620,
  [SMALL_STATE(2954)] = 86657,
  [SMALL_STATE(2955)] = 86694,
  [SMALL_STATE(2956)] = 86731,
  [SMALL_STATE(2957)] = 86768,
  [SMALL_STATE(2958)] = 86805,
  [SMALL_STATE(2959)] = 86842,
  [SMALL_STATE(2960)] = 86879,
  [SMALL_STATE(2961)] = 86916,
  [SMALL_STATE(2962)] = 86953,
  [SMALL_STATE(2963)] = 86990,
  [SMALL_STATE(2964)] = 87027,
  [SMALL_STATE(2965)] = 87064,
  [SMALL_STATE(2966)] = 87101,
  [SMALL_STATE(2967)] = 87138,
  [SMALL_STATE(2968)] = 87175,
  [SMALL_STATE(2969)] = 87212,
  [SMALL_STATE(2970)] = 87249,
  [SMALL_STATE(2971)] = 87286,
  [SMALL_STATE(2972)] = 87323,
  [SMALL_STATE(2973)] = 87360,
  [SMALL_STATE(2974)] = 87397,
  [SMALL_STATE(2975)] = 87434,
  [SMALL_STATE(2976)] = 87471,
  [SMALL_STATE(2977)] = 87508,
  [SMALL_STATE(2978)] = 87545,
  [SMALL_STATE(2979)] = 87582,
  [SMALL_STATE(2980)] = 87619,
  [SMALL_STATE(2981)] = 87656,
  [SMALL_STATE(2982)] = 87693,
  [SMALL_STATE(2983)] = 87730,
  [SMALL_STATE(2984)] = 87767,
  [SMALL_STATE(2985)] = 87804,
  [SMALL_STATE(2986)] = 87843,
  [SMALL_STATE(2987)] = 87880,
  [SMALL_STATE(2988)] = 87931,
  [SMALL_STATE(2989)] = 87968,
  [SMALL_STATE(2990)] = 88005,
  [SMALL_STATE(2991)] = 88042,
  [SMALL_STATE(2992)] = 88079,
  [SMALL_STATE(2993)] = 88116,
  [SMALL_STATE(2994)] = 88167,
  [SMALL_STATE(2995)] = 88204,
  [SMALL_STATE(2996)] = 88241,
  [SMALL_STATE(2997)] = 88278,
  [SMALL_STATE(2998)] = 88315,
  [SMALL_STATE(2999)] = 88364,
  [SMALL_STATE(3000)] = 88401,
  [SMALL_STATE(3001)] = 88438,
  [SMALL_STATE(3002)] = 88475,
  [SMALL_STATE(3003)] = 88512,
  [SMALL_STATE(3004)] = 88549,
  [SMALL_STATE(3005)] = 88586,
  [SMALL_STATE(3006)] = 88623,
  [SMALL_STATE(3007)] = 88660,
  [SMALL_STATE(3008)] = 88697,
  [SMALL_STATE(3009)] = 88734,
  [SMALL_STATE(3010)] = 88785,
  [SMALL_STATE(3011)] = 88822,
  [SMALL_STATE(3012)] = 88859,
  [SMALL_STATE(3013)] = 88896,
  [SMALL_STATE(3014)] = 88933,
  [SMALL_STATE(3015)] = 88970,
  [SMALL_STATE(3016)] = 89007,
  [SMALL_STATE(3017)] = 89044,
  [SMALL_STATE(3018)] = 89081,
  [SMALL_STATE(3019)] = 89118,
  [SMALL_STATE(3020)] = 89155,
  [SMALL_STATE(3021)] = 89192,
  [SMALL_STATE(3022)] = 89229,
  [SMALL_STATE(3023)] = 89266,
  [SMALL_STATE(3024)] = 89303,
  [SMALL_STATE(3025)] = 89340,
  [SMALL_STATE(3026)] = 89377,
  [SMALL_STATE(3027)] = 89414,
  [SMALL_STATE(3028)] = 89451,
  [SMALL_STATE(3029)] = 89488,
  [SMALL_STATE(3030)] = 89525,
  [SMALL_STATE(3031)] = 89562,
  [SMALL_STATE(3032)] = 89599,
  [SMALL_STATE(3033)] = 89636,
  [SMALL_STATE(3034)] = 89673,
  [SMALL_STATE(3035)] = 89710,
  [SMALL_STATE(3036)] = 89761,
  [SMALL_STATE(3037)] = 89798,
  [SMALL_STATE(3038)] = 89835,
  [SMALL_STATE(3039)] = 89872,
  [SMALL_STATE(3040)] = 89909,
  [SMALL_STATE(3041)] = 89946,
  [SMALL_STATE(3042)] = 89983,
  [SMALL_STATE(3043)] = 90020,
  [SMALL_STATE(3044)] = 90057,
  [SMALL_STATE(3045)] = 90094,
  [SMALL_STATE(3046)] = 90131,
  [SMALL_STATE(3047)] = 90168,
  [SMALL_STATE(3048)] = 90205,
  [SMALL_STATE(3049)] = 90242,
  [SMALL_STATE(3050)] = 90279,
  [SMALL_STATE(3051)] = 90316,
  [SMALL_STATE(3052)] = 90353,
  [SMALL_STATE(3053)] = 90390,
  [SMALL_STATE(3054)] = 90427,
  [SMALL_STATE(3055)] = 90464,
  [SMALL_STATE(3056)] = 90501,
  [SMALL_STATE(3057)] = 90538,
  [SMALL_STATE(3058)] = 90575,
  [SMALL_STATE(3059)] = 90612,
  [SMALL_STATE(3060)] = 90649,
  [SMALL_STATE(3061)] = 90686,
  [SMALL_STATE(3062)] = 90723,
  [SMALL_STATE(3063)] = 90774,
  [SMALL_STATE(3064)] = 90825,
  [SMALL_STATE(3065)] = 90862,
  [SMALL_STATE(3066)] = 90899,
  [SMALL_STATE(3067)] = 90936,
  [SMALL_STATE(3068)] = 90973,
  [SMALL_STATE(3069)] = 91010,
  [SMALL_STATE(3070)] = 91047,
  [SMALL_STATE(3071)] = 91084,
  [SMALL_STATE(3072)] = 91121,
  [SMALL_STATE(3073)] = 91158,
  [SMALL_STATE(3074)] = 91195,
  [SMALL_STATE(3075)] = 91232,
  [SMALL_STATE(3076)] = 91269,
  [SMALL_STATE(3077)] = 91306,
  [SMALL_STATE(3078)] = 91343,
  [SMALL_STATE(3079)] = 91394,
  [SMALL_STATE(3080)] = 91431,
  [SMALL_STATE(3081)] = 91468,
  [SMALL_STATE(3082)] = 91505,
  [SMALL_STATE(3083)] = 91542,
  [SMALL_STATE(3084)] = 91581,
  [SMALL_STATE(3085)] = 91618,
  [SMALL_STATE(3086)] = 91655,
  [SMALL_STATE(3087)] = 91692,
  [SMALL_STATE(3088)] = 91743,
  [SMALL_STATE(3089)] = 91780,
  [SMALL_STATE(3090)] = 91817,
  [SMALL_STATE(3091)] = 91868,
  [SMALL_STATE(3092)] = 91905,
  [SMALL_STATE(3093)] = 91942,
  [SMALL_STATE(3094)] = 91979,
  [SMALL_STATE(3095)] = 92016,
  [SMALL_STATE(3096)] = 92067,
  [SMALL_STATE(3097)] = 92118,
  [SMALL_STATE(3098)] = 92169,
  [SMALL_STATE(3099)] = 92206,
  [SMALL_STATE(3100)] = 92257,
  [SMALL_STATE(3101)] = 92308,
  [SMALL_STATE(3102)] = 92347,
  [SMALL_STATE(3103)] = 92398,
  [SMALL_STATE(3104)] = 92435,
  [SMALL_STATE(3105)] = 92472,
  [SMALL_STATE(3106)] = 92523,
  [SMALL_STATE(3107)] = 92574,
  [SMALL_STATE(3108)] = 92611,
  [SMALL_STATE(3109)] = 92648,
  [SMALL_STATE(3110)] = 92699,
  [SMALL_STATE(3111)] = 92750,
  [SMALL_STATE(3112)] = 92787,
  [SMALL_STATE(3113)] = 92824,
  [SMALL_STATE(3114)] = 92861,
  [SMALL_STATE(3115)] = 92898,
  [SMALL_STATE(3116)] = 92943,
  [SMALL_STATE(3117)] = 92980,
  [SMALL_STATE(3118)] = 93031,
  [SMALL_STATE(3119)] = 93068,
  [SMALL_STATE(3120)] = 93119,
  [SMALL_STATE(3121)] = 93170,
  [SMALL_STATE(3122)] = 93221,
  [SMALL_STATE(3123)] = 93258,
  [SMALL_STATE(3124)] = 93309,
  [SMALL_STATE(3125)] = 93346,
  [SMALL_STATE(3126)] = 93383,
  [SMALL_STATE(3127)] = 93434,
  [SMALL_STATE(3128)] = 93471,
  [SMALL_STATE(3129)] = 93508,
  [SMALL_STATE(3130)] = 93545,
  [SMALL_STATE(3131)] = 93582,
  [SMALL_STATE(3132)] = 93619,
  [SMALL_STATE(3133)] = 93656,
  [SMALL_STATE(3134)] = 93707,
  [SMALL_STATE(3135)] = 93758,
  [SMALL_STATE(3136)] = 93809,
  [SMALL_STATE(3137)] = 93860,
  [SMALL_STATE(3138)] = 93897,
  [SMALL_STATE(3139)] = 93934,
  [SMALL_STATE(3140)] = 93971,
  [SMALL_STATE(3141)] = 94022,
  [SMALL_STATE(3142)] = 94059,
  [SMALL_STATE(3143)] = 94096,
  [SMALL_STATE(3144)] = 94133,
  [SMALL_STATE(3145)] = 94170,
  [SMALL_STATE(3146)] = 94207,
  [SMALL_STATE(3147)] = 94244,
  [SMALL_STATE(3148)] = 94295,
  [SMALL_STATE(3149)] = 94332,
  [SMALL_STATE(3150)] = 94369,
  [SMALL_STATE(3151)] = 94420,
  [SMALL_STATE(3152)] = 94457,
  [SMALL_STATE(3153)] = 94494,
  [SMALL_STATE(3154)] = 94531,
  [SMALL_STATE(3155)] = 94568,
  [SMALL_STATE(3156)] = 94605,
  [SMALL_STATE(3157)] = 94642,
  [SMALL_STATE(3158)] = 94679,
  [SMALL_STATE(3159)] = 94716,
  [SMALL_STATE(3160)] = 94753,
  [SMALL_STATE(3161)] = 94790,
  [SMALL_STATE(3162)] = 94827,
  [SMALL_STATE(3163)] = 94864,
  [SMALL_STATE(3164)] = 94901,
  [SMALL_STATE(3165)] = 94938,
  [SMALL_STATE(3166)] = 94989,
  [SMALL_STATE(3167)] = 95026,
  [SMALL_STATE(3168)] = 95077,
  [SMALL_STATE(3169)] = 95128,
  [SMALL_STATE(3170)] = 95165,
  [SMALL_STATE(3171)] = 95216,
  [SMALL_STATE(3172)] = 95267,
  [SMALL_STATE(3173)] = 95304,
  [SMALL_STATE(3174)] = 95341,
  [SMALL_STATE(3175)] = 95378,
  [SMALL_STATE(3176)] = 95415,
  [SMALL_STATE(3177)] = 95452,
  [SMALL_STATE(3178)] = 95489,
  [SMALL_STATE(3179)] = 95526,
  [SMALL_STATE(3180)] = 95563,
  [SMALL_STATE(3181)] = 95600,
  [SMALL_STATE(3182)] = 95637,
  [SMALL_STATE(3183)] = 95674,
  [SMALL_STATE(3184)] = 95711,
  [SMALL_STATE(3185)] = 95748,
  [SMALL_STATE(3186)] = 95785,
  [SMALL_STATE(3187)] = 95822,
  [SMALL_STATE(3188)] = 95858,
  [SMALL_STATE(3189)] = 95908,
  [SMALL_STATE(3190)] = 95958,
  [SMALL_STATE(3191)] = 95994,
  [SMALL_STATE(3192)] = 96032,
  [SMALL_STATE(3193)] = 96070,
  [SMALL_STATE(3194)] = 96106,
  [SMALL_STATE(3195)] = 96168,
  [SMALL_STATE(3196)] = 96216,
  [SMALL_STATE(3197)] = 96278,
  [SMALL_STATE(3198)] = 96314,
  [SMALL_STATE(3199)] = 96354,
  [SMALL_STATE(3200)] = 96390,
  [SMALL_STATE(3201)] = 96428,
  [SMALL_STATE(3202)] = 96464,
  [SMALL_STATE(3203)] = 96514,
  [SMALL_STATE(3204)] = 96550,
  [SMALL_STATE(3205)] = 96586,
  [SMALL_STATE(3206)] = 96628,
  [SMALL_STATE(3207)] = 96666,
  [SMALL_STATE(3208)] = 96704,
  [SMALL_STATE(3209)] = 96740,
  [SMALL_STATE(3210)] = 96778,
  [SMALL_STATE(3211)] = 96814,
  [SMALL_STATE(3212)] = 96850,
  [SMALL_STATE(3213)] = 96886,
  [SMALL_STATE(3214)] = 96922,
  [SMALL_STATE(3215)] = 96958,
  [SMALL_STATE(3216)] = 96994,
  [SMALL_STATE(3217)] = 97030,
  [SMALL_STATE(3218)] = 97066,
  [SMALL_STATE(3219)] = 97102,
  [SMALL_STATE(3220)] = 97140,
  [SMALL_STATE(3221)] = 97190,
  [SMALL_STATE(3222)] = 97238,
  [SMALL_STATE(3223)] = 97288,
  [SMALL_STATE(3224)] = 97324,
  [SMALL_STATE(3225)] = 97360,
  [SMALL_STATE(3226)] = 97398,
  [SMALL_STATE(3227)] = 97436,
  [SMALL_STATE(3228)] = 97472,
  [SMALL_STATE(3229)] = 97508,
  [SMALL_STATE(3230)] = 97546,
  [SMALL_STATE(3231)] = 97584,
  [SMALL_STATE(3232)] = 97622,
  [SMALL_STATE(3233)] = 97658,
  [SMALL_STATE(3234)] = 97696,
  [SMALL_STATE(3235)] = 97734,
  [SMALL_STATE(3236)] = 97776,
  [SMALL_STATE(3237)] = 97812,
  [SMALL_STATE(3238)] = 97848,
  [SMALL_STATE(3239)] = 97884,
  [SMALL_STATE(3240)] = 97920,
  [SMALL_STATE(3241)] = 97956,
  [SMALL_STATE(3242)] = 97992,
  [SMALL_STATE(3243)] = 98028,
  [SMALL_STATE(3244)] = 98064,
  [SMALL_STATE(3245)] = 98100,
  [SMALL_STATE(3246)] = 98136,
  [SMALL_STATE(3247)] = 98178,
  [SMALL_STATE(3248)] = 98222,
  [SMALL_STATE(3249)] = 98272,
  [SMALL_STATE(3250)] = 98308,
  [SMALL_STATE(3251)] = 98358,
  [SMALL_STATE(3252)] = 98394,
  [SMALL_STATE(3253)] = 98430,
  [SMALL_STATE(3254)] = 98480,
  [SMALL_STATE(3255)] = 98530,
  [SMALL_STATE(3256)] = 98580,
  [SMALL_STATE(3257)] = 98616,
  [SMALL_STATE(3258)] = 98652,
  [SMALL_STATE(3259)] = 98688,
  [SMALL_STATE(3260)] = 98738,
  [SMALL_STATE(3261)] = 98774,
  [SMALL_STATE(3262)] = 98821,
  [SMALL_STATE(3263)] = 98868,
  [SMALL_STATE(3264)] = 98905,
  [SMALL_STATE(3265)] = 98944,
  [SMALL_STATE(3266)] = 98991,
  [SMALL_STATE(3267)] = 99038,
  [SMALL_STATE(3268)] = 99085,
  [SMALL_STATE(3269)] = 99122,
  [SMALL_STATE(3270)] = 99169,
  [SMALL_STATE(3271)] = 99216,
  [SMALL_STATE(3272)] = 99263,
  [SMALL_STATE(3273)] = 99310,
  [SMALL_STATE(3274)] = 99357,
  [SMALL_STATE(3275)] = 99404,
  [SMALL_STATE(3276)] = 99451,
  [SMALL_STATE(3277)] = 99498,
  [SMALL_STATE(3278)] = 99535,
  [SMALL_STATE(3279)] = 99582,
  [SMALL_STATE(3280)] = 99629,
  [SMALL_STATE(3281)] = 99676,
  [SMALL_STATE(3282)] = 99723,
  [SMALL_STATE(3283)] = 99770,
  [SMALL_STATE(3284)] = 99829,
  [SMALL_STATE(3285)] = 99888,
  [SMALL_STATE(3286)] = 99947,
  [SMALL_STATE(3287)] = 99994,
  [SMALL_STATE(3288)] = 100041,
  [SMALL_STATE(3289)] = 100088,
  [SMALL_STATE(3290)] = 100125,
  [SMALL_STATE(3291)] = 100162,
  [SMALL_STATE(3292)] = 100201,
  [SMALL_STATE(3293)] = 100236,
  [SMALL_STATE(3294)] = 100283,
  [SMALL_STATE(3295)] = 100342,
  [SMALL_STATE(3296)] = 100389,
  [SMALL_STATE(3297)] = 100448,
  [SMALL_STATE(3298)] = 100485,
  [SMALL_STATE(3299)] = 100524,
  [SMALL_STATE(3300)] = 100571,
  [SMALL_STATE(3301)] = 100618,
  [SMALL_STATE(3302)] = 100665,
  [SMALL_STATE(3303)] = 100712,
  [SMALL_STATE(3304)] = 100759,
  [SMALL_STATE(3305)] = 100794,
  [SMALL_STATE(3306)] = 100841,
  [SMALL_STATE(3307)] = 100888,
  [SMALL_STATE(3308)] = 100935,
  [SMALL_STATE(3309)] = 100982,
  [SMALL_STATE(3310)] = 101029,
  [SMALL_STATE(3311)] = 101088,
  [SMALL_STATE(3312)] = 101135,
  [SMALL_STATE(3313)] = 101182,
  [SMALL_STATE(3314)] = 101221,
  [SMALL_STATE(3315)] = 101262,
  [SMALL_STATE(3316)] = 101309,
  [SMALL_STATE(3317)] = 101368,
  [SMALL_STATE(3318)] = 101415,
  [SMALL_STATE(3319)] = 101462,
  [SMALL_STATE(3320)] = 101501,
  [SMALL_STATE(3321)] = 101538,
  [SMALL_STATE(3322)] = 101585,
  [SMALL_STATE(3323)] = 101632,
  [SMALL_STATE(3324)] = 101679,
  [SMALL_STATE(3325)] = 101738,
  [SMALL_STATE(3326)] = 101777,
  [SMALL_STATE(3327)] = 101824,
  [SMALL_STATE(3328)] = 101871,
  [SMALL_STATE(3329)] = 101930,
  [SMALL_STATE(3330)] = 101977,
  [SMALL_STATE(3331)] = 102024,
  [SMALL_STATE(3332)] = 102071,
  [SMALL_STATE(3333)] = 102118,
  [SMALL_STATE(3334)] = 102165,
  [SMALL_STATE(3335)] = 102200,
  [SMALL_STATE(3336)] = 102239,
  [SMALL_STATE(3337)] = 102276,
  [SMALL_STATE(3338)] = 102323,
  [SMALL_STATE(3339)] = 102370,
  [SMALL_STATE(3340)] = 102405,
  [SMALL_STATE(3341)] = 102440,
  [SMALL_STATE(3342)] = 102499,
  [SMALL_STATE(3343)] = 102546,
  [SMALL_STATE(3344)] = 102593,
  [SMALL_STATE(3345)] = 102628,
  [SMALL_STATE(3346)] = 102663,
  [SMALL_STATE(3347)] = 102710,
  [SMALL_STATE(3348)] = 102757,
  [SMALL_STATE(3349)] = 102816,
  [SMALL_STATE(3350)] = 102863,
  [SMALL_STATE(3351)] = 102922,
  [SMALL_STATE(3352)] = 102981,
  [SMALL_STATE(3353)] = 103020,
  [SMALL_STATE(3354)] = 103079,
  [SMALL_STATE(3355)] = 103123,
  [SMALL_STATE(3356)] = 103167,
  [SMALL_STATE(3357)] = 103211,
  [SMALL_STATE(3358)] = 103255,
  [SMALL_STATE(3359)] = 103299,
  [SMALL_STATE(3360)] = 103343,
  [SMALL_STATE(3361)] = 103387,
  [SMALL_STATE(3362)] = 103431,
  [SMALL_STATE(3363)] = 103475,
  [SMALL_STATE(3364)] = 103519,
  [SMALL_STATE(3365)] = 103563,
  [SMALL_STATE(3366)] = 103607,
  [SMALL_STATE(3367)] = 103651,
  [SMALL_STATE(3368)] = 103695,
  [SMALL_STATE(3369)] = 103739,
  [SMALL_STATE(3370)] = 103783,
  [SMALL_STATE(3371)] = 103827,
  [SMALL_STATE(3372)] = 103871,
  [SMALL_STATE(3373)] = 103915,
  [SMALL_STATE(3374)] = 103959,
  [SMALL_STATE(3375)] = 104003,
  [SMALL_STATE(3376)] = 104047,
  [SMALL_STATE(3377)] = 104091,
  [SMALL_STATE(3378)] = 104133,
  [SMALL_STATE(3379)] = 104177,
  [SMALL_STATE(3380)] = 104221,
  [SMALL_STATE(3381)] = 104265,
  [SMALL_STATE(3382)] = 104309,
  [SMALL_STATE(3383)] = 104353,
  [SMALL_STATE(3384)] = 104397,
  [SMALL_STATE(3385)] = 104441,
  [SMALL_STATE(3386)] = 104485,
  [SMALL_STATE(3387)] = 104529,
  [SMALL_STATE(3388)] = 104573,
  [SMALL_STATE(3389)] = 104617,
  [SMALL_STATE(3390)] = 104661,
  [SMALL_STATE(3391)] = 104705,
  [SMALL_STATE(3392)] = 104749,
  [SMALL_STATE(3393)] = 104791,
  [SMALL_STATE(3394)] = 104835,
  [SMALL_STATE(3395)] = 104879,
  [SMALL_STATE(3396)] = 104923,
  [SMALL_STATE(3397)] = 104961,
  [SMALL_STATE(3398)] = 105005,
  [SMALL_STATE(3399)] = 105049,
  [SMALL_STATE(3400)] = 105093,
  [SMALL_STATE(3401)] = 105137,
  [SMALL_STATE(3402)] = 105173,
  [SMALL_STATE(3403)] = 105217,
  [SMALL_STATE(3404)] = 105255,
  [SMALL_STATE(3405)] = 105293,
  [SMALL_STATE(3406)] = 105331,
  [SMALL_STATE(3407)] = 105375,
  [SMALL_STATE(3408)] = 105419,
  [SMALL_STATE(3409)] = 105463,
  [SMALL_STATE(3410)] = 105507,
  [SMALL_STATE(3411)] = 105551,
  [SMALL_STATE(3412)] = 105595,
  [SMALL_STATE(3413)] = 105639,
  [SMALL_STATE(3414)] = 105683,
  [SMALL_STATE(3415)] = 105727,
  [SMALL_STATE(3416)] = 105769,
  [SMALL_STATE(3417)] = 105813,
  [SMALL_STATE(3418)] = 105857,
  [SMALL_STATE(3419)] = 105901,
  [SMALL_STATE(3420)] = 105945,
  [SMALL_STATE(3421)] = 105989,
  [SMALL_STATE(3422)] = 106033,
  [SMALL_STATE(3423)] = 106077,
  [SMALL_STATE(3424)] = 106129,
  [SMALL_STATE(3425)] = 106173,
  [SMALL_STATE(3426)] = 106217,
  [SMALL_STATE(3427)] = 106261,
  [SMALL_STATE(3428)] = 106305,
  [SMALL_STATE(3429)] = 106349,
  [SMALL_STATE(3430)] = 106393,
  [SMALL_STATE(3431)] = 106437,
  [SMALL_STATE(3432)] = 106481,
  [SMALL_STATE(3433)] = 106525,
  [SMALL_STATE(3434)] = 106569,
  [SMALL_STATE(3435)] = 106613,
  [SMALL_STATE(3436)] = 106657,
  [SMALL_STATE(3437)] = 106701,
  [SMALL_STATE(3438)] = 106745,
  [SMALL_STATE(3439)] = 106789,
  [SMALL_STATE(3440)] = 106833,
  [SMALL_STATE(3441)] = 106877,
  [SMALL_STATE(3442)] = 106921,
  [SMALL_STATE(3443)] = 106963,
  [SMALL_STATE(3444)] = 107017,
  [SMALL_STATE(3445)] = 107051,
  [SMALL_STATE(3446)] = 107093,
  [SMALL_STATE(3447)] = 107137,
  [SMALL_STATE(3448)] = 107181,
  [SMALL_STATE(3449)] = 107225,
  [SMALL_STATE(3450)] = 107269,
  [SMALL_STATE(3451)] = 107313,
  [SMALL_STATE(3452)] = 107357,
  [SMALL_STATE(3453)] = 107401,
  [SMALL_STATE(3454)] = 107445,
  [SMALL_STATE(3455)] = 107489,
  [SMALL_STATE(3456)] = 107533,
  [SMALL_STATE(3457)] = 107577,
  [SMALL_STATE(3458)] = 107621,
  [SMALL_STATE(3459)] = 107665,
  [SMALL_STATE(3460)] = 107709,
  [SMALL_STATE(3461)] = 107753,
  [SMALL_STATE(3462)] = 107797,
  [SMALL_STATE(3463)] = 107841,
  [SMALL_STATE(3464)] = 107885,
  [SMALL_STATE(3465)] = 107929,
  [SMALL_STATE(3466)] = 107973,
  [SMALL_STATE(3467)] = 108029,
  [SMALL_STATE(3468)] = 108067,
  [SMALL_STATE(3469)] = 108105,
  [SMALL_STATE(3470)] = 108149,
  [SMALL_STATE(3471)] = 108193,
  [SMALL_STATE(3472)] = 108237,
  [SMALL_STATE(3473)] = 108281,
  [SMALL_STATE(3474)] = 108325,
  [SMALL_STATE(3475)] = 108369,
  [SMALL_STATE(3476)] = 108413,
  [SMALL_STATE(3477)] = 108457,
  [SMALL_STATE(3478)] = 108501,
  [SMALL_STATE(3479)] = 108545,
  [SMALL_STATE(3480)] = 108583,
  [SMALL_STATE(3481)] = 108627,
  [SMALL_STATE(3482)] = 108671,
  [SMALL_STATE(3483)] = 108715,
  [SMALL_STATE(3484)] = 108759,
  [SMALL_STATE(3485)] = 108801,
  [SMALL_STATE(3486)] = 108845,
  [SMALL_STATE(3487)] = 108889,
  [SMALL_STATE(3488)] = 108927,
  [SMALL_STATE(3489)] = 108971,
  [SMALL_STATE(3490)] = 109015,
  [SMALL_STATE(3491)] = 109059,
  [SMALL_STATE(3492)] = 109103,
  [SMALL_STATE(3493)] = 109147,
  [SMALL_STATE(3494)] = 109191,
  [SMALL_STATE(3495)] = 109235,
  [SMALL_STATE(3496)] = 109279,
  [SMALL_STATE(3497)] = 109323,
  [SMALL_STATE(3498)] = 109367,
  [SMALL_STATE(3499)] = 109411,
  [SMALL_STATE(3500)] = 109455,
  [SMALL_STATE(3501)] = 109499,
  [SMALL_STATE(3502)] = 109543,
  [SMALL_STATE(3503)] = 109587,
  [SMALL_STATE(3504)] = 109633,
  [SMALL_STATE(3505)] = 109677,
  [SMALL_STATE(3506)] = 109721,
  [SMALL_STATE(3507)] = 109765,
  [SMALL_STATE(3508)] = 109809,
  [SMALL_STATE(3509)] = 109853,
  [SMALL_STATE(3510)] = 109897,
  [SMALL_STATE(3511)] = 109941,
  [SMALL_STATE(3512)] = 109985,
  [SMALL_STATE(3513)] = 110029,
  [SMALL_STATE(3514)] = 110073,
  [SMALL_STATE(3515)] = 110117,
  [SMALL_STATE(3516)] = 110161,
  [SMALL_STATE(3517)] = 110205,
  [SMALL_STATE(3518)] = 110249,
  [SMALL_STATE(3519)] = 110293,
  [SMALL_STATE(3520)] = 110337,
  [SMALL_STATE(3521)] = 110381,
  [SMALL_STATE(3522)] = 110419,
  [SMALL_STATE(3523)] = 110463,
  [SMALL_STATE(3524)] = 110504,
  [SMALL_STATE(3525)] = 110545,
  [SMALL_STATE(3526)] = 110578,
  [SMALL_STATE(3527)] = 110611,
  [SMALL_STATE(3528)] = 110644,
  [SMALL_STATE(3529)] = 110685,
  [SMALL_STATE(3530)] = 110718,
  [SMALL_STATE(3531)] = 110751,
  [SMALL_STATE(3532)] = 110792,
  [SMALL_STATE(3533)] = 110833,
  [SMALL_STATE(3534)] = 110874,
  [SMALL_STATE(3535)] = 110915,
  [SMALL_STATE(3536)] = 110956,
  [SMALL_STATE(3537)] = 110997,
  [SMALL_STATE(3538)] = 111030,
  [SMALL_STATE(3539)] = 111071,
  [SMALL_STATE(3540)] = 111112,
  [SMALL_STATE(3541)] = 111153,
  [SMALL_STATE(3542)] = 111186,
  [SMALL_STATE(3543)] = 111227,
  [SMALL_STATE(3544)] = 111268,
  [SMALL_STATE(3545)] = 111301,
  [SMALL_STATE(3546)] = 111342,
  [SMALL_STATE(3547)] = 111375,
  [SMALL_STATE(3548)] = 111416,
  [SMALL_STATE(3549)] = 111449,
  [SMALL_STATE(3550)] = 111490,
  [SMALL_STATE(3551)] = 111523,
  [SMALL_STATE(3552)] = 111564,
  [SMALL_STATE(3553)] = 111597,
  [SMALL_STATE(3554)] = 111638,
  [SMALL_STATE(3555)] = 111671,
  [SMALL_STATE(3556)] = 111704,
  [SMALL_STATE(3557)] = 111739,
  [SMALL_STATE(3558)] = 111772,
  [SMALL_STATE(3559)] = 111813,
  [SMALL_STATE(3560)] = 111846,
  [SMALL_STATE(3561)] = 111879,
  [SMALL_STATE(3562)] = 111920,
  [SMALL_STATE(3563)] = 111955,
  [SMALL_STATE(3564)] = 111996,
  [SMALL_STATE(3565)] = 112029,
  [SMALL_STATE(3566)] = 112062,
  [SMALL_STATE(3567)] = 112103,
  [SMALL_STATE(3568)] = 112144,
  [SMALL_STATE(3569)] = 112177,
  [SMALL_STATE(3570)] = 112218,
  [SMALL_STATE(3571)] = 112251,
  [SMALL_STATE(3572)] = 112292,
  [SMALL_STATE(3573)] = 112333,
  [SMALL_STATE(3574)] = 112374,
  [SMALL_STATE(3575)] = 112415,
  [SMALL_STATE(3576)] = 112456,
  [SMALL_STATE(3577)] = 112497,
  [SMALL_STATE(3578)] = 112538,
  [SMALL_STATE(3579)] = 112579,
  [SMALL_STATE(3580)] = 112620,
  [SMALL_STATE(3581)] = 112661,
  [SMALL_STATE(3582)] = 112702,
  [SMALL_STATE(3583)] = 112743,
  [SMALL_STATE(3584)] = 112784,
  [SMALL_STATE(3585)] = 112825,
  [SMALL_STATE(3586)] = 112858,
  [SMALL_STATE(3587)] = 112899,
  [SMALL_STATE(3588)] = 112940,
  [SMALL_STATE(3589)] = 112981,
  [SMALL_STATE(3590)] = 113022,
  [SMALL_STATE(3591)] = 113055,
  [SMALL_STATE(3592)] = 113096,
  [SMALL_STATE(3593)] = 113129,
  [SMALL_STATE(3594)] = 113170,
  [SMALL_STATE(3595)] = 113211,
  [SMALL_STATE(3596)] = 113252,
  [SMALL_STATE(3597)] = 113285,
  [SMALL_STATE(3598)] = 113326,
  [SMALL_STATE(3599)] = 113367,
  [SMALL_STATE(3600)] = 113408,
  [SMALL_STATE(3601)] = 113449,
  [SMALL_STATE(3602)] = 113482,
  [SMALL_STATE(3603)] = 113523,
  [SMALL_STATE(3604)] = 113564,
  [SMALL_STATE(3605)] = 113597,
  [SMALL_STATE(3606)] = 113630,
  [SMALL_STATE(3607)] = 113663,
  [SMALL_STATE(3608)] = 113704,
  [SMALL_STATE(3609)] = 113745,
  [SMALL_STATE(3610)] = 113786,
  [SMALL_STATE(3611)] = 113819,
  [SMALL_STATE(3612)] = 113860,
  [SMALL_STATE(3613)] = 113893,
  [SMALL_STATE(3614)] = 113934,
  [SMALL_STATE(3615)] = 113967,
  [SMALL_STATE(3616)] = 114008,
  [SMALL_STATE(3617)] = 114041,
  [SMALL_STATE(3618)] = 114082,
  [SMALL_STATE(3619)] = 114123,
  [SMALL_STATE(3620)] = 114164,
  [SMALL_STATE(3621)] = 114205,
  [SMALL_STATE(3622)] = 114246,
  [SMALL_STATE(3623)] = 114284,
  [SMALL_STATE(3624)] = 114322,
  [SMALL_STATE(3625)] = 114360,
  [SMALL_STATE(3626)] = 114398,
  [SMALL_STATE(3627)] = 114436,
  [SMALL_STATE(3628)] = 114476,
  [SMALL_STATE(3629)] = 114514,
  [SMALL_STATE(3630)] = 114552,
  [SMALL_STATE(3631)] = 114590,
  [SMALL_STATE(3632)] = 114628,
  [SMALL_STATE(3633)] = 114666,
  [SMALL_STATE(3634)] = 114704,
  [SMALL_STATE(3635)] = 114742,
  [SMALL_STATE(3636)] = 114780,
  [SMALL_STATE(3637)] = 114818,
  [SMALL_STATE(3638)] = 114856,
  [SMALL_STATE(3639)] = 114894,
  [SMALL_STATE(3640)] = 114928,
  [SMALL_STATE(3641)] = 114962,
  [SMALL_STATE(3642)] = 115000,
  [SMALL_STATE(3643)] = 115038,
  [SMALL_STATE(3644)] = 115076,
  [SMALL_STATE(3645)] = 115114,
  [SMALL_STATE(3646)] = 115152,
  [SMALL_STATE(3647)] = 115190,
  [SMALL_STATE(3648)] = 115228,
  [SMALL_STATE(3649)] = 115266,
  [SMALL_STATE(3650)] = 115304,
  [SMALL_STATE(3651)] = 115342,
  [SMALL_STATE(3652)] = 115380,
  [SMALL_STATE(3653)] = 115418,
  [SMALL_STATE(3654)] = 115450,
  [SMALL_STATE(3655)] = 115488,
  [SMALL_STATE(3656)] = 115526,
  [SMALL_STATE(3657)] = 115564,
  [SMALL_STATE(3658)] = 115602,
  [SMALL_STATE(3659)] = 115640,
  [SMALL_STATE(3660)] = 115678,
  [SMALL_STATE(3661)] = 115716,
  [SMALL_STATE(3662)] = 115754,
  [SMALL_STATE(3663)] = 115792,
  [SMALL_STATE(3664)] = 115830,
  [SMALL_STATE(3665)] = 115868,
  [SMALL_STATE(3666)] = 115906,
  [SMALL_STATE(3667)] = 115940,
  [SMALL_STATE(3668)] = 115978,
  [SMALL_STATE(3669)] = 116016,
  [SMALL_STATE(3670)] = 116054,
  [SMALL_STATE(3671)] = 116092,
  [SMALL_STATE(3672)] = 116130,
  [SMALL_STATE(3673)] = 116168,
  [SMALL_STATE(3674)] = 116206,
  [SMALL_STATE(3675)] = 116244,
  [SMALL_STATE(3676)] = 116282,
  [SMALL_STATE(3677)] = 116320,
  [SMALL_STATE(3678)] = 116358,
  [SMALL_STATE(3679)] = 116392,
  [SMALL_STATE(3680)] = 116430,
  [SMALL_STATE(3681)] = 116468,
  [SMALL_STATE(3682)] = 116506,
  [SMALL_STATE(3683)] = 116544,
  [SMALL_STATE(3684)] = 116582,
  [SMALL_STATE(3685)] = 116620,
  [SMALL_STATE(3686)] = 116654,
  [SMALL_STATE(3687)] = 116692,
  [SMALL_STATE(3688)] = 116730,
  [SMALL_STATE(3689)] = 116768,
  [SMALL_STATE(3690)] = 116806,
  [SMALL_STATE(3691)] = 116840,
  [SMALL_STATE(3692)] = 116878,
  [SMALL_STATE(3693)] = 116916,
  [SMALL_STATE(3694)] = 116954,
  [SMALL_STATE(3695)] = 116992,
  [SMALL_STATE(3696)] = 117030,
  [SMALL_STATE(3697)] = 117068,
  [SMALL_STATE(3698)] = 117106,
  [SMALL_STATE(3699)] = 117144,
  [SMALL_STATE(3700)] = 117182,
  [SMALL_STATE(3701)] = 117216,
  [SMALL_STATE(3702)] = 117254,
  [SMALL_STATE(3703)] = 117292,
  [SMALL_STATE(3704)] = 117330,
  [SMALL_STATE(3705)] = 117364,
  [SMALL_STATE(3706)] = 117402,
  [SMALL_STATE(3707)] = 117440,
  [SMALL_STATE(3708)] = 117478,
  [SMALL_STATE(3709)] = 117516,
  [SMALL_STATE(3710)] = 117554,
  [SMALL_STATE(3711)] = 117592,
  [SMALL_STATE(3712)] = 117630,
  [SMALL_STATE(3713)] = 117680,
  [SMALL_STATE(3714)] = 117718,
  [SMALL_STATE(3715)] = 117750,
  [SMALL_STATE(3716)] = 117788,
  [SMALL_STATE(3717)] = 117826,
  [SMALL_STATE(3718)] = 117860,
  [SMALL_STATE(3719)] = 117898,
  [SMALL_STATE(3720)] = 117936,
  [SMALL_STATE(3721)] = 117974,
  [SMALL_STATE(3722)] = 118012,
  [SMALL_STATE(3723)] = 118050,
  [SMALL_STATE(3724)] = 118088,
  [SMALL_STATE(3725)] = 118126,
  [SMALL_STATE(3726)] = 118160,
  [SMALL_STATE(3727)] = 118198,
  [SMALL_STATE(3728)] = 118236,
  [SMALL_STATE(3729)] = 118274,
  [SMALL_STATE(3730)] = 118312,
  [SMALL_STATE(3731)] = 118350,
  [SMALL_STATE(3732)] = 118384,
  [SMALL_STATE(3733)] = 118422,
  [SMALL_STATE(3734)] = 118460,
  [SMALL_STATE(3735)] = 118498,
  [SMALL_STATE(3736)] = 118536,
  [SMALL_STATE(3737)] = 118574,
  [SMALL_STATE(3738)] = 118608,
  [SMALL_STATE(3739)] = 118646,
  [SMALL_STATE(3740)] = 118677,
  [SMALL_STATE(3741)] = 118708,
  [SMALL_STATE(3742)] = 118739,
  [SMALL_STATE(3743)] = 118770,
  [SMALL_STATE(3744)] = 118801,
  [SMALL_STATE(3745)] = 118832,
  [SMALL_STATE(3746)] = 118863,
  [SMALL_STATE(3747)] = 118894,
  [SMALL_STATE(3748)] = 118925,
  [SMALL_STATE(3749)] = 118960,
  [SMALL_STATE(3750)] = 118991,
  [SMALL_STATE(3751)] = 119022,
  [SMALL_STATE(3752)] = 119053,
  [SMALL_STATE(3753)] = 119084,
  [SMALL_STATE(3754)] = 119115,
  [SMALL_STATE(3755)] = 119146,
  [SMALL_STATE(3756)] = 119177,
  [SMALL_STATE(3757)] = 119208,
  [SMALL_STATE(3758)] = 119239,
  [SMALL_STATE(3759)] = 119270,
  [SMALL_STATE(3760)] = 119301,
  [SMALL_STATE(3761)] = 119332,
  [SMALL_STATE(3762)] = 119363,
  [SMALL_STATE(3763)] = 119394,
  [SMALL_STATE(3764)] = 119425,
  [SMALL_STATE(3765)] = 119456,
  [SMALL_STATE(3766)] = 119487,
  [SMALL_STATE(3767)] = 119518,
  [SMALL_STATE(3768)] = 119549,
  [SMALL_STATE(3769)] = 119579,
  [SMALL_STATE(3770)] = 119613,
  [SMALL_STATE(3771)] = 119647,
  [SMALL_STATE(3772)] = 119677,
  [SMALL_STATE(3773)] = 119707,
  [SMALL_STATE(3774)] = 119741,
  [SMALL_STATE(3775)] = 119771,
  [SMALL_STATE(3776)] = 119809,
  [SMALL_STATE(3777)] = 119841,
  [SMALL_STATE(3778)] = 119875,
  [SMALL_STATE(3779)] = 119908,
  [SMALL_STATE(3780)] = 119937,
  [SMALL_STATE(3781)] = 119966,
  [SMALL_STATE(3782)] = 120021,
  [SMALL_STATE(3783)] = 120068,
  [SMALL_STATE(3784)] = 120097,
  [SMALL_STATE(3785)] = 120126,
  [SMALL_STATE(3786)] = 120155,
  [SMALL_STATE(3787)] = 120184,
  [SMALL_STATE(3788)] = 120213,
  [SMALL_STATE(3789)] = 120242,
  [SMALL_STATE(3790)] = 120271,
  [SMALL_STATE(3791)] = 120302,
  [SMALL_STATE(3792)] = 120331,
  [SMALL_STATE(3793)] = 120360,
  [SMALL_STATE(3794)] = 120415,
  [SMALL_STATE(3795)] = 120446,
  [SMALL_STATE(3796)] = 120477,
  [SMALL_STATE(3797)] = 120532,
  [SMALL_STATE(3798)] = 120561,
  [SMALL_STATE(3799)] = 120609,
  [SMALL_STATE(3800)] = 120637,
  [SMALL_STATE(3801)] = 120665,
  [SMALL_STATE(3802)] = 120693,
  [SMALL_STATE(3803)] = 120721,
  [SMALL_STATE(3804)] = 120749,
  [SMALL_STATE(3805)] = 120795,
  [SMALL_STATE(3806)] = 120827,
  [SMALL_STATE(3807)] = 120855,
  [SMALL_STATE(3808)] = 120883,
  [SMALL_STATE(3809)] = 120927,
  [SMALL_STATE(3810)] = 120969,
  [SMALL_STATE(3811)] = 120997,
  [SMALL_STATE(3812)] = 121045,
  [SMALL_STATE(3813)] = 121093,
  [SMALL_STATE(3814)] = 121121,
  [SMALL_STATE(3815)] = 121149,
  [SMALL_STATE(3816)] = 121197,
  [SMALL_STATE(3817)] = 121243,
  [SMALL_STATE(3818)] = 121281,
  [SMALL_STATE(3819)] = 121309,
  [SMALL_STATE(3820)] = 121357,
  [SMALL_STATE(3821)] = 121385,
  [SMALL_STATE(3822)] = 121415,
  [SMALL_STATE(3823)] = 121447,
  [SMALL_STATE(3824)] = 121481,
  [SMALL_STATE(3825)] = 121529,
  [SMALL_STATE(3826)] = 121557,
  [SMALL_STATE(3827)] = 121585,
  [SMALL_STATE(3828)] = 121613,
  [SMALL_STATE(3829)] = 121651,
  [SMALL_STATE(3830)] = 121699,
  [SMALL_STATE(3831)] = 121727,
  [SMALL_STATE(3832)] = 121755,
  [SMALL_STATE(3833)] = 121803,
  [SMALL_STATE(3834)] = 121831,
  [SMALL_STATE(3835)] = 121859,
  [SMALL_STATE(3836)] = 121887,
  [SMALL_STATE(3837)] = 121927,
  [SMALL_STATE(3838)] = 121975,
  [SMALL_STATE(3839)] = 122003,
  [SMALL_STATE(3840)] = 122031,
  [SMALL_STATE(3841)] = 122059,
  [SMALL_STATE(3842)] = 122107,
  [SMALL_STATE(3843)] = 122157,
  [SMALL_STATE(3844)] = 122185,
  [SMALL_STATE(3845)] = 122233,
  [SMALL_STATE(3846)] = 122281,
  [SMALL_STATE(3847)] = 122309,
  [SMALL_STATE(3848)] = 122343,
  [SMALL_STATE(3849)] = 122375,
  [SMALL_STATE(3850)] = 122423,
  [SMALL_STATE(3851)] = 122471,
  [SMALL_STATE(3852)] = 122499,
  [SMALL_STATE(3853)] = 122527,
  [SMALL_STATE(3854)] = 122555,
  [SMALL_STATE(3855)] = 122587,
  [SMALL_STATE(3856)] = 122635,
  [SMALL_STATE(3857)] = 122683,
  [SMALL_STATE(3858)] = 122711,
  [SMALL_STATE(3859)] = 122739,
  [SMALL_STATE(3860)] = 122767,
  [SMALL_STATE(3861)] = 122811,
  [SMALL_STATE(3862)] = 122839,
  [SMALL_STATE(3863)] = 122887,
  [SMALL_STATE(3864)] = 122935,
  [SMALL_STATE(3865)] = 122983,
  [SMALL_STATE(3866)] = 123011,
  [SMALL_STATE(3867)] = 123039,
  [SMALL_STATE(3868)] = 123071,
  [SMALL_STATE(3869)] = 123099,
  [SMALL_STATE(3870)] = 123147,
  [SMALL_STATE(3871)] = 123195,
  [SMALL_STATE(3872)] = 123223,
  [SMALL_STATE(3873)] = 123255,
  [SMALL_STATE(3874)] = 123283,
  [SMALL_STATE(3875)] = 123331,
  [SMALL_STATE(3876)] = 123359,
  [SMALL_STATE(3877)] = 123391,
  [SMALL_STATE(3878)] = 123419,
  [SMALL_STATE(3879)] = 123455,
  [SMALL_STATE(3880)] = 123485,
  [SMALL_STATE(3881)] = 123513,
  [SMALL_STATE(3882)] = 123561,
  [SMALL_STATE(3883)] = 123589,
  [SMALL_STATE(3884)] = 123637,
  [SMALL_STATE(3885)] = 123681,
  [SMALL_STATE(3886)] = 123713,
  [SMALL_STATE(3887)] = 123759,
  [SMALL_STATE(3888)] = 123803,
  [SMALL_STATE(3889)] = 123831,
  [SMALL_STATE(3890)] = 123859,
  [SMALL_STATE(3891)] = 123887,
  [SMALL_STATE(3892)] = 123931,
  [SMALL_STATE(3893)] = 123973,
  [SMALL_STATE(3894)] = 124001,
  [SMALL_STATE(3895)] = 124049,
  [SMALL_STATE(3896)] = 124077,
  [SMALL_STATE(3897)] = 124122,
  [SMALL_STATE(3898)] = 124167,
  [SMALL_STATE(3899)] = 124212,
  [SMALL_STATE(3900)] = 124257,
  [SMALL_STATE(3901)] = 124306,
  [SMALL_STATE(3902)] = 124351,
  [SMALL_STATE(3903)] = 124396,
  [SMALL_STATE(3904)] = 124441,
  [SMALL_STATE(3905)] = 124486,
  [SMALL_STATE(3906)] = 124531,
  [SMALL_STATE(3907)] = 124576,
  [SMALL_STATE(3908)] = 124621,
  [SMALL_STATE(3909)] = 124666,
  [SMALL_STATE(3910)] = 124711,
  [SMALL_STATE(3911)] = 124756,
  [SMALL_STATE(3912)] = 124801,
  [SMALL_STATE(3913)] = 124850,
  [SMALL_STATE(3914)] = 124877,
  [SMALL_STATE(3915)] = 124904,
  [SMALL_STATE(3916)] = 124949,
  [SMALL_STATE(3917)] = 124975,
  [SMALL_STATE(3918)] = 125001,
  [SMALL_STATE(3919)] = 125027,
  [SMALL_STATE(3920)] = 125053,
  [SMALL_STATE(3921)] = 125079,
  [SMALL_STATE(3922)] = 125105,
  [SMALL_STATE(3923)] = 125145,
  [SMALL_STATE(3924)] = 125187,
  [SMALL_STATE(3925)] = 125229,
  [SMALL_STATE(3926)] = 125271,
  [SMALL_STATE(3927)] = 125313,
  [SMALL_STATE(3928)] = 125347,
  [SMALL_STATE(3929)] = 125376,
  [SMALL_STATE(3930)] = 125404,
  [SMALL_STATE(3931)] = 125432,
  [SMALL_STATE(3932)] = 125460,
  [SMALL_STATE(3933)] = 125492,
  [SMALL_STATE(3934)] = 125526,
  [SMALL_STATE(3935)] = 125554,
  [SMALL_STATE(3936)] = 125582,
  [SMALL_STATE(3937)] = 125614,
  [SMALL_STATE(3938)] = 125652,
  [SMALL_STATE(3939)] = 125680,
  [SMALL_STATE(3940)] = 125708,
  [SMALL_STATE(3941)] = 125740,
  [SMALL_STATE(3942)] = 125768,
  [SMALL_STATE(3943)] = 125796,
  [SMALL_STATE(3944)] = 125828,
  [SMALL_STATE(3945)] = 125860,
  [SMALL_STATE(3946)] = 125888,
  [SMALL_STATE(3947)] = 125916,
  [SMALL_STATE(3948)] = 125944,
  [SMALL_STATE(3949)] = 125976,
  [SMALL_STATE(3950)] = 126008,
  [SMALL_STATE(3951)] = 126036,
  [SMALL_STATE(3952)] = 126068,
  [SMALL_STATE(3953)] = 126096,
  [SMALL_STATE(3954)] = 126128,
  [SMALL_STATE(3955)] = 126156,
  [SMALL_STATE(3956)] = 126184,
  [SMALL_STATE(3957)] = 126216,
  [SMALL_STATE(3958)] = 126248,
  [SMALL_STATE(3959)] = 126280,
  [SMALL_STATE(3960)] = 126312,
  [SMALL_STATE(3961)] = 126340,
  [SMALL_STATE(3962)] = 126368,
  [SMALL_STATE(3963)] = 126400,
  [SMALL_STATE(3964)] = 126428,
  [SMALL_STATE(3965)] = 126456,
  [SMALL_STATE(3966)] = 126484,
  [SMALL_STATE(3967)] = 126510,
  [SMALL_STATE(3968)] = 126538,
  [SMALL_STATE(3969)] = 126570,
  [SMALL_STATE(3970)] = 126598,
  [SMALL_STATE(3971)] = 126626,
  [SMALL_STATE(3972)] = 126654,
  [SMALL_STATE(3973)] = 126686,
  [SMALL_STATE(3974)] = 126714,
  [SMALL_STATE(3975)] = 126742,
  [SMALL_STATE(3976)] = 126770,
  [SMALL_STATE(3977)] = 126802,
  [SMALL_STATE(3978)] = 126830,
  [SMALL_STATE(3979)] = 126858,
  [SMALL_STATE(3980)] = 126886,
  [SMALL_STATE(3981)] = 126918,
  [SMALL_STATE(3982)] = 126950,
  [SMALL_STATE(3983)] = 126983,
  [SMALL_STATE(3984)] = 127012,
  [SMALL_STATE(3985)] = 127045,
  [SMALL_STATE(3986)] = 127078,
  [SMALL_STATE(3987)] = 127107,
  [SMALL_STATE(3988)] = 127126,
  [SMALL_STATE(3989)] = 127155,
  [SMALL_STATE(3990)] = 127188,
  [SMALL_STATE(3991)] = 127207,
  [SMALL_STATE(3992)] = 127227,
  [SMALL_STATE(3993)] = 127255,
  [SMALL_STATE(3994)] = 127281,
  [SMALL_STATE(3995)] = 127301,
  [SMALL_STATE(3996)] = 127321,
  [SMALL_STATE(3997)] = 127341,
  [SMALL_STATE(3998)] = 127365,
  [SMALL_STATE(3999)] = 127389,
  [SMALL_STATE(4000)] = 127409,
  [SMALL_STATE(4001)] = 127429,
  [SMALL_STATE(4002)] = 127457,
  [SMALL_STATE(4003)] = 127477,
  [SMALL_STATE(4004)] = 127501,
  [SMALL_STATE(4005)] = 127521,
  [SMALL_STATE(4006)] = 127541,
  [SMALL_STATE(4007)] = 127561,
  [SMALL_STATE(4008)] = 127587,
  [SMALL_STATE(4009)] = 127610,
  [SMALL_STATE(4010)] = 127633,
  [SMALL_STATE(4011)] = 127656,
  [SMALL_STATE(4012)] = 127683,
  [SMALL_STATE(4013)] = 127706,
  [SMALL_STATE(4014)] = 127729,
  [SMALL_STATE(4015)] = 127746,
  [SMALL_STATE(4016)] = 127769,
  [SMALL_STATE(4017)] = 127792,
  [SMALL_STATE(4018)] = 127815,
  [SMALL_STATE(4019)] = 127842,
  [SMALL_STATE(4020)] = 127869,
  [SMALL_STATE(4021)] = 127892,
  [SMALL_STATE(4022)] = 127915,
  [SMALL_STATE(4023)] = 127938,
  [SMALL_STATE(4024)] = 127955,
  [SMALL_STATE(4025)] = 127978,
  [SMALL_STATE(4026)] = 127995,
  [SMALL_STATE(4027)] = 128018,
  [SMALL_STATE(4028)] = 128041,
  [SMALL_STATE(4029)] = 128064,
  [SMALL_STATE(4030)] = 128081,
  [SMALL_STATE(4031)] = 128104,
  [SMALL_STATE(4032)] = 128131,
  [SMALL_STATE(4033)] = 128148,
  [SMALL_STATE(4034)] = 128171,
  [SMALL_STATE(4035)] = 128194,
  [SMALL_STATE(4036)] = 128217,
  [SMALL_STATE(4037)] = 128234,
  [SMALL_STATE(4038)] = 128257,
  [SMALL_STATE(4039)] = 128280,
  [SMALL_STATE(4040)] = 128303,
  [SMALL_STATE(4041)] = 128326,
  [SMALL_STATE(4042)] = 128349,
  [SMALL_STATE(4043)] = 128372,
  [SMALL_STATE(4044)] = 128395,
  [SMALL_STATE(4045)] = 128418,
  [SMALL_STATE(4046)] = 128441,
  [SMALL_STATE(4047)] = 128464,
  [SMALL_STATE(4048)] = 128487,
  [SMALL_STATE(4049)] = 128504,
  [SMALL_STATE(4050)] = 128527,
  [SMALL_STATE(4051)] = 128550,
  [SMALL_STATE(4052)] = 128573,
  [SMALL_STATE(4053)] = 128596,
  [SMALL_STATE(4054)] = 128621,
  [SMALL_STATE(4055)] = 128644,
  [SMALL_STATE(4056)] = 128661,
  [SMALL_STATE(4057)] = 128678,
  [SMALL_STATE(4058)] = 128701,
  [SMALL_STATE(4059)] = 128724,
  [SMALL_STATE(4060)] = 128747,
  [SMALL_STATE(4061)] = 128770,
  [SMALL_STATE(4062)] = 128793,
  [SMALL_STATE(4063)] = 128816,
  [SMALL_STATE(4064)] = 128839,
  [SMALL_STATE(4065)] = 128862,
  [SMALL_STATE(4066)] = 128885,
  [SMALL_STATE(4067)] = 128908,
  [SMALL_STATE(4068)] = 128931,
  [SMALL_STATE(4069)] = 128954,
  [SMALL_STATE(4070)] = 128977,
  [SMALL_STATE(4071)] = 129000,
  [SMALL_STATE(4072)] = 129023,
  [SMALL_STATE(4073)] = 129046,
  [SMALL_STATE(4074)] = 129069,
  [SMALL_STATE(4075)] = 129092,
  [SMALL_STATE(4076)] = 129115,
  [SMALL_STATE(4077)] = 129138,
  [SMALL_STATE(4078)] = 129165,
  [SMALL_STATE(4079)] = 129188,
  [SMALL_STATE(4080)] = 129215,
  [SMALL_STATE(4081)] = 129238,
  [SMALL_STATE(4082)] = 129261,
  [SMALL_STATE(4083)] = 129278,
  [SMALL_STATE(4084)] = 129301,
  [SMALL_STATE(4085)] = 129324,
  [SMALL_STATE(4086)] = 129341,
  [SMALL_STATE(4087)] = 129364,
  [SMALL_STATE(4088)] = 129381,
  [SMALL_STATE(4089)] = 129404,
  [SMALL_STATE(4090)] = 129427,
  [SMALL_STATE(4091)] = 129450,
  [SMALL_STATE(4092)] = 129477,
  [SMALL_STATE(4093)] = 129500,
  [SMALL_STATE(4094)] = 129523,
  [SMALL_STATE(4095)] = 129546,
  [SMALL_STATE(4096)] = 129569,
  [SMALL_STATE(4097)] = 129586,
  [SMALL_STATE(4098)] = 129603,
  [SMALL_STATE(4099)] = 129626,
  [SMALL_STATE(4100)] = 129649,
  [SMALL_STATE(4101)] = 129672,
  [SMALL_STATE(4102)] = 129699,
  [SMALL_STATE(4103)] = 129726,
  [SMALL_STATE(4104)] = 129743,
  [SMALL_STATE(4105)] = 129766,
  [SMALL_STATE(4106)] = 129789,
  [SMALL_STATE(4107)] = 129812,
  [SMALL_STATE(4108)] = 129835,
  [SMALL_STATE(4109)] = 129862,
  [SMALL_STATE(4110)] = 129885,
  [SMALL_STATE(4111)] = 129908,
  [SMALL_STATE(4112)] = 129925,
  [SMALL_STATE(4113)] = 129948,
  [SMALL_STATE(4114)] = 129971,
  [SMALL_STATE(4115)] = 129994,
  [SMALL_STATE(4116)] = 130021,
  [SMALL_STATE(4117)] = 130044,
  [SMALL_STATE(4118)] = 130067,
  [SMALL_STATE(4119)] = 130090,
  [SMALL_STATE(4120)] = 130113,
  [SMALL_STATE(4121)] = 130136,
  [SMALL_STATE(4122)] = 130159,
  [SMALL_STATE(4123)] = 130183,
  [SMALL_STATE(4124)] = 130199,
  [SMALL_STATE(4125)] = 130221,
  [SMALL_STATE(4126)] = 130245,
  [SMALL_STATE(4127)] = 130269,
  [SMALL_STATE(4128)] = 130291,
  [SMALL_STATE(4129)] = 130307,
  [SMALL_STATE(4130)] = 130323,
  [SMALL_STATE(4131)] = 130339,
  [SMALL_STATE(4132)] = 130355,
  [SMALL_STATE(4133)] = 130377,
  [SMALL_STATE(4134)] = 130399,
  [SMALL_STATE(4135)] = 130420,
  [SMALL_STATE(4136)] = 130441,
  [SMALL_STATE(4137)] = 130460,
  [SMALL_STATE(4138)] = 130481,
  [SMALL_STATE(4139)] = 130500,
  [SMALL_STATE(4140)] = 130519,
  [SMALL_STATE(4141)] = 130538,
  [SMALL_STATE(4142)] = 130559,
  [SMALL_STATE(4143)] = 130580,
  [SMALL_STATE(4144)] = 130601,
  [SMALL_STATE(4145)] = 130622,
  [SMALL_STATE(4146)] = 130643,
  [SMALL_STATE(4147)] = 130662,
  [SMALL_STATE(4148)] = 130681,
  [SMALL_STATE(4149)] = 130702,
  [SMALL_STATE(4150)] = 130723,
  [SMALL_STATE(4151)] = 130744,
  [SMALL_STATE(4152)] = 130765,
  [SMALL_STATE(4153)] = 130786,
  [SMALL_STATE(4154)] = 130807,
  [SMALL_STATE(4155)] = 130828,
  [SMALL_STATE(4156)] = 130849,
  [SMALL_STATE(4157)] = 130868,
  [SMALL_STATE(4158)] = 130889,
  [SMALL_STATE(4159)] = 130902,
  [SMALL_STATE(4160)] = 130923,
  [SMALL_STATE(4161)] = 130944,
  [SMALL_STATE(4162)] = 130963,
  [SMALL_STATE(4163)] = 130982,
  [SMALL_STATE(4164)] = 131003,
  [SMALL_STATE(4165)] = 131024,
  [SMALL_STATE(4166)] = 131045,
  [SMALL_STATE(4167)] = 131066,
  [SMALL_STATE(4168)] = 131087,
  [SMALL_STATE(4169)] = 131108,
  [SMALL_STATE(4170)] = 131129,
  [SMALL_STATE(4171)] = 131150,
  [SMALL_STATE(4172)] = 131171,
  [SMALL_STATE(4173)] = 131192,
  [SMALL_STATE(4174)] = 131213,
  [SMALL_STATE(4175)] = 131234,
  [SMALL_STATE(4176)] = 131255,
  [SMALL_STATE(4177)] = 131273,
  [SMALL_STATE(4178)] = 131291,
  [SMALL_STATE(4179)] = 131311,
  [SMALL_STATE(4180)] = 131329,
  [SMALL_STATE(4181)] = 131345,
  [SMALL_STATE(4182)] = 131359,
  [SMALL_STATE(4183)] = 131373,
  [SMALL_STATE(4184)] = 131387,
  [SMALL_STATE(4185)] = 131405,
  [SMALL_STATE(4186)] = 131419,
  [SMALL_STATE(4187)] = 131439,
  [SMALL_STATE(4188)] = 131459,
  [SMALL_STATE(4189)] = 131479,
  [SMALL_STATE(4190)] = 131493,
  [SMALL_STATE(4191)] = 131513,
  [SMALL_STATE(4192)] = 131527,
  [SMALL_STATE(4193)] = 131545,
  [SMALL_STATE(4194)] = 131559,
  [SMALL_STATE(4195)] = 131577,
  [SMALL_STATE(4196)] = 131593,
  [SMALL_STATE(4197)] = 131613,
  [SMALL_STATE(4198)] = 131631,
  [SMALL_STATE(4199)] = 131649,
  [SMALL_STATE(4200)] = 131663,
  [SMALL_STATE(4201)] = 131683,
  [SMALL_STATE(4202)] = 131703,
  [SMALL_STATE(4203)] = 131723,
  [SMALL_STATE(4204)] = 131743,
  [SMALL_STATE(4205)] = 131757,
  [SMALL_STATE(4206)] = 131777,
  [SMALL_STATE(4207)] = 131791,
  [SMALL_STATE(4208)] = 131807,
  [SMALL_STATE(4209)] = 131821,
  [SMALL_STATE(4210)] = 131841,
  [SMALL_STATE(4211)] = 131855,
  [SMALL_STATE(4212)] = 131875,
  [SMALL_STATE(4213)] = 131889,
  [SMALL_STATE(4214)] = 131909,
  [SMALL_STATE(4215)] = 131929,
  [SMALL_STATE(4216)] = 131949,
  [SMALL_STATE(4217)] = 131969,
  [SMALL_STATE(4218)] = 131989,
  [SMALL_STATE(4219)] = 132002,
  [SMALL_STATE(4220)] = 132019,
  [SMALL_STATE(4221)] = 132032,
  [SMALL_STATE(4222)] = 132049,
  [SMALL_STATE(4223)] = 132066,
  [SMALL_STATE(4224)] = 132083,
  [SMALL_STATE(4225)] = 132100,
  [SMALL_STATE(4226)] = 132117,
  [SMALL_STATE(4227)] = 132128,
  [SMALL_STATE(4228)] = 132145,
  [SMALL_STATE(4229)] = 132162,
  [SMALL_STATE(4230)] = 132175,
  [SMALL_STATE(4231)] = 132188,
  [SMALL_STATE(4232)] = 132205,
  [SMALL_STATE(4233)] = 132222,
  [SMALL_STATE(4234)] = 132239,
  [SMALL_STATE(4235)] = 132256,
  [SMALL_STATE(4236)] = 132273,
  [SMALL_STATE(4237)] = 132290,
  [SMALL_STATE(4238)] = 132307,
  [SMALL_STATE(4239)] = 132324,
  [SMALL_STATE(4240)] = 132341,
  [SMALL_STATE(4241)] = 132356,
  [SMALL_STATE(4242)] = 132373,
  [SMALL_STATE(4243)] = 132390,
  [SMALL_STATE(4244)] = 132407,
  [SMALL_STATE(4245)] = 132422,
  [SMALL_STATE(4246)] = 132439,
  [SMALL_STATE(4247)] = 132456,
  [SMALL_STATE(4248)] = 132473,
  [SMALL_STATE(4249)] = 132490,
  [SMALL_STATE(4250)] = 132507,
  [SMALL_STATE(4251)] = 132524,
  [SMALL_STATE(4252)] = 132535,
  [SMALL_STATE(4253)] = 132552,
  [SMALL_STATE(4254)] = 132569,
  [SMALL_STATE(4255)] = 132586,
  [SMALL_STATE(4256)] = 132603,
  [SMALL_STATE(4257)] = 132620,
  [SMALL_STATE(4258)] = 132637,
  [SMALL_STATE(4259)] = 132654,
  [SMALL_STATE(4260)] = 132671,
  [SMALL_STATE(4261)] = 132688,
  [SMALL_STATE(4262)] = 132703,
  [SMALL_STATE(4263)] = 132720,
  [SMALL_STATE(4264)] = 132737,
  [SMALL_STATE(4265)] = 132754,
  [SMALL_STATE(4266)] = 132771,
  [SMALL_STATE(4267)] = 132786,
  [SMALL_STATE(4268)] = 132801,
  [SMALL_STATE(4269)] = 132818,
  [SMALL_STATE(4270)] = 132829,
  [SMALL_STATE(4271)] = 132846,
  [SMALL_STATE(4272)] = 132861,
  [SMALL_STATE(4273)] = 132878,
  [SMALL_STATE(4274)] = 132893,
  [SMALL_STATE(4275)] = 132910,
  [SMALL_STATE(4276)] = 132927,
  [SMALL_STATE(4277)] = 132944,
  [SMALL_STATE(4278)] = 132961,
  [SMALL_STATE(4279)] = 132978,
  [SMALL_STATE(4280)] = 132995,
  [SMALL_STATE(4281)] = 133010,
  [SMALL_STATE(4282)] = 133027,
  [SMALL_STATE(4283)] = 133044,
  [SMALL_STATE(4284)] = 133061,
  [SMALL_STATE(4285)] = 133078,
  [SMALL_STATE(4286)] = 133095,
  [SMALL_STATE(4287)] = 133112,
  [SMALL_STATE(4288)] = 133129,
  [SMALL_STATE(4289)] = 133146,
  [SMALL_STATE(4290)] = 133163,
  [SMALL_STATE(4291)] = 133180,
  [SMALL_STATE(4292)] = 133197,
  [SMALL_STATE(4293)] = 133214,
  [SMALL_STATE(4294)] = 133231,
  [SMALL_STATE(4295)] = 133248,
  [SMALL_STATE(4296)] = 133262,
  [SMALL_STATE(4297)] = 133276,
  [SMALL_STATE(4298)] = 133290,
  [SMALL_STATE(4299)] = 133304,
  [SMALL_STATE(4300)] = 133318,
  [SMALL_STATE(4301)] = 133332,
  [SMALL_STATE(4302)] = 133346,
  [SMALL_STATE(4303)] = 133360,
  [SMALL_STATE(4304)] = 133374,
  [SMALL_STATE(4305)] = 133388,
  [SMALL_STATE(4306)] = 133402,
  [SMALL_STATE(4307)] = 133416,
  [SMALL_STATE(4308)] = 133430,
  [SMALL_STATE(4309)] = 133444,
  [SMALL_STATE(4310)] = 133458,
  [SMALL_STATE(4311)] = 133472,
  [SMALL_STATE(4312)] = 133486,
  [SMALL_STATE(4313)] = 133500,
  [SMALL_STATE(4314)] = 133514,
  [SMALL_STATE(4315)] = 133524,
  [SMALL_STATE(4316)] = 133538,
  [SMALL_STATE(4317)] = 133552,
  [SMALL_STATE(4318)] = 133566,
  [SMALL_STATE(4319)] = 133580,
  [SMALL_STATE(4320)] = 133594,
  [SMALL_STATE(4321)] = 133608,
  [SMALL_STATE(4322)] = 133622,
  [SMALL_STATE(4323)] = 133636,
  [SMALL_STATE(4324)] = 133650,
  [SMALL_STATE(4325)] = 133664,
  [SMALL_STATE(4326)] = 133678,
  [SMALL_STATE(4327)] = 133692,
  [SMALL_STATE(4328)] = 133706,
  [SMALL_STATE(4329)] = 133720,
  [SMALL_STATE(4330)] = 133734,
  [SMALL_STATE(4331)] = 133748,
  [SMALL_STATE(4332)] = 133762,
  [SMALL_STATE(4333)] = 133776,
  [SMALL_STATE(4334)] = 133790,
  [SMALL_STATE(4335)] = 133804,
  [SMALL_STATE(4336)] = 133818,
  [SMALL_STATE(4337)] = 133832,
  [SMALL_STATE(4338)] = 133846,
  [SMALL_STATE(4339)] = 133860,
  [SMALL_STATE(4340)] = 133874,
  [SMALL_STATE(4341)] = 133888,
  [SMALL_STATE(4342)] = 133902,
  [SMALL_STATE(4343)] = 133916,
  [SMALL_STATE(4344)] = 133930,
  [SMALL_STATE(4345)] = 133944,
  [SMALL_STATE(4346)] = 133958,
  [SMALL_STATE(4347)] = 133972,
  [SMALL_STATE(4348)] = 133986,
  [SMALL_STATE(4349)] = 134000,
  [SMALL_STATE(4350)] = 134014,
  [SMALL_STATE(4351)] = 134028,
  [SMALL_STATE(4352)] = 134042,
  [SMALL_STATE(4353)] = 134056,
  [SMALL_STATE(4354)] = 134070,
  [SMALL_STATE(4355)] = 134084,
  [SMALL_STATE(4356)] = 134098,
  [SMALL_STATE(4357)] = 134112,
  [SMALL_STATE(4358)] = 134126,
  [SMALL_STATE(4359)] = 134140,
  [SMALL_STATE(4360)] = 134154,
  [SMALL_STATE(4361)] = 134168,
  [SMALL_STATE(4362)] = 134180,
  [SMALL_STATE(4363)] = 134194,
  [SMALL_STATE(4364)] = 134208,
  [SMALL_STATE(4365)] = 134222,
  [SMALL_STATE(4366)] = 134236,
  [SMALL_STATE(4367)] = 134250,
  [SMALL_STATE(4368)] = 134264,
  [SMALL_STATE(4369)] = 134278,
  [SMALL_STATE(4370)] = 134292,
  [SMALL_STATE(4371)] = 134306,
  [SMALL_STATE(4372)] = 134320,
  [SMALL_STATE(4373)] = 134334,
  [SMALL_STATE(4374)] = 134346,
  [SMALL_STATE(4375)] = 134360,
  [SMALL_STATE(4376)] = 134374,
  [SMALL_STATE(4377)] = 134388,
  [SMALL_STATE(4378)] = 134402,
  [SMALL_STATE(4379)] = 134416,
  [SMALL_STATE(4380)] = 134430,
  [SMALL_STATE(4381)] = 134444,
  [SMALL_STATE(4382)] = 134458,
  [SMALL_STATE(4383)] = 134472,
  [SMALL_STATE(4384)] = 134486,
  [SMALL_STATE(4385)] = 134500,
  [SMALL_STATE(4386)] = 134514,
  [SMALL_STATE(4387)] = 134528,
  [SMALL_STATE(4388)] = 134542,
  [SMALL_STATE(4389)] = 134556,
  [SMALL_STATE(4390)] = 134570,
  [SMALL_STATE(4391)] = 134584,
  [SMALL_STATE(4392)] = 134598,
  [SMALL_STATE(4393)] = 134612,
  [SMALL_STATE(4394)] = 134626,
  [SMALL_STATE(4395)] = 134640,
  [SMALL_STATE(4396)] = 134654,
  [SMALL_STATE(4397)] = 134668,
  [SMALL_STATE(4398)] = 134682,
  [SMALL_STATE(4399)] = 134696,
  [SMALL_STATE(4400)] = 134710,
  [SMALL_STATE(4401)] = 134724,
  [SMALL_STATE(4402)] = 134738,
  [SMALL_STATE(4403)] = 134752,
  [SMALL_STATE(4404)] = 134766,
  [SMALL_STATE(4405)] = 134780,
  [SMALL_STATE(4406)] = 134794,
  [SMALL_STATE(4407)] = 134808,
  [SMALL_STATE(4408)] = 134822,
  [SMALL_STATE(4409)] = 134836,
  [SMALL_STATE(4410)] = 134850,
  [SMALL_STATE(4411)] = 134864,
  [SMALL_STATE(4412)] = 134878,
  [SMALL_STATE(4413)] = 134890,
  [SMALL_STATE(4414)] = 134904,
  [SMALL_STATE(4415)] = 134918,
  [SMALL_STATE(4416)] = 134932,
  [SMALL_STATE(4417)] = 134946,
  [SMALL_STATE(4418)] = 134960,
  [SMALL_STATE(4419)] = 134974,
  [SMALL_STATE(4420)] = 134986,
  [SMALL_STATE(4421)] = 135000,
  [SMALL_STATE(4422)] = 135014,
  [SMALL_STATE(4423)] = 135028,
  [SMALL_STATE(4424)] = 135042,
  [SMALL_STATE(4425)] = 135056,
  [SMALL_STATE(4426)] = 135070,
  [SMALL_STATE(4427)] = 135084,
  [SMALL_STATE(4428)] = 135098,
  [SMALL_STATE(4429)] = 135112,
  [SMALL_STATE(4430)] = 135126,
  [SMALL_STATE(4431)] = 135140,
  [SMALL_STATE(4432)] = 135154,
  [SMALL_STATE(4433)] = 135168,
  [SMALL_STATE(4434)] = 135182,
  [SMALL_STATE(4435)] = 135196,
  [SMALL_STATE(4436)] = 135210,
  [SMALL_STATE(4437)] = 135222,
  [SMALL_STATE(4438)] = 135236,
  [SMALL_STATE(4439)] = 135250,
  [SMALL_STATE(4440)] = 135264,
  [SMALL_STATE(4441)] = 135278,
  [SMALL_STATE(4442)] = 135292,
  [SMALL_STATE(4443)] = 135306,
  [SMALL_STATE(4444)] = 135320,
  [SMALL_STATE(4445)] = 135334,
  [SMALL_STATE(4446)] = 135348,
  [SMALL_STATE(4447)] = 135362,
  [SMALL_STATE(4448)] = 135376,
  [SMALL_STATE(4449)] = 135390,
  [SMALL_STATE(4450)] = 135404,
  [SMALL_STATE(4451)] = 135418,
  [SMALL_STATE(4452)] = 135432,
  [SMALL_STATE(4453)] = 135446,
  [SMALL_STATE(4454)] = 135460,
  [SMALL_STATE(4455)] = 135474,
  [SMALL_STATE(4456)] = 135488,
  [SMALL_STATE(4457)] = 135502,
  [SMALL_STATE(4458)] = 135516,
  [SMALL_STATE(4459)] = 135530,
  [SMALL_STATE(4460)] = 135544,
  [SMALL_STATE(4461)] = 135558,
  [SMALL_STATE(4462)] = 135572,
  [SMALL_STATE(4463)] = 135586,
  [SMALL_STATE(4464)] = 135600,
  [SMALL_STATE(4465)] = 135614,
  [SMALL_STATE(4466)] = 135626,
  [SMALL_STATE(4467)] = 135640,
  [SMALL_STATE(4468)] = 135654,
  [SMALL_STATE(4469)] = 135668,
  [SMALL_STATE(4470)] = 135682,
  [SMALL_STATE(4471)] = 135696,
  [SMALL_STATE(4472)] = 135710,
  [SMALL_STATE(4473)] = 135724,
  [SMALL_STATE(4474)] = 135738,
  [SMALL_STATE(4475)] = 135752,
  [SMALL_STATE(4476)] = 135766,
  [SMALL_STATE(4477)] = 135780,
  [SMALL_STATE(4478)] = 135794,
  [SMALL_STATE(4479)] = 135808,
  [SMALL_STATE(4480)] = 135822,
  [SMALL_STATE(4481)] = 135836,
  [SMALL_STATE(4482)] = 135850,
  [SMALL_STATE(4483)] = 135864,
  [SMALL_STATE(4484)] = 135878,
  [SMALL_STATE(4485)] = 135892,
  [SMALL_STATE(4486)] = 135906,
  [SMALL_STATE(4487)] = 135920,
  [SMALL_STATE(4488)] = 135934,
  [SMALL_STATE(4489)] = 135948,
  [SMALL_STATE(4490)] = 135962,
  [SMALL_STATE(4491)] = 135976,
  [SMALL_STATE(4492)] = 135990,
  [SMALL_STATE(4493)] = 136004,
  [SMALL_STATE(4494)] = 136018,
  [SMALL_STATE(4495)] = 136032,
  [SMALL_STATE(4496)] = 136046,
  [SMALL_STATE(4497)] = 136060,
  [SMALL_STATE(4498)] = 136074,
  [SMALL_STATE(4499)] = 136088,
  [SMALL_STATE(4500)] = 136102,
  [SMALL_STATE(4501)] = 136116,
  [SMALL_STATE(4502)] = 136130,
  [SMALL_STATE(4503)] = 136144,
  [SMALL_STATE(4504)] = 136158,
  [SMALL_STATE(4505)] = 136172,
  [SMALL_STATE(4506)] = 136186,
  [SMALL_STATE(4507)] = 136200,
  [SMALL_STATE(4508)] = 136214,
  [SMALL_STATE(4509)] = 136228,
  [SMALL_STATE(4510)] = 136242,
  [SMALL_STATE(4511)] = 136256,
  [SMALL_STATE(4512)] = 136270,
  [SMALL_STATE(4513)] = 136284,
  [SMALL_STATE(4514)] = 136298,
  [SMALL_STATE(4515)] = 136312,
  [SMALL_STATE(4516)] = 136326,
  [SMALL_STATE(4517)] = 136340,
  [SMALL_STATE(4518)] = 136354,
  [SMALL_STATE(4519)] = 136368,
  [SMALL_STATE(4520)] = 136382,
  [SMALL_STATE(4521)] = 136396,
  [SMALL_STATE(4522)] = 136410,
  [SMALL_STATE(4523)] = 136424,
  [SMALL_STATE(4524)] = 136438,
  [SMALL_STATE(4525)] = 136452,
  [SMALL_STATE(4526)] = 136466,
  [SMALL_STATE(4527)] = 136478,
  [SMALL_STATE(4528)] = 136492,
  [SMALL_STATE(4529)] = 136506,
  [SMALL_STATE(4530)] = 136520,
  [SMALL_STATE(4531)] = 136534,
  [SMALL_STATE(4532)] = 136548,
  [SMALL_STATE(4533)] = 136562,
  [SMALL_STATE(4534)] = 136576,
  [SMALL_STATE(4535)] = 136590,
  [SMALL_STATE(4536)] = 136604,
  [SMALL_STATE(4537)] = 136618,
  [SMALL_STATE(4538)] = 136632,
  [SMALL_STATE(4539)] = 136646,
  [SMALL_STATE(4540)] = 136660,
  [SMALL_STATE(4541)] = 136674,
  [SMALL_STATE(4542)] = 136688,
  [SMALL_STATE(4543)] = 136702,
  [SMALL_STATE(4544)] = 136716,
  [SMALL_STATE(4545)] = 136730,
  [SMALL_STATE(4546)] = 136744,
  [SMALL_STATE(4547)] = 136758,
  [SMALL_STATE(4548)] = 136772,
  [SMALL_STATE(4549)] = 136786,
  [SMALL_STATE(4550)] = 136800,
  [SMALL_STATE(4551)] = 136814,
  [SMALL_STATE(4552)] = 136828,
  [SMALL_STATE(4553)] = 136842,
  [SMALL_STATE(4554)] = 136856,
  [SMALL_STATE(4555)] = 136870,
  [SMALL_STATE(4556)] = 136884,
  [SMALL_STATE(4557)] = 136898,
  [SMALL_STATE(4558)] = 136912,
  [SMALL_STATE(4559)] = 136926,
  [SMALL_STATE(4560)] = 136940,
  [SMALL_STATE(4561)] = 136954,
  [SMALL_STATE(4562)] = 136968,
  [SMALL_STATE(4563)] = 136982,
  [SMALL_STATE(4564)] = 136996,
  [SMALL_STATE(4565)] = 137010,
  [SMALL_STATE(4566)] = 137024,
  [SMALL_STATE(4567)] = 137034,
  [SMALL_STATE(4568)] = 137046,
  [SMALL_STATE(4569)] = 137060,
  [SMALL_STATE(4570)] = 137074,
  [SMALL_STATE(4571)] = 137088,
  [SMALL_STATE(4572)] = 137100,
  [SMALL_STATE(4573)] = 137114,
  [SMALL_STATE(4574)] = 137128,
  [SMALL_STATE(4575)] = 137142,
  [SMALL_STATE(4576)] = 137156,
  [SMALL_STATE(4577)] = 137166,
  [SMALL_STATE(4578)] = 137180,
  [SMALL_STATE(4579)] = 137194,
  [SMALL_STATE(4580)] = 137208,
  [SMALL_STATE(4581)] = 137222,
  [SMALL_STATE(4582)] = 137236,
  [SMALL_STATE(4583)] = 137250,
  [SMALL_STATE(4584)] = 137264,
  [SMALL_STATE(4585)] = 137276,
  [SMALL_STATE(4586)] = 137290,
  [SMALL_STATE(4587)] = 137304,
  [SMALL_STATE(4588)] = 137318,
  [SMALL_STATE(4589)] = 137328,
  [SMALL_STATE(4590)] = 137342,
  [SMALL_STATE(4591)] = 137356,
  [SMALL_STATE(4592)] = 137370,
  [SMALL_STATE(4593)] = 137384,
  [SMALL_STATE(4594)] = 137398,
  [SMALL_STATE(4595)] = 137412,
  [SMALL_STATE(4596)] = 137426,
  [SMALL_STATE(4597)] = 137440,
  [SMALL_STATE(4598)] = 137454,
  [SMALL_STATE(4599)] = 137466,
  [SMALL_STATE(4600)] = 137480,
  [SMALL_STATE(4601)] = 137494,
  [SMALL_STATE(4602)] = 137508,
  [SMALL_STATE(4603)] = 137522,
  [SMALL_STATE(4604)] = 137536,
  [SMALL_STATE(4605)] = 137550,
  [SMALL_STATE(4606)] = 137564,
  [SMALL_STATE(4607)] = 137578,
  [SMALL_STATE(4608)] = 137592,
  [SMALL_STATE(4609)] = 137606,
  [SMALL_STATE(4610)] = 137620,
  [SMALL_STATE(4611)] = 137634,
  [SMALL_STATE(4612)] = 137648,
  [SMALL_STATE(4613)] = 137662,
  [SMALL_STATE(4614)] = 137676,
  [SMALL_STATE(4615)] = 137690,
  [SMALL_STATE(4616)] = 137704,
  [SMALL_STATE(4617)] = 137718,
  [SMALL_STATE(4618)] = 137732,
  [SMALL_STATE(4619)] = 137746,
  [SMALL_STATE(4620)] = 137760,
  [SMALL_STATE(4621)] = 137774,
  [SMALL_STATE(4622)] = 137788,
  [SMALL_STATE(4623)] = 137802,
  [SMALL_STATE(4624)] = 137814,
  [SMALL_STATE(4625)] = 137828,
  [SMALL_STATE(4626)] = 137842,
  [SMALL_STATE(4627)] = 137856,
  [SMALL_STATE(4628)] = 137870,
  [SMALL_STATE(4629)] = 137882,
  [SMALL_STATE(4630)] = 137896,
  [SMALL_STATE(4631)] = 137910,
  [SMALL_STATE(4632)] = 137922,
  [SMALL_STATE(4633)] = 137936,
  [SMALL_STATE(4634)] = 137946,
  [SMALL_STATE(4635)] = 137960,
  [SMALL_STATE(4636)] = 137974,
  [SMALL_STATE(4637)] = 137988,
  [SMALL_STATE(4638)] = 138002,
  [SMALL_STATE(4639)] = 138016,
  [SMALL_STATE(4640)] = 138030,
  [SMALL_STATE(4641)] = 138040,
  [SMALL_STATE(4642)] = 138054,
  [SMALL_STATE(4643)] = 138068,
  [SMALL_STATE(4644)] = 138082,
  [SMALL_STATE(4645)] = 138096,
  [SMALL_STATE(4646)] = 138110,
  [SMALL_STATE(4647)] = 138124,
  [SMALL_STATE(4648)] = 138138,
  [SMALL_STATE(4649)] = 138152,
  [SMALL_STATE(4650)] = 138166,
  [SMALL_STATE(4651)] = 138180,
  [SMALL_STATE(4652)] = 138194,
  [SMALL_STATE(4653)] = 138208,
  [SMALL_STATE(4654)] = 138222,
  [SMALL_STATE(4655)] = 138236,
  [SMALL_STATE(4656)] = 138250,
  [SMALL_STATE(4657)] = 138264,
  [SMALL_STATE(4658)] = 138278,
  [SMALL_STATE(4659)] = 138292,
  [SMALL_STATE(4660)] = 138306,
  [SMALL_STATE(4661)] = 138320,
  [SMALL_STATE(4662)] = 138332,
  [SMALL_STATE(4663)] = 138346,
  [SMALL_STATE(4664)] = 138360,
  [SMALL_STATE(4665)] = 138372,
  [SMALL_STATE(4666)] = 138386,
  [SMALL_STATE(4667)] = 138400,
  [SMALL_STATE(4668)] = 138414,
  [SMALL_STATE(4669)] = 138428,
  [SMALL_STATE(4670)] = 138442,
  [SMALL_STATE(4671)] = 138452,
  [SMALL_STATE(4672)] = 138466,
  [SMALL_STATE(4673)] = 138480,
  [SMALL_STATE(4674)] = 138494,
  [SMALL_STATE(4675)] = 138508,
  [SMALL_STATE(4676)] = 138522,
  [SMALL_STATE(4677)] = 138536,
  [SMALL_STATE(4678)] = 138550,
  [SMALL_STATE(4679)] = 138564,
  [SMALL_STATE(4680)] = 138578,
  [SMALL_STATE(4681)] = 138592,
  [SMALL_STATE(4682)] = 138606,
  [SMALL_STATE(4683)] = 138620,
  [SMALL_STATE(4684)] = 138634,
  [SMALL_STATE(4685)] = 138648,
  [SMALL_STATE(4686)] = 138662,
  [SMALL_STATE(4687)] = 138676,
  [SMALL_STATE(4688)] = 138690,
  [SMALL_STATE(4689)] = 138704,
  [SMALL_STATE(4690)] = 138718,
  [SMALL_STATE(4691)] = 138732,
  [SMALL_STATE(4692)] = 138746,
  [SMALL_STATE(4693)] = 138760,
  [SMALL_STATE(4694)] = 138774,
  [SMALL_STATE(4695)] = 138788,
  [SMALL_STATE(4696)] = 138802,
  [SMALL_STATE(4697)] = 138816,
  [SMALL_STATE(4698)] = 138830,
  [SMALL_STATE(4699)] = 138844,
  [SMALL_STATE(4700)] = 138858,
  [SMALL_STATE(4701)] = 138872,
  [SMALL_STATE(4702)] = 138886,
  [SMALL_STATE(4703)] = 138900,
  [SMALL_STATE(4704)] = 138914,
  [SMALL_STATE(4705)] = 138928,
  [SMALL_STATE(4706)] = 138942,
  [SMALL_STATE(4707)] = 138956,
  [SMALL_STATE(4708)] = 138970,
  [SMALL_STATE(4709)] = 138984,
  [SMALL_STATE(4710)] = 138998,
  [SMALL_STATE(4711)] = 139012,
  [SMALL_STATE(4712)] = 139026,
  [SMALL_STATE(4713)] = 139040,
  [SMALL_STATE(4714)] = 139054,
  [SMALL_STATE(4715)] = 139068,
  [SMALL_STATE(4716)] = 139082,
  [SMALL_STATE(4717)] = 139096,
  [SMALL_STATE(4718)] = 139110,
  [SMALL_STATE(4719)] = 139124,
  [SMALL_STATE(4720)] = 139138,
  [SMALL_STATE(4721)] = 139152,
  [SMALL_STATE(4722)] = 139166,
  [SMALL_STATE(4723)] = 139180,
  [SMALL_STATE(4724)] = 139194,
  [SMALL_STATE(4725)] = 139208,
  [SMALL_STATE(4726)] = 139222,
  [SMALL_STATE(4727)] = 139236,
  [SMALL_STATE(4728)] = 139250,
  [SMALL_STATE(4729)] = 139264,
  [SMALL_STATE(4730)] = 139278,
  [SMALL_STATE(4731)] = 139292,
  [SMALL_STATE(4732)] = 139306,
  [SMALL_STATE(4733)] = 139320,
  [SMALL_STATE(4734)] = 139334,
  [SMALL_STATE(4735)] = 139348,
  [SMALL_STATE(4736)] = 139362,
  [SMALL_STATE(4737)] = 139376,
  [SMALL_STATE(4738)] = 139390,
  [SMALL_STATE(4739)] = 139404,
  [SMALL_STATE(4740)] = 139418,
  [SMALL_STATE(4741)] = 139432,
  [SMALL_STATE(4742)] = 139446,
  [SMALL_STATE(4743)] = 139460,
  [SMALL_STATE(4744)] = 139474,
  [SMALL_STATE(4745)] = 139488,
  [SMALL_STATE(4746)] = 139502,
  [SMALL_STATE(4747)] = 139516,
  [SMALL_STATE(4748)] = 139530,
  [SMALL_STATE(4749)] = 139544,
  [SMALL_STATE(4750)] = 139558,
  [SMALL_STATE(4751)] = 139572,
  [SMALL_STATE(4752)] = 139586,
  [SMALL_STATE(4753)] = 139600,
  [SMALL_STATE(4754)] = 139614,
  [SMALL_STATE(4755)] = 139628,
  [SMALL_STATE(4756)] = 139642,
  [SMALL_STATE(4757)] = 139656,
  [SMALL_STATE(4758)] = 139670,
  [SMALL_STATE(4759)] = 139684,
  [SMALL_STATE(4760)] = 139698,
  [SMALL_STATE(4761)] = 139712,
  [SMALL_STATE(4762)] = 139726,
  [SMALL_STATE(4763)] = 139740,
  [SMALL_STATE(4764)] = 139754,
  [SMALL_STATE(4765)] = 139768,
  [SMALL_STATE(4766)] = 139782,
  [SMALL_STATE(4767)] = 139796,
  [SMALL_STATE(4768)] = 139810,
  [SMALL_STATE(4769)] = 139824,
  [SMALL_STATE(4770)] = 139838,
  [SMALL_STATE(4771)] = 139852,
  [SMALL_STATE(4772)] = 139866,
  [SMALL_STATE(4773)] = 139880,
  [SMALL_STATE(4774)] = 139894,
  [SMALL_STATE(4775)] = 139908,
  [SMALL_STATE(4776)] = 139922,
  [SMALL_STATE(4777)] = 139936,
  [SMALL_STATE(4778)] = 139950,
  [SMALL_STATE(4779)] = 139964,
  [SMALL_STATE(4780)] = 139976,
  [SMALL_STATE(4781)] = 139990,
  [SMALL_STATE(4782)] = 140004,
  [SMALL_STATE(4783)] = 140018,
  [SMALL_STATE(4784)] = 140032,
  [SMALL_STATE(4785)] = 140046,
  [SMALL_STATE(4786)] = 140060,
  [SMALL_STATE(4787)] = 140074,
  [SMALL_STATE(4788)] = 140088,
  [SMALL_STATE(4789)] = 140102,
  [SMALL_STATE(4790)] = 140116,
  [SMALL_STATE(4791)] = 140130,
  [SMALL_STATE(4792)] = 140144,
  [SMALL_STATE(4793)] = 140158,
  [SMALL_STATE(4794)] = 140172,
  [SMALL_STATE(4795)] = 140186,
  [SMALL_STATE(4796)] = 140196,
  [SMALL_STATE(4797)] = 140210,
  [SMALL_STATE(4798)] = 140224,
  [SMALL_STATE(4799)] = 140238,
  [SMALL_STATE(4800)] = 140252,
  [SMALL_STATE(4801)] = 140266,
  [SMALL_STATE(4802)] = 140280,
  [SMALL_STATE(4803)] = 140294,
  [SMALL_STATE(4804)] = 140308,
  [SMALL_STATE(4805)] = 140322,
  [SMALL_STATE(4806)] = 140336,
  [SMALL_STATE(4807)] = 140350,
  [SMALL_STATE(4808)] = 140364,
  [SMALL_STATE(4809)] = 140378,
  [SMALL_STATE(4810)] = 140392,
  [SMALL_STATE(4811)] = 140406,
  [SMALL_STATE(4812)] = 140420,
  [SMALL_STATE(4813)] = 140434,
  [SMALL_STATE(4814)] = 140448,
  [SMALL_STATE(4815)] = 140462,
  [SMALL_STATE(4816)] = 140476,
  [SMALL_STATE(4817)] = 140490,
  [SMALL_STATE(4818)] = 140504,
  [SMALL_STATE(4819)] = 140518,
  [SMALL_STATE(4820)] = 140532,
  [SMALL_STATE(4821)] = 140546,
  [SMALL_STATE(4822)] = 140560,
  [SMALL_STATE(4823)] = 140574,
  [SMALL_STATE(4824)] = 140588,
  [SMALL_STATE(4825)] = 140602,
  [SMALL_STATE(4826)] = 140616,
  [SMALL_STATE(4827)] = 140630,
  [SMALL_STATE(4828)] = 140644,
  [SMALL_STATE(4829)] = 140658,
  [SMALL_STATE(4830)] = 140672,
  [SMALL_STATE(4831)] = 140686,
  [SMALL_STATE(4832)] = 140700,
  [SMALL_STATE(4833)] = 140714,
  [SMALL_STATE(4834)] = 140728,
  [SMALL_STATE(4835)] = 140742,
  [SMALL_STATE(4836)] = 140756,
  [SMALL_STATE(4837)] = 140766,
  [SMALL_STATE(4838)] = 140780,
  [SMALL_STATE(4839)] = 140794,
  [SMALL_STATE(4840)] = 140808,
  [SMALL_STATE(4841)] = 140822,
  [SMALL_STATE(4842)] = 140836,
  [SMALL_STATE(4843)] = 140850,
  [SMALL_STATE(4844)] = 140864,
  [SMALL_STATE(4845)] = 140878,
  [SMALL_STATE(4846)] = 140892,
  [SMALL_STATE(4847)] = 140906,
  [SMALL_STATE(4848)] = 140920,
  [SMALL_STATE(4849)] = 140934,
  [SMALL_STATE(4850)] = 140948,
  [SMALL_STATE(4851)] = 140962,
  [SMALL_STATE(4852)] = 140976,
  [SMALL_STATE(4853)] = 140990,
  [SMALL_STATE(4854)] = 141004,
  [SMALL_STATE(4855)] = 141018,
  [SMALL_STATE(4856)] = 141032,
  [SMALL_STATE(4857)] = 141046,
  [SMALL_STATE(4858)] = 141060,
  [SMALL_STATE(4859)] = 141074,
  [SMALL_STATE(4860)] = 141088,
  [SMALL_STATE(4861)] = 141102,
  [SMALL_STATE(4862)] = 141116,
  [SMALL_STATE(4863)] = 141130,
  [SMALL_STATE(4864)] = 141142,
  [SMALL_STATE(4865)] = 141156,
  [SMALL_STATE(4866)] = 141170,
  [SMALL_STATE(4867)] = 141184,
  [SMALL_STATE(4868)] = 141198,
  [SMALL_STATE(4869)] = 141212,
  [SMALL_STATE(4870)] = 141226,
  [SMALL_STATE(4871)] = 141240,
  [SMALL_STATE(4872)] = 141254,
  [SMALL_STATE(4873)] = 141268,
  [SMALL_STATE(4874)] = 141279,
  [SMALL_STATE(4875)] = 141290,
  [SMALL_STATE(4876)] = 141301,
  [SMALL_STATE(4877)] = 141310,
  [SMALL_STATE(4878)] = 141319,
  [SMALL_STATE(4879)] = 141328,
  [SMALL_STATE(4880)] = 141339,
  [SMALL_STATE(4881)] = 141348,
  [SMALL_STATE(4882)] = 141357,
  [SMALL_STATE(4883)] = 141366,
  [SMALL_STATE(4884)] = 141375,
  [SMALL_STATE(4885)] = 141386,
  [SMALL_STATE(4886)] = 141395,
  [SMALL_STATE(4887)] = 141406,
  [SMALL_STATE(4888)] = 141415,
  [SMALL_STATE(4889)] = 141426,
  [SMALL_STATE(4890)] = 141435,
  [SMALL_STATE(4891)] = 141444,
  [SMALL_STATE(4892)] = 141455,
  [SMALL_STATE(4893)] = 141464,
  [SMALL_STATE(4894)] = 141473,
  [SMALL_STATE(4895)] = 141484,
  [SMALL_STATE(4896)] = 141493,
  [SMALL_STATE(4897)] = 141502,
  [SMALL_STATE(4898)] = 141511,
  [SMALL_STATE(4899)] = 141520,
  [SMALL_STATE(4900)] = 141529,
  [SMALL_STATE(4901)] = 141538,
  [SMALL_STATE(4902)] = 141547,
  [SMALL_STATE(4903)] = 141556,
  [SMALL_STATE(4904)] = 141565,
  [SMALL_STATE(4905)] = 141574,
  [SMALL_STATE(4906)] = 141583,
  [SMALL_STATE(4907)] = 141592,
  [SMALL_STATE(4908)] = 141603,
  [SMALL_STATE(4909)] = 141612,
  [SMALL_STATE(4910)] = 141621,
  [SMALL_STATE(4911)] = 141630,
  [SMALL_STATE(4912)] = 141639,
  [SMALL_STATE(4913)] = 141648,
  [SMALL_STATE(4914)] = 141659,
  [SMALL_STATE(4915)] = 141670,
  [SMALL_STATE(4916)] = 141681,
  [SMALL_STATE(4917)] = 141692,
  [SMALL_STATE(4918)] = 141701,
  [SMALL_STATE(4919)] = 141710,
  [SMALL_STATE(4920)] = 141721,
  [SMALL_STATE(4921)] = 141732,
  [SMALL_STATE(4922)] = 141741,
  [SMALL_STATE(4923)] = 141752,
  [SMALL_STATE(4924)] = 141763,
  [SMALL_STATE(4925)] = 141772,
  [SMALL_STATE(4926)] = 141783,
  [SMALL_STATE(4927)] = 141794,
  [SMALL_STATE(4928)] = 141803,
  [SMALL_STATE(4929)] = 141814,
  [SMALL_STATE(4930)] = 141825,
  [SMALL_STATE(4931)] = 141836,
  [SMALL_STATE(4932)] = 141847,
  [SMALL_STATE(4933)] = 141856,
  [SMALL_STATE(4934)] = 141867,
  [SMALL_STATE(4935)] = 141878,
  [SMALL_STATE(4936)] = 141889,
  [SMALL_STATE(4937)] = 141900,
  [SMALL_STATE(4938)] = 141911,
  [SMALL_STATE(4939)] = 141920,
  [SMALL_STATE(4940)] = 141931,
  [SMALL_STATE(4941)] = 141942,
  [SMALL_STATE(4942)] = 141953,
  [SMALL_STATE(4943)] = 141962,
  [SMALL_STATE(4944)] = 141973,
  [SMALL_STATE(4945)] = 141984,
  [SMALL_STATE(4946)] = 141993,
  [SMALL_STATE(4947)] = 142004,
  [SMALL_STATE(4948)] = 142015,
  [SMALL_STATE(4949)] = 142026,
  [SMALL_STATE(4950)] = 142037,
  [SMALL_STATE(4951)] = 142048,
  [SMALL_STATE(4952)] = 142057,
  [SMALL_STATE(4953)] = 142068,
  [SMALL_STATE(4954)] = 142079,
  [SMALL_STATE(4955)] = 142088,
  [SMALL_STATE(4956)] = 142099,
  [SMALL_STATE(4957)] = 142110,
  [SMALL_STATE(4958)] = 142119,
  [SMALL_STATE(4959)] = 142130,
  [SMALL_STATE(4960)] = 142139,
  [SMALL_STATE(4961)] = 142150,
  [SMALL_STATE(4962)] = 142161,
  [SMALL_STATE(4963)] = 142172,
  [SMALL_STATE(4964)] = 142183,
  [SMALL_STATE(4965)] = 142192,
  [SMALL_STATE(4966)] = 142201,
  [SMALL_STATE(4967)] = 142212,
  [SMALL_STATE(4968)] = 142223,
  [SMALL_STATE(4969)] = 142234,
  [SMALL_STATE(4970)] = 142245,
  [SMALL_STATE(4971)] = 142256,
  [SMALL_STATE(4972)] = 142267,
  [SMALL_STATE(4973)] = 142278,
  [SMALL_STATE(4974)] = 142287,
  [SMALL_STATE(4975)] = 142298,
  [SMALL_STATE(4976)] = 142309,
  [SMALL_STATE(4977)] = 142320,
  [SMALL_STATE(4978)] = 142331,
  [SMALL_STATE(4979)] = 142342,
  [SMALL_STATE(4980)] = 142353,
  [SMALL_STATE(4981)] = 142364,
  [SMALL_STATE(4982)] = 142375,
  [SMALL_STATE(4983)] = 142386,
  [SMALL_STATE(4984)] = 142395,
  [SMALL_STATE(4985)] = 142406,
  [SMALL_STATE(4986)] = 142417,
  [SMALL_STATE(4987)] = 142428,
  [SMALL_STATE(4988)] = 142439,
  [SMALL_STATE(4989)] = 142450,
  [SMALL_STATE(4990)] = 142461,
  [SMALL_STATE(4991)] = 142472,
  [SMALL_STATE(4992)] = 142483,
  [SMALL_STATE(4993)] = 142494,
  [SMALL_STATE(4994)] = 142505,
  [SMALL_STATE(4995)] = 142516,
  [SMALL_STATE(4996)] = 142525,
  [SMALL_STATE(4997)] = 142536,
  [SMALL_STATE(4998)] = 142547,
  [SMALL_STATE(4999)] = 142556,
  [SMALL_STATE(5000)] = 142567,
  [SMALL_STATE(5001)] = 142578,
  [SMALL_STATE(5002)] = 142589,
  [SMALL_STATE(5003)] = 142600,
  [SMALL_STATE(5004)] = 142611,
  [SMALL_STATE(5005)] = 142622,
  [SMALL_STATE(5006)] = 142631,
  [SMALL_STATE(5007)] = 142640,
  [SMALL_STATE(5008)] = 142649,
  [SMALL_STATE(5009)] = 142658,
  [SMALL_STATE(5010)] = 142667,
  [SMALL_STATE(5011)] = 142676,
  [SMALL_STATE(5012)] = 142685,
  [SMALL_STATE(5013)] = 142696,
  [SMALL_STATE(5014)] = 142707,
  [SMALL_STATE(5015)] = 142718,
  [SMALL_STATE(5016)] = 142729,
  [SMALL_STATE(5017)] = 142738,
  [SMALL_STATE(5018)] = 142749,
  [SMALL_STATE(5019)] = 142760,
  [SMALL_STATE(5020)] = 142771,
  [SMALL_STATE(5021)] = 142782,
  [SMALL_STATE(5022)] = 142793,
  [SMALL_STATE(5023)] = 142802,
  [SMALL_STATE(5024)] = 142813,
  [SMALL_STATE(5025)] = 142824,
  [SMALL_STATE(5026)] = 142833,
  [SMALL_STATE(5027)] = 142842,
  [SMALL_STATE(5028)] = 142853,
  [SMALL_STATE(5029)] = 142862,
  [SMALL_STATE(5030)] = 142871,
  [SMALL_STATE(5031)] = 142882,
  [SMALL_STATE(5032)] = 142891,
  [SMALL_STATE(5033)] = 142902,
  [SMALL_STATE(5034)] = 142913,
  [SMALL_STATE(5035)] = 142924,
  [SMALL_STATE(5036)] = 142935,
  [SMALL_STATE(5037)] = 142944,
  [SMALL_STATE(5038)] = 142955,
  [SMALL_STATE(5039)] = 142966,
  [SMALL_STATE(5040)] = 142975,
  [SMALL_STATE(5041)] = 142986,
  [SMALL_STATE(5042)] = 142997,
  [SMALL_STATE(5043)] = 143008,
  [SMALL_STATE(5044)] = 143019,
  [SMALL_STATE(5045)] = 143030,
  [SMALL_STATE(5046)] = 143041,
  [SMALL_STATE(5047)] = 143052,
  [SMALL_STATE(5048)] = 143063,
  [SMALL_STATE(5049)] = 143074,
  [SMALL_STATE(5050)] = 143085,
  [SMALL_STATE(5051)] = 143096,
  [SMALL_STATE(5052)] = 143107,
  [SMALL_STATE(5053)] = 143118,
  [SMALL_STATE(5054)] = 143129,
  [SMALL_STATE(5055)] = 143140,
  [SMALL_STATE(5056)] = 143149,
  [SMALL_STATE(5057)] = 143158,
  [SMALL_STATE(5058)] = 143169,
  [SMALL_STATE(5059)] = 143180,
  [SMALL_STATE(5060)] = 143191,
  [SMALL_STATE(5061)] = 143202,
  [SMALL_STATE(5062)] = 143213,
  [SMALL_STATE(5063)] = 143224,
  [SMALL_STATE(5064)] = 143235,
  [SMALL_STATE(5065)] = 143246,
  [SMALL_STATE(5066)] = 143257,
  [SMALL_STATE(5067)] = 143268,
  [SMALL_STATE(5068)] = 143279,
  [SMALL_STATE(5069)] = 143290,
  [SMALL_STATE(5070)] = 143301,
  [SMALL_STATE(5071)] = 143312,
  [SMALL_STATE(5072)] = 143323,
  [SMALL_STATE(5073)] = 143334,
  [SMALL_STATE(5074)] = 143342,
  [SMALL_STATE(5075)] = 143350,
  [SMALL_STATE(5076)] = 143358,
  [SMALL_STATE(5077)] = 143366,
  [SMALL_STATE(5078)] = 143374,
  [SMALL_STATE(5079)] = 143382,
  [SMALL_STATE(5080)] = 143390,
  [SMALL_STATE(5081)] = 143398,
  [SMALL_STATE(5082)] = 143406,
  [SMALL_STATE(5083)] = 143414,
  [SMALL_STATE(5084)] = 143422,
  [SMALL_STATE(5085)] = 143430,
  [SMALL_STATE(5086)] = 143438,
  [SMALL_STATE(5087)] = 143446,
  [SMALL_STATE(5088)] = 143454,
  [SMALL_STATE(5089)] = 143462,
  [SMALL_STATE(5090)] = 143470,
  [SMALL_STATE(5091)] = 143478,
  [SMALL_STATE(5092)] = 143486,
  [SMALL_STATE(5093)] = 143494,
  [SMALL_STATE(5094)] = 143502,
  [SMALL_STATE(5095)] = 143510,
  [SMALL_STATE(5096)] = 143518,
  [SMALL_STATE(5097)] = 143526,
  [SMALL_STATE(5098)] = 143534,
  [SMALL_STATE(5099)] = 143542,
  [SMALL_STATE(5100)] = 143550,
  [SMALL_STATE(5101)] = 143558,
  [SMALL_STATE(5102)] = 143566,
  [SMALL_STATE(5103)] = 143574,
  [SMALL_STATE(5104)] = 143582,
  [SMALL_STATE(5105)] = 143590,
  [SMALL_STATE(5106)] = 143598,
  [SMALL_STATE(5107)] = 143606,
  [SMALL_STATE(5108)] = 143614,
  [SMALL_STATE(5109)] = 143622,
  [SMALL_STATE(5110)] = 143630,
  [SMALL_STATE(5111)] = 143638,
  [SMALL_STATE(5112)] = 143646,
  [SMALL_STATE(5113)] = 143654,
  [SMALL_STATE(5114)] = 143662,
  [SMALL_STATE(5115)] = 143670,
  [SMALL_STATE(5116)] = 143678,
  [SMALL_STATE(5117)] = 143686,
  [SMALL_STATE(5118)] = 143694,
  [SMALL_STATE(5119)] = 143702,
  [SMALL_STATE(5120)] = 143710,
  [SMALL_STATE(5121)] = 143718,
  [SMALL_STATE(5122)] = 143726,
  [SMALL_STATE(5123)] = 143734,
  [SMALL_STATE(5124)] = 143742,
  [SMALL_STATE(5125)] = 143750,
  [SMALL_STATE(5126)] = 143758,
  [SMALL_STATE(5127)] = 143766,
  [SMALL_STATE(5128)] = 143774,
  [SMALL_STATE(5129)] = 143782,
  [SMALL_STATE(5130)] = 143790,
  [SMALL_STATE(5131)] = 143798,
  [SMALL_STATE(5132)] = 143806,
  [SMALL_STATE(5133)] = 143814,
  [SMALL_STATE(5134)] = 143822,
  [SMALL_STATE(5135)] = 143830,
  [SMALL_STATE(5136)] = 143838,
  [SMALL_STATE(5137)] = 143846,
  [SMALL_STATE(5138)] = 143854,
  [SMALL_STATE(5139)] = 143862,
  [SMALL_STATE(5140)] = 143870,
  [SMALL_STATE(5141)] = 143878,
  [SMALL_STATE(5142)] = 143886,
  [SMALL_STATE(5143)] = 143894,
  [SMALL_STATE(5144)] = 143902,
  [SMALL_STATE(5145)] = 143910,
  [SMALL_STATE(5146)] = 143918,
  [SMALL_STATE(5147)] = 143926,
  [SMALL_STATE(5148)] = 143934,
  [SMALL_STATE(5149)] = 143942,
  [SMALL_STATE(5150)] = 143950,
  [SMALL_STATE(5151)] = 143958,
  [SMALL_STATE(5152)] = 143966,
  [SMALL_STATE(5153)] = 143974,
  [SMALL_STATE(5154)] = 143982,
  [SMALL_STATE(5155)] = 143990,
  [SMALL_STATE(5156)] = 143998,
  [SMALL_STATE(5157)] = 144006,
  [SMALL_STATE(5158)] = 144014,
  [SMALL_STATE(5159)] = 144022,
  [SMALL_STATE(5160)] = 144030,
  [SMALL_STATE(5161)] = 144038,
  [SMALL_STATE(5162)] = 144046,
  [SMALL_STATE(5163)] = 144054,
  [SMALL_STATE(5164)] = 144062,
  [SMALL_STATE(5165)] = 144070,
  [SMALL_STATE(5166)] = 144078,
  [SMALL_STATE(5167)] = 144086,
  [SMALL_STATE(5168)] = 144094,
  [SMALL_STATE(5169)] = 144102,
  [SMALL_STATE(5170)] = 144110,
  [SMALL_STATE(5171)] = 144118,
  [SMALL_STATE(5172)] = 144126,
  [SMALL_STATE(5173)] = 144134,
  [SMALL_STATE(5174)] = 144142,
  [SMALL_STATE(5175)] = 144150,
  [SMALL_STATE(5176)] = 144158,
  [SMALL_STATE(5177)] = 144166,
  [SMALL_STATE(5178)] = 144174,
  [SMALL_STATE(5179)] = 144182,
  [SMALL_STATE(5180)] = 144190,
  [SMALL_STATE(5181)] = 144198,
  [SMALL_STATE(5182)] = 144206,
  [SMALL_STATE(5183)] = 144214,
  [SMALL_STATE(5184)] = 144222,
  [SMALL_STATE(5185)] = 144230,
  [SMALL_STATE(5186)] = 144238,
  [SMALL_STATE(5187)] = 144246,
  [SMALL_STATE(5188)] = 144254,
  [SMALL_STATE(5189)] = 144262,
  [SMALL_STATE(5190)] = 144270,
  [SMALL_STATE(5191)] = 144278,
  [SMALL_STATE(5192)] = 144286,
  [SMALL_STATE(5193)] = 144294,
  [SMALL_STATE(5194)] = 144302,
  [SMALL_STATE(5195)] = 144310,
  [SMALL_STATE(5196)] = 144318,
  [SMALL_STATE(5197)] = 144326,
  [SMALL_STATE(5198)] = 144334,
  [SMALL_STATE(5199)] = 144342,
  [SMALL_STATE(5200)] = 144350,
  [SMALL_STATE(5201)] = 144358,
  [SMALL_STATE(5202)] = 144366,
  [SMALL_STATE(5203)] = 144374,
  [SMALL_STATE(5204)] = 144382,
  [SMALL_STATE(5205)] = 144390,
  [SMALL_STATE(5206)] = 144398,
  [SMALL_STATE(5207)] = 144406,
  [SMALL_STATE(5208)] = 144414,
  [SMALL_STATE(5209)] = 144422,
  [SMALL_STATE(5210)] = 144430,
  [SMALL_STATE(5211)] = 144438,
  [SMALL_STATE(5212)] = 144446,
  [SMALL_STATE(5213)] = 144454,
  [SMALL_STATE(5214)] = 144462,
  [SMALL_STATE(5215)] = 144470,
  [SMALL_STATE(5216)] = 144478,
  [SMALL_STATE(5217)] = 144486,
  [SMALL_STATE(5218)] = 144494,
  [SMALL_STATE(5219)] = 144502,
  [SMALL_STATE(5220)] = 144510,
  [SMALL_STATE(5221)] = 144518,
  [SMALL_STATE(5222)] = 144526,
  [SMALL_STATE(5223)] = 144534,
  [SMALL_STATE(5224)] = 144542,
  [SMALL_STATE(5225)] = 144550,
  [SMALL_STATE(5226)] = 144558,
  [SMALL_STATE(5227)] = 144566,
  [SMALL_STATE(5228)] = 144574,
  [SMALL_STATE(5229)] = 144582,
  [SMALL_STATE(5230)] = 144590,
  [SMALL_STATE(5231)] = 144598,
  [SMALL_STATE(5232)] = 144606,
  [SMALL_STATE(5233)] = 144614,
  [SMALL_STATE(5234)] = 144622,
  [SMALL_STATE(5235)] = 144630,
  [SMALL_STATE(5236)] = 144638,
  [SMALL_STATE(5237)] = 144646,
  [SMALL_STATE(5238)] = 144654,
  [SMALL_STATE(5239)] = 144662,
  [SMALL_STATE(5240)] = 144670,
  [SMALL_STATE(5241)] = 144678,
  [SMALL_STATE(5242)] = 144686,
  [SMALL_STATE(5243)] = 144694,
  [SMALL_STATE(5244)] = 144702,
  [SMALL_STATE(5245)] = 144710,
  [SMALL_STATE(5246)] = 144718,
  [SMALL_STATE(5247)] = 144726,
  [SMALL_STATE(5248)] = 144734,
  [SMALL_STATE(5249)] = 144742,
  [SMALL_STATE(5250)] = 144750,
  [SMALL_STATE(5251)] = 144758,
  [SMALL_STATE(5252)] = 144766,
  [SMALL_STATE(5253)] = 144774,
  [SMALL_STATE(5254)] = 144782,
  [SMALL_STATE(5255)] = 144790,
  [SMALL_STATE(5256)] = 144798,
  [SMALL_STATE(5257)] = 144806,
  [SMALL_STATE(5258)] = 144814,
  [SMALL_STATE(5259)] = 144822,
  [SMALL_STATE(5260)] = 144830,
  [SMALL_STATE(5261)] = 144838,
  [SMALL_STATE(5262)] = 144846,
  [SMALL_STATE(5263)] = 144854,
  [SMALL_STATE(5264)] = 144862,
  [SMALL_STATE(5265)] = 144870,
  [SMALL_STATE(5266)] = 144878,
  [SMALL_STATE(5267)] = 144886,
  [SMALL_STATE(5268)] = 144894,
  [SMALL_STATE(5269)] = 144902,
  [SMALL_STATE(5270)] = 144910,
  [SMALL_STATE(5271)] = 144918,
  [SMALL_STATE(5272)] = 144926,
  [SMALL_STATE(5273)] = 144934,
  [SMALL_STATE(5274)] = 144942,
  [SMALL_STATE(5275)] = 144950,
  [SMALL_STATE(5276)] = 144958,
  [SMALL_STATE(5277)] = 144966,
  [SMALL_STATE(5278)] = 144974,
  [SMALL_STATE(5279)] = 144982,
  [SMALL_STATE(5280)] = 144990,
  [SMALL_STATE(5281)] = 144998,
  [SMALL_STATE(5282)] = 145006,
  [SMALL_STATE(5283)] = 145014,
  [SMALL_STATE(5284)] = 145022,
  [SMALL_STATE(5285)] = 145030,
  [SMALL_STATE(5286)] = 145038,
  [SMALL_STATE(5287)] = 145046,
  [SMALL_STATE(5288)] = 145054,
  [SMALL_STATE(5289)] = 145062,
  [SMALL_STATE(5290)] = 145070,
  [SMALL_STATE(5291)] = 145078,
  [SMALL_STATE(5292)] = 145086,
  [SMALL_STATE(5293)] = 145094,
  [SMALL_STATE(5294)] = 145102,
  [SMALL_STATE(5295)] = 145110,
  [SMALL_STATE(5296)] = 145118,
  [SMALL_STATE(5297)] = 145126,
  [SMALL_STATE(5298)] = 145134,
  [SMALL_STATE(5299)] = 145142,
  [SMALL_STATE(5300)] = 145150,
  [SMALL_STATE(5301)] = 145158,
  [SMALL_STATE(5302)] = 145166,
  [SMALL_STATE(5303)] = 145174,
  [SMALL_STATE(5304)] = 145182,
  [SMALL_STATE(5305)] = 145190,
  [SMALL_STATE(5306)] = 145198,
  [SMALL_STATE(5307)] = 145206,
  [SMALL_STATE(5308)] = 145214,
  [SMALL_STATE(5309)] = 145222,
  [SMALL_STATE(5310)] = 145230,
  [SMALL_STATE(5311)] = 145238,
  [SMALL_STATE(5312)] = 145246,
  [SMALL_STATE(5313)] = 145254,
  [SMALL_STATE(5314)] = 145262,
  [SMALL_STATE(5315)] = 145270,
  [SMALL_STATE(5316)] = 145278,
  [SMALL_STATE(5317)] = 145286,
  [SMALL_STATE(5318)] = 145294,
  [SMALL_STATE(5319)] = 145302,
  [SMALL_STATE(5320)] = 145310,
  [SMALL_STATE(5321)] = 145318,
  [SMALL_STATE(5322)] = 145326,
  [SMALL_STATE(5323)] = 145334,
  [SMALL_STATE(5324)] = 145342,
  [SMALL_STATE(5325)] = 145350,
  [SMALL_STATE(5326)] = 145358,
  [SMALL_STATE(5327)] = 145366,
  [SMALL_STATE(5328)] = 145374,
  [SMALL_STATE(5329)] = 145382,
  [SMALL_STATE(5330)] = 145390,
  [SMALL_STATE(5331)] = 145398,
  [SMALL_STATE(5332)] = 145406,
  [SMALL_STATE(5333)] = 145414,
  [SMALL_STATE(5334)] = 145422,
  [SMALL_STATE(5335)] = 145430,
  [SMALL_STATE(5336)] = 145438,
  [SMALL_STATE(5337)] = 145446,
  [SMALL_STATE(5338)] = 145454,
  [SMALL_STATE(5339)] = 145462,
  [SMALL_STATE(5340)] = 145470,
  [SMALL_STATE(5341)] = 145478,
  [SMALL_STATE(5342)] = 145486,
  [SMALL_STATE(5343)] = 145494,
  [SMALL_STATE(5344)] = 145502,
  [SMALL_STATE(5345)] = 145510,
  [SMALL_STATE(5346)] = 145518,
  [SMALL_STATE(5347)] = 145526,
  [SMALL_STATE(5348)] = 145534,
  [SMALL_STATE(5349)] = 145542,
  [SMALL_STATE(5350)] = 145550,
  [SMALL_STATE(5351)] = 145558,
  [SMALL_STATE(5352)] = 145566,
  [SMALL_STATE(5353)] = 145574,
  [SMALL_STATE(5354)] = 145582,
  [SMALL_STATE(5355)] = 145590,
  [SMALL_STATE(5356)] = 145598,
  [SMALL_STATE(5357)] = 145606,
  [SMALL_STATE(5358)] = 145614,
  [SMALL_STATE(5359)] = 145622,
  [SMALL_STATE(5360)] = 145630,
  [SMALL_STATE(5361)] = 145638,
  [SMALL_STATE(5362)] = 145646,
  [SMALL_STATE(5363)] = 145654,
  [SMALL_STATE(5364)] = 145662,
  [SMALL_STATE(5365)] = 145670,
  [SMALL_STATE(5366)] = 145678,
  [SMALL_STATE(5367)] = 145686,
  [SMALL_STATE(5368)] = 145694,
  [SMALL_STATE(5369)] = 145702,
  [SMALL_STATE(5370)] = 145710,
  [SMALL_STATE(5371)] = 145718,
  [SMALL_STATE(5372)] = 145726,
  [SMALL_STATE(5373)] = 145734,
  [SMALL_STATE(5374)] = 145742,
  [SMALL_STATE(5375)] = 145750,
  [SMALL_STATE(5376)] = 145758,
  [SMALL_STATE(5377)] = 145766,
  [SMALL_STATE(5378)] = 145774,
  [SMALL_STATE(5379)] = 145782,
  [SMALL_STATE(5380)] = 145790,
  [SMALL_STATE(5381)] = 145798,
  [SMALL_STATE(5382)] = 145806,
  [SMALL_STATE(5383)] = 145814,
  [SMALL_STATE(5384)] = 145822,
  [SMALL_STATE(5385)] = 145830,
  [SMALL_STATE(5386)] = 145838,
  [SMALL_STATE(5387)] = 145846,
  [SMALL_STATE(5388)] = 145854,
  [SMALL_STATE(5389)] = 145862,
  [SMALL_STATE(5390)] = 145870,
  [SMALL_STATE(5391)] = 145878,
  [SMALL_STATE(5392)] = 145886,
  [SMALL_STATE(5393)] = 145894,
  [SMALL_STATE(5394)] = 145902,
  [SMALL_STATE(5395)] = 145910,
  [SMALL_STATE(5396)] = 145918,
  [SMALL_STATE(5397)] = 145926,
  [SMALL_STATE(5398)] = 145934,
  [SMALL_STATE(5399)] = 145942,
  [SMALL_STATE(5400)] = 145950,
  [SMALL_STATE(5401)] = 145958,
  [SMALL_STATE(5402)] = 145966,
  [SMALL_STATE(5403)] = 145974,
  [SMALL_STATE(5404)] = 145982,
  [SMALL_STATE(5405)] = 145990,
  [SMALL_STATE(5406)] = 145998,
  [SMALL_STATE(5407)] = 146006,
  [SMALL_STATE(5408)] = 146014,
  [SMALL_STATE(5409)] = 146022,
  [SMALL_STATE(5410)] = 146030,
  [SMALL_STATE(5411)] = 146038,
  [SMALL_STATE(5412)] = 146046,
  [SMALL_STATE(5413)] = 146054,
  [SMALL_STATE(5414)] = 146062,
  [SMALL_STATE(5415)] = 146070,
  [SMALL_STATE(5416)] = 146078,
  [SMALL_STATE(5417)] = 146086,
  [SMALL_STATE(5418)] = 146094,
  [SMALL_STATE(5419)] = 146102,
  [SMALL_STATE(5420)] = 146110,
  [SMALL_STATE(5421)] = 146118,
  [SMALL_STATE(5422)] = 146126,
  [SMALL_STATE(5423)] = 146134,
  [SMALL_STATE(5424)] = 146142,
  [SMALL_STATE(5425)] = 146150,
  [SMALL_STATE(5426)] = 146158,
  [SMALL_STATE(5427)] = 146166,
  [SMALL_STATE(5428)] = 146174,
  [SMALL_STATE(5429)] = 146182,
  [SMALL_STATE(5430)] = 146190,
  [SMALL_STATE(5431)] = 146198,
  [SMALL_STATE(5432)] = 146206,
  [SMALL_STATE(5433)] = 146214,
  [SMALL_STATE(5434)] = 146222,
  [SMALL_STATE(5435)] = 146230,
  [SMALL_STATE(5436)] = 146238,
  [SMALL_STATE(5437)] = 146246,
  [SMALL_STATE(5438)] = 146254,
  [SMALL_STATE(5439)] = 146262,
  [SMALL_STATE(5440)] = 146270,
  [SMALL_STATE(5441)] = 146278,
  [SMALL_STATE(5442)] = 146286,
  [SMALL_STATE(5443)] = 146294,
  [SMALL_STATE(5444)] = 146302,
  [SMALL_STATE(5445)] = 146310,
  [SMALL_STATE(5446)] = 146318,
  [SMALL_STATE(5447)] = 146326,
  [SMALL_STATE(5448)] = 146334,
  [SMALL_STATE(5449)] = 146342,
  [SMALL_STATE(5450)] = 146350,
  [SMALL_STATE(5451)] = 146358,
  [SMALL_STATE(5452)] = 146366,
  [SMALL_STATE(5453)] = 146374,
  [SMALL_STATE(5454)] = 146382,
  [SMALL_STATE(5455)] = 146390,
  [SMALL_STATE(5456)] = 146398,
  [SMALL_STATE(5457)] = 146406,
  [SMALL_STATE(5458)] = 146414,
  [SMALL_STATE(5459)] = 146422,
  [SMALL_STATE(5460)] = 146430,
  [SMALL_STATE(5461)] = 146438,
  [SMALL_STATE(5462)] = 146446,
  [SMALL_STATE(5463)] = 146454,
  [SMALL_STATE(5464)] = 146462,
  [SMALL_STATE(5465)] = 146470,
  [SMALL_STATE(5466)] = 146478,
  [SMALL_STATE(5467)] = 146486,
  [SMALL_STATE(5468)] = 146494,
  [SMALL_STATE(5469)] = 146502,
  [SMALL_STATE(5470)] = 146510,
  [SMALL_STATE(5471)] = 146518,
  [SMALL_STATE(5472)] = 146526,
  [SMALL_STATE(5473)] = 146534,
  [SMALL_STATE(5474)] = 146542,
  [SMALL_STATE(5475)] = 146550,
  [SMALL_STATE(5476)] = 146558,
  [SMALL_STATE(5477)] = 146566,
  [SMALL_STATE(5478)] = 146574,
  [SMALL_STATE(5479)] = 146582,
  [SMALL_STATE(5480)] = 146590,
  [SMALL_STATE(5481)] = 146598,
  [SMALL_STATE(5482)] = 146606,
  [SMALL_STATE(5483)] = 146614,
  [SMALL_STATE(5484)] = 146622,
  [SMALL_STATE(5485)] = 146630,
  [SMALL_STATE(5486)] = 146638,
  [SMALL_STATE(5487)] = 146646,
  [SMALL_STATE(5488)] = 146654,
  [SMALL_STATE(5489)] = 146662,
  [SMALL_STATE(5490)] = 146670,
  [SMALL_STATE(5491)] = 146678,
  [SMALL_STATE(5492)] = 146686,
  [SMALL_STATE(5493)] = 146694,
  [SMALL_STATE(5494)] = 146702,
  [SMALL_STATE(5495)] = 146710,
  [SMALL_STATE(5496)] = 146718,
  [SMALL_STATE(5497)] = 146726,
  [SMALL_STATE(5498)] = 146734,
  [SMALL_STATE(5499)] = 146742,
  [SMALL_STATE(5500)] = 146750,
  [SMALL_STATE(5501)] = 146758,
  [SMALL_STATE(5502)] = 146766,
  [SMALL_STATE(5503)] = 146774,
  [SMALL_STATE(5504)] = 146782,
  [SMALL_STATE(5505)] = 146790,
  [SMALL_STATE(5506)] = 146798,
  [SMALL_STATE(5507)] = 146806,
  [SMALL_STATE(5508)] = 146814,
  [SMALL_STATE(5509)] = 146822,
  [SMALL_STATE(5510)] = 146830,
  [SMALL_STATE(5511)] = 146838,
  [SMALL_STATE(5512)] = 146846,
  [SMALL_STATE(5513)] = 146854,
  [SMALL_STATE(5514)] = 146862,
  [SMALL_STATE(5515)] = 146870,
  [SMALL_STATE(5516)] = 146878,
  [SMALL_STATE(5517)] = 146886,
  [SMALL_STATE(5518)] = 146894,
  [SMALL_STATE(5519)] = 146902,
  [SMALL_STATE(5520)] = 146910,
  [SMALL_STATE(5521)] = 146918,
  [SMALL_STATE(5522)] = 146926,
  [SMALL_STATE(5523)] = 146934,
  [SMALL_STATE(5524)] = 146942,
  [SMALL_STATE(5525)] = 146950,
  [SMALL_STATE(5526)] = 146958,
  [SMALL_STATE(5527)] = 146966,
  [SMALL_STATE(5528)] = 146974,
  [SMALL_STATE(5529)] = 146982,
  [SMALL_STATE(5530)] = 146990,
  [SMALL_STATE(5531)] = 146998,
  [SMALL_STATE(5532)] = 147006,
  [SMALL_STATE(5533)] = 147014,
  [SMALL_STATE(5534)] = 147022,
  [SMALL_STATE(5535)] = 147030,
  [SMALL_STATE(5536)] = 147038,
  [SMALL_STATE(5537)] = 147046,
  [SMALL_STATE(5538)] = 147054,
  [SMALL_STATE(5539)] = 147062,
  [SMALL_STATE(5540)] = 147070,
  [SMALL_STATE(5541)] = 147078,
  [SMALL_STATE(5542)] = 147086,
  [SMALL_STATE(5543)] = 147094,
  [SMALL_STATE(5544)] = 147102,
  [SMALL_STATE(5545)] = 147110,
  [SMALL_STATE(5546)] = 147118,
  [SMALL_STATE(5547)] = 147126,
  [SMALL_STATE(5548)] = 147134,
  [SMALL_STATE(5549)] = 147142,
  [SMALL_STATE(5550)] = 147150,
  [SMALL_STATE(5551)] = 147158,
  [SMALL_STATE(5552)] = 147166,
  [SMALL_STATE(5553)] = 147174,
  [SMALL_STATE(5554)] = 147182,
  [SMALL_STATE(5555)] = 147190,
  [SMALL_STATE(5556)] = 147198,
  [SMALL_STATE(5557)] = 147206,
  [SMALL_STATE(5558)] = 147214,
  [SMALL_STATE(5559)] = 147222,
  [SMALL_STATE(5560)] = 147230,
  [SMALL_STATE(5561)] = 147238,
  [SMALL_STATE(5562)] = 147246,
  [SMALL_STATE(5563)] = 147254,
  [SMALL_STATE(5564)] = 147262,
  [SMALL_STATE(5565)] = 147270,
  [SMALL_STATE(5566)] = 147278,
  [SMALL_STATE(5567)] = 147286,
  [SMALL_STATE(5568)] = 147294,
  [SMALL_STATE(5569)] = 147302,
  [SMALL_STATE(5570)] = 147310,
  [SMALL_STATE(5571)] = 147318,
  [SMALL_STATE(5572)] = 147326,
  [SMALL_STATE(5573)] = 147334,
  [SMALL_STATE(5574)] = 147342,
  [SMALL_STATE(5575)] = 147350,
  [SMALL_STATE(5576)] = 147358,
  [SMALL_STATE(5577)] = 147366,
  [SMALL_STATE(5578)] = 147374,
  [SMALL_STATE(5579)] = 147382,
  [SMALL_STATE(5580)] = 147390,
  [SMALL_STATE(5581)] = 147398,
  [SMALL_STATE(5582)] = 147406,
  [SMALL_STATE(5583)] = 147414,
  [SMALL_STATE(5584)] = 147422,
  [SMALL_STATE(5585)] = 147430,
  [SMALL_STATE(5586)] = 147438,
  [SMALL_STATE(5587)] = 147446,
  [SMALL_STATE(5588)] = 147454,
  [SMALL_STATE(5589)] = 147462,
  [SMALL_STATE(5590)] = 147470,
  [SMALL_STATE(5591)] = 147478,
  [SMALL_STATE(5592)] = 147486,
  [SMALL_STATE(5593)] = 147494,
  [SMALL_STATE(5594)] = 147502,
  [SMALL_STATE(5595)] = 147510,
  [SMALL_STATE(5596)] = 147518,
  [SMALL_STATE(5597)] = 147526,
  [SMALL_STATE(5598)] = 147534,
  [SMALL_STATE(5599)] = 147542,
  [SMALL_STATE(5600)] = 147550,
  [SMALL_STATE(5601)] = 147558,
  [SMALL_STATE(5602)] = 147566,
  [SMALL_STATE(5603)] = 147574,
  [SMALL_STATE(5604)] = 147582,
  [SMALL_STATE(5605)] = 147590,
  [SMALL_STATE(5606)] = 147598,
  [SMALL_STATE(5607)] = 147606,
  [SMALL_STATE(5608)] = 147614,
  [SMALL_STATE(5609)] = 147622,
  [SMALL_STATE(5610)] = 147630,
  [SMALL_STATE(5611)] = 147638,
  [SMALL_STATE(5612)] = 147646,
  [SMALL_STATE(5613)] = 147654,
  [SMALL_STATE(5614)] = 147662,
  [SMALL_STATE(5615)] = 147670,
  [SMALL_STATE(5616)] = 147678,
  [SMALL_STATE(5617)] = 147686,
  [SMALL_STATE(5618)] = 147694,
  [SMALL_STATE(5619)] = 147702,
  [SMALL_STATE(5620)] = 147710,
  [SMALL_STATE(5621)] = 147718,
  [SMALL_STATE(5622)] = 147726,
  [SMALL_STATE(5623)] = 147734,
  [SMALL_STATE(5624)] = 147742,
  [SMALL_STATE(5625)] = 147750,
  [SMALL_STATE(5626)] = 147758,
  [SMALL_STATE(5627)] = 147766,
  [SMALL_STATE(5628)] = 147774,
  [SMALL_STATE(5629)] = 147782,
  [SMALL_STATE(5630)] = 147790,
  [SMALL_STATE(5631)] = 147798,
  [SMALL_STATE(5632)] = 147806,
  [SMALL_STATE(5633)] = 147814,
  [SMALL_STATE(5634)] = 147822,
  [SMALL_STATE(5635)] = 147830,
  [SMALL_STATE(5636)] = 147838,
  [SMALL_STATE(5637)] = 147846,
  [SMALL_STATE(5638)] = 147854,
  [SMALL_STATE(5639)] = 147862,
  [SMALL_STATE(5640)] = 147870,
  [SMALL_STATE(5641)] = 147878,
  [SMALL_STATE(5642)] = 147886,
  [SMALL_STATE(5643)] = 147894,
  [SMALL_STATE(5644)] = 147902,
  [SMALL_STATE(5645)] = 147910,
  [SMALL_STATE(5646)] = 147918,
  [SMALL_STATE(5647)] = 147926,
  [SMALL_STATE(5648)] = 147934,
  [SMALL_STATE(5649)] = 147942,
  [SMALL_STATE(5650)] = 147950,
  [SMALL_STATE(5651)] = 147958,
  [SMALL_STATE(5652)] = 147966,
  [SMALL_STATE(5653)] = 147974,
  [SMALL_STATE(5654)] = 147982,
  [SMALL_STATE(5655)] = 147990,
  [SMALL_STATE(5656)] = 147998,
  [SMALL_STATE(5657)] = 148006,
  [SMALL_STATE(5658)] = 148014,
  [SMALL_STATE(5659)] = 148022,
  [SMALL_STATE(5660)] = 148030,
  [SMALL_STATE(5661)] = 148038,
  [SMALL_STATE(5662)] = 148046,
  [SMALL_STATE(5663)] = 148054,
  [SMALL_STATE(5664)] = 148062,
  [SMALL_STATE(5665)] = 148070,
  [SMALL_STATE(5666)] = 148078,
  [SMALL_STATE(5667)] = 148086,
  [SMALL_STATE(5668)] = 148094,
  [SMALL_STATE(5669)] = 148102,
  [SMALL_STATE(5670)] = 148110,
  [SMALL_STATE(5671)] = 148118,
  [SMALL_STATE(5672)] = 148126,
  [SMALL_STATE(5673)] = 148134,
  [SMALL_STATE(5674)] = 148142,
  [SMALL_STATE(5675)] = 148150,
  [SMALL_STATE(5676)] = 148158,
  [SMALL_STATE(5677)] = 148166,
  [SMALL_STATE(5678)] = 148174,
  [SMALL_STATE(5679)] = 148182,
  [SMALL_STATE(5680)] = 148190,
  [SMALL_STATE(5681)] = 148198,
  [SMALL_STATE(5682)] = 148206,
  [SMALL_STATE(5683)] = 148214,
  [SMALL_STATE(5684)] = 148222,
  [SMALL_STATE(5685)] = 148230,
  [SMALL_STATE(5686)] = 148238,
  [SMALL_STATE(5687)] = 148246,
  [SMALL_STATE(5688)] = 148254,
  [SMALL_STATE(5689)] = 148262,
  [SMALL_STATE(5690)] = 148270,
  [SMALL_STATE(5691)] = 148278,
  [SMALL_STATE(5692)] = 148286,
  [SMALL_STATE(5693)] = 148294,
  [SMALL_STATE(5694)] = 148302,
  [SMALL_STATE(5695)] = 148310,
  [SMALL_STATE(5696)] = 148318,
  [SMALL_STATE(5697)] = 148326,
  [SMALL_STATE(5698)] = 148334,
  [SMALL_STATE(5699)] = 148342,
  [SMALL_STATE(5700)] = 148350,
  [SMALL_STATE(5701)] = 148358,
  [SMALL_STATE(5702)] = 148366,
  [SMALL_STATE(5703)] = 148374,
  [SMALL_STATE(5704)] = 148382,
  [SMALL_STATE(5705)] = 148390,
  [SMALL_STATE(5706)] = 148398,
  [SMALL_STATE(5707)] = 148406,
  [SMALL_STATE(5708)] = 148414,
  [SMALL_STATE(5709)] = 148422,
  [SMALL_STATE(5710)] = 148430,
  [SMALL_STATE(5711)] = 148438,
  [SMALL_STATE(5712)] = 148446,
  [SMALL_STATE(5713)] = 148454,
  [SMALL_STATE(5714)] = 148462,
  [SMALL_STATE(5715)] = 148470,
  [SMALL_STATE(5716)] = 148478,
  [SMALL_STATE(5717)] = 148486,
  [SMALL_STATE(5718)] = 148494,
  [SMALL_STATE(5719)] = 148502,
  [SMALL_STATE(5720)] = 148510,
  [SMALL_STATE(5721)] = 148518,
  [SMALL_STATE(5722)] = 148526,
  [SMALL_STATE(5723)] = 148534,
  [SMALL_STATE(5724)] = 148542,
  [SMALL_STATE(5725)] = 148550,
  [SMALL_STATE(5726)] = 148558,
  [SMALL_STATE(5727)] = 148566,
  [SMALL_STATE(5728)] = 148574,
  [SMALL_STATE(5729)] = 148582,
  [SMALL_STATE(5730)] = 148590,
  [SMALL_STATE(5731)] = 148598,
  [SMALL_STATE(5732)] = 148606,
  [SMALL_STATE(5733)] = 148614,
  [SMALL_STATE(5734)] = 148622,
  [SMALL_STATE(5735)] = 148630,
  [SMALL_STATE(5736)] = 148638,
  [SMALL_STATE(5737)] = 148646,
  [SMALL_STATE(5738)] = 148654,
  [SMALL_STATE(5739)] = 148662,
  [SMALL_STATE(5740)] = 148670,
  [SMALL_STATE(5741)] = 148678,
  [SMALL_STATE(5742)] = 148686,
  [SMALL_STATE(5743)] = 148694,
  [SMALL_STATE(5744)] = 148702,
  [SMALL_STATE(5745)] = 148710,
  [SMALL_STATE(5746)] = 148718,
  [SMALL_STATE(5747)] = 148726,
  [SMALL_STATE(5748)] = 148734,
  [SMALL_STATE(5749)] = 148742,
  [SMALL_STATE(5750)] = 148750,
  [SMALL_STATE(5751)] = 148758,
  [SMALL_STATE(5752)] = 148766,
  [SMALL_STATE(5753)] = 148774,
  [SMALL_STATE(5754)] = 148782,
  [SMALL_STATE(5755)] = 148790,
  [SMALL_STATE(5756)] = 148798,
  [SMALL_STATE(5757)] = 148806,
  [SMALL_STATE(5758)] = 148814,
  [SMALL_STATE(5759)] = 148822,
  [SMALL_STATE(5760)] = 148830,
  [SMALL_STATE(5761)] = 148838,
  [SMALL_STATE(5762)] = 148846,
  [SMALL_STATE(5763)] = 148854,
  [SMALL_STATE(5764)] = 148862,
  [SMALL_STATE(5765)] = 148870,
  [SMALL_STATE(5766)] = 148878,
  [SMALL_STATE(5767)] = 148886,
  [SMALL_STATE(5768)] = 148894,
  [SMALL_STATE(5769)] = 148902,
  [SMALL_STATE(5770)] = 148910,
  [SMALL_STATE(5771)] = 148918,
  [SMALL_STATE(5772)] = 148926,
  [SMALL_STATE(5773)] = 148934,
  [SMALL_STATE(5774)] = 148942,
  [SMALL_STATE(5775)] = 148950,
  [SMALL_STATE(5776)] = 148958,
  [SMALL_STATE(5777)] = 148966,
  [SMALL_STATE(5778)] = 148974,
  [SMALL_STATE(5779)] = 148982,
  [SMALL_STATE(5780)] = 148990,
  [SMALL_STATE(5781)] = 148998,
  [SMALL_STATE(5782)] = 149006,
  [SMALL_STATE(5783)] = 149014,
  [SMALL_STATE(5784)] = 149022,
  [SMALL_STATE(5785)] = 149030,
  [SMALL_STATE(5786)] = 149038,
  [SMALL_STATE(5787)] = 149046,
  [SMALL_STATE(5788)] = 149054,
  [SMALL_STATE(5789)] = 149062,
  [SMALL_STATE(5790)] = 149070,
  [SMALL_STATE(5791)] = 149078,
  [SMALL_STATE(5792)] = 149086,
  [SMALL_STATE(5793)] = 149094,
  [SMALL_STATE(5794)] = 149102,
  [SMALL_STATE(5795)] = 149110,
  [SMALL_STATE(5796)] = 149118,
  [SMALL_STATE(5797)] = 149126,
  [SMALL_STATE(5798)] = 149134,
  [SMALL_STATE(5799)] = 149142,
  [SMALL_STATE(5800)] = 149150,
  [SMALL_STATE(5801)] = 149158,
  [SMALL_STATE(5802)] = 149166,
  [SMALL_STATE(5803)] = 149174,
  [SMALL_STATE(5804)] = 149182,
  [SMALL_STATE(5805)] = 149190,
  [SMALL_STATE(5806)] = 149198,
  [SMALL_STATE(5807)] = 149206,
  [SMALL_STATE(5808)] = 149214,
  [SMALL_STATE(5809)] = 149222,
  [SMALL_STATE(5810)] = 149230,
  [SMALL_STATE(5811)] = 149238,
  [SMALL_STATE(5812)] = 149246,
  [SMALL_STATE(5813)] = 149254,
  [SMALL_STATE(5814)] = 149262,
  [SMALL_STATE(5815)] = 149270,
  [SMALL_STATE(5816)] = 149278,
  [SMALL_STATE(5817)] = 149286,
  [SMALL_STATE(5818)] = 149294,
  [SMALL_STATE(5819)] = 149302,
  [SMALL_STATE(5820)] = 149310,
  [SMALL_STATE(5821)] = 149318,
  [SMALL_STATE(5822)] = 149326,
  [SMALL_STATE(5823)] = 149334,
  [SMALL_STATE(5824)] = 149342,
  [SMALL_STATE(5825)] = 149350,
  [SMALL_STATE(5826)] = 149358,
  [SMALL_STATE(5827)] = 149366,
  [SMALL_STATE(5828)] = 149374,
  [SMALL_STATE(5829)] = 149382,
  [SMALL_STATE(5830)] = 149390,
  [SMALL_STATE(5831)] = 149398,
  [SMALL_STATE(5832)] = 149406,
  [SMALL_STATE(5833)] = 149414,
  [SMALL_STATE(5834)] = 149422,
  [SMALL_STATE(5835)] = 149430,
  [SMALL_STATE(5836)] = 149438,
  [SMALL_STATE(5837)] = 149446,
  [SMALL_STATE(5838)] = 149454,
  [SMALL_STATE(5839)] = 149462,
  [SMALL_STATE(5840)] = 149470,
  [SMALL_STATE(5841)] = 149478,
  [SMALL_STATE(5842)] = 149486,
  [SMALL_STATE(5843)] = 149494,
  [SMALL_STATE(5844)] = 149502,
  [SMALL_STATE(5845)] = 149510,
  [SMALL_STATE(5846)] = 149518,
  [SMALL_STATE(5847)] = 149526,
  [SMALL_STATE(5848)] = 149534,
  [SMALL_STATE(5849)] = 149542,
  [SMALL_STATE(5850)] = 149550,
  [SMALL_STATE(5851)] = 149558,
  [SMALL_STATE(5852)] = 149566,
  [SMALL_STATE(5853)] = 149574,
  [SMALL_STATE(5854)] = 149582,
  [SMALL_STATE(5855)] = 149590,
  [SMALL_STATE(5856)] = 149598,
  [SMALL_STATE(5857)] = 149606,
  [SMALL_STATE(5858)] = 149614,
  [SMALL_STATE(5859)] = 149622,
  [SMALL_STATE(5860)] = 149630,
  [SMALL_STATE(5861)] = 149638,
  [SMALL_STATE(5862)] = 149646,
  [SMALL_STATE(5863)] = 149654,
  [SMALL_STATE(5864)] = 149662,
  [SMALL_STATE(5865)] = 149670,
  [SMALL_STATE(5866)] = 149678,
  [SMALL_STATE(5867)] = 149686,
  [SMALL_STATE(5868)] = 149694,
  [SMALL_STATE(5869)] = 149702,
  [SMALL_STATE(5870)] = 149710,
  [SMALL_STATE(5871)] = 149718,
  [SMALL_STATE(5872)] = 149726,
  [SMALL_STATE(5873)] = 149734,
  [SMALL_STATE(5874)] = 149742,
  [SMALL_STATE(5875)] = 149750,
  [SMALL_STATE(5876)] = 149758,
  [SMALL_STATE(5877)] = 149766,
  [SMALL_STATE(5878)] = 149774,
  [SMALL_STATE(5879)] = 149782,
  [SMALL_STATE(5880)] = 149790,
  [SMALL_STATE(5881)] = 149798,
  [SMALL_STATE(5882)] = 149806,
  [SMALL_STATE(5883)] = 149814,
  [SMALL_STATE(5884)] = 149822,
  [SMALL_STATE(5885)] = 149830,
  [SMALL_STATE(5886)] = 149838,
  [SMALL_STATE(5887)] = 149846,
  [SMALL_STATE(5888)] = 149854,
  [SMALL_STATE(5889)] = 149862,
  [SMALL_STATE(5890)] = 149870,
  [SMALL_STATE(5891)] = 149878,
  [SMALL_STATE(5892)] = 149886,
  [SMALL_STATE(5893)] = 149894,
  [SMALL_STATE(5894)] = 149902,
  [SMALL_STATE(5895)] = 149910,
  [SMALL_STATE(5896)] = 149918,
  [SMALL_STATE(5897)] = 149926,
  [SMALL_STATE(5898)] = 149934,
  [SMALL_STATE(5899)] = 149942,
  [SMALL_STATE(5900)] = 149950,
  [SMALL_STATE(5901)] = 149958,
  [SMALL_STATE(5902)] = 149966,
  [SMALL_STATE(5903)] = 149974,
  [SMALL_STATE(5904)] = 149982,
  [SMALL_STATE(5905)] = 149990,
  [SMALL_STATE(5906)] = 149998,
  [SMALL_STATE(5907)] = 150006,
  [SMALL_STATE(5908)] = 150014,
  [SMALL_STATE(5909)] = 150022,
  [SMALL_STATE(5910)] = 150030,
  [SMALL_STATE(5911)] = 150038,
  [SMALL_STATE(5912)] = 150046,
  [SMALL_STATE(5913)] = 150054,
  [SMALL_STATE(5914)] = 150062,
  [SMALL_STATE(5915)] = 150070,
  [SMALL_STATE(5916)] = 150078,
  [SMALL_STATE(5917)] = 150086,
  [SMALL_STATE(5918)] = 150094,
  [SMALL_STATE(5919)] = 150102,
  [SMALL_STATE(5920)] = 150110,
  [SMALL_STATE(5921)] = 150118,
  [SMALL_STATE(5922)] = 150126,
  [SMALL_STATE(5923)] = 150134,
  [SMALL_STATE(5924)] = 150142,
  [SMALL_STATE(5925)] = 150150,
  [SMALL_STATE(5926)] = 150158,
  [SMALL_STATE(5927)] = 150166,
  [SMALL_STATE(5928)] = 150174,
  [SMALL_STATE(5929)] = 150182,
  [SMALL_STATE(5930)] = 150190,
  [SMALL_STATE(5931)] = 150198,
  [SMALL_STATE(5932)] = 150206,
  [SMALL_STATE(5933)] = 150214,
  [SMALL_STATE(5934)] = 150222,
  [SMALL_STATE(5935)] = 150230,
  [SMALL_STATE(5936)] = 150238,
  [SMALL_STATE(5937)] = 150246,
  [SMALL_STATE(5938)] = 150254,
  [SMALL_STATE(5939)] = 150262,
  [SMALL_STATE(5940)] = 150270,
  [SMALL_STATE(5941)] = 150278,
  [SMALL_STATE(5942)] = 150286,
  [SMALL_STATE(5943)] = 150294,
  [SMALL_STATE(5944)] = 150302,
  [SMALL_STATE(5945)] = 150310,
  [SMALL_STATE(5946)] = 150318,
  [SMALL_STATE(5947)] = 150326,
  [SMALL_STATE(5948)] = 150334,
  [SMALL_STATE(5949)] = 150342,
  [SMALL_STATE(5950)] = 150350,
  [SMALL_STATE(5951)] = 150358,
  [SMALL_STATE(5952)] = 150366,
  [SMALL_STATE(5953)] = 150374,
  [SMALL_STATE(5954)] = 150382,
  [SMALL_STATE(5955)] = 150390,
  [SMALL_STATE(5956)] = 150398,
  [SMALL_STATE(5957)] = 150406,
  [SMALL_STATE(5958)] = 150414,
  [SMALL_STATE(5959)] = 150422,
  [SMALL_STATE(5960)] = 150430,
  [SMALL_STATE(5961)] = 150438,
  [SMALL_STATE(5962)] = 150446,
  [SMALL_STATE(5963)] = 150454,
  [SMALL_STATE(5964)] = 150462,
  [SMALL_STATE(5965)] = 150470,
  [SMALL_STATE(5966)] = 150478,
  [SMALL_STATE(5967)] = 150486,
  [SMALL_STATE(5968)] = 150494,
  [SMALL_STATE(5969)] = 150502,
  [SMALL_STATE(5970)] = 150510,
  [SMALL_STATE(5971)] = 150518,
  [SMALL_STATE(5972)] = 150526,
  [SMALL_STATE(5973)] = 150534,
  [SMALL_STATE(5974)] = 150542,
  [SMALL_STATE(5975)] = 150550,
  [SMALL_STATE(5976)] = 150558,
  [SMALL_STATE(5977)] = 150566,
  [SMALL_STATE(5978)] = 150574,
  [SMALL_STATE(5979)] = 150582,
  [SMALL_STATE(5980)] = 150590,
  [SMALL_STATE(5981)] = 150598,
  [SMALL_STATE(5982)] = 150606,
  [SMALL_STATE(5983)] = 150614,
  [SMALL_STATE(5984)] = 150622,
  [SMALL_STATE(5985)] = 150630,
  [SMALL_STATE(5986)] = 150638,
  [SMALL_STATE(5987)] = 150646,
  [SMALL_STATE(5988)] = 150654,
  [SMALL_STATE(5989)] = 150662,
  [SMALL_STATE(5990)] = 150670,
  [SMALL_STATE(5991)] = 150678,
  [SMALL_STATE(5992)] = 150686,
  [SMALL_STATE(5993)] = 150694,
  [SMALL_STATE(5994)] = 150702,
  [SMALL_STATE(5995)] = 150710,
  [SMALL_STATE(5996)] = 150718,
  [SMALL_STATE(5997)] = 150726,
  [SMALL_STATE(5998)] = 150734,
  [SMALL_STATE(5999)] = 150742,
  [SMALL_STATE(6000)] = 150750,
  [SMALL_STATE(6001)] = 150758,
  [SMALL_STATE(6002)] = 150766,
  [SMALL_STATE(6003)] = 150774,
  [SMALL_STATE(6004)] = 150782,
  [SMALL_STATE(6005)] = 150790,
  [SMALL_STATE(6006)] = 150798,
  [SMALL_STATE(6007)] = 150806,
  [SMALL_STATE(6008)] = 150814,
  [SMALL_STATE(6009)] = 150822,
  [SMALL_STATE(6010)] = 150830,
  [SMALL_STATE(6011)] = 150838,
  [SMALL_STATE(6012)] = 150846,
  [SMALL_STATE(6013)] = 150854,
  [SMALL_STATE(6014)] = 150862,
  [SMALL_STATE(6015)] = 150870,
  [SMALL_STATE(6016)] = 150878,
  [SMALL_STATE(6017)] = 150886,
  [SMALL_STATE(6018)] = 150894,
  [SMALL_STATE(6019)] = 150902,
  [SMALL_STATE(6020)] = 150910,
  [SMALL_STATE(6021)] = 150918,
  [SMALL_STATE(6022)] = 150926,
  [SMALL_STATE(6023)] = 150934,
  [SMALL_STATE(6024)] = 150942,
  [SMALL_STATE(6025)] = 150950,
  [SMALL_STATE(6026)] = 150958,
  [SMALL_STATE(6027)] = 150966,
  [SMALL_STATE(6028)] = 150974,
  [SMALL_STATE(6029)] = 150982,
  [SMALL_STATE(6030)] = 150990,
  [SMALL_STATE(6031)] = 150998,
  [SMALL_STATE(6032)] = 151006,
  [SMALL_STATE(6033)] = 151014,
  [SMALL_STATE(6034)] = 151022,
  [SMALL_STATE(6035)] = 151030,
  [SMALL_STATE(6036)] = 151038,
  [SMALL_STATE(6037)] = 151046,
  [SMALL_STATE(6038)] = 151054,
  [SMALL_STATE(6039)] = 151062,
  [SMALL_STATE(6040)] = 151070,
  [SMALL_STATE(6041)] = 151078,
  [SMALL_STATE(6042)] = 151086,
  [SMALL_STATE(6043)] = 151094,
  [SMALL_STATE(6044)] = 151102,
  [SMALL_STATE(6045)] = 151110,
  [SMALL_STATE(6046)] = 151118,
  [SMALL_STATE(6047)] = 151126,
  [SMALL_STATE(6048)] = 151134,
  [SMALL_STATE(6049)] = 151142,
  [SMALL_STATE(6050)] = 151150,
  [SMALL_STATE(6051)] = 151158,
  [SMALL_STATE(6052)] = 151166,
  [SMALL_STATE(6053)] = 151174,
  [SMALL_STATE(6054)] = 151182,
  [SMALL_STATE(6055)] = 151190,
  [SMALL_STATE(6056)] = 151198,
  [SMALL_STATE(6057)] = 151206,
  [SMALL_STATE(6058)] = 151214,
  [SMALL_STATE(6059)] = 151222,
  [SMALL_STATE(6060)] = 151230,
  [SMALL_STATE(6061)] = 151238,
  [SMALL_STATE(6062)] = 151246,
  [SMALL_STATE(6063)] = 151254,
  [SMALL_STATE(6064)] = 151262,
  [SMALL_STATE(6065)] = 151270,
  [SMALL_STATE(6066)] = 151278,
  [SMALL_STATE(6067)] = 151286,
  [SMALL_STATE(6068)] = 151294,
  [SMALL_STATE(6069)] = 151302,
  [SMALL_STATE(6070)] = 151310,
  [SMALL_STATE(6071)] = 151318,
  [SMALL_STATE(6072)] = 151326,
  [SMALL_STATE(6073)] = 151334,
  [SMALL_STATE(6074)] = 151342,
  [SMALL_STATE(6075)] = 151350,
  [SMALL_STATE(6076)] = 151358,
  [SMALL_STATE(6077)] = 151366,
  [SMALL_STATE(6078)] = 151374,
  [SMALL_STATE(6079)] = 151382,
  [SMALL_STATE(6080)] = 151390,
  [SMALL_STATE(6081)] = 151398,
  [SMALL_STATE(6082)] = 151406,
  [SMALL_STATE(6083)] = 151414,
  [SMALL_STATE(6084)] = 151422,
  [SMALL_STATE(6085)] = 151430,
  [SMALL_STATE(6086)] = 151438,
  [SMALL_STATE(6087)] = 151446,
  [SMALL_STATE(6088)] = 151454,
  [SMALL_STATE(6089)] = 151462,
  [SMALL_STATE(6090)] = 151470,
  [SMALL_STATE(6091)] = 151478,
  [SMALL_STATE(6092)] = 151486,
  [SMALL_STATE(6093)] = 151494,
  [SMALL_STATE(6094)] = 151502,
  [SMALL_STATE(6095)] = 151510,
  [SMALL_STATE(6096)] = 151518,
  [SMALL_STATE(6097)] = 151526,
  [SMALL_STATE(6098)] = 151534,
  [SMALL_STATE(6099)] = 151542,
  [SMALL_STATE(6100)] = 151550,
  [SMALL_STATE(6101)] = 151558,
  [SMALL_STATE(6102)] = 151566,
  [SMALL_STATE(6103)] = 151574,
  [SMALL_STATE(6104)] = 151582,
  [SMALL_STATE(6105)] = 151590,
  [SMALL_STATE(6106)] = 151598,
  [SMALL_STATE(6107)] = 151606,
  [SMALL_STATE(6108)] = 151614,
  [SMALL_STATE(6109)] = 151622,
  [SMALL_STATE(6110)] = 151630,
  [SMALL_STATE(6111)] = 151638,
  [SMALL_STATE(6112)] = 151646,
  [SMALL_STATE(6113)] = 151654,
  [SMALL_STATE(6114)] = 151662,
  [SMALL_STATE(6115)] = 151670,
  [SMALL_STATE(6116)] = 151678,
  [SMALL_STATE(6117)] = 151686,
  [SMALL_STATE(6118)] = 151694,
  [SMALL_STATE(6119)] = 151702,
  [SMALL_STATE(6120)] = 151710,
  [SMALL_STATE(6121)] = 151718,
  [SMALL_STATE(6122)] = 151726,
  [SMALL_STATE(6123)] = 151734,
  [SMALL_STATE(6124)] = 151742,
  [SMALL_STATE(6125)] = 151750,
  [SMALL_STATE(6126)] = 151758,
  [SMALL_STATE(6127)] = 151766,
  [SMALL_STATE(6128)] = 151774,
  [SMALL_STATE(6129)] = 151782,
  [SMALL_STATE(6130)] = 151790,
  [SMALL_STATE(6131)] = 151798,
  [SMALL_STATE(6132)] = 151806,
  [SMALL_STATE(6133)] = 151814,
  [SMALL_STATE(6134)] = 151822,
  [SMALL_STATE(6135)] = 151830,
  [SMALL_STATE(6136)] = 151838,
  [SMALL_STATE(6137)] = 151846,
  [SMALL_STATE(6138)] = 151854,
  [SMALL_STATE(6139)] = 151862,
  [SMALL_STATE(6140)] = 151870,
  [SMALL_STATE(6141)] = 151878,
  [SMALL_STATE(6142)] = 151886,
  [SMALL_STATE(6143)] = 151894,
  [SMALL_STATE(6144)] = 151902,
  [SMALL_STATE(6145)] = 151910,
  [SMALL_STATE(6146)] = 151918,
  [SMALL_STATE(6147)] = 151926,
  [SMALL_STATE(6148)] = 151934,
  [SMALL_STATE(6149)] = 151942,
  [SMALL_STATE(6150)] = 151950,
  [SMALL_STATE(6151)] = 151958,
  [SMALL_STATE(6152)] = 151966,
  [SMALL_STATE(6153)] = 151974,
  [SMALL_STATE(6154)] = 151982,
  [SMALL_STATE(6155)] = 151990,
  [SMALL_STATE(6156)] = 151998,
  [SMALL_STATE(6157)] = 152006,
  [SMALL_STATE(6158)] = 152014,
  [SMALL_STATE(6159)] = 152022,
  [SMALL_STATE(6160)] = 152030,
  [SMALL_STATE(6161)] = 152038,
  [SMALL_STATE(6162)] = 152046,
  [SMALL_STATE(6163)] = 152054,
  [SMALL_STATE(6164)] = 152062,
  [SMALL_STATE(6165)] = 152070,
  [SMALL_STATE(6166)] = 152078,
  [SMALL_STATE(6167)] = 152086,
  [SMALL_STATE(6168)] = 152094,
  [SMALL_STATE(6169)] = 152102,
  [SMALL_STATE(6170)] = 152110,
  [SMALL_STATE(6171)] = 152118,
  [SMALL_STATE(6172)] = 152126,
  [SMALL_STATE(6173)] = 152134,
  [SMALL_STATE(6174)] = 152142,
  [SMALL_STATE(6175)] = 152150,
  [SMALL_STATE(6176)] = 152158,
  [SMALL_STATE(6177)] = 152166,
  [SMALL_STATE(6178)] = 152174,
  [SMALL_STATE(6179)] = 152182,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 2, 0, 15),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 3, 0, 65),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 119),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 15),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 15),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 119),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 15),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 5, 0, 119),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 65),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 65),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 4, 0, 15),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2875),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3689),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3705),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5033),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1920),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1966),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3579),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2082),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3362),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2235),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5933),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3581),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3586),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5858),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5844),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3928),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3202),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2129),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1899),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2192),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2385),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2189),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5460),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5455),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1298),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3893),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2763),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1938),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4284),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5034),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5340),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5037),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5038),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5045),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5290),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5054),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5270),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4264),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5249),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2676),
  [515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6065),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 1, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3699),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2269),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5003),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3498),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 3, 0, 0),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3643),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2313),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3709),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4888),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3355),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 65),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 15),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 119),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2952),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3629),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2268),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3625),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5052),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5153),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3928),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2129),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [1004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [1010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3277),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3345),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6135),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5455),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [1034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1298),
  [1037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [1040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1829),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [1052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4230),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2987),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3632),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2276),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3672),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5032),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1904),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1902),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3062),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3728),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2263),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3645),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4946),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1844),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1911),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2906),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3644),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2292),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5058),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1899),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3698),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4997),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5153),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [1152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3928),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2129),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1961),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1960),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3277),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3345),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6135),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5455),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1298),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1829),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [1221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4230),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3696),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4974),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [1236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2908),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3657),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5063),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 2, 0, 15),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 15),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 65),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 119),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 119),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 15),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 15),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 3, 0, 65),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 65),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 119),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3638),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2258),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3736),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4976),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1920),
  [1416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1966),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2763),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1938),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4284),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5034),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5340),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5037),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5038),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5045),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5290),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5054),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5270),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4264),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5249),
  [1517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [1520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [1523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [1529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [1532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2676),
  [1535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(6065),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3710),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2299),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3687),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4928),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3697),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4994),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1920),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1966),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2763),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1938),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4284),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5034),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5340),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5037),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5038),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5045),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5290),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5054),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5270),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4264),
  [1663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5249),
  [1669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [1672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [1675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [1681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2676),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(6065),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3636),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2259),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3680),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4978),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(1515),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0),
  [1725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(1289),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 165), SHIFT(1515),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 165),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 165), SHIFT(1289),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 165), SHIFT(1515),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 165),
  [1741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 165), SHIFT(1289),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4991),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [1758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 164), SHIFT(1515),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 164),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 164), SHIFT(1289),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3662),
  [1772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4966),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 165), SHIFT(1515),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 165),
  [1780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 165), SHIFT(1289),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 173), SHIFT(1515),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 173),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 173), SHIFT(1289),
  [1791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 164), SHIFT(1515),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 164),
  [1796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 164), SHIFT(1289),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 173), SHIFT(1515),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 173),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 173), SHIFT(1289),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3735),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4933),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(1515),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0),
  [1821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(1289),
  [1824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 164), SHIFT(1515),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 164),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 164), SHIFT(1289),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 172), SHIFT(1515),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 172),
  [1837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 172), SHIFT(1289),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 172), SHIFT(1515),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 172),
  [1845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 172), SHIFT(1289),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 172), SHIFT(1515),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 172),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 172), SHIFT(1289),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 173), SHIFT(1515),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 173),
  [1861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 173), SHIFT(1289),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(1515),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0),
  [1869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(1289),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 1, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [1908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 128), SHIFT(1515),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 128),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0), SHIFT(1515),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0), SHIFT(1515),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0),
  [1923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0), SHIFT(1515),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0),
  [1928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [1931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3646),
  [1934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4970),
  [1937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 128), SHIFT(1515),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 128),
  [1942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0), SHIFT(1515),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3095),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3695),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4991),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 128), SHIFT(1515),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 128),
  [1961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 128), SHIFT(1515),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 128),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [1982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(1515),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0),
  [1987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(1289),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2845),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3722),
  [2014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4941),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 132), SHIFT(1515),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 132),
  [2022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 132), SHIFT(1289),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 132), SHIFT(1515),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 132),
  [2036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 132), SHIFT(1289),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3664),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4922),
  [2058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3168),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3642),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4919),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 7, 0, 0), SHIFT(1515),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [2072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 7, 0, 0), SHIFT(1289),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 132), SHIFT(1515),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 132),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 132), SHIFT(1289),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(1515),
  [2086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0),
  [2088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(1289),
  [2091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 132), SHIFT(1515),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 132),
  [2096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 132), SHIFT(1289),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(1515),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(1289),
  [2107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(1515),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0),
  [2112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(1289),
  [2115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 132), SHIFT(1515),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 132),
  [2120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 132), SHIFT(1289),
  [2123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3134),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3730),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4936),
  [2132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 132), SHIFT(1515),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 132),
  [2137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 3, 0, 132), SHIFT(1289),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(1515),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(1289),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 171), SHIFT(1515),
  [2151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 171), SHIFT(1511),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 171),
  [2156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 171), SHIFT(1289),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 163), SHIFT(1515),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 163), SHIFT(1511),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 163),
  [2167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 163), SHIFT(1289),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 163), SHIFT(1515),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 163), SHIFT(1511),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 163),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 163), SHIFT(1289),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [2184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3732),
  [2187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [2190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3120),
  [2193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3692),
  [2196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4960),
  [2199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2897),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3688),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5072),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 171), SHIFT(1515),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 171), SHIFT(1511),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 171),
  [2216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 7, 0, 171), SHIFT(1289),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [2222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3673),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5013),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 171), SHIFT(1515),
  [2231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 171), SHIFT(1511),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 171),
  [2236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 171), SHIFT(1289),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 163), SHIFT(1515),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 163), SHIFT(1511),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 163),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 163), SHIFT(1289),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3096),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4989),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 127), SHIFT(1515),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 127), SHIFT(1511),
  [2271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 127), SHIFT(1289),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 127), SHIFT(1515),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 127), SHIFT(1511),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 127), SHIFT(1289),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3694),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4925),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 127), SHIFT(1515),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 127), SHIFT(1511),
  [2298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 127), SHIFT(1289),
  [2301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 5),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 5),
  [2305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 15),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 15),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 120),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 120),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 66),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 66),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 141),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 141),
  [2329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 15),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 15),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 15),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 15),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 15),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 65),
  [2345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 65),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 65),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 65),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 65),
  [2361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 93),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 93),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 65),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 65),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 65),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 65),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 94),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 94),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 2),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 2),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 3),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 3),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 15),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 15),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 118),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 118),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 113),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 113),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 4, 0, 0),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 4, 0, 0),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 3, 0, 0),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 3, 0, 0),
  [2417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 33),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 33),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 31),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 31),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 3, 0, 0),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 2, 0, 43),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 2, 0, 43),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 15),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 15),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 3, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 3, 0, 0),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 64),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 64),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 2, 0, 44),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 2, 0, 44),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 3, 0, 0),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 3, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 34),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 34),
  [2457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 10),
  [2459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 10),
  [2461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 92),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 92),
  [2465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 3, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 3, 0, 0),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 4, 0, 82),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 4, 0, 82),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 45),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 45),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 82),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 82),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 3, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 3, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 2, 0, 45),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 2, 0, 45),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 4, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 4, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 2, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 2, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 1, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 4, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 4, 0, 0),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 80),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 80),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 43),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 43),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 4, 0, 0),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 0),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 2, 0, 0),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 2, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 81),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 81),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 44),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 44),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 4, 0, 0),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 4, 0, 0),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 118),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 118),
  [2541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 2, 0, 83),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 2, 0, 83),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, 0, 0),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 0),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 4, 0, 112),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 4, 0, 112),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 2, 0, 84),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 2, 0, 84),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 2, 0, 0),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 15),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 15),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, 0, 0),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 6, 0, 0),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 6, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 66),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 66),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 0),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 0),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 2, 0, 0),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 2, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 112),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 112),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 5, 0, 0),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5, 0, 0),
  [2593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 4, 0, 80),
  [2595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 4, 0, 80),
  [2597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 4, 0, 81),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 4, 0, 81),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 93),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 93),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 65),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 65),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 83),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 83),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 5, 0, 0),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 5, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 84),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 84),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 8, 0, 141),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 8, 0, 141),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 94),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 94),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 7, 0, 120),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 7, 0, 120),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 65),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 65),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 6, 0, 0),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 0),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 4, 0, 113),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 4, 0, 113),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 15),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 15),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 2, 0, 15),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 65),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 65),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 3, 0, 65),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 15),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 119),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 15),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 119),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 15),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3167),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3734),
  [2857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2306),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3671),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5071),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5153),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3928),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2129),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1973),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1968),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [2907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [2910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3277),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3345),
  [2922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [2928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6135),
  [2931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [2934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5455),
  [2937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2150),
  [2940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1298),
  [2943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [2949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1829),
  [2952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [2955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [2958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4230),
  [2961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [2964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3675),
  [2967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2278),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [2973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4914),
  [2976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [2985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3676),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4987),
  [2991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1894),
  [2994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1903),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 48),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 48),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 3, 0, 0),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 3, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 2, 0, 0),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 2, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 5, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 5, 0, 0),
  [3021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 5, 0, 0),
  [3023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 5, 0, 0),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 1, 0, 0),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 4, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 4, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 4, 0, 0),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 4, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 2, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 2, 0, 0),
  [3055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 2, 0, 0),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 2, 0, 0),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [3061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0),
  [3070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 2, 0, 48),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 2, 0, 48),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 3, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 3, 0, 0),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 3, 0, 0),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 3, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 86),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 86),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 3, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 3, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 4, 0, 86),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 4, 0, 86),
  [3097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 2, 0, 0),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 3, 0, 0),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3711),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [3110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 15),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 15),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 65),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 65),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 168),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 168),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 66),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 66),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 158),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 158),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 65),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 65),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 156),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 156),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 93),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 93),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 141),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 141),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 94),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 94),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 15),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 15),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 143),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 143),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 118),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 118),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 120),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 120),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 158),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 158),
  [3384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 94),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 94),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 93),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 93),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 120),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 120),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 66),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 66),
  [3400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 141),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 141),
  [3404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 15),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 15),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 168),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 168),
  [3412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 118),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 118),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 156),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 156),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 143),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 143),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 65),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 65),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program_statement, 2, 0, 12),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program_statement, 2, 0, 12),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 13),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 13),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 1, 0, 1),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 1, 0, 1),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [3468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(1924),
  [3471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(1941),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(5249),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 1, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 1, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 1, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 3, 1, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 3, 1, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 2, 1, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 2, 1, 0),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 4, 1, 0),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 4, 1, 0),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 65),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 65),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 65),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 65),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 3, 0, 15),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 3, 0, 15),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 141),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 141),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 143),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 143),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 4, 0, 65),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 4, 0, 65),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 15),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 15),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 15),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 15),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 66),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 66),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 15),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 15),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 94),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 94),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 93),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 93),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 65),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 65),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 118),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 118),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 120),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 120),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 156),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 156),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 5, 0, 95),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 5, 0, 95),
  [3643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 9, 0, 156),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 9, 0, 156),
  [3647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 141),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 141),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 94),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 94),
  [3655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 143),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 143),
  [3659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 65),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 65),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 93),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 93),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 15),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 15),
  [3671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 120),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 120),
  [3675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 118),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 118),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 66),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 66),
  [3683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_statement, 2, 0, 0),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_statement, 2, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 7, 0, 144),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 7, 0, 144),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [3706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [3717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 93),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 93),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 66),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 66),
  [3729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 156),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 156),
  [3735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 65),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 65),
  [3741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 15),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 15),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 94),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 94),
  [3755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 65),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 65),
  [3761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 118),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 118),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 15),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 15),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 65),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 65),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 15),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 15),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 141),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 141),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 120),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 120),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 15),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 15),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 65),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 65),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 143),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 143),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [3877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 15),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 15),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 118),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 118),
  [3887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 94),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 94),
  [3895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 66),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 66),
  [3899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 93),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 93),
  [3903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 120),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 120),
  [3907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 141),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 141),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 143),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 143),
  [3915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 156),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 156),
  [3919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 65),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 65),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [3947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [3949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [3965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 1, 0, 0),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 30),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 30),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 2, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 2, 0, 0),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 3, 0, 0),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 2, 0, 0),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 6),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 2, 0, 0),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 2, 0, 0),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 2, 0, 0),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [4015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [4053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 2, 0, 15),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [4281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 15),
  [4283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 65),
  [4285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 119),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [4301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 15),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [4307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 3, 0, 65),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 119),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [4323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [4457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [4475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [4478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2289),
  [4484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [4486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3708),
  [4489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4968),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [4494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3795),
  [4497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3581),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3586),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5205),
  [4506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5835),
  [4509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3772),
  [4512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5057),
  [4515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [4518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6168),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3893),
  [4524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4817),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 2, 0, 9),
  [4549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 2, 0, 9),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__kind, 2, 0, 25),
  [4553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__kind, 2, 0, 25),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 1, 0, 8),
  [4557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 1, 0, 8),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_legacy, 3, 0, 42),
  [4561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_legacy, 3, 0, 42),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [4565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [4575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_f2003, 3, 0, 42),
  [4579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_f2003, 3, 0, 42),
  [4581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [4583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_member_expression, 3, 0, 60),
  [4587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_member_expression, 3, 0, 60),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_literal, 3, 0, 0),
  [4591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_literal, 3, 0, 0),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 2, 0, 9),
  [4595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 2, 0, 9),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 1, 0, 106),
  [4599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 1, 0, 0),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 1, 0, 0),
  [4609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(5153),
  [4614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [4619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(2128),
  [4622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(5455),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 0),
  [4627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 0),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [4633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [4636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3133),
  [4639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3729),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2309),
  [4645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3663),
  [4648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4939),
  [4651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4295),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3628),
  [4672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3650),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4915),
  [4681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4332),
  [4684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3670),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2260),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3682),
  [4696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4985),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4785),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [4738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3100),
  [4741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3630),
  [4744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2255),
  [4747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3716),
  [4750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4981),
  [4753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4574),
  [4756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [4759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3724),
  [4762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2296),
  [4765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3693),
  [4768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4948),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4625),
  [4774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [4777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3647),
  [4780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3702),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5021),
  [4789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4391),
  [4792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [4808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 1, 0, 0),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [4814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3123),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3715),
  [4820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2290),
  [4823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3718),
  [4826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4952),
  [4829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4773),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [4834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 1, 0, 0),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [4862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 2, 0, 0),
  [4864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4379),
  [4867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [4871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 74),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 74),
  [4875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 7),
  [4877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 7),
  [4879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 105),
  [4881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 105),
  [4883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [4885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [4887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 3, 0, 0),
  [4889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 3, 0, 59),
  [4891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 3, 0, 59),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_expression, 3, 0, 59),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_expression, 3, 0, 59),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 59),
  [4921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 59),
  [4923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_pointer_association, 3, 0, 61),
  [4925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_pointer_association, 3, 0, 61),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_assignment, 3, 0, 61),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_assignment, 3, 0, 61),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 59),
  [4933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation_expression, 3, 0, 59),
  [4935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [4937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [4945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 6),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [4949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [4955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 18),
  [4959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 18),
  [4961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [4963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [4967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5183),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 1, 0, 0),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 1, 0, 0),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 55),
  [5021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 55),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 54),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 54),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [5035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [5038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 0),
  [5051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 0),
  [5053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 2, 0, 25),
  [5055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 2, 0, 25),
  [5057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [5059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3790),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [5064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3581),
  [5067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [5070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3586),
  [5073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5205),
  [5076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5835),
  [5079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2153),
  [5082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3772),
  [5085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5057),
  [5088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [5091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6168),
  [5094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3893),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 101),
  [5121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 101),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 103),
  [5125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 103),
  [5127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 0),
  [5129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 0),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 100),
  [5133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 100),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [5141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(1372),
  [5144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(1375),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [5149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 68),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 68),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 69),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 69),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 104),
  [5195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 104),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [5201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 71),
  [5203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 71),
  [5205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 73),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 73),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 72),
  [5211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 72),
  [5213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [5215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [5217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_spec, 2, 0, 0),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_spec, 2, 0, 0),
  [5221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [5223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [5225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [5227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [5231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [5235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [5237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [5239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [5341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 120),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 120),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [5362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 141),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 141),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 65),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 65),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 65),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 65),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 118),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 118),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [5406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 15),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 15),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 94),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [5416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 94),
  [5418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 15),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 15),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 66),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 66),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 93),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 93),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 15),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 15),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 65),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 65),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 1, 0, 0),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [5496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 6),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [5526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [5543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 135),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 135),
  [5547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [5549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 66),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 66),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 151),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 151),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 135),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 135),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 93),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 93),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 94),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 94),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [5583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 15),
  [5585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 15),
  [5587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2265),
  [5590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3651),
  [5593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [5595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [5598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [5600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5915),
  [5603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2607),
  [5606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [5609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5246),
  [5612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3345),
  [5615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5048),
  [5618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [5621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6135),
  [5624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4763),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 151),
  [5629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 151),
  [5631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 6, 0, 0),
  [5633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 6, 0, 0),
  [5635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 0),
  [5637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 118),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 118),
  [5641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 2, 0, 20),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 2, 0, 20),
  [5645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 141),
  [5647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 141),
  [5649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 120),
  [5651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 120),
  [5653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 65),
  [5655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 65),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 2, 0, 19),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [5685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0),
  [5691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 3, 0, 0),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 5, 0, 162),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 1, 0, 0),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 1, 0, 0),
  [5723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 5, 0, 0),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [5753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 96),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 4, 0, 0),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 5, 0, 0),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 3, 0, 0),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_association, 3, 0, 111),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [5787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 7, 0, 0),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 7, 0, 177),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [5801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 5, 0, 0),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_assignment, 3, 0, 0),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [5825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 3, 0, 0),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 5, 0, 0),
  [5875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 7, 0, 0),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_function, 4, 0, 0),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [5893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 8, 0, 0),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 5, 0, 0),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [5899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_association_statement, 3, 0, 0),
  [5901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(3726),
  [5904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [5906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [5928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 61),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 7, 0, 0),
  [5952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 7, 0, 0),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 6, 0, 0),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 6, 0, 0),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [6056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 1, 0, 0),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [6060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 1, 0, 0),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [6068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3575),
  [6071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3211),
  [6074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3210),
  [6077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3212),
  [6080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3213),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 5, 0, 0),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 5, 0, 0),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [6101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 0),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 0),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [6143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(1937),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [6154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3623),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [6161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 3, 0, 0),
  [6163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 3, 0, 0),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [6171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 4, 0, 0),
  [6173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 4, 0, 0),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [6185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_common_statement, 2, 0, 0),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [6189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 1, 0, 0),
  [6191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 1, 0, 0),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_expressions, 1, 0, 0),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 2, 0, 0),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 2, 0, 0),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [6269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1, 0, 0),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [6327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [6329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [6333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 0),
  [6335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 0),
  [6337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 2, 0, 15),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [6351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [6355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3991),
  [6358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [6360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [6362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 4, 0, 0),
  [6364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 4, 0, 0),
  [6366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(2520),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procedure_kind, 2, 0, 0),
  [6371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procedure_kind, 2, 0, 0),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [6381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4881),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [6388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [6390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 3, 0, 19),
  [6392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 38),
  [6394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 38),
  [6396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 0),
  [6398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 0),
  [6400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 67),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 67),
  [6404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [6406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [6408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(2519),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 1, 0, 0),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [6419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 39),
  [6421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 39),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0),
  [6425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_identifier, 1, 0, 0),
  [6427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 3, 0, 0),
  [6429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 3, 0, 0),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 5, 0, 0),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 5, 0, 0),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [6439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [6441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2, 0, 0),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [6445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 13, 0, 67),
  [6447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 13, 0, 67),
  [6449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 12, 0, 67),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 12, 0, 67),
  [6453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 11, 0, 67),
  [6455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 11, 0, 67),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 67),
  [6459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 67),
  [6461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 0),
  [6463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 0),
  [6465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 67),
  [6467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 67),
  [6469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 0),
  [6471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 0),
  [6473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4917),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 0),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 0),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 67),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 67),
  [6494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 0),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 0),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 67),
  [6510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 67),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [6516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 0),
  [6518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 0),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 4, 0, 147),
  [6528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 4, 0, 147),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [6535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 5, 0, 0),
  [6555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 5, 0, 0),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 15),
  [6567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 3, 0, 65),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [6571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 4, 0, 0),
  [6573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 4, 0, 0),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 119),
  [6581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [6583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [6594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3415),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [6599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [6609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [6627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [6639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 119),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 65),
  [6647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 15),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [6651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 1, 0, 134),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [6672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 75),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 1, 0, 40),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 1, 0, 41),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 133),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [6702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 67), SHIFT(4000),
  [6705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 7, 0, 67),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 67),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(4000),
  [6720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [6722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [6724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4000),
  [6727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0), SHIFT(4000),
  [6730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [6732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 1, 0, 77),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [6754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 150),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [6758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(3893),
  [6761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21),
  [6763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(5205),
  [6766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(5835),
  [6769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(3772),
  [6772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(5057),
  [6775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(3771),
  [6778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 21), SHIFT_REPEAT(6168),
  [6781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 126),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 107),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [6825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 78),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [6831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 67), SHIFT(4000),
  [6834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 67),
  [6836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 67),
  [6838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0), SHIFT(4000),
  [6841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [6843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [6847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 1, 0, 57),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [6853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0), SHIFT(4004),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [6858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [6860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [6872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 117), SHIFT_REPEAT(2629),
  [6875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 117),
  [6877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 117),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 1, 0, 108),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 90),
  [6919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0), SHIFT(4000),
  [6922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [6924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 50),
  [6930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 50),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [6934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [6936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label_reference, 1, 0, 14),
  [6938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label_reference, 1, 0, 14),
  [6940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 67), SHIFT(3999),
  [6943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 67),
  [6945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 67),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [6949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(3995),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [6956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [6976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 114),
  [6978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 114),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [7020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 93),
  [7022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 93),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 65),
  [7028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 65),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [7032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 1, 0, 0),
  [7034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 1, 0, 0),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [7044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 141),
  [7046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 141),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 94),
  [7052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 94),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 15),
  [7058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 15),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [7062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 65),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 65),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [7068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 15),
  [7070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 15),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [7074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 66),
  [7076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 66),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [7080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [7082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [7084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3479),
  [7087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5915),
  [7090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3345),
  [7093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5048),
  [7096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [7099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(6135),
  [7102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 2, 0, 0),
  [7104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 2, 0, 0),
  [7106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 15),
  [7108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 15),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 118),
  [7114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 118),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [7118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 65),
  [7120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 65),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 120),
  [7126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 120),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 146),
  [7132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 146),
  [7134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 118),
  [7136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 118),
  [7138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 94),
  [7140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 94),
  [7142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 49),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 49),
  [7146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [7148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [7150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 167),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 167),
  [7154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 166),
  [7156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 166),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [7162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 120),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 120),
  [7166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 145),
  [7168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 145),
  [7170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 159),
  [7172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 159),
  [7174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 15),
  [7176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 15),
  [7178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 93),
  [7180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 93),
  [7182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 152),
  [7184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 152),
  [7186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 70),
  [7188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 70),
  [7190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [7192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [7194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 141),
  [7196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 141),
  [7198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 66),
  [7200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 66),
  [7202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 122),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 122),
  [7206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 9, 0, 174),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 9, 0, 174),
  [7210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 102),
  [7212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 102),
  [7214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 138),
  [7216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 138),
  [7218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [7220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 65),
  [7224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 65),
  [7226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [7230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [7238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 22),
  [7240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 22),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [7250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 29),
  [7252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 29),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [7266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [7282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 1, 0, 0),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [7322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [7324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [7326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 11),
  [7328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 11),
  [7330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 59),
  [7332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 59),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [7342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 6),
  [7344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [7346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [7356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [7358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [7364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 32),
  [7366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 32),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [7376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [7378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [7384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [7386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [7388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5914),
  [7398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 23),
  [7400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 23),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5920),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5929),
  [7410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [7420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [7422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [7424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 3, 0, 0),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [7438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 53),
  [7440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 53),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [7454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 52),
  [7456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 52),
  [7458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [7460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [7470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 2, 0, 0),
  [7472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 89), SHIFT_REPEAT(3221),
  [7475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 89),
  [7477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 89),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 88),
  [7519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 88),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 116),
  [7525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 116),
  [7527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 137),
  [7529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 137),
  [7531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 87),
  [7533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 87),
  [7535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 51),
  [7537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 51),
  [7539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 115),
  [7541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 115),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 24),
  [7545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 24),
  [7547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [7569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [7581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 119),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [7587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 15),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [7593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 2, 0, 0),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [7605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [7607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5549),
  [7610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5001),
  [7613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [7615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5551),
  [7618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5552),
  [7621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3653),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [7656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [7658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5449),
  [7661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(2396),
  [7664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [7670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 65),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [7674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 1, 0, 0),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [7678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(4053),
  [7681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0),
  [7683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(3992),
  [7686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(3944),
  [7689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(4129),
  [7692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(4123),
  [7695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(5970),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [7702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 3, 0, 0),
  [7704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 3, 0, 0),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [7714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 119),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [7720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 15),
  [7722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 65),
  [7724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 15),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [7736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 4, 0, 0),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 4, 0, 0),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [7764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [7768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label_start_expression, 2, 0, 28),
  [7770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_label_start_expression, 2, 0, 28),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 47),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 2, 0, 15),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 65),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [7838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 15),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [7842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 119),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [7860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 15),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4131),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 119),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 65),
  [7892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 15),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 119),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [7908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 15),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [7926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 15),
  [7928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 65),
  [7930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 119),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 15),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [7940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 65),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [7952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 15),
  [7954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 65),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [7958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 119),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 2, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [7976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [7978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6177),
  [7981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hollerith_constant, 1, 0, 0),
  [7986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hollerith_constant, 1, 0, 0),
  [7988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_item, 3, 0, 0),
  [7990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__transfer_item, 3, 0, 0),
  [7992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0),
  [7994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 1, 0, 0),
  [7996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5401),
  [7999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5401),
  [8002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5403),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [8013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 47),
  [8015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 85),
  [8017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5343),
  [8020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5349),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0),
  [8025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 34),
  [8027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [8029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5519),
  [8032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [8034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3253),
  [8037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 2, 0, 15),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [8041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [8043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5002),
  [8046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [8048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [8050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5000),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [8055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 85),
  [8057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 15),
  [8059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 34),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [8063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 0),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [8067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 0),
  [8069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 0),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [8073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 0),
  [8075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 47),
  [8077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 5, 0, 0),
  [8079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 5, 0, 0),
  [8081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 161),
  [8083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 161),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 148),
  [8087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 148),
  [8089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 4, 0, 0),
  [8091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 4, 0, 0),
  [8093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [8095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(3567),
  [8098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 8, 0, 170),
  [8118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 8, 0, 170),
  [8120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3707),
  [8123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 0),
  [8125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 0),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 125),
  [8129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 125),
  [8131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 0),
  [8133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 0),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 6, 0, 0),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 6, 0, 0),
  [8143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 6, 0, 0),
  [8145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 6, 0, 0),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [8155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [8157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [8161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [8163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [8165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1880),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 148),
  [8170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 148),
  [8172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 9, 0, 176),
  [8174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 9, 0, 176),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [8182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 149),
  [8184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 149),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [8190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 4, 0, 0),
  [8192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 4, 0, 0),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [8198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [8214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5761),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [8248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [8270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namelist_statement, 2, 0, 0),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5769),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5382),
  [8316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [8332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 3, 0, 6),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [8342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 1, 0, 0),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [8348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 4, 0, 0),
  [8350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3591),
  [8353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [8365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [8367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 0),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [8371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0), SHIFT(1674),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5633),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5673),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [8431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [8441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [8455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 35),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [8461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 16),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [8469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [8481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_size, 1, 0, 0),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [8495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 35),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [8513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [8517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(4226),
  [8520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [8532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(3659),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [8539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 3, 0, 0),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [8571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 89), SHIFT_REPEAT(3484),
  [8574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 89),
  [8576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3569),
  [8579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [8599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [8615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 5, 0, 0),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [8619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [8625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [8629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0), SHIFT_REPEAT(3607),
  [8632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [8650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 4, 0, 91),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [8664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1856),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [8679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [8685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [8711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [8715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [8727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [8731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [8741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 124), SHIFT_REPEAT(1908),
  [8744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 124),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [8748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5023),
  [8751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0),
  [8753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 99), SHIFT_REPEAT(3988),
  [8756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 99),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2704),
  [8769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [8773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 34),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [8791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 3, 0, 0),
  [8793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 3, 0, 0),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [8809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [8813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3587),
  [8816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [8848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 3, 0, 0),
  [8850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 2, 0, 29),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [8854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 5, 0, 0),
  [8856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 3, 0, 0),
  [8858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 6, 0, 0),
  [8860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [8871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [8875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4935),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [8888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 6, 0, 0),
  [8890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0), SHIFT_REPEAT(4938),
  [8893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0),
  [8895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_name, 1, 0, 46),
  [8911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [8933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [8951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_result, 4, 0, 0),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [8957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1685),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [8974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [8989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 35),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [8995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [9011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [9031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [9035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0), SHIFT_REPEAT(2620),
  [9038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0),
  [9040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 8, 0, 97),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [9044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 2, 0, 0),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(3621),
  [9057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [9059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2286),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [9066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3571),
  [9069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0),
  [9071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1826),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [9092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 7, 0, 97),
  [9094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 89), SHIFT_REPEAT(3195),
  [9097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 1, 0, 17),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [9101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 2, 0, 0),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [9147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 62),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [9153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 63),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [9157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4735),
  [9160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [9184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3966),
  [9187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [9197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 7, 0, 0),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [9205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 2, 0, 0),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [9209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(2560),
  [9212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 0),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [9226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0), SHIFT_REPEAT(1962),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [9231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(3615),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [9250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 2, 0, 16),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [9268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 2, 0, 0),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [9276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 4, 0, 0),
  [9278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 2, 0, 0),
  [9280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [9288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3599),
  [9291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [9295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 97),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [9321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 5, 0, 0),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [9325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3539),
  [9328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [9346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 16),
  [9348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 2, 0, 0),
  [9350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 85),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 1, 0, 0),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [9384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_identifier, 1, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [9390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 4, 0, 0),
  [9392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 5, 0, 147),
  [9394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 6, 0, 0),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [9398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 6, 0, 160),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [9404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 5, 0, 0),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 6, 0, 0),
  [9408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 4, 0, 123),
  [9410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 4, 0, 0),
  [9412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 5, 0, 0),
  [9414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 4, 0, 0),
  [9416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_type_specifier, 4, 0, 0),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 3, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_alias, 3, 0, 121),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [9444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 3, 0, 0),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [9448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [9454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 3, 0, 0),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [9458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5763),
  [9488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 98),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5760),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [9510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [9514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [9518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 2, 0, 0),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [9552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_shape, 1, 0, 0),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defined_io_procedure, 4, 0, 0),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 4, 0, 0),
  [9576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 0),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [9588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5688),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [9604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [9608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [9616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [9620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [9628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5651),
  [9630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [9632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [9642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 29),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [9646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [9650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [9666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5607),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [9710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 2, 0, 0),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [9714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 3, 0, 0),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [9724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [9726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 2, 0, 0),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [9748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [9750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 37),
  [9752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 36),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5560),
  [9758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [9760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [9770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [9778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 1, 0, 0),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [9792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [9808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [9816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [9824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [9842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 40),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [9870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_statement, 1, 0, 0),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [9892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forall_statement, 1, 0, 0),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [9898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_statement, 1, 0, 0),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [9902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 1, 0, 0),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [9934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 2, 0, 0),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [10150] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 2, 0, 26),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [10276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_forall_statement, 2, 0, 0),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [10280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 1, 0, 27),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [10344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 3, 0, 0),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [10356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 15),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [10380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 16),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [10404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unlimited_polymorphic, 1, 0, 0),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [10440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 3, 0, 0),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [10446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 3, 0, 0),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 2, 0, 0),
  [10450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 3, 0, 0),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_if_statement, 3, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [10468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_where_statement, 3, 0, 0),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [10490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 3, 0, 0),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [10500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 3, 0, 0),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [10504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 2, 0, 0),
  [10506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 3, 0, 0),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 3, 0, 56),
  [10540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 3, 0, 0),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [10544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 2, 0, 58),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [10614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 4, 0, 0),
  [10616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 4, 0, 0),
  [10618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 34),
  [10620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 35),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 4, 0, 0),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [10664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 4, 0, 19),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [10680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_label, 1, 0, 76),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 4, 0, 0),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [10690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 4, 0, 0),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [10704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 4, 0, 0),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [10710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 3, 0, 0),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [10726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 41),
  [10728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 4, 0, 0),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [10742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_statement, 4, 0, 79),
  [10744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 0),
  [10746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 4, 0, 0),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 3, 0, 0),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [10800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 47),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [10812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 66),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [10838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 57),
  [10840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 4, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [10878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_function_arg_list, 3, 0, 0),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [10914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 66),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [11112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 5, 0, 0),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [11152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 3, 0, 75),
  [11154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 5, 0, 0),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 5, 0, 0),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [11172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 77),
  [11174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 5, 0, 0),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 5, 0, 85),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [11184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 5, 0, 0),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [11192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 5, 0, 109),
  [11194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 5, 0, 110),
  [11196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 3, 0, 78),
  [11198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 5, 0, 0),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [11204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 5, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [11208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 4, 0, 0),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [11212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 2, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [11254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 3, 0, 68),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [11266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 3, 0, 90),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [11270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 5, 0, 0),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [11274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_function_arg_list, 4, 0, 0),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [11290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 93),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 93),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 94),
  [11296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 94),
  [11298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 97),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [11332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 6, 0, 0),
  [11334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 3, 0, 107),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [11338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 106),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [11348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 6, 0, 0),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [11356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 6, 0, 0),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [11360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 129),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [11370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 130),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [11376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 131),
  [11378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 10, 0, 0),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [11382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 108),
  [11384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 0),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [11398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 109),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [11412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 11, 0, 0),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [11416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 7, 0, 169),
  [11418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 110),
  [11420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 6, 0, 0),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [11426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 6, 0, 157),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 6, 0, 0),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [11434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 5, 0, 0),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [11440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 6, 0, 143),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [11446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 141),
  [11448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 157),
  [11450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 3, 0, 0),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 7, 0, 169),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 66),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [11468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 93),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [11474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 8, 0, 175),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [11480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 9, 0, 0),
  [11482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 6, 0, 157),
  [11484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 5, 0, 120),
  [11486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 118),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [11490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 142),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 4, 0, 0),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 120),
  [11516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 118),
  [11518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 142),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [11532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 6, 0, 143),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [11536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 141),
  [11538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 157),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [11554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 9, 0, 0),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [11560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 4, 0, 136),
  [11562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 7, 0, 158),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [11568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 156),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 169),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 8, 0, 155),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [11578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 8, 0, 154),
  [11580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 8, 0, 153),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [11584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 8, 0, 0),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [11592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 5, 0, 120),
  [11594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 118),
  [11596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 142),
  [11598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 94),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [11604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 155),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [11608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 66),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 94),
  [11628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 93),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [11636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 120),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [11640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 118),
  [11642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 139),
  [11644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 142),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [11652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 140),
  [11654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 6, 0, 0),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [11658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 8, 0, 0),
  [11660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 3, 0, 150),
  [11662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 6, 0, 0),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [11672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 5, 0, 0),
  [11674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 142),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [11678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 142),
  [11680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 118),
  [11682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 118),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 8, 0, 0),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [11688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 120),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [11696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 5, 0, 120),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [11700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 143),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 141),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 6, 0, 157),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 157),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [11712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 140),
  [11714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 139),
  [11716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 3, 0, 126),
  [11718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 154),
  [11720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 153),
  [11722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 7, 0, 0),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [11728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 94),
  [11730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 93),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [11738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 66),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [11742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [11750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 66),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [11754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 7, 0, 0),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [11780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 94),
  [11782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 93),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [11788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 4, 0, 0),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [11808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 6, 0, 0),
  [11810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 7, 0, 0),
  [11812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 7, 0, 0),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 134),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [11824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 3, 0, 133),
  [11826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 131),
  [11828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 130),
  [11830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 129),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [11834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_if_statement, 7, 0, 0),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [11838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 7, 0, 0),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_AMP = 0,
  ts_external_token__integer_literal = 1,
  ts_external_token__float_literal = 2,
  ts_external_token__boz_literal = 3,
  ts_external_token__string_literal = 4,
  ts_external_token__string_literal_kind = 5,
  ts_external_token__end_of_statement = 6,
  ts_external_token__preproc_unary_operator = 7,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_AMP] = anon_sym_AMP,
  [ts_external_token__integer_literal] = sym__integer_literal,
  [ts_external_token__float_literal] = sym__float_literal,
  [ts_external_token__boz_literal] = sym__boz_literal,
  [ts_external_token__string_literal] = sym__string_literal,
  [ts_external_token__string_literal_kind] = sym__string_literal_kind,
  [ts_external_token__end_of_statement] = sym__end_of_statement,
  [ts_external_token__preproc_unary_operator] = sym__preproc_unary_operator,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__end_of_statement] = true,
    [ts_external_token__preproc_unary_operator] = true,
  },
  [2] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [3] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
  },
  [4] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__end_of_statement] = true,
  },
  [5] = {
    [ts_external_token_AMP] = true,
  },
  [6] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__end_of_statement] = true,
  },
  [7] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__preproc_unary_operator] = true,
  },
  [8] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__end_of_statement] = true,
  },
  [9] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
  },
  [10] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [11] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__end_of_statement] = true,
  },
  [12] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_fortran_external_scanner_create(void);
void tree_sitter_fortran_external_scanner_destroy(void *);
bool tree_sitter_fortran_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_fortran_external_scanner_serialize(void *, char *);
void tree_sitter_fortran_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_fortran(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_fortran_external_scanner_create,
      tree_sitter_fortran_external_scanner_destroy,
      tree_sitter_fortran_external_scanner_scan,
      tree_sitter_fortran_external_scanner_serialize,
      tree_sitter_fortran_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
